#include <casadi/casadi.hpp>
#include <casadi/core/casadi_interrupt.hpp>
#include <cmath>
#include <stdexcept>
#include "../marshal.hpp"

// ================== delete UserType (Namespace ["casadi"]) (Name "Callback")===============
// classType: UserType (Namespace ["casadi"]) (Name "Callback")
extern "C"
void delete_casadi__Callback(casadi::Callback* obj);
void delete_casadi__Callback(casadi::Callback* obj){
    delete obj;
}

// ================== Constructor method: "CONSTRUCTOR" ===============
// class: "casadi::Callback"
// cppName: "casadi::Callback"
// cWrapperName: "casadi__Callback__CONSTRUCTOR__0"
// protoArgs: "(std::string ** err_msg, casadi::Callback* x0)"
// args: "(x0_)"
// rettype: UserType (Namespace ["casadi"]) (Name "Callback")
// cWrapperRetType: "casadi::Callback*"
// proto: "casadi::Callback*\n    casadi__Callback__CONSTRUCTOR__0(std::string ** err_msg, casadi::Callback* x0)"
// call: "        casadi::Callback* ret = (casadi::Callback*)new casadi::Callback(x0_);"
// params: [(Ref (Const (UserType (Namespace ["casadi"]) (Name "Callback"))),SwigOutput False)]
extern "C"
casadi::Callback*
    casadi__Callback__CONSTRUCTOR__0(std::string ** err_msg, casadi::Callback* x0);
casadi::Callback*
    casadi__Callback__CONSTRUCTOR__0(std::string ** err_msg, casadi::Callback* x0){
    try {
        casadi::Callback& x0_ = Marshaling<casadi::Callback&,casadi::Callback*>::marshal(x0);

        casadi::Callback* ret = (casadi::Callback*)new casadi::Callback(x0_);
        // x0 is not a swig output

        return ret;
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return 0;
    }
}


// ================== Constructor method: "CONSTRUCTOR" ===============
// class: "casadi::Callback"
// cppName: "casadi::Callback"
// cWrapperName: "casadi__Callback__CONSTRUCTOR__1"
// protoArgs: "(std::string ** err_msg)"
// args: "()"
// rettype: UserType (Namespace ["casadi"]) (Name "Callback")
// cWrapperRetType: "casadi::Callback*"
// proto: "casadi::Callback*\n    casadi__Callback__CONSTRUCTOR__1(std::string ** err_msg)"
// call: "        casadi::Callback* ret = (casadi::Callback*)new casadi::Callback();"
// params: []
extern "C"
casadi::Callback*
    casadi__Callback__CONSTRUCTOR__1(std::string ** err_msg);
casadi::Callback*
    casadi__Callback__CONSTRUCTOR__1(std::string ** err_msg){
    try {

        casadi::Callback* ret = (casadi::Callback*)new casadi::Callback();

        return ret;
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return 0;
    }
}


// ================== Normal method: "construct" ===============
// class: "casadi::Callback"
// cppName: "casadi::Callback::construct"
// cWrapperName: "casadi__Callback__construct__0"
// protoArgs: "(std::string ** err_msg, casadi::Callback* obj, std::string* x0)"
// args: "(x0_)"
// rettype: CVoid
// cWrapperRetType: "void"
// proto: "void\n    casadi__Callback__construct__0(std::string ** err_msg, casadi::Callback* obj, std::string* x0)"
// call: "        obj->construct(x0_);"
// params: [(Ref (Const StdString),SwigOutput False)]
extern "C"
void
    casadi__Callback__construct__0(std::string ** err_msg, casadi::Callback* obj, std::string* x0);
void
    casadi__Callback__construct__0(std::string ** err_msg, casadi::Callback* obj, std::string* x0){
    try {
        std::string& x0_ = Marshaling<std::string&,std::string*>::marshal(x0);

        obj->construct(x0_);
        // x0 is not a swig output

        return;
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return;
    }
}


// ================== Normal method: "construct" ===============
// class: "casadi::Callback"
// cppName: "casadi::Callback::construct"
// cWrapperName: "casadi__Callback__construct__1"
// protoArgs: "(std::string ** err_msg, casadi::Callback* obj, std::string* x0, std::map< std::string, casadi::GenericType* >* x1)"
// args: "(x0_, x1_)"
// rettype: CVoid
// cWrapperRetType: "void"
// proto: "void\n    casadi__Callback__construct__1(std::string ** err_msg, casadi::Callback* obj, std::string* x0, std::map< std::string, casadi::GenericType* >* x1)"
// call: "        obj->construct(x0_, x1_);"
// params: [(Ref (Const StdString),SwigOutput False),(Ref (Const (StdMap StdString (UserType (Namespace ["casadi"]) (Name "GenericType")))),SwigOutput False)]
extern "C"
void
    casadi__Callback__construct__1(std::string ** err_msg, casadi::Callback* obj, std::string* x0, std::map< std::string, casadi::GenericType* >* x1);
void
    casadi__Callback__construct__1(std::string ** err_msg, casadi::Callback* obj, std::string* x0, std::map< std::string, casadi::GenericType* >* x1){
    try {
        std::string& x0_ = Marshaling<std::string&,std::string*>::marshal(x0);
        std::map< std::string, casadi::GenericType > x1_ = Marshaling<std::map< std::string, casadi::GenericType >,std::map< std::string, casadi::GenericType* >*>::marshal(x1);

        obj->construct(x0_, x1_);
        // x0 is not a swig output
        // x1 is not a swig output

        return;
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return;
    }
}


// ================== Normal method: "eval" ===============
// class: "casadi::Callback"
// cppName: "casadi::Callback::eval"
// cWrapperName: "casadi__Callback__eval"
// protoArgs: "(std::string ** err_msg, casadi::Callback* obj, std::vector< casadi::DM* >* x0)"
// args: "(x0_)"
// rettype: StdVec (UserType (Namespace ["casadi"]) (Name "DM"))
// cWrapperRetType: "std::vector< casadi::DM* >*"
// proto: "std::vector< casadi::DM* >*\n    casadi__Callback__eval(std::string ** err_msg, casadi::Callback* obj, std::vector< casadi::DM* >* x0)"
// call: "        std::vector< casadi::DM > ret = obj->eval(x0_);"
// params: [(Ref (Const (StdVec (UserType (Namespace ["casadi"]) (Name "DM")))),SwigOutput False)]
extern "C"
std::vector< casadi::DM* >*
    casadi__Callback__eval(std::string ** err_msg, casadi::Callback* obj, std::vector< casadi::DM* >* x0);
std::vector< casadi::DM* >*
    casadi__Callback__eval(std::string ** err_msg, casadi::Callback* obj, std::vector< casadi::DM* >* x0){
    try {
        std::vector< casadi::DM > x0_ = Marshaling<std::vector< casadi::DM >,std::vector< casadi::DM* >*>::marshal(x0);

        std::vector< casadi::DM > ret = obj->eval(x0_);
        // x0 is not a swig output

        return WrapReturn< std::vector< casadi::DM* >*, std::vector< casadi::DM > >::wrapReturn( ret );
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return 0;
    }
}


// ================== Normal method: "finalize" ===============
// class: "casadi::Callback"
// cppName: "casadi::Callback::finalize"
// cWrapperName: "casadi__Callback__finalize"
// protoArgs: "(std::string ** err_msg, casadi::Callback* obj)"
// args: "()"
// rettype: CVoid
// cWrapperRetType: "void"
// proto: "void\n    casadi__Callback__finalize(std::string ** err_msg, casadi::Callback* obj)"
// call: "        obj->finalize();"
// params: []
extern "C"
void
    casadi__Callback__finalize(std::string ** err_msg, casadi::Callback* obj);
void
    casadi__Callback__finalize(std::string ** err_msg, casadi::Callback* obj){
    try {

        obj->finalize();

        return;
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return;
    }
}


// ================== Normal method: "get_forward" ===============
// class: "casadi::Callback"
// cppName: "casadi::Callback::get_forward"
// cWrapperName: "casadi__Callback__get_forward"
// protoArgs: "(std::string ** err_msg, casadi::Callback* obj, std::string* x0, int x1, std::map< std::string, casadi::GenericType* >* x2)"
// args: "(x0_, x1_, x2_)"
// rettype: UserType (Namespace ["casadi"]) (Name "Function")
// cWrapperRetType: "casadi::Function*"
// proto: "casadi::Function*\n    casadi__Callback__get_forward(std::string ** err_msg, casadi::Callback* obj, std::string* x0, int x1, std::map< std::string, casadi::GenericType* >* x2)"
// call: "        casadi::Function ret = obj->get_forward(x0_, x1_, x2_);"
// params: [(Ref (Const StdString),SwigOutput False),(CInt,SwigOutput False),(Ref (StdMap StdString (UserType (Namespace ["casadi"]) (Name "GenericType"))),SwigOutput False)]
extern "C"
casadi::Function*
    casadi__Callback__get_forward(std::string ** err_msg, casadi::Callback* obj, std::string* x0, int x1, std::map< std::string, casadi::GenericType* >* x2);
casadi::Function*
    casadi__Callback__get_forward(std::string ** err_msg, casadi::Callback* obj, std::string* x0, int x1, std::map< std::string, casadi::GenericType* >* x2){
    try {
        std::string& x0_ = Marshaling<std::string&,std::string*>::marshal(x0);
        int x1_ = Marshaling<int,int>::marshal(x1);
        std::map< std::string, casadi::GenericType > x2_ = Marshaling<std::map< std::string, casadi::GenericType >,std::map< std::string, casadi::GenericType* >*>::marshal(x2);

        casadi::Function ret = obj->get_forward(x0_, x1_, x2_);
        // x0 is not a swig output
        // x1 is not a swig output
        // x2 is not a swig output

        return WrapReturn< casadi::Function*, casadi::Function >::wrapReturn( ret );
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return 0;
    }
}


// ================== Normal method: "get_jacobian" ===============
// class: "casadi::Callback"
// cppName: "casadi::Callback::get_jacobian"
// cWrapperName: "casadi__Callback__get_jacobian"
// protoArgs: "(std::string ** err_msg, casadi::Callback* obj, std::string* x0, std::map< std::string, casadi::GenericType* >* x1)"
// args: "(x0_, x1_)"
// rettype: UserType (Namespace ["casadi"]) (Name "Function")
// cWrapperRetType: "casadi::Function*"
// proto: "casadi::Function*\n    casadi__Callback__get_jacobian(std::string ** err_msg, casadi::Callback* obj, std::string* x0, std::map< std::string, casadi::GenericType* >* x1)"
// call: "        casadi::Function ret = obj->get_jacobian(x0_, x1_);"
// params: [(Ref (Const StdString),SwigOutput False),(Ref (Const (StdMap StdString (UserType (Namespace ["casadi"]) (Name "GenericType")))),SwigOutput False)]
extern "C"
casadi::Function*
    casadi__Callback__get_jacobian(std::string ** err_msg, casadi::Callback* obj, std::string* x0, std::map< std::string, casadi::GenericType* >* x1);
casadi::Function*
    casadi__Callback__get_jacobian(std::string ** err_msg, casadi::Callback* obj, std::string* x0, std::map< std::string, casadi::GenericType* >* x1){
    try {
        std::string& x0_ = Marshaling<std::string&,std::string*>::marshal(x0);
        std::map< std::string, casadi::GenericType > x1_ = Marshaling<std::map< std::string, casadi::GenericType >,std::map< std::string, casadi::GenericType* >*>::marshal(x1);

        casadi::Function ret = obj->get_jacobian(x0_, x1_);
        // x0 is not a swig output
        // x1 is not a swig output

        return WrapReturn< casadi::Function*, casadi::Function >::wrapReturn( ret );
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return 0;
    }
}


// ================== Normal method: "get_n_forward" ===============
// class: "casadi::Callback"
// cppName: "casadi::Callback::get_n_forward"
// cWrapperName: "casadi__Callback__get_n_forward"
// protoArgs: "(std::string ** err_msg, casadi::Callback* obj)"
// args: "()"
// rettype: CInt
// cWrapperRetType: "int"
// proto: "int\n    casadi__Callback__get_n_forward(std::string ** err_msg, casadi::Callback* obj)"
// call: "        int ret = obj->get_n_forward();"
// params: []
extern "C"
int
    casadi__Callback__get_n_forward(std::string ** err_msg, casadi::Callback* obj);
int
    casadi__Callback__get_n_forward(std::string ** err_msg, casadi::Callback* obj){
    try {

        int ret = obj->get_n_forward();

        return WrapReturn< int, int >::wrapReturn( ret );
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return 0;
    }
}


// ================== Normal method: "get_n_in" ===============
// class: "casadi::Callback"
// cppName: "casadi::Callback::get_n_in"
// cWrapperName: "casadi__Callback__get_n_in"
// protoArgs: "(std::string ** err_msg, casadi::Callback* obj)"
// args: "()"
// rettype: CInt
// cWrapperRetType: "int"
// proto: "int\n    casadi__Callback__get_n_in(std::string ** err_msg, casadi::Callback* obj)"
// call: "        int ret = obj->get_n_in();"
// params: []
extern "C"
int
    casadi__Callback__get_n_in(std::string ** err_msg, casadi::Callback* obj);
int
    casadi__Callback__get_n_in(std::string ** err_msg, casadi::Callback* obj){
    try {

        int ret = obj->get_n_in();

        return WrapReturn< int, int >::wrapReturn( ret );
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return 0;
    }
}


// ================== Normal method: "get_n_out" ===============
// class: "casadi::Callback"
// cppName: "casadi::Callback::get_n_out"
// cWrapperName: "casadi__Callback__get_n_out"
// protoArgs: "(std::string ** err_msg, casadi::Callback* obj)"
// args: "()"
// rettype: CInt
// cWrapperRetType: "int"
// proto: "int\n    casadi__Callback__get_n_out(std::string ** err_msg, casadi::Callback* obj)"
// call: "        int ret = obj->get_n_out();"
// params: []
extern "C"
int
    casadi__Callback__get_n_out(std::string ** err_msg, casadi::Callback* obj);
int
    casadi__Callback__get_n_out(std::string ** err_msg, casadi::Callback* obj){
    try {

        int ret = obj->get_n_out();

        return WrapReturn< int, int >::wrapReturn( ret );
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return 0;
    }
}


// ================== Normal method: "get_n_reverse" ===============
// class: "casadi::Callback"
// cppName: "casadi::Callback::get_n_reverse"
// cWrapperName: "casadi__Callback__get_n_reverse"
// protoArgs: "(std::string ** err_msg, casadi::Callback* obj)"
// args: "()"
// rettype: CInt
// cWrapperRetType: "int"
// proto: "int\n    casadi__Callback__get_n_reverse(std::string ** err_msg, casadi::Callback* obj)"
// call: "        int ret = obj->get_n_reverse();"
// params: []
extern "C"
int
    casadi__Callback__get_n_reverse(std::string ** err_msg, casadi::Callback* obj);
int
    casadi__Callback__get_n_reverse(std::string ** err_msg, casadi::Callback* obj){
    try {

        int ret = obj->get_n_reverse();

        return WrapReturn< int, int >::wrapReturn( ret );
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return 0;
    }
}


// ================== Normal method: "get_name_in" ===============
// class: "casadi::Callback"
// cppName: "casadi::Callback::get_name_in"
// cWrapperName: "casadi__Callback__get_name_in"
// protoArgs: "(std::string ** err_msg, casadi::Callback* obj, int x0)"
// args: "(x0_)"
// rettype: StdString
// cWrapperRetType: "std::string*"
// proto: "std::string*\n    casadi__Callback__get_name_in(std::string ** err_msg, casadi::Callback* obj, int x0)"
// call: "        std::string ret = obj->get_name_in(x0_);"
// params: [(CInt,SwigOutput False)]
extern "C"
std::string*
    casadi__Callback__get_name_in(std::string ** err_msg, casadi::Callback* obj, int x0);
std::string*
    casadi__Callback__get_name_in(std::string ** err_msg, casadi::Callback* obj, int x0){
    try {
        int x0_ = Marshaling<int,int>::marshal(x0);

        std::string ret = obj->get_name_in(x0_);
        // x0 is not a swig output

        return WrapReturn< std::string*, std::string >::wrapReturn( ret );
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return 0;
    }
}


// ================== Normal method: "get_name_out" ===============
// class: "casadi::Callback"
// cppName: "casadi::Callback::get_name_out"
// cWrapperName: "casadi__Callback__get_name_out"
// protoArgs: "(std::string ** err_msg, casadi::Callback* obj, int x0)"
// args: "(x0_)"
// rettype: StdString
// cWrapperRetType: "std::string*"
// proto: "std::string*\n    casadi__Callback__get_name_out(std::string ** err_msg, casadi::Callback* obj, int x0)"
// call: "        std::string ret = obj->get_name_out(x0_);"
// params: [(CInt,SwigOutput False)]
extern "C"
std::string*
    casadi__Callback__get_name_out(std::string ** err_msg, casadi::Callback* obj, int x0);
std::string*
    casadi__Callback__get_name_out(std::string ** err_msg, casadi::Callback* obj, int x0){
    try {
        int x0_ = Marshaling<int,int>::marshal(x0);

        std::string ret = obj->get_name_out(x0_);
        // x0 is not a swig output

        return WrapReturn< std::string*, std::string >::wrapReturn( ret );
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return 0;
    }
}


// ================== Normal method: "get_reverse" ===============
// class: "casadi::Callback"
// cppName: "casadi::Callback::get_reverse"
// cWrapperName: "casadi__Callback__get_reverse"
// protoArgs: "(std::string ** err_msg, casadi::Callback* obj, std::string* x0, int x1, std::map< std::string, casadi::GenericType* >* x2)"
// args: "(x0_, x1_, x2_)"
// rettype: UserType (Namespace ["casadi"]) (Name "Function")
// cWrapperRetType: "casadi::Function*"
// proto: "casadi::Function*\n    casadi__Callback__get_reverse(std::string ** err_msg, casadi::Callback* obj, std::string* x0, int x1, std::map< std::string, casadi::GenericType* >* x2)"
// call: "        casadi::Function ret = obj->get_reverse(x0_, x1_, x2_);"
// params: [(Ref (Const StdString),SwigOutput False),(CInt,SwigOutput False),(Ref (StdMap StdString (UserType (Namespace ["casadi"]) (Name "GenericType"))),SwigOutput False)]
extern "C"
casadi::Function*
    casadi__Callback__get_reverse(std::string ** err_msg, casadi::Callback* obj, std::string* x0, int x1, std::map< std::string, casadi::GenericType* >* x2);
casadi::Function*
    casadi__Callback__get_reverse(std::string ** err_msg, casadi::Callback* obj, std::string* x0, int x1, std::map< std::string, casadi::GenericType* >* x2){
    try {
        std::string& x0_ = Marshaling<std::string&,std::string*>::marshal(x0);
        int x1_ = Marshaling<int,int>::marshal(x1);
        std::map< std::string, casadi::GenericType > x2_ = Marshaling<std::map< std::string, casadi::GenericType >,std::map< std::string, casadi::GenericType* >*>::marshal(x2);

        casadi::Function ret = obj->get_reverse(x0_, x1_, x2_);
        // x0 is not a swig output
        // x1 is not a swig output
        // x2 is not a swig output

        return WrapReturn< casadi::Function*, casadi::Function >::wrapReturn( ret );
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return 0;
    }
}


// ================== Normal method: "get_sparsity_in" ===============
// class: "casadi::Callback"
// cppName: "casadi::Callback::get_sparsity_in"
// cWrapperName: "casadi__Callback__get_sparsity_in"
// protoArgs: "(std::string ** err_msg, casadi::Callback* obj, int x0)"
// args: "(x0_)"
// rettype: UserType (Namespace ["casadi"]) (Name "Sparsity")
// cWrapperRetType: "casadi::Sparsity*"
// proto: "casadi::Sparsity*\n    casadi__Callback__get_sparsity_in(std::string ** err_msg, casadi::Callback* obj, int x0)"
// call: "        casadi::Sparsity ret = obj->get_sparsity_in(x0_);"
// params: [(CInt,SwigOutput False)]
extern "C"
casadi::Sparsity*
    casadi__Callback__get_sparsity_in(std::string ** err_msg, casadi::Callback* obj, int x0);
casadi::Sparsity*
    casadi__Callback__get_sparsity_in(std::string ** err_msg, casadi::Callback* obj, int x0){
    try {
        int x0_ = Marshaling<int,int>::marshal(x0);

        casadi::Sparsity ret = obj->get_sparsity_in(x0_);
        // x0 is not a swig output

        return WrapReturn< casadi::Sparsity*, casadi::Sparsity >::wrapReturn( ret );
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return 0;
    }
}


// ================== Normal method: "get_sparsity_out" ===============
// class: "casadi::Callback"
// cppName: "casadi::Callback::get_sparsity_out"
// cWrapperName: "casadi__Callback__get_sparsity_out"
// protoArgs: "(std::string ** err_msg, casadi::Callback* obj, int x0)"
// args: "(x0_)"
// rettype: UserType (Namespace ["casadi"]) (Name "Sparsity")
// cWrapperRetType: "casadi::Sparsity*"
// proto: "casadi::Sparsity*\n    casadi__Callback__get_sparsity_out(std::string ** err_msg, casadi::Callback* obj, int x0)"
// call: "        casadi::Sparsity ret = obj->get_sparsity_out(x0_);"
// params: [(CInt,SwigOutput False)]
extern "C"
casadi::Sparsity*
    casadi__Callback__get_sparsity_out(std::string ** err_msg, casadi::Callback* obj, int x0);
casadi::Sparsity*
    casadi__Callback__get_sparsity_out(std::string ** err_msg, casadi::Callback* obj, int x0){
    try {
        int x0_ = Marshaling<int,int>::marshal(x0);

        casadi::Sparsity ret = obj->get_sparsity_out(x0_);
        // x0 is not a swig output

        return WrapReturn< casadi::Sparsity*, casadi::Sparsity >::wrapReturn( ret );
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return 0;
    }
}


// ================== Normal method: "has_jacobian" ===============
// class: "casadi::Callback"
// cppName: "casadi::Callback::has_jacobian"
// cWrapperName: "casadi__Callback__has_jacobian"
// protoArgs: "(std::string ** err_msg, casadi::Callback* obj)"
// args: "()"
// rettype: CBool
// cWrapperRetType: "int"
// proto: "int\n    casadi__Callback__has_jacobian(std::string ** err_msg, casadi::Callback* obj)"
// call: "        bool ret = obj->has_jacobian();"
// params: []
extern "C"
int
    casadi__Callback__has_jacobian(std::string ** err_msg, casadi::Callback* obj);
int
    casadi__Callback__has_jacobian(std::string ** err_msg, casadi::Callback* obj){
    try {

        bool ret = obj->has_jacobian();

        return WrapReturn< int, bool >::wrapReturn( ret );
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return 0;
    }
}


// ================== Normal method: "init" ===============
// class: "casadi::Callback"
// cppName: "casadi::Callback::init"
// cWrapperName: "casadi__Callback__init"
// protoArgs: "(std::string ** err_msg, casadi::Callback* obj)"
// args: "()"
// rettype: CVoid
// cWrapperRetType: "void"
// proto: "void\n    casadi__Callback__init(std::string ** err_msg, casadi::Callback* obj)"
// call: "        obj->init();"
// params: []
extern "C"
void
    casadi__Callback__init(std::string ** err_msg, casadi::Callback* obj);
void
    casadi__Callback__init(std::string ** err_msg, casadi::Callback* obj){
    try {

        obj->init();

        return;
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return;
    }
}



// ================== delete UserType (Namespace ["casadi"]) (Name "CasadiMeta")===============
// classType: UserType (Namespace ["casadi"]) (Name "CasadiMeta")
extern "C"
void delete_casadi__CasadiMeta(casadi::CasadiMeta* obj);
void delete_casadi__CasadiMeta(casadi::CasadiMeta* obj){
    delete obj;
}

// ================== Static method: "getBuildType" ===============
// class: "casadi::CasadiMeta"
// cppName: "casadi::CasadiMeta::getBuildType"
// cWrapperName: "casadi__CasadiMeta__getBuildType"
// protoArgs: "(std::string ** err_msg)"
// args: "()"
// rettype: StdString
// cWrapperRetType: "std::string*"
// proto: "std::string*\n    casadi__CasadiMeta__getBuildType(std::string ** err_msg)"
// call: "        std::string ret = casadi::CasadiMeta::getBuildType();"
// params: []
extern "C"
std::string*
    casadi__CasadiMeta__getBuildType(std::string ** err_msg);
std::string*
    casadi__CasadiMeta__getBuildType(std::string ** err_msg){
    try {

        std::string ret = casadi::CasadiMeta::getBuildType();

        return WrapReturn< std::string*, std::string >::wrapReturn( ret );
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return 0;
    }
}


// ================== Static method: "getCompiler" ===============
// class: "casadi::CasadiMeta"
// cppName: "casadi::CasadiMeta::getCompiler"
// cWrapperName: "casadi__CasadiMeta__getCompiler"
// protoArgs: "(std::string ** err_msg)"
// args: "()"
// rettype: StdString
// cWrapperRetType: "std::string*"
// proto: "std::string*\n    casadi__CasadiMeta__getCompiler(std::string ** err_msg)"
// call: "        std::string ret = casadi::CasadiMeta::getCompiler();"
// params: []
extern "C"
std::string*
    casadi__CasadiMeta__getCompiler(std::string ** err_msg);
std::string*
    casadi__CasadiMeta__getCompiler(std::string ** err_msg){
    try {

        std::string ret = casadi::CasadiMeta::getCompiler();

        return WrapReturn< std::string*, std::string >::wrapReturn( ret );
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return 0;
    }
}


// ================== Static method: "getCompilerFlags" ===============
// class: "casadi::CasadiMeta"
// cppName: "casadi::CasadiMeta::getCompilerFlags"
// cWrapperName: "casadi__CasadiMeta__getCompilerFlags"
// protoArgs: "(std::string ** err_msg)"
// args: "()"
// rettype: StdString
// cWrapperRetType: "std::string*"
// proto: "std::string*\n    casadi__CasadiMeta__getCompilerFlags(std::string ** err_msg)"
// call: "        std::string ret = casadi::CasadiMeta::getCompilerFlags();"
// params: []
extern "C"
std::string*
    casadi__CasadiMeta__getCompilerFlags(std::string ** err_msg);
std::string*
    casadi__CasadiMeta__getCompilerFlags(std::string ** err_msg){
    try {

        std::string ret = casadi::CasadiMeta::getCompilerFlags();

        return WrapReturn< std::string*, std::string >::wrapReturn( ret );
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return 0;
    }
}


// ================== Static method: "getCompilerId" ===============
// class: "casadi::CasadiMeta"
// cppName: "casadi::CasadiMeta::getCompilerId"
// cWrapperName: "casadi__CasadiMeta__getCompilerId"
// protoArgs: "(std::string ** err_msg)"
// args: "()"
// rettype: StdString
// cWrapperRetType: "std::string*"
// proto: "std::string*\n    casadi__CasadiMeta__getCompilerId(std::string ** err_msg)"
// call: "        std::string ret = casadi::CasadiMeta::getCompilerId();"
// params: []
extern "C"
std::string*
    casadi__CasadiMeta__getCompilerId(std::string ** err_msg);
std::string*
    casadi__CasadiMeta__getCompilerId(std::string ** err_msg){
    try {

        std::string ret = casadi::CasadiMeta::getCompilerId();

        return WrapReturn< std::string*, std::string >::wrapReturn( ret );
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return 0;
    }
}


// ================== Static method: "getFeatureList" ===============
// class: "casadi::CasadiMeta"
// cppName: "casadi::CasadiMeta::getFeatureList"
// cWrapperName: "casadi__CasadiMeta__getFeatureList"
// protoArgs: "(std::string ** err_msg)"
// args: "()"
// rettype: StdString
// cWrapperRetType: "std::string*"
// proto: "std::string*\n    casadi__CasadiMeta__getFeatureList(std::string ** err_msg)"
// call: "        std::string ret = casadi::CasadiMeta::getFeatureList();"
// params: []
extern "C"
std::string*
    casadi__CasadiMeta__getFeatureList(std::string ** err_msg);
std::string*
    casadi__CasadiMeta__getFeatureList(std::string ** err_msg){
    try {

        std::string ret = casadi::CasadiMeta::getFeatureList();

        return WrapReturn< std::string*, std::string >::wrapReturn( ret );
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return 0;
    }
}


// ================== Static method: "getGitDescribe" ===============
// class: "casadi::CasadiMeta"
// cppName: "casadi::CasadiMeta::getGitDescribe"
// cWrapperName: "casadi__CasadiMeta__getGitDescribe"
// protoArgs: "(std::string ** err_msg)"
// args: "()"
// rettype: StdString
// cWrapperRetType: "std::string*"
// proto: "std::string*\n    casadi__CasadiMeta__getGitDescribe(std::string ** err_msg)"
// call: "        std::string ret = casadi::CasadiMeta::getGitDescribe();"
// params: []
extern "C"
std::string*
    casadi__CasadiMeta__getGitDescribe(std::string ** err_msg);
std::string*
    casadi__CasadiMeta__getGitDescribe(std::string ** err_msg){
    try {

        std::string ret = casadi::CasadiMeta::getGitDescribe();

        return WrapReturn< std::string*, std::string >::wrapReturn( ret );
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return 0;
    }
}


// ================== Static method: "getGitRevision" ===============
// class: "casadi::CasadiMeta"
// cppName: "casadi::CasadiMeta::getGitRevision"
// cWrapperName: "casadi__CasadiMeta__getGitRevision"
// protoArgs: "(std::string ** err_msg)"
// args: "()"
// rettype: StdString
// cWrapperRetType: "std::string*"
// proto: "std::string*\n    casadi__CasadiMeta__getGitRevision(std::string ** err_msg)"
// call: "        std::string ret = casadi::CasadiMeta::getGitRevision();"
// params: []
extern "C"
std::string*
    casadi__CasadiMeta__getGitRevision(std::string ** err_msg);
std::string*
    casadi__CasadiMeta__getGitRevision(std::string ** err_msg){
    try {

        std::string ret = casadi::CasadiMeta::getGitRevision();

        return WrapReturn< std::string*, std::string >::wrapReturn( ret );
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return 0;
    }
}


// ================== Static method: "getInstallPrefix" ===============
// class: "casadi::CasadiMeta"
// cppName: "casadi::CasadiMeta::getInstallPrefix"
// cWrapperName: "casadi__CasadiMeta__getInstallPrefix"
// protoArgs: "(std::string ** err_msg)"
// args: "()"
// rettype: StdString
// cWrapperRetType: "std::string*"
// proto: "std::string*\n    casadi__CasadiMeta__getInstallPrefix(std::string ** err_msg)"
// call: "        std::string ret = casadi::CasadiMeta::getInstallPrefix();"
// params: []
extern "C"
std::string*
    casadi__CasadiMeta__getInstallPrefix(std::string ** err_msg);
std::string*
    casadi__CasadiMeta__getInstallPrefix(std::string ** err_msg){
    try {

        std::string ret = casadi::CasadiMeta::getInstallPrefix();

        return WrapReturn< std::string*, std::string >::wrapReturn( ret );
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return 0;
    }
}


// ================== Static method: "getModules" ===============
// class: "casadi::CasadiMeta"
// cppName: "casadi::CasadiMeta::getModules"
// cWrapperName: "casadi__CasadiMeta__getModules"
// protoArgs: "(std::string ** err_msg)"
// args: "()"
// rettype: StdString
// cWrapperRetType: "std::string*"
// proto: "std::string*\n    casadi__CasadiMeta__getModules(std::string ** err_msg)"
// call: "        std::string ret = casadi::CasadiMeta::getModules();"
// params: []
extern "C"
std::string*
    casadi__CasadiMeta__getModules(std::string ** err_msg);
std::string*
    casadi__CasadiMeta__getModules(std::string ** err_msg){
    try {

        std::string ret = casadi::CasadiMeta::getModules();

        return WrapReturn< std::string*, std::string >::wrapReturn( ret );
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return 0;
    }
}


// ================== Static method: "getPlugins" ===============
// class: "casadi::CasadiMeta"
// cppName: "casadi::CasadiMeta::getPlugins"
// cWrapperName: "casadi__CasadiMeta__getPlugins"
// protoArgs: "(std::string ** err_msg)"
// args: "()"
// rettype: StdString
// cWrapperRetType: "std::string*"
// proto: "std::string*\n    casadi__CasadiMeta__getPlugins(std::string ** err_msg)"
// call: "        std::string ret = casadi::CasadiMeta::getPlugins();"
// params: []
extern "C"
std::string*
    casadi__CasadiMeta__getPlugins(std::string ** err_msg);
std::string*
    casadi__CasadiMeta__getPlugins(std::string ** err_msg){
    try {

        std::string ret = casadi::CasadiMeta::getPlugins();

        return WrapReturn< std::string*, std::string >::wrapReturn( ret );
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return 0;
    }
}


// ================== Static method: "getVersion" ===============
// class: "casadi::CasadiMeta"
// cppName: "casadi::CasadiMeta::getVersion"
// cWrapperName: "casadi__CasadiMeta__getVersion"
// protoArgs: "(std::string ** err_msg)"
// args: "()"
// rettype: StdString
// cWrapperRetType: "std::string*"
// proto: "std::string*\n    casadi__CasadiMeta__getVersion(std::string ** err_msg)"
// call: "        std::string ret = casadi::CasadiMeta::getVersion();"
// params: []
extern "C"
std::string*
    casadi__CasadiMeta__getVersion(std::string ** err_msg);
std::string*
    casadi__CasadiMeta__getVersion(std::string ** err_msg){
    try {

        std::string ret = casadi::CasadiMeta::getVersion();

        return WrapReturn< std::string*, std::string >::wrapReturn( ret );
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return 0;
    }
}



// ================== delete UserType (Namespace ["casadi"]) (Name "CodeGenerator")===============
// classType: UserType (Namespace ["casadi"]) (Name "CodeGenerator")
extern "C"
void delete_casadi__CodeGenerator(casadi::CodeGenerator* obj);
void delete_casadi__CodeGenerator(casadi::CodeGenerator* obj){
    delete obj;
}

// ================== Constructor method: "CONSTRUCTOR" ===============
// class: "casadi::CodeGenerator"
// cppName: "casadi::CodeGenerator"
// cWrapperName: "casadi__CodeGenerator__CONSTRUCTOR__0"
// protoArgs: "(std::string ** err_msg)"
// args: "()"
// rettype: UserType (Namespace ["casadi"]) (Name "CodeGenerator")
// cWrapperRetType: "casadi::CodeGenerator*"
// proto: "casadi::CodeGenerator*\n    casadi__CodeGenerator__CONSTRUCTOR__0(std::string ** err_msg)"
// call: "        casadi::CodeGenerator* ret = (casadi::CodeGenerator*)new casadi::CodeGenerator();"
// params: []
extern "C"
casadi::CodeGenerator*
    casadi__CodeGenerator__CONSTRUCTOR__0(std::string ** err_msg);
casadi::CodeGenerator*
    casadi__CodeGenerator__CONSTRUCTOR__0(std::string ** err_msg){
    try {

        casadi::CodeGenerator* ret = (casadi::CodeGenerator*)new casadi::CodeGenerator();

        return ret;
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return 0;
    }
}


// ================== Constructor method: "CONSTRUCTOR" ===============
// class: "casadi::CodeGenerator"
// cppName: "casadi::CodeGenerator"
// cWrapperName: "casadi__CodeGenerator__CONSTRUCTOR__1"
// protoArgs: "(std::string ** err_msg, std::map< std::string, casadi::GenericType* >* x0)"
// args: "(x0_)"
// rettype: UserType (Namespace ["casadi"]) (Name "CodeGenerator")
// cWrapperRetType: "casadi::CodeGenerator*"
// proto: "casadi::CodeGenerator*\n    casadi__CodeGenerator__CONSTRUCTOR__1(std::string ** err_msg, std::map< std::string, casadi::GenericType* >* x0)"
// call: "        casadi::CodeGenerator* ret = (casadi::CodeGenerator*)new casadi::CodeGenerator(x0_);"
// params: [(Ref (Const (StdMap StdString (UserType (Namespace ["casadi"]) (Name "GenericType")))),SwigOutput False)]
extern "C"
casadi::CodeGenerator*
    casadi__CodeGenerator__CONSTRUCTOR__1(std::string ** err_msg, std::map< std::string, casadi::GenericType* >* x0);
casadi::CodeGenerator*
    casadi__CodeGenerator__CONSTRUCTOR__1(std::string ** err_msg, std::map< std::string, casadi::GenericType* >* x0){
    try {
        std::map< std::string, casadi::GenericType > x0_ = Marshaling<std::map< std::string, casadi::GenericType >,std::map< std::string, casadi::GenericType* >*>::marshal(x0);

        casadi::CodeGenerator* ret = (casadi::CodeGenerator*)new casadi::CodeGenerator(x0_);
        // x0 is not a swig output

        return ret;
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return 0;
    }
}


// ================== Normal method: "add" ===============
// class: "casadi::CodeGenerator"
// cppName: "casadi::CodeGenerator::add"
// cWrapperName: "casadi__CodeGenerator__add"
// protoArgs: "(std::string ** err_msg, casadi::CodeGenerator* obj, casadi::Function* x0)"
// args: "(x0_)"
// rettype: CVoid
// cWrapperRetType: "void"
// proto: "void\n    casadi__CodeGenerator__add(std::string ** err_msg, casadi::CodeGenerator* obj, casadi::Function* x0)"
// call: "        obj->add(x0_);"
// params: [(Ref (Const (UserType (Namespace ["casadi"]) (Name "Function"))),SwigOutput False)]
extern "C"
void
    casadi__CodeGenerator__add(std::string ** err_msg, casadi::CodeGenerator* obj, casadi::Function* x0);
void
    casadi__CodeGenerator__add(std::string ** err_msg, casadi::CodeGenerator* obj, casadi::Function* x0){
    try {
        casadi::Function& x0_ = Marshaling<casadi::Function&,casadi::Function*>::marshal(x0);

        obj->add(x0_);
        // x0 is not a swig output

        return;
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return;
    }
}


// ================== Normal method: "addInclude" ===============
// class: "casadi::CodeGenerator"
// cppName: "casadi::CodeGenerator::addInclude"
// cWrapperName: "casadi__CodeGenerator__addInclude__0"
// protoArgs: "(std::string ** err_msg, casadi::CodeGenerator* obj, std::string* x0)"
// args: "(x0_)"
// rettype: CVoid
// cWrapperRetType: "void"
// proto: "void\n    casadi__CodeGenerator__addInclude__0(std::string ** err_msg, casadi::CodeGenerator* obj, std::string* x0)"
// call: "        obj->addInclude(x0_);"
// params: [(Ref (Const StdString),SwigOutput False)]
extern "C"
void
    casadi__CodeGenerator__addInclude__0(std::string ** err_msg, casadi::CodeGenerator* obj, std::string* x0);
void
    casadi__CodeGenerator__addInclude__0(std::string ** err_msg, casadi::CodeGenerator* obj, std::string* x0){
    try {
        std::string& x0_ = Marshaling<std::string&,std::string*>::marshal(x0);

        obj->addInclude(x0_);
        // x0 is not a swig output

        return;
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return;
    }
}


// ================== Normal method: "addInclude" ===============
// class: "casadi::CodeGenerator"
// cppName: "casadi::CodeGenerator::addInclude"
// cWrapperName: "casadi__CodeGenerator__addInclude__1"
// protoArgs: "(std::string ** err_msg, casadi::CodeGenerator* obj, std::string* x0, int x1)"
// args: "(x0_, x1_)"
// rettype: CVoid
// cWrapperRetType: "void"
// proto: "void\n    casadi__CodeGenerator__addInclude__1(std::string ** err_msg, casadi::CodeGenerator* obj, std::string* x0, int x1)"
// call: "        obj->addInclude(x0_, x1_);"
// params: [(Ref (Const StdString),SwigOutput False),(CBool,SwigOutput False)]
extern "C"
void
    casadi__CodeGenerator__addInclude__1(std::string ** err_msg, casadi::CodeGenerator* obj, std::string* x0, int x1);
void
    casadi__CodeGenerator__addInclude__1(std::string ** err_msg, casadi::CodeGenerator* obj, std::string* x0, int x1){
    try {
        std::string& x0_ = Marshaling<std::string&,std::string*>::marshal(x0);
        bool x1_ = Marshaling<bool,int>::marshal(x1);

        obj->addInclude(x0_, x1_);
        // x0 is not a swig output
        // x1 is not a swig output

        return;
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return;
    }
}


// ================== Normal method: "addInclude" ===============
// class: "casadi::CodeGenerator"
// cppName: "casadi::CodeGenerator::addInclude"
// cWrapperName: "casadi__CodeGenerator__addInclude__2"
// protoArgs: "(std::string ** err_msg, casadi::CodeGenerator* obj, std::string* x0, int x1, std::string* x2)"
// args: "(x0_, x1_, x2_)"
// rettype: CVoid
// cWrapperRetType: "void"
// proto: "void\n    casadi__CodeGenerator__addInclude__2(std::string ** err_msg, casadi::CodeGenerator* obj, std::string* x0, int x1, std::string* x2)"
// call: "        obj->addInclude(x0_, x1_, x2_);"
// params: [(Ref (Const StdString),SwigOutput False),(CBool,SwigOutput False),(Ref (Const StdString),SwigOutput False)]
extern "C"
void
    casadi__CodeGenerator__addInclude__2(std::string ** err_msg, casadi::CodeGenerator* obj, std::string* x0, int x1, std::string* x2);
void
    casadi__CodeGenerator__addInclude__2(std::string ** err_msg, casadi::CodeGenerator* obj, std::string* x0, int x1, std::string* x2){
    try {
        std::string& x0_ = Marshaling<std::string&,std::string*>::marshal(x0);
        bool x1_ = Marshaling<bool,int>::marshal(x1);
        std::string& x2_ = Marshaling<std::string&,std::string*>::marshal(x2);

        obj->addInclude(x0_, x1_, x2_);
        // x0 is not a swig output
        // x1 is not a swig output
        // x2 is not a swig output

        return;
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return;
    }
}


// ================== Normal method: "compile" ===============
// class: "casadi::CodeGenerator"
// cppName: "casadi::CodeGenerator::compile"
// cWrapperName: "casadi__CodeGenerator__compile__0"
// protoArgs: "(std::string ** err_msg, casadi::CodeGenerator* obj, std::string* x0)"
// args: "(x0_)"
// rettype: StdString
// cWrapperRetType: "std::string*"
// proto: "std::string*\n    casadi__CodeGenerator__compile__0(std::string ** err_msg, casadi::CodeGenerator* obj, std::string* x0)"
// call: "        std::string ret = obj->compile(x0_);"
// params: [(Ref (Const StdString),SwigOutput False)]
extern "C"
std::string*
    casadi__CodeGenerator__compile__0(std::string ** err_msg, casadi::CodeGenerator* obj, std::string* x0);
std::string*
    casadi__CodeGenerator__compile__0(std::string ** err_msg, casadi::CodeGenerator* obj, std::string* x0){
    try {
        std::string& x0_ = Marshaling<std::string&,std::string*>::marshal(x0);

        std::string ret = obj->compile(x0_);
        // x0 is not a swig output

        return WrapReturn< std::string*, std::string >::wrapReturn( ret );
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return 0;
    }
}


// ================== Normal method: "compile" ===============
// class: "casadi::CodeGenerator"
// cppName: "casadi::CodeGenerator::compile"
// cWrapperName: "casadi__CodeGenerator__compile__1"
// protoArgs: "(std::string ** err_msg, casadi::CodeGenerator* obj, std::string* x0, std::string* x1)"
// args: "(x0_, x1_)"
// rettype: StdString
// cWrapperRetType: "std::string*"
// proto: "std::string*\n    casadi__CodeGenerator__compile__1(std::string ** err_msg, casadi::CodeGenerator* obj, std::string* x0, std::string* x1)"
// call: "        std::string ret = obj->compile(x0_, x1_);"
// params: [(Ref (Const StdString),SwigOutput False),(Ref (Const StdString),SwigOutput False)]
extern "C"
std::string*
    casadi__CodeGenerator__compile__1(std::string ** err_msg, casadi::CodeGenerator* obj, std::string* x0, std::string* x1);
std::string*
    casadi__CodeGenerator__compile__1(std::string ** err_msg, casadi::CodeGenerator* obj, std::string* x0, std::string* x1){
    try {
        std::string& x0_ = Marshaling<std::string&,std::string*>::marshal(x0);
        std::string& x1_ = Marshaling<std::string&,std::string*>::marshal(x1);

        std::string ret = obj->compile(x0_, x1_);
        // x0 is not a swig output
        // x1 is not a swig output

        return WrapReturn< std::string*, std::string >::wrapReturn( ret );
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return 0;
    }
}


// ================== Normal method: "generate" ===============
// class: "casadi::CodeGenerator"
// cppName: "casadi::CodeGenerator::generate"
// cWrapperName: "casadi__CodeGenerator__generate__0"
// protoArgs: "(std::string ** err_msg, casadi::CodeGenerator* obj)"
// args: "()"
// rettype: StdString
// cWrapperRetType: "std::string*"
// proto: "std::string*\n    casadi__CodeGenerator__generate__0(std::string ** err_msg, casadi::CodeGenerator* obj)"
// call: "        std::string ret = obj->generate();"
// params: []
extern "C"
std::string*
    casadi__CodeGenerator__generate__0(std::string ** err_msg, casadi::CodeGenerator* obj);
std::string*
    casadi__CodeGenerator__generate__0(std::string ** err_msg, casadi::CodeGenerator* obj){
    try {

        std::string ret = obj->generate();

        return WrapReturn< std::string*, std::string >::wrapReturn( ret );
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return 0;
    }
}


// ================== Normal method: "generate" ===============
// class: "casadi::CodeGenerator"
// cppName: "casadi::CodeGenerator::generate"
// cWrapperName: "casadi__CodeGenerator__generate__1"
// protoArgs: "(std::string ** err_msg, casadi::CodeGenerator* obj, std::string* x0)"
// args: "(x0_)"
// rettype: CVoid
// cWrapperRetType: "void"
// proto: "void\n    casadi__CodeGenerator__generate__1(std::string ** err_msg, casadi::CodeGenerator* obj, std::string* x0)"
// call: "        obj->generate(x0_);"
// params: [(Ref (Const StdString),SwigOutput False)]
extern "C"
void
    casadi__CodeGenerator__generate__1(std::string ** err_msg, casadi::CodeGenerator* obj, std::string* x0);
void
    casadi__CodeGenerator__generate__1(std::string ** err_msg, casadi::CodeGenerator* obj, std::string* x0){
    try {
        std::string& x0_ = Marshaling<std::string&,std::string*>::marshal(x0);

        obj->generate(x0_);
        // x0 is not a swig output

        return;
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return;
    }
}



// ================== delete UserType (Namespace ["casadi"]) (Name "Compiler")===============
// classType: UserType (Namespace ["casadi"]) (Name "Compiler")
extern "C"
void delete_casadi__Compiler(casadi::Compiler* obj);
void delete_casadi__Compiler(casadi::Compiler* obj){
    delete obj;
}

// ================== Constructor method: "CONSTRUCTOR" ===============
// class: "casadi::Compiler"
// cppName: "casadi::Compiler"
// cWrapperName: "casadi__Compiler__CONSTRUCTOR__0"
// protoArgs: "(std::string ** err_msg, std::string* x0, std::string* x1)"
// args: "(x0_, x1_)"
// rettype: UserType (Namespace ["casadi"]) (Name "Compiler")
// cWrapperRetType: "casadi::Compiler*"
// proto: "casadi::Compiler*\n    casadi__Compiler__CONSTRUCTOR__0(std::string ** err_msg, std::string* x0, std::string* x1)"
// call: "        casadi::Compiler* ret = (casadi::Compiler*)new casadi::Compiler(x0_, x1_);"
// params: [(Ref (Const StdString),SwigOutput False),(Ref (Const StdString),SwigOutput False)]
extern "C"
casadi::Compiler*
    casadi__Compiler__CONSTRUCTOR__0(std::string ** err_msg, std::string* x0, std::string* x1);
casadi::Compiler*
    casadi__Compiler__CONSTRUCTOR__0(std::string ** err_msg, std::string* x0, std::string* x1){
    try {
        std::string& x0_ = Marshaling<std::string&,std::string*>::marshal(x0);
        std::string& x1_ = Marshaling<std::string&,std::string*>::marshal(x1);

        casadi::Compiler* ret = (casadi::Compiler*)new casadi::Compiler(x0_, x1_);
        // x0 is not a swig output
        // x1 is not a swig output

        return ret;
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return 0;
    }
}


// ================== Constructor method: "CONSTRUCTOR" ===============
// class: "casadi::Compiler"
// cppName: "casadi::Compiler"
// cWrapperName: "casadi__Compiler__CONSTRUCTOR__1"
// protoArgs: "(std::string ** err_msg, std::string* x0, std::string* x1, std::map< std::string, casadi::GenericType* >* x2)"
// args: "(x0_, x1_, x2_)"
// rettype: UserType (Namespace ["casadi"]) (Name "Compiler")
// cWrapperRetType: "casadi::Compiler*"
// proto: "casadi::Compiler*\n    casadi__Compiler__CONSTRUCTOR__1(std::string ** err_msg, std::string* x0, std::string* x1, std::map< std::string, casadi::GenericType* >* x2)"
// call: "        casadi::Compiler* ret = (casadi::Compiler*)new casadi::Compiler(x0_, x1_, x2_);"
// params: [(Ref (Const StdString),SwigOutput False),(Ref (Const StdString),SwigOutput False),(Ref (Const (StdMap StdString (UserType (Namespace ["casadi"]) (Name "GenericType")))),SwigOutput False)]
extern "C"
casadi::Compiler*
    casadi__Compiler__CONSTRUCTOR__1(std::string ** err_msg, std::string* x0, std::string* x1, std::map< std::string, casadi::GenericType* >* x2);
casadi::Compiler*
    casadi__Compiler__CONSTRUCTOR__1(std::string ** err_msg, std::string* x0, std::string* x1, std::map< std::string, casadi::GenericType* >* x2){
    try {
        std::string& x0_ = Marshaling<std::string&,std::string*>::marshal(x0);
        std::string& x1_ = Marshaling<std::string&,std::string*>::marshal(x1);
        std::map< std::string, casadi::GenericType > x2_ = Marshaling<std::map< std::string, casadi::GenericType >,std::map< std::string, casadi::GenericType* >*>::marshal(x2);

        casadi::Compiler* ret = (casadi::Compiler*)new casadi::Compiler(x0_, x1_, x2_);
        // x0 is not a swig output
        // x1 is not a swig output
        // x2 is not a swig output

        return ret;
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return 0;
    }
}


// ================== Constructor method: "CONSTRUCTOR" ===============
// class: "casadi::Compiler"
// cppName: "casadi::Compiler"
// cWrapperName: "casadi__Compiler__CONSTRUCTOR__2"
// protoArgs: "(std::string ** err_msg)"
// args: "()"
// rettype: UserType (Namespace ["casadi"]) (Name "Compiler")
// cWrapperRetType: "casadi::Compiler*"
// proto: "casadi::Compiler*\n    casadi__Compiler__CONSTRUCTOR__2(std::string ** err_msg)"
// call: "        casadi::Compiler* ret = (casadi::Compiler*)new casadi::Compiler();"
// params: []
extern "C"
casadi::Compiler*
    casadi__Compiler__CONSTRUCTOR__2(std::string ** err_msg);
casadi::Compiler*
    casadi__Compiler__CONSTRUCTOR__2(std::string ** err_msg){
    try {

        casadi::Compiler* ret = (casadi::Compiler*)new casadi::Compiler();

        return ret;
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return 0;
    }
}


// ================== Static method: "doc" ===============
// class: "casadi::Compiler"
// cppName: "casadi::Compiler::doc"
// cWrapperName: "casadi__Compiler__doc"
// protoArgs: "(std::string ** err_msg, std::string* x0)"
// args: "(x0_)"
// rettype: StdString
// cWrapperRetType: "std::string*"
// proto: "std::string*\n    casadi__Compiler__doc(std::string ** err_msg, std::string* x0)"
// call: "        std::string ret = casadi::Compiler::doc(x0_);"
// params: [(Ref (Const StdString),SwigOutput False)]
extern "C"
std::string*
    casadi__Compiler__doc(std::string ** err_msg, std::string* x0);
std::string*
    casadi__Compiler__doc(std::string ** err_msg, std::string* x0){
    try {
        std::string& x0_ = Marshaling<std::string&,std::string*>::marshal(x0);

        std::string ret = casadi::Compiler::doc(x0_);
        // x0 is not a swig output

        return WrapReturn< std::string*, std::string >::wrapReturn( ret );
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return 0;
    }
}


// ================== Static method: "hasPlugin" ===============
// class: "casadi::Compiler"
// cppName: "casadi::Compiler::hasPlugin"
// cWrapperName: "casadi__Compiler__hasPlugin"
// protoArgs: "(std::string ** err_msg, std::string* x0)"
// args: "(x0_)"
// rettype: CBool
// cWrapperRetType: "int"
// proto: "int\n    casadi__Compiler__hasPlugin(std::string ** err_msg, std::string* x0)"
// call: "        bool ret = casadi::Compiler::hasPlugin(x0_);"
// params: [(Ref (Const StdString),SwigOutput False)]
extern "C"
int
    casadi__Compiler__hasPlugin(std::string ** err_msg, std::string* x0);
int
    casadi__Compiler__hasPlugin(std::string ** err_msg, std::string* x0){
    try {
        std::string& x0_ = Marshaling<std::string&,std::string*>::marshal(x0);

        bool ret = casadi::Compiler::hasPlugin(x0_);
        // x0 is not a swig output

        return WrapReturn< int, bool >::wrapReturn( ret );
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return 0;
    }
}


// ================== Static method: "loadPlugin" ===============
// class: "casadi::Compiler"
// cppName: "casadi::Compiler::loadPlugin"
// cWrapperName: "casadi__Compiler__loadPlugin"
// protoArgs: "(std::string ** err_msg, std::string* x0)"
// args: "(x0_)"
// rettype: CVoid
// cWrapperRetType: "void"
// proto: "void\n    casadi__Compiler__loadPlugin(std::string ** err_msg, std::string* x0)"
// call: "        casadi::Compiler::loadPlugin(x0_);"
// params: [(Ref (Const StdString),SwigOutput False)]
extern "C"
void
    casadi__Compiler__loadPlugin(std::string ** err_msg, std::string* x0);
void
    casadi__Compiler__loadPlugin(std::string ** err_msg, std::string* x0){
    try {
        std::string& x0_ = Marshaling<std::string&,std::string*>::marshal(x0);

        casadi::Compiler::loadPlugin(x0_);
        // x0 is not a swig output

        return;
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return;
    }
}


// ================== Normal method: "plugin_name" ===============
// class: "casadi::Compiler"
// cppName: "casadi::Compiler::plugin_name"
// cWrapperName: "casadi__Compiler__plugin_name"
// protoArgs: "(std::string ** err_msg, casadi::Compiler* obj)"
// args: "()"
// rettype: StdString
// cWrapperRetType: "std::string*"
// proto: "std::string*\n    casadi__Compiler__plugin_name(std::string ** err_msg, casadi::Compiler* obj)"
// call: "        std::string ret = obj->plugin_name();"
// params: []
extern "C"
std::string*
    casadi__Compiler__plugin_name(std::string ** err_msg, casadi::Compiler* obj);
std::string*
    casadi__Compiler__plugin_name(std::string ** err_msg, casadi::Compiler* obj){
    try {

        std::string ret = obj->plugin_name();

        return WrapReturn< std::string*, std::string >::wrapReturn( ret );
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return 0;
    }
}



// ================== delete UserType (Namespace ["casadi"]) (Name "DM")===============
// classType: UserType (Namespace ["casadi"]) (Name "DM")
extern "C"
void delete_casadi__DM(casadi::DM* obj);
void delete_casadi__DM(casadi::DM* obj){
    delete obj;
}

// ================== Constructor method: "CONSTRUCTOR" ===============
// class: "casadi::DM"
// cppName: "casadi::DM"
// cWrapperName: "casadi__DM__CONSTRUCTOR__0"
// protoArgs: "(std::string ** err_msg, std::vector< casadi::SXElem* >* x0)"
// args: "(x0_)"
// rettype: UserType (Namespace ["casadi"]) (Name "DM")
// cWrapperRetType: "casadi::DM*"
// proto: "casadi::DM*\n    casadi__DM__CONSTRUCTOR__0(std::string ** err_msg, std::vector< casadi::SXElem* >* x0)"
// call: "        casadi::DM* ret = (casadi::DM*)new casadi::DM(x0_);"
// params: [(Ref (Const (StdVec (UserType (Namespace ["casadi"]) (Name "SXElem")))),SwigOutput False)]
extern "C"
casadi::DM*
    casadi__DM__CONSTRUCTOR__0(std::string ** err_msg, std::vector< casadi::SXElem* >* x0);
casadi::DM*
    casadi__DM__CONSTRUCTOR__0(std::string ** err_msg, std::vector< casadi::SXElem* >* x0){
    try {
        std::vector< casadi::SXElem > x0_ = Marshaling<std::vector< casadi::SXElem >,std::vector< casadi::SXElem* >*>::marshal(x0);

        casadi::DM* ret = (casadi::DM*)new casadi::DM(x0_);
        // x0 is not a swig output

        return ret;
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return 0;
    }
}


// ================== Constructor method: "CONSTRUCTOR" ===============
// class: "casadi::DM"
// cppName: "casadi::DM"
// cWrapperName: "casadi__DM__CONSTRUCTOR__1"
// protoArgs: "(std::string ** err_msg, casadi::SX* x0)"
// args: "(x0_)"
// rettype: UserType (Namespace ["casadi"]) (Name "DM")
// cWrapperRetType: "casadi::DM*"
// proto: "casadi::DM*\n    casadi__DM__CONSTRUCTOR__1(std::string ** err_msg, casadi::SX* x0)"
// call: "        casadi::DM* ret = (casadi::DM*)new casadi::DM(x0_);"
// params: [(Ref (Const (UserType (Namespace ["casadi"]) (Name "SX"))),SwigOutput False)]
extern "C"
casadi::DM*
    casadi__DM__CONSTRUCTOR__1(std::string ** err_msg, casadi::SX* x0);
casadi::DM*
    casadi__DM__CONSTRUCTOR__1(std::string ** err_msg, casadi::SX* x0){
    try {
        casadi::SX& x0_ = Marshaling<casadi::SX&,casadi::SX*>::marshal(x0);

        casadi::DM* ret = (casadi::DM*)new casadi::DM(x0_);
        // x0 is not a swig output

        return ret;
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return 0;
    }
}


// ================== Constructor method: "CONSTRUCTOR" ===============
// class: "casadi::DM"
// cppName: "casadi::DM"
// cWrapperName: "casadi__DM__CONSTRUCTOR__2"
// protoArgs: "(std::string ** err_msg, std::vector< int >* x0)"
// args: "(x0_)"
// rettype: UserType (Namespace ["casadi"]) (Name "DM")
// cWrapperRetType: "casadi::DM*"
// proto: "casadi::DM*\n    casadi__DM__CONSTRUCTOR__2(std::string ** err_msg, std::vector< int >* x0)"
// call: "        casadi::DM* ret = (casadi::DM*)new casadi::DM(x0_);"
// params: [(Ref (Const (StdVec CInt)),SwigOutput False)]
extern "C"
casadi::DM*
    casadi__DM__CONSTRUCTOR__2(std::string ** err_msg, std::vector< int >* x0);
casadi::DM*
    casadi__DM__CONSTRUCTOR__2(std::string ** err_msg, std::vector< int >* x0){
    try {
        std::vector< int > x0_ = Marshaling<std::vector< int >,std::vector< int >*>::marshal(x0);

        casadi::DM* ret = (casadi::DM*)new casadi::DM(x0_);
        // x0 is not a swig output

        return ret;
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return 0;
    }
}


// ================== Constructor method: "CONSTRUCTOR" ===============
// class: "casadi::DM"
// cppName: "casadi::DM"
// cWrapperName: "casadi__DM__CONSTRUCTOR__3"
// protoArgs: "(std::string ** err_msg, casadi::IM* x0)"
// args: "(x0_)"
// rettype: UserType (Namespace ["casadi"]) (Name "DM")
// cWrapperRetType: "casadi::DM*"
// proto: "casadi::DM*\n    casadi__DM__CONSTRUCTOR__3(std::string ** err_msg, casadi::IM* x0)"
// call: "        casadi::DM* ret = (casadi::DM*)new casadi::DM(x0_);"
// params: [(Ref (Const (UserType (Namespace ["casadi"]) (Name "IM"))),SwigOutput False)]
extern "C"
casadi::DM*
    casadi__DM__CONSTRUCTOR__3(std::string ** err_msg, casadi::IM* x0);
casadi::DM*
    casadi__DM__CONSTRUCTOR__3(std::string ** err_msg, casadi::IM* x0){
    try {
        casadi::IM& x0_ = Marshaling<casadi::IM&,casadi::IM*>::marshal(x0);

        casadi::DM* ret = (casadi::DM*)new casadi::DM(x0_);
        // x0 is not a swig output

        return ret;
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return 0;
    }
}


// ================== Constructor method: "CONSTRUCTOR" ===============
// class: "casadi::DM"
// cppName: "casadi::DM"
// cWrapperName: "casadi__DM__CONSTRUCTOR__4"
// protoArgs: "(std::string ** err_msg, std::vector< std::vector< double >* >* x0)"
// args: "(x0_)"
// rettype: UserType (Namespace ["casadi"]) (Name "DM")
// cWrapperRetType: "casadi::DM*"
// proto: "casadi::DM*\n    casadi__DM__CONSTRUCTOR__4(std::string ** err_msg, std::vector< std::vector< double >* >* x0)"
// call: "        casadi::DM* ret = (casadi::DM*)new casadi::DM(x0_);"
// params: [(Ref (Const (StdVec (StdVec CDouble))),SwigOutput False)]
extern "C"
casadi::DM*
    casadi__DM__CONSTRUCTOR__4(std::string ** err_msg, std::vector< std::vector< double >* >* x0);
casadi::DM*
    casadi__DM__CONSTRUCTOR__4(std::string ** err_msg, std::vector< std::vector< double >* >* x0){
    try {
        std::vector< std::vector< double > > x0_ = Marshaling<std::vector< std::vector< double > >,std::vector< std::vector< double >* >*>::marshal(x0);

        casadi::DM* ret = (casadi::DM*)new casadi::DM(x0_);
        // x0 is not a swig output

        return ret;
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return 0;
    }
}


// ================== Constructor method: "CONSTRUCTOR" ===============
// class: "casadi::DM"
// cppName: "casadi::DM"
// cWrapperName: "casadi__DM__CONSTRUCTOR__5"
// protoArgs: "(std::string ** err_msg, double x0)"
// args: "(x0_)"
// rettype: UserType (Namespace ["casadi"]) (Name "DM")
// cWrapperRetType: "casadi::DM*"
// proto: "casadi::DM*\n    casadi__DM__CONSTRUCTOR__5(std::string ** err_msg, double x0)"
// call: "        casadi::DM* ret = (casadi::DM*)new casadi::DM(x0_);"
// params: [(CDouble,SwigOutput False)]
extern "C"
casadi::DM*
    casadi__DM__CONSTRUCTOR__5(std::string ** err_msg, double x0);
casadi::DM*
    casadi__DM__CONSTRUCTOR__5(std::string ** err_msg, double x0){
    try {
        double x0_ = Marshaling<double,double>::marshal(x0);

        casadi::DM* ret = (casadi::DM*)new casadi::DM(x0_);
        // x0 is not a swig output

        return ret;
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return 0;
    }
}


// ================== Constructor method: "CONSTRUCTOR" ===============
// class: "casadi::DM"
// cppName: "casadi::DM"
// cWrapperName: "casadi__DM__CONSTRUCTOR__6"
// protoArgs: "(std::string ** err_msg, casadi::Sparsity* x0, casadi::DM* x1)"
// args: "(x0_, x1_)"
// rettype: UserType (Namespace ["casadi"]) (Name "DM")
// cWrapperRetType: "casadi::DM*"
// proto: "casadi::DM*\n    casadi__DM__CONSTRUCTOR__6(std::string ** err_msg, casadi::Sparsity* x0, casadi::DM* x1)"
// call: "        casadi::DM* ret = (casadi::DM*)new casadi::DM(x0_, x1_);"
// params: [(Ref (Const (UserType (Namespace ["casadi"]) (Name "Sparsity"))),SwigOutput False),(Ref (Const (UserType (Namespace ["casadi"]) (Name "DM"))),SwigOutput False)]
extern "C"
casadi::DM*
    casadi__DM__CONSTRUCTOR__6(std::string ** err_msg, casadi::Sparsity* x0, casadi::DM* x1);
casadi::DM*
    casadi__DM__CONSTRUCTOR__6(std::string ** err_msg, casadi::Sparsity* x0, casadi::DM* x1){
    try {
        casadi::Sparsity& x0_ = Marshaling<casadi::Sparsity&,casadi::Sparsity*>::marshal(x0);
        casadi::DM& x1_ = Marshaling<casadi::DM&,casadi::DM*>::marshal(x1);

        casadi::DM* ret = (casadi::DM*)new casadi::DM(x0_, x1_);
        // x0 is not a swig output
        // x1 is not a swig output

        return ret;
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return 0;
    }
}


// ================== Constructor method: "CONSTRUCTOR" ===============
// class: "casadi::DM"
// cppName: "casadi::DM"
// cWrapperName: "casadi__DM__CONSTRUCTOR__7"
// protoArgs: "(std::string ** err_msg, casadi::Sparsity* x0)"
// args: "(x0_)"
// rettype: UserType (Namespace ["casadi"]) (Name "DM")
// cWrapperRetType: "casadi::DM*"
// proto: "casadi::DM*\n    casadi__DM__CONSTRUCTOR__7(std::string ** err_msg, casadi::Sparsity* x0)"
// call: "        casadi::DM* ret = (casadi::DM*)new casadi::DM(x0_);"
// params: [(Ref (Const (UserType (Namespace ["casadi"]) (Name "Sparsity"))),SwigOutput False)]
extern "C"
casadi::DM*
    casadi__DM__CONSTRUCTOR__7(std::string ** err_msg, casadi::Sparsity* x0);
casadi::DM*
    casadi__DM__CONSTRUCTOR__7(std::string ** err_msg, casadi::Sparsity* x0){
    try {
        casadi::Sparsity& x0_ = Marshaling<casadi::Sparsity&,casadi::Sparsity*>::marshal(x0);

        casadi::DM* ret = (casadi::DM*)new casadi::DM(x0_);
        // x0 is not a swig output

        return ret;
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return 0;
    }
}


// ================== Constructor method: "CONSTRUCTOR" ===============
// class: "casadi::DM"
// cppName: "casadi::DM"
// cWrapperName: "casadi__DM__CONSTRUCTOR__8"
// protoArgs: "(std::string ** err_msg, int x0, int x1)"
// args: "(x0_, x1_)"
// rettype: UserType (Namespace ["casadi"]) (Name "DM")
// cWrapperRetType: "casadi::DM*"
// proto: "casadi::DM*\n    casadi__DM__CONSTRUCTOR__8(std::string ** err_msg, int x0, int x1)"
// call: "        casadi::DM* ret = (casadi::DM*)new casadi::DM(x0_, x1_);"
// params: [(CInt,SwigOutput False),(CInt,SwigOutput False)]
extern "C"
casadi::DM*
    casadi__DM__CONSTRUCTOR__8(std::string ** err_msg, int x0, int x1);
casadi::DM*
    casadi__DM__CONSTRUCTOR__8(std::string ** err_msg, int x0, int x1){
    try {
        int x0_ = Marshaling<int,int>::marshal(x0);
        int x1_ = Marshaling<int,int>::marshal(x1);

        casadi::DM* ret = (casadi::DM*)new casadi::DM(x0_, x1_);
        // x0 is not a swig output
        // x1 is not a swig output

        return ret;
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return 0;
    }
}


// ================== Constructor method: "CONSTRUCTOR" ===============
// class: "casadi::DM"
// cppName: "casadi::DM"
// cWrapperName: "casadi__DM__CONSTRUCTOR__9"
// protoArgs: "(std::string ** err_msg, casadi::DM* x0)"
// args: "(x0_)"
// rettype: UserType (Namespace ["casadi"]) (Name "DM")
// cWrapperRetType: "casadi::DM*"
// proto: "casadi::DM*\n    casadi__DM__CONSTRUCTOR__9(std::string ** err_msg, casadi::DM* x0)"
// call: "        casadi::DM* ret = (casadi::DM*)new casadi::DM(x0_);"
// params: [(Ref (Const (UserType (Namespace ["casadi"]) (Name "DM"))),SwigOutput False)]
extern "C"
casadi::DM*
    casadi__DM__CONSTRUCTOR__9(std::string ** err_msg, casadi::DM* x0);
casadi::DM*
    casadi__DM__CONSTRUCTOR__9(std::string ** err_msg, casadi::DM* x0){
    try {
        casadi::DM& x0_ = Marshaling<casadi::DM&,casadi::DM*>::marshal(x0);

        casadi::DM* ret = (casadi::DM*)new casadi::DM(x0_);
        // x0 is not a swig output

        return ret;
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return 0;
    }
}


// ================== Constructor method: "CONSTRUCTOR" ===============
// class: "casadi::DM"
// cppName: "casadi::DM"
// cWrapperName: "casadi__DM__CONSTRUCTOR__10"
// protoArgs: "(std::string ** err_msg)"
// args: "()"
// rettype: UserType (Namespace ["casadi"]) (Name "DM")
// cWrapperRetType: "casadi::DM*"
// proto: "casadi::DM*\n    casadi__DM__CONSTRUCTOR__10(std::string ** err_msg)"
// call: "        casadi::DM* ret = (casadi::DM*)new casadi::DM();"
// params: []
extern "C"
casadi::DM*
    casadi__DM__CONSTRUCTOR__10(std::string ** err_msg);
casadi::DM*
    casadi__DM__CONSTRUCTOR__10(std::string ** err_msg){
    try {

        casadi::DM* ret = (casadi::DM*)new casadi::DM();

        return ret;
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return 0;
    }
}


// ================== Normal method: "T" ===============
// class: "casadi::DM"
// cppName: "casadi::DM::T"
// cWrapperName: "casadi__DM__T"
// protoArgs: "(std::string ** err_msg, casadi::DM* obj)"
// args: "()"
// rettype: UserType (Namespace ["casadi"]) (Name "DM")
// cWrapperRetType: "casadi::DM*"
// proto: "casadi::DM*\n    casadi__DM__T(std::string ** err_msg, casadi::DM* obj)"
// call: "        casadi::DM ret = obj->T();"
// params: []
extern "C"
casadi::DM*
    casadi__DM__T(std::string ** err_msg, casadi::DM* obj);
casadi::DM*
    casadi__DM__T(std::string ** err_msg, casadi::DM* obj){
    try {

        casadi::DM ret = obj->T();

        return WrapReturn< casadi::DM*, casadi::DM >::wrapReturn( ret );
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return 0;
    }
}


// ================== Normal method: "__nonzero__" ===============
// class: "casadi::DM"
// cppName: "casadi::DM::__nonzero__"
// cWrapperName: "casadi__DM____nonzero__"
// protoArgs: "(std::string ** err_msg, casadi::DM* obj)"
// args: "()"
// rettype: CBool
// cWrapperRetType: "int"
// proto: "int\n    casadi__DM____nonzero__(std::string ** err_msg, casadi::DM* obj)"
// call: "        bool ret = obj->__nonzero__();"
// params: []
extern "C"
int
    casadi__DM____nonzero__(std::string ** err_msg, casadi::DM* obj);
int
    casadi__DM____nonzero__(std::string ** err_msg, casadi::DM* obj){
    try {

        bool ret = obj->__nonzero__();

        return WrapReturn< int, bool >::wrapReturn( ret );
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return 0;
    }
}


// ================== Static method: "binary" ===============
// class: "casadi::DM"
// cppName: "casadi::DM::binary"
// cWrapperName: "casadi__DM__binary"
// protoArgs: "(std::string ** err_msg, int x0, casadi::DM* x1, casadi::DM* x2)"
// args: "(x0_, x1_, x2_)"
// rettype: UserType (Namespace ["casadi"]) (Name "DM")
// cWrapperRetType: "casadi::DM*"
// proto: "casadi::DM*\n    casadi__DM__binary(std::string ** err_msg, int x0, casadi::DM* x1, casadi::DM* x2)"
// call: "        casadi::DM ret = casadi::DM::binary(x0_, x1_, x2_);"
// params: [(CInt,SwigOutput False),(Ref (Const (UserType (Namespace ["casadi"]) (Name "DM"))),SwigOutput False),(Ref (Const (UserType (Namespace ["casadi"]) (Name "DM"))),SwigOutput False)]
extern "C"
casadi::DM*
    casadi__DM__binary(std::string ** err_msg, int x0, casadi::DM* x1, casadi::DM* x2);
casadi::DM*
    casadi__DM__binary(std::string ** err_msg, int x0, casadi::DM* x1, casadi::DM* x2){
    try {
        int x0_ = Marshaling<int,int>::marshal(x0);
        casadi::DM& x1_ = Marshaling<casadi::DM&,casadi::DM*>::marshal(x1);
        casadi::DM& x2_ = Marshaling<casadi::DM&,casadi::DM*>::marshal(x2);

        casadi::DM ret = casadi::DM::binary(x0_, x1_, x2_);
        // x0 is not a swig output
        // x1 is not a swig output
        // x2 is not a swig output

        return WrapReturn< casadi::DM*, casadi::DM >::wrapReturn( ret );
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return 0;
    }
}


// ================== Normal method: "clear" ===============
// class: "casadi::DM"
// cppName: "casadi::DM::clear"
// cWrapperName: "casadi__DM__clear"
// protoArgs: "(std::string ** err_msg, casadi::DM* obj)"
// args: "()"
// rettype: CVoid
// cWrapperRetType: "void"
// proto: "void\n    casadi__DM__clear(std::string ** err_msg, casadi::DM* obj)"
// call: "        obj->clear();"
// params: []
extern "C"
void
    casadi__DM__clear(std::string ** err_msg, casadi::DM* obj);
void
    casadi__DM__clear(std::string ** err_msg, casadi::DM* obj){
    try {

        obj->clear();

        return;
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return;
    }
}


// ================== Normal method: "colind" ===============
// class: "casadi::DM"
// cppName: "casadi::DM::colind"
// cWrapperName: "casadi__DM__colind"
// protoArgs: "(std::string ** err_msg, casadi::DM* obj, int x0)"
// args: "(x0_)"
// rettype: CInt
// cWrapperRetType: "int"
// proto: "int\n    casadi__DM__colind(std::string ** err_msg, casadi::DM* obj, int x0)"
// call: "        int ret = obj->colind(x0_);"
// params: [(CInt,SwigOutput False)]
extern "C"
int
    casadi__DM__colind(std::string ** err_msg, casadi::DM* obj, int x0);
int
    casadi__DM__colind(std::string ** err_msg, casadi::DM* obj, int x0){
    try {
        int x0_ = Marshaling<int,int>::marshal(x0);

        int ret = obj->colind(x0_);
        // x0 is not a swig output

        return WrapReturn< int, int >::wrapReturn( ret );
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return 0;
    }
}


// ================== Normal method: "dep" ===============
// class: "casadi::DM"
// cppName: "casadi::DM::dep"
// cWrapperName: "casadi__DM__dep__0"
// protoArgs: "(std::string ** err_msg, casadi::DM* obj)"
// args: "()"
// rettype: UserType (Namespace ["casadi"]) (Name "DM")
// cWrapperRetType: "casadi::DM*"
// proto: "casadi::DM*\n    casadi__DM__dep__0(std::string ** err_msg, casadi::DM* obj)"
// call: "        casadi::DM ret = obj->dep();"
// params: []
extern "C"
casadi::DM*
    casadi__DM__dep__0(std::string ** err_msg, casadi::DM* obj);
casadi::DM*
    casadi__DM__dep__0(std::string ** err_msg, casadi::DM* obj){
    try {

        casadi::DM ret = obj->dep();

        return WrapReturn< casadi::DM*, casadi::DM >::wrapReturn( ret );
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return 0;
    }
}


// ================== Normal method: "dep" ===============
// class: "casadi::DM"
// cppName: "casadi::DM::dep"
// cWrapperName: "casadi__DM__dep__1"
// protoArgs: "(std::string ** err_msg, casadi::DM* obj, int x0)"
// args: "(x0_)"
// rettype: UserType (Namespace ["casadi"]) (Name "DM")
// cWrapperRetType: "casadi::DM*"
// proto: "casadi::DM*\n    casadi__DM__dep__1(std::string ** err_msg, casadi::DM* obj, int x0)"
// call: "        casadi::DM ret = obj->dep(x0_);"
// params: [(CInt,SwigOutput False)]
extern "C"
casadi::DM*
    casadi__DM__dep__1(std::string ** err_msg, casadi::DM* obj, int x0);
casadi::DM*
    casadi__DM__dep__1(std::string ** err_msg, casadi::DM* obj, int x0){
    try {
        int x0_ = Marshaling<int,int>::marshal(x0);

        casadi::DM ret = obj->dep(x0_);
        // x0 is not a swig output

        return WrapReturn< casadi::DM*, casadi::DM >::wrapReturn( ret );
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return 0;
    }
}


// ================== Normal method: "dim" ===============
// class: "casadi::DM"
// cppName: "casadi::DM::dim"
// cWrapperName: "casadi__DM__dim"
// protoArgs: "(std::string ** err_msg, casadi::DM* obj)"
// args: "()"
// rettype: StdString
// cWrapperRetType: "std::string*"
// proto: "std::string*\n    casadi__DM__dim(std::string ** err_msg, casadi::DM* obj)"
// call: "        std::string ret = obj->dim();"
// params: []
extern "C"
std::string*
    casadi__DM__dim(std::string ** err_msg, casadi::DM* obj);
std::string*
    casadi__DM__dim(std::string ** err_msg, casadi::DM* obj){
    try {

        std::string ret = obj->dim();

        return WrapReturn< std::string*, std::string >::wrapReturn( ret );
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return 0;
    }
}


// ================== Normal method: "element_hash" ===============
// class: "casadi::DM"
// cppName: "casadi::DM::element_hash"
// cWrapperName: "casadi__DM__element_hash"
// protoArgs: "(std::string ** err_msg, casadi::DM* obj)"
// args: "()"
// rettype: CSize
// cWrapperRetType: "size_t"
// proto: "size_t\n    casadi__DM__element_hash(std::string ** err_msg, casadi::DM* obj)"
// call: "        size_t ret = obj->element_hash();"
// params: []
extern "C"
size_t
    casadi__DM__element_hash(std::string ** err_msg, casadi::DM* obj);
size_t
    casadi__DM__element_hash(std::string ** err_msg, casadi::DM* obj){
    try {

        size_t ret = obj->element_hash();

        return WrapReturn< size_t, size_t >::wrapReturn( ret );
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return 0;
    }
}


// ================== Normal method: "enlarge" ===============
// class: "casadi::DM"
// cppName: "casadi::DM::enlarge"
// cWrapperName: "casadi__DM__enlarge__0"
// protoArgs: "(std::string ** err_msg, casadi::DM* obj, int x0, int x1, std::vector< int >* x2, std::vector< int >* x3)"
// args: "(x0_, x1_, x2_, x3_)"
// rettype: CVoid
// cWrapperRetType: "void"
// proto: "void\n    casadi__DM__enlarge__0(std::string ** err_msg, casadi::DM* obj, int x0, int x1, std::vector< int >* x2, std::vector< int >* x3)"
// call: "        obj->enlarge(x0_, x1_, x2_, x3_);"
// params: [(CInt,SwigOutput False),(CInt,SwigOutput False),(Ref (Const (StdVec CInt)),SwigOutput False),(Ref (Const (StdVec CInt)),SwigOutput False)]
extern "C"
void
    casadi__DM__enlarge__0(std::string ** err_msg, casadi::DM* obj, int x0, int x1, std::vector< int >* x2, std::vector< int >* x3);
void
    casadi__DM__enlarge__0(std::string ** err_msg, casadi::DM* obj, int x0, int x1, std::vector< int >* x2, std::vector< int >* x3){
    try {
        int x0_ = Marshaling<int,int>::marshal(x0);
        int x1_ = Marshaling<int,int>::marshal(x1);
        std::vector< int > x2_ = Marshaling<std::vector< int >,std::vector< int >*>::marshal(x2);
        std::vector< int > x3_ = Marshaling<std::vector< int >,std::vector< int >*>::marshal(x3);

        obj->enlarge(x0_, x1_, x2_, x3_);
        // x0 is not a swig output
        // x1 is not a swig output
        // x2 is not a swig output
        // x3 is not a swig output

        return;
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return;
    }
}


// ================== Normal method: "enlarge" ===============
// class: "casadi::DM"
// cppName: "casadi::DM::enlarge"
// cWrapperName: "casadi__DM__enlarge__1"
// protoArgs: "(std::string ** err_msg, casadi::DM* obj, int x0, int x1, std::vector< int >* x2, std::vector< int >* x3, int x4)"
// args: "(x0_, x1_, x2_, x3_, x4_)"
// rettype: CVoid
// cWrapperRetType: "void"
// proto: "void\n    casadi__DM__enlarge__1(std::string ** err_msg, casadi::DM* obj, int x0, int x1, std::vector< int >* x2, std::vector< int >* x3, int x4)"
// call: "        obj->enlarge(x0_, x1_, x2_, x3_, x4_);"
// params: [(CInt,SwigOutput False),(CInt,SwigOutput False),(Ref (Const (StdVec CInt)),SwigOutput False),(Ref (Const (StdVec CInt)),SwigOutput False),(CBool,SwigOutput False)]
extern "C"
void
    casadi__DM__enlarge__1(std::string ** err_msg, casadi::DM* obj, int x0, int x1, std::vector< int >* x2, std::vector< int >* x3, int x4);
void
    casadi__DM__enlarge__1(std::string ** err_msg, casadi::DM* obj, int x0, int x1, std::vector< int >* x2, std::vector< int >* x3, int x4){
    try {
        int x0_ = Marshaling<int,int>::marshal(x0);
        int x1_ = Marshaling<int,int>::marshal(x1);
        std::vector< int > x2_ = Marshaling<std::vector< int >,std::vector< int >*>::marshal(x2);
        std::vector< int > x3_ = Marshaling<std::vector< int >,std::vector< int >*>::marshal(x3);
        bool x4_ = Marshaling<bool,int>::marshal(x4);

        obj->enlarge(x0_, x1_, x2_, x3_, x4_);
        // x0 is not a swig output
        // x1 is not a swig output
        // x2 is not a swig output
        // x3 is not a swig output
        // x4 is not a swig output

        return;
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return;
    }
}


// ================== Normal method: "erase" ===============
// class: "casadi::DM"
// cppName: "casadi::DM::erase"
// cWrapperName: "casadi__DM__erase__0"
// protoArgs: "(std::string ** err_msg, casadi::DM* obj, std::vector< int >* x0)"
// args: "(x0_)"
// rettype: CVoid
// cWrapperRetType: "void"
// proto: "void\n    casadi__DM__erase__0(std::string ** err_msg, casadi::DM* obj, std::vector< int >* x0)"
// call: "        obj->erase(x0_);"
// params: [(Ref (Const (StdVec CInt)),SwigOutput False)]
extern "C"
void
    casadi__DM__erase__0(std::string ** err_msg, casadi::DM* obj, std::vector< int >* x0);
void
    casadi__DM__erase__0(std::string ** err_msg, casadi::DM* obj, std::vector< int >* x0){
    try {
        std::vector< int > x0_ = Marshaling<std::vector< int >,std::vector< int >*>::marshal(x0);

        obj->erase(x0_);
        // x0 is not a swig output

        return;
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return;
    }
}


// ================== Normal method: "erase" ===============
// class: "casadi::DM"
// cppName: "casadi::DM::erase"
// cWrapperName: "casadi__DM__erase__1"
// protoArgs: "(std::string ** err_msg, casadi::DM* obj, std::vector< int >* x0, int x1)"
// args: "(x0_, x1_)"
// rettype: CVoid
// cWrapperRetType: "void"
// proto: "void\n    casadi__DM__erase__1(std::string ** err_msg, casadi::DM* obj, std::vector< int >* x0, int x1)"
// call: "        obj->erase(x0_, x1_);"
// params: [(Ref (Const (StdVec CInt)),SwigOutput False),(CBool,SwigOutput False)]
extern "C"
void
    casadi__DM__erase__1(std::string ** err_msg, casadi::DM* obj, std::vector< int >* x0, int x1);
void
    casadi__DM__erase__1(std::string ** err_msg, casadi::DM* obj, std::vector< int >* x0, int x1){
    try {
        std::vector< int > x0_ = Marshaling<std::vector< int >,std::vector< int >*>::marshal(x0);
        bool x1_ = Marshaling<bool,int>::marshal(x1);

        obj->erase(x0_, x1_);
        // x0 is not a swig output
        // x1 is not a swig output

        return;
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return;
    }
}


// ================== Normal method: "erase" ===============
// class: "casadi::DM"
// cppName: "casadi::DM::erase"
// cWrapperName: "casadi__DM__erase__2"
// protoArgs: "(std::string ** err_msg, casadi::DM* obj, std::vector< int >* x0, std::vector< int >* x1)"
// args: "(x0_, x1_)"
// rettype: CVoid
// cWrapperRetType: "void"
// proto: "void\n    casadi__DM__erase__2(std::string ** err_msg, casadi::DM* obj, std::vector< int >* x0, std::vector< int >* x1)"
// call: "        obj->erase(x0_, x1_);"
// params: [(Ref (Const (StdVec CInt)),SwigOutput False),(Ref (Const (StdVec CInt)),SwigOutput False)]
extern "C"
void
    casadi__DM__erase__2(std::string ** err_msg, casadi::DM* obj, std::vector< int >* x0, std::vector< int >* x1);
void
    casadi__DM__erase__2(std::string ** err_msg, casadi::DM* obj, std::vector< int >* x0, std::vector< int >* x1){
    try {
        std::vector< int > x0_ = Marshaling<std::vector< int >,std::vector< int >*>::marshal(x0);
        std::vector< int > x1_ = Marshaling<std::vector< int >,std::vector< int >*>::marshal(x1);

        obj->erase(x0_, x1_);
        // x0 is not a swig output
        // x1 is not a swig output

        return;
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return;
    }
}


// ================== Normal method: "erase" ===============
// class: "casadi::DM"
// cppName: "casadi::DM::erase"
// cWrapperName: "casadi__DM__erase__3"
// protoArgs: "(std::string ** err_msg, casadi::DM* obj, std::vector< int >* x0, std::vector< int >* x1, int x2)"
// args: "(x0_, x1_, x2_)"
// rettype: CVoid
// cWrapperRetType: "void"
// proto: "void\n    casadi__DM__erase__3(std::string ** err_msg, casadi::DM* obj, std::vector< int >* x0, std::vector< int >* x1, int x2)"
// call: "        obj->erase(x0_, x1_, x2_);"
// params: [(Ref (Const (StdVec CInt)),SwigOutput False),(Ref (Const (StdVec CInt)),SwigOutput False),(CBool,SwigOutput False)]
extern "C"
void
    casadi__DM__erase__3(std::string ** err_msg, casadi::DM* obj, std::vector< int >* x0, std::vector< int >* x1, int x2);
void
    casadi__DM__erase__3(std::string ** err_msg, casadi::DM* obj, std::vector< int >* x0, std::vector< int >* x1, int x2){
    try {
        std::vector< int > x0_ = Marshaling<std::vector< int >,std::vector< int >*>::marshal(x0);
        std::vector< int > x1_ = Marshaling<std::vector< int >,std::vector< int >*>::marshal(x1);
        bool x2_ = Marshaling<bool,int>::marshal(x2);

        obj->erase(x0_, x1_, x2_);
        // x0 is not a swig output
        // x1 is not a swig output
        // x2 is not a swig output

        return;
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return;
    }
}


// ================== Static method: "eye" ===============
// class: "casadi::DM"
// cppName: "casadi::DM::eye"
// cWrapperName: "casadi__DM__eye"
// protoArgs: "(std::string ** err_msg, int x0)"
// args: "(x0_)"
// rettype: UserType (Namespace ["casadi"]) (Name "DM")
// cWrapperRetType: "casadi::DM*"
// proto: "casadi::DM*\n    casadi__DM__eye(std::string ** err_msg, int x0)"
// call: "        casadi::DM ret = casadi::DM::eye(x0_);"
// params: [(CInt,SwigOutput False)]
extern "C"
casadi::DM*
    casadi__DM__eye(std::string ** err_msg, int x0);
casadi::DM*
    casadi__DM__eye(std::string ** err_msg, int x0){
    try {
        int x0_ = Marshaling<int,int>::marshal(x0);

        casadi::DM ret = casadi::DM::eye(x0_);
        // x0 is not a swig output

        return WrapReturn< casadi::DM*, casadi::DM >::wrapReturn( ret );
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return 0;
    }
}


// ================== Normal method: "get" ===============
// class: "casadi::DM"
// cppName: "casadi::DM::get"
// cWrapperName: "casadi__DM__get__0"
// protoArgs: "(std::string ** err_msg, casadi::DM* obj, casadi::DM** x0, int x1, casadi::IM* x2, casadi::IM* x3)"
// args: "(x0_, x1_, x2_, x3_)"
// rettype: CVoid
// cWrapperRetType: "void"
// proto: "void\n    casadi__DM__get__0(std::string ** err_msg, casadi::DM* obj, casadi::DM** x0, int x1, casadi::IM* x2, casadi::IM* x3)"
// call: "        obj->get(x0_, x1_, x2_, x3_);"
// params: [(Ref (UserType (Namespace ["casadi"]) (Name "DM")),SwigOutput True),(CBool,SwigOutput False),(Ref (Const (UserType (Namespace ["casadi"]) (Name "IM"))),SwigOutput False),(Ref (Const (UserType (Namespace ["casadi"]) (Name "IM"))),SwigOutput False)]
extern "C"
void
    casadi__DM__get__0(std::string ** err_msg, casadi::DM* obj, casadi::DM** x0, int x1, casadi::IM* x2, casadi::IM* x3);
void
    casadi__DM__get__0(std::string ** err_msg, casadi::DM* obj, casadi::DM** x0, int x1, casadi::IM* x2, casadi::IM* x3){
    try {
        casadi::DM x0_ = casadi::DM();  // Swig output
        bool x1_ = Marshaling<bool,int>::marshal(x1);
        casadi::IM& x2_ = Marshaling<casadi::IM&,casadi::IM*>::marshal(x2);
        casadi::IM& x3_ = Marshaling<casadi::IM&,casadi::IM*>::marshal(x3);

        obj->get(x0_, x1_, x2_, x3_);
        *x0 = WrapReturn< casadi::DM*, casadi::DM >::wrapReturn( x0_ );
        // x1 is not a swig output
        // x2 is not a swig output
        // x3 is not a swig output

        return;
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return;
    }
}


// ================== Normal method: "get" ===============
// class: "casadi::DM"
// cppName: "casadi::DM::get"
// cWrapperName: "casadi__DM__get__1"
// protoArgs: "(std::string ** err_msg, casadi::DM* obj, casadi::DM** x0, int x1, casadi::IM* x2, casadi::Slice* x3)"
// args: "(x0_, x1_, x2_, x3_)"
// rettype: CVoid
// cWrapperRetType: "void"
// proto: "void\n    casadi__DM__get__1(std::string ** err_msg, casadi::DM* obj, casadi::DM** x0, int x1, casadi::IM* x2, casadi::Slice* x3)"
// call: "        obj->get(x0_, x1_, x2_, x3_);"
// params: [(Ref (UserType (Namespace ["casadi"]) (Name "DM")),SwigOutput True),(CBool,SwigOutput False),(Ref (Const (UserType (Namespace ["casadi"]) (Name "IM"))),SwigOutput False),(Ref (Const (UserType (Namespace ["casadi"]) (Name "Slice"))),SwigOutput False)]
extern "C"
void
    casadi__DM__get__1(std::string ** err_msg, casadi::DM* obj, casadi::DM** x0, int x1, casadi::IM* x2, casadi::Slice* x3);
void
    casadi__DM__get__1(std::string ** err_msg, casadi::DM* obj, casadi::DM** x0, int x1, casadi::IM* x2, casadi::Slice* x3){
    try {
        casadi::DM x0_ = casadi::DM();  // Swig output
        bool x1_ = Marshaling<bool,int>::marshal(x1);
        casadi::IM& x2_ = Marshaling<casadi::IM&,casadi::IM*>::marshal(x2);
        casadi::Slice& x3_ = Marshaling<casadi::Slice&,casadi::Slice*>::marshal(x3);

        obj->get(x0_, x1_, x2_, x3_);
        *x0 = WrapReturn< casadi::DM*, casadi::DM >::wrapReturn( x0_ );
        // x1 is not a swig output
        // x2 is not a swig output
        // x3 is not a swig output

        return;
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return;
    }
}


// ================== Normal method: "get" ===============
// class: "casadi::DM"
// cppName: "casadi::DM::get"
// cWrapperName: "casadi__DM__get__2"
// protoArgs: "(std::string ** err_msg, casadi::DM* obj, casadi::DM** x0, int x1, casadi::Slice* x2, casadi::IM* x3)"
// args: "(x0_, x1_, x2_, x3_)"
// rettype: CVoid
// cWrapperRetType: "void"
// proto: "void\n    casadi__DM__get__2(std::string ** err_msg, casadi::DM* obj, casadi::DM** x0, int x1, casadi::Slice* x2, casadi::IM* x3)"
// call: "        obj->get(x0_, x1_, x2_, x3_);"
// params: [(Ref (UserType (Namespace ["casadi"]) (Name "DM")),SwigOutput True),(CBool,SwigOutput False),(Ref (Const (UserType (Namespace ["casadi"]) (Name "Slice"))),SwigOutput False),(Ref (Const (UserType (Namespace ["casadi"]) (Name "IM"))),SwigOutput False)]
extern "C"
void
    casadi__DM__get__2(std::string ** err_msg, casadi::DM* obj, casadi::DM** x0, int x1, casadi::Slice* x2, casadi::IM* x3);
void
    casadi__DM__get__2(std::string ** err_msg, casadi::DM* obj, casadi::DM** x0, int x1, casadi::Slice* x2, casadi::IM* x3){
    try {
        casadi::DM x0_ = casadi::DM();  // Swig output
        bool x1_ = Marshaling<bool,int>::marshal(x1);
        casadi::Slice& x2_ = Marshaling<casadi::Slice&,casadi::Slice*>::marshal(x2);
        casadi::IM& x3_ = Marshaling<casadi::IM&,casadi::IM*>::marshal(x3);

        obj->get(x0_, x1_, x2_, x3_);
        *x0 = WrapReturn< casadi::DM*, casadi::DM >::wrapReturn( x0_ );
        // x1 is not a swig output
        // x2 is not a swig output
        // x3 is not a swig output

        return;
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return;
    }
}


// ================== Normal method: "get" ===============
// class: "casadi::DM"
// cppName: "casadi::DM::get"
// cWrapperName: "casadi__DM__get__3"
// protoArgs: "(std::string ** err_msg, casadi::DM* obj, casadi::DM** x0, int x1, casadi::Slice* x2, casadi::Slice* x3)"
// args: "(x0_, x1_, x2_, x3_)"
// rettype: CVoid
// cWrapperRetType: "void"
// proto: "void\n    casadi__DM__get__3(std::string ** err_msg, casadi::DM* obj, casadi::DM** x0, int x1, casadi::Slice* x2, casadi::Slice* x3)"
// call: "        obj->get(x0_, x1_, x2_, x3_);"
// params: [(Ref (UserType (Namespace ["casadi"]) (Name "DM")),SwigOutput True),(CBool,SwigOutput False),(Ref (Const (UserType (Namespace ["casadi"]) (Name "Slice"))),SwigOutput False),(Ref (Const (UserType (Namespace ["casadi"]) (Name "Slice"))),SwigOutput False)]
extern "C"
void
    casadi__DM__get__3(std::string ** err_msg, casadi::DM* obj, casadi::DM** x0, int x1, casadi::Slice* x2, casadi::Slice* x3);
void
    casadi__DM__get__3(std::string ** err_msg, casadi::DM* obj, casadi::DM** x0, int x1, casadi::Slice* x2, casadi::Slice* x3){
    try {
        casadi::DM x0_ = casadi::DM();  // Swig output
        bool x1_ = Marshaling<bool,int>::marshal(x1);
        casadi::Slice& x2_ = Marshaling<casadi::Slice&,casadi::Slice*>::marshal(x2);
        casadi::Slice& x3_ = Marshaling<casadi::Slice&,casadi::Slice*>::marshal(x3);

        obj->get(x0_, x1_, x2_, x3_);
        *x0 = WrapReturn< casadi::DM*, casadi::DM >::wrapReturn( x0_ );
        // x1 is not a swig output
        // x2 is not a swig output
        // x3 is not a swig output

        return;
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return;
    }
}


// ================== Normal method: "get" ===============
// class: "casadi::DM"
// cppName: "casadi::DM::get"
// cWrapperName: "casadi__DM__get__4"
// protoArgs: "(std::string ** err_msg, casadi::DM* obj, casadi::DM** x0, int x1, casadi::Sparsity* x2)"
// args: "(x0_, x1_, x2_)"
// rettype: CVoid
// cWrapperRetType: "void"
// proto: "void\n    casadi__DM__get__4(std::string ** err_msg, casadi::DM* obj, casadi::DM** x0, int x1, casadi::Sparsity* x2)"
// call: "        obj->get(x0_, x1_, x2_);"
// params: [(Ref (UserType (Namespace ["casadi"]) (Name "DM")),SwigOutput True),(CBool,SwigOutput False),(Ref (Const (UserType (Namespace ["casadi"]) (Name "Sparsity"))),SwigOutput False)]
extern "C"
void
    casadi__DM__get__4(std::string ** err_msg, casadi::DM* obj, casadi::DM** x0, int x1, casadi::Sparsity* x2);
void
    casadi__DM__get__4(std::string ** err_msg, casadi::DM* obj, casadi::DM** x0, int x1, casadi::Sparsity* x2){
    try {
        casadi::DM x0_ = casadi::DM();  // Swig output
        bool x1_ = Marshaling<bool,int>::marshal(x1);
        casadi::Sparsity& x2_ = Marshaling<casadi::Sparsity&,casadi::Sparsity*>::marshal(x2);

        obj->get(x0_, x1_, x2_);
        *x0 = WrapReturn< casadi::DM*, casadi::DM >::wrapReturn( x0_ );
        // x1 is not a swig output
        // x2 is not a swig output

        return;
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return;
    }
}


// ================== Normal method: "get" ===============
// class: "casadi::DM"
// cppName: "casadi::DM::get"
// cWrapperName: "casadi__DM__get__5"
// protoArgs: "(std::string ** err_msg, casadi::DM* obj, casadi::DM** x0, int x1, casadi::IM* x2)"
// args: "(x0_, x1_, x2_)"
// rettype: CVoid
// cWrapperRetType: "void"
// proto: "void\n    casadi__DM__get__5(std::string ** err_msg, casadi::DM* obj, casadi::DM** x0, int x1, casadi::IM* x2)"
// call: "        obj->get(x0_, x1_, x2_);"
// params: [(Ref (UserType (Namespace ["casadi"]) (Name "DM")),SwigOutput True),(CBool,SwigOutput False),(Ref (Const (UserType (Namespace ["casadi"]) (Name "IM"))),SwigOutput False)]
extern "C"
void
    casadi__DM__get__5(std::string ** err_msg, casadi::DM* obj, casadi::DM** x0, int x1, casadi::IM* x2);
void
    casadi__DM__get__5(std::string ** err_msg, casadi::DM* obj, casadi::DM** x0, int x1, casadi::IM* x2){
    try {
        casadi::DM x0_ = casadi::DM();  // Swig output
        bool x1_ = Marshaling<bool,int>::marshal(x1);
        casadi::IM& x2_ = Marshaling<casadi::IM&,casadi::IM*>::marshal(x2);

        obj->get(x0_, x1_, x2_);
        *x0 = WrapReturn< casadi::DM*, casadi::DM >::wrapReturn( x0_ );
        // x1 is not a swig output
        // x2 is not a swig output

        return;
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return;
    }
}


// ================== Normal method: "get" ===============
// class: "casadi::DM"
// cppName: "casadi::DM::get"
// cWrapperName: "casadi__DM__get__6"
// protoArgs: "(std::string ** err_msg, casadi::DM* obj, casadi::DM** x0, int x1, casadi::Slice* x2)"
// args: "(x0_, x1_, x2_)"
// rettype: CVoid
// cWrapperRetType: "void"
// proto: "void\n    casadi__DM__get__6(std::string ** err_msg, casadi::DM* obj, casadi::DM** x0, int x1, casadi::Slice* x2)"
// call: "        obj->get(x0_, x1_, x2_);"
// params: [(Ref (UserType (Namespace ["casadi"]) (Name "DM")),SwigOutput True),(CBool,SwigOutput False),(Ref (Const (UserType (Namespace ["casadi"]) (Name "Slice"))),SwigOutput False)]
extern "C"
void
    casadi__DM__get__6(std::string ** err_msg, casadi::DM* obj, casadi::DM** x0, int x1, casadi::Slice* x2);
void
    casadi__DM__get__6(std::string ** err_msg, casadi::DM* obj, casadi::DM** x0, int x1, casadi::Slice* x2){
    try {
        casadi::DM x0_ = casadi::DM();  // Swig output
        bool x1_ = Marshaling<bool,int>::marshal(x1);
        casadi::Slice& x2_ = Marshaling<casadi::Slice&,casadi::Slice*>::marshal(x2);

        obj->get(x0_, x1_, x2_);
        *x0 = WrapReturn< casadi::DM*, casadi::DM >::wrapReturn( x0_ );
        // x1 is not a swig output
        // x2 is not a swig output

        return;
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return;
    }
}


// ================== Static method: "getEqualityCheckingDepth" ===============
// class: "casadi::DM"
// cppName: "casadi::DM::getEqualityCheckingDepth"
// cWrapperName: "casadi__DM__getEqualityCheckingDepth"
// protoArgs: "(std::string ** err_msg)"
// args: "()"
// rettype: CInt
// cWrapperRetType: "int"
// proto: "int\n    casadi__DM__getEqualityCheckingDepth(std::string ** err_msg)"
// call: "        int ret = casadi::DM::getEqualityCheckingDepth();"
// params: []
extern "C"
int
    casadi__DM__getEqualityCheckingDepth(std::string ** err_msg);
int
    casadi__DM__getEqualityCheckingDepth(std::string ** err_msg){
    try {

        int ret = casadi::DM::getEqualityCheckingDepth();

        return WrapReturn< int, int >::wrapReturn( ret );
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return 0;
    }
}


// ================== Normal method: "get_colind" ===============
// class: "casadi::DM"
// cppName: "casadi::DM::get_colind"
// cWrapperName: "casadi__DM__get_colind"
// protoArgs: "(std::string ** err_msg, casadi::DM* obj)"
// args: "()"
// rettype: StdVec CInt
// cWrapperRetType: "std::vector< int >*"
// proto: "std::vector< int >*\n    casadi__DM__get_colind(std::string ** err_msg, casadi::DM* obj)"
// call: "        std::vector< int > ret = obj->get_colind();"
// params: []
extern "C"
std::vector< int >*
    casadi__DM__get_colind(std::string ** err_msg, casadi::DM* obj);
std::vector< int >*
    casadi__DM__get_colind(std::string ** err_msg, casadi::DM* obj){
    try {

        std::vector< int > ret = obj->get_colind();

        return WrapReturn< std::vector< int >*, std::vector< int > >::wrapReturn( ret );
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return 0;
    }
}


// ================== Static method: "get_input" ===============
// class: "casadi::DM"
// cppName: "casadi::DM::get_input"
// cWrapperName: "casadi__DM__get_input"
// protoArgs: "(std::string ** err_msg, casadi::Function* x0)"
// args: "(x0_)"
// rettype: StdVec (UserType (Namespace ["casadi"]) (Name "DM"))
// cWrapperRetType: "std::vector< casadi::DM* >*"
// proto: "std::vector< casadi::DM* >*\n    casadi__DM__get_input(std::string ** err_msg, casadi::Function* x0)"
// call: "        std::vector< casadi::DM > ret = casadi::DM::get_input(x0_);"
// params: [(Ref (Const (UserType (Namespace ["casadi"]) (Name "Function"))),SwigOutput False)]
extern "C"
std::vector< casadi::DM* >*
    casadi__DM__get_input(std::string ** err_msg, casadi::Function* x0);
std::vector< casadi::DM* >*
    casadi__DM__get_input(std::string ** err_msg, casadi::Function* x0){
    try {
        casadi::Function& x0_ = Marshaling<casadi::Function&,casadi::Function*>::marshal(x0);

        std::vector< casadi::DM > ret = casadi::DM::get_input(x0_);
        // x0 is not a swig output

        return WrapReturn< std::vector< casadi::DM* >*, std::vector< casadi::DM > >::wrapReturn( ret );
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return 0;
    }
}


// ================== Normal method: "get_nonzeros" ===============
// class: "casadi::DM"
// cppName: "casadi::DM::get_nonzeros"
// cWrapperName: "casadi__DM__get_nonzeros"
// protoArgs: "(std::string ** err_msg, casadi::DM* obj)"
// args: "()"
// rettype: StdVec CDouble
// cWrapperRetType: "std::vector< double >*"
// proto: "std::vector< double >*\n    casadi__DM__get_nonzeros(std::string ** err_msg, casadi::DM* obj)"
// call: "        std::vector< double > ret = obj->get_nonzeros();"
// params: []
extern "C"
std::vector< double >*
    casadi__DM__get_nonzeros(std::string ** err_msg, casadi::DM* obj);
std::vector< double >*
    casadi__DM__get_nonzeros(std::string ** err_msg, casadi::DM* obj){
    try {

        std::vector< double > ret = obj->get_nonzeros();

        return WrapReturn< std::vector< double >*, std::vector< double > >::wrapReturn( ret );
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return 0;
    }
}


// ================== Normal method: "get_nz" ===============
// class: "casadi::DM"
// cppName: "casadi::DM::get_nz"
// cWrapperName: "casadi__DM__get_nz__0"
// protoArgs: "(std::string ** err_msg, casadi::DM* obj, casadi::DM** x0, int x1, casadi::IM* x2)"
// args: "(x0_, x1_, x2_)"
// rettype: CVoid
// cWrapperRetType: "void"
// proto: "void\n    casadi__DM__get_nz__0(std::string ** err_msg, casadi::DM* obj, casadi::DM** x0, int x1, casadi::IM* x2)"
// call: "        obj->get_nz(x0_, x1_, x2_);"
// params: [(Ref (UserType (Namespace ["casadi"]) (Name "DM")),SwigOutput True),(CBool,SwigOutput False),(Ref (Const (UserType (Namespace ["casadi"]) (Name "IM"))),SwigOutput False)]
extern "C"
void
    casadi__DM__get_nz__0(std::string ** err_msg, casadi::DM* obj, casadi::DM** x0, int x1, casadi::IM* x2);
void
    casadi__DM__get_nz__0(std::string ** err_msg, casadi::DM* obj, casadi::DM** x0, int x1, casadi::IM* x2){
    try {
        casadi::DM x0_ = casadi::DM();  // Swig output
        bool x1_ = Marshaling<bool,int>::marshal(x1);
        casadi::IM& x2_ = Marshaling<casadi::IM&,casadi::IM*>::marshal(x2);

        obj->get_nz(x0_, x1_, x2_);
        *x0 = WrapReturn< casadi::DM*, casadi::DM >::wrapReturn( x0_ );
        // x1 is not a swig output
        // x2 is not a swig output

        return;
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return;
    }
}


// ================== Normal method: "get_nz" ===============
// class: "casadi::DM"
// cppName: "casadi::DM::get_nz"
// cWrapperName: "casadi__DM__get_nz__1"
// protoArgs: "(std::string ** err_msg, casadi::DM* obj, casadi::DM** x0, int x1, casadi::Slice* x2)"
// args: "(x0_, x1_, x2_)"
// rettype: CVoid
// cWrapperRetType: "void"
// proto: "void\n    casadi__DM__get_nz__1(std::string ** err_msg, casadi::DM* obj, casadi::DM** x0, int x1, casadi::Slice* x2)"
// call: "        obj->get_nz(x0_, x1_, x2_);"
// params: [(Ref (UserType (Namespace ["casadi"]) (Name "DM")),SwigOutput True),(CBool,SwigOutput False),(Ref (Const (UserType (Namespace ["casadi"]) (Name "Slice"))),SwigOutput False)]
extern "C"
void
    casadi__DM__get_nz__1(std::string ** err_msg, casadi::DM* obj, casadi::DM** x0, int x1, casadi::Slice* x2);
void
    casadi__DM__get_nz__1(std::string ** err_msg, casadi::DM* obj, casadi::DM** x0, int x1, casadi::Slice* x2){
    try {
        casadi::DM x0_ = casadi::DM();  // Swig output
        bool x1_ = Marshaling<bool,int>::marshal(x1);
        casadi::Slice& x2_ = Marshaling<casadi::Slice&,casadi::Slice*>::marshal(x2);

        obj->get_nz(x0_, x1_, x2_);
        *x0 = WrapReturn< casadi::DM*, casadi::DM >::wrapReturn( x0_ );
        // x1 is not a swig output
        // x2 is not a swig output

        return;
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return;
    }
}


// ================== Normal method: "get_row" ===============
// class: "casadi::DM"
// cppName: "casadi::DM::get_row"
// cWrapperName: "casadi__DM__get_row"
// protoArgs: "(std::string ** err_msg, casadi::DM* obj)"
// args: "()"
// rettype: StdVec CInt
// cWrapperRetType: "std::vector< int >*"
// proto: "std::vector< int >*\n    casadi__DM__get_row(std::string ** err_msg, casadi::DM* obj)"
// call: "        std::vector< int > ret = obj->get_row();"
// params: []
extern "C"
std::vector< int >*
    casadi__DM__get_row(std::string ** err_msg, casadi::DM* obj);
std::vector< int >*
    casadi__DM__get_row(std::string ** err_msg, casadi::DM* obj){
    try {

        std::vector< int > ret = obj->get_row();

        return WrapReturn< std::vector< int >*, std::vector< int > >::wrapReturn( ret );
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return 0;
    }
}


// ================== Normal method: "get_sparsity" ===============
// class: "casadi::DM"
// cppName: "casadi::DM::get_sparsity"
// cWrapperName: "casadi__DM__get_sparsity"
// protoArgs: "(std::string ** err_msg, casadi::DM* obj)"
// args: "()"
// rettype: UserType (Namespace ["casadi"]) (Name "Sparsity")
// cWrapperRetType: "casadi::Sparsity*"
// proto: "casadi::Sparsity*\n    casadi__DM__get_sparsity(std::string ** err_msg, casadi::DM* obj)"
// call: "        casadi::Sparsity ret = obj->get_sparsity();"
// params: []
extern "C"
casadi::Sparsity*
    casadi__DM__get_sparsity(std::string ** err_msg, casadi::DM* obj);
casadi::Sparsity*
    casadi__DM__get_sparsity(std::string ** err_msg, casadi::DM* obj){
    try {

        casadi::Sparsity ret = obj->get_sparsity();

        return WrapReturn< casadi::Sparsity*, casadi::Sparsity >::wrapReturn( ret );
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return 0;
    }
}


// ================== Static method: "grad" ===============
// class: "casadi::DM"
// cppName: "casadi::DM::grad"
// cWrapperName: "casadi__DM__grad__0"
// protoArgs: "(std::string ** err_msg, casadi::Function* x0, std::string* x1, std::string* x2)"
// args: "(x0_, x1_, x2_)"
// rettype: UserType (Namespace ["casadi"]) (Name "DM")
// cWrapperRetType: "casadi::DM*"
// proto: "casadi::DM*\n    casadi__DM__grad__0(std::string ** err_msg, casadi::Function* x0, std::string* x1, std::string* x2)"
// call: "        casadi::DM ret = casadi::DM::grad(x0_, x1_, x2_);"
// params: [(Ref (Const (UserType (Namespace ["casadi"]) (Name "Function"))),SwigOutput False),(Ref (Const StdString),SwigOutput False),(Ref (Const StdString),SwigOutput False)]
extern "C"
casadi::DM*
    casadi__DM__grad__0(std::string ** err_msg, casadi::Function* x0, std::string* x1, std::string* x2);
casadi::DM*
    casadi__DM__grad__0(std::string ** err_msg, casadi::Function* x0, std::string* x1, std::string* x2){
    try {
        casadi::Function& x0_ = Marshaling<casadi::Function&,casadi::Function*>::marshal(x0);
        std::string& x1_ = Marshaling<std::string&,std::string*>::marshal(x1);
        std::string& x2_ = Marshaling<std::string&,std::string*>::marshal(x2);

        casadi::DM ret = casadi::DM::grad(x0_, x1_, x2_);
        // x0 is not a swig output
        // x1 is not a swig output
        // x2 is not a swig output

        return WrapReturn< casadi::DM*, casadi::DM >::wrapReturn( ret );
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return 0;
    }
}


// ================== Static method: "grad" ===============
// class: "casadi::DM"
// cppName: "casadi::DM::grad"
// cWrapperName: "casadi__DM__grad__1"
// protoArgs: "(std::string ** err_msg, casadi::Function* x0, int x1, std::string* x2)"
// args: "(x0_, x1_, x2_)"
// rettype: UserType (Namespace ["casadi"]) (Name "DM")
// cWrapperRetType: "casadi::DM*"
// proto: "casadi::DM*\n    casadi__DM__grad__1(std::string ** err_msg, casadi::Function* x0, int x1, std::string* x2)"
// call: "        casadi::DM ret = casadi::DM::grad(x0_, x1_, x2_);"
// params: [(Ref (Const (UserType (Namespace ["casadi"]) (Name "Function"))),SwigOutput False),(CInt,SwigOutput False),(Ref (Const StdString),SwigOutput False)]
extern "C"
casadi::DM*
    casadi__DM__grad__1(std::string ** err_msg, casadi::Function* x0, int x1, std::string* x2);
casadi::DM*
    casadi__DM__grad__1(std::string ** err_msg, casadi::Function* x0, int x1, std::string* x2){
    try {
        casadi::Function& x0_ = Marshaling<casadi::Function&,casadi::Function*>::marshal(x0);
        int x1_ = Marshaling<int,int>::marshal(x1);
        std::string& x2_ = Marshaling<std::string&,std::string*>::marshal(x2);

        casadi::DM ret = casadi::DM::grad(x0_, x1_, x2_);
        // x0 is not a swig output
        // x1 is not a swig output
        // x2 is not a swig output

        return WrapReturn< casadi::DM*, casadi::DM >::wrapReturn( ret );
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return 0;
    }
}


// ================== Static method: "grad" ===============
// class: "casadi::DM"
// cppName: "casadi::DM::grad"
// cWrapperName: "casadi__DM__grad__2"
// protoArgs: "(std::string ** err_msg, casadi::Function* x0, std::string* x1)"
// args: "(x0_, x1_)"
// rettype: UserType (Namespace ["casadi"]) (Name "DM")
// cWrapperRetType: "casadi::DM*"
// proto: "casadi::DM*\n    casadi__DM__grad__2(std::string ** err_msg, casadi::Function* x0, std::string* x1)"
// call: "        casadi::DM ret = casadi::DM::grad(x0_, x1_);"
// params: [(Ref (Const (UserType (Namespace ["casadi"]) (Name "Function"))),SwigOutput False),(Ref (Const StdString),SwigOutput False)]
extern "C"
casadi::DM*
    casadi__DM__grad__2(std::string ** err_msg, casadi::Function* x0, std::string* x1);
casadi::DM*
    casadi__DM__grad__2(std::string ** err_msg, casadi::Function* x0, std::string* x1){
    try {
        casadi::Function& x0_ = Marshaling<casadi::Function&,casadi::Function*>::marshal(x0);
        std::string& x1_ = Marshaling<std::string&,std::string*>::marshal(x1);

        casadi::DM ret = casadi::DM::grad(x0_, x1_);
        // x0 is not a swig output
        // x1 is not a swig output

        return WrapReturn< casadi::DM*, casadi::DM >::wrapReturn( ret );
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return 0;
    }
}


// ================== Static method: "grad" ===============
// class: "casadi::DM"
// cppName: "casadi::DM::grad"
// cWrapperName: "casadi__DM__grad__3"
// protoArgs: "(std::string ** err_msg, casadi::Function* x0, std::string* x1, int x2)"
// args: "(x0_, x1_, x2_)"
// rettype: UserType (Namespace ["casadi"]) (Name "DM")
// cWrapperRetType: "casadi::DM*"
// proto: "casadi::DM*\n    casadi__DM__grad__3(std::string ** err_msg, casadi::Function* x0, std::string* x1, int x2)"
// call: "        casadi::DM ret = casadi::DM::grad(x0_, x1_, x2_);"
// params: [(Ref (Const (UserType (Namespace ["casadi"]) (Name "Function"))),SwigOutput False),(Ref (Const StdString),SwigOutput False),(CInt,SwigOutput False)]
extern "C"
casadi::DM*
    casadi__DM__grad__3(std::string ** err_msg, casadi::Function* x0, std::string* x1, int x2);
casadi::DM*
    casadi__DM__grad__3(std::string ** err_msg, casadi::Function* x0, std::string* x1, int x2){
    try {
        casadi::Function& x0_ = Marshaling<casadi::Function&,casadi::Function*>::marshal(x0);
        std::string& x1_ = Marshaling<std::string&,std::string*>::marshal(x1);
        int x2_ = Marshaling<int,int>::marshal(x2);

        casadi::DM ret = casadi::DM::grad(x0_, x1_, x2_);
        // x0 is not a swig output
        // x1 is not a swig output
        // x2 is not a swig output

        return WrapReturn< casadi::DM*, casadi::DM >::wrapReturn( ret );
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return 0;
    }
}


// ================== Static method: "grad" ===============
// class: "casadi::DM"
// cppName: "casadi::DM::grad"
// cWrapperName: "casadi__DM__grad__4"
// protoArgs: "(std::string ** err_msg, casadi::Function* x0)"
// args: "(x0_)"
// rettype: UserType (Namespace ["casadi"]) (Name "DM")
// cWrapperRetType: "casadi::DM*"
// proto: "casadi::DM*\n    casadi__DM__grad__4(std::string ** err_msg, casadi::Function* x0)"
// call: "        casadi::DM ret = casadi::DM::grad(x0_);"
// params: [(Ref (Const (UserType (Namespace ["casadi"]) (Name "Function"))),SwigOutput False)]
extern "C"
casadi::DM*
    casadi__DM__grad__4(std::string ** err_msg, casadi::Function* x0);
casadi::DM*
    casadi__DM__grad__4(std::string ** err_msg, casadi::Function* x0){
    try {
        casadi::Function& x0_ = Marshaling<casadi::Function&,casadi::Function*>::marshal(x0);

        casadi::DM ret = casadi::DM::grad(x0_);
        // x0 is not a swig output

        return WrapReturn< casadi::DM*, casadi::DM >::wrapReturn( ret );
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return 0;
    }
}


// ================== Static method: "grad" ===============
// class: "casadi::DM"
// cppName: "casadi::DM::grad"
// cWrapperName: "casadi__DM__grad__5"
// protoArgs: "(std::string ** err_msg, casadi::Function* x0, int x1)"
// args: "(x0_, x1_)"
// rettype: UserType (Namespace ["casadi"]) (Name "DM")
// cWrapperRetType: "casadi::DM*"
// proto: "casadi::DM*\n    casadi__DM__grad__5(std::string ** err_msg, casadi::Function* x0, int x1)"
// call: "        casadi::DM ret = casadi::DM::grad(x0_, x1_);"
// params: [(Ref (Const (UserType (Namespace ["casadi"]) (Name "Function"))),SwigOutput False),(CInt,SwigOutput False)]
extern "C"
casadi::DM*
    casadi__DM__grad__5(std::string ** err_msg, casadi::Function* x0, int x1);
casadi::DM*
    casadi__DM__grad__5(std::string ** err_msg, casadi::Function* x0, int x1){
    try {
        casadi::Function& x0_ = Marshaling<casadi::Function&,casadi::Function*>::marshal(x0);
        int x1_ = Marshaling<int,int>::marshal(x1);

        casadi::DM ret = casadi::DM::grad(x0_, x1_);
        // x0 is not a swig output
        // x1 is not a swig output

        return WrapReturn< casadi::DM*, casadi::DM >::wrapReturn( ret );
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return 0;
    }
}


// ================== Static method: "grad" ===============
// class: "casadi::DM"
// cppName: "casadi::DM::grad"
// cWrapperName: "casadi__DM__grad__6"
// protoArgs: "(std::string ** err_msg, casadi::Function* x0, int x1, int x2)"
// args: "(x0_, x1_, x2_)"
// rettype: UserType (Namespace ["casadi"]) (Name "DM")
// cWrapperRetType: "casadi::DM*"
// proto: "casadi::DM*\n    casadi__DM__grad__6(std::string ** err_msg, casadi::Function* x0, int x1, int x2)"
// call: "        casadi::DM ret = casadi::DM::grad(x0_, x1_, x2_);"
// params: [(Ref (Const (UserType (Namespace ["casadi"]) (Name "Function"))),SwigOutput False),(CInt,SwigOutput False),(CInt,SwigOutput False)]
extern "C"
casadi::DM*
    casadi__DM__grad__6(std::string ** err_msg, casadi::Function* x0, int x1, int x2);
casadi::DM*
    casadi__DM__grad__6(std::string ** err_msg, casadi::Function* x0, int x1, int x2){
    try {
        casadi::Function& x0_ = Marshaling<casadi::Function&,casadi::Function*>::marshal(x0);
        int x1_ = Marshaling<int,int>::marshal(x1);
        int x2_ = Marshaling<int,int>::marshal(x2);

        casadi::DM ret = casadi::DM::grad(x0_, x1_, x2_);
        // x0 is not a swig output
        // x1 is not a swig output
        // x2 is not a swig output

        return WrapReturn< casadi::DM*, casadi::DM >::wrapReturn( ret );
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return 0;
    }
}


// ================== Normal method: "has_duplicates" ===============
// class: "casadi::DM"
// cppName: "casadi::DM::has_duplicates"
// cWrapperName: "casadi__DM__has_duplicates"
// protoArgs: "(std::string ** err_msg, casadi::DM* obj)"
// args: "()"
// rettype: CBool
// cWrapperRetType: "int"
// proto: "int\n    casadi__DM__has_duplicates(std::string ** err_msg, casadi::DM* obj)"
// call: "        bool ret = obj->has_duplicates();"
// params: []
extern "C"
int
    casadi__DM__has_duplicates(std::string ** err_msg, casadi::DM* obj);
int
    casadi__DM__has_duplicates(std::string ** err_msg, casadi::DM* obj){
    try {

        bool ret = obj->has_duplicates();

        return WrapReturn< int, bool >::wrapReturn( ret );
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return 0;
    }
}


// ================== Normal method: "has_nz" ===============
// class: "casadi::DM"
// cppName: "casadi::DM::has_nz"
// cWrapperName: "casadi__DM__has_nz"
// protoArgs: "(std::string ** err_msg, casadi::DM* obj, int x0, int x1)"
// args: "(x0_, x1_)"
// rettype: CBool
// cWrapperRetType: "int"
// proto: "int\n    casadi__DM__has_nz(std::string ** err_msg, casadi::DM* obj, int x0, int x1)"
// call: "        bool ret = obj->has_nz(x0_, x1_);"
// params: [(CInt,SwigOutput False),(CInt,SwigOutput False)]
extern "C"
int
    casadi__DM__has_nz(std::string ** err_msg, casadi::DM* obj, int x0, int x1);
int
    casadi__DM__has_nz(std::string ** err_msg, casadi::DM* obj, int x0, int x1){
    try {
        int x0_ = Marshaling<int,int>::marshal(x0);
        int x1_ = Marshaling<int,int>::marshal(x1);

        bool ret = obj->has_nz(x0_, x1_);
        // x0 is not a swig output
        // x1 is not a swig output

        return WrapReturn< int, bool >::wrapReturn( ret );
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return 0;
    }
}


// ================== Normal method: "has_zeros" ===============
// class: "casadi::DM"
// cppName: "casadi::DM::has_zeros"
// cWrapperName: "casadi__DM__has_zeros"
// protoArgs: "(std::string ** err_msg, casadi::DM* obj)"
// args: "()"
// rettype: CBool
// cWrapperRetType: "int"
// proto: "int\n    casadi__DM__has_zeros(std::string ** err_msg, casadi::DM* obj)"
// call: "        bool ret = obj->has_zeros();"
// params: []
extern "C"
int
    casadi__DM__has_zeros(std::string ** err_msg, casadi::DM* obj);
int
    casadi__DM__has_zeros(std::string ** err_msg, casadi::DM* obj){
    try {

        bool ret = obj->has_zeros();

        return WrapReturn< int, bool >::wrapReturn( ret );
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return 0;
    }
}


// ================== Static method: "hess" ===============
// class: "casadi::DM"
// cppName: "casadi::DM::hess"
// cWrapperName: "casadi__DM__hess__0"
// protoArgs: "(std::string ** err_msg, casadi::Function* x0, std::string* x1, std::string* x2)"
// args: "(x0_, x1_, x2_)"
// rettype: UserType (Namespace ["casadi"]) (Name "DM")
// cWrapperRetType: "casadi::DM*"
// proto: "casadi::DM*\n    casadi__DM__hess__0(std::string ** err_msg, casadi::Function* x0, std::string* x1, std::string* x2)"
// call: "        casadi::DM ret = casadi::DM::hess(x0_, x1_, x2_);"
// params: [(Ref (Const (UserType (Namespace ["casadi"]) (Name "Function"))),SwigOutput False),(Ref (Const StdString),SwigOutput False),(Ref (Const StdString),SwigOutput False)]
extern "C"
casadi::DM*
    casadi__DM__hess__0(std::string ** err_msg, casadi::Function* x0, std::string* x1, std::string* x2);
casadi::DM*
    casadi__DM__hess__0(std::string ** err_msg, casadi::Function* x0, std::string* x1, std::string* x2){
    try {
        casadi::Function& x0_ = Marshaling<casadi::Function&,casadi::Function*>::marshal(x0);
        std::string& x1_ = Marshaling<std::string&,std::string*>::marshal(x1);
        std::string& x2_ = Marshaling<std::string&,std::string*>::marshal(x2);

        casadi::DM ret = casadi::DM::hess(x0_, x1_, x2_);
        // x0 is not a swig output
        // x1 is not a swig output
        // x2 is not a swig output

        return WrapReturn< casadi::DM*, casadi::DM >::wrapReturn( ret );
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return 0;
    }
}


// ================== Static method: "hess" ===============
// class: "casadi::DM"
// cppName: "casadi::DM::hess"
// cWrapperName: "casadi__DM__hess__1"
// protoArgs: "(std::string ** err_msg, casadi::Function* x0, int x1, std::string* x2)"
// args: "(x0_, x1_, x2_)"
// rettype: UserType (Namespace ["casadi"]) (Name "DM")
// cWrapperRetType: "casadi::DM*"
// proto: "casadi::DM*\n    casadi__DM__hess__1(std::string ** err_msg, casadi::Function* x0, int x1, std::string* x2)"
// call: "        casadi::DM ret = casadi::DM::hess(x0_, x1_, x2_);"
// params: [(Ref (Const (UserType (Namespace ["casadi"]) (Name "Function"))),SwigOutput False),(CInt,SwigOutput False),(Ref (Const StdString),SwigOutput False)]
extern "C"
casadi::DM*
    casadi__DM__hess__1(std::string ** err_msg, casadi::Function* x0, int x1, std::string* x2);
casadi::DM*
    casadi__DM__hess__1(std::string ** err_msg, casadi::Function* x0, int x1, std::string* x2){
    try {
        casadi::Function& x0_ = Marshaling<casadi::Function&,casadi::Function*>::marshal(x0);
        int x1_ = Marshaling<int,int>::marshal(x1);
        std::string& x2_ = Marshaling<std::string&,std::string*>::marshal(x2);

        casadi::DM ret = casadi::DM::hess(x0_, x1_, x2_);
        // x0 is not a swig output
        // x1 is not a swig output
        // x2 is not a swig output

        return WrapReturn< casadi::DM*, casadi::DM >::wrapReturn( ret );
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return 0;
    }
}


// ================== Static method: "hess" ===============
// class: "casadi::DM"
// cppName: "casadi::DM::hess"
// cWrapperName: "casadi__DM__hess__2"
// protoArgs: "(std::string ** err_msg, casadi::Function* x0, std::string* x1)"
// args: "(x0_, x1_)"
// rettype: UserType (Namespace ["casadi"]) (Name "DM")
// cWrapperRetType: "casadi::DM*"
// proto: "casadi::DM*\n    casadi__DM__hess__2(std::string ** err_msg, casadi::Function* x0, std::string* x1)"
// call: "        casadi::DM ret = casadi::DM::hess(x0_, x1_);"
// params: [(Ref (Const (UserType (Namespace ["casadi"]) (Name "Function"))),SwigOutput False),(Ref (Const StdString),SwigOutput False)]
extern "C"
casadi::DM*
    casadi__DM__hess__2(std::string ** err_msg, casadi::Function* x0, std::string* x1);
casadi::DM*
    casadi__DM__hess__2(std::string ** err_msg, casadi::Function* x0, std::string* x1){
    try {
        casadi::Function& x0_ = Marshaling<casadi::Function&,casadi::Function*>::marshal(x0);
        std::string& x1_ = Marshaling<std::string&,std::string*>::marshal(x1);

        casadi::DM ret = casadi::DM::hess(x0_, x1_);
        // x0 is not a swig output
        // x1 is not a swig output

        return WrapReturn< casadi::DM*, casadi::DM >::wrapReturn( ret );
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return 0;
    }
}


// ================== Static method: "hess" ===============
// class: "casadi::DM"
// cppName: "casadi::DM::hess"
// cWrapperName: "casadi__DM__hess__3"
// protoArgs: "(std::string ** err_msg, casadi::Function* x0, std::string* x1, int x2)"
// args: "(x0_, x1_, x2_)"
// rettype: UserType (Namespace ["casadi"]) (Name "DM")
// cWrapperRetType: "casadi::DM*"
// proto: "casadi::DM*\n    casadi__DM__hess__3(std::string ** err_msg, casadi::Function* x0, std::string* x1, int x2)"
// call: "        casadi::DM ret = casadi::DM::hess(x0_, x1_, x2_);"
// params: [(Ref (Const (UserType (Namespace ["casadi"]) (Name "Function"))),SwigOutput False),(Ref (Const StdString),SwigOutput False),(CInt,SwigOutput False)]
extern "C"
casadi::DM*
    casadi__DM__hess__3(std::string ** err_msg, casadi::Function* x0, std::string* x1, int x2);
casadi::DM*
    casadi__DM__hess__3(std::string ** err_msg, casadi::Function* x0, std::string* x1, int x2){
    try {
        casadi::Function& x0_ = Marshaling<casadi::Function&,casadi::Function*>::marshal(x0);
        std::string& x1_ = Marshaling<std::string&,std::string*>::marshal(x1);
        int x2_ = Marshaling<int,int>::marshal(x2);

        casadi::DM ret = casadi::DM::hess(x0_, x1_, x2_);
        // x0 is not a swig output
        // x1 is not a swig output
        // x2 is not a swig output

        return WrapReturn< casadi::DM*, casadi::DM >::wrapReturn( ret );
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return 0;
    }
}


// ================== Static method: "hess" ===============
// class: "casadi::DM"
// cppName: "casadi::DM::hess"
// cWrapperName: "casadi__DM__hess__4"
// protoArgs: "(std::string ** err_msg, casadi::Function* x0)"
// args: "(x0_)"
// rettype: UserType (Namespace ["casadi"]) (Name "DM")
// cWrapperRetType: "casadi::DM*"
// proto: "casadi::DM*\n    casadi__DM__hess__4(std::string ** err_msg, casadi::Function* x0)"
// call: "        casadi::DM ret = casadi::DM::hess(x0_);"
// params: [(Ref (Const (UserType (Namespace ["casadi"]) (Name "Function"))),SwigOutput False)]
extern "C"
casadi::DM*
    casadi__DM__hess__4(std::string ** err_msg, casadi::Function* x0);
casadi::DM*
    casadi__DM__hess__4(std::string ** err_msg, casadi::Function* x0){
    try {
        casadi::Function& x0_ = Marshaling<casadi::Function&,casadi::Function*>::marshal(x0);

        casadi::DM ret = casadi::DM::hess(x0_);
        // x0 is not a swig output

        return WrapReturn< casadi::DM*, casadi::DM >::wrapReturn( ret );
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return 0;
    }
}


// ================== Static method: "hess" ===============
// class: "casadi::DM"
// cppName: "casadi::DM::hess"
// cWrapperName: "casadi__DM__hess__5"
// protoArgs: "(std::string ** err_msg, casadi::Function* x0, int x1)"
// args: "(x0_, x1_)"
// rettype: UserType (Namespace ["casadi"]) (Name "DM")
// cWrapperRetType: "casadi::DM*"
// proto: "casadi::DM*\n    casadi__DM__hess__5(std::string ** err_msg, casadi::Function* x0, int x1)"
// call: "        casadi::DM ret = casadi::DM::hess(x0_, x1_);"
// params: [(Ref (Const (UserType (Namespace ["casadi"]) (Name "Function"))),SwigOutput False),(CInt,SwigOutput False)]
extern "C"
casadi::DM*
    casadi__DM__hess__5(std::string ** err_msg, casadi::Function* x0, int x1);
casadi::DM*
    casadi__DM__hess__5(std::string ** err_msg, casadi::Function* x0, int x1){
    try {
        casadi::Function& x0_ = Marshaling<casadi::Function&,casadi::Function*>::marshal(x0);
        int x1_ = Marshaling<int,int>::marshal(x1);

        casadi::DM ret = casadi::DM::hess(x0_, x1_);
        // x0 is not a swig output
        // x1 is not a swig output

        return WrapReturn< casadi::DM*, casadi::DM >::wrapReturn( ret );
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return 0;
    }
}


// ================== Static method: "hess" ===============
// class: "casadi::DM"
// cppName: "casadi::DM::hess"
// cWrapperName: "casadi__DM__hess__6"
// protoArgs: "(std::string ** err_msg, casadi::Function* x0, int x1, int x2)"
// args: "(x0_, x1_, x2_)"
// rettype: UserType (Namespace ["casadi"]) (Name "DM")
// cWrapperRetType: "casadi::DM*"
// proto: "casadi::DM*\n    casadi__DM__hess__6(std::string ** err_msg, casadi::Function* x0, int x1, int x2)"
// call: "        casadi::DM ret = casadi::DM::hess(x0_, x1_, x2_);"
// params: [(Ref (Const (UserType (Namespace ["casadi"]) (Name "Function"))),SwigOutput False),(CInt,SwigOutput False),(CInt,SwigOutput False)]
extern "C"
casadi::DM*
    casadi__DM__hess__6(std::string ** err_msg, casadi::Function* x0, int x1, int x2);
casadi::DM*
    casadi__DM__hess__6(std::string ** err_msg, casadi::Function* x0, int x1, int x2){
    try {
        casadi::Function& x0_ = Marshaling<casadi::Function&,casadi::Function*>::marshal(x0);
        int x1_ = Marshaling<int,int>::marshal(x1);
        int x2_ = Marshaling<int,int>::marshal(x2);

        casadi::DM ret = casadi::DM::hess(x0_, x1_, x2_);
        // x0 is not a swig output
        // x1 is not a swig output
        // x2 is not a swig output

        return WrapReturn< casadi::DM*, casadi::DM >::wrapReturn( ret );
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return 0;
    }
}


// ================== Static method: "inf" ===============
// class: "casadi::DM"
// cppName: "casadi::DM::inf"
// cWrapperName: "casadi__DM__inf__0"
// protoArgs: "(std::string ** err_msg, std::pair< int, int >* x0)"
// args: "(x0_)"
// rettype: UserType (Namespace ["casadi"]) (Name "DM")
// cWrapperRetType: "casadi::DM*"
// proto: "casadi::DM*\n    casadi__DM__inf__0(std::string ** err_msg, std::pair< int, int >* x0)"
// call: "        casadi::DM ret = casadi::DM::inf(x0_);"
// params: [(Ref (Const (StdPair CInt CInt)),SwigOutput False)]
extern "C"
casadi::DM*
    casadi__DM__inf__0(std::string ** err_msg, std::pair< int, int >* x0);
casadi::DM*
    casadi__DM__inf__0(std::string ** err_msg, std::pair< int, int >* x0){
    try {
        std::pair< int, int > x0_ = Marshaling<std::pair< int, int >,std::pair< int, int >*>::marshal(x0);

        casadi::DM ret = casadi::DM::inf(x0_);
        // x0 is not a swig output

        return WrapReturn< casadi::DM*, casadi::DM >::wrapReturn( ret );
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return 0;
    }
}


// ================== Static method: "inf" ===============
// class: "casadi::DM"
// cppName: "casadi::DM::inf"
// cWrapperName: "casadi__DM__inf__1"
// protoArgs: "(std::string ** err_msg)"
// args: "()"
// rettype: UserType (Namespace ["casadi"]) (Name "DM")
// cWrapperRetType: "casadi::DM*"
// proto: "casadi::DM*\n    casadi__DM__inf__1(std::string ** err_msg)"
// call: "        casadi::DM ret = casadi::DM::inf();"
// params: []
extern "C"
casadi::DM*
    casadi__DM__inf__1(std::string ** err_msg);
casadi::DM*
    casadi__DM__inf__1(std::string ** err_msg){
    try {

        casadi::DM ret = casadi::DM::inf();

        return WrapReturn< casadi::DM*, casadi::DM >::wrapReturn( ret );
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return 0;
    }
}


// ================== Static method: "inf" ===============
// class: "casadi::DM"
// cppName: "casadi::DM::inf"
// cWrapperName: "casadi__DM__inf__2"
// protoArgs: "(std::string ** err_msg, int x0)"
// args: "(x0_)"
// rettype: UserType (Namespace ["casadi"]) (Name "DM")
// cWrapperRetType: "casadi::DM*"
// proto: "casadi::DM*\n    casadi__DM__inf__2(std::string ** err_msg, int x0)"
// call: "        casadi::DM ret = casadi::DM::inf(x0_);"
// params: [(CInt,SwigOutput False)]
extern "C"
casadi::DM*
    casadi__DM__inf__2(std::string ** err_msg, int x0);
casadi::DM*
    casadi__DM__inf__2(std::string ** err_msg, int x0){
    try {
        int x0_ = Marshaling<int,int>::marshal(x0);

        casadi::DM ret = casadi::DM::inf(x0_);
        // x0 is not a swig output

        return WrapReturn< casadi::DM*, casadi::DM >::wrapReturn( ret );
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return 0;
    }
}


// ================== Static method: "inf" ===============
// class: "casadi::DM"
// cppName: "casadi::DM::inf"
// cWrapperName: "casadi__DM__inf__3"
// protoArgs: "(std::string ** err_msg, int x0, int x1)"
// args: "(x0_, x1_)"
// rettype: UserType (Namespace ["casadi"]) (Name "DM")
// cWrapperRetType: "casadi::DM*"
// proto: "casadi::DM*\n    casadi__DM__inf__3(std::string ** err_msg, int x0, int x1)"
// call: "        casadi::DM ret = casadi::DM::inf(x0_, x1_);"
// params: [(CInt,SwigOutput False),(CInt,SwigOutput False)]
extern "C"
casadi::DM*
    casadi__DM__inf__3(std::string ** err_msg, int x0, int x1);
casadi::DM*
    casadi__DM__inf__3(std::string ** err_msg, int x0, int x1){
    try {
        int x0_ = Marshaling<int,int>::marshal(x0);
        int x1_ = Marshaling<int,int>::marshal(x1);

        casadi::DM ret = casadi::DM::inf(x0_, x1_);
        // x0 is not a swig output
        // x1 is not a swig output

        return WrapReturn< casadi::DM*, casadi::DM >::wrapReturn( ret );
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return 0;
    }
}


// ================== Static method: "inf" ===============
// class: "casadi::DM"
// cppName: "casadi::DM::inf"
// cWrapperName: "casadi__DM__inf__4"
// protoArgs: "(std::string ** err_msg, casadi::Sparsity* x0)"
// args: "(x0_)"
// rettype: UserType (Namespace ["casadi"]) (Name "DM")
// cWrapperRetType: "casadi::DM*"
// proto: "casadi::DM*\n    casadi__DM__inf__4(std::string ** err_msg, casadi::Sparsity* x0)"
// call: "        casadi::DM ret = casadi::DM::inf(x0_);"
// params: [(Ref (Const (UserType (Namespace ["casadi"]) (Name "Sparsity"))),SwigOutput False)]
extern "C"
casadi::DM*
    casadi__DM__inf__4(std::string ** err_msg, casadi::Sparsity* x0);
casadi::DM*
    casadi__DM__inf__4(std::string ** err_msg, casadi::Sparsity* x0){
    try {
        casadi::Sparsity& x0_ = Marshaling<casadi::Sparsity&,casadi::Sparsity*>::marshal(x0);

        casadi::DM ret = casadi::DM::inf(x0_);
        // x0 is not a swig output

        return WrapReturn< casadi::DM*, casadi::DM >::wrapReturn( ret );
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return 0;
    }
}


// ================== Normal method: "is_column" ===============
// class: "casadi::DM"
// cppName: "casadi::DM::is_column"
// cWrapperName: "casadi__DM__is_column"
// protoArgs: "(std::string ** err_msg, casadi::DM* obj)"
// args: "()"
// rettype: CBool
// cWrapperRetType: "int"
// proto: "int\n    casadi__DM__is_column(std::string ** err_msg, casadi::DM* obj)"
// call: "        bool ret = obj->is_column();"
// params: []
extern "C"
int
    casadi__DM__is_column(std::string ** err_msg, casadi::DM* obj);
int
    casadi__DM__is_column(std::string ** err_msg, casadi::DM* obj){
    try {

        bool ret = obj->is_column();

        return WrapReturn< int, bool >::wrapReturn( ret );
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return 0;
    }
}


// ================== Normal method: "is_commutative" ===============
// class: "casadi::DM"
// cppName: "casadi::DM::is_commutative"
// cWrapperName: "casadi__DM__is_commutative"
// protoArgs: "(std::string ** err_msg, casadi::DM* obj)"
// args: "()"
// rettype: CBool
// cWrapperRetType: "int"
// proto: "int\n    casadi__DM__is_commutative(std::string ** err_msg, casadi::DM* obj)"
// call: "        bool ret = obj->is_commutative();"
// params: []
extern "C"
int
    casadi__DM__is_commutative(std::string ** err_msg, casadi::DM* obj);
int
    casadi__DM__is_commutative(std::string ** err_msg, casadi::DM* obj){
    try {

        bool ret = obj->is_commutative();

        return WrapReturn< int, bool >::wrapReturn( ret );
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return 0;
    }
}


// ================== Normal method: "is_constant" ===============
// class: "casadi::DM"
// cppName: "casadi::DM::is_constant"
// cWrapperName: "casadi__DM__is_constant"
// protoArgs: "(std::string ** err_msg, casadi::DM* obj)"
// args: "()"
// rettype: CBool
// cWrapperRetType: "int"
// proto: "int\n    casadi__DM__is_constant(std::string ** err_msg, casadi::DM* obj)"
// call: "        bool ret = obj->is_constant();"
// params: []
extern "C"
int
    casadi__DM__is_constant(std::string ** err_msg, casadi::DM* obj);
int
    casadi__DM__is_constant(std::string ** err_msg, casadi::DM* obj){
    try {

        bool ret = obj->is_constant();

        return WrapReturn< int, bool >::wrapReturn( ret );
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return 0;
    }
}


// ================== Normal method: "is_dense" ===============
// class: "casadi::DM"
// cppName: "casadi::DM::is_dense"
// cWrapperName: "casadi__DM__is_dense"
// protoArgs: "(std::string ** err_msg, casadi::DM* obj)"
// args: "()"
// rettype: CBool
// cWrapperRetType: "int"
// proto: "int\n    casadi__DM__is_dense(std::string ** err_msg, casadi::DM* obj)"
// call: "        bool ret = obj->is_dense();"
// params: []
extern "C"
int
    casadi__DM__is_dense(std::string ** err_msg, casadi::DM* obj);
int
    casadi__DM__is_dense(std::string ** err_msg, casadi::DM* obj){
    try {

        bool ret = obj->is_dense();

        return WrapReturn< int, bool >::wrapReturn( ret );
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return 0;
    }
}


// ================== Normal method: "is_empty" ===============
// class: "casadi::DM"
// cppName: "casadi::DM::is_empty"
// cWrapperName: "casadi__DM__is_empty__0"
// protoArgs: "(std::string ** err_msg, casadi::DM* obj)"
// args: "()"
// rettype: CBool
// cWrapperRetType: "int"
// proto: "int\n    casadi__DM__is_empty__0(std::string ** err_msg, casadi::DM* obj)"
// call: "        bool ret = obj->is_empty();"
// params: []
extern "C"
int
    casadi__DM__is_empty__0(std::string ** err_msg, casadi::DM* obj);
int
    casadi__DM__is_empty__0(std::string ** err_msg, casadi::DM* obj){
    try {

        bool ret = obj->is_empty();

        return WrapReturn< int, bool >::wrapReturn( ret );
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return 0;
    }
}


// ================== Normal method: "is_empty" ===============
// class: "casadi::DM"
// cppName: "casadi::DM::is_empty"
// cWrapperName: "casadi__DM__is_empty__1"
// protoArgs: "(std::string ** err_msg, casadi::DM* obj, int x0)"
// args: "(x0_)"
// rettype: CBool
// cWrapperRetType: "int"
// proto: "int\n    casadi__DM__is_empty__1(std::string ** err_msg, casadi::DM* obj, int x0)"
// call: "        bool ret = obj->is_empty(x0_);"
// params: [(CBool,SwigOutput False)]
extern "C"
int
    casadi__DM__is_empty__1(std::string ** err_msg, casadi::DM* obj, int x0);
int
    casadi__DM__is_empty__1(std::string ** err_msg, casadi::DM* obj, int x0){
    try {
        bool x0_ = Marshaling<bool,int>::marshal(x0);

        bool ret = obj->is_empty(x0_);
        // x0 is not a swig output

        return WrapReturn< int, bool >::wrapReturn( ret );
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return 0;
    }
}


// ================== Normal method: "is_identity" ===============
// class: "casadi::DM"
// cppName: "casadi::DM::is_identity"
// cWrapperName: "casadi__DM__is_identity"
// protoArgs: "(std::string ** err_msg, casadi::DM* obj)"
// args: "()"
// rettype: CBool
// cWrapperRetType: "int"
// proto: "int\n    casadi__DM__is_identity(std::string ** err_msg, casadi::DM* obj)"
// call: "        bool ret = obj->is_identity();"
// params: []
extern "C"
int
    casadi__DM__is_identity(std::string ** err_msg, casadi::DM* obj);
int
    casadi__DM__is_identity(std::string ** err_msg, casadi::DM* obj){
    try {

        bool ret = obj->is_identity();

        return WrapReturn< int, bool >::wrapReturn( ret );
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return 0;
    }
}


// ================== Normal method: "is_integer" ===============
// class: "casadi::DM"
// cppName: "casadi::DM::is_integer"
// cWrapperName: "casadi__DM__is_integer"
// protoArgs: "(std::string ** err_msg, casadi::DM* obj)"
// args: "()"
// rettype: CBool
// cWrapperRetType: "int"
// proto: "int\n    casadi__DM__is_integer(std::string ** err_msg, casadi::DM* obj)"
// call: "        bool ret = obj->is_integer();"
// params: []
extern "C"
int
    casadi__DM__is_integer(std::string ** err_msg, casadi::DM* obj);
int
    casadi__DM__is_integer(std::string ** err_msg, casadi::DM* obj){
    try {

        bool ret = obj->is_integer();

        return WrapReturn< int, bool >::wrapReturn( ret );
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return 0;
    }
}


// ================== Normal method: "is_leaf" ===============
// class: "casadi::DM"
// cppName: "casadi::DM::is_leaf"
// cWrapperName: "casadi__DM__is_leaf"
// protoArgs: "(std::string ** err_msg, casadi::DM* obj)"
// args: "()"
// rettype: CBool
// cWrapperRetType: "int"
// proto: "int\n    casadi__DM__is_leaf(std::string ** err_msg, casadi::DM* obj)"
// call: "        bool ret = obj->is_leaf();"
// params: []
extern "C"
int
    casadi__DM__is_leaf(std::string ** err_msg, casadi::DM* obj);
int
    casadi__DM__is_leaf(std::string ** err_msg, casadi::DM* obj){
    try {

        bool ret = obj->is_leaf();

        return WrapReturn< int, bool >::wrapReturn( ret );
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return 0;
    }
}


// ================== Normal method: "is_minus_one" ===============
// class: "casadi::DM"
// cppName: "casadi::DM::is_minus_one"
// cWrapperName: "casadi__DM__is_minus_one"
// protoArgs: "(std::string ** err_msg, casadi::DM* obj)"
// args: "()"
// rettype: CBool
// cWrapperRetType: "int"
// proto: "int\n    casadi__DM__is_minus_one(std::string ** err_msg, casadi::DM* obj)"
// call: "        bool ret = obj->is_minus_one();"
// params: []
extern "C"
int
    casadi__DM__is_minus_one(std::string ** err_msg, casadi::DM* obj);
int
    casadi__DM__is_minus_one(std::string ** err_msg, casadi::DM* obj){
    try {

        bool ret = obj->is_minus_one();

        return WrapReturn< int, bool >::wrapReturn( ret );
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return 0;
    }
}


// ================== Normal method: "is_one" ===============
// class: "casadi::DM"
// cppName: "casadi::DM::is_one"
// cWrapperName: "casadi__DM__is_one"
// protoArgs: "(std::string ** err_msg, casadi::DM* obj)"
// args: "()"
// rettype: CBool
// cWrapperRetType: "int"
// proto: "int\n    casadi__DM__is_one(std::string ** err_msg, casadi::DM* obj)"
// call: "        bool ret = obj->is_one();"
// params: []
extern "C"
int
    casadi__DM__is_one(std::string ** err_msg, casadi::DM* obj);
int
    casadi__DM__is_one(std::string ** err_msg, casadi::DM* obj){
    try {

        bool ret = obj->is_one();

        return WrapReturn< int, bool >::wrapReturn( ret );
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return 0;
    }
}


// ================== Normal method: "is_regular" ===============
// class: "casadi::DM"
// cppName: "casadi::DM::is_regular"
// cWrapperName: "casadi__DM__is_regular"
// protoArgs: "(std::string ** err_msg, casadi::DM* obj)"
// args: "()"
// rettype: CBool
// cWrapperRetType: "int"
// proto: "int\n    casadi__DM__is_regular(std::string ** err_msg, casadi::DM* obj)"
// call: "        bool ret = obj->is_regular();"
// params: []
extern "C"
int
    casadi__DM__is_regular(std::string ** err_msg, casadi::DM* obj);
int
    casadi__DM__is_regular(std::string ** err_msg, casadi::DM* obj){
    try {

        bool ret = obj->is_regular();

        return WrapReturn< int, bool >::wrapReturn( ret );
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return 0;
    }
}


// ================== Normal method: "is_row" ===============
// class: "casadi::DM"
// cppName: "casadi::DM::is_row"
// cWrapperName: "casadi__DM__is_row"
// protoArgs: "(std::string ** err_msg, casadi::DM* obj)"
// args: "()"
// rettype: CBool
// cWrapperRetType: "int"
// proto: "int\n    casadi__DM__is_row(std::string ** err_msg, casadi::DM* obj)"
// call: "        bool ret = obj->is_row();"
// params: []
extern "C"
int
    casadi__DM__is_row(std::string ** err_msg, casadi::DM* obj);
int
    casadi__DM__is_row(std::string ** err_msg, casadi::DM* obj){
    try {

        bool ret = obj->is_row();

        return WrapReturn< int, bool >::wrapReturn( ret );
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return 0;
    }
}


// ================== Normal method: "is_scalar" ===============
// class: "casadi::DM"
// cppName: "casadi::DM::is_scalar"
// cWrapperName: "casadi__DM__is_scalar__0"
// protoArgs: "(std::string ** err_msg, casadi::DM* obj)"
// args: "()"
// rettype: CBool
// cWrapperRetType: "int"
// proto: "int\n    casadi__DM__is_scalar__0(std::string ** err_msg, casadi::DM* obj)"
// call: "        bool ret = obj->is_scalar();"
// params: []
extern "C"
int
    casadi__DM__is_scalar__0(std::string ** err_msg, casadi::DM* obj);
int
    casadi__DM__is_scalar__0(std::string ** err_msg, casadi::DM* obj){
    try {

        bool ret = obj->is_scalar();

        return WrapReturn< int, bool >::wrapReturn( ret );
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return 0;
    }
}


// ================== Normal method: "is_scalar" ===============
// class: "casadi::DM"
// cppName: "casadi::DM::is_scalar"
// cWrapperName: "casadi__DM__is_scalar__1"
// protoArgs: "(std::string ** err_msg, casadi::DM* obj, int x0)"
// args: "(x0_)"
// rettype: CBool
// cWrapperRetType: "int"
// proto: "int\n    casadi__DM__is_scalar__1(std::string ** err_msg, casadi::DM* obj, int x0)"
// call: "        bool ret = obj->is_scalar(x0_);"
// params: [(CBool,SwigOutput False)]
extern "C"
int
    casadi__DM__is_scalar__1(std::string ** err_msg, casadi::DM* obj, int x0);
int
    casadi__DM__is_scalar__1(std::string ** err_msg, casadi::DM* obj, int x0){
    try {
        bool x0_ = Marshaling<bool,int>::marshal(x0);

        bool ret = obj->is_scalar(x0_);
        // x0 is not a swig output

        return WrapReturn< int, bool >::wrapReturn( ret );
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return 0;
    }
}


// ================== Normal method: "is_smooth" ===============
// class: "casadi::DM"
// cppName: "casadi::DM::is_smooth"
// cWrapperName: "casadi__DM__is_smooth"
// protoArgs: "(std::string ** err_msg, casadi::DM* obj)"
// args: "()"
// rettype: CBool
// cWrapperRetType: "int"
// proto: "int\n    casadi__DM__is_smooth(std::string ** err_msg, casadi::DM* obj)"
// call: "        bool ret = obj->is_smooth();"
// params: []
extern "C"
int
    casadi__DM__is_smooth(std::string ** err_msg, casadi::DM* obj);
int
    casadi__DM__is_smooth(std::string ** err_msg, casadi::DM* obj){
    try {

        bool ret = obj->is_smooth();

        return WrapReturn< int, bool >::wrapReturn( ret );
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return 0;
    }
}


// ================== Normal method: "is_square" ===============
// class: "casadi::DM"
// cppName: "casadi::DM::is_square"
// cWrapperName: "casadi__DM__is_square"
// protoArgs: "(std::string ** err_msg, casadi::DM* obj)"
// args: "()"
// rettype: CBool
// cWrapperRetType: "int"
// proto: "int\n    casadi__DM__is_square(std::string ** err_msg, casadi::DM* obj)"
// call: "        bool ret = obj->is_square();"
// params: []
extern "C"
int
    casadi__DM__is_square(std::string ** err_msg, casadi::DM* obj);
int
    casadi__DM__is_square(std::string ** err_msg, casadi::DM* obj){
    try {

        bool ret = obj->is_square();

        return WrapReturn< int, bool >::wrapReturn( ret );
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return 0;
    }
}


// ================== Normal method: "is_symbolic" ===============
// class: "casadi::DM"
// cppName: "casadi::DM::is_symbolic"
// cWrapperName: "casadi__DM__is_symbolic"
// protoArgs: "(std::string ** err_msg, casadi::DM* obj)"
// args: "()"
// rettype: CBool
// cWrapperRetType: "int"
// proto: "int\n    casadi__DM__is_symbolic(std::string ** err_msg, casadi::DM* obj)"
// call: "        bool ret = obj->is_symbolic();"
// params: []
extern "C"
int
    casadi__DM__is_symbolic(std::string ** err_msg, casadi::DM* obj);
int
    casadi__DM__is_symbolic(std::string ** err_msg, casadi::DM* obj){
    try {

        bool ret = obj->is_symbolic();

        return WrapReturn< int, bool >::wrapReturn( ret );
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return 0;
    }
}


// ================== Normal method: "is_tril" ===============
// class: "casadi::DM"
// cppName: "casadi::DM::is_tril"
// cWrapperName: "casadi__DM__is_tril"
// protoArgs: "(std::string ** err_msg, casadi::DM* obj)"
// args: "()"
// rettype: CBool
// cWrapperRetType: "int"
// proto: "int\n    casadi__DM__is_tril(std::string ** err_msg, casadi::DM* obj)"
// call: "        bool ret = obj->is_tril();"
// params: []
extern "C"
int
    casadi__DM__is_tril(std::string ** err_msg, casadi::DM* obj);
int
    casadi__DM__is_tril(std::string ** err_msg, casadi::DM* obj){
    try {

        bool ret = obj->is_tril();

        return WrapReturn< int, bool >::wrapReturn( ret );
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return 0;
    }
}


// ================== Normal method: "is_triu" ===============
// class: "casadi::DM"
// cppName: "casadi::DM::is_triu"
// cWrapperName: "casadi__DM__is_triu"
// protoArgs: "(std::string ** err_msg, casadi::DM* obj)"
// args: "()"
// rettype: CBool
// cWrapperRetType: "int"
// proto: "int\n    casadi__DM__is_triu(std::string ** err_msg, casadi::DM* obj)"
// call: "        bool ret = obj->is_triu();"
// params: []
extern "C"
int
    casadi__DM__is_triu(std::string ** err_msg, casadi::DM* obj);
int
    casadi__DM__is_triu(std::string ** err_msg, casadi::DM* obj){
    try {

        bool ret = obj->is_triu();

        return WrapReturn< int, bool >::wrapReturn( ret );
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return 0;
    }
}


// ================== Normal method: "is_valid_input" ===============
// class: "casadi::DM"
// cppName: "casadi::DM::is_valid_input"
// cWrapperName: "casadi__DM__is_valid_input"
// protoArgs: "(std::string ** err_msg, casadi::DM* obj)"
// args: "()"
// rettype: CBool
// cWrapperRetType: "int"
// proto: "int\n    casadi__DM__is_valid_input(std::string ** err_msg, casadi::DM* obj)"
// call: "        bool ret = obj->is_valid_input();"
// params: []
extern "C"
int
    casadi__DM__is_valid_input(std::string ** err_msg, casadi::DM* obj);
int
    casadi__DM__is_valid_input(std::string ** err_msg, casadi::DM* obj){
    try {

        bool ret = obj->is_valid_input();

        return WrapReturn< int, bool >::wrapReturn( ret );
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return 0;
    }
}


// ================== Normal method: "is_vector" ===============
// class: "casadi::DM"
// cppName: "casadi::DM::is_vector"
// cWrapperName: "casadi__DM__is_vector"
// protoArgs: "(std::string ** err_msg, casadi::DM* obj)"
// args: "()"
// rettype: CBool
// cWrapperRetType: "int"
// proto: "int\n    casadi__DM__is_vector(std::string ** err_msg, casadi::DM* obj)"
// call: "        bool ret = obj->is_vector();"
// params: []
extern "C"
int
    casadi__DM__is_vector(std::string ** err_msg, casadi::DM* obj);
int
    casadi__DM__is_vector(std::string ** err_msg, casadi::DM* obj){
    try {

        bool ret = obj->is_vector();

        return WrapReturn< int, bool >::wrapReturn( ret );
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return 0;
    }
}


// ================== Normal method: "is_zero" ===============
// class: "casadi::DM"
// cppName: "casadi::DM::is_zero"
// cWrapperName: "casadi__DM__is_zero"
// protoArgs: "(std::string ** err_msg, casadi::DM* obj)"
// args: "()"
// rettype: CBool
// cWrapperRetType: "int"
// proto: "int\n    casadi__DM__is_zero(std::string ** err_msg, casadi::DM* obj)"
// call: "        bool ret = obj->is_zero();"
// params: []
extern "C"
int
    casadi__DM__is_zero(std::string ** err_msg, casadi::DM* obj);
int
    casadi__DM__is_zero(std::string ** err_msg, casadi::DM* obj){
    try {

        bool ret = obj->is_zero();

        return WrapReturn< int, bool >::wrapReturn( ret );
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return 0;
    }
}


// ================== Static method: "jac" ===============
// class: "casadi::DM"
// cppName: "casadi::DM::jac"
// cWrapperName: "casadi__DM__jac__0"
// protoArgs: "(std::string ** err_msg, casadi::Function* x0, std::string* x1, std::string* x2)"
// args: "(x0_, x1_, x2_)"
// rettype: UserType (Namespace ["casadi"]) (Name "DM")
// cWrapperRetType: "casadi::DM*"
// proto: "casadi::DM*\n    casadi__DM__jac__0(std::string ** err_msg, casadi::Function* x0, std::string* x1, std::string* x2)"
// call: "        casadi::DM ret = casadi::DM::jac(x0_, x1_, x2_);"
// params: [(Ref (Const (UserType (Namespace ["casadi"]) (Name "Function"))),SwigOutput False),(Ref (Const StdString),SwigOutput False),(Ref (Const StdString),SwigOutput False)]
extern "C"
casadi::DM*
    casadi__DM__jac__0(std::string ** err_msg, casadi::Function* x0, std::string* x1, std::string* x2);
casadi::DM*
    casadi__DM__jac__0(std::string ** err_msg, casadi::Function* x0, std::string* x1, std::string* x2){
    try {
        casadi::Function& x0_ = Marshaling<casadi::Function&,casadi::Function*>::marshal(x0);
        std::string& x1_ = Marshaling<std::string&,std::string*>::marshal(x1);
        std::string& x2_ = Marshaling<std::string&,std::string*>::marshal(x2);

        casadi::DM ret = casadi::DM::jac(x0_, x1_, x2_);
        // x0 is not a swig output
        // x1 is not a swig output
        // x2 is not a swig output

        return WrapReturn< casadi::DM*, casadi::DM >::wrapReturn( ret );
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return 0;
    }
}


// ================== Static method: "jac" ===============
// class: "casadi::DM"
// cppName: "casadi::DM::jac"
// cWrapperName: "casadi__DM__jac__1"
// protoArgs: "(std::string ** err_msg, casadi::Function* x0, std::string* x1, std::string* x2, int x3)"
// args: "(x0_, x1_, x2_, x3_)"
// rettype: UserType (Namespace ["casadi"]) (Name "DM")
// cWrapperRetType: "casadi::DM*"
// proto: "casadi::DM*\n    casadi__DM__jac__1(std::string ** err_msg, casadi::Function* x0, std::string* x1, std::string* x2, int x3)"
// call: "        casadi::DM ret = casadi::DM::jac(x0_, x1_, x2_, x3_);"
// params: [(Ref (Const (UserType (Namespace ["casadi"]) (Name "Function"))),SwigOutput False),(Ref (Const StdString),SwigOutput False),(Ref (Const StdString),SwigOutput False),(CBool,SwigOutput False)]
extern "C"
casadi::DM*
    casadi__DM__jac__1(std::string ** err_msg, casadi::Function* x0, std::string* x1, std::string* x2, int x3);
casadi::DM*
    casadi__DM__jac__1(std::string ** err_msg, casadi::Function* x0, std::string* x1, std::string* x2, int x3){
    try {
        casadi::Function& x0_ = Marshaling<casadi::Function&,casadi::Function*>::marshal(x0);
        std::string& x1_ = Marshaling<std::string&,std::string*>::marshal(x1);
        std::string& x2_ = Marshaling<std::string&,std::string*>::marshal(x2);
        bool x3_ = Marshaling<bool,int>::marshal(x3);

        casadi::DM ret = casadi::DM::jac(x0_, x1_, x2_, x3_);
        // x0 is not a swig output
        // x1 is not a swig output
        // x2 is not a swig output
        // x3 is not a swig output

        return WrapReturn< casadi::DM*, casadi::DM >::wrapReturn( ret );
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return 0;
    }
}


// ================== Static method: "jac" ===============
// class: "casadi::DM"
// cppName: "casadi::DM::jac"
// cWrapperName: "casadi__DM__jac__2"
// protoArgs: "(std::string ** err_msg, casadi::Function* x0, std::string* x1, std::string* x2, int x3, int x4)"
// args: "(x0_, x1_, x2_, x3_, x4_)"
// rettype: UserType (Namespace ["casadi"]) (Name "DM")
// cWrapperRetType: "casadi::DM*"
// proto: "casadi::DM*\n    casadi__DM__jac__2(std::string ** err_msg, casadi::Function* x0, std::string* x1, std::string* x2, int x3, int x4)"
// call: "        casadi::DM ret = casadi::DM::jac(x0_, x1_, x2_, x3_, x4_);"
// params: [(Ref (Const (UserType (Namespace ["casadi"]) (Name "Function"))),SwigOutput False),(Ref (Const StdString),SwigOutput False),(Ref (Const StdString),SwigOutput False),(CBool,SwigOutput False),(CBool,SwigOutput False)]
extern "C"
casadi::DM*
    casadi__DM__jac__2(std::string ** err_msg, casadi::Function* x0, std::string* x1, std::string* x2, int x3, int x4);
casadi::DM*
    casadi__DM__jac__2(std::string ** err_msg, casadi::Function* x0, std::string* x1, std::string* x2, int x3, int x4){
    try {
        casadi::Function& x0_ = Marshaling<casadi::Function&,casadi::Function*>::marshal(x0);
        std::string& x1_ = Marshaling<std::string&,std::string*>::marshal(x1);
        std::string& x2_ = Marshaling<std::string&,std::string*>::marshal(x2);
        bool x3_ = Marshaling<bool,int>::marshal(x3);
        bool x4_ = Marshaling<bool,int>::marshal(x4);

        casadi::DM ret = casadi::DM::jac(x0_, x1_, x2_, x3_, x4_);
        // x0 is not a swig output
        // x1 is not a swig output
        // x2 is not a swig output
        // x3 is not a swig output
        // x4 is not a swig output

        return WrapReturn< casadi::DM*, casadi::DM >::wrapReturn( ret );
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return 0;
    }
}


// ================== Static method: "jac" ===============
// class: "casadi::DM"
// cppName: "casadi::DM::jac"
// cWrapperName: "casadi__DM__jac__3"
// protoArgs: "(std::string ** err_msg, casadi::Function* x0, int x1, std::string* x2)"
// args: "(x0_, x1_, x2_)"
// rettype: UserType (Namespace ["casadi"]) (Name "DM")
// cWrapperRetType: "casadi::DM*"
// proto: "casadi::DM*\n    casadi__DM__jac__3(std::string ** err_msg, casadi::Function* x0, int x1, std::string* x2)"
// call: "        casadi::DM ret = casadi::DM::jac(x0_, x1_, x2_);"
// params: [(Ref (Const (UserType (Namespace ["casadi"]) (Name "Function"))),SwigOutput False),(CInt,SwigOutput False),(Ref (Const StdString),SwigOutput False)]
extern "C"
casadi::DM*
    casadi__DM__jac__3(std::string ** err_msg, casadi::Function* x0, int x1, std::string* x2);
casadi::DM*
    casadi__DM__jac__3(std::string ** err_msg, casadi::Function* x0, int x1, std::string* x2){
    try {
        casadi::Function& x0_ = Marshaling<casadi::Function&,casadi::Function*>::marshal(x0);
        int x1_ = Marshaling<int,int>::marshal(x1);
        std::string& x2_ = Marshaling<std::string&,std::string*>::marshal(x2);

        casadi::DM ret = casadi::DM::jac(x0_, x1_, x2_);
        // x0 is not a swig output
        // x1 is not a swig output
        // x2 is not a swig output

        return WrapReturn< casadi::DM*, casadi::DM >::wrapReturn( ret );
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return 0;
    }
}


// ================== Static method: "jac" ===============
// class: "casadi::DM"
// cppName: "casadi::DM::jac"
// cWrapperName: "casadi__DM__jac__4"
// protoArgs: "(std::string ** err_msg, casadi::Function* x0, int x1, std::string* x2, int x3)"
// args: "(x0_, x1_, x2_, x3_)"
// rettype: UserType (Namespace ["casadi"]) (Name "DM")
// cWrapperRetType: "casadi::DM*"
// proto: "casadi::DM*\n    casadi__DM__jac__4(std::string ** err_msg, casadi::Function* x0, int x1, std::string* x2, int x3)"
// call: "        casadi::DM ret = casadi::DM::jac(x0_, x1_, x2_, x3_);"
// params: [(Ref (Const (UserType (Namespace ["casadi"]) (Name "Function"))),SwigOutput False),(CInt,SwigOutput False),(Ref (Const StdString),SwigOutput False),(CBool,SwigOutput False)]
extern "C"
casadi::DM*
    casadi__DM__jac__4(std::string ** err_msg, casadi::Function* x0, int x1, std::string* x2, int x3);
casadi::DM*
    casadi__DM__jac__4(std::string ** err_msg, casadi::Function* x0, int x1, std::string* x2, int x3){
    try {
        casadi::Function& x0_ = Marshaling<casadi::Function&,casadi::Function*>::marshal(x0);
        int x1_ = Marshaling<int,int>::marshal(x1);
        std::string& x2_ = Marshaling<std::string&,std::string*>::marshal(x2);
        bool x3_ = Marshaling<bool,int>::marshal(x3);

        casadi::DM ret = casadi::DM::jac(x0_, x1_, x2_, x3_);
        // x0 is not a swig output
        // x1 is not a swig output
        // x2 is not a swig output
        // x3 is not a swig output

        return WrapReturn< casadi::DM*, casadi::DM >::wrapReturn( ret );
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return 0;
    }
}


// ================== Static method: "jac" ===============
// class: "casadi::DM"
// cppName: "casadi::DM::jac"
// cWrapperName: "casadi__DM__jac__5"
// protoArgs: "(std::string ** err_msg, casadi::Function* x0, int x1, std::string* x2, int x3, int x4)"
// args: "(x0_, x1_, x2_, x3_, x4_)"
// rettype: UserType (Namespace ["casadi"]) (Name "DM")
// cWrapperRetType: "casadi::DM*"
// proto: "casadi::DM*\n    casadi__DM__jac__5(std::string ** err_msg, casadi::Function* x0, int x1, std::string* x2, int x3, int x4)"
// call: "        casadi::DM ret = casadi::DM::jac(x0_, x1_, x2_, x3_, x4_);"
// params: [(Ref (Const (UserType (Namespace ["casadi"]) (Name "Function"))),SwigOutput False),(CInt,SwigOutput False),(Ref (Const StdString),SwigOutput False),(CBool,SwigOutput False),(CBool,SwigOutput False)]
extern "C"
casadi::DM*
    casadi__DM__jac__5(std::string ** err_msg, casadi::Function* x0, int x1, std::string* x2, int x3, int x4);
casadi::DM*
    casadi__DM__jac__5(std::string ** err_msg, casadi::Function* x0, int x1, std::string* x2, int x3, int x4){
    try {
        casadi::Function& x0_ = Marshaling<casadi::Function&,casadi::Function*>::marshal(x0);
        int x1_ = Marshaling<int,int>::marshal(x1);
        std::string& x2_ = Marshaling<std::string&,std::string*>::marshal(x2);
        bool x3_ = Marshaling<bool,int>::marshal(x3);
        bool x4_ = Marshaling<bool,int>::marshal(x4);

        casadi::DM ret = casadi::DM::jac(x0_, x1_, x2_, x3_, x4_);
        // x0 is not a swig output
        // x1 is not a swig output
        // x2 is not a swig output
        // x3 is not a swig output
        // x4 is not a swig output

        return WrapReturn< casadi::DM*, casadi::DM >::wrapReturn( ret );
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return 0;
    }
}


// ================== Static method: "jac" ===============
// class: "casadi::DM"
// cppName: "casadi::DM::jac"
// cWrapperName: "casadi__DM__jac__6"
// protoArgs: "(std::string ** err_msg, casadi::Function* x0, std::string* x1)"
// args: "(x0_, x1_)"
// rettype: UserType (Namespace ["casadi"]) (Name "DM")
// cWrapperRetType: "casadi::DM*"
// proto: "casadi::DM*\n    casadi__DM__jac__6(std::string ** err_msg, casadi::Function* x0, std::string* x1)"
// call: "        casadi::DM ret = casadi::DM::jac(x0_, x1_);"
// params: [(Ref (Const (UserType (Namespace ["casadi"]) (Name "Function"))),SwigOutput False),(Ref (Const StdString),SwigOutput False)]
extern "C"
casadi::DM*
    casadi__DM__jac__6(std::string ** err_msg, casadi::Function* x0, std::string* x1);
casadi::DM*
    casadi__DM__jac__6(std::string ** err_msg, casadi::Function* x0, std::string* x1){
    try {
        casadi::Function& x0_ = Marshaling<casadi::Function&,casadi::Function*>::marshal(x0);
        std::string& x1_ = Marshaling<std::string&,std::string*>::marshal(x1);

        casadi::DM ret = casadi::DM::jac(x0_, x1_);
        // x0 is not a swig output
        // x1 is not a swig output

        return WrapReturn< casadi::DM*, casadi::DM >::wrapReturn( ret );
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return 0;
    }
}


// ================== Static method: "jac" ===============
// class: "casadi::DM"
// cppName: "casadi::DM::jac"
// cWrapperName: "casadi__DM__jac__7"
// protoArgs: "(std::string ** err_msg, casadi::Function* x0, std::string* x1, int x2)"
// args: "(x0_, x1_, x2_)"
// rettype: UserType (Namespace ["casadi"]) (Name "DM")
// cWrapperRetType: "casadi::DM*"
// proto: "casadi::DM*\n    casadi__DM__jac__7(std::string ** err_msg, casadi::Function* x0, std::string* x1, int x2)"
// call: "        casadi::DM ret = casadi::DM::jac(x0_, x1_, x2_);"
// params: [(Ref (Const (UserType (Namespace ["casadi"]) (Name "Function"))),SwigOutput False),(Ref (Const StdString),SwigOutput False),(CInt,SwigOutput False)]
extern "C"
casadi::DM*
    casadi__DM__jac__7(std::string ** err_msg, casadi::Function* x0, std::string* x1, int x2);
casadi::DM*
    casadi__DM__jac__7(std::string ** err_msg, casadi::Function* x0, std::string* x1, int x2){
    try {
        casadi::Function& x0_ = Marshaling<casadi::Function&,casadi::Function*>::marshal(x0);
        std::string& x1_ = Marshaling<std::string&,std::string*>::marshal(x1);
        int x2_ = Marshaling<int,int>::marshal(x2);

        casadi::DM ret = casadi::DM::jac(x0_, x1_, x2_);
        // x0 is not a swig output
        // x1 is not a swig output
        // x2 is not a swig output

        return WrapReturn< casadi::DM*, casadi::DM >::wrapReturn( ret );
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return 0;
    }
}


// ================== Static method: "jac" ===============
// class: "casadi::DM"
// cppName: "casadi::DM::jac"
// cWrapperName: "casadi__DM__jac__8"
// protoArgs: "(std::string ** err_msg, casadi::Function* x0, std::string* x1, int x2, int x3)"
// args: "(x0_, x1_, x2_, x3_)"
// rettype: UserType (Namespace ["casadi"]) (Name "DM")
// cWrapperRetType: "casadi::DM*"
// proto: "casadi::DM*\n    casadi__DM__jac__8(std::string ** err_msg, casadi::Function* x0, std::string* x1, int x2, int x3)"
// call: "        casadi::DM ret = casadi::DM::jac(x0_, x1_, x2_, x3_);"
// params: [(Ref (Const (UserType (Namespace ["casadi"]) (Name "Function"))),SwigOutput False),(Ref (Const StdString),SwigOutput False),(CInt,SwigOutput False),(CBool,SwigOutput False)]
extern "C"
casadi::DM*
    casadi__DM__jac__8(std::string ** err_msg, casadi::Function* x0, std::string* x1, int x2, int x3);
casadi::DM*
    casadi__DM__jac__8(std::string ** err_msg, casadi::Function* x0, std::string* x1, int x2, int x3){
    try {
        casadi::Function& x0_ = Marshaling<casadi::Function&,casadi::Function*>::marshal(x0);
        std::string& x1_ = Marshaling<std::string&,std::string*>::marshal(x1);
        int x2_ = Marshaling<int,int>::marshal(x2);
        bool x3_ = Marshaling<bool,int>::marshal(x3);

        casadi::DM ret = casadi::DM::jac(x0_, x1_, x2_, x3_);
        // x0 is not a swig output
        // x1 is not a swig output
        // x2 is not a swig output
        // x3 is not a swig output

        return WrapReturn< casadi::DM*, casadi::DM >::wrapReturn( ret );
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return 0;
    }
}


// ================== Static method: "jac" ===============
// class: "casadi::DM"
// cppName: "casadi::DM::jac"
// cWrapperName: "casadi__DM__jac__9"
// protoArgs: "(std::string ** err_msg, casadi::Function* x0, std::string* x1, int x2, int x3, int x4)"
// args: "(x0_, x1_, x2_, x3_, x4_)"
// rettype: UserType (Namespace ["casadi"]) (Name "DM")
// cWrapperRetType: "casadi::DM*"
// proto: "casadi::DM*\n    casadi__DM__jac__9(std::string ** err_msg, casadi::Function* x0, std::string* x1, int x2, int x3, int x4)"
// call: "        casadi::DM ret = casadi::DM::jac(x0_, x1_, x2_, x3_, x4_);"
// params: [(Ref (Const (UserType (Namespace ["casadi"]) (Name "Function"))),SwigOutput False),(Ref (Const StdString),SwigOutput False),(CInt,SwigOutput False),(CBool,SwigOutput False),(CBool,SwigOutput False)]
extern "C"
casadi::DM*
    casadi__DM__jac__9(std::string ** err_msg, casadi::Function* x0, std::string* x1, int x2, int x3, int x4);
casadi::DM*
    casadi__DM__jac__9(std::string ** err_msg, casadi::Function* x0, std::string* x1, int x2, int x3, int x4){
    try {
        casadi::Function& x0_ = Marshaling<casadi::Function&,casadi::Function*>::marshal(x0);
        std::string& x1_ = Marshaling<std::string&,std::string*>::marshal(x1);
        int x2_ = Marshaling<int,int>::marshal(x2);
        bool x3_ = Marshaling<bool,int>::marshal(x3);
        bool x4_ = Marshaling<bool,int>::marshal(x4);

        casadi::DM ret = casadi::DM::jac(x0_, x1_, x2_, x3_, x4_);
        // x0 is not a swig output
        // x1 is not a swig output
        // x2 is not a swig output
        // x3 is not a swig output
        // x4 is not a swig output

        return WrapReturn< casadi::DM*, casadi::DM >::wrapReturn( ret );
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return 0;
    }
}


// ================== Static method: "jac" ===============
// class: "casadi::DM"
// cppName: "casadi::DM::jac"
// cWrapperName: "casadi__DM__jac__10"
// protoArgs: "(std::string ** err_msg, casadi::Function* x0)"
// args: "(x0_)"
// rettype: UserType (Namespace ["casadi"]) (Name "DM")
// cWrapperRetType: "casadi::DM*"
// proto: "casadi::DM*\n    casadi__DM__jac__10(std::string ** err_msg, casadi::Function* x0)"
// call: "        casadi::DM ret = casadi::DM::jac(x0_);"
// params: [(Ref (Const (UserType (Namespace ["casadi"]) (Name "Function"))),SwigOutput False)]
extern "C"
casadi::DM*
    casadi__DM__jac__10(std::string ** err_msg, casadi::Function* x0);
casadi::DM*
    casadi__DM__jac__10(std::string ** err_msg, casadi::Function* x0){
    try {
        casadi::Function& x0_ = Marshaling<casadi::Function&,casadi::Function*>::marshal(x0);

        casadi::DM ret = casadi::DM::jac(x0_);
        // x0 is not a swig output

        return WrapReturn< casadi::DM*, casadi::DM >::wrapReturn( ret );
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return 0;
    }
}


// ================== Static method: "jac" ===============
// class: "casadi::DM"
// cppName: "casadi::DM::jac"
// cWrapperName: "casadi__DM__jac__11"
// protoArgs: "(std::string ** err_msg, casadi::Function* x0, int x1)"
// args: "(x0_, x1_)"
// rettype: UserType (Namespace ["casadi"]) (Name "DM")
// cWrapperRetType: "casadi::DM*"
// proto: "casadi::DM*\n    casadi__DM__jac__11(std::string ** err_msg, casadi::Function* x0, int x1)"
// call: "        casadi::DM ret = casadi::DM::jac(x0_, x1_);"
// params: [(Ref (Const (UserType (Namespace ["casadi"]) (Name "Function"))),SwigOutput False),(CInt,SwigOutput False)]
extern "C"
casadi::DM*
    casadi__DM__jac__11(std::string ** err_msg, casadi::Function* x0, int x1);
casadi::DM*
    casadi__DM__jac__11(std::string ** err_msg, casadi::Function* x0, int x1){
    try {
        casadi::Function& x0_ = Marshaling<casadi::Function&,casadi::Function*>::marshal(x0);
        int x1_ = Marshaling<int,int>::marshal(x1);

        casadi::DM ret = casadi::DM::jac(x0_, x1_);
        // x0 is not a swig output
        // x1 is not a swig output

        return WrapReturn< casadi::DM*, casadi::DM >::wrapReturn( ret );
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return 0;
    }
}


// ================== Static method: "jac" ===============
// class: "casadi::DM"
// cppName: "casadi::DM::jac"
// cWrapperName: "casadi__DM__jac__12"
// protoArgs: "(std::string ** err_msg, casadi::Function* x0, int x1, int x2)"
// args: "(x0_, x1_, x2_)"
// rettype: UserType (Namespace ["casadi"]) (Name "DM")
// cWrapperRetType: "casadi::DM*"
// proto: "casadi::DM*\n    casadi__DM__jac__12(std::string ** err_msg, casadi::Function* x0, int x1, int x2)"
// call: "        casadi::DM ret = casadi::DM::jac(x0_, x1_, x2_);"
// params: [(Ref (Const (UserType (Namespace ["casadi"]) (Name "Function"))),SwigOutput False),(CInt,SwigOutput False),(CInt,SwigOutput False)]
extern "C"
casadi::DM*
    casadi__DM__jac__12(std::string ** err_msg, casadi::Function* x0, int x1, int x2);
casadi::DM*
    casadi__DM__jac__12(std::string ** err_msg, casadi::Function* x0, int x1, int x2){
    try {
        casadi::Function& x0_ = Marshaling<casadi::Function&,casadi::Function*>::marshal(x0);
        int x1_ = Marshaling<int,int>::marshal(x1);
        int x2_ = Marshaling<int,int>::marshal(x2);

        casadi::DM ret = casadi::DM::jac(x0_, x1_, x2_);
        // x0 is not a swig output
        // x1 is not a swig output
        // x2 is not a swig output

        return WrapReturn< casadi::DM*, casadi::DM >::wrapReturn( ret );
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return 0;
    }
}


// ================== Static method: "jac" ===============
// class: "casadi::DM"
// cppName: "casadi::DM::jac"
// cWrapperName: "casadi__DM__jac__13"
// protoArgs: "(std::string ** err_msg, casadi::Function* x0, int x1, int x2, int x3)"
// args: "(x0_, x1_, x2_, x3_)"
// rettype: UserType (Namespace ["casadi"]) (Name "DM")
// cWrapperRetType: "casadi::DM*"
// proto: "casadi::DM*\n    casadi__DM__jac__13(std::string ** err_msg, casadi::Function* x0, int x1, int x2, int x3)"
// call: "        casadi::DM ret = casadi::DM::jac(x0_, x1_, x2_, x3_);"
// params: [(Ref (Const (UserType (Namespace ["casadi"]) (Name "Function"))),SwigOutput False),(CInt,SwigOutput False),(CInt,SwigOutput False),(CBool,SwigOutput False)]
extern "C"
casadi::DM*
    casadi__DM__jac__13(std::string ** err_msg, casadi::Function* x0, int x1, int x2, int x3);
casadi::DM*
    casadi__DM__jac__13(std::string ** err_msg, casadi::Function* x0, int x1, int x2, int x3){
    try {
        casadi::Function& x0_ = Marshaling<casadi::Function&,casadi::Function*>::marshal(x0);
        int x1_ = Marshaling<int,int>::marshal(x1);
        int x2_ = Marshaling<int,int>::marshal(x2);
        bool x3_ = Marshaling<bool,int>::marshal(x3);

        casadi::DM ret = casadi::DM::jac(x0_, x1_, x2_, x3_);
        // x0 is not a swig output
        // x1 is not a swig output
        // x2 is not a swig output
        // x3 is not a swig output

        return WrapReturn< casadi::DM*, casadi::DM >::wrapReturn( ret );
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return 0;
    }
}


// ================== Static method: "jac" ===============
// class: "casadi::DM"
// cppName: "casadi::DM::jac"
// cWrapperName: "casadi__DM__jac__14"
// protoArgs: "(std::string ** err_msg, casadi::Function* x0, int x1, int x2, int x3, int x4)"
// args: "(x0_, x1_, x2_, x3_, x4_)"
// rettype: UserType (Namespace ["casadi"]) (Name "DM")
// cWrapperRetType: "casadi::DM*"
// proto: "casadi::DM*\n    casadi__DM__jac__14(std::string ** err_msg, casadi::Function* x0, int x1, int x2, int x3, int x4)"
// call: "        casadi::DM ret = casadi::DM::jac(x0_, x1_, x2_, x3_, x4_);"
// params: [(Ref (Const (UserType (Namespace ["casadi"]) (Name "Function"))),SwigOutput False),(CInt,SwigOutput False),(CInt,SwigOutput False),(CBool,SwigOutput False),(CBool,SwigOutput False)]
extern "C"
casadi::DM*
    casadi__DM__jac__14(std::string ** err_msg, casadi::Function* x0, int x1, int x2, int x3, int x4);
casadi::DM*
    casadi__DM__jac__14(std::string ** err_msg, casadi::Function* x0, int x1, int x2, int x3, int x4){
    try {
        casadi::Function& x0_ = Marshaling<casadi::Function&,casadi::Function*>::marshal(x0);
        int x1_ = Marshaling<int,int>::marshal(x1);
        int x2_ = Marshaling<int,int>::marshal(x2);
        bool x3_ = Marshaling<bool,int>::marshal(x3);
        bool x4_ = Marshaling<bool,int>::marshal(x4);

        casadi::DM ret = casadi::DM::jac(x0_, x1_, x2_, x3_, x4_);
        // x0 is not a swig output
        // x1 is not a swig output
        // x2 is not a swig output
        // x3 is not a swig output
        // x4 is not a swig output

        return WrapReturn< casadi::DM*, casadi::DM >::wrapReturn( ret );
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return 0;
    }
}


// ================== Static method: "matrix_matrix" ===============
// class: "casadi::DM"
// cppName: "casadi::DM::matrix_matrix"
// cWrapperName: "casadi__DM__matrix_matrix"
// protoArgs: "(std::string ** err_msg, int x0, casadi::DM* x1, casadi::DM* x2)"
// args: "(x0_, x1_, x2_)"
// rettype: UserType (Namespace ["casadi"]) (Name "DM")
// cWrapperRetType: "casadi::DM*"
// proto: "casadi::DM*\n    casadi__DM__matrix_matrix(std::string ** err_msg, int x0, casadi::DM* x1, casadi::DM* x2)"
// call: "        casadi::DM ret = casadi::DM::matrix_matrix(x0_, x1_, x2_);"
// params: [(CInt,SwigOutput False),(Ref (Const (UserType (Namespace ["casadi"]) (Name "DM"))),SwigOutput False),(Ref (Const (UserType (Namespace ["casadi"]) (Name "DM"))),SwigOutput False)]
extern "C"
casadi::DM*
    casadi__DM__matrix_matrix(std::string ** err_msg, int x0, casadi::DM* x1, casadi::DM* x2);
casadi::DM*
    casadi__DM__matrix_matrix(std::string ** err_msg, int x0, casadi::DM* x1, casadi::DM* x2){
    try {
        int x0_ = Marshaling<int,int>::marshal(x0);
        casadi::DM& x1_ = Marshaling<casadi::DM&,casadi::DM*>::marshal(x1);
        casadi::DM& x2_ = Marshaling<casadi::DM&,casadi::DM*>::marshal(x2);

        casadi::DM ret = casadi::DM::matrix_matrix(x0_, x1_, x2_);
        // x0 is not a swig output
        // x1 is not a swig output
        // x2 is not a swig output

        return WrapReturn< casadi::DM*, casadi::DM >::wrapReturn( ret );
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return 0;
    }
}


// ================== Static method: "matrix_scalar" ===============
// class: "casadi::DM"
// cppName: "casadi::DM::matrix_scalar"
// cWrapperName: "casadi__DM__matrix_scalar"
// protoArgs: "(std::string ** err_msg, int x0, casadi::DM* x1, casadi::DM* x2)"
// args: "(x0_, x1_, x2_)"
// rettype: UserType (Namespace ["casadi"]) (Name "DM")
// cWrapperRetType: "casadi::DM*"
// proto: "casadi::DM*\n    casadi__DM__matrix_scalar(std::string ** err_msg, int x0, casadi::DM* x1, casadi::DM* x2)"
// call: "        casadi::DM ret = casadi::DM::matrix_scalar(x0_, x1_, x2_);"
// params: [(CInt,SwigOutput False),(Ref (Const (UserType (Namespace ["casadi"]) (Name "DM"))),SwigOutput False),(Ref (Const (UserType (Namespace ["casadi"]) (Name "DM"))),SwigOutput False)]
extern "C"
casadi::DM*
    casadi__DM__matrix_scalar(std::string ** err_msg, int x0, casadi::DM* x1, casadi::DM* x2);
casadi::DM*
    casadi__DM__matrix_scalar(std::string ** err_msg, int x0, casadi::DM* x1, casadi::DM* x2){
    try {
        int x0_ = Marshaling<int,int>::marshal(x0);
        casadi::DM& x1_ = Marshaling<casadi::DM&,casadi::DM*>::marshal(x1);
        casadi::DM& x2_ = Marshaling<casadi::DM&,casadi::DM*>::marshal(x2);

        casadi::DM ret = casadi::DM::matrix_scalar(x0_, x1_, x2_);
        // x0 is not a swig output
        // x1 is not a swig output
        // x2 is not a swig output

        return WrapReturn< casadi::DM*, casadi::DM >::wrapReturn( ret );
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return 0;
    }
}


// ================== Normal method: "n_dep" ===============
// class: "casadi::DM"
// cppName: "casadi::DM::n_dep"
// cWrapperName: "casadi__DM__n_dep"
// protoArgs: "(std::string ** err_msg, casadi::DM* obj)"
// args: "()"
// rettype: CInt
// cWrapperRetType: "int"
// proto: "int\n    casadi__DM__n_dep(std::string ** err_msg, casadi::DM* obj)"
// call: "        int ret = obj->n_dep();"
// params: []
extern "C"
int
    casadi__DM__n_dep(std::string ** err_msg, casadi::DM* obj);
int
    casadi__DM__n_dep(std::string ** err_msg, casadi::DM* obj){
    try {

        int ret = obj->n_dep();

        return WrapReturn< int, int >::wrapReturn( ret );
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return 0;
    }
}


// ================== Normal method: "name" ===============
// class: "casadi::DM"
// cppName: "casadi::DM::name"
// cWrapperName: "casadi__DM__name"
// protoArgs: "(std::string ** err_msg, casadi::DM* obj)"
// args: "()"
// rettype: StdString
// cWrapperRetType: "std::string*"
// proto: "std::string*\n    casadi__DM__name(std::string ** err_msg, casadi::DM* obj)"
// call: "        std::string ret = obj->name();"
// params: []
extern "C"
std::string*
    casadi__DM__name(std::string ** err_msg, casadi::DM* obj);
std::string*
    casadi__DM__name(std::string ** err_msg, casadi::DM* obj){
    try {

        std::string ret = obj->name();

        return WrapReturn< std::string*, std::string >::wrapReturn( ret );
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return 0;
    }
}


// ================== Static method: "nan" ===============
// class: "casadi::DM"
// cppName: "casadi::DM::nan"
// cWrapperName: "casadi__DM__nan__0"
// protoArgs: "(std::string ** err_msg, std::pair< int, int >* x0)"
// args: "(x0_)"
// rettype: UserType (Namespace ["casadi"]) (Name "DM")
// cWrapperRetType: "casadi::DM*"
// proto: "casadi::DM*\n    casadi__DM__nan__0(std::string ** err_msg, std::pair< int, int >* x0)"
// call: "        casadi::DM ret = casadi::DM::nan(x0_);"
// params: [(Ref (Const (StdPair CInt CInt)),SwigOutput False)]
extern "C"
casadi::DM*
    casadi__DM__nan__0(std::string ** err_msg, std::pair< int, int >* x0);
casadi::DM*
    casadi__DM__nan__0(std::string ** err_msg, std::pair< int, int >* x0){
    try {
        std::pair< int, int > x0_ = Marshaling<std::pair< int, int >,std::pair< int, int >*>::marshal(x0);

        casadi::DM ret = casadi::DM::nan(x0_);
        // x0 is not a swig output

        return WrapReturn< casadi::DM*, casadi::DM >::wrapReturn( ret );
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return 0;
    }
}


// ================== Static method: "nan" ===============
// class: "casadi::DM"
// cppName: "casadi::DM::nan"
// cWrapperName: "casadi__DM__nan__1"
// protoArgs: "(std::string ** err_msg)"
// args: "()"
// rettype: UserType (Namespace ["casadi"]) (Name "DM")
// cWrapperRetType: "casadi::DM*"
// proto: "casadi::DM*\n    casadi__DM__nan__1(std::string ** err_msg)"
// call: "        casadi::DM ret = casadi::DM::nan();"
// params: []
extern "C"
casadi::DM*
    casadi__DM__nan__1(std::string ** err_msg);
casadi::DM*
    casadi__DM__nan__1(std::string ** err_msg){
    try {

        casadi::DM ret = casadi::DM::nan();

        return WrapReturn< casadi::DM*, casadi::DM >::wrapReturn( ret );
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return 0;
    }
}


// ================== Static method: "nan" ===============
// class: "casadi::DM"
// cppName: "casadi::DM::nan"
// cWrapperName: "casadi__DM__nan__2"
// protoArgs: "(std::string ** err_msg, int x0)"
// args: "(x0_)"
// rettype: UserType (Namespace ["casadi"]) (Name "DM")
// cWrapperRetType: "casadi::DM*"
// proto: "casadi::DM*\n    casadi__DM__nan__2(std::string ** err_msg, int x0)"
// call: "        casadi::DM ret = casadi::DM::nan(x0_);"
// params: [(CInt,SwigOutput False)]
extern "C"
casadi::DM*
    casadi__DM__nan__2(std::string ** err_msg, int x0);
casadi::DM*
    casadi__DM__nan__2(std::string ** err_msg, int x0){
    try {
        int x0_ = Marshaling<int,int>::marshal(x0);

        casadi::DM ret = casadi::DM::nan(x0_);
        // x0 is not a swig output

        return WrapReturn< casadi::DM*, casadi::DM >::wrapReturn( ret );
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return 0;
    }
}


// ================== Static method: "nan" ===============
// class: "casadi::DM"
// cppName: "casadi::DM::nan"
// cWrapperName: "casadi__DM__nan__3"
// protoArgs: "(std::string ** err_msg, int x0, int x1)"
// args: "(x0_, x1_)"
// rettype: UserType (Namespace ["casadi"]) (Name "DM")
// cWrapperRetType: "casadi::DM*"
// proto: "casadi::DM*\n    casadi__DM__nan__3(std::string ** err_msg, int x0, int x1)"
// call: "        casadi::DM ret = casadi::DM::nan(x0_, x1_);"
// params: [(CInt,SwigOutput False),(CInt,SwigOutput False)]
extern "C"
casadi::DM*
    casadi__DM__nan__3(std::string ** err_msg, int x0, int x1);
casadi::DM*
    casadi__DM__nan__3(std::string ** err_msg, int x0, int x1){
    try {
        int x0_ = Marshaling<int,int>::marshal(x0);
        int x1_ = Marshaling<int,int>::marshal(x1);

        casadi::DM ret = casadi::DM::nan(x0_, x1_);
        // x0 is not a swig output
        // x1 is not a swig output

        return WrapReturn< casadi::DM*, casadi::DM >::wrapReturn( ret );
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return 0;
    }
}


// ================== Static method: "nan" ===============
// class: "casadi::DM"
// cppName: "casadi::DM::nan"
// cWrapperName: "casadi__DM__nan__4"
// protoArgs: "(std::string ** err_msg, casadi::Sparsity* x0)"
// args: "(x0_)"
// rettype: UserType (Namespace ["casadi"]) (Name "DM")
// cWrapperRetType: "casadi::DM*"
// proto: "casadi::DM*\n    casadi__DM__nan__4(std::string ** err_msg, casadi::Sparsity* x0)"
// call: "        casadi::DM ret = casadi::DM::nan(x0_);"
// params: [(Ref (Const (UserType (Namespace ["casadi"]) (Name "Sparsity"))),SwigOutput False)]
extern "C"
casadi::DM*
    casadi__DM__nan__4(std::string ** err_msg, casadi::Sparsity* x0);
casadi::DM*
    casadi__DM__nan__4(std::string ** err_msg, casadi::Sparsity* x0){
    try {
        casadi::Sparsity& x0_ = Marshaling<casadi::Sparsity&,casadi::Sparsity*>::marshal(x0);

        casadi::DM ret = casadi::DM::nan(x0_);
        // x0 is not a swig output

        return WrapReturn< casadi::DM*, casadi::DM >::wrapReturn( ret );
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return 0;
    }
}


// ================== Normal method: "nnz" ===============
// class: "casadi::DM"
// cppName: "casadi::DM::nnz"
// cWrapperName: "casadi__DM__nnz"
// protoArgs: "(std::string ** err_msg, casadi::DM* obj)"
// args: "()"
// rettype: CInt
// cWrapperRetType: "int"
// proto: "int\n    casadi__DM__nnz(std::string ** err_msg, casadi::DM* obj)"
// call: "        int ret = obj->nnz();"
// params: []
extern "C"
int
    casadi__DM__nnz(std::string ** err_msg, casadi::DM* obj);
int
    casadi__DM__nnz(std::string ** err_msg, casadi::DM* obj){
    try {

        int ret = obj->nnz();

        return WrapReturn< int, int >::wrapReturn( ret );
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return 0;
    }
}


// ================== Normal method: "nnz_diag" ===============
// class: "casadi::DM"
// cppName: "casadi::DM::nnz_diag"
// cWrapperName: "casadi__DM__nnz_diag"
// protoArgs: "(std::string ** err_msg, casadi::DM* obj)"
// args: "()"
// rettype: CInt
// cWrapperRetType: "int"
// proto: "int\n    casadi__DM__nnz_diag(std::string ** err_msg, casadi::DM* obj)"
// call: "        int ret = obj->nnz_diag();"
// params: []
extern "C"
int
    casadi__DM__nnz_diag(std::string ** err_msg, casadi::DM* obj);
int
    casadi__DM__nnz_diag(std::string ** err_msg, casadi::DM* obj){
    try {

        int ret = obj->nnz_diag();

        return WrapReturn< int, int >::wrapReturn( ret );
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return 0;
    }
}


// ================== Normal method: "nnz_lower" ===============
// class: "casadi::DM"
// cppName: "casadi::DM::nnz_lower"
// cWrapperName: "casadi__DM__nnz_lower"
// protoArgs: "(std::string ** err_msg, casadi::DM* obj)"
// args: "()"
// rettype: CInt
// cWrapperRetType: "int"
// proto: "int\n    casadi__DM__nnz_lower(std::string ** err_msg, casadi::DM* obj)"
// call: "        int ret = obj->nnz_lower();"
// params: []
extern "C"
int
    casadi__DM__nnz_lower(std::string ** err_msg, casadi::DM* obj);
int
    casadi__DM__nnz_lower(std::string ** err_msg, casadi::DM* obj){
    try {

        int ret = obj->nnz_lower();

        return WrapReturn< int, int >::wrapReturn( ret );
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return 0;
    }
}


// ================== Normal method: "nnz_upper" ===============
// class: "casadi::DM"
// cppName: "casadi::DM::nnz_upper"
// cWrapperName: "casadi__DM__nnz_upper"
// protoArgs: "(std::string ** err_msg, casadi::DM* obj)"
// args: "()"
// rettype: CInt
// cWrapperRetType: "int"
// proto: "int\n    casadi__DM__nnz_upper(std::string ** err_msg, casadi::DM* obj)"
// call: "        int ret = obj->nnz_upper();"
// params: []
extern "C"
int
    casadi__DM__nnz_upper(std::string ** err_msg, casadi::DM* obj);
int
    casadi__DM__nnz_upper(std::string ** err_msg, casadi::DM* obj){
    try {

        int ret = obj->nnz_upper();

        return WrapReturn< int, int >::wrapReturn( ret );
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return 0;
    }
}


// ================== Normal method: "numel" ===============
// class: "casadi::DM"
// cppName: "casadi::DM::numel"
// cWrapperName: "casadi__DM__numel__0"
// protoArgs: "(std::string ** err_msg, casadi::DM* obj, int x0)"
// args: "(x0_)"
// rettype: CInt
// cWrapperRetType: "int"
// proto: "int\n    casadi__DM__numel__0(std::string ** err_msg, casadi::DM* obj, int x0)"
// call: "        int ret = obj->numel(x0_);"
// params: [(CInt,SwigOutput False)]
extern "C"
int
    casadi__DM__numel__0(std::string ** err_msg, casadi::DM* obj, int x0);
int
    casadi__DM__numel__0(std::string ** err_msg, casadi::DM* obj, int x0){
    try {
        int x0_ = Marshaling<int,int>::marshal(x0);

        int ret = obj->numel(x0_);
        // x0 is not a swig output

        return WrapReturn< int, int >::wrapReturn( ret );
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return 0;
    }
}


// ================== Normal method: "numel" ===============
// class: "casadi::DM"
// cppName: "casadi::DM::numel"
// cWrapperName: "casadi__DM__numel__1"
// protoArgs: "(std::string ** err_msg, casadi::DM* obj)"
// args: "()"
// rettype: CInt
// cWrapperRetType: "int"
// proto: "int\n    casadi__DM__numel__1(std::string ** err_msg, casadi::DM* obj)"
// call: "        int ret = obj->numel();"
// params: []
extern "C"
int
    casadi__DM__numel__1(std::string ** err_msg, casadi::DM* obj);
int
    casadi__DM__numel__1(std::string ** err_msg, casadi::DM* obj){
    try {

        int ret = obj->numel();

        return WrapReturn< int, int >::wrapReturn( ret );
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return 0;
    }
}


// ================== Static method: "ones" ===============
// class: "casadi::DM"
// cppName: "casadi::DM::ones"
// cWrapperName: "casadi__DM__ones__0"
// protoArgs: "(std::string ** err_msg, std::pair< int, int >* x0)"
// args: "(x0_)"
// rettype: UserType (Namespace ["casadi"]) (Name "DM")
// cWrapperRetType: "casadi::DM*"
// proto: "casadi::DM*\n    casadi__DM__ones__0(std::string ** err_msg, std::pair< int, int >* x0)"
// call: "        casadi::DM ret = casadi::DM::ones(x0_);"
// params: [(Ref (Const (StdPair CInt CInt)),SwigOutput False)]
extern "C"
casadi::DM*
    casadi__DM__ones__0(std::string ** err_msg, std::pair< int, int >* x0);
casadi::DM*
    casadi__DM__ones__0(std::string ** err_msg, std::pair< int, int >* x0){
    try {
        std::pair< int, int > x0_ = Marshaling<std::pair< int, int >,std::pair< int, int >*>::marshal(x0);

        casadi::DM ret = casadi::DM::ones(x0_);
        // x0 is not a swig output

        return WrapReturn< casadi::DM*, casadi::DM >::wrapReturn( ret );
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return 0;
    }
}


// ================== Static method: "ones" ===============
// class: "casadi::DM"
// cppName: "casadi::DM::ones"
// cWrapperName: "casadi__DM__ones__1"
// protoArgs: "(std::string ** err_msg, casadi::Sparsity* x0)"
// args: "(x0_)"
// rettype: UserType (Namespace ["casadi"]) (Name "DM")
// cWrapperRetType: "casadi::DM*"
// proto: "casadi::DM*\n    casadi__DM__ones__1(std::string ** err_msg, casadi::Sparsity* x0)"
// call: "        casadi::DM ret = casadi::DM::ones(x0_);"
// params: [(Ref (Const (UserType (Namespace ["casadi"]) (Name "Sparsity"))),SwigOutput False)]
extern "C"
casadi::DM*
    casadi__DM__ones__1(std::string ** err_msg, casadi::Sparsity* x0);
casadi::DM*
    casadi__DM__ones__1(std::string ** err_msg, casadi::Sparsity* x0){
    try {
        casadi::Sparsity& x0_ = Marshaling<casadi::Sparsity&,casadi::Sparsity*>::marshal(x0);

        casadi::DM ret = casadi::DM::ones(x0_);
        // x0 is not a swig output

        return WrapReturn< casadi::DM*, casadi::DM >::wrapReturn( ret );
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return 0;
    }
}


// ================== Static method: "ones" ===============
// class: "casadi::DM"
// cppName: "casadi::DM::ones"
// cWrapperName: "casadi__DM__ones__2"
// protoArgs: "(std::string ** err_msg)"
// args: "()"
// rettype: UserType (Namespace ["casadi"]) (Name "DM")
// cWrapperRetType: "casadi::DM*"
// proto: "casadi::DM*\n    casadi__DM__ones__2(std::string ** err_msg)"
// call: "        casadi::DM ret = casadi::DM::ones();"
// params: []
extern "C"
casadi::DM*
    casadi__DM__ones__2(std::string ** err_msg);
casadi::DM*
    casadi__DM__ones__2(std::string ** err_msg){
    try {

        casadi::DM ret = casadi::DM::ones();

        return WrapReturn< casadi::DM*, casadi::DM >::wrapReturn( ret );
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return 0;
    }
}


// ================== Static method: "ones" ===============
// class: "casadi::DM"
// cppName: "casadi::DM::ones"
// cWrapperName: "casadi__DM__ones__3"
// protoArgs: "(std::string ** err_msg, int x0)"
// args: "(x0_)"
// rettype: UserType (Namespace ["casadi"]) (Name "DM")
// cWrapperRetType: "casadi::DM*"
// proto: "casadi::DM*\n    casadi__DM__ones__3(std::string ** err_msg, int x0)"
// call: "        casadi::DM ret = casadi::DM::ones(x0_);"
// params: [(CInt,SwigOutput False)]
extern "C"
casadi::DM*
    casadi__DM__ones__3(std::string ** err_msg, int x0);
casadi::DM*
    casadi__DM__ones__3(std::string ** err_msg, int x0){
    try {
        int x0_ = Marshaling<int,int>::marshal(x0);

        casadi::DM ret = casadi::DM::ones(x0_);
        // x0 is not a swig output

        return WrapReturn< casadi::DM*, casadi::DM >::wrapReturn( ret );
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return 0;
    }
}


// ================== Static method: "ones" ===============
// class: "casadi::DM"
// cppName: "casadi::DM::ones"
// cWrapperName: "casadi__DM__ones__4"
// protoArgs: "(std::string ** err_msg, int x0, int x1)"
// args: "(x0_, x1_)"
// rettype: UserType (Namespace ["casadi"]) (Name "DM")
// cWrapperRetType: "casadi::DM*"
// proto: "casadi::DM*\n    casadi__DM__ones__4(std::string ** err_msg, int x0, int x1)"
// call: "        casadi::DM ret = casadi::DM::ones(x0_, x1_);"
// params: [(CInt,SwigOutput False),(CInt,SwigOutput False)]
extern "C"
casadi::DM*
    casadi__DM__ones__4(std::string ** err_msg, int x0, int x1);
casadi::DM*
    casadi__DM__ones__4(std::string ** err_msg, int x0, int x1){
    try {
        int x0_ = Marshaling<int,int>::marshal(x0);
        int x1_ = Marshaling<int,int>::marshal(x1);

        casadi::DM ret = casadi::DM::ones(x0_, x1_);
        // x0 is not a swig output
        // x1 is not a swig output

        return WrapReturn< casadi::DM*, casadi::DM >::wrapReturn( ret );
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return 0;
    }
}


// ================== Normal method: "operator +" ===============
// class: "casadi::DM"
// cppName: "casadi::DM::operator +"
// cWrapperName: "casadi__DM__operator__plus"
// protoArgs: "(std::string ** err_msg, casadi::DM* obj)"
// args: "()"
// rettype: UserType (Namespace ["casadi"]) (Name "DM")
// cWrapperRetType: "casadi::DM*"
// proto: "casadi::DM*\n    casadi__DM__operator__plus(std::string ** err_msg, casadi::DM* obj)"
// call: "        casadi::DM ret = obj->operator +();"
// params: []
extern "C"
casadi::DM*
    casadi__DM__operator__plus(std::string ** err_msg, casadi::DM* obj);
casadi::DM*
    casadi__DM__operator__plus(std::string ** err_msg, casadi::DM* obj){
    try {

        casadi::DM ret = obj->operator +();

        return WrapReturn< casadi::DM*, casadi::DM >::wrapReturn( ret );
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return 0;
    }
}


// ================== Normal method: "operator -" ===============
// class: "casadi::DM"
// cppName: "casadi::DM::operator -"
// cWrapperName: "casadi__DM__operator__minus"
// protoArgs: "(std::string ** err_msg, casadi::DM* obj)"
// args: "()"
// rettype: UserType (Namespace ["casadi"]) (Name "DM")
// cWrapperRetType: "casadi::DM*"
// proto: "casadi::DM*\n    casadi__DM__operator__minus(std::string ** err_msg, casadi::DM* obj)"
// call: "        casadi::DM ret = obj->operator -();"
// params: []
extern "C"
casadi::DM*
    casadi__DM__operator__minus(std::string ** err_msg, casadi::DM* obj);
casadi::DM*
    casadi__DM__operator__minus(std::string ** err_msg, casadi::DM* obj){
    try {

        casadi::DM ret = obj->operator -();

        return WrapReturn< casadi::DM*, casadi::DM >::wrapReturn( ret );
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return 0;
    }
}


// ================== Normal method: "operator double" ===============
// class: "casadi::DM"
// cppName: "casadi::DM::operator double"
// cWrapperName: "casadi__DM__operator_double"
// protoArgs: "(std::string ** err_msg, casadi::DM* obj)"
// args: "()"
// rettype: CDouble
// cWrapperRetType: "double"
// proto: "double\n    casadi__DM__operator_double(std::string ** err_msg, casadi::DM* obj)"
// call: "        double ret = obj->operator double();"
// params: []
extern "C"
double
    casadi__DM__operator_double(std::string ** err_msg, casadi::DM* obj);
double
    casadi__DM__operator_double(std::string ** err_msg, casadi::DM* obj){
    try {

        double ret = obj->operator double();

        return WrapReturn< double, double >::wrapReturn( ret );
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return 0;
    }
}


// ================== Normal method: "operator int" ===============
// class: "casadi::DM"
// cppName: "casadi::DM::operator int"
// cWrapperName: "casadi__DM__operator_int"
// protoArgs: "(std::string ** err_msg, casadi::DM* obj)"
// args: "()"
// rettype: CInt
// cWrapperRetType: "int"
// proto: "int\n    casadi__DM__operator_int(std::string ** err_msg, casadi::DM* obj)"
// call: "        int ret = obj->operator int();"
// params: []
extern "C"
int
    casadi__DM__operator_int(std::string ** err_msg, casadi::DM* obj);
int
    casadi__DM__operator_int(std::string ** err_msg, casadi::DM* obj){
    try {

        int ret = obj->operator int();

        return WrapReturn< int, int >::wrapReturn( ret );
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return 0;
    }
}


// ================== Normal method: "print_dense" ===============
// class: "casadi::DM"
// cppName: "casadi::DM::print_dense"
// cWrapperName: "casadi__DM__print_dense"
// protoArgs: "(std::string ** err_msg, casadi::DM* obj)"
// args: "()"
// rettype: CVoid
// cWrapperRetType: "void"
// proto: "void\n    casadi__DM__print_dense(std::string ** err_msg, casadi::DM* obj)"
// call: "        obj->print_dense();"
// params: []
extern "C"
void
    casadi__DM__print_dense(std::string ** err_msg, casadi::DM* obj);
void
    casadi__DM__print_dense(std::string ** err_msg, casadi::DM* obj){
    try {

        obj->print_dense();

        return;
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return;
    }
}


// ================== Normal method: "print_scalar" ===============
// class: "casadi::DM"
// cppName: "casadi::DM::print_scalar"
// cWrapperName: "casadi__DM__print_scalar"
// protoArgs: "(std::string ** err_msg, casadi::DM* obj)"
// args: "()"
// rettype: CVoid
// cWrapperRetType: "void"
// proto: "void\n    casadi__DM__print_scalar(std::string ** err_msg, casadi::DM* obj)"
// call: "        obj->print_scalar();"
// params: []
extern "C"
void
    casadi__DM__print_scalar(std::string ** err_msg, casadi::DM* obj);
void
    casadi__DM__print_scalar(std::string ** err_msg, casadi::DM* obj){
    try {

        obj->print_scalar();

        return;
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return;
    }
}


// ================== Normal method: "print_sparse" ===============
// class: "casadi::DM"
// cppName: "casadi::DM::print_sparse"
// cWrapperName: "casadi__DM__print_sparse"
// protoArgs: "(std::string ** err_msg, casadi::DM* obj)"
// args: "()"
// rettype: CVoid
// cWrapperRetType: "void"
// proto: "void\n    casadi__DM__print_sparse(std::string ** err_msg, casadi::DM* obj)"
// call: "        obj->print_sparse();"
// params: []
extern "C"
void
    casadi__DM__print_sparse(std::string ** err_msg, casadi::DM* obj);
void
    casadi__DM__print_sparse(std::string ** err_msg, casadi::DM* obj){
    try {

        obj->print_sparse();

        return;
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return;
    }
}


// ================== Normal method: "print_split" ===============
// class: "casadi::DM"
// cppName: "casadi::DM::print_split"
// cWrapperName: "casadi__DM__print_split"
// protoArgs: "(std::string ** err_msg, casadi::DM* obj, std::vector< std::string* >** x0, std::vector< std::string* >** x1)"
// args: "(x0_, x1_)"
// rettype: CVoid
// cWrapperRetType: "void"
// proto: "void\n    casadi__DM__print_split(std::string ** err_msg, casadi::DM* obj, std::vector< std::string* >** x0, std::vector< std::string* >** x1)"
// call: "        obj->print_split(x0_, x1_);"
// params: [(Ref (StdVec StdString),SwigOutput True),(Ref (StdVec StdString),SwigOutput True)]
extern "C"
void
    casadi__DM__print_split(std::string ** err_msg, casadi::DM* obj, std::vector< std::string* >** x0, std::vector< std::string* >** x1);
void
    casadi__DM__print_split(std::string ** err_msg, casadi::DM* obj, std::vector< std::string* >** x0, std::vector< std::string* >** x1){
    try {
        std::vector< std::string > x0_ = std::vector< std::string >();  // Swig output
        std::vector< std::string > x1_ = std::vector< std::string >();  // Swig output

        obj->print_split(x0_, x1_);
        *x0 = WrapReturn< std::vector< std::string* >*, std::vector< std::string > >::wrapReturn( x0_ );
        *x1 = WrapReturn< std::vector< std::string* >*, std::vector< std::string > >::wrapReturn( x1_ );

        return;
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return;
    }
}


// ================== Normal method: "print_vector" ===============
// class: "casadi::DM"
// cppName: "casadi::DM::print_vector"
// cWrapperName: "casadi__DM__print_vector"
// protoArgs: "(std::string ** err_msg, casadi::DM* obj)"
// args: "()"
// rettype: CVoid
// cWrapperRetType: "void"
// proto: "void\n    casadi__DM__print_vector(std::string ** err_msg, casadi::DM* obj)"
// call: "        obj->print_vector();"
// params: []
extern "C"
void
    casadi__DM__print_vector(std::string ** err_msg, casadi::DM* obj);
void
    casadi__DM__print_vector(std::string ** err_msg, casadi::DM* obj){
    try {

        obj->print_vector();

        return;
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return;
    }
}


// ================== Normal method: "printme" ===============
// class: "casadi::DM"
// cppName: "casadi::DM::printme"
// cWrapperName: "casadi__DM__printme"
// protoArgs: "(std::string ** err_msg, casadi::DM* obj, casadi::DM* x0)"
// args: "(x0_)"
// rettype: UserType (Namespace ["casadi"]) (Name "DM")
// cWrapperRetType: "casadi::DM*"
// proto: "casadi::DM*\n    casadi__DM__printme(std::string ** err_msg, casadi::DM* obj, casadi::DM* x0)"
// call: "        casadi::DM ret = obj->printme(x0_);"
// params: [(Ref (Const (UserType (Namespace ["casadi"]) (Name "DM"))),SwigOutput False)]
extern "C"
casadi::DM*
    casadi__DM__printme(std::string ** err_msg, casadi::DM* obj, casadi::DM* x0);
casadi::DM*
    casadi__DM__printme(std::string ** err_msg, casadi::DM* obj, casadi::DM* x0){
    try {
        casadi::DM& x0_ = Marshaling<casadi::DM&,casadi::DM*>::marshal(x0);

        casadi::DM ret = obj->printme(x0_);
        // x0 is not a swig output

        return WrapReturn< casadi::DM*, casadi::DM >::wrapReturn( ret );
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return 0;
    }
}


// ================== Normal method: "remove" ===============
// class: "casadi::DM"
// cppName: "casadi::DM::remove"
// cWrapperName: "casadi__DM__remove"
// protoArgs: "(std::string ** err_msg, casadi::DM* obj, std::vector< int >* x0, std::vector< int >* x1)"
// args: "(x0_, x1_)"
// rettype: CVoid
// cWrapperRetType: "void"
// proto: "void\n    casadi__DM__remove(std::string ** err_msg, casadi::DM* obj, std::vector< int >* x0, std::vector< int >* x1)"
// call: "        obj->remove(x0_, x1_);"
// params: [(Ref (Const (StdVec CInt)),SwigOutput False),(Ref (Const (StdVec CInt)),SwigOutput False)]
extern "C"
void
    casadi__DM__remove(std::string ** err_msg, casadi::DM* obj, std::vector< int >* x0, std::vector< int >* x1);
void
    casadi__DM__remove(std::string ** err_msg, casadi::DM* obj, std::vector< int >* x0, std::vector< int >* x1){
    try {
        std::vector< int > x0_ = Marshaling<std::vector< int >,std::vector< int >*>::marshal(x0);
        std::vector< int > x1_ = Marshaling<std::vector< int >,std::vector< int >*>::marshal(x1);

        obj->remove(x0_, x1_);
        // x0 is not a swig output
        // x1 is not a swig output

        return;
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return;
    }
}


// ================== Normal method: "reserve" ===============
// class: "casadi::DM"
// cppName: "casadi::DM::reserve"
// cWrapperName: "casadi__DM__reserve__0"
// protoArgs: "(std::string ** err_msg, casadi::DM* obj, int x0, int x1)"
// args: "(x0_, x1_)"
// rettype: CVoid
// cWrapperRetType: "void"
// proto: "void\n    casadi__DM__reserve__0(std::string ** err_msg, casadi::DM* obj, int x0, int x1)"
// call: "        obj->reserve(x0_, x1_);"
// params: [(CInt,SwigOutput False),(CInt,SwigOutput False)]
extern "C"
void
    casadi__DM__reserve__0(std::string ** err_msg, casadi::DM* obj, int x0, int x1);
void
    casadi__DM__reserve__0(std::string ** err_msg, casadi::DM* obj, int x0, int x1){
    try {
        int x0_ = Marshaling<int,int>::marshal(x0);
        int x1_ = Marshaling<int,int>::marshal(x1);

        obj->reserve(x0_, x1_);
        // x0 is not a swig output
        // x1 is not a swig output

        return;
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return;
    }
}


// ================== Normal method: "reserve" ===============
// class: "casadi::DM"
// cppName: "casadi::DM::reserve"
// cWrapperName: "casadi__DM__reserve__1"
// protoArgs: "(std::string ** err_msg, casadi::DM* obj, int x0)"
// args: "(x0_)"
// rettype: CVoid
// cWrapperRetType: "void"
// proto: "void\n    casadi__DM__reserve__1(std::string ** err_msg, casadi::DM* obj, int x0)"
// call: "        obj->reserve(x0_);"
// params: [(CInt,SwigOutput False)]
extern "C"
void
    casadi__DM__reserve__1(std::string ** err_msg, casadi::DM* obj, int x0);
void
    casadi__DM__reserve__1(std::string ** err_msg, casadi::DM* obj, int x0){
    try {
        int x0_ = Marshaling<int,int>::marshal(x0);

        obj->reserve(x0_);
        // x0 is not a swig output

        return;
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return;
    }
}


// ================== Normal method: "resetInput" ===============
// class: "casadi::DM"
// cppName: "casadi::DM::resetInput"
// cWrapperName: "casadi__DM__resetInput"
// protoArgs: "(std::string ** err_msg, casadi::DM* obj)"
// args: "()"
// rettype: CVoid
// cWrapperRetType: "void"
// proto: "void\n    casadi__DM__resetInput(std::string ** err_msg, casadi::DM* obj)"
// call: "        obj->resetInput();"
// params: []
extern "C"
void
    casadi__DM__resetInput(std::string ** err_msg, casadi::DM* obj);
void
    casadi__DM__resetInput(std::string ** err_msg, casadi::DM* obj){
    try {

        obj->resetInput();

        return;
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return;
    }
}


// ================== Normal method: "resize" ===============
// class: "casadi::DM"
// cppName: "casadi::DM::resize"
// cWrapperName: "casadi__DM__resize"
// protoArgs: "(std::string ** err_msg, casadi::DM* obj, int x0, int x1)"
// args: "(x0_, x1_)"
// rettype: CVoid
// cWrapperRetType: "void"
// proto: "void\n    casadi__DM__resize(std::string ** err_msg, casadi::DM* obj, int x0, int x1)"
// call: "        obj->resize(x0_, x1_);"
// params: [(CInt,SwigOutput False),(CInt,SwigOutput False)]
extern "C"
void
    casadi__DM__resize(std::string ** err_msg, casadi::DM* obj, int x0, int x1);
void
    casadi__DM__resize(std::string ** err_msg, casadi::DM* obj, int x0, int x1){
    try {
        int x0_ = Marshaling<int,int>::marshal(x0);
        int x1_ = Marshaling<int,int>::marshal(x1);

        obj->resize(x0_, x1_);
        // x0 is not a swig output
        // x1 is not a swig output

        return;
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return;
    }
}


// ================== Normal method: "row" ===============
// class: "casadi::DM"
// cppName: "casadi::DM::row"
// cWrapperName: "casadi__DM__row"
// protoArgs: "(std::string ** err_msg, casadi::DM* obj, int x0)"
// args: "(x0_)"
// rettype: CInt
// cWrapperRetType: "int"
// proto: "int\n    casadi__DM__row(std::string ** err_msg, casadi::DM* obj, int x0)"
// call: "        int ret = obj->row(x0_);"
// params: [(CInt,SwigOutput False)]
extern "C"
int
    casadi__DM__row(std::string ** err_msg, casadi::DM* obj, int x0);
int
    casadi__DM__row(std::string ** err_msg, casadi::DM* obj, int x0){
    try {
        int x0_ = Marshaling<int,int>::marshal(x0);

        int ret = obj->row(x0_);
        // x0 is not a swig output

        return WrapReturn< int, int >::wrapReturn( ret );
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return 0;
    }
}


// ================== Normal method: "sanity_check" ===============
// class: "casadi::DM"
// cppName: "casadi::DM::sanity_check"
// cWrapperName: "casadi__DM__sanity_check__0"
// protoArgs: "(std::string ** err_msg, casadi::DM* obj)"
// args: "()"
// rettype: CVoid
// cWrapperRetType: "void"
// proto: "void\n    casadi__DM__sanity_check__0(std::string ** err_msg, casadi::DM* obj)"
// call: "        obj->sanity_check();"
// params: []
extern "C"
void
    casadi__DM__sanity_check__0(std::string ** err_msg, casadi::DM* obj);
void
    casadi__DM__sanity_check__0(std::string ** err_msg, casadi::DM* obj){
    try {

        obj->sanity_check();

        return;
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return;
    }
}


// ================== Normal method: "sanity_check" ===============
// class: "casadi::DM"
// cppName: "casadi::DM::sanity_check"
// cWrapperName: "casadi__DM__sanity_check__1"
// protoArgs: "(std::string ** err_msg, casadi::DM* obj, int x0)"
// args: "(x0_)"
// rettype: CVoid
// cWrapperRetType: "void"
// proto: "void\n    casadi__DM__sanity_check__1(std::string ** err_msg, casadi::DM* obj, int x0)"
// call: "        obj->sanity_check(x0_);"
// params: [(CBool,SwigOutput False)]
extern "C"
void
    casadi__DM__sanity_check__1(std::string ** err_msg, casadi::DM* obj, int x0);
void
    casadi__DM__sanity_check__1(std::string ** err_msg, casadi::DM* obj, int x0){
    try {
        bool x0_ = Marshaling<bool,int>::marshal(x0);

        obj->sanity_check(x0_);
        // x0 is not a swig output

        return;
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return;
    }
}


// ================== Static method: "scalar_matrix" ===============
// class: "casadi::DM"
// cppName: "casadi::DM::scalar_matrix"
// cWrapperName: "casadi__DM__scalar_matrix"
// protoArgs: "(std::string ** err_msg, int x0, casadi::DM* x1, casadi::DM* x2)"
// args: "(x0_, x1_, x2_)"
// rettype: UserType (Namespace ["casadi"]) (Name "DM")
// cWrapperRetType: "casadi::DM*"
// proto: "casadi::DM*\n    casadi__DM__scalar_matrix(std::string ** err_msg, int x0, casadi::DM* x1, casadi::DM* x2)"
// call: "        casadi::DM ret = casadi::DM::scalar_matrix(x0_, x1_, x2_);"
// params: [(CInt,SwigOutput False),(Ref (Const (UserType (Namespace ["casadi"]) (Name "DM"))),SwigOutput False),(Ref (Const (UserType (Namespace ["casadi"]) (Name "DM"))),SwigOutput False)]
extern "C"
casadi::DM*
    casadi__DM__scalar_matrix(std::string ** err_msg, int x0, casadi::DM* x1, casadi::DM* x2);
casadi::DM*
    casadi__DM__scalar_matrix(std::string ** err_msg, int x0, casadi::DM* x1, casadi::DM* x2){
    try {
        int x0_ = Marshaling<int,int>::marshal(x0);
        casadi::DM& x1_ = Marshaling<casadi::DM&,casadi::DM*>::marshal(x1);
        casadi::DM& x2_ = Marshaling<casadi::DM&,casadi::DM*>::marshal(x2);

        casadi::DM ret = casadi::DM::scalar_matrix(x0_, x1_, x2_);
        // x0 is not a swig output
        // x1 is not a swig output
        // x2 is not a swig output

        return WrapReturn< casadi::DM*, casadi::DM >::wrapReturn( ret );
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return 0;
    }
}


// ================== Normal method: "set" ===============
// class: "casadi::DM"
// cppName: "casadi::DM::set"
// cWrapperName: "casadi__DM__set__0"
// protoArgs: "(std::string ** err_msg, casadi::DM* obj, casadi::DM* x0, int x1, casadi::IM* x2, casadi::IM* x3)"
// args: "(x0_, x1_, x2_, x3_)"
// rettype: CVoid
// cWrapperRetType: "void"
// proto: "void\n    casadi__DM__set__0(std::string ** err_msg, casadi::DM* obj, casadi::DM* x0, int x1, casadi::IM* x2, casadi::IM* x3)"
// call: "        obj->set(x0_, x1_, x2_, x3_);"
// params: [(Ref (Const (UserType (Namespace ["casadi"]) (Name "DM"))),SwigOutput False),(CBool,SwigOutput False),(Ref (Const (UserType (Namespace ["casadi"]) (Name "IM"))),SwigOutput False),(Ref (Const (UserType (Namespace ["casadi"]) (Name "IM"))),SwigOutput False)]
extern "C"
void
    casadi__DM__set__0(std::string ** err_msg, casadi::DM* obj, casadi::DM* x0, int x1, casadi::IM* x2, casadi::IM* x3);
void
    casadi__DM__set__0(std::string ** err_msg, casadi::DM* obj, casadi::DM* x0, int x1, casadi::IM* x2, casadi::IM* x3){
    try {
        casadi::DM& x0_ = Marshaling<casadi::DM&,casadi::DM*>::marshal(x0);
        bool x1_ = Marshaling<bool,int>::marshal(x1);
        casadi::IM& x2_ = Marshaling<casadi::IM&,casadi::IM*>::marshal(x2);
        casadi::IM& x3_ = Marshaling<casadi::IM&,casadi::IM*>::marshal(x3);

        obj->set(x0_, x1_, x2_, x3_);
        // x0 is not a swig output
        // x1 is not a swig output
        // x2 is not a swig output
        // x3 is not a swig output

        return;
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return;
    }
}


// ================== Normal method: "set" ===============
// class: "casadi::DM"
// cppName: "casadi::DM::set"
// cWrapperName: "casadi__DM__set__1"
// protoArgs: "(std::string ** err_msg, casadi::DM* obj, casadi::DM* x0, int x1, casadi::IM* x2, casadi::Slice* x3)"
// args: "(x0_, x1_, x2_, x3_)"
// rettype: CVoid
// cWrapperRetType: "void"
// proto: "void\n    casadi__DM__set__1(std::string ** err_msg, casadi::DM* obj, casadi::DM* x0, int x1, casadi::IM* x2, casadi::Slice* x3)"
// call: "        obj->set(x0_, x1_, x2_, x3_);"
// params: [(Ref (Const (UserType (Namespace ["casadi"]) (Name "DM"))),SwigOutput False),(CBool,SwigOutput False),(Ref (Const (UserType (Namespace ["casadi"]) (Name "IM"))),SwigOutput False),(Ref (Const (UserType (Namespace ["casadi"]) (Name "Slice"))),SwigOutput False)]
extern "C"
void
    casadi__DM__set__1(std::string ** err_msg, casadi::DM* obj, casadi::DM* x0, int x1, casadi::IM* x2, casadi::Slice* x3);
void
    casadi__DM__set__1(std::string ** err_msg, casadi::DM* obj, casadi::DM* x0, int x1, casadi::IM* x2, casadi::Slice* x3){
    try {
        casadi::DM& x0_ = Marshaling<casadi::DM&,casadi::DM*>::marshal(x0);
        bool x1_ = Marshaling<bool,int>::marshal(x1);
        casadi::IM& x2_ = Marshaling<casadi::IM&,casadi::IM*>::marshal(x2);
        casadi::Slice& x3_ = Marshaling<casadi::Slice&,casadi::Slice*>::marshal(x3);

        obj->set(x0_, x1_, x2_, x3_);
        // x0 is not a swig output
        // x1 is not a swig output
        // x2 is not a swig output
        // x3 is not a swig output

        return;
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return;
    }
}


// ================== Normal method: "set" ===============
// class: "casadi::DM"
// cppName: "casadi::DM::set"
// cWrapperName: "casadi__DM__set__2"
// protoArgs: "(std::string ** err_msg, casadi::DM* obj, casadi::DM* x0, int x1, casadi::Slice* x2, casadi::IM* x3)"
// args: "(x0_, x1_, x2_, x3_)"
// rettype: CVoid
// cWrapperRetType: "void"
// proto: "void\n    casadi__DM__set__2(std::string ** err_msg, casadi::DM* obj, casadi::DM* x0, int x1, casadi::Slice* x2, casadi::IM* x3)"
// call: "        obj->set(x0_, x1_, x2_, x3_);"
// params: [(Ref (Const (UserType (Namespace ["casadi"]) (Name "DM"))),SwigOutput False),(CBool,SwigOutput False),(Ref (Const (UserType (Namespace ["casadi"]) (Name "Slice"))),SwigOutput False),(Ref (Const (UserType (Namespace ["casadi"]) (Name "IM"))),SwigOutput False)]
extern "C"
void
    casadi__DM__set__2(std::string ** err_msg, casadi::DM* obj, casadi::DM* x0, int x1, casadi::Slice* x2, casadi::IM* x3);
void
    casadi__DM__set__2(std::string ** err_msg, casadi::DM* obj, casadi::DM* x0, int x1, casadi::Slice* x2, casadi::IM* x3){
    try {
        casadi::DM& x0_ = Marshaling<casadi::DM&,casadi::DM*>::marshal(x0);
        bool x1_ = Marshaling<bool,int>::marshal(x1);
        casadi::Slice& x2_ = Marshaling<casadi::Slice&,casadi::Slice*>::marshal(x2);
        casadi::IM& x3_ = Marshaling<casadi::IM&,casadi::IM*>::marshal(x3);

        obj->set(x0_, x1_, x2_, x3_);
        // x0 is not a swig output
        // x1 is not a swig output
        // x2 is not a swig output
        // x3 is not a swig output

        return;
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return;
    }
}


// ================== Normal method: "set" ===============
// class: "casadi::DM"
// cppName: "casadi::DM::set"
// cWrapperName: "casadi__DM__set__3"
// protoArgs: "(std::string ** err_msg, casadi::DM* obj, casadi::DM* x0, int x1, casadi::Slice* x2, casadi::Slice* x3)"
// args: "(x0_, x1_, x2_, x3_)"
// rettype: CVoid
// cWrapperRetType: "void"
// proto: "void\n    casadi__DM__set__3(std::string ** err_msg, casadi::DM* obj, casadi::DM* x0, int x1, casadi::Slice* x2, casadi::Slice* x3)"
// call: "        obj->set(x0_, x1_, x2_, x3_);"
// params: [(Ref (Const (UserType (Namespace ["casadi"]) (Name "DM"))),SwigOutput False),(CBool,SwigOutput False),(Ref (Const (UserType (Namespace ["casadi"]) (Name "Slice"))),SwigOutput False),(Ref (Const (UserType (Namespace ["casadi"]) (Name "Slice"))),SwigOutput False)]
extern "C"
void
    casadi__DM__set__3(std::string ** err_msg, casadi::DM* obj, casadi::DM* x0, int x1, casadi::Slice* x2, casadi::Slice* x3);
void
    casadi__DM__set__3(std::string ** err_msg, casadi::DM* obj, casadi::DM* x0, int x1, casadi::Slice* x2, casadi::Slice* x3){
    try {
        casadi::DM& x0_ = Marshaling<casadi::DM&,casadi::DM*>::marshal(x0);
        bool x1_ = Marshaling<bool,int>::marshal(x1);
        casadi::Slice& x2_ = Marshaling<casadi::Slice&,casadi::Slice*>::marshal(x2);
        casadi::Slice& x3_ = Marshaling<casadi::Slice&,casadi::Slice*>::marshal(x3);

        obj->set(x0_, x1_, x2_, x3_);
        // x0 is not a swig output
        // x1 is not a swig output
        // x2 is not a swig output
        // x3 is not a swig output

        return;
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return;
    }
}


// ================== Normal method: "set" ===============
// class: "casadi::DM"
// cppName: "casadi::DM::set"
// cWrapperName: "casadi__DM__set__4"
// protoArgs: "(std::string ** err_msg, casadi::DM* obj, casadi::DM* x0, int x1, casadi::Sparsity* x2)"
// args: "(x0_, x1_, x2_)"
// rettype: CVoid
// cWrapperRetType: "void"
// proto: "void\n    casadi__DM__set__4(std::string ** err_msg, casadi::DM* obj, casadi::DM* x0, int x1, casadi::Sparsity* x2)"
// call: "        obj->set(x0_, x1_, x2_);"
// params: [(Ref (Const (UserType (Namespace ["casadi"]) (Name "DM"))),SwigOutput False),(CBool,SwigOutput False),(Ref (Const (UserType (Namespace ["casadi"]) (Name "Sparsity"))),SwigOutput False)]
extern "C"
void
    casadi__DM__set__4(std::string ** err_msg, casadi::DM* obj, casadi::DM* x0, int x1, casadi::Sparsity* x2);
void
    casadi__DM__set__4(std::string ** err_msg, casadi::DM* obj, casadi::DM* x0, int x1, casadi::Sparsity* x2){
    try {
        casadi::DM& x0_ = Marshaling<casadi::DM&,casadi::DM*>::marshal(x0);
        bool x1_ = Marshaling<bool,int>::marshal(x1);
        casadi::Sparsity& x2_ = Marshaling<casadi::Sparsity&,casadi::Sparsity*>::marshal(x2);

        obj->set(x0_, x1_, x2_);
        // x0 is not a swig output
        // x1 is not a swig output
        // x2 is not a swig output

        return;
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return;
    }
}


// ================== Normal method: "set" ===============
// class: "casadi::DM"
// cppName: "casadi::DM::set"
// cWrapperName: "casadi__DM__set__5"
// protoArgs: "(std::string ** err_msg, casadi::DM* obj, casadi::DM* x0, int x1, casadi::IM* x2)"
// args: "(x0_, x1_, x2_)"
// rettype: CVoid
// cWrapperRetType: "void"
// proto: "void\n    casadi__DM__set__5(std::string ** err_msg, casadi::DM* obj, casadi::DM* x0, int x1, casadi::IM* x2)"
// call: "        obj->set(x0_, x1_, x2_);"
// params: [(Ref (Const (UserType (Namespace ["casadi"]) (Name "DM"))),SwigOutput False),(CBool,SwigOutput False),(Ref (Const (UserType (Namespace ["casadi"]) (Name "IM"))),SwigOutput False)]
extern "C"
void
    casadi__DM__set__5(std::string ** err_msg, casadi::DM* obj, casadi::DM* x0, int x1, casadi::IM* x2);
void
    casadi__DM__set__5(std::string ** err_msg, casadi::DM* obj, casadi::DM* x0, int x1, casadi::IM* x2){
    try {
        casadi::DM& x0_ = Marshaling<casadi::DM&,casadi::DM*>::marshal(x0);
        bool x1_ = Marshaling<bool,int>::marshal(x1);
        casadi::IM& x2_ = Marshaling<casadi::IM&,casadi::IM*>::marshal(x2);

        obj->set(x0_, x1_, x2_);
        // x0 is not a swig output
        // x1 is not a swig output
        // x2 is not a swig output

        return;
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return;
    }
}


// ================== Normal method: "set" ===============
// class: "casadi::DM"
// cppName: "casadi::DM::set"
// cWrapperName: "casadi__DM__set__6"
// protoArgs: "(std::string ** err_msg, casadi::DM* obj, casadi::DM* x0, int x1, casadi::Slice* x2)"
// args: "(x0_, x1_, x2_)"
// rettype: CVoid
// cWrapperRetType: "void"
// proto: "void\n    casadi__DM__set__6(std::string ** err_msg, casadi::DM* obj, casadi::DM* x0, int x1, casadi::Slice* x2)"
// call: "        obj->set(x0_, x1_, x2_);"
// params: [(Ref (Const (UserType (Namespace ["casadi"]) (Name "DM"))),SwigOutput False),(CBool,SwigOutput False),(Ref (Const (UserType (Namespace ["casadi"]) (Name "Slice"))),SwigOutput False)]
extern "C"
void
    casadi__DM__set__6(std::string ** err_msg, casadi::DM* obj, casadi::DM* x0, int x1, casadi::Slice* x2);
void
    casadi__DM__set__6(std::string ** err_msg, casadi::DM* obj, casadi::DM* x0, int x1, casadi::Slice* x2){
    try {
        casadi::DM& x0_ = Marshaling<casadi::DM&,casadi::DM*>::marshal(x0);
        bool x1_ = Marshaling<bool,int>::marshal(x1);
        casadi::Slice& x2_ = Marshaling<casadi::Slice&,casadi::Slice*>::marshal(x2);

        obj->set(x0_, x1_, x2_);
        // x0 is not a swig output
        // x1 is not a swig output
        // x2 is not a swig output

        return;
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return;
    }
}


// ================== Static method: "setEqualityCheckingDepth" ===============
// class: "casadi::DM"
// cppName: "casadi::DM::setEqualityCheckingDepth"
// cWrapperName: "casadi__DM__setEqualityCheckingDepth__0"
// protoArgs: "(std::string ** err_msg)"
// args: "()"
// rettype: CVoid
// cWrapperRetType: "void"
// proto: "void\n    casadi__DM__setEqualityCheckingDepth__0(std::string ** err_msg)"
// call: "        casadi::DM::setEqualityCheckingDepth();"
// params: []
extern "C"
void
    casadi__DM__setEqualityCheckingDepth__0(std::string ** err_msg);
void
    casadi__DM__setEqualityCheckingDepth__0(std::string ** err_msg){
    try {

        casadi::DM::setEqualityCheckingDepth();

        return;
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return;
    }
}


// ================== Static method: "setEqualityCheckingDepth" ===============
// class: "casadi::DM"
// cppName: "casadi::DM::setEqualityCheckingDepth"
// cWrapperName: "casadi__DM__setEqualityCheckingDepth__1"
// protoArgs: "(std::string ** err_msg, int x0)"
// args: "(x0_)"
// rettype: CVoid
// cWrapperRetType: "void"
// proto: "void\n    casadi__DM__setEqualityCheckingDepth__1(std::string ** err_msg, int x0)"
// call: "        casadi::DM::setEqualityCheckingDepth(x0_);"
// params: [(CInt,SwigOutput False)]
extern "C"
void
    casadi__DM__setEqualityCheckingDepth__1(std::string ** err_msg, int x0);
void
    casadi__DM__setEqualityCheckingDepth__1(std::string ** err_msg, int x0){
    try {
        int x0_ = Marshaling<int,int>::marshal(x0);

        casadi::DM::setEqualityCheckingDepth(x0_);
        // x0 is not a swig output

        return;
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return;
    }
}


// ================== Static method: "setPrecision" ===============
// class: "casadi::DM"
// cppName: "casadi::DM::setPrecision"
// cWrapperName: "casadi__DM__setPrecision"
// protoArgs: "(std::string ** err_msg, int x0)"
// args: "(x0_)"
// rettype: CVoid
// cWrapperRetType: "void"
// proto: "void\n    casadi__DM__setPrecision(std::string ** err_msg, int x0)"
// call: "        casadi::DM::setPrecision(x0_);"
// params: [(CInt,SwigOutput False)]
extern "C"
void
    casadi__DM__setPrecision(std::string ** err_msg, int x0);
void
    casadi__DM__setPrecision(std::string ** err_msg, int x0){
    try {
        int x0_ = Marshaling<int,int>::marshal(x0);

        casadi::DM::setPrecision(x0_);
        // x0 is not a swig output

        return;
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return;
    }
}


// ================== Static method: "setScientific" ===============
// class: "casadi::DM"
// cppName: "casadi::DM::setScientific"
// cWrapperName: "casadi__DM__setScientific"
// protoArgs: "(std::string ** err_msg, int x0)"
// args: "(x0_)"
// rettype: CVoid
// cWrapperRetType: "void"
// proto: "void\n    casadi__DM__setScientific(std::string ** err_msg, int x0)"
// call: "        casadi::DM::setScientific(x0_);"
// params: [(CBool,SwigOutput False)]
extern "C"
void
    casadi__DM__setScientific(std::string ** err_msg, int x0);
void
    casadi__DM__setScientific(std::string ** err_msg, int x0){
    try {
        bool x0_ = Marshaling<bool,int>::marshal(x0);

        casadi::DM::setScientific(x0_);
        // x0 is not a swig output

        return;
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return;
    }
}


// ================== Static method: "setWidth" ===============
// class: "casadi::DM"
// cppName: "casadi::DM::setWidth"
// cWrapperName: "casadi__DM__setWidth"
// protoArgs: "(std::string ** err_msg, int x0)"
// args: "(x0_)"
// rettype: CVoid
// cWrapperRetType: "void"
// proto: "void\n    casadi__DM__setWidth(std::string ** err_msg, int x0)"
// call: "        casadi::DM::setWidth(x0_);"
// params: [(CInt,SwigOutput False)]
extern "C"
void
    casadi__DM__setWidth(std::string ** err_msg, int x0);
void
    casadi__DM__setWidth(std::string ** err_msg, int x0){
    try {
        int x0_ = Marshaling<int,int>::marshal(x0);

        casadi::DM::setWidth(x0_);
        // x0 is not a swig output

        return;
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return;
    }
}


// ================== Normal method: "set_nz" ===============
// class: "casadi::DM"
// cppName: "casadi::DM::set_nz"
// cWrapperName: "casadi__DM__set_nz__0"
// protoArgs: "(std::string ** err_msg, casadi::DM* obj, casadi::DM* x0, int x1, casadi::IM* x2)"
// args: "(x0_, x1_, x2_)"
// rettype: CVoid
// cWrapperRetType: "void"
// proto: "void\n    casadi__DM__set_nz__0(std::string ** err_msg, casadi::DM* obj, casadi::DM* x0, int x1, casadi::IM* x2)"
// call: "        obj->set_nz(x0_, x1_, x2_);"
// params: [(Ref (Const (UserType (Namespace ["casadi"]) (Name "DM"))),SwigOutput False),(CBool,SwigOutput False),(Ref (Const (UserType (Namespace ["casadi"]) (Name "IM"))),SwigOutput False)]
extern "C"
void
    casadi__DM__set_nz__0(std::string ** err_msg, casadi::DM* obj, casadi::DM* x0, int x1, casadi::IM* x2);
void
    casadi__DM__set_nz__0(std::string ** err_msg, casadi::DM* obj, casadi::DM* x0, int x1, casadi::IM* x2){
    try {
        casadi::DM& x0_ = Marshaling<casadi::DM&,casadi::DM*>::marshal(x0);
        bool x1_ = Marshaling<bool,int>::marshal(x1);
        casadi::IM& x2_ = Marshaling<casadi::IM&,casadi::IM*>::marshal(x2);

        obj->set_nz(x0_, x1_, x2_);
        // x0 is not a swig output
        // x1 is not a swig output
        // x2 is not a swig output

        return;
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return;
    }
}


// ================== Normal method: "set_nz" ===============
// class: "casadi::DM"
// cppName: "casadi::DM::set_nz"
// cWrapperName: "casadi__DM__set_nz__1"
// protoArgs: "(std::string ** err_msg, casadi::DM* obj, casadi::DM* x0, int x1, casadi::Slice* x2)"
// args: "(x0_, x1_, x2_)"
// rettype: CVoid
// cWrapperRetType: "void"
// proto: "void\n    casadi__DM__set_nz__1(std::string ** err_msg, casadi::DM* obj, casadi::DM* x0, int x1, casadi::Slice* x2)"
// call: "        obj->set_nz(x0_, x1_, x2_);"
// params: [(Ref (Const (UserType (Namespace ["casadi"]) (Name "DM"))),SwigOutput False),(CBool,SwigOutput False),(Ref (Const (UserType (Namespace ["casadi"]) (Name "Slice"))),SwigOutput False)]
extern "C"
void
    casadi__DM__set_nz__1(std::string ** err_msg, casadi::DM* obj, casadi::DM* x0, int x1, casadi::Slice* x2);
void
    casadi__DM__set_nz__1(std::string ** err_msg, casadi::DM* obj, casadi::DM* x0, int x1, casadi::Slice* x2){
    try {
        casadi::DM& x0_ = Marshaling<casadi::DM&,casadi::DM*>::marshal(x0);
        bool x1_ = Marshaling<bool,int>::marshal(x1);
        casadi::Slice& x2_ = Marshaling<casadi::Slice&,casadi::Slice*>::marshal(x2);

        obj->set_nz(x0_, x1_, x2_);
        // x0 is not a swig output
        // x1 is not a swig output
        // x2 is not a swig output

        return;
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return;
    }
}


// ================== Normal method: "size" ===============
// class: "casadi::DM"
// cppName: "casadi::DM::size"
// cWrapperName: "casadi__DM__size__0"
// protoArgs: "(std::string ** err_msg, casadi::DM* obj, int x0)"
// args: "(x0_)"
// rettype: CInt
// cWrapperRetType: "int"
// proto: "int\n    casadi__DM__size__0(std::string ** err_msg, casadi::DM* obj, int x0)"
// call: "        int ret = obj->size(x0_);"
// params: [(CInt,SwigOutput False)]
extern "C"
int
    casadi__DM__size__0(std::string ** err_msg, casadi::DM* obj, int x0);
int
    casadi__DM__size__0(std::string ** err_msg, casadi::DM* obj, int x0){
    try {
        int x0_ = Marshaling<int,int>::marshal(x0);

        int ret = obj->size(x0_);
        // x0 is not a swig output

        return WrapReturn< int, int >::wrapReturn( ret );
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return 0;
    }
}


// ================== Normal method: "size" ===============
// class: "casadi::DM"
// cppName: "casadi::DM::size"
// cWrapperName: "casadi__DM__size__1"
// protoArgs: "(std::string ** err_msg, casadi::DM* obj)"
// args: "()"
// rettype: StdPair CInt CInt
// cWrapperRetType: "std::pair< int, int >*"
// proto: "std::pair< int, int >*\n    casadi__DM__size__1(std::string ** err_msg, casadi::DM* obj)"
// call: "        std::pair< int, int > ret = obj->size();"
// params: []
extern "C"
std::pair< int, int >*
    casadi__DM__size__1(std::string ** err_msg, casadi::DM* obj);
std::pair< int, int >*
    casadi__DM__size__1(std::string ** err_msg, casadi::DM* obj){
    try {

        std::pair< int, int > ret = obj->size();

        return WrapReturn< std::pair< int, int >*, std::pair< int, int > >::wrapReturn( ret );
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return 0;
    }
}


// ================== Normal method: "size1" ===============
// class: "casadi::DM"
// cppName: "casadi::DM::size1"
// cWrapperName: "casadi__DM__size1"
// protoArgs: "(std::string ** err_msg, casadi::DM* obj)"
// args: "()"
// rettype: CInt
// cWrapperRetType: "int"
// proto: "int\n    casadi__DM__size1(std::string ** err_msg, casadi::DM* obj)"
// call: "        int ret = obj->size1();"
// params: []
extern "C"
int
    casadi__DM__size1(std::string ** err_msg, casadi::DM* obj);
int
    casadi__DM__size1(std::string ** err_msg, casadi::DM* obj){
    try {

        int ret = obj->size1();

        return WrapReturn< int, int >::wrapReturn( ret );
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return 0;
    }
}


// ================== Normal method: "size2" ===============
// class: "casadi::DM"
// cppName: "casadi::DM::size2"
// cWrapperName: "casadi__DM__size2"
// protoArgs: "(std::string ** err_msg, casadi::DM* obj)"
// args: "()"
// rettype: CInt
// cWrapperRetType: "int"
// proto: "int\n    casadi__DM__size2(std::string ** err_msg, casadi::DM* obj)"
// call: "        int ret = obj->size2();"
// params: []
extern "C"
int
    casadi__DM__size2(std::string ** err_msg, casadi::DM* obj);
int
    casadi__DM__size2(std::string ** err_msg, casadi::DM* obj){
    try {

        int ret = obj->size2();

        return WrapReturn< int, int >::wrapReturn( ret );
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return 0;
    }
}


// ================== Normal method: "sparsity" ===============
// class: "casadi::DM"
// cppName: "casadi::DM::sparsity"
// cWrapperName: "casadi__DM__sparsity"
// protoArgs: "(std::string ** err_msg, casadi::DM* obj)"
// args: "()"
// rettype: Const (UserType (Namespace ["casadi"]) (Name "Sparsity"))
// cWrapperRetType: "casadi::Sparsity*"
// proto: "casadi::Sparsity*\n    casadi__DM__sparsity(std::string ** err_msg, casadi::DM* obj)"
// call: "        casadi::Sparsity ret = obj->sparsity();"
// params: []
extern "C"
casadi::Sparsity*
    casadi__DM__sparsity(std::string ** err_msg, casadi::DM* obj);
casadi::Sparsity*
    casadi__DM__sparsity(std::string ** err_msg, casadi::DM* obj){
    try {

        casadi::Sparsity ret = obj->sparsity();

        return WrapReturn< casadi::Sparsity*, casadi::Sparsity >::wrapReturn( ret );
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return 0;
    }
}


// ================== Static method: "sym" ===============
// class: "casadi::DM"
// cppName: "casadi::DM::sym"
// cWrapperName: "casadi__DM__sym__0"
// protoArgs: "(std::string ** err_msg, std::string* x0, int x1, int x2, int x3, int x4)"
// args: "(x0_, x1_, x2_, x3_, x4_)"
// rettype: StdVec (StdVec (UserType (Namespace ["casadi"]) (Name "DM")))
// cWrapperRetType: "std::vector< std::vector< casadi::DM* >* >*"
// proto: "std::vector< std::vector< casadi::DM* >* >*\n    casadi__DM__sym__0(std::string ** err_msg, std::string* x0, int x1, int x2, int x3, int x4)"
// call: "        std::vector< std::vector< casadi::DM > > ret = casadi::DM::sym(x0_, x1_, x2_, x3_, x4_);"
// params: [(Ref (Const StdString),SwigOutput False),(CInt,SwigOutput False),(CInt,SwigOutput False),(CInt,SwigOutput False),(CInt,SwigOutput False)]
extern "C"
std::vector< std::vector< casadi::DM* >* >*
    casadi__DM__sym__0(std::string ** err_msg, std::string* x0, int x1, int x2, int x3, int x4);
std::vector< std::vector< casadi::DM* >* >*
    casadi__DM__sym__0(std::string ** err_msg, std::string* x0, int x1, int x2, int x3, int x4){
    try {
        std::string& x0_ = Marshaling<std::string&,std::string*>::marshal(x0);
        int x1_ = Marshaling<int,int>::marshal(x1);
        int x2_ = Marshaling<int,int>::marshal(x2);
        int x3_ = Marshaling<int,int>::marshal(x3);
        int x4_ = Marshaling<int,int>::marshal(x4);

        std::vector< std::vector< casadi::DM > > ret = casadi::DM::sym(x0_, x1_, x2_, x3_, x4_);
        // x0 is not a swig output
        // x1 is not a swig output
        // x2 is not a swig output
        // x3 is not a swig output
        // x4 is not a swig output

        return WrapReturn< std::vector< std::vector< casadi::DM* >* >*, std::vector< std::vector< casadi::DM > > >::wrapReturn( ret );
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return 0;
    }
}


// ================== Static method: "sym" ===============
// class: "casadi::DM"
// cppName: "casadi::DM::sym"
// cWrapperName: "casadi__DM__sym__1"
// protoArgs: "(std::string ** err_msg, std::string* x0, casadi::Sparsity* x1, int x2, int x3)"
// args: "(x0_, x1_, x2_, x3_)"
// rettype: StdVec (StdVec (UserType (Namespace ["casadi"]) (Name "DM")))
// cWrapperRetType: "std::vector< std::vector< casadi::DM* >* >*"
// proto: "std::vector< std::vector< casadi::DM* >* >*\n    casadi__DM__sym__1(std::string ** err_msg, std::string* x0, casadi::Sparsity* x1, int x2, int x3)"
// call: "        std::vector< std::vector< casadi::DM > > ret = casadi::DM::sym(x0_, x1_, x2_, x3_);"
// params: [(Ref (Const StdString),SwigOutput False),(Ref (Const (UserType (Namespace ["casadi"]) (Name "Sparsity"))),SwigOutput False),(CInt,SwigOutput False),(CInt,SwigOutput False)]
extern "C"
std::vector< std::vector< casadi::DM* >* >*
    casadi__DM__sym__1(std::string ** err_msg, std::string* x0, casadi::Sparsity* x1, int x2, int x3);
std::vector< std::vector< casadi::DM* >* >*
    casadi__DM__sym__1(std::string ** err_msg, std::string* x0, casadi::Sparsity* x1, int x2, int x3){
    try {
        std::string& x0_ = Marshaling<std::string&,std::string*>::marshal(x0);
        casadi::Sparsity& x1_ = Marshaling<casadi::Sparsity&,casadi::Sparsity*>::marshal(x1);
        int x2_ = Marshaling<int,int>::marshal(x2);
        int x3_ = Marshaling<int,int>::marshal(x3);

        std::vector< std::vector< casadi::DM > > ret = casadi::DM::sym(x0_, x1_, x2_, x3_);
        // x0 is not a swig output
        // x1 is not a swig output
        // x2 is not a swig output
        // x3 is not a swig output

        return WrapReturn< std::vector< std::vector< casadi::DM* >* >*, std::vector< std::vector< casadi::DM > > >::wrapReturn( ret );
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return 0;
    }
}


// ================== Static method: "sym" ===============
// class: "casadi::DM"
// cppName: "casadi::DM::sym"
// cWrapperName: "casadi__DM__sym__2"
// protoArgs: "(std::string ** err_msg, std::string* x0, int x1, int x2, int x3)"
// args: "(x0_, x1_, x2_, x3_)"
// rettype: StdVec (UserType (Namespace ["casadi"]) (Name "DM"))
// cWrapperRetType: "std::vector< casadi::DM* >*"
// proto: "std::vector< casadi::DM* >*\n    casadi__DM__sym__2(std::string ** err_msg, std::string* x0, int x1, int x2, int x3)"
// call: "        std::vector< casadi::DM > ret = casadi::DM::sym(x0_, x1_, x2_, x3_);"
// params: [(Ref (Const StdString),SwigOutput False),(CInt,SwigOutput False),(CInt,SwigOutput False),(CInt,SwigOutput False)]
extern "C"
std::vector< casadi::DM* >*
    casadi__DM__sym__2(std::string ** err_msg, std::string* x0, int x1, int x2, int x3);
std::vector< casadi::DM* >*
    casadi__DM__sym__2(std::string ** err_msg, std::string* x0, int x1, int x2, int x3){
    try {
        std::string& x0_ = Marshaling<std::string&,std::string*>::marshal(x0);
        int x1_ = Marshaling<int,int>::marshal(x1);
        int x2_ = Marshaling<int,int>::marshal(x2);
        int x3_ = Marshaling<int,int>::marshal(x3);

        std::vector< casadi::DM > ret = casadi::DM::sym(x0_, x1_, x2_, x3_);
        // x0 is not a swig output
        // x1 is not a swig output
        // x2 is not a swig output
        // x3 is not a swig output

        return WrapReturn< std::vector< casadi::DM* >*, std::vector< casadi::DM > >::wrapReturn( ret );
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return 0;
    }
}


// ================== Static method: "sym" ===============
// class: "casadi::DM"
// cppName: "casadi::DM::sym"
// cWrapperName: "casadi__DM__sym__3"
// protoArgs: "(std::string ** err_msg, std::string* x0, casadi::Sparsity* x1, int x2)"
// args: "(x0_, x1_, x2_)"
// rettype: StdVec (UserType (Namespace ["casadi"]) (Name "DM"))
// cWrapperRetType: "std::vector< casadi::DM* >*"
// proto: "std::vector< casadi::DM* >*\n    casadi__DM__sym__3(std::string ** err_msg, std::string* x0, casadi::Sparsity* x1, int x2)"
// call: "        std::vector< casadi::DM > ret = casadi::DM::sym(x0_, x1_, x2_);"
// params: [(Ref (Const StdString),SwigOutput False),(Ref (Const (UserType (Namespace ["casadi"]) (Name "Sparsity"))),SwigOutput False),(CInt,SwigOutput False)]
extern "C"
std::vector< casadi::DM* >*
    casadi__DM__sym__3(std::string ** err_msg, std::string* x0, casadi::Sparsity* x1, int x2);
std::vector< casadi::DM* >*
    casadi__DM__sym__3(std::string ** err_msg, std::string* x0, casadi::Sparsity* x1, int x2){
    try {
        std::string& x0_ = Marshaling<std::string&,std::string*>::marshal(x0);
        casadi::Sparsity& x1_ = Marshaling<casadi::Sparsity&,casadi::Sparsity*>::marshal(x1);
        int x2_ = Marshaling<int,int>::marshal(x2);

        std::vector< casadi::DM > ret = casadi::DM::sym(x0_, x1_, x2_);
        // x0 is not a swig output
        // x1 is not a swig output
        // x2 is not a swig output

        return WrapReturn< std::vector< casadi::DM* >*, std::vector< casadi::DM > >::wrapReturn( ret );
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return 0;
    }
}


// ================== Static method: "sym" ===============
// class: "casadi::DM"
// cppName: "casadi::DM::sym"
// cWrapperName: "casadi__DM__sym__4"
// protoArgs: "(std::string ** err_msg, std::string* x0, casadi::Sparsity* x1)"
// args: "(x0_, x1_)"
// rettype: UserType (Namespace ["casadi"]) (Name "DM")
// cWrapperRetType: "casadi::DM*"
// proto: "casadi::DM*\n    casadi__DM__sym__4(std::string ** err_msg, std::string* x0, casadi::Sparsity* x1)"
// call: "        casadi::DM ret = casadi::DM::sym(x0_, x1_);"
// params: [(Ref (Const StdString),SwigOutput False),(Ref (Const (UserType (Namespace ["casadi"]) (Name "Sparsity"))),SwigOutput False)]
extern "C"
casadi::DM*
    casadi__DM__sym__4(std::string ** err_msg, std::string* x0, casadi::Sparsity* x1);
casadi::DM*
    casadi__DM__sym__4(std::string ** err_msg, std::string* x0, casadi::Sparsity* x1){
    try {
        std::string& x0_ = Marshaling<std::string&,std::string*>::marshal(x0);
        casadi::Sparsity& x1_ = Marshaling<casadi::Sparsity&,casadi::Sparsity*>::marshal(x1);

        casadi::DM ret = casadi::DM::sym(x0_, x1_);
        // x0 is not a swig output
        // x1 is not a swig output

        return WrapReturn< casadi::DM*, casadi::DM >::wrapReturn( ret );
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return 0;
    }
}


// ================== Static method: "sym" ===============
// class: "casadi::DM"
// cppName: "casadi::DM::sym"
// cWrapperName: "casadi__DM__sym__5"
// protoArgs: "(std::string ** err_msg, std::string* x0, std::pair< int, int >* x1)"
// args: "(x0_, x1_)"
// rettype: UserType (Namespace ["casadi"]) (Name "DM")
// cWrapperRetType: "casadi::DM*"
// proto: "casadi::DM*\n    casadi__DM__sym__5(std::string ** err_msg, std::string* x0, std::pair< int, int >* x1)"
// call: "        casadi::DM ret = casadi::DM::sym(x0_, x1_);"
// params: [(Ref (Const StdString),SwigOutput False),(Ref (Const (StdPair CInt CInt)),SwigOutput False)]
extern "C"
casadi::DM*
    casadi__DM__sym__5(std::string ** err_msg, std::string* x0, std::pair< int, int >* x1);
casadi::DM*
    casadi__DM__sym__5(std::string ** err_msg, std::string* x0, std::pair< int, int >* x1){
    try {
        std::string& x0_ = Marshaling<std::string&,std::string*>::marshal(x0);
        std::pair< int, int > x1_ = Marshaling<std::pair< int, int >,std::pair< int, int >*>::marshal(x1);

        casadi::DM ret = casadi::DM::sym(x0_, x1_);
        // x0 is not a swig output
        // x1 is not a swig output

        return WrapReturn< casadi::DM*, casadi::DM >::wrapReturn( ret );
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return 0;
    }
}


// ================== Static method: "sym" ===============
// class: "casadi::DM"
// cppName: "casadi::DM::sym"
// cWrapperName: "casadi__DM__sym__6"
// protoArgs: "(std::string ** err_msg, std::string* x0)"
// args: "(x0_)"
// rettype: UserType (Namespace ["casadi"]) (Name "DM")
// cWrapperRetType: "casadi::DM*"
// proto: "casadi::DM*\n    casadi__DM__sym__6(std::string ** err_msg, std::string* x0)"
// call: "        casadi::DM ret = casadi::DM::sym(x0_);"
// params: [(Ref (Const StdString),SwigOutput False)]
extern "C"
casadi::DM*
    casadi__DM__sym__6(std::string ** err_msg, std::string* x0);
casadi::DM*
    casadi__DM__sym__6(std::string ** err_msg, std::string* x0){
    try {
        std::string& x0_ = Marshaling<std::string&,std::string*>::marshal(x0);

        casadi::DM ret = casadi::DM::sym(x0_);
        // x0 is not a swig output

        return WrapReturn< casadi::DM*, casadi::DM >::wrapReturn( ret );
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return 0;
    }
}


// ================== Static method: "sym" ===============
// class: "casadi::DM"
// cppName: "casadi::DM::sym"
// cWrapperName: "casadi__DM__sym__7"
// protoArgs: "(std::string ** err_msg, std::string* x0, int x1)"
// args: "(x0_, x1_)"
// rettype: UserType (Namespace ["casadi"]) (Name "DM")
// cWrapperRetType: "casadi::DM*"
// proto: "casadi::DM*\n    casadi__DM__sym__7(std::string ** err_msg, std::string* x0, int x1)"
// call: "        casadi::DM ret = casadi::DM::sym(x0_, x1_);"
// params: [(Ref (Const StdString),SwigOutput False),(CInt,SwigOutput False)]
extern "C"
casadi::DM*
    casadi__DM__sym__7(std::string ** err_msg, std::string* x0, int x1);
casadi::DM*
    casadi__DM__sym__7(std::string ** err_msg, std::string* x0, int x1){
    try {
        std::string& x0_ = Marshaling<std::string&,std::string*>::marshal(x0);
        int x1_ = Marshaling<int,int>::marshal(x1);

        casadi::DM ret = casadi::DM::sym(x0_, x1_);
        // x0 is not a swig output
        // x1 is not a swig output

        return WrapReturn< casadi::DM*, casadi::DM >::wrapReturn( ret );
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return 0;
    }
}


// ================== Static method: "sym" ===============
// class: "casadi::DM"
// cppName: "casadi::DM::sym"
// cWrapperName: "casadi__DM__sym__8"
// protoArgs: "(std::string ** err_msg, std::string* x0, int x1, int x2)"
// args: "(x0_, x1_, x2_)"
// rettype: UserType (Namespace ["casadi"]) (Name "DM")
// cWrapperRetType: "casadi::DM*"
// proto: "casadi::DM*\n    casadi__DM__sym__8(std::string ** err_msg, std::string* x0, int x1, int x2)"
// call: "        casadi::DM ret = casadi::DM::sym(x0_, x1_, x2_);"
// params: [(Ref (Const StdString),SwigOutput False),(CInt,SwigOutput False),(CInt,SwigOutput False)]
extern "C"
casadi::DM*
    casadi__DM__sym__8(std::string ** err_msg, std::string* x0, int x1, int x2);
casadi::DM*
    casadi__DM__sym__8(std::string ** err_msg, std::string* x0, int x1, int x2){
    try {
        std::string& x0_ = Marshaling<std::string&,std::string*>::marshal(x0);
        int x1_ = Marshaling<int,int>::marshal(x1);
        int x2_ = Marshaling<int,int>::marshal(x2);

        casadi::DM ret = casadi::DM::sym(x0_, x1_, x2_);
        // x0 is not a swig output
        // x1 is not a swig output
        // x2 is not a swig output

        return WrapReturn< casadi::DM*, casadi::DM >::wrapReturn( ret );
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return 0;
    }
}


// ================== Static method: "tang" ===============
// class: "casadi::DM"
// cppName: "casadi::DM::tang"
// cWrapperName: "casadi__DM__tang__0"
// protoArgs: "(std::string ** err_msg, casadi::Function* x0, std::string* x1, std::string* x2)"
// args: "(x0_, x1_, x2_)"
// rettype: UserType (Namespace ["casadi"]) (Name "DM")
// cWrapperRetType: "casadi::DM*"
// proto: "casadi::DM*\n    casadi__DM__tang__0(std::string ** err_msg, casadi::Function* x0, std::string* x1, std::string* x2)"
// call: "        casadi::DM ret = casadi::DM::tang(x0_, x1_, x2_);"
// params: [(Ref (Const (UserType (Namespace ["casadi"]) (Name "Function"))),SwigOutput False),(Ref (Const StdString),SwigOutput False),(Ref (Const StdString),SwigOutput False)]
extern "C"
casadi::DM*
    casadi__DM__tang__0(std::string ** err_msg, casadi::Function* x0, std::string* x1, std::string* x2);
casadi::DM*
    casadi__DM__tang__0(std::string ** err_msg, casadi::Function* x0, std::string* x1, std::string* x2){
    try {
        casadi::Function& x0_ = Marshaling<casadi::Function&,casadi::Function*>::marshal(x0);
        std::string& x1_ = Marshaling<std::string&,std::string*>::marshal(x1);
        std::string& x2_ = Marshaling<std::string&,std::string*>::marshal(x2);

        casadi::DM ret = casadi::DM::tang(x0_, x1_, x2_);
        // x0 is not a swig output
        // x1 is not a swig output
        // x2 is not a swig output

        return WrapReturn< casadi::DM*, casadi::DM >::wrapReturn( ret );
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return 0;
    }
}


// ================== Static method: "tang" ===============
// class: "casadi::DM"
// cppName: "casadi::DM::tang"
// cWrapperName: "casadi__DM__tang__1"
// protoArgs: "(std::string ** err_msg, casadi::Function* x0, int x1, std::string* x2)"
// args: "(x0_, x1_, x2_)"
// rettype: UserType (Namespace ["casadi"]) (Name "DM")
// cWrapperRetType: "casadi::DM*"
// proto: "casadi::DM*\n    casadi__DM__tang__1(std::string ** err_msg, casadi::Function* x0, int x1, std::string* x2)"
// call: "        casadi::DM ret = casadi::DM::tang(x0_, x1_, x2_);"
// params: [(Ref (Const (UserType (Namespace ["casadi"]) (Name "Function"))),SwigOutput False),(CInt,SwigOutput False),(Ref (Const StdString),SwigOutput False)]
extern "C"
casadi::DM*
    casadi__DM__tang__1(std::string ** err_msg, casadi::Function* x0, int x1, std::string* x2);
casadi::DM*
    casadi__DM__tang__1(std::string ** err_msg, casadi::Function* x0, int x1, std::string* x2){
    try {
        casadi::Function& x0_ = Marshaling<casadi::Function&,casadi::Function*>::marshal(x0);
        int x1_ = Marshaling<int,int>::marshal(x1);
        std::string& x2_ = Marshaling<std::string&,std::string*>::marshal(x2);

        casadi::DM ret = casadi::DM::tang(x0_, x1_, x2_);
        // x0 is not a swig output
        // x1 is not a swig output
        // x2 is not a swig output

        return WrapReturn< casadi::DM*, casadi::DM >::wrapReturn( ret );
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return 0;
    }
}


// ================== Static method: "tang" ===============
// class: "casadi::DM"
// cppName: "casadi::DM::tang"
// cWrapperName: "casadi__DM__tang__2"
// protoArgs: "(std::string ** err_msg, casadi::Function* x0, std::string* x1)"
// args: "(x0_, x1_)"
// rettype: UserType (Namespace ["casadi"]) (Name "DM")
// cWrapperRetType: "casadi::DM*"
// proto: "casadi::DM*\n    casadi__DM__tang__2(std::string ** err_msg, casadi::Function* x0, std::string* x1)"
// call: "        casadi::DM ret = casadi::DM::tang(x0_, x1_);"
// params: [(Ref (Const (UserType (Namespace ["casadi"]) (Name "Function"))),SwigOutput False),(Ref (Const StdString),SwigOutput False)]
extern "C"
casadi::DM*
    casadi__DM__tang__2(std::string ** err_msg, casadi::Function* x0, std::string* x1);
casadi::DM*
    casadi__DM__tang__2(std::string ** err_msg, casadi::Function* x0, std::string* x1){
    try {
        casadi::Function& x0_ = Marshaling<casadi::Function&,casadi::Function*>::marshal(x0);
        std::string& x1_ = Marshaling<std::string&,std::string*>::marshal(x1);

        casadi::DM ret = casadi::DM::tang(x0_, x1_);
        // x0 is not a swig output
        // x1 is not a swig output

        return WrapReturn< casadi::DM*, casadi::DM >::wrapReturn( ret );
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return 0;
    }
}


// ================== Static method: "tang" ===============
// class: "casadi::DM"
// cppName: "casadi::DM::tang"
// cWrapperName: "casadi__DM__tang__3"
// protoArgs: "(std::string ** err_msg, casadi::Function* x0, std::string* x1, int x2)"
// args: "(x0_, x1_, x2_)"
// rettype: UserType (Namespace ["casadi"]) (Name "DM")
// cWrapperRetType: "casadi::DM*"
// proto: "casadi::DM*\n    casadi__DM__tang__3(std::string ** err_msg, casadi::Function* x0, std::string* x1, int x2)"
// call: "        casadi::DM ret = casadi::DM::tang(x0_, x1_, x2_);"
// params: [(Ref (Const (UserType (Namespace ["casadi"]) (Name "Function"))),SwigOutput False),(Ref (Const StdString),SwigOutput False),(CInt,SwigOutput False)]
extern "C"
casadi::DM*
    casadi__DM__tang__3(std::string ** err_msg, casadi::Function* x0, std::string* x1, int x2);
casadi::DM*
    casadi__DM__tang__3(std::string ** err_msg, casadi::Function* x0, std::string* x1, int x2){
    try {
        casadi::Function& x0_ = Marshaling<casadi::Function&,casadi::Function*>::marshal(x0);
        std::string& x1_ = Marshaling<std::string&,std::string*>::marshal(x1);
        int x2_ = Marshaling<int,int>::marshal(x2);

        casadi::DM ret = casadi::DM::tang(x0_, x1_, x2_);
        // x0 is not a swig output
        // x1 is not a swig output
        // x2 is not a swig output

        return WrapReturn< casadi::DM*, casadi::DM >::wrapReturn( ret );
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return 0;
    }
}


// ================== Static method: "tang" ===============
// class: "casadi::DM"
// cppName: "casadi::DM::tang"
// cWrapperName: "casadi__DM__tang__4"
// protoArgs: "(std::string ** err_msg, casadi::Function* x0)"
// args: "(x0_)"
// rettype: UserType (Namespace ["casadi"]) (Name "DM")
// cWrapperRetType: "casadi::DM*"
// proto: "casadi::DM*\n    casadi__DM__tang__4(std::string ** err_msg, casadi::Function* x0)"
// call: "        casadi::DM ret = casadi::DM::tang(x0_);"
// params: [(Ref (Const (UserType (Namespace ["casadi"]) (Name "Function"))),SwigOutput False)]
extern "C"
casadi::DM*
    casadi__DM__tang__4(std::string ** err_msg, casadi::Function* x0);
casadi::DM*
    casadi__DM__tang__4(std::string ** err_msg, casadi::Function* x0){
    try {
        casadi::Function& x0_ = Marshaling<casadi::Function&,casadi::Function*>::marshal(x0);

        casadi::DM ret = casadi::DM::tang(x0_);
        // x0 is not a swig output

        return WrapReturn< casadi::DM*, casadi::DM >::wrapReturn( ret );
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return 0;
    }
}


// ================== Static method: "tang" ===============
// class: "casadi::DM"
// cppName: "casadi::DM::tang"
// cWrapperName: "casadi__DM__tang__5"
// protoArgs: "(std::string ** err_msg, casadi::Function* x0, int x1)"
// args: "(x0_, x1_)"
// rettype: UserType (Namespace ["casadi"]) (Name "DM")
// cWrapperRetType: "casadi::DM*"
// proto: "casadi::DM*\n    casadi__DM__tang__5(std::string ** err_msg, casadi::Function* x0, int x1)"
// call: "        casadi::DM ret = casadi::DM::tang(x0_, x1_);"
// params: [(Ref (Const (UserType (Namespace ["casadi"]) (Name "Function"))),SwigOutput False),(CInt,SwigOutput False)]
extern "C"
casadi::DM*
    casadi__DM__tang__5(std::string ** err_msg, casadi::Function* x0, int x1);
casadi::DM*
    casadi__DM__tang__5(std::string ** err_msg, casadi::Function* x0, int x1){
    try {
        casadi::Function& x0_ = Marshaling<casadi::Function&,casadi::Function*>::marshal(x0);
        int x1_ = Marshaling<int,int>::marshal(x1);

        casadi::DM ret = casadi::DM::tang(x0_, x1_);
        // x0 is not a swig output
        // x1 is not a swig output

        return WrapReturn< casadi::DM*, casadi::DM >::wrapReturn( ret );
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return 0;
    }
}


// ================== Static method: "tang" ===============
// class: "casadi::DM"
// cppName: "casadi::DM::tang"
// cWrapperName: "casadi__DM__tang__6"
// protoArgs: "(std::string ** err_msg, casadi::Function* x0, int x1, int x2)"
// args: "(x0_, x1_, x2_)"
// rettype: UserType (Namespace ["casadi"]) (Name "DM")
// cWrapperRetType: "casadi::DM*"
// proto: "casadi::DM*\n    casadi__DM__tang__6(std::string ** err_msg, casadi::Function* x0, int x1, int x2)"
// call: "        casadi::DM ret = casadi::DM::tang(x0_, x1_, x2_);"
// params: [(Ref (Const (UserType (Namespace ["casadi"]) (Name "Function"))),SwigOutput False),(CInt,SwigOutput False),(CInt,SwigOutput False)]
extern "C"
casadi::DM*
    casadi__DM__tang__6(std::string ** err_msg, casadi::Function* x0, int x1, int x2);
casadi::DM*
    casadi__DM__tang__6(std::string ** err_msg, casadi::Function* x0, int x1, int x2){
    try {
        casadi::Function& x0_ = Marshaling<casadi::Function&,casadi::Function*>::marshal(x0);
        int x1_ = Marshaling<int,int>::marshal(x1);
        int x2_ = Marshaling<int,int>::marshal(x2);

        casadi::DM ret = casadi::DM::tang(x0_, x1_, x2_);
        // x0 is not a swig output
        // x1 is not a swig output
        // x2 is not a swig output

        return WrapReturn< casadi::DM*, casadi::DM >::wrapReturn( ret );
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return 0;
    }
}


// ================== Static method: "triplet" ===============
// class: "casadi::DM"
// cppName: "casadi::DM::triplet"
// cWrapperName: "casadi__DM__triplet__0"
// protoArgs: "(std::string ** err_msg, std::vector< int >* x0, std::vector< int >* x1, casadi::DM* x2, std::pair< int, int >* x3)"
// args: "(x0_, x1_, x2_, x3_)"
// rettype: UserType (Namespace ["casadi"]) (Name "DM")
// cWrapperRetType: "casadi::DM*"
// proto: "casadi::DM*\n    casadi__DM__triplet__0(std::string ** err_msg, std::vector< int >* x0, std::vector< int >* x1, casadi::DM* x2, std::pair< int, int >* x3)"
// call: "        casadi::DM ret = casadi::DM::triplet(x0_, x1_, x2_, x3_);"
// params: [(Ref (Const (StdVec CInt)),SwigOutput False),(Ref (Const (StdVec CInt)),SwigOutput False),(Ref (Const (UserType (Namespace ["casadi"]) (Name "DM"))),SwigOutput False),(Ref (Const (StdPair CInt CInt)),SwigOutput False)]
extern "C"
casadi::DM*
    casadi__DM__triplet__0(std::string ** err_msg, std::vector< int >* x0, std::vector< int >* x1, casadi::DM* x2, std::pair< int, int >* x3);
casadi::DM*
    casadi__DM__triplet__0(std::string ** err_msg, std::vector< int >* x0, std::vector< int >* x1, casadi::DM* x2, std::pair< int, int >* x3){
    try {
        std::vector< int > x0_ = Marshaling<std::vector< int >,std::vector< int >*>::marshal(x0);
        std::vector< int > x1_ = Marshaling<std::vector< int >,std::vector< int >*>::marshal(x1);
        casadi::DM& x2_ = Marshaling<casadi::DM&,casadi::DM*>::marshal(x2);
        std::pair< int, int > x3_ = Marshaling<std::pair< int, int >,std::pair< int, int >*>::marshal(x3);

        casadi::DM ret = casadi::DM::triplet(x0_, x1_, x2_, x3_);
        // x0 is not a swig output
        // x1 is not a swig output
        // x2 is not a swig output
        // x3 is not a swig output

        return WrapReturn< casadi::DM*, casadi::DM >::wrapReturn( ret );
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return 0;
    }
}


// ================== Static method: "triplet" ===============
// class: "casadi::DM"
// cppName: "casadi::DM::triplet"
// cWrapperName: "casadi__DM__triplet__1"
// protoArgs: "(std::string ** err_msg, std::vector< int >* x0, std::vector< int >* x1, casadi::DM* x2, int x3, int x4)"
// args: "(x0_, x1_, x2_, x3_, x4_)"
// rettype: UserType (Namespace ["casadi"]) (Name "DM")
// cWrapperRetType: "casadi::DM*"
// proto: "casadi::DM*\n    casadi__DM__triplet__1(std::string ** err_msg, std::vector< int >* x0, std::vector< int >* x1, casadi::DM* x2, int x3, int x4)"
// call: "        casadi::DM ret = casadi::DM::triplet(x0_, x1_, x2_, x3_, x4_);"
// params: [(Ref (Const (StdVec CInt)),SwigOutput False),(Ref (Const (StdVec CInt)),SwigOutput False),(Ref (Const (UserType (Namespace ["casadi"]) (Name "DM"))),SwigOutput False),(CInt,SwigOutput False),(CInt,SwigOutput False)]
extern "C"
casadi::DM*
    casadi__DM__triplet__1(std::string ** err_msg, std::vector< int >* x0, std::vector< int >* x1, casadi::DM* x2, int x3, int x4);
casadi::DM*
    casadi__DM__triplet__1(std::string ** err_msg, std::vector< int >* x0, std::vector< int >* x1, casadi::DM* x2, int x3, int x4){
    try {
        std::vector< int > x0_ = Marshaling<std::vector< int >,std::vector< int >*>::marshal(x0);
        std::vector< int > x1_ = Marshaling<std::vector< int >,std::vector< int >*>::marshal(x1);
        casadi::DM& x2_ = Marshaling<casadi::DM&,casadi::DM*>::marshal(x2);
        int x3_ = Marshaling<int,int>::marshal(x3);
        int x4_ = Marshaling<int,int>::marshal(x4);

        casadi::DM ret = casadi::DM::triplet(x0_, x1_, x2_, x3_, x4_);
        // x0 is not a swig output
        // x1 is not a swig output
        // x2 is not a swig output
        // x3 is not a swig output
        // x4 is not a swig output

        return WrapReturn< casadi::DM*, casadi::DM >::wrapReturn( ret );
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return 0;
    }
}


// ================== Static method: "triplet" ===============
// class: "casadi::DM"
// cppName: "casadi::DM::triplet"
// cWrapperName: "casadi__DM__triplet__2"
// protoArgs: "(std::string ** err_msg, std::vector< int >* x0, std::vector< int >* x1, casadi::DM* x2)"
// args: "(x0_, x1_, x2_)"
// rettype: UserType (Namespace ["casadi"]) (Name "DM")
// cWrapperRetType: "casadi::DM*"
// proto: "casadi::DM*\n    casadi__DM__triplet__2(std::string ** err_msg, std::vector< int >* x0, std::vector< int >* x1, casadi::DM* x2)"
// call: "        casadi::DM ret = casadi::DM::triplet(x0_, x1_, x2_);"
// params: [(Ref (Const (StdVec CInt)),SwigOutput False),(Ref (Const (StdVec CInt)),SwigOutput False),(Ref (Const (UserType (Namespace ["casadi"]) (Name "DM"))),SwigOutput False)]
extern "C"
casadi::DM*
    casadi__DM__triplet__2(std::string ** err_msg, std::vector< int >* x0, std::vector< int >* x1, casadi::DM* x2);
casadi::DM*
    casadi__DM__triplet__2(std::string ** err_msg, std::vector< int >* x0, std::vector< int >* x1, casadi::DM* x2){
    try {
        std::vector< int > x0_ = Marshaling<std::vector< int >,std::vector< int >*>::marshal(x0);
        std::vector< int > x1_ = Marshaling<std::vector< int >,std::vector< int >*>::marshal(x1);
        casadi::DM& x2_ = Marshaling<casadi::DM&,casadi::DM*>::marshal(x2);

        casadi::DM ret = casadi::DM::triplet(x0_, x1_, x2_);
        // x0 is not a swig output
        // x1 is not a swig output
        // x2 is not a swig output

        return WrapReturn< casadi::DM*, casadi::DM >::wrapReturn( ret );
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return 0;
    }
}


// ================== Static method: "type_name" ===============
// class: "casadi::DM"
// cppName: "casadi::DM::type_name"
// cWrapperName: "casadi__DM__type_name"
// protoArgs: "(std::string ** err_msg)"
// args: "()"
// rettype: StdString
// cWrapperRetType: "std::string*"
// proto: "std::string*\n    casadi__DM__type_name(std::string ** err_msg)"
// call: "        std::string ret = casadi::DM::type_name();"
// params: []
extern "C"
std::string*
    casadi__DM__type_name(std::string ** err_msg);
std::string*
    casadi__DM__type_name(std::string ** err_msg){
    try {

        std::string ret = casadi::DM::type_name();

        return WrapReturn< std::string*, std::string >::wrapReturn( ret );
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return 0;
    }
}


// ================== Static method: "unary" ===============
// class: "casadi::DM"
// cppName: "casadi::DM::unary"
// cWrapperName: "casadi__DM__unary"
// protoArgs: "(std::string ** err_msg, int x0, casadi::DM* x1)"
// args: "(x0_, x1_)"
// rettype: UserType (Namespace ["casadi"]) (Name "DM")
// cWrapperRetType: "casadi::DM*"
// proto: "casadi::DM*\n    casadi__DM__unary(std::string ** err_msg, int x0, casadi::DM* x1)"
// call: "        casadi::DM ret = casadi::DM::unary(x0_, x1_);"
// params: [(CInt,SwigOutput False),(Ref (Const (UserType (Namespace ["casadi"]) (Name "DM"))),SwigOutput False)]
extern "C"
casadi::DM*
    casadi__DM__unary(std::string ** err_msg, int x0, casadi::DM* x1);
casadi::DM*
    casadi__DM__unary(std::string ** err_msg, int x0, casadi::DM* x1){
    try {
        int x0_ = Marshaling<int,int>::marshal(x0);
        casadi::DM& x1_ = Marshaling<casadi::DM&,casadi::DM*>::marshal(x1);

        casadi::DM ret = casadi::DM::unary(x0_, x1_);
        // x0 is not a swig output
        // x1 is not a swig output

        return WrapReturn< casadi::DM*, casadi::DM >::wrapReturn( ret );
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return 0;
    }
}


// ================== Static method: "zeros" ===============
// class: "casadi::DM"
// cppName: "casadi::DM::zeros"
// cWrapperName: "casadi__DM__zeros__0"
// protoArgs: "(std::string ** err_msg, std::pair< int, int >* x0)"
// args: "(x0_)"
// rettype: UserType (Namespace ["casadi"]) (Name "DM")
// cWrapperRetType: "casadi::DM*"
// proto: "casadi::DM*\n    casadi__DM__zeros__0(std::string ** err_msg, std::pair< int, int >* x0)"
// call: "        casadi::DM ret = casadi::DM::zeros(x0_);"
// params: [(Ref (Const (StdPair CInt CInt)),SwigOutput False)]
extern "C"
casadi::DM*
    casadi__DM__zeros__0(std::string ** err_msg, std::pair< int, int >* x0);
casadi::DM*
    casadi__DM__zeros__0(std::string ** err_msg, std::pair< int, int >* x0){
    try {
        std::pair< int, int > x0_ = Marshaling<std::pair< int, int >,std::pair< int, int >*>::marshal(x0);

        casadi::DM ret = casadi::DM::zeros(x0_);
        // x0 is not a swig output

        return WrapReturn< casadi::DM*, casadi::DM >::wrapReturn( ret );
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return 0;
    }
}


// ================== Static method: "zeros" ===============
// class: "casadi::DM"
// cppName: "casadi::DM::zeros"
// cWrapperName: "casadi__DM__zeros__1"
// protoArgs: "(std::string ** err_msg, casadi::Sparsity* x0)"
// args: "(x0_)"
// rettype: UserType (Namespace ["casadi"]) (Name "DM")
// cWrapperRetType: "casadi::DM*"
// proto: "casadi::DM*\n    casadi__DM__zeros__1(std::string ** err_msg, casadi::Sparsity* x0)"
// call: "        casadi::DM ret = casadi::DM::zeros(x0_);"
// params: [(Ref (Const (UserType (Namespace ["casadi"]) (Name "Sparsity"))),SwigOutput False)]
extern "C"
casadi::DM*
    casadi__DM__zeros__1(std::string ** err_msg, casadi::Sparsity* x0);
casadi::DM*
    casadi__DM__zeros__1(std::string ** err_msg, casadi::Sparsity* x0){
    try {
        casadi::Sparsity& x0_ = Marshaling<casadi::Sparsity&,casadi::Sparsity*>::marshal(x0);

        casadi::DM ret = casadi::DM::zeros(x0_);
        // x0 is not a swig output

        return WrapReturn< casadi::DM*, casadi::DM >::wrapReturn( ret );
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return 0;
    }
}


// ================== Static method: "zeros" ===============
// class: "casadi::DM"
// cppName: "casadi::DM::zeros"
// cWrapperName: "casadi__DM__zeros__2"
// protoArgs: "(std::string ** err_msg)"
// args: "()"
// rettype: UserType (Namespace ["casadi"]) (Name "DM")
// cWrapperRetType: "casadi::DM*"
// proto: "casadi::DM*\n    casadi__DM__zeros__2(std::string ** err_msg)"
// call: "        casadi::DM ret = casadi::DM::zeros();"
// params: []
extern "C"
casadi::DM*
    casadi__DM__zeros__2(std::string ** err_msg);
casadi::DM*
    casadi__DM__zeros__2(std::string ** err_msg){
    try {

        casadi::DM ret = casadi::DM::zeros();

        return WrapReturn< casadi::DM*, casadi::DM >::wrapReturn( ret );
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return 0;
    }
}


// ================== Static method: "zeros" ===============
// class: "casadi::DM"
// cppName: "casadi::DM::zeros"
// cWrapperName: "casadi__DM__zeros__3"
// protoArgs: "(std::string ** err_msg, int x0)"
// args: "(x0_)"
// rettype: UserType (Namespace ["casadi"]) (Name "DM")
// cWrapperRetType: "casadi::DM*"
// proto: "casadi::DM*\n    casadi__DM__zeros__3(std::string ** err_msg, int x0)"
// call: "        casadi::DM ret = casadi::DM::zeros(x0_);"
// params: [(CInt,SwigOutput False)]
extern "C"
casadi::DM*
    casadi__DM__zeros__3(std::string ** err_msg, int x0);
casadi::DM*
    casadi__DM__zeros__3(std::string ** err_msg, int x0){
    try {
        int x0_ = Marshaling<int,int>::marshal(x0);

        casadi::DM ret = casadi::DM::zeros(x0_);
        // x0 is not a swig output

        return WrapReturn< casadi::DM*, casadi::DM >::wrapReturn( ret );
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return 0;
    }
}


// ================== Static method: "zeros" ===============
// class: "casadi::DM"
// cppName: "casadi::DM::zeros"
// cWrapperName: "casadi__DM__zeros__4"
// protoArgs: "(std::string ** err_msg, int x0, int x1)"
// args: "(x0_, x1_)"
// rettype: UserType (Namespace ["casadi"]) (Name "DM")
// cWrapperRetType: "casadi::DM*"
// proto: "casadi::DM*\n    casadi__DM__zeros__4(std::string ** err_msg, int x0, int x1)"
// call: "        casadi::DM ret = casadi::DM::zeros(x0_, x1_);"
// params: [(CInt,SwigOutput False),(CInt,SwigOutput False)]
extern "C"
casadi::DM*
    casadi__DM__zeros__4(std::string ** err_msg, int x0, int x1);
casadi::DM*
    casadi__DM__zeros__4(std::string ** err_msg, int x0, int x1){
    try {
        int x0_ = Marshaling<int,int>::marshal(x0);
        int x1_ = Marshaling<int,int>::marshal(x1);

        casadi::DM ret = casadi::DM::zeros(x0_, x1_);
        // x0 is not a swig output
        // x1 is not a swig output

        return WrapReturn< casadi::DM*, casadi::DM >::wrapReturn( ret );
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return 0;
    }
}


// ================== Normal method: "getRepresentation" ===============
// class: "casadi::DM"
// cppName: "casadi::DM::getRepresentation"
// cWrapperName: "casadi__DM__getRepresentation"
// protoArgs: "(std::string ** err_msg, casadi::DM* obj)"
// args: "()"
// rettype: StdString
// cWrapperRetType: "std::string*"
// proto: "std::string*\n    casadi__DM__getRepresentation(std::string ** err_msg, casadi::DM* obj)"
// call: "        std::string ret = obj->getRepresentation();"
// params: []
extern "C"
std::string*
    casadi__DM__getRepresentation(std::string ** err_msg, casadi::DM* obj);
std::string*
    casadi__DM__getRepresentation(std::string ** err_msg, casadi::DM* obj){
    try {

        std::string ret = obj->getRepresentation();

        return WrapReturn< std::string*, std::string >::wrapReturn( ret );
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return 0;
    }
}


// ================== Normal method: "getDescription" ===============
// class: "casadi::DM"
// cppName: "casadi::DM::getDescription"
// cWrapperName: "casadi__DM__getDescription"
// protoArgs: "(std::string ** err_msg, casadi::DM* obj)"
// args: "()"
// rettype: StdString
// cWrapperRetType: "std::string*"
// proto: "std::string*\n    casadi__DM__getDescription(std::string ** err_msg, casadi::DM* obj)"
// call: "        std::string ret = obj->getDescription();"
// params: []
extern "C"
std::string*
    casadi__DM__getDescription(std::string ** err_msg, casadi::DM* obj);
std::string*
    casadi__DM__getDescription(std::string ** err_msg, casadi::DM* obj){
    try {

        std::string ret = obj->getDescription();

        return WrapReturn< std::string*, std::string >::wrapReturn( ret );
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return 0;
    }
}



// ================== delete UserType (Namespace ["casadi"]) (Name "DaeBuilder")===============
// classType: UserType (Namespace ["casadi"]) (Name "DaeBuilder")
extern "C"
void delete_casadi__DaeBuilder(casadi::DaeBuilder* obj);
void delete_casadi__DaeBuilder(casadi::DaeBuilder* obj){
    delete obj;
}

// ================== Constructor method: "CONSTRUCTOR" ===============
// class: "casadi::DaeBuilder"
// cppName: "casadi::DaeBuilder"
// cWrapperName: "casadi__DaeBuilder__CONSTRUCTOR"
// protoArgs: "(std::string ** err_msg)"
// args: "()"
// rettype: UserType (Namespace ["casadi"]) (Name "DaeBuilder")
// cWrapperRetType: "casadi::DaeBuilder*"
// proto: "casadi::DaeBuilder*\n    casadi__DaeBuilder__CONSTRUCTOR(std::string ** err_msg)"
// call: "        casadi::DaeBuilder* ret = (casadi::DaeBuilder*)new casadi::DaeBuilder();"
// params: []
extern "C"
casadi::DaeBuilder*
    casadi__DaeBuilder__CONSTRUCTOR(std::string ** err_msg);
casadi::DaeBuilder*
    casadi__DaeBuilder__CONSTRUCTOR(std::string ** err_msg){
    try {

        casadi::DaeBuilder* ret = (casadi::DaeBuilder*)new casadi::DaeBuilder();

        return ret;
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return 0;
    }
}


// ================== Normal method: "add_alg" ===============
// class: "casadi::DaeBuilder"
// cppName: "casadi::DaeBuilder::add_alg"
// cWrapperName: "casadi__DaeBuilder__add_alg__0"
// protoArgs: "(std::string ** err_msg, casadi::DaeBuilder* obj, casadi::MX* x0)"
// args: "(x0_)"
// rettype: CVoid
// cWrapperRetType: "void"
// proto: "void\n    casadi__DaeBuilder__add_alg__0(std::string ** err_msg, casadi::DaeBuilder* obj, casadi::MX* x0)"
// call: "        obj->add_alg(x0_);"
// params: [(Ref (Const (UserType (Namespace ["casadi"]) (Name "MX"))),SwigOutput False)]
extern "C"
void
    casadi__DaeBuilder__add_alg__0(std::string ** err_msg, casadi::DaeBuilder* obj, casadi::MX* x0);
void
    casadi__DaeBuilder__add_alg__0(std::string ** err_msg, casadi::DaeBuilder* obj, casadi::MX* x0){
    try {
        casadi::MX& x0_ = Marshaling<casadi::MX&,casadi::MX*>::marshal(x0);

        obj->add_alg(x0_);
        // x0 is not a swig output

        return;
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return;
    }
}


// ================== Normal method: "add_alg" ===============
// class: "casadi::DaeBuilder"
// cppName: "casadi::DaeBuilder::add_alg"
// cWrapperName: "casadi__DaeBuilder__add_alg__1"
// protoArgs: "(std::string ** err_msg, casadi::DaeBuilder* obj, casadi::MX* x0, std::string* x1)"
// args: "(x0_, x1_)"
// rettype: CVoid
// cWrapperRetType: "void"
// proto: "void\n    casadi__DaeBuilder__add_alg__1(std::string ** err_msg, casadi::DaeBuilder* obj, casadi::MX* x0, std::string* x1)"
// call: "        obj->add_alg(x0_, x1_);"
// params: [(Ref (Const (UserType (Namespace ["casadi"]) (Name "MX"))),SwigOutput False),(Ref (Const StdString),SwigOutput False)]
extern "C"
void
    casadi__DaeBuilder__add_alg__1(std::string ** err_msg, casadi::DaeBuilder* obj, casadi::MX* x0, std::string* x1);
void
    casadi__DaeBuilder__add_alg__1(std::string ** err_msg, casadi::DaeBuilder* obj, casadi::MX* x0, std::string* x1){
    try {
        casadi::MX& x0_ = Marshaling<casadi::MX&,casadi::MX*>::marshal(x0);
        std::string& x1_ = Marshaling<std::string&,std::string*>::marshal(x1);

        obj->add_alg(x0_, x1_);
        // x0 is not a swig output
        // x1 is not a swig output

        return;
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return;
    }
}


// ================== Normal method: "add_d" ===============
// class: "casadi::DaeBuilder"
// cppName: "casadi::DaeBuilder::add_d"
// cWrapperName: "casadi__DaeBuilder__add_d__0"
// protoArgs: "(std::string ** err_msg, casadi::DaeBuilder* obj, casadi::MX* x0)"
// args: "(x0_)"
// rettype: UserType (Namespace ["casadi"]) (Name "MX")
// cWrapperRetType: "casadi::MX*"
// proto: "casadi::MX*\n    casadi__DaeBuilder__add_d__0(std::string ** err_msg, casadi::DaeBuilder* obj, casadi::MX* x0)"
// call: "        casadi::MX ret = obj->add_d(x0_);"
// params: [(Ref (Const (UserType (Namespace ["casadi"]) (Name "MX"))),SwigOutput False)]
extern "C"
casadi::MX*
    casadi__DaeBuilder__add_d__0(std::string ** err_msg, casadi::DaeBuilder* obj, casadi::MX* x0);
casadi::MX*
    casadi__DaeBuilder__add_d__0(std::string ** err_msg, casadi::DaeBuilder* obj, casadi::MX* x0){
    try {
        casadi::MX& x0_ = Marshaling<casadi::MX&,casadi::MX*>::marshal(x0);

        casadi::MX ret = obj->add_d(x0_);
        // x0 is not a swig output

        return WrapReturn< casadi::MX*, casadi::MX >::wrapReturn( ret );
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return 0;
    }
}


// ================== Normal method: "add_d" ===============
// class: "casadi::DaeBuilder"
// cppName: "casadi::DaeBuilder::add_d"
// cWrapperName: "casadi__DaeBuilder__add_d__1"
// protoArgs: "(std::string ** err_msg, casadi::DaeBuilder* obj, casadi::MX* x0, std::string* x1)"
// args: "(x0_, x1_)"
// rettype: UserType (Namespace ["casadi"]) (Name "MX")
// cWrapperRetType: "casadi::MX*"
// proto: "casadi::MX*\n    casadi__DaeBuilder__add_d__1(std::string ** err_msg, casadi::DaeBuilder* obj, casadi::MX* x0, std::string* x1)"
// call: "        casadi::MX ret = obj->add_d(x0_, x1_);"
// params: [(Ref (Const (UserType (Namespace ["casadi"]) (Name "MX"))),SwigOutput False),(Ref (Const StdString),SwigOutput False)]
extern "C"
casadi::MX*
    casadi__DaeBuilder__add_d__1(std::string ** err_msg, casadi::DaeBuilder* obj, casadi::MX* x0, std::string* x1);
casadi::MX*
    casadi__DaeBuilder__add_d__1(std::string ** err_msg, casadi::DaeBuilder* obj, casadi::MX* x0, std::string* x1){
    try {
        casadi::MX& x0_ = Marshaling<casadi::MX&,casadi::MX*>::marshal(x0);
        std::string& x1_ = Marshaling<std::string&,std::string*>::marshal(x1);

        casadi::MX ret = obj->add_d(x0_, x1_);
        // x0 is not a swig output
        // x1 is not a swig output

        return WrapReturn< casadi::MX*, casadi::MX >::wrapReturn( ret );
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return 0;
    }
}


// ================== Normal method: "add_dae" ===============
// class: "casadi::DaeBuilder"
// cppName: "casadi::DaeBuilder::add_dae"
// cWrapperName: "casadi__DaeBuilder__add_dae__0"
// protoArgs: "(std::string ** err_msg, casadi::DaeBuilder* obj, casadi::MX* x0)"
// args: "(x0_)"
// rettype: CVoid
// cWrapperRetType: "void"
// proto: "void\n    casadi__DaeBuilder__add_dae__0(std::string ** err_msg, casadi::DaeBuilder* obj, casadi::MX* x0)"
// call: "        obj->add_dae(x0_);"
// params: [(Ref (Const (UserType (Namespace ["casadi"]) (Name "MX"))),SwigOutput False)]
extern "C"
void
    casadi__DaeBuilder__add_dae__0(std::string ** err_msg, casadi::DaeBuilder* obj, casadi::MX* x0);
void
    casadi__DaeBuilder__add_dae__0(std::string ** err_msg, casadi::DaeBuilder* obj, casadi::MX* x0){
    try {
        casadi::MX& x0_ = Marshaling<casadi::MX&,casadi::MX*>::marshal(x0);

        obj->add_dae(x0_);
        // x0 is not a swig output

        return;
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return;
    }
}


// ================== Normal method: "add_dae" ===============
// class: "casadi::DaeBuilder"
// cppName: "casadi::DaeBuilder::add_dae"
// cWrapperName: "casadi__DaeBuilder__add_dae__1"
// protoArgs: "(std::string ** err_msg, casadi::DaeBuilder* obj, casadi::MX* x0, std::string* x1)"
// args: "(x0_, x1_)"
// rettype: CVoid
// cWrapperRetType: "void"
// proto: "void\n    casadi__DaeBuilder__add_dae__1(std::string ** err_msg, casadi::DaeBuilder* obj, casadi::MX* x0, std::string* x1)"
// call: "        obj->add_dae(x0_, x1_);"
// params: [(Ref (Const (UserType (Namespace ["casadi"]) (Name "MX"))),SwigOutput False),(Ref (Const StdString),SwigOutput False)]
extern "C"
void
    casadi__DaeBuilder__add_dae__1(std::string ** err_msg, casadi::DaeBuilder* obj, casadi::MX* x0, std::string* x1);
void
    casadi__DaeBuilder__add_dae__1(std::string ** err_msg, casadi::DaeBuilder* obj, casadi::MX* x0, std::string* x1){
    try {
        casadi::MX& x0_ = Marshaling<casadi::MX&,casadi::MX*>::marshal(x0);
        std::string& x1_ = Marshaling<std::string&,std::string*>::marshal(x1);

        obj->add_dae(x0_, x1_);
        // x0 is not a swig output
        // x1 is not a swig output

        return;
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return;
    }
}


// ================== Normal method: "add_lc" ===============
// class: "casadi::DaeBuilder"
// cppName: "casadi::DaeBuilder::add_lc"
// cWrapperName: "casadi__DaeBuilder__add_lc"
// protoArgs: "(std::string ** err_msg, casadi::DaeBuilder* obj, std::string* x0, std::vector< std::string* >* x1)"
// args: "(x0_, x1_)"
// rettype: UserType (Namespace ["casadi"]) (Name "MX")
// cWrapperRetType: "casadi::MX*"
// proto: "casadi::MX*\n    casadi__DaeBuilder__add_lc(std::string ** err_msg, casadi::DaeBuilder* obj, std::string* x0, std::vector< std::string* >* x1)"
// call: "        casadi::MX ret = obj->add_lc(x0_, x1_);"
// params: [(Ref (Const StdString),SwigOutput False),(Ref (Const (StdVec StdString)),SwigOutput False)]
extern "C"
casadi::MX*
    casadi__DaeBuilder__add_lc(std::string ** err_msg, casadi::DaeBuilder* obj, std::string* x0, std::vector< std::string* >* x1);
casadi::MX*
    casadi__DaeBuilder__add_lc(std::string ** err_msg, casadi::DaeBuilder* obj, std::string* x0, std::vector< std::string* >* x1){
    try {
        std::string& x0_ = Marshaling<std::string&,std::string*>::marshal(x0);
        std::vector< std::string > x1_ = Marshaling<std::vector< std::string >,std::vector< std::string* >*>::marshal(x1);

        casadi::MX ret = obj->add_lc(x0_, x1_);
        // x0 is not a swig output
        // x1 is not a swig output

        return WrapReturn< casadi::MX*, casadi::MX >::wrapReturn( ret );
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return 0;
    }
}


// ================== Normal method: "add_ode" ===============
// class: "casadi::DaeBuilder"
// cppName: "casadi::DaeBuilder::add_ode"
// cWrapperName: "casadi__DaeBuilder__add_ode__0"
// protoArgs: "(std::string ** err_msg, casadi::DaeBuilder* obj, casadi::MX* x0)"
// args: "(x0_)"
// rettype: CVoid
// cWrapperRetType: "void"
// proto: "void\n    casadi__DaeBuilder__add_ode__0(std::string ** err_msg, casadi::DaeBuilder* obj, casadi::MX* x0)"
// call: "        obj->add_ode(x0_);"
// params: [(Ref (Const (UserType (Namespace ["casadi"]) (Name "MX"))),SwigOutput False)]
extern "C"
void
    casadi__DaeBuilder__add_ode__0(std::string ** err_msg, casadi::DaeBuilder* obj, casadi::MX* x0);
void
    casadi__DaeBuilder__add_ode__0(std::string ** err_msg, casadi::DaeBuilder* obj, casadi::MX* x0){
    try {
        casadi::MX& x0_ = Marshaling<casadi::MX&,casadi::MX*>::marshal(x0);

        obj->add_ode(x0_);
        // x0 is not a swig output

        return;
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return;
    }
}


// ================== Normal method: "add_ode" ===============
// class: "casadi::DaeBuilder"
// cppName: "casadi::DaeBuilder::add_ode"
// cWrapperName: "casadi__DaeBuilder__add_ode__1"
// protoArgs: "(std::string ** err_msg, casadi::DaeBuilder* obj, casadi::MX* x0, std::string* x1)"
// args: "(x0_, x1_)"
// rettype: CVoid
// cWrapperRetType: "void"
// proto: "void\n    casadi__DaeBuilder__add_ode__1(std::string ** err_msg, casadi::DaeBuilder* obj, casadi::MX* x0, std::string* x1)"
// call: "        obj->add_ode(x0_, x1_);"
// params: [(Ref (Const (UserType (Namespace ["casadi"]) (Name "MX"))),SwigOutput False),(Ref (Const StdString),SwigOutput False)]
extern "C"
void
    casadi__DaeBuilder__add_ode__1(std::string ** err_msg, casadi::DaeBuilder* obj, casadi::MX* x0, std::string* x1);
void
    casadi__DaeBuilder__add_ode__1(std::string ** err_msg, casadi::DaeBuilder* obj, casadi::MX* x0, std::string* x1){
    try {
        casadi::MX& x0_ = Marshaling<casadi::MX&,casadi::MX*>::marshal(x0);
        std::string& x1_ = Marshaling<std::string&,std::string*>::marshal(x1);

        obj->add_ode(x0_, x1_);
        // x0 is not a swig output
        // x1 is not a swig output

        return;
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return;
    }
}


// ================== Normal method: "add_p" ===============
// class: "casadi::DaeBuilder"
// cppName: "casadi::DaeBuilder::add_p"
// cWrapperName: "casadi__DaeBuilder__add_p__0"
// protoArgs: "(std::string ** err_msg, casadi::DaeBuilder* obj)"
// args: "()"
// rettype: UserType (Namespace ["casadi"]) (Name "MX")
// cWrapperRetType: "casadi::MX*"
// proto: "casadi::MX*\n    casadi__DaeBuilder__add_p__0(std::string ** err_msg, casadi::DaeBuilder* obj)"
// call: "        casadi::MX ret = obj->add_p();"
// params: []
extern "C"
casadi::MX*
    casadi__DaeBuilder__add_p__0(std::string ** err_msg, casadi::DaeBuilder* obj);
casadi::MX*
    casadi__DaeBuilder__add_p__0(std::string ** err_msg, casadi::DaeBuilder* obj){
    try {

        casadi::MX ret = obj->add_p();

        return WrapReturn< casadi::MX*, casadi::MX >::wrapReturn( ret );
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return 0;
    }
}


// ================== Normal method: "add_p" ===============
// class: "casadi::DaeBuilder"
// cppName: "casadi::DaeBuilder::add_p"
// cWrapperName: "casadi__DaeBuilder__add_p__1"
// protoArgs: "(std::string ** err_msg, casadi::DaeBuilder* obj, std::string* x0)"
// args: "(x0_)"
// rettype: UserType (Namespace ["casadi"]) (Name "MX")
// cWrapperRetType: "casadi::MX*"
// proto: "casadi::MX*\n    casadi__DaeBuilder__add_p__1(std::string ** err_msg, casadi::DaeBuilder* obj, std::string* x0)"
// call: "        casadi::MX ret = obj->add_p(x0_);"
// params: [(Ref (Const StdString),SwigOutput False)]
extern "C"
casadi::MX*
    casadi__DaeBuilder__add_p__1(std::string ** err_msg, casadi::DaeBuilder* obj, std::string* x0);
casadi::MX*
    casadi__DaeBuilder__add_p__1(std::string ** err_msg, casadi::DaeBuilder* obj, std::string* x0){
    try {
        std::string& x0_ = Marshaling<std::string&,std::string*>::marshal(x0);

        casadi::MX ret = obj->add_p(x0_);
        // x0 is not a swig output

        return WrapReturn< casadi::MX*, casadi::MX >::wrapReturn( ret );
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return 0;
    }
}


// ================== Normal method: "add_p" ===============
// class: "casadi::DaeBuilder"
// cppName: "casadi::DaeBuilder::add_p"
// cWrapperName: "casadi__DaeBuilder__add_p__2"
// protoArgs: "(std::string ** err_msg, casadi::DaeBuilder* obj, std::string* x0, int x1)"
// args: "(x0_, x1_)"
// rettype: UserType (Namespace ["casadi"]) (Name "MX")
// cWrapperRetType: "casadi::MX*"
// proto: "casadi::MX*\n    casadi__DaeBuilder__add_p__2(std::string ** err_msg, casadi::DaeBuilder* obj, std::string* x0, int x1)"
// call: "        casadi::MX ret = obj->add_p(x0_, x1_);"
// params: [(Ref (Const StdString),SwigOutput False),(CInt,SwigOutput False)]
extern "C"
casadi::MX*
    casadi__DaeBuilder__add_p__2(std::string ** err_msg, casadi::DaeBuilder* obj, std::string* x0, int x1);
casadi::MX*
    casadi__DaeBuilder__add_p__2(std::string ** err_msg, casadi::DaeBuilder* obj, std::string* x0, int x1){
    try {
        std::string& x0_ = Marshaling<std::string&,std::string*>::marshal(x0);
        int x1_ = Marshaling<int,int>::marshal(x1);

        casadi::MX ret = obj->add_p(x0_, x1_);
        // x0 is not a swig output
        // x1 is not a swig output

        return WrapReturn< casadi::MX*, casadi::MX >::wrapReturn( ret );
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return 0;
    }
}


// ================== Normal method: "add_q" ===============
// class: "casadi::DaeBuilder"
// cppName: "casadi::DaeBuilder::add_q"
// cWrapperName: "casadi__DaeBuilder__add_q__0"
// protoArgs: "(std::string ** err_msg, casadi::DaeBuilder* obj)"
// args: "()"
// rettype: UserType (Namespace ["casadi"]) (Name "MX")
// cWrapperRetType: "casadi::MX*"
// proto: "casadi::MX*\n    casadi__DaeBuilder__add_q__0(std::string ** err_msg, casadi::DaeBuilder* obj)"
// call: "        casadi::MX ret = obj->add_q();"
// params: []
extern "C"
casadi::MX*
    casadi__DaeBuilder__add_q__0(std::string ** err_msg, casadi::DaeBuilder* obj);
casadi::MX*
    casadi__DaeBuilder__add_q__0(std::string ** err_msg, casadi::DaeBuilder* obj){
    try {

        casadi::MX ret = obj->add_q();

        return WrapReturn< casadi::MX*, casadi::MX >::wrapReturn( ret );
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return 0;
    }
}


// ================== Normal method: "add_q" ===============
// class: "casadi::DaeBuilder"
// cppName: "casadi::DaeBuilder::add_q"
// cWrapperName: "casadi__DaeBuilder__add_q__1"
// protoArgs: "(std::string ** err_msg, casadi::DaeBuilder* obj, std::string* x0)"
// args: "(x0_)"
// rettype: UserType (Namespace ["casadi"]) (Name "MX")
// cWrapperRetType: "casadi::MX*"
// proto: "casadi::MX*\n    casadi__DaeBuilder__add_q__1(std::string ** err_msg, casadi::DaeBuilder* obj, std::string* x0)"
// call: "        casadi::MX ret = obj->add_q(x0_);"
// params: [(Ref (Const StdString),SwigOutput False)]
extern "C"
casadi::MX*
    casadi__DaeBuilder__add_q__1(std::string ** err_msg, casadi::DaeBuilder* obj, std::string* x0);
casadi::MX*
    casadi__DaeBuilder__add_q__1(std::string ** err_msg, casadi::DaeBuilder* obj, std::string* x0){
    try {
        std::string& x0_ = Marshaling<std::string&,std::string*>::marshal(x0);

        casadi::MX ret = obj->add_q(x0_);
        // x0 is not a swig output

        return WrapReturn< casadi::MX*, casadi::MX >::wrapReturn( ret );
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return 0;
    }
}


// ================== Normal method: "add_q" ===============
// class: "casadi::DaeBuilder"
// cppName: "casadi::DaeBuilder::add_q"
// cWrapperName: "casadi__DaeBuilder__add_q__2"
// protoArgs: "(std::string ** err_msg, casadi::DaeBuilder* obj, std::string* x0, int x1)"
// args: "(x0_, x1_)"
// rettype: UserType (Namespace ["casadi"]) (Name "MX")
// cWrapperRetType: "casadi::MX*"
// proto: "casadi::MX*\n    casadi__DaeBuilder__add_q__2(std::string ** err_msg, casadi::DaeBuilder* obj, std::string* x0, int x1)"
// call: "        casadi::MX ret = obj->add_q(x0_, x1_);"
// params: [(Ref (Const StdString),SwigOutput False),(CInt,SwigOutput False)]
extern "C"
casadi::MX*
    casadi__DaeBuilder__add_q__2(std::string ** err_msg, casadi::DaeBuilder* obj, std::string* x0, int x1);
casadi::MX*
    casadi__DaeBuilder__add_q__2(std::string ** err_msg, casadi::DaeBuilder* obj, std::string* x0, int x1){
    try {
        std::string& x0_ = Marshaling<std::string&,std::string*>::marshal(x0);
        int x1_ = Marshaling<int,int>::marshal(x1);

        casadi::MX ret = obj->add_q(x0_, x1_);
        // x0 is not a swig output
        // x1 is not a swig output

        return WrapReturn< casadi::MX*, casadi::MX >::wrapReturn( ret );
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return 0;
    }
}


// ================== Normal method: "add_quad" ===============
// class: "casadi::DaeBuilder"
// cppName: "casadi::DaeBuilder::add_quad"
// cWrapperName: "casadi__DaeBuilder__add_quad__0"
// protoArgs: "(std::string ** err_msg, casadi::DaeBuilder* obj, casadi::MX* x0)"
// args: "(x0_)"
// rettype: CVoid
// cWrapperRetType: "void"
// proto: "void\n    casadi__DaeBuilder__add_quad__0(std::string ** err_msg, casadi::DaeBuilder* obj, casadi::MX* x0)"
// call: "        obj->add_quad(x0_);"
// params: [(Ref (Const (UserType (Namespace ["casadi"]) (Name "MX"))),SwigOutput False)]
extern "C"
void
    casadi__DaeBuilder__add_quad__0(std::string ** err_msg, casadi::DaeBuilder* obj, casadi::MX* x0);
void
    casadi__DaeBuilder__add_quad__0(std::string ** err_msg, casadi::DaeBuilder* obj, casadi::MX* x0){
    try {
        casadi::MX& x0_ = Marshaling<casadi::MX&,casadi::MX*>::marshal(x0);

        obj->add_quad(x0_);
        // x0 is not a swig output

        return;
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return;
    }
}


// ================== Normal method: "add_quad" ===============
// class: "casadi::DaeBuilder"
// cppName: "casadi::DaeBuilder::add_quad"
// cWrapperName: "casadi__DaeBuilder__add_quad__1"
// protoArgs: "(std::string ** err_msg, casadi::DaeBuilder* obj, casadi::MX* x0, std::string* x1)"
// args: "(x0_, x1_)"
// rettype: CVoid
// cWrapperRetType: "void"
// proto: "void\n    casadi__DaeBuilder__add_quad__1(std::string ** err_msg, casadi::DaeBuilder* obj, casadi::MX* x0, std::string* x1)"
// call: "        obj->add_quad(x0_, x1_);"
// params: [(Ref (Const (UserType (Namespace ["casadi"]) (Name "MX"))),SwigOutput False),(Ref (Const StdString),SwigOutput False)]
extern "C"
void
    casadi__DaeBuilder__add_quad__1(std::string ** err_msg, casadi::DaeBuilder* obj, casadi::MX* x0, std::string* x1);
void
    casadi__DaeBuilder__add_quad__1(std::string ** err_msg, casadi::DaeBuilder* obj, casadi::MX* x0, std::string* x1){
    try {
        casadi::MX& x0_ = Marshaling<casadi::MX&,casadi::MX*>::marshal(x0);
        std::string& x1_ = Marshaling<std::string&,std::string*>::marshal(x1);

        obj->add_quad(x0_, x1_);
        // x0 is not a swig output
        // x1 is not a swig output

        return;
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return;
    }
}


// ================== Normal method: "add_s" ===============
// class: "casadi::DaeBuilder"
// cppName: "casadi::DaeBuilder::add_s"
// cWrapperName: "casadi__DaeBuilder__add_s__0"
// protoArgs: "(std::string ** err_msg, casadi::DaeBuilder* obj)"
// args: "()"
// rettype: StdPair (UserType (Namespace ["casadi"]) (Name "MX")) (UserType (Namespace ["casadi"]) (Name "MX"))
// cWrapperRetType: "std::pair< casadi::MX*, casadi::MX* >*"
// proto: "std::pair< casadi::MX*, casadi::MX* >*\n    casadi__DaeBuilder__add_s__0(std::string ** err_msg, casadi::DaeBuilder* obj)"
// call: "        std::pair< casadi::MX, casadi::MX > ret = obj->add_s();"
// params: []
extern "C"
std::pair< casadi::MX*, casadi::MX* >*
    casadi__DaeBuilder__add_s__0(std::string ** err_msg, casadi::DaeBuilder* obj);
std::pair< casadi::MX*, casadi::MX* >*
    casadi__DaeBuilder__add_s__0(std::string ** err_msg, casadi::DaeBuilder* obj){
    try {

        std::pair< casadi::MX, casadi::MX > ret = obj->add_s();

        return WrapReturn< std::pair< casadi::MX*, casadi::MX* >*, std::pair< casadi::MX, casadi::MX > >::wrapReturn( ret );
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return 0;
    }
}


// ================== Normal method: "add_s" ===============
// class: "casadi::DaeBuilder"
// cppName: "casadi::DaeBuilder::add_s"
// cWrapperName: "casadi__DaeBuilder__add_s__1"
// protoArgs: "(std::string ** err_msg, casadi::DaeBuilder* obj, std::string* x0)"
// args: "(x0_)"
// rettype: StdPair (UserType (Namespace ["casadi"]) (Name "MX")) (UserType (Namespace ["casadi"]) (Name "MX"))
// cWrapperRetType: "std::pair< casadi::MX*, casadi::MX* >*"
// proto: "std::pair< casadi::MX*, casadi::MX* >*\n    casadi__DaeBuilder__add_s__1(std::string ** err_msg, casadi::DaeBuilder* obj, std::string* x0)"
// call: "        std::pair< casadi::MX, casadi::MX > ret = obj->add_s(x0_);"
// params: [(Ref (Const StdString),SwigOutput False)]
extern "C"
std::pair< casadi::MX*, casadi::MX* >*
    casadi__DaeBuilder__add_s__1(std::string ** err_msg, casadi::DaeBuilder* obj, std::string* x0);
std::pair< casadi::MX*, casadi::MX* >*
    casadi__DaeBuilder__add_s__1(std::string ** err_msg, casadi::DaeBuilder* obj, std::string* x0){
    try {
        std::string& x0_ = Marshaling<std::string&,std::string*>::marshal(x0);

        std::pair< casadi::MX, casadi::MX > ret = obj->add_s(x0_);
        // x0 is not a swig output

        return WrapReturn< std::pair< casadi::MX*, casadi::MX* >*, std::pair< casadi::MX, casadi::MX > >::wrapReturn( ret );
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return 0;
    }
}


// ================== Normal method: "add_s" ===============
// class: "casadi::DaeBuilder"
// cppName: "casadi::DaeBuilder::add_s"
// cWrapperName: "casadi__DaeBuilder__add_s__2"
// protoArgs: "(std::string ** err_msg, casadi::DaeBuilder* obj, std::string* x0, int x1)"
// args: "(x0_, x1_)"
// rettype: StdPair (UserType (Namespace ["casadi"]) (Name "MX")) (UserType (Namespace ["casadi"]) (Name "MX"))
// cWrapperRetType: "std::pair< casadi::MX*, casadi::MX* >*"
// proto: "std::pair< casadi::MX*, casadi::MX* >*\n    casadi__DaeBuilder__add_s__2(std::string ** err_msg, casadi::DaeBuilder* obj, std::string* x0, int x1)"
// call: "        std::pair< casadi::MX, casadi::MX > ret = obj->add_s(x0_, x1_);"
// params: [(Ref (Const StdString),SwigOutput False),(CInt,SwigOutput False)]
extern "C"
std::pair< casadi::MX*, casadi::MX* >*
    casadi__DaeBuilder__add_s__2(std::string ** err_msg, casadi::DaeBuilder* obj, std::string* x0, int x1);
std::pair< casadi::MX*, casadi::MX* >*
    casadi__DaeBuilder__add_s__2(std::string ** err_msg, casadi::DaeBuilder* obj, std::string* x0, int x1){
    try {
        std::string& x0_ = Marshaling<std::string&,std::string*>::marshal(x0);
        int x1_ = Marshaling<int,int>::marshal(x1);

        std::pair< casadi::MX, casadi::MX > ret = obj->add_s(x0_, x1_);
        // x0 is not a swig output
        // x1 is not a swig output

        return WrapReturn< std::pair< casadi::MX*, casadi::MX* >*, std::pair< casadi::MX, casadi::MX > >::wrapReturn( ret );
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return 0;
    }
}


// ================== Normal method: "add_u" ===============
// class: "casadi::DaeBuilder"
// cppName: "casadi::DaeBuilder::add_u"
// cWrapperName: "casadi__DaeBuilder__add_u__0"
// protoArgs: "(std::string ** err_msg, casadi::DaeBuilder* obj)"
// args: "()"
// rettype: UserType (Namespace ["casadi"]) (Name "MX")
// cWrapperRetType: "casadi::MX*"
// proto: "casadi::MX*\n    casadi__DaeBuilder__add_u__0(std::string ** err_msg, casadi::DaeBuilder* obj)"
// call: "        casadi::MX ret = obj->add_u();"
// params: []
extern "C"
casadi::MX*
    casadi__DaeBuilder__add_u__0(std::string ** err_msg, casadi::DaeBuilder* obj);
casadi::MX*
    casadi__DaeBuilder__add_u__0(std::string ** err_msg, casadi::DaeBuilder* obj){
    try {

        casadi::MX ret = obj->add_u();

        return WrapReturn< casadi::MX*, casadi::MX >::wrapReturn( ret );
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return 0;
    }
}


// ================== Normal method: "add_u" ===============
// class: "casadi::DaeBuilder"
// cppName: "casadi::DaeBuilder::add_u"
// cWrapperName: "casadi__DaeBuilder__add_u__1"
// protoArgs: "(std::string ** err_msg, casadi::DaeBuilder* obj, std::string* x0)"
// args: "(x0_)"
// rettype: UserType (Namespace ["casadi"]) (Name "MX")
// cWrapperRetType: "casadi::MX*"
// proto: "casadi::MX*\n    casadi__DaeBuilder__add_u__1(std::string ** err_msg, casadi::DaeBuilder* obj, std::string* x0)"
// call: "        casadi::MX ret = obj->add_u(x0_);"
// params: [(Ref (Const StdString),SwigOutput False)]
extern "C"
casadi::MX*
    casadi__DaeBuilder__add_u__1(std::string ** err_msg, casadi::DaeBuilder* obj, std::string* x0);
casadi::MX*
    casadi__DaeBuilder__add_u__1(std::string ** err_msg, casadi::DaeBuilder* obj, std::string* x0){
    try {
        std::string& x0_ = Marshaling<std::string&,std::string*>::marshal(x0);

        casadi::MX ret = obj->add_u(x0_);
        // x0 is not a swig output

        return WrapReturn< casadi::MX*, casadi::MX >::wrapReturn( ret );
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return 0;
    }
}


// ================== Normal method: "add_u" ===============
// class: "casadi::DaeBuilder"
// cppName: "casadi::DaeBuilder::add_u"
// cWrapperName: "casadi__DaeBuilder__add_u__2"
// protoArgs: "(std::string ** err_msg, casadi::DaeBuilder* obj, std::string* x0, int x1)"
// args: "(x0_, x1_)"
// rettype: UserType (Namespace ["casadi"]) (Name "MX")
// cWrapperRetType: "casadi::MX*"
// proto: "casadi::MX*\n    casadi__DaeBuilder__add_u__2(std::string ** err_msg, casadi::DaeBuilder* obj, std::string* x0, int x1)"
// call: "        casadi::MX ret = obj->add_u(x0_, x1_);"
// params: [(Ref (Const StdString),SwigOutput False),(CInt,SwigOutput False)]
extern "C"
casadi::MX*
    casadi__DaeBuilder__add_u__2(std::string ** err_msg, casadi::DaeBuilder* obj, std::string* x0, int x1);
casadi::MX*
    casadi__DaeBuilder__add_u__2(std::string ** err_msg, casadi::DaeBuilder* obj, std::string* x0, int x1){
    try {
        std::string& x0_ = Marshaling<std::string&,std::string*>::marshal(x0);
        int x1_ = Marshaling<int,int>::marshal(x1);

        casadi::MX ret = obj->add_u(x0_, x1_);
        // x0 is not a swig output
        // x1 is not a swig output

        return WrapReturn< casadi::MX*, casadi::MX >::wrapReturn( ret );
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return 0;
    }
}


// ================== Normal method: "add_variable" ===============
// class: "casadi::DaeBuilder"
// cppName: "casadi::DaeBuilder::add_variable"
// cWrapperName: "casadi__DaeBuilder__add_variable__0"
// protoArgs: "(std::string ** err_msg, casadi::DaeBuilder* obj, std::string* x0, casadi::Sparsity* x1)"
// args: "(x0_, x1_)"
// rettype: UserType (Namespace ["casadi"]) (Name "MX")
// cWrapperRetType: "casadi::MX*"
// proto: "casadi::MX*\n    casadi__DaeBuilder__add_variable__0(std::string ** err_msg, casadi::DaeBuilder* obj, std::string* x0, casadi::Sparsity* x1)"
// call: "        casadi::MX ret = obj->add_variable(x0_, x1_);"
// params: [(Ref (Const StdString),SwigOutput False),(Ref (Const (UserType (Namespace ["casadi"]) (Name "Sparsity"))),SwigOutput False)]
extern "C"
casadi::MX*
    casadi__DaeBuilder__add_variable__0(std::string ** err_msg, casadi::DaeBuilder* obj, std::string* x0, casadi::Sparsity* x1);
casadi::MX*
    casadi__DaeBuilder__add_variable__0(std::string ** err_msg, casadi::DaeBuilder* obj, std::string* x0, casadi::Sparsity* x1){
    try {
        std::string& x0_ = Marshaling<std::string&,std::string*>::marshal(x0);
        casadi::Sparsity& x1_ = Marshaling<casadi::Sparsity&,casadi::Sparsity*>::marshal(x1);

        casadi::MX ret = obj->add_variable(x0_, x1_);
        // x0 is not a swig output
        // x1 is not a swig output

        return WrapReturn< casadi::MX*, casadi::MX >::wrapReturn( ret );
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return 0;
    }
}


// ================== Normal method: "add_variable" ===============
// class: "casadi::DaeBuilder"
// cppName: "casadi::DaeBuilder::add_variable"
// cWrapperName: "casadi__DaeBuilder__add_variable__1"
// protoArgs: "(std::string ** err_msg, casadi::DaeBuilder* obj, std::string* x0)"
// args: "(x0_)"
// rettype: UserType (Namespace ["casadi"]) (Name "MX")
// cWrapperRetType: "casadi::MX*"
// proto: "casadi::MX*\n    casadi__DaeBuilder__add_variable__1(std::string ** err_msg, casadi::DaeBuilder* obj, std::string* x0)"
// call: "        casadi::MX ret = obj->add_variable(x0_);"
// params: [(Ref (Const StdString),SwigOutput False)]
extern "C"
casadi::MX*
    casadi__DaeBuilder__add_variable__1(std::string ** err_msg, casadi::DaeBuilder* obj, std::string* x0);
casadi::MX*
    casadi__DaeBuilder__add_variable__1(std::string ** err_msg, casadi::DaeBuilder* obj, std::string* x0){
    try {
        std::string& x0_ = Marshaling<std::string&,std::string*>::marshal(x0);

        casadi::MX ret = obj->add_variable(x0_);
        // x0 is not a swig output

        return WrapReturn< casadi::MX*, casadi::MX >::wrapReturn( ret );
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return 0;
    }
}


// ================== Normal method: "add_variable" ===============
// class: "casadi::DaeBuilder"
// cppName: "casadi::DaeBuilder::add_variable"
// cWrapperName: "casadi__DaeBuilder__add_variable__2"
// protoArgs: "(std::string ** err_msg, casadi::DaeBuilder* obj, std::string* x0, int x1)"
// args: "(x0_, x1_)"
// rettype: UserType (Namespace ["casadi"]) (Name "MX")
// cWrapperRetType: "casadi::MX*"
// proto: "casadi::MX*\n    casadi__DaeBuilder__add_variable__2(std::string ** err_msg, casadi::DaeBuilder* obj, std::string* x0, int x1)"
// call: "        casadi::MX ret = obj->add_variable(x0_, x1_);"
// params: [(Ref (Const StdString),SwigOutput False),(CInt,SwigOutput False)]
extern "C"
casadi::MX*
    casadi__DaeBuilder__add_variable__2(std::string ** err_msg, casadi::DaeBuilder* obj, std::string* x0, int x1);
casadi::MX*
    casadi__DaeBuilder__add_variable__2(std::string ** err_msg, casadi::DaeBuilder* obj, std::string* x0, int x1){
    try {
        std::string& x0_ = Marshaling<std::string&,std::string*>::marshal(x0);
        int x1_ = Marshaling<int,int>::marshal(x1);

        casadi::MX ret = obj->add_variable(x0_, x1_);
        // x0 is not a swig output
        // x1 is not a swig output

        return WrapReturn< casadi::MX*, casadi::MX >::wrapReturn( ret );
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return 0;
    }
}


// ================== Normal method: "add_variable" ===============
// class: "casadi::DaeBuilder"
// cppName: "casadi::DaeBuilder::add_variable"
// cWrapperName: "casadi__DaeBuilder__add_variable__3"
// protoArgs: "(std::string ** err_msg, casadi::DaeBuilder* obj, std::string* x0, casadi::Variable* x1)"
// args: "(x0_, x1_)"
// rettype: CVoid
// cWrapperRetType: "void"
// proto: "void\n    casadi__DaeBuilder__add_variable__3(std::string ** err_msg, casadi::DaeBuilder* obj, std::string* x0, casadi::Variable* x1)"
// call: "        obj->add_variable(x0_, x1_);"
// params: [(Ref (Const StdString),SwigOutput False),(Ref (Const (UserType (Namespace ["casadi"]) (Name "Variable"))),SwigOutput False)]
extern "C"
void
    casadi__DaeBuilder__add_variable__3(std::string ** err_msg, casadi::DaeBuilder* obj, std::string* x0, casadi::Variable* x1);
void
    casadi__DaeBuilder__add_variable__3(std::string ** err_msg, casadi::DaeBuilder* obj, std::string* x0, casadi::Variable* x1){
    try {
        std::string& x0_ = Marshaling<std::string&,std::string*>::marshal(x0);
        casadi::Variable& x1_ = Marshaling<casadi::Variable&,casadi::Variable*>::marshal(x1);

        obj->add_variable(x0_, x1_);
        // x0 is not a swig output
        // x1 is not a swig output

        return;
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return;
    }
}


// ================== Normal method: "add_x" ===============
// class: "casadi::DaeBuilder"
// cppName: "casadi::DaeBuilder::add_x"
// cWrapperName: "casadi__DaeBuilder__add_x__0"
// protoArgs: "(std::string ** err_msg, casadi::DaeBuilder* obj)"
// args: "()"
// rettype: UserType (Namespace ["casadi"]) (Name "MX")
// cWrapperRetType: "casadi::MX*"
// proto: "casadi::MX*\n    casadi__DaeBuilder__add_x__0(std::string ** err_msg, casadi::DaeBuilder* obj)"
// call: "        casadi::MX ret = obj->add_x();"
// params: []
extern "C"
casadi::MX*
    casadi__DaeBuilder__add_x__0(std::string ** err_msg, casadi::DaeBuilder* obj);
casadi::MX*
    casadi__DaeBuilder__add_x__0(std::string ** err_msg, casadi::DaeBuilder* obj){
    try {

        casadi::MX ret = obj->add_x();

        return WrapReturn< casadi::MX*, casadi::MX >::wrapReturn( ret );
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return 0;
    }
}


// ================== Normal method: "add_x" ===============
// class: "casadi::DaeBuilder"
// cppName: "casadi::DaeBuilder::add_x"
// cWrapperName: "casadi__DaeBuilder__add_x__1"
// protoArgs: "(std::string ** err_msg, casadi::DaeBuilder* obj, std::string* x0)"
// args: "(x0_)"
// rettype: UserType (Namespace ["casadi"]) (Name "MX")
// cWrapperRetType: "casadi::MX*"
// proto: "casadi::MX*\n    casadi__DaeBuilder__add_x__1(std::string ** err_msg, casadi::DaeBuilder* obj, std::string* x0)"
// call: "        casadi::MX ret = obj->add_x(x0_);"
// params: [(Ref (Const StdString),SwigOutput False)]
extern "C"
casadi::MX*
    casadi__DaeBuilder__add_x__1(std::string ** err_msg, casadi::DaeBuilder* obj, std::string* x0);
casadi::MX*
    casadi__DaeBuilder__add_x__1(std::string ** err_msg, casadi::DaeBuilder* obj, std::string* x0){
    try {
        std::string& x0_ = Marshaling<std::string&,std::string*>::marshal(x0);

        casadi::MX ret = obj->add_x(x0_);
        // x0 is not a swig output

        return WrapReturn< casadi::MX*, casadi::MX >::wrapReturn( ret );
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return 0;
    }
}


// ================== Normal method: "add_x" ===============
// class: "casadi::DaeBuilder"
// cppName: "casadi::DaeBuilder::add_x"
// cWrapperName: "casadi__DaeBuilder__add_x__2"
// protoArgs: "(std::string ** err_msg, casadi::DaeBuilder* obj, std::string* x0, int x1)"
// args: "(x0_, x1_)"
// rettype: UserType (Namespace ["casadi"]) (Name "MX")
// cWrapperRetType: "casadi::MX*"
// proto: "casadi::MX*\n    casadi__DaeBuilder__add_x__2(std::string ** err_msg, casadi::DaeBuilder* obj, std::string* x0, int x1)"
// call: "        casadi::MX ret = obj->add_x(x0_, x1_);"
// params: [(Ref (Const StdString),SwigOutput False),(CInt,SwigOutput False)]
extern "C"
casadi::MX*
    casadi__DaeBuilder__add_x__2(std::string ** err_msg, casadi::DaeBuilder* obj, std::string* x0, int x1);
casadi::MX*
    casadi__DaeBuilder__add_x__2(std::string ** err_msg, casadi::DaeBuilder* obj, std::string* x0, int x1){
    try {
        std::string& x0_ = Marshaling<std::string&,std::string*>::marshal(x0);
        int x1_ = Marshaling<int,int>::marshal(x1);

        casadi::MX ret = obj->add_x(x0_, x1_);
        // x0 is not a swig output
        // x1 is not a swig output

        return WrapReturn< casadi::MX*, casadi::MX >::wrapReturn( ret );
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return 0;
    }
}


// ================== Normal method: "add_y" ===============
// class: "casadi::DaeBuilder"
// cppName: "casadi::DaeBuilder::add_y"
// cWrapperName: "casadi__DaeBuilder__add_y__0"
// protoArgs: "(std::string ** err_msg, casadi::DaeBuilder* obj, casadi::MX* x0)"
// args: "(x0_)"
// rettype: UserType (Namespace ["casadi"]) (Name "MX")
// cWrapperRetType: "casadi::MX*"
// proto: "casadi::MX*\n    casadi__DaeBuilder__add_y__0(std::string ** err_msg, casadi::DaeBuilder* obj, casadi::MX* x0)"
// call: "        casadi::MX ret = obj->add_y(x0_);"
// params: [(Ref (Const (UserType (Namespace ["casadi"]) (Name "MX"))),SwigOutput False)]
extern "C"
casadi::MX*
    casadi__DaeBuilder__add_y__0(std::string ** err_msg, casadi::DaeBuilder* obj, casadi::MX* x0);
casadi::MX*
    casadi__DaeBuilder__add_y__0(std::string ** err_msg, casadi::DaeBuilder* obj, casadi::MX* x0){
    try {
        casadi::MX& x0_ = Marshaling<casadi::MX&,casadi::MX*>::marshal(x0);

        casadi::MX ret = obj->add_y(x0_);
        // x0 is not a swig output

        return WrapReturn< casadi::MX*, casadi::MX >::wrapReturn( ret );
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return 0;
    }
}


// ================== Normal method: "add_y" ===============
// class: "casadi::DaeBuilder"
// cppName: "casadi::DaeBuilder::add_y"
// cWrapperName: "casadi__DaeBuilder__add_y__1"
// protoArgs: "(std::string ** err_msg, casadi::DaeBuilder* obj, casadi::MX* x0, std::string* x1)"
// args: "(x0_, x1_)"
// rettype: UserType (Namespace ["casadi"]) (Name "MX")
// cWrapperRetType: "casadi::MX*"
// proto: "casadi::MX*\n    casadi__DaeBuilder__add_y__1(std::string ** err_msg, casadi::DaeBuilder* obj, casadi::MX* x0, std::string* x1)"
// call: "        casadi::MX ret = obj->add_y(x0_, x1_);"
// params: [(Ref (Const (UserType (Namespace ["casadi"]) (Name "MX"))),SwigOutput False),(Ref (Const StdString),SwigOutput False)]
extern "C"
casadi::MX*
    casadi__DaeBuilder__add_y__1(std::string ** err_msg, casadi::DaeBuilder* obj, casadi::MX* x0, std::string* x1);
casadi::MX*
    casadi__DaeBuilder__add_y__1(std::string ** err_msg, casadi::DaeBuilder* obj, casadi::MX* x0, std::string* x1){
    try {
        casadi::MX& x0_ = Marshaling<casadi::MX&,casadi::MX*>::marshal(x0);
        std::string& x1_ = Marshaling<std::string&,std::string*>::marshal(x1);

        casadi::MX ret = obj->add_y(x0_, x1_);
        // x0 is not a swig output
        // x1 is not a swig output

        return WrapReturn< casadi::MX*, casadi::MX >::wrapReturn( ret );
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return 0;
    }
}


// ================== Normal method: "add_z" ===============
// class: "casadi::DaeBuilder"
// cppName: "casadi::DaeBuilder::add_z"
// cWrapperName: "casadi__DaeBuilder__add_z__0"
// protoArgs: "(std::string ** err_msg, casadi::DaeBuilder* obj)"
// args: "()"
// rettype: UserType (Namespace ["casadi"]) (Name "MX")
// cWrapperRetType: "casadi::MX*"
// proto: "casadi::MX*\n    casadi__DaeBuilder__add_z__0(std::string ** err_msg, casadi::DaeBuilder* obj)"
// call: "        casadi::MX ret = obj->add_z();"
// params: []
extern "C"
casadi::MX*
    casadi__DaeBuilder__add_z__0(std::string ** err_msg, casadi::DaeBuilder* obj);
casadi::MX*
    casadi__DaeBuilder__add_z__0(std::string ** err_msg, casadi::DaeBuilder* obj){
    try {

        casadi::MX ret = obj->add_z();

        return WrapReturn< casadi::MX*, casadi::MX >::wrapReturn( ret );
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return 0;
    }
}


// ================== Normal method: "add_z" ===============
// class: "casadi::DaeBuilder"
// cppName: "casadi::DaeBuilder::add_z"
// cWrapperName: "casadi__DaeBuilder__add_z__1"
// protoArgs: "(std::string ** err_msg, casadi::DaeBuilder* obj, std::string* x0)"
// args: "(x0_)"
// rettype: UserType (Namespace ["casadi"]) (Name "MX")
// cWrapperRetType: "casadi::MX*"
// proto: "casadi::MX*\n    casadi__DaeBuilder__add_z__1(std::string ** err_msg, casadi::DaeBuilder* obj, std::string* x0)"
// call: "        casadi::MX ret = obj->add_z(x0_);"
// params: [(Ref (Const StdString),SwigOutput False)]
extern "C"
casadi::MX*
    casadi__DaeBuilder__add_z__1(std::string ** err_msg, casadi::DaeBuilder* obj, std::string* x0);
casadi::MX*
    casadi__DaeBuilder__add_z__1(std::string ** err_msg, casadi::DaeBuilder* obj, std::string* x0){
    try {
        std::string& x0_ = Marshaling<std::string&,std::string*>::marshal(x0);

        casadi::MX ret = obj->add_z(x0_);
        // x0 is not a swig output

        return WrapReturn< casadi::MX*, casadi::MX >::wrapReturn( ret );
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return 0;
    }
}


// ================== Normal method: "add_z" ===============
// class: "casadi::DaeBuilder"
// cppName: "casadi::DaeBuilder::add_z"
// cWrapperName: "casadi__DaeBuilder__add_z__2"
// protoArgs: "(std::string ** err_msg, casadi::DaeBuilder* obj, std::string* x0, int x1)"
// args: "(x0_, x1_)"
// rettype: UserType (Namespace ["casadi"]) (Name "MX")
// cWrapperRetType: "casadi::MX*"
// proto: "casadi::MX*\n    casadi__DaeBuilder__add_z__2(std::string ** err_msg, casadi::DaeBuilder* obj, std::string* x0, int x1)"
// call: "        casadi::MX ret = obj->add_z(x0_, x1_);"
// params: [(Ref (Const StdString),SwigOutput False),(CInt,SwigOutput False)]
extern "C"
casadi::MX*
    casadi__DaeBuilder__add_z__2(std::string ** err_msg, casadi::DaeBuilder* obj, std::string* x0, int x1);
casadi::MX*
    casadi__DaeBuilder__add_z__2(std::string ** err_msg, casadi::DaeBuilder* obj, std::string* x0, int x1){
    try {
        std::string& x0_ = Marshaling<std::string&,std::string*>::marshal(x0);
        int x1_ = Marshaling<int,int>::marshal(x1);

        casadi::MX ret = obj->add_z(x0_, x1_);
        // x0 is not a swig output
        // x1 is not a swig output

        return WrapReturn< casadi::MX*, casadi::MX >::wrapReturn( ret );
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return 0;
    }
}


// ================== Normal method: "create" ===============
// class: "casadi::DaeBuilder"
// cppName: "casadi::DaeBuilder::create"
// cWrapperName: "casadi__DaeBuilder__create"
// protoArgs: "(std::string ** err_msg, casadi::DaeBuilder* obj, std::string* x0, std::vector< std::string* >* x1, std::vector< std::string* >* x2)"
// args: "(x0_, x1_, x2_)"
// rettype: UserType (Namespace ["casadi"]) (Name "Function")
// cWrapperRetType: "casadi::Function*"
// proto: "casadi::Function*\n    casadi__DaeBuilder__create(std::string ** err_msg, casadi::DaeBuilder* obj, std::string* x0, std::vector< std::string* >* x1, std::vector< std::string* >* x2)"
// call: "        casadi::Function ret = obj->create(x0_, x1_, x2_);"
// params: [(Ref (Const StdString),SwigOutput False),(Ref (Const (StdVec StdString)),SwigOutput False),(Ref (Const (StdVec StdString)),SwigOutput False)]
extern "C"
casadi::Function*
    casadi__DaeBuilder__create(std::string ** err_msg, casadi::DaeBuilder* obj, std::string* x0, std::vector< std::string* >* x1, std::vector< std::string* >* x2);
casadi::Function*
    casadi__DaeBuilder__create(std::string ** err_msg, casadi::DaeBuilder* obj, std::string* x0, std::vector< std::string* >* x1, std::vector< std::string* >* x2){
    try {
        std::string& x0_ = Marshaling<std::string&,std::string*>::marshal(x0);
        std::vector< std::string > x1_ = Marshaling<std::vector< std::string >,std::vector< std::string* >*>::marshal(x1);
        std::vector< std::string > x2_ = Marshaling<std::vector< std::string >,std::vector< std::string* >*>::marshal(x2);

        casadi::Function ret = obj->create(x0_, x1_, x2_);
        // x0 is not a swig output
        // x1 is not a swig output
        // x2 is not a swig output

        return WrapReturn< casadi::Function*, casadi::Function >::wrapReturn( ret );
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return 0;
    }
}


// ================== Normal method: "der" ===============
// class: "casadi::DaeBuilder"
// cppName: "casadi::DaeBuilder::der"
// cWrapperName: "casadi__DaeBuilder__der__0"
// protoArgs: "(std::string ** err_msg, casadi::DaeBuilder* obj, casadi::MX* x0)"
// args: "(x0_)"
// rettype: UserType (Namespace ["casadi"]) (Name "MX")
// cWrapperRetType: "casadi::MX*"
// proto: "casadi::MX*\n    casadi__DaeBuilder__der__0(std::string ** err_msg, casadi::DaeBuilder* obj, casadi::MX* x0)"
// call: "        casadi::MX ret = obj->der(x0_);"
// params: [(Ref (Const (UserType (Namespace ["casadi"]) (Name "MX"))),SwigOutput False)]
extern "C"
casadi::MX*
    casadi__DaeBuilder__der__0(std::string ** err_msg, casadi::DaeBuilder* obj, casadi::MX* x0);
casadi::MX*
    casadi__DaeBuilder__der__0(std::string ** err_msg, casadi::DaeBuilder* obj, casadi::MX* x0){
    try {
        casadi::MX& x0_ = Marshaling<casadi::MX&,casadi::MX*>::marshal(x0);

        casadi::MX ret = obj->der(x0_);
        // x0 is not a swig output

        return WrapReturn< casadi::MX*, casadi::MX >::wrapReturn( ret );
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return 0;
    }
}


// ================== Normal method: "der" ===============
// class: "casadi::DaeBuilder"
// cppName: "casadi::DaeBuilder::der"
// cWrapperName: "casadi__DaeBuilder__der__1"
// protoArgs: "(std::string ** err_msg, casadi::DaeBuilder* obj, std::string* x0)"
// args: "(x0_)"
// rettype: UserType (Namespace ["casadi"]) (Name "MX")
// cWrapperRetType: "casadi::MX*"
// proto: "casadi::MX*\n    casadi__DaeBuilder__der__1(std::string ** err_msg, casadi::DaeBuilder* obj, std::string* x0)"
// call: "        casadi::MX ret = obj->der(x0_);"
// params: [(Ref (Const StdString),SwigOutput False)]
extern "C"
casadi::MX*
    casadi__DaeBuilder__der__1(std::string ** err_msg, casadi::DaeBuilder* obj, std::string* x0);
casadi::MX*
    casadi__DaeBuilder__der__1(std::string ** err_msg, casadi::DaeBuilder* obj, std::string* x0){
    try {
        std::string& x0_ = Marshaling<std::string&,std::string*>::marshal(x0);

        casadi::MX ret = obj->der(x0_);
        // x0 is not a swig output

        return WrapReturn< casadi::MX*, casadi::MX >::wrapReturn( ret );
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return 0;
    }
}


// ================== Normal method: "derivative_start" ===============
// class: "casadi::DaeBuilder"
// cppName: "casadi::DaeBuilder::derivative_start"
// cWrapperName: "casadi__DaeBuilder__derivative_start__0"
// protoArgs: "(std::string ** err_msg, casadi::DaeBuilder* obj, casadi::MX* x0)"
// args: "(x0_)"
// rettype: StdVec CDouble
// cWrapperRetType: "std::vector< double >*"
// proto: "std::vector< double >*\n    casadi__DaeBuilder__derivative_start__0(std::string ** err_msg, casadi::DaeBuilder* obj, casadi::MX* x0)"
// call: "        std::vector< double > ret = obj->derivative_start(x0_);"
// params: [(Ref (Const (UserType (Namespace ["casadi"]) (Name "MX"))),SwigOutput False)]
extern "C"
std::vector< double >*
    casadi__DaeBuilder__derivative_start__0(std::string ** err_msg, casadi::DaeBuilder* obj, casadi::MX* x0);
std::vector< double >*
    casadi__DaeBuilder__derivative_start__0(std::string ** err_msg, casadi::DaeBuilder* obj, casadi::MX* x0){
    try {
        casadi::MX& x0_ = Marshaling<casadi::MX&,casadi::MX*>::marshal(x0);

        std::vector< double > ret = obj->derivative_start(x0_);
        // x0 is not a swig output

        return WrapReturn< std::vector< double >*, std::vector< double > >::wrapReturn( ret );
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return 0;
    }
}


// ================== Normal method: "derivative_start" ===============
// class: "casadi::DaeBuilder"
// cppName: "casadi::DaeBuilder::derivative_start"
// cWrapperName: "casadi__DaeBuilder__derivative_start__1"
// protoArgs: "(std::string ** err_msg, casadi::DaeBuilder* obj, casadi::MX* x0, int x1)"
// args: "(x0_, x1_)"
// rettype: StdVec CDouble
// cWrapperRetType: "std::vector< double >*"
// proto: "std::vector< double >*\n    casadi__DaeBuilder__derivative_start__1(std::string ** err_msg, casadi::DaeBuilder* obj, casadi::MX* x0, int x1)"
// call: "        std::vector< double > ret = obj->derivative_start(x0_, x1_);"
// params: [(Ref (Const (UserType (Namespace ["casadi"]) (Name "MX"))),SwigOutput False),(CBool,SwigOutput False)]
extern "C"
std::vector< double >*
    casadi__DaeBuilder__derivative_start__1(std::string ** err_msg, casadi::DaeBuilder* obj, casadi::MX* x0, int x1);
std::vector< double >*
    casadi__DaeBuilder__derivative_start__1(std::string ** err_msg, casadi::DaeBuilder* obj, casadi::MX* x0, int x1){
    try {
        casadi::MX& x0_ = Marshaling<casadi::MX&,casadi::MX*>::marshal(x0);
        bool x1_ = Marshaling<bool,int>::marshal(x1);

        std::vector< double > ret = obj->derivative_start(x0_, x1_);
        // x0 is not a swig output
        // x1 is not a swig output

        return WrapReturn< std::vector< double >*, std::vector< double > >::wrapReturn( ret );
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return 0;
    }
}


// ================== Normal method: "derivative_start" ===============
// class: "casadi::DaeBuilder"
// cppName: "casadi::DaeBuilder::derivative_start"
// cWrapperName: "casadi__DaeBuilder__derivative_start__2"
// protoArgs: "(std::string ** err_msg, casadi::DaeBuilder* obj, std::string* x0)"
// args: "(x0_)"
// rettype: CDouble
// cWrapperRetType: "double"
// proto: "double\n    casadi__DaeBuilder__derivative_start__2(std::string ** err_msg, casadi::DaeBuilder* obj, std::string* x0)"
// call: "        double ret = obj->derivative_start(x0_);"
// params: [(Ref (Const StdString),SwigOutput False)]
extern "C"
double
    casadi__DaeBuilder__derivative_start__2(std::string ** err_msg, casadi::DaeBuilder* obj, std::string* x0);
double
    casadi__DaeBuilder__derivative_start__2(std::string ** err_msg, casadi::DaeBuilder* obj, std::string* x0){
    try {
        std::string& x0_ = Marshaling<std::string&,std::string*>::marshal(x0);

        double ret = obj->derivative_start(x0_);
        // x0 is not a swig output

        return WrapReturn< double, double >::wrapReturn( ret );
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return 0;
    }
}


// ================== Normal method: "derivative_start" ===============
// class: "casadi::DaeBuilder"
// cppName: "casadi::DaeBuilder::derivative_start"
// cWrapperName: "casadi__DaeBuilder__derivative_start__3"
// protoArgs: "(std::string ** err_msg, casadi::DaeBuilder* obj, std::string* x0, int x1)"
// args: "(x0_, x1_)"
// rettype: CDouble
// cWrapperRetType: "double"
// proto: "double\n    casadi__DaeBuilder__derivative_start__3(std::string ** err_msg, casadi::DaeBuilder* obj, std::string* x0, int x1)"
// call: "        double ret = obj->derivative_start(x0_, x1_);"
// params: [(Ref (Const StdString),SwigOutput False),(CBool,SwigOutput False)]
extern "C"
double
    casadi__DaeBuilder__derivative_start__3(std::string ** err_msg, casadi::DaeBuilder* obj, std::string* x0, int x1);
double
    casadi__DaeBuilder__derivative_start__3(std::string ** err_msg, casadi::DaeBuilder* obj, std::string* x0, int x1){
    try {
        std::string& x0_ = Marshaling<std::string&,std::string*>::marshal(x0);
        bool x1_ = Marshaling<bool,int>::marshal(x1);

        double ret = obj->derivative_start(x0_, x1_);
        // x0 is not a swig output
        // x1 is not a swig output

        return WrapReturn< double, double >::wrapReturn( ret );
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return 0;
    }
}


// ================== Normal method: "eliminate_alg" ===============
// class: "casadi::DaeBuilder"
// cppName: "casadi::DaeBuilder::eliminate_alg"
// cWrapperName: "casadi__DaeBuilder__eliminate_alg"
// protoArgs: "(std::string ** err_msg, casadi::DaeBuilder* obj)"
// args: "()"
// rettype: CVoid
// cWrapperRetType: "void"
// proto: "void\n    casadi__DaeBuilder__eliminate_alg(std::string ** err_msg, casadi::DaeBuilder* obj)"
// call: "        obj->eliminate_alg();"
// params: []
extern "C"
void
    casadi__DaeBuilder__eliminate_alg(std::string ** err_msg, casadi::DaeBuilder* obj);
void
    casadi__DaeBuilder__eliminate_alg(std::string ** err_msg, casadi::DaeBuilder* obj){
    try {

        obj->eliminate_alg();

        return;
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return;
    }
}


// ================== Normal method: "eliminate_d" ===============
// class: "casadi::DaeBuilder"
// cppName: "casadi::DaeBuilder::eliminate_d"
// cWrapperName: "casadi__DaeBuilder__eliminate_d"
// protoArgs: "(std::string ** err_msg, casadi::DaeBuilder* obj)"
// args: "()"
// rettype: CVoid
// cWrapperRetType: "void"
// proto: "void\n    casadi__DaeBuilder__eliminate_d(std::string ** err_msg, casadi::DaeBuilder* obj)"
// call: "        obj->eliminate_d();"
// params: []
extern "C"
void
    casadi__DaeBuilder__eliminate_d(std::string ** err_msg, casadi::DaeBuilder* obj);
void
    casadi__DaeBuilder__eliminate_d(std::string ** err_msg, casadi::DaeBuilder* obj){
    try {

        obj->eliminate_d();

        return;
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return;
    }
}


// ================== Normal method: "eliminate_quad" ===============
// class: "casadi::DaeBuilder"
// cppName: "casadi::DaeBuilder::eliminate_quad"
// cWrapperName: "casadi__DaeBuilder__eliminate_quad"
// protoArgs: "(std::string ** err_msg, casadi::DaeBuilder* obj)"
// args: "()"
// rettype: CVoid
// cWrapperRetType: "void"
// proto: "void\n    casadi__DaeBuilder__eliminate_quad(std::string ** err_msg, casadi::DaeBuilder* obj)"
// call: "        obj->eliminate_quad();"
// params: []
extern "C"
void
    casadi__DaeBuilder__eliminate_quad(std::string ** err_msg, casadi::DaeBuilder* obj);
void
    casadi__DaeBuilder__eliminate_quad(std::string ** err_msg, casadi::DaeBuilder* obj){
    try {

        obj->eliminate_quad();

        return;
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return;
    }
}


// ================== Normal method: "guess" ===============
// class: "casadi::DaeBuilder"
// cppName: "casadi::DaeBuilder::guess"
// cWrapperName: "casadi__DaeBuilder__guess__0"
// protoArgs: "(std::string ** err_msg, casadi::DaeBuilder* obj, casadi::MX* x0)"
// args: "(x0_)"
// rettype: StdVec CDouble
// cWrapperRetType: "std::vector< double >*"
// proto: "std::vector< double >*\n    casadi__DaeBuilder__guess__0(std::string ** err_msg, casadi::DaeBuilder* obj, casadi::MX* x0)"
// call: "        std::vector< double > ret = obj->guess(x0_);"
// params: [(Ref (Const (UserType (Namespace ["casadi"]) (Name "MX"))),SwigOutput False)]
extern "C"
std::vector< double >*
    casadi__DaeBuilder__guess__0(std::string ** err_msg, casadi::DaeBuilder* obj, casadi::MX* x0);
std::vector< double >*
    casadi__DaeBuilder__guess__0(std::string ** err_msg, casadi::DaeBuilder* obj, casadi::MX* x0){
    try {
        casadi::MX& x0_ = Marshaling<casadi::MX&,casadi::MX*>::marshal(x0);

        std::vector< double > ret = obj->guess(x0_);
        // x0 is not a swig output

        return WrapReturn< std::vector< double >*, std::vector< double > >::wrapReturn( ret );
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return 0;
    }
}


// ================== Normal method: "guess" ===============
// class: "casadi::DaeBuilder"
// cppName: "casadi::DaeBuilder::guess"
// cWrapperName: "casadi__DaeBuilder__guess__1"
// protoArgs: "(std::string ** err_msg, casadi::DaeBuilder* obj, casadi::MX* x0, int x1)"
// args: "(x0_, x1_)"
// rettype: StdVec CDouble
// cWrapperRetType: "std::vector< double >*"
// proto: "std::vector< double >*\n    casadi__DaeBuilder__guess__1(std::string ** err_msg, casadi::DaeBuilder* obj, casadi::MX* x0, int x1)"
// call: "        std::vector< double > ret = obj->guess(x0_, x1_);"
// params: [(Ref (Const (UserType (Namespace ["casadi"]) (Name "MX"))),SwigOutput False),(CBool,SwigOutput False)]
extern "C"
std::vector< double >*
    casadi__DaeBuilder__guess__1(std::string ** err_msg, casadi::DaeBuilder* obj, casadi::MX* x0, int x1);
std::vector< double >*
    casadi__DaeBuilder__guess__1(std::string ** err_msg, casadi::DaeBuilder* obj, casadi::MX* x0, int x1){
    try {
        casadi::MX& x0_ = Marshaling<casadi::MX&,casadi::MX*>::marshal(x0);
        bool x1_ = Marshaling<bool,int>::marshal(x1);

        std::vector< double > ret = obj->guess(x0_, x1_);
        // x0 is not a swig output
        // x1 is not a swig output

        return WrapReturn< std::vector< double >*, std::vector< double > >::wrapReturn( ret );
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return 0;
    }
}


// ================== Normal method: "guess" ===============
// class: "casadi::DaeBuilder"
// cppName: "casadi::DaeBuilder::guess"
// cWrapperName: "casadi__DaeBuilder__guess__2"
// protoArgs: "(std::string ** err_msg, casadi::DaeBuilder* obj, std::string* x0)"
// args: "(x0_)"
// rettype: CDouble
// cWrapperRetType: "double"
// proto: "double\n    casadi__DaeBuilder__guess__2(std::string ** err_msg, casadi::DaeBuilder* obj, std::string* x0)"
// call: "        double ret = obj->guess(x0_);"
// params: [(Ref (Const StdString),SwigOutput False)]
extern "C"
double
    casadi__DaeBuilder__guess__2(std::string ** err_msg, casadi::DaeBuilder* obj, std::string* x0);
double
    casadi__DaeBuilder__guess__2(std::string ** err_msg, casadi::DaeBuilder* obj, std::string* x0){
    try {
        std::string& x0_ = Marshaling<std::string&,std::string*>::marshal(x0);

        double ret = obj->guess(x0_);
        // x0 is not a swig output

        return WrapReturn< double, double >::wrapReturn( ret );
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return 0;
    }
}


// ================== Normal method: "guess" ===============
// class: "casadi::DaeBuilder"
// cppName: "casadi::DaeBuilder::guess"
// cWrapperName: "casadi__DaeBuilder__guess__3"
// protoArgs: "(std::string ** err_msg, casadi::DaeBuilder* obj, std::string* x0, int x1)"
// args: "(x0_, x1_)"
// rettype: CDouble
// cWrapperRetType: "double"
// proto: "double\n    casadi__DaeBuilder__guess__3(std::string ** err_msg, casadi::DaeBuilder* obj, std::string* x0, int x1)"
// call: "        double ret = obj->guess(x0_, x1_);"
// params: [(Ref (Const StdString),SwigOutput False),(CBool,SwigOutput False)]
extern "C"
double
    casadi__DaeBuilder__guess__3(std::string ** err_msg, casadi::DaeBuilder* obj, std::string* x0, int x1);
double
    casadi__DaeBuilder__guess__3(std::string ** err_msg, casadi::DaeBuilder* obj, std::string* x0, int x1){
    try {
        std::string& x0_ = Marshaling<std::string&,std::string*>::marshal(x0);
        bool x1_ = Marshaling<bool,int>::marshal(x1);

        double ret = obj->guess(x0_, x1_);
        // x0 is not a swig output
        // x1 is not a swig output

        return WrapReturn< double, double >::wrapReturn( ret );
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return 0;
    }
}


// ================== Normal method: "make_explicit" ===============
// class: "casadi::DaeBuilder"
// cppName: "casadi::DaeBuilder::make_explicit"
// cWrapperName: "casadi__DaeBuilder__make_explicit"
// protoArgs: "(std::string ** err_msg, casadi::DaeBuilder* obj)"
// args: "()"
// rettype: CVoid
// cWrapperRetType: "void"
// proto: "void\n    casadi__DaeBuilder__make_explicit(std::string ** err_msg, casadi::DaeBuilder* obj)"
// call: "        obj->make_explicit();"
// params: []
extern "C"
void
    casadi__DaeBuilder__make_explicit(std::string ** err_msg, casadi::DaeBuilder* obj);
void
    casadi__DaeBuilder__make_explicit(std::string ** err_msg, casadi::DaeBuilder* obj){
    try {

        obj->make_explicit();

        return;
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return;
    }
}


// ================== Normal method: "make_semi_explicit" ===============
// class: "casadi::DaeBuilder"
// cppName: "casadi::DaeBuilder::make_semi_explicit"
// cWrapperName: "casadi__DaeBuilder__make_semi_explicit"
// protoArgs: "(std::string ** err_msg, casadi::DaeBuilder* obj)"
// args: "()"
// rettype: CVoid
// cWrapperRetType: "void"
// proto: "void\n    casadi__DaeBuilder__make_semi_explicit(std::string ** err_msg, casadi::DaeBuilder* obj)"
// call: "        obj->make_semi_explicit();"
// params: []
extern "C"
void
    casadi__DaeBuilder__make_semi_explicit(std::string ** err_msg, casadi::DaeBuilder* obj);
void
    casadi__DaeBuilder__make_semi_explicit(std::string ** err_msg, casadi::DaeBuilder* obj){
    try {

        obj->make_semi_explicit();

        return;
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return;
    }
}


// ================== Normal method: "max" ===============
// class: "casadi::DaeBuilder"
// cppName: "casadi::DaeBuilder::max"
// cWrapperName: "casadi__DaeBuilder__max__0"
// protoArgs: "(std::string ** err_msg, casadi::DaeBuilder* obj, casadi::MX* x0)"
// args: "(x0_)"
// rettype: StdVec CDouble
// cWrapperRetType: "std::vector< double >*"
// proto: "std::vector< double >*\n    casadi__DaeBuilder__max__0(std::string ** err_msg, casadi::DaeBuilder* obj, casadi::MX* x0)"
// call: "        std::vector< double > ret = obj->max(x0_);"
// params: [(Ref (Const (UserType (Namespace ["casadi"]) (Name "MX"))),SwigOutput False)]
extern "C"
std::vector< double >*
    casadi__DaeBuilder__max__0(std::string ** err_msg, casadi::DaeBuilder* obj, casadi::MX* x0);
std::vector< double >*
    casadi__DaeBuilder__max__0(std::string ** err_msg, casadi::DaeBuilder* obj, casadi::MX* x0){
    try {
        casadi::MX& x0_ = Marshaling<casadi::MX&,casadi::MX*>::marshal(x0);

        std::vector< double > ret = obj->max(x0_);
        // x0 is not a swig output

        return WrapReturn< std::vector< double >*, std::vector< double > >::wrapReturn( ret );
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return 0;
    }
}


// ================== Normal method: "max" ===============
// class: "casadi::DaeBuilder"
// cppName: "casadi::DaeBuilder::max"
// cWrapperName: "casadi__DaeBuilder__max__1"
// protoArgs: "(std::string ** err_msg, casadi::DaeBuilder* obj, casadi::MX* x0, int x1)"
// args: "(x0_, x1_)"
// rettype: StdVec CDouble
// cWrapperRetType: "std::vector< double >*"
// proto: "std::vector< double >*\n    casadi__DaeBuilder__max__1(std::string ** err_msg, casadi::DaeBuilder* obj, casadi::MX* x0, int x1)"
// call: "        std::vector< double > ret = obj->max(x0_, x1_);"
// params: [(Ref (Const (UserType (Namespace ["casadi"]) (Name "MX"))),SwigOutput False),(CBool,SwigOutput False)]
extern "C"
std::vector< double >*
    casadi__DaeBuilder__max__1(std::string ** err_msg, casadi::DaeBuilder* obj, casadi::MX* x0, int x1);
std::vector< double >*
    casadi__DaeBuilder__max__1(std::string ** err_msg, casadi::DaeBuilder* obj, casadi::MX* x0, int x1){
    try {
        casadi::MX& x0_ = Marshaling<casadi::MX&,casadi::MX*>::marshal(x0);
        bool x1_ = Marshaling<bool,int>::marshal(x1);

        std::vector< double > ret = obj->max(x0_, x1_);
        // x0 is not a swig output
        // x1 is not a swig output

        return WrapReturn< std::vector< double >*, std::vector< double > >::wrapReturn( ret );
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return 0;
    }
}


// ================== Normal method: "max" ===============
// class: "casadi::DaeBuilder"
// cppName: "casadi::DaeBuilder::max"
// cWrapperName: "casadi__DaeBuilder__max__2"
// protoArgs: "(std::string ** err_msg, casadi::DaeBuilder* obj, std::string* x0)"
// args: "(x0_)"
// rettype: CDouble
// cWrapperRetType: "double"
// proto: "double\n    casadi__DaeBuilder__max__2(std::string ** err_msg, casadi::DaeBuilder* obj, std::string* x0)"
// call: "        double ret = obj->max(x0_);"
// params: [(Ref (Const StdString),SwigOutput False)]
extern "C"
double
    casadi__DaeBuilder__max__2(std::string ** err_msg, casadi::DaeBuilder* obj, std::string* x0);
double
    casadi__DaeBuilder__max__2(std::string ** err_msg, casadi::DaeBuilder* obj, std::string* x0){
    try {
        std::string& x0_ = Marshaling<std::string&,std::string*>::marshal(x0);

        double ret = obj->max(x0_);
        // x0 is not a swig output

        return WrapReturn< double, double >::wrapReturn( ret );
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return 0;
    }
}


// ================== Normal method: "max" ===============
// class: "casadi::DaeBuilder"
// cppName: "casadi::DaeBuilder::max"
// cWrapperName: "casadi__DaeBuilder__max__3"
// protoArgs: "(std::string ** err_msg, casadi::DaeBuilder* obj, std::string* x0, int x1)"
// args: "(x0_, x1_)"
// rettype: CDouble
// cWrapperRetType: "double"
// proto: "double\n    casadi__DaeBuilder__max__3(std::string ** err_msg, casadi::DaeBuilder* obj, std::string* x0, int x1)"
// call: "        double ret = obj->max(x0_, x1_);"
// params: [(Ref (Const StdString),SwigOutput False),(CBool,SwigOutput False)]
extern "C"
double
    casadi__DaeBuilder__max__3(std::string ** err_msg, casadi::DaeBuilder* obj, std::string* x0, int x1);
double
    casadi__DaeBuilder__max__3(std::string ** err_msg, casadi::DaeBuilder* obj, std::string* x0, int x1){
    try {
        std::string& x0_ = Marshaling<std::string&,std::string*>::marshal(x0);
        bool x1_ = Marshaling<bool,int>::marshal(x1);

        double ret = obj->max(x0_, x1_);
        // x0 is not a swig output
        // x1 is not a swig output

        return WrapReturn< double, double >::wrapReturn( ret );
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return 0;
    }
}


// ================== Normal method: "min" ===============
// class: "casadi::DaeBuilder"
// cppName: "casadi::DaeBuilder::min"
// cWrapperName: "casadi__DaeBuilder__min__0"
// protoArgs: "(std::string ** err_msg, casadi::DaeBuilder* obj, casadi::MX* x0)"
// args: "(x0_)"
// rettype: StdVec CDouble
// cWrapperRetType: "std::vector< double >*"
// proto: "std::vector< double >*\n    casadi__DaeBuilder__min__0(std::string ** err_msg, casadi::DaeBuilder* obj, casadi::MX* x0)"
// call: "        std::vector< double > ret = obj->min(x0_);"
// params: [(Ref (Const (UserType (Namespace ["casadi"]) (Name "MX"))),SwigOutput False)]
extern "C"
std::vector< double >*
    casadi__DaeBuilder__min__0(std::string ** err_msg, casadi::DaeBuilder* obj, casadi::MX* x0);
std::vector< double >*
    casadi__DaeBuilder__min__0(std::string ** err_msg, casadi::DaeBuilder* obj, casadi::MX* x0){
    try {
        casadi::MX& x0_ = Marshaling<casadi::MX&,casadi::MX*>::marshal(x0);

        std::vector< double > ret = obj->min(x0_);
        // x0 is not a swig output

        return WrapReturn< std::vector< double >*, std::vector< double > >::wrapReturn( ret );
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return 0;
    }
}


// ================== Normal method: "min" ===============
// class: "casadi::DaeBuilder"
// cppName: "casadi::DaeBuilder::min"
// cWrapperName: "casadi__DaeBuilder__min__1"
// protoArgs: "(std::string ** err_msg, casadi::DaeBuilder* obj, casadi::MX* x0, int x1)"
// args: "(x0_, x1_)"
// rettype: StdVec CDouble
// cWrapperRetType: "std::vector< double >*"
// proto: "std::vector< double >*\n    casadi__DaeBuilder__min__1(std::string ** err_msg, casadi::DaeBuilder* obj, casadi::MX* x0, int x1)"
// call: "        std::vector< double > ret = obj->min(x0_, x1_);"
// params: [(Ref (Const (UserType (Namespace ["casadi"]) (Name "MX"))),SwigOutput False),(CBool,SwigOutput False)]
extern "C"
std::vector< double >*
    casadi__DaeBuilder__min__1(std::string ** err_msg, casadi::DaeBuilder* obj, casadi::MX* x0, int x1);
std::vector< double >*
    casadi__DaeBuilder__min__1(std::string ** err_msg, casadi::DaeBuilder* obj, casadi::MX* x0, int x1){
    try {
        casadi::MX& x0_ = Marshaling<casadi::MX&,casadi::MX*>::marshal(x0);
        bool x1_ = Marshaling<bool,int>::marshal(x1);

        std::vector< double > ret = obj->min(x0_, x1_);
        // x0 is not a swig output
        // x1 is not a swig output

        return WrapReturn< std::vector< double >*, std::vector< double > >::wrapReturn( ret );
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return 0;
    }
}


// ================== Normal method: "min" ===============
// class: "casadi::DaeBuilder"
// cppName: "casadi::DaeBuilder::min"
// cWrapperName: "casadi__DaeBuilder__min__2"
// protoArgs: "(std::string ** err_msg, casadi::DaeBuilder* obj, std::string* x0)"
// args: "(x0_)"
// rettype: CDouble
// cWrapperRetType: "double"
// proto: "double\n    casadi__DaeBuilder__min__2(std::string ** err_msg, casadi::DaeBuilder* obj, std::string* x0)"
// call: "        double ret = obj->min(x0_);"
// params: [(Ref (Const StdString),SwigOutput False)]
extern "C"
double
    casadi__DaeBuilder__min__2(std::string ** err_msg, casadi::DaeBuilder* obj, std::string* x0);
double
    casadi__DaeBuilder__min__2(std::string ** err_msg, casadi::DaeBuilder* obj, std::string* x0){
    try {
        std::string& x0_ = Marshaling<std::string&,std::string*>::marshal(x0);

        double ret = obj->min(x0_);
        // x0 is not a swig output

        return WrapReturn< double, double >::wrapReturn( ret );
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return 0;
    }
}


// ================== Normal method: "min" ===============
// class: "casadi::DaeBuilder"
// cppName: "casadi::DaeBuilder::min"
// cWrapperName: "casadi__DaeBuilder__min__3"
// protoArgs: "(std::string ** err_msg, casadi::DaeBuilder* obj, std::string* x0, int x1)"
// args: "(x0_, x1_)"
// rettype: CDouble
// cWrapperRetType: "double"
// proto: "double\n    casadi__DaeBuilder__min__3(std::string ** err_msg, casadi::DaeBuilder* obj, std::string* x0, int x1)"
// call: "        double ret = obj->min(x0_, x1_);"
// params: [(Ref (Const StdString),SwigOutput False),(CBool,SwigOutput False)]
extern "C"
double
    casadi__DaeBuilder__min__3(std::string ** err_msg, casadi::DaeBuilder* obj, std::string* x0, int x1);
double
    casadi__DaeBuilder__min__3(std::string ** err_msg, casadi::DaeBuilder* obj, std::string* x0, int x1){
    try {
        std::string& x0_ = Marshaling<std::string&,std::string*>::marshal(x0);
        bool x1_ = Marshaling<bool,int>::marshal(x1);

        double ret = obj->min(x0_, x1_);
        // x0 is not a swig output
        // x1 is not a swig output

        return WrapReturn< double, double >::wrapReturn( ret );
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return 0;
    }
}


// ================== Normal method: "nominal" ===============
// class: "casadi::DaeBuilder"
// cppName: "casadi::DaeBuilder::nominal"
// cWrapperName: "casadi__DaeBuilder__nominal__0"
// protoArgs: "(std::string ** err_msg, casadi::DaeBuilder* obj, casadi::MX* x0)"
// args: "(x0_)"
// rettype: StdVec CDouble
// cWrapperRetType: "std::vector< double >*"
// proto: "std::vector< double >*\n    casadi__DaeBuilder__nominal__0(std::string ** err_msg, casadi::DaeBuilder* obj, casadi::MX* x0)"
// call: "        std::vector< double > ret = obj->nominal(x0_);"
// params: [(Ref (Const (UserType (Namespace ["casadi"]) (Name "MX"))),SwigOutput False)]
extern "C"
std::vector< double >*
    casadi__DaeBuilder__nominal__0(std::string ** err_msg, casadi::DaeBuilder* obj, casadi::MX* x0);
std::vector< double >*
    casadi__DaeBuilder__nominal__0(std::string ** err_msg, casadi::DaeBuilder* obj, casadi::MX* x0){
    try {
        casadi::MX& x0_ = Marshaling<casadi::MX&,casadi::MX*>::marshal(x0);

        std::vector< double > ret = obj->nominal(x0_);
        // x0 is not a swig output

        return WrapReturn< std::vector< double >*, std::vector< double > >::wrapReturn( ret );
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return 0;
    }
}


// ================== Normal method: "nominal" ===============
// class: "casadi::DaeBuilder"
// cppName: "casadi::DaeBuilder::nominal"
// cWrapperName: "casadi__DaeBuilder__nominal__1"
// protoArgs: "(std::string ** err_msg, casadi::DaeBuilder* obj, std::string* x0)"
// args: "(x0_)"
// rettype: CDouble
// cWrapperRetType: "double"
// proto: "double\n    casadi__DaeBuilder__nominal__1(std::string ** err_msg, casadi::DaeBuilder* obj, std::string* x0)"
// call: "        double ret = obj->nominal(x0_);"
// params: [(Ref (Const StdString),SwigOutput False)]
extern "C"
double
    casadi__DaeBuilder__nominal__1(std::string ** err_msg, casadi::DaeBuilder* obj, std::string* x0);
double
    casadi__DaeBuilder__nominal__1(std::string ** err_msg, casadi::DaeBuilder* obj, std::string* x0){
    try {
        std::string& x0_ = Marshaling<std::string&,std::string*>::marshal(x0);

        double ret = obj->nominal(x0_);
        // x0 is not a swig output

        return WrapReturn< double, double >::wrapReturn( ret );
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return 0;
    }
}


// ================== Normal method: "operator ()" ===============
// class: "casadi::DaeBuilder"
// cppName: "casadi::DaeBuilder::operator ()"
// cWrapperName: "casadi__DaeBuilder__operator__call"
// protoArgs: "(std::string ** err_msg, casadi::DaeBuilder* obj, std::string* x0)"
// args: "(x0_)"
// rettype: UserType (Namespace ["casadi"]) (Name "MX")
// cWrapperRetType: "casadi::MX*"
// proto: "casadi::MX*\n    casadi__DaeBuilder__operator__call(std::string ** err_msg, casadi::DaeBuilder* obj, std::string* x0)"
// call: "        casadi::MX ret = obj->operator ()(x0_);"
// params: [(Ref (Const StdString),SwigOutput False)]
extern "C"
casadi::MX*
    casadi__DaeBuilder__operator__call(std::string ** err_msg, casadi::DaeBuilder* obj, std::string* x0);
casadi::MX*
    casadi__DaeBuilder__operator__call(std::string ** err_msg, casadi::DaeBuilder* obj, std::string* x0){
    try {
        std::string& x0_ = Marshaling<std::string&,std::string*>::marshal(x0);

        casadi::MX ret = obj->operator ()(x0_);
        // x0 is not a swig output

        return WrapReturn< casadi::MX*, casadi::MX >::wrapReturn( ret );
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return 0;
    }
}


// ================== Normal method: "parse_fmi" ===============
// class: "casadi::DaeBuilder"
// cppName: "casadi::DaeBuilder::parse_fmi"
// cWrapperName: "casadi__DaeBuilder__parse_fmi"
// protoArgs: "(std::string ** err_msg, casadi::DaeBuilder* obj, std::string* x0)"
// args: "(x0_)"
// rettype: CVoid
// cWrapperRetType: "void"
// proto: "void\n    casadi__DaeBuilder__parse_fmi(std::string ** err_msg, casadi::DaeBuilder* obj, std::string* x0)"
// call: "        obj->parse_fmi(x0_);"
// params: [(Ref (Const StdString),SwigOutput False)]
extern "C"
void
    casadi__DaeBuilder__parse_fmi(std::string ** err_msg, casadi::DaeBuilder* obj, std::string* x0);
void
    casadi__DaeBuilder__parse_fmi(std::string ** err_msg, casadi::DaeBuilder* obj, std::string* x0){
    try {
        std::string& x0_ = Marshaling<std::string&,std::string*>::marshal(x0);

        obj->parse_fmi(x0_);
        // x0 is not a swig output

        return;
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return;
    }
}


// ================== Normal method: "sanity_check" ===============
// class: "casadi::DaeBuilder"
// cppName: "casadi::DaeBuilder::sanity_check"
// cWrapperName: "casadi__DaeBuilder__sanity_check"
// protoArgs: "(std::string ** err_msg, casadi::DaeBuilder* obj)"
// args: "()"
// rettype: CVoid
// cWrapperRetType: "void"
// proto: "void\n    casadi__DaeBuilder__sanity_check(std::string ** err_msg, casadi::DaeBuilder* obj)"
// call: "        obj->sanity_check();"
// params: []
extern "C"
void
    casadi__DaeBuilder__sanity_check(std::string ** err_msg, casadi::DaeBuilder* obj);
void
    casadi__DaeBuilder__sanity_check(std::string ** err_msg, casadi::DaeBuilder* obj){
    try {

        obj->sanity_check();

        return;
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return;
    }
}


// ================== Normal method: "scale_equations" ===============
// class: "casadi::DaeBuilder"
// cppName: "casadi::DaeBuilder::scale_equations"
// cWrapperName: "casadi__DaeBuilder__scale_equations"
// protoArgs: "(std::string ** err_msg, casadi::DaeBuilder* obj)"
// args: "()"
// rettype: CVoid
// cWrapperRetType: "void"
// proto: "void\n    casadi__DaeBuilder__scale_equations(std::string ** err_msg, casadi::DaeBuilder* obj)"
// call: "        obj->scale_equations();"
// params: []
extern "C"
void
    casadi__DaeBuilder__scale_equations(std::string ** err_msg, casadi::DaeBuilder* obj);
void
    casadi__DaeBuilder__scale_equations(std::string ** err_msg, casadi::DaeBuilder* obj){
    try {

        obj->scale_equations();

        return;
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return;
    }
}


// ================== Normal method: "scale_variables" ===============
// class: "casadi::DaeBuilder"
// cppName: "casadi::DaeBuilder::scale_variables"
// cWrapperName: "casadi__DaeBuilder__scale_variables"
// protoArgs: "(std::string ** err_msg, casadi::DaeBuilder* obj)"
// args: "()"
// rettype: CVoid
// cWrapperRetType: "void"
// proto: "void\n    casadi__DaeBuilder__scale_variables(std::string ** err_msg, casadi::DaeBuilder* obj)"
// call: "        obj->scale_variables();"
// params: []
extern "C"
void
    casadi__DaeBuilder__scale_variables(std::string ** err_msg, casadi::DaeBuilder* obj);
void
    casadi__DaeBuilder__scale_variables(std::string ** err_msg, casadi::DaeBuilder* obj){
    try {

        obj->scale_variables();

        return;
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return;
    }
}


// ================== Normal method: "set_derivative_start" ===============
// class: "casadi::DaeBuilder"
// cppName: "casadi::DaeBuilder::set_derivative_start"
// cWrapperName: "casadi__DaeBuilder__set_derivative_start__0"
// protoArgs: "(std::string ** err_msg, casadi::DaeBuilder* obj, casadi::MX* x0, std::vector< double >* x1)"
// args: "(x0_, x1_)"
// rettype: CVoid
// cWrapperRetType: "void"
// proto: "void\n    casadi__DaeBuilder__set_derivative_start__0(std::string ** err_msg, casadi::DaeBuilder* obj, casadi::MX* x0, std::vector< double >* x1)"
// call: "        obj->set_derivative_start(x0_, x1_);"
// params: [(Ref (Const (UserType (Namespace ["casadi"]) (Name "MX"))),SwigOutput False),(Ref (Const (StdVec CDouble)),SwigOutput False)]
extern "C"
void
    casadi__DaeBuilder__set_derivative_start__0(std::string ** err_msg, casadi::DaeBuilder* obj, casadi::MX* x0, std::vector< double >* x1);
void
    casadi__DaeBuilder__set_derivative_start__0(std::string ** err_msg, casadi::DaeBuilder* obj, casadi::MX* x0, std::vector< double >* x1){
    try {
        casadi::MX& x0_ = Marshaling<casadi::MX&,casadi::MX*>::marshal(x0);
        std::vector< double > x1_ = Marshaling<std::vector< double >,std::vector< double >*>::marshal(x1);

        obj->set_derivative_start(x0_, x1_);
        // x0 is not a swig output
        // x1 is not a swig output

        return;
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return;
    }
}


// ================== Normal method: "set_derivative_start" ===============
// class: "casadi::DaeBuilder"
// cppName: "casadi::DaeBuilder::set_derivative_start"
// cWrapperName: "casadi__DaeBuilder__set_derivative_start__1"
// protoArgs: "(std::string ** err_msg, casadi::DaeBuilder* obj, casadi::MX* x0, std::vector< double >* x1, int x2)"
// args: "(x0_, x1_, x2_)"
// rettype: CVoid
// cWrapperRetType: "void"
// proto: "void\n    casadi__DaeBuilder__set_derivative_start__1(std::string ** err_msg, casadi::DaeBuilder* obj, casadi::MX* x0, std::vector< double >* x1, int x2)"
// call: "        obj->set_derivative_start(x0_, x1_, x2_);"
// params: [(Ref (Const (UserType (Namespace ["casadi"]) (Name "MX"))),SwigOutput False),(Ref (Const (StdVec CDouble)),SwigOutput False),(CBool,SwigOutput False)]
extern "C"
void
    casadi__DaeBuilder__set_derivative_start__1(std::string ** err_msg, casadi::DaeBuilder* obj, casadi::MX* x0, std::vector< double >* x1, int x2);
void
    casadi__DaeBuilder__set_derivative_start__1(std::string ** err_msg, casadi::DaeBuilder* obj, casadi::MX* x0, std::vector< double >* x1, int x2){
    try {
        casadi::MX& x0_ = Marshaling<casadi::MX&,casadi::MX*>::marshal(x0);
        std::vector< double > x1_ = Marshaling<std::vector< double >,std::vector< double >*>::marshal(x1);
        bool x2_ = Marshaling<bool,int>::marshal(x2);

        obj->set_derivative_start(x0_, x1_, x2_);
        // x0 is not a swig output
        // x1 is not a swig output
        // x2 is not a swig output

        return;
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return;
    }
}


// ================== Normal method: "set_derivative_start" ===============
// class: "casadi::DaeBuilder"
// cppName: "casadi::DaeBuilder::set_derivative_start"
// cWrapperName: "casadi__DaeBuilder__set_derivative_start__2"
// protoArgs: "(std::string ** err_msg, casadi::DaeBuilder* obj, std::string* x0, double x1)"
// args: "(x0_, x1_)"
// rettype: CVoid
// cWrapperRetType: "void"
// proto: "void\n    casadi__DaeBuilder__set_derivative_start__2(std::string ** err_msg, casadi::DaeBuilder* obj, std::string* x0, double x1)"
// call: "        obj->set_derivative_start(x0_, x1_);"
// params: [(Ref (Const StdString),SwigOutput False),(CDouble,SwigOutput False)]
extern "C"
void
    casadi__DaeBuilder__set_derivative_start__2(std::string ** err_msg, casadi::DaeBuilder* obj, std::string* x0, double x1);
void
    casadi__DaeBuilder__set_derivative_start__2(std::string ** err_msg, casadi::DaeBuilder* obj, std::string* x0, double x1){
    try {
        std::string& x0_ = Marshaling<std::string&,std::string*>::marshal(x0);
        double x1_ = Marshaling<double,double>::marshal(x1);

        obj->set_derivative_start(x0_, x1_);
        // x0 is not a swig output
        // x1 is not a swig output

        return;
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return;
    }
}


// ================== Normal method: "set_derivative_start" ===============
// class: "casadi::DaeBuilder"
// cppName: "casadi::DaeBuilder::set_derivative_start"
// cWrapperName: "casadi__DaeBuilder__set_derivative_start__3"
// protoArgs: "(std::string ** err_msg, casadi::DaeBuilder* obj, std::string* x0, double x1, int x2)"
// args: "(x0_, x1_, x2_)"
// rettype: CVoid
// cWrapperRetType: "void"
// proto: "void\n    casadi__DaeBuilder__set_derivative_start__3(std::string ** err_msg, casadi::DaeBuilder* obj, std::string* x0, double x1, int x2)"
// call: "        obj->set_derivative_start(x0_, x1_, x2_);"
// params: [(Ref (Const StdString),SwigOutput False),(CDouble,SwigOutput False),(CBool,SwigOutput False)]
extern "C"
void
    casadi__DaeBuilder__set_derivative_start__3(std::string ** err_msg, casadi::DaeBuilder* obj, std::string* x0, double x1, int x2);
void
    casadi__DaeBuilder__set_derivative_start__3(std::string ** err_msg, casadi::DaeBuilder* obj, std::string* x0, double x1, int x2){
    try {
        std::string& x0_ = Marshaling<std::string&,std::string*>::marshal(x0);
        double x1_ = Marshaling<double,double>::marshal(x1);
        bool x2_ = Marshaling<bool,int>::marshal(x2);

        obj->set_derivative_start(x0_, x1_, x2_);
        // x0 is not a swig output
        // x1 is not a swig output
        // x2 is not a swig output

        return;
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return;
    }
}


// ================== Normal method: "set_guess" ===============
// class: "casadi::DaeBuilder"
// cppName: "casadi::DaeBuilder::set_guess"
// cWrapperName: "casadi__DaeBuilder__set_guess__0"
// protoArgs: "(std::string ** err_msg, casadi::DaeBuilder* obj, casadi::MX* x0, std::vector< double >* x1)"
// args: "(x0_, x1_)"
// rettype: CVoid
// cWrapperRetType: "void"
// proto: "void\n    casadi__DaeBuilder__set_guess__0(std::string ** err_msg, casadi::DaeBuilder* obj, casadi::MX* x0, std::vector< double >* x1)"
// call: "        obj->set_guess(x0_, x1_);"
// params: [(Ref (Const (UserType (Namespace ["casadi"]) (Name "MX"))),SwigOutput False),(Ref (Const (StdVec CDouble)),SwigOutput False)]
extern "C"
void
    casadi__DaeBuilder__set_guess__0(std::string ** err_msg, casadi::DaeBuilder* obj, casadi::MX* x0, std::vector< double >* x1);
void
    casadi__DaeBuilder__set_guess__0(std::string ** err_msg, casadi::DaeBuilder* obj, casadi::MX* x0, std::vector< double >* x1){
    try {
        casadi::MX& x0_ = Marshaling<casadi::MX&,casadi::MX*>::marshal(x0);
        std::vector< double > x1_ = Marshaling<std::vector< double >,std::vector< double >*>::marshal(x1);

        obj->set_guess(x0_, x1_);
        // x0 is not a swig output
        // x1 is not a swig output

        return;
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return;
    }
}


// ================== Normal method: "set_guess" ===============
// class: "casadi::DaeBuilder"
// cppName: "casadi::DaeBuilder::set_guess"
// cWrapperName: "casadi__DaeBuilder__set_guess__1"
// protoArgs: "(std::string ** err_msg, casadi::DaeBuilder* obj, casadi::MX* x0, std::vector< double >* x1, int x2)"
// args: "(x0_, x1_, x2_)"
// rettype: CVoid
// cWrapperRetType: "void"
// proto: "void\n    casadi__DaeBuilder__set_guess__1(std::string ** err_msg, casadi::DaeBuilder* obj, casadi::MX* x0, std::vector< double >* x1, int x2)"
// call: "        obj->set_guess(x0_, x1_, x2_);"
// params: [(Ref (Const (UserType (Namespace ["casadi"]) (Name "MX"))),SwigOutput False),(Ref (Const (StdVec CDouble)),SwigOutput False),(CBool,SwigOutput False)]
extern "C"
void
    casadi__DaeBuilder__set_guess__1(std::string ** err_msg, casadi::DaeBuilder* obj, casadi::MX* x0, std::vector< double >* x1, int x2);
void
    casadi__DaeBuilder__set_guess__1(std::string ** err_msg, casadi::DaeBuilder* obj, casadi::MX* x0, std::vector< double >* x1, int x2){
    try {
        casadi::MX& x0_ = Marshaling<casadi::MX&,casadi::MX*>::marshal(x0);
        std::vector< double > x1_ = Marshaling<std::vector< double >,std::vector< double >*>::marshal(x1);
        bool x2_ = Marshaling<bool,int>::marshal(x2);

        obj->set_guess(x0_, x1_, x2_);
        // x0 is not a swig output
        // x1 is not a swig output
        // x2 is not a swig output

        return;
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return;
    }
}


// ================== Normal method: "set_guess" ===============
// class: "casadi::DaeBuilder"
// cppName: "casadi::DaeBuilder::set_guess"
// cWrapperName: "casadi__DaeBuilder__set_guess__2"
// protoArgs: "(std::string ** err_msg, casadi::DaeBuilder* obj, std::string* x0, double x1)"
// args: "(x0_, x1_)"
// rettype: CVoid
// cWrapperRetType: "void"
// proto: "void\n    casadi__DaeBuilder__set_guess__2(std::string ** err_msg, casadi::DaeBuilder* obj, std::string* x0, double x1)"
// call: "        obj->set_guess(x0_, x1_);"
// params: [(Ref (Const StdString),SwigOutput False),(CDouble,SwigOutput False)]
extern "C"
void
    casadi__DaeBuilder__set_guess__2(std::string ** err_msg, casadi::DaeBuilder* obj, std::string* x0, double x1);
void
    casadi__DaeBuilder__set_guess__2(std::string ** err_msg, casadi::DaeBuilder* obj, std::string* x0, double x1){
    try {
        std::string& x0_ = Marshaling<std::string&,std::string*>::marshal(x0);
        double x1_ = Marshaling<double,double>::marshal(x1);

        obj->set_guess(x0_, x1_);
        // x0 is not a swig output
        // x1 is not a swig output

        return;
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return;
    }
}


// ================== Normal method: "set_guess" ===============
// class: "casadi::DaeBuilder"
// cppName: "casadi::DaeBuilder::set_guess"
// cWrapperName: "casadi__DaeBuilder__set_guess__3"
// protoArgs: "(std::string ** err_msg, casadi::DaeBuilder* obj, std::string* x0, double x1, int x2)"
// args: "(x0_, x1_, x2_)"
// rettype: CVoid
// cWrapperRetType: "void"
// proto: "void\n    casadi__DaeBuilder__set_guess__3(std::string ** err_msg, casadi::DaeBuilder* obj, std::string* x0, double x1, int x2)"
// call: "        obj->set_guess(x0_, x1_, x2_);"
// params: [(Ref (Const StdString),SwigOutput False),(CDouble,SwigOutput False),(CBool,SwigOutput False)]
extern "C"
void
    casadi__DaeBuilder__set_guess__3(std::string ** err_msg, casadi::DaeBuilder* obj, std::string* x0, double x1, int x2);
void
    casadi__DaeBuilder__set_guess__3(std::string ** err_msg, casadi::DaeBuilder* obj, std::string* x0, double x1, int x2){
    try {
        std::string& x0_ = Marshaling<std::string&,std::string*>::marshal(x0);
        double x1_ = Marshaling<double,double>::marshal(x1);
        bool x2_ = Marshaling<bool,int>::marshal(x2);

        obj->set_guess(x0_, x1_, x2_);
        // x0 is not a swig output
        // x1 is not a swig output
        // x2 is not a swig output

        return;
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return;
    }
}


// ================== Normal method: "set_max" ===============
// class: "casadi::DaeBuilder"
// cppName: "casadi::DaeBuilder::set_max"
// cWrapperName: "casadi__DaeBuilder__set_max__0"
// protoArgs: "(std::string ** err_msg, casadi::DaeBuilder* obj, casadi::MX* x0, std::vector< double >* x1)"
// args: "(x0_, x1_)"
// rettype: CVoid
// cWrapperRetType: "void"
// proto: "void\n    casadi__DaeBuilder__set_max__0(std::string ** err_msg, casadi::DaeBuilder* obj, casadi::MX* x0, std::vector< double >* x1)"
// call: "        obj->set_max(x0_, x1_);"
// params: [(Ref (Const (UserType (Namespace ["casadi"]) (Name "MX"))),SwigOutput False),(Ref (Const (StdVec CDouble)),SwigOutput False)]
extern "C"
void
    casadi__DaeBuilder__set_max__0(std::string ** err_msg, casadi::DaeBuilder* obj, casadi::MX* x0, std::vector< double >* x1);
void
    casadi__DaeBuilder__set_max__0(std::string ** err_msg, casadi::DaeBuilder* obj, casadi::MX* x0, std::vector< double >* x1){
    try {
        casadi::MX& x0_ = Marshaling<casadi::MX&,casadi::MX*>::marshal(x0);
        std::vector< double > x1_ = Marshaling<std::vector< double >,std::vector< double >*>::marshal(x1);

        obj->set_max(x0_, x1_);
        // x0 is not a swig output
        // x1 is not a swig output

        return;
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return;
    }
}


// ================== Normal method: "set_max" ===============
// class: "casadi::DaeBuilder"
// cppName: "casadi::DaeBuilder::set_max"
// cWrapperName: "casadi__DaeBuilder__set_max__1"
// protoArgs: "(std::string ** err_msg, casadi::DaeBuilder* obj, casadi::MX* x0, std::vector< double >* x1, int x2)"
// args: "(x0_, x1_, x2_)"
// rettype: CVoid
// cWrapperRetType: "void"
// proto: "void\n    casadi__DaeBuilder__set_max__1(std::string ** err_msg, casadi::DaeBuilder* obj, casadi::MX* x0, std::vector< double >* x1, int x2)"
// call: "        obj->set_max(x0_, x1_, x2_);"
// params: [(Ref (Const (UserType (Namespace ["casadi"]) (Name "MX"))),SwigOutput False),(Ref (Const (StdVec CDouble)),SwigOutput False),(CBool,SwigOutput False)]
extern "C"
void
    casadi__DaeBuilder__set_max__1(std::string ** err_msg, casadi::DaeBuilder* obj, casadi::MX* x0, std::vector< double >* x1, int x2);
void
    casadi__DaeBuilder__set_max__1(std::string ** err_msg, casadi::DaeBuilder* obj, casadi::MX* x0, std::vector< double >* x1, int x2){
    try {
        casadi::MX& x0_ = Marshaling<casadi::MX&,casadi::MX*>::marshal(x0);
        std::vector< double > x1_ = Marshaling<std::vector< double >,std::vector< double >*>::marshal(x1);
        bool x2_ = Marshaling<bool,int>::marshal(x2);

        obj->set_max(x0_, x1_, x2_);
        // x0 is not a swig output
        // x1 is not a swig output
        // x2 is not a swig output

        return;
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return;
    }
}


// ================== Normal method: "set_max" ===============
// class: "casadi::DaeBuilder"
// cppName: "casadi::DaeBuilder::set_max"
// cWrapperName: "casadi__DaeBuilder__set_max__2"
// protoArgs: "(std::string ** err_msg, casadi::DaeBuilder* obj, std::string* x0, double x1)"
// args: "(x0_, x1_)"
// rettype: CVoid
// cWrapperRetType: "void"
// proto: "void\n    casadi__DaeBuilder__set_max__2(std::string ** err_msg, casadi::DaeBuilder* obj, std::string* x0, double x1)"
// call: "        obj->set_max(x0_, x1_);"
// params: [(Ref (Const StdString),SwigOutput False),(CDouble,SwigOutput False)]
extern "C"
void
    casadi__DaeBuilder__set_max__2(std::string ** err_msg, casadi::DaeBuilder* obj, std::string* x0, double x1);
void
    casadi__DaeBuilder__set_max__2(std::string ** err_msg, casadi::DaeBuilder* obj, std::string* x0, double x1){
    try {
        std::string& x0_ = Marshaling<std::string&,std::string*>::marshal(x0);
        double x1_ = Marshaling<double,double>::marshal(x1);

        obj->set_max(x0_, x1_);
        // x0 is not a swig output
        // x1 is not a swig output

        return;
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return;
    }
}


// ================== Normal method: "set_max" ===============
// class: "casadi::DaeBuilder"
// cppName: "casadi::DaeBuilder::set_max"
// cWrapperName: "casadi__DaeBuilder__set_max__3"
// protoArgs: "(std::string ** err_msg, casadi::DaeBuilder* obj, std::string* x0, double x1, int x2)"
// args: "(x0_, x1_, x2_)"
// rettype: CVoid
// cWrapperRetType: "void"
// proto: "void\n    casadi__DaeBuilder__set_max__3(std::string ** err_msg, casadi::DaeBuilder* obj, std::string* x0, double x1, int x2)"
// call: "        obj->set_max(x0_, x1_, x2_);"
// params: [(Ref (Const StdString),SwigOutput False),(CDouble,SwigOutput False),(CBool,SwigOutput False)]
extern "C"
void
    casadi__DaeBuilder__set_max__3(std::string ** err_msg, casadi::DaeBuilder* obj, std::string* x0, double x1, int x2);
void
    casadi__DaeBuilder__set_max__3(std::string ** err_msg, casadi::DaeBuilder* obj, std::string* x0, double x1, int x2){
    try {
        std::string& x0_ = Marshaling<std::string&,std::string*>::marshal(x0);
        double x1_ = Marshaling<double,double>::marshal(x1);
        bool x2_ = Marshaling<bool,int>::marshal(x2);

        obj->set_max(x0_, x1_, x2_);
        // x0 is not a swig output
        // x1 is not a swig output
        // x2 is not a swig output

        return;
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return;
    }
}


// ================== Normal method: "set_min" ===============
// class: "casadi::DaeBuilder"
// cppName: "casadi::DaeBuilder::set_min"
// cWrapperName: "casadi__DaeBuilder__set_min__0"
// protoArgs: "(std::string ** err_msg, casadi::DaeBuilder* obj, casadi::MX* x0, std::vector< double >* x1)"
// args: "(x0_, x1_)"
// rettype: CVoid
// cWrapperRetType: "void"
// proto: "void\n    casadi__DaeBuilder__set_min__0(std::string ** err_msg, casadi::DaeBuilder* obj, casadi::MX* x0, std::vector< double >* x1)"
// call: "        obj->set_min(x0_, x1_);"
// params: [(Ref (Const (UserType (Namespace ["casadi"]) (Name "MX"))),SwigOutput False),(Ref (Const (StdVec CDouble)),SwigOutput False)]
extern "C"
void
    casadi__DaeBuilder__set_min__0(std::string ** err_msg, casadi::DaeBuilder* obj, casadi::MX* x0, std::vector< double >* x1);
void
    casadi__DaeBuilder__set_min__0(std::string ** err_msg, casadi::DaeBuilder* obj, casadi::MX* x0, std::vector< double >* x1){
    try {
        casadi::MX& x0_ = Marshaling<casadi::MX&,casadi::MX*>::marshal(x0);
        std::vector< double > x1_ = Marshaling<std::vector< double >,std::vector< double >*>::marshal(x1);

        obj->set_min(x0_, x1_);
        // x0 is not a swig output
        // x1 is not a swig output

        return;
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return;
    }
}


// ================== Normal method: "set_min" ===============
// class: "casadi::DaeBuilder"
// cppName: "casadi::DaeBuilder::set_min"
// cWrapperName: "casadi__DaeBuilder__set_min__1"
// protoArgs: "(std::string ** err_msg, casadi::DaeBuilder* obj, casadi::MX* x0, std::vector< double >* x1, int x2)"
// args: "(x0_, x1_, x2_)"
// rettype: CVoid
// cWrapperRetType: "void"
// proto: "void\n    casadi__DaeBuilder__set_min__1(std::string ** err_msg, casadi::DaeBuilder* obj, casadi::MX* x0, std::vector< double >* x1, int x2)"
// call: "        obj->set_min(x0_, x1_, x2_);"
// params: [(Ref (Const (UserType (Namespace ["casadi"]) (Name "MX"))),SwigOutput False),(Ref (Const (StdVec CDouble)),SwigOutput False),(CBool,SwigOutput False)]
extern "C"
void
    casadi__DaeBuilder__set_min__1(std::string ** err_msg, casadi::DaeBuilder* obj, casadi::MX* x0, std::vector< double >* x1, int x2);
void
    casadi__DaeBuilder__set_min__1(std::string ** err_msg, casadi::DaeBuilder* obj, casadi::MX* x0, std::vector< double >* x1, int x2){
    try {
        casadi::MX& x0_ = Marshaling<casadi::MX&,casadi::MX*>::marshal(x0);
        std::vector< double > x1_ = Marshaling<std::vector< double >,std::vector< double >*>::marshal(x1);
        bool x2_ = Marshaling<bool,int>::marshal(x2);

        obj->set_min(x0_, x1_, x2_);
        // x0 is not a swig output
        // x1 is not a swig output
        // x2 is not a swig output

        return;
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return;
    }
}


// ================== Normal method: "set_min" ===============
// class: "casadi::DaeBuilder"
// cppName: "casadi::DaeBuilder::set_min"
// cWrapperName: "casadi__DaeBuilder__set_min__2"
// protoArgs: "(std::string ** err_msg, casadi::DaeBuilder* obj, std::string* x0, double x1)"
// args: "(x0_, x1_)"
// rettype: CVoid
// cWrapperRetType: "void"
// proto: "void\n    casadi__DaeBuilder__set_min__2(std::string ** err_msg, casadi::DaeBuilder* obj, std::string* x0, double x1)"
// call: "        obj->set_min(x0_, x1_);"
// params: [(Ref (Const StdString),SwigOutput False),(CDouble,SwigOutput False)]
extern "C"
void
    casadi__DaeBuilder__set_min__2(std::string ** err_msg, casadi::DaeBuilder* obj, std::string* x0, double x1);
void
    casadi__DaeBuilder__set_min__2(std::string ** err_msg, casadi::DaeBuilder* obj, std::string* x0, double x1){
    try {
        std::string& x0_ = Marshaling<std::string&,std::string*>::marshal(x0);
        double x1_ = Marshaling<double,double>::marshal(x1);

        obj->set_min(x0_, x1_);
        // x0 is not a swig output
        // x1 is not a swig output

        return;
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return;
    }
}


// ================== Normal method: "set_min" ===============
// class: "casadi::DaeBuilder"
// cppName: "casadi::DaeBuilder::set_min"
// cWrapperName: "casadi__DaeBuilder__set_min__3"
// protoArgs: "(std::string ** err_msg, casadi::DaeBuilder* obj, std::string* x0, double x1, int x2)"
// args: "(x0_, x1_, x2_)"
// rettype: CVoid
// cWrapperRetType: "void"
// proto: "void\n    casadi__DaeBuilder__set_min__3(std::string ** err_msg, casadi::DaeBuilder* obj, std::string* x0, double x1, int x2)"
// call: "        obj->set_min(x0_, x1_, x2_);"
// params: [(Ref (Const StdString),SwigOutput False),(CDouble,SwigOutput False),(CBool,SwigOutput False)]
extern "C"
void
    casadi__DaeBuilder__set_min__3(std::string ** err_msg, casadi::DaeBuilder* obj, std::string* x0, double x1, int x2);
void
    casadi__DaeBuilder__set_min__3(std::string ** err_msg, casadi::DaeBuilder* obj, std::string* x0, double x1, int x2){
    try {
        std::string& x0_ = Marshaling<std::string&,std::string*>::marshal(x0);
        double x1_ = Marshaling<double,double>::marshal(x1);
        bool x2_ = Marshaling<bool,int>::marshal(x2);

        obj->set_min(x0_, x1_, x2_);
        // x0 is not a swig output
        // x1 is not a swig output
        // x2 is not a swig output

        return;
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return;
    }
}


// ================== Normal method: "set_nominal" ===============
// class: "casadi::DaeBuilder"
// cppName: "casadi::DaeBuilder::set_nominal"
// cWrapperName: "casadi__DaeBuilder__set_nominal__0"
// protoArgs: "(std::string ** err_msg, casadi::DaeBuilder* obj, casadi::MX* x0, std::vector< double >* x1)"
// args: "(x0_, x1_)"
// rettype: CVoid
// cWrapperRetType: "void"
// proto: "void\n    casadi__DaeBuilder__set_nominal__0(std::string ** err_msg, casadi::DaeBuilder* obj, casadi::MX* x0, std::vector< double >* x1)"
// call: "        obj->set_nominal(x0_, x1_);"
// params: [(Ref (Const (UserType (Namespace ["casadi"]) (Name "MX"))),SwigOutput False),(Ref (Const (StdVec CDouble)),SwigOutput False)]
extern "C"
void
    casadi__DaeBuilder__set_nominal__0(std::string ** err_msg, casadi::DaeBuilder* obj, casadi::MX* x0, std::vector< double >* x1);
void
    casadi__DaeBuilder__set_nominal__0(std::string ** err_msg, casadi::DaeBuilder* obj, casadi::MX* x0, std::vector< double >* x1){
    try {
        casadi::MX& x0_ = Marshaling<casadi::MX&,casadi::MX*>::marshal(x0);
        std::vector< double > x1_ = Marshaling<std::vector< double >,std::vector< double >*>::marshal(x1);

        obj->set_nominal(x0_, x1_);
        // x0 is not a swig output
        // x1 is not a swig output

        return;
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return;
    }
}


// ================== Normal method: "set_nominal" ===============
// class: "casadi::DaeBuilder"
// cppName: "casadi::DaeBuilder::set_nominal"
// cWrapperName: "casadi__DaeBuilder__set_nominal__1"
// protoArgs: "(std::string ** err_msg, casadi::DaeBuilder* obj, std::string* x0, double x1)"
// args: "(x0_, x1_)"
// rettype: CVoid
// cWrapperRetType: "void"
// proto: "void\n    casadi__DaeBuilder__set_nominal__1(std::string ** err_msg, casadi::DaeBuilder* obj, std::string* x0, double x1)"
// call: "        obj->set_nominal(x0_, x1_);"
// params: [(Ref (Const StdString),SwigOutput False),(CDouble,SwigOutput False)]
extern "C"
void
    casadi__DaeBuilder__set_nominal__1(std::string ** err_msg, casadi::DaeBuilder* obj, std::string* x0, double x1);
void
    casadi__DaeBuilder__set_nominal__1(std::string ** err_msg, casadi::DaeBuilder* obj, std::string* x0, double x1){
    try {
        std::string& x0_ = Marshaling<std::string&,std::string*>::marshal(x0);
        double x1_ = Marshaling<double,double>::marshal(x1);

        obj->set_nominal(x0_, x1_);
        // x0 is not a swig output
        // x1 is not a swig output

        return;
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return;
    }
}


// ================== Normal method: "set_start" ===============
// class: "casadi::DaeBuilder"
// cppName: "casadi::DaeBuilder::set_start"
// cWrapperName: "casadi__DaeBuilder__set_start__0"
// protoArgs: "(std::string ** err_msg, casadi::DaeBuilder* obj, casadi::MX* x0, std::vector< double >* x1)"
// args: "(x0_, x1_)"
// rettype: CVoid
// cWrapperRetType: "void"
// proto: "void\n    casadi__DaeBuilder__set_start__0(std::string ** err_msg, casadi::DaeBuilder* obj, casadi::MX* x0, std::vector< double >* x1)"
// call: "        obj->set_start(x0_, x1_);"
// params: [(Ref (Const (UserType (Namespace ["casadi"]) (Name "MX"))),SwigOutput False),(Ref (Const (StdVec CDouble)),SwigOutput False)]
extern "C"
void
    casadi__DaeBuilder__set_start__0(std::string ** err_msg, casadi::DaeBuilder* obj, casadi::MX* x0, std::vector< double >* x1);
void
    casadi__DaeBuilder__set_start__0(std::string ** err_msg, casadi::DaeBuilder* obj, casadi::MX* x0, std::vector< double >* x1){
    try {
        casadi::MX& x0_ = Marshaling<casadi::MX&,casadi::MX*>::marshal(x0);
        std::vector< double > x1_ = Marshaling<std::vector< double >,std::vector< double >*>::marshal(x1);

        obj->set_start(x0_, x1_);
        // x0 is not a swig output
        // x1 is not a swig output

        return;
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return;
    }
}


// ================== Normal method: "set_start" ===============
// class: "casadi::DaeBuilder"
// cppName: "casadi::DaeBuilder::set_start"
// cWrapperName: "casadi__DaeBuilder__set_start__1"
// protoArgs: "(std::string ** err_msg, casadi::DaeBuilder* obj, casadi::MX* x0, std::vector< double >* x1, int x2)"
// args: "(x0_, x1_, x2_)"
// rettype: CVoid
// cWrapperRetType: "void"
// proto: "void\n    casadi__DaeBuilder__set_start__1(std::string ** err_msg, casadi::DaeBuilder* obj, casadi::MX* x0, std::vector< double >* x1, int x2)"
// call: "        obj->set_start(x0_, x1_, x2_);"
// params: [(Ref (Const (UserType (Namespace ["casadi"]) (Name "MX"))),SwigOutput False),(Ref (Const (StdVec CDouble)),SwigOutput False),(CBool,SwigOutput False)]
extern "C"
void
    casadi__DaeBuilder__set_start__1(std::string ** err_msg, casadi::DaeBuilder* obj, casadi::MX* x0, std::vector< double >* x1, int x2);
void
    casadi__DaeBuilder__set_start__1(std::string ** err_msg, casadi::DaeBuilder* obj, casadi::MX* x0, std::vector< double >* x1, int x2){
    try {
        casadi::MX& x0_ = Marshaling<casadi::MX&,casadi::MX*>::marshal(x0);
        std::vector< double > x1_ = Marshaling<std::vector< double >,std::vector< double >*>::marshal(x1);
        bool x2_ = Marshaling<bool,int>::marshal(x2);

        obj->set_start(x0_, x1_, x2_);
        // x0 is not a swig output
        // x1 is not a swig output
        // x2 is not a swig output

        return;
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return;
    }
}


// ================== Normal method: "set_start" ===============
// class: "casadi::DaeBuilder"
// cppName: "casadi::DaeBuilder::set_start"
// cWrapperName: "casadi__DaeBuilder__set_start__2"
// protoArgs: "(std::string ** err_msg, casadi::DaeBuilder* obj, std::string* x0, double x1)"
// args: "(x0_, x1_)"
// rettype: CVoid
// cWrapperRetType: "void"
// proto: "void\n    casadi__DaeBuilder__set_start__2(std::string ** err_msg, casadi::DaeBuilder* obj, std::string* x0, double x1)"
// call: "        obj->set_start(x0_, x1_);"
// params: [(Ref (Const StdString),SwigOutput False),(CDouble,SwigOutput False)]
extern "C"
void
    casadi__DaeBuilder__set_start__2(std::string ** err_msg, casadi::DaeBuilder* obj, std::string* x0, double x1);
void
    casadi__DaeBuilder__set_start__2(std::string ** err_msg, casadi::DaeBuilder* obj, std::string* x0, double x1){
    try {
        std::string& x0_ = Marshaling<std::string&,std::string*>::marshal(x0);
        double x1_ = Marshaling<double,double>::marshal(x1);

        obj->set_start(x0_, x1_);
        // x0 is not a swig output
        // x1 is not a swig output

        return;
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return;
    }
}


// ================== Normal method: "set_start" ===============
// class: "casadi::DaeBuilder"
// cppName: "casadi::DaeBuilder::set_start"
// cWrapperName: "casadi__DaeBuilder__set_start__3"
// protoArgs: "(std::string ** err_msg, casadi::DaeBuilder* obj, std::string* x0, double x1, int x2)"
// args: "(x0_, x1_, x2_)"
// rettype: CVoid
// cWrapperRetType: "void"
// proto: "void\n    casadi__DaeBuilder__set_start__3(std::string ** err_msg, casadi::DaeBuilder* obj, std::string* x0, double x1, int x2)"
// call: "        obj->set_start(x0_, x1_, x2_);"
// params: [(Ref (Const StdString),SwigOutput False),(CDouble,SwigOutput False),(CBool,SwigOutput False)]
extern "C"
void
    casadi__DaeBuilder__set_start__3(std::string ** err_msg, casadi::DaeBuilder* obj, std::string* x0, double x1, int x2);
void
    casadi__DaeBuilder__set_start__3(std::string ** err_msg, casadi::DaeBuilder* obj, std::string* x0, double x1, int x2){
    try {
        std::string& x0_ = Marshaling<std::string&,std::string*>::marshal(x0);
        double x1_ = Marshaling<double,double>::marshal(x1);
        bool x2_ = Marshaling<bool,int>::marshal(x2);

        obj->set_start(x0_, x1_, x2_);
        // x0 is not a swig output
        // x1 is not a swig output
        // x2 is not a swig output

        return;
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return;
    }
}


// ================== Normal method: "set_unit" ===============
// class: "casadi::DaeBuilder"
// cppName: "casadi::DaeBuilder::set_unit"
// cWrapperName: "casadi__DaeBuilder__set_unit"
// protoArgs: "(std::string ** err_msg, casadi::DaeBuilder* obj, std::string* x0, std::string* x1)"
// args: "(x0_, x1_)"
// rettype: CVoid
// cWrapperRetType: "void"
// proto: "void\n    casadi__DaeBuilder__set_unit(std::string ** err_msg, casadi::DaeBuilder* obj, std::string* x0, std::string* x1)"
// call: "        obj->set_unit(x0_, x1_);"
// params: [(Ref (Const StdString),SwigOutput False),(Ref (Const StdString),SwigOutput False)]
extern "C"
void
    casadi__DaeBuilder__set_unit(std::string ** err_msg, casadi::DaeBuilder* obj, std::string* x0, std::string* x1);
void
    casadi__DaeBuilder__set_unit(std::string ** err_msg, casadi::DaeBuilder* obj, std::string* x0, std::string* x1){
    try {
        std::string& x0_ = Marshaling<std::string&,std::string*>::marshal(x0);
        std::string& x1_ = Marshaling<std::string&,std::string*>::marshal(x1);

        obj->set_unit(x0_, x1_);
        // x0 is not a swig output
        // x1 is not a swig output

        return;
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return;
    }
}


// ================== Normal method: "sort_alg" ===============
// class: "casadi::DaeBuilder"
// cppName: "casadi::DaeBuilder::sort_alg"
// cWrapperName: "casadi__DaeBuilder__sort_alg"
// protoArgs: "(std::string ** err_msg, casadi::DaeBuilder* obj)"
// args: "()"
// rettype: CVoid
// cWrapperRetType: "void"
// proto: "void\n    casadi__DaeBuilder__sort_alg(std::string ** err_msg, casadi::DaeBuilder* obj)"
// call: "        obj->sort_alg();"
// params: []
extern "C"
void
    casadi__DaeBuilder__sort_alg(std::string ** err_msg, casadi::DaeBuilder* obj);
void
    casadi__DaeBuilder__sort_alg(std::string ** err_msg, casadi::DaeBuilder* obj){
    try {

        obj->sort_alg();

        return;
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return;
    }
}


// ================== Normal method: "sort_d" ===============
// class: "casadi::DaeBuilder"
// cppName: "casadi::DaeBuilder::sort_d"
// cWrapperName: "casadi__DaeBuilder__sort_d"
// protoArgs: "(std::string ** err_msg, casadi::DaeBuilder* obj)"
// args: "()"
// rettype: CVoid
// cWrapperRetType: "void"
// proto: "void\n    casadi__DaeBuilder__sort_d(std::string ** err_msg, casadi::DaeBuilder* obj)"
// call: "        obj->sort_d();"
// params: []
extern "C"
void
    casadi__DaeBuilder__sort_d(std::string ** err_msg, casadi::DaeBuilder* obj);
void
    casadi__DaeBuilder__sort_d(std::string ** err_msg, casadi::DaeBuilder* obj){
    try {

        obj->sort_d();

        return;
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return;
    }
}


// ================== Normal method: "sort_dae" ===============
// class: "casadi::DaeBuilder"
// cppName: "casadi::DaeBuilder::sort_dae"
// cWrapperName: "casadi__DaeBuilder__sort_dae"
// protoArgs: "(std::string ** err_msg, casadi::DaeBuilder* obj)"
// args: "()"
// rettype: CVoid
// cWrapperRetType: "void"
// proto: "void\n    casadi__DaeBuilder__sort_dae(std::string ** err_msg, casadi::DaeBuilder* obj)"
// call: "        obj->sort_dae();"
// params: []
extern "C"
void
    casadi__DaeBuilder__sort_dae(std::string ** err_msg, casadi::DaeBuilder* obj);
void
    casadi__DaeBuilder__sort_dae(std::string ** err_msg, casadi::DaeBuilder* obj){
    try {

        obj->sort_dae();

        return;
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return;
    }
}


// ================== Normal method: "split_d" ===============
// class: "casadi::DaeBuilder"
// cppName: "casadi::DaeBuilder::split_d"
// cWrapperName: "casadi__DaeBuilder__split_d"
// protoArgs: "(std::string ** err_msg, casadi::DaeBuilder* obj)"
// args: "()"
// rettype: CVoid
// cWrapperRetType: "void"
// proto: "void\n    casadi__DaeBuilder__split_d(std::string ** err_msg, casadi::DaeBuilder* obj)"
// call: "        obj->split_d();"
// params: []
extern "C"
void
    casadi__DaeBuilder__split_d(std::string ** err_msg, casadi::DaeBuilder* obj);
void
    casadi__DaeBuilder__split_d(std::string ** err_msg, casadi::DaeBuilder* obj){
    try {

        obj->split_d();

        return;
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return;
    }
}


// ================== Normal method: "split_dae" ===============
// class: "casadi::DaeBuilder"
// cppName: "casadi::DaeBuilder::split_dae"
// cWrapperName: "casadi__DaeBuilder__split_dae"
// protoArgs: "(std::string ** err_msg, casadi::DaeBuilder* obj)"
// args: "()"
// rettype: CVoid
// cWrapperRetType: "void"
// proto: "void\n    casadi__DaeBuilder__split_dae(std::string ** err_msg, casadi::DaeBuilder* obj)"
// call: "        obj->split_dae();"
// params: []
extern "C"
void
    casadi__DaeBuilder__split_dae(std::string ** err_msg, casadi::DaeBuilder* obj);
void
    casadi__DaeBuilder__split_dae(std::string ** err_msg, casadi::DaeBuilder* obj){
    try {

        obj->split_dae();

        return;
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return;
    }
}


// ================== Normal method: "start" ===============
// class: "casadi::DaeBuilder"
// cppName: "casadi::DaeBuilder::start"
// cWrapperName: "casadi__DaeBuilder__start__0"
// protoArgs: "(std::string ** err_msg, casadi::DaeBuilder* obj, casadi::MX* x0)"
// args: "(x0_)"
// rettype: StdVec CDouble
// cWrapperRetType: "std::vector< double >*"
// proto: "std::vector< double >*\n    casadi__DaeBuilder__start__0(std::string ** err_msg, casadi::DaeBuilder* obj, casadi::MX* x0)"
// call: "        std::vector< double > ret = obj->start(x0_);"
// params: [(Ref (Const (UserType (Namespace ["casadi"]) (Name "MX"))),SwigOutput False)]
extern "C"
std::vector< double >*
    casadi__DaeBuilder__start__0(std::string ** err_msg, casadi::DaeBuilder* obj, casadi::MX* x0);
std::vector< double >*
    casadi__DaeBuilder__start__0(std::string ** err_msg, casadi::DaeBuilder* obj, casadi::MX* x0){
    try {
        casadi::MX& x0_ = Marshaling<casadi::MX&,casadi::MX*>::marshal(x0);

        std::vector< double > ret = obj->start(x0_);
        // x0 is not a swig output

        return WrapReturn< std::vector< double >*, std::vector< double > >::wrapReturn( ret );
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return 0;
    }
}


// ================== Normal method: "start" ===============
// class: "casadi::DaeBuilder"
// cppName: "casadi::DaeBuilder::start"
// cWrapperName: "casadi__DaeBuilder__start__1"
// protoArgs: "(std::string ** err_msg, casadi::DaeBuilder* obj, casadi::MX* x0, int x1)"
// args: "(x0_, x1_)"
// rettype: StdVec CDouble
// cWrapperRetType: "std::vector< double >*"
// proto: "std::vector< double >*\n    casadi__DaeBuilder__start__1(std::string ** err_msg, casadi::DaeBuilder* obj, casadi::MX* x0, int x1)"
// call: "        std::vector< double > ret = obj->start(x0_, x1_);"
// params: [(Ref (Const (UserType (Namespace ["casadi"]) (Name "MX"))),SwigOutput False),(CBool,SwigOutput False)]
extern "C"
std::vector< double >*
    casadi__DaeBuilder__start__1(std::string ** err_msg, casadi::DaeBuilder* obj, casadi::MX* x0, int x1);
std::vector< double >*
    casadi__DaeBuilder__start__1(std::string ** err_msg, casadi::DaeBuilder* obj, casadi::MX* x0, int x1){
    try {
        casadi::MX& x0_ = Marshaling<casadi::MX&,casadi::MX*>::marshal(x0);
        bool x1_ = Marshaling<bool,int>::marshal(x1);

        std::vector< double > ret = obj->start(x0_, x1_);
        // x0 is not a swig output
        // x1 is not a swig output

        return WrapReturn< std::vector< double >*, std::vector< double > >::wrapReturn( ret );
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return 0;
    }
}


// ================== Normal method: "start" ===============
// class: "casadi::DaeBuilder"
// cppName: "casadi::DaeBuilder::start"
// cWrapperName: "casadi__DaeBuilder__start__2"
// protoArgs: "(std::string ** err_msg, casadi::DaeBuilder* obj, std::string* x0)"
// args: "(x0_)"
// rettype: CDouble
// cWrapperRetType: "double"
// proto: "double\n    casadi__DaeBuilder__start__2(std::string ** err_msg, casadi::DaeBuilder* obj, std::string* x0)"
// call: "        double ret = obj->start(x0_);"
// params: [(Ref (Const StdString),SwigOutput False)]
extern "C"
double
    casadi__DaeBuilder__start__2(std::string ** err_msg, casadi::DaeBuilder* obj, std::string* x0);
double
    casadi__DaeBuilder__start__2(std::string ** err_msg, casadi::DaeBuilder* obj, std::string* x0){
    try {
        std::string& x0_ = Marshaling<std::string&,std::string*>::marshal(x0);

        double ret = obj->start(x0_);
        // x0 is not a swig output

        return WrapReturn< double, double >::wrapReturn( ret );
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return 0;
    }
}


// ================== Normal method: "start" ===============
// class: "casadi::DaeBuilder"
// cppName: "casadi::DaeBuilder::start"
// cWrapperName: "casadi__DaeBuilder__start__3"
// protoArgs: "(std::string ** err_msg, casadi::DaeBuilder* obj, std::string* x0, int x1)"
// args: "(x0_, x1_)"
// rettype: CDouble
// cWrapperRetType: "double"
// proto: "double\n    casadi__DaeBuilder__start__3(std::string ** err_msg, casadi::DaeBuilder* obj, std::string* x0, int x1)"
// call: "        double ret = obj->start(x0_, x1_);"
// params: [(Ref (Const StdString),SwigOutput False),(CBool,SwigOutput False)]
extern "C"
double
    casadi__DaeBuilder__start__3(std::string ** err_msg, casadi::DaeBuilder* obj, std::string* x0, int x1);
double
    casadi__DaeBuilder__start__3(std::string ** err_msg, casadi::DaeBuilder* obj, std::string* x0, int x1){
    try {
        std::string& x0_ = Marshaling<std::string&,std::string*>::marshal(x0);
        bool x1_ = Marshaling<bool,int>::marshal(x1);

        double ret = obj->start(x0_, x1_);
        // x0 is not a swig output
        // x1 is not a swig output

        return WrapReturn< double, double >::wrapReturn( ret );
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return 0;
    }
}


// ================== Normal method: "unit" ===============
// class: "casadi::DaeBuilder"
// cppName: "casadi::DaeBuilder::unit"
// cWrapperName: "casadi__DaeBuilder__unit__0"
// protoArgs: "(std::string ** err_msg, casadi::DaeBuilder* obj, casadi::MX* x0)"
// args: "(x0_)"
// rettype: StdString
// cWrapperRetType: "std::string*"
// proto: "std::string*\n    casadi__DaeBuilder__unit__0(std::string ** err_msg, casadi::DaeBuilder* obj, casadi::MX* x0)"
// call: "        std::string ret = obj->unit(x0_);"
// params: [(Ref (Const (UserType (Namespace ["casadi"]) (Name "MX"))),SwigOutput False)]
extern "C"
std::string*
    casadi__DaeBuilder__unit__0(std::string ** err_msg, casadi::DaeBuilder* obj, casadi::MX* x0);
std::string*
    casadi__DaeBuilder__unit__0(std::string ** err_msg, casadi::DaeBuilder* obj, casadi::MX* x0){
    try {
        casadi::MX& x0_ = Marshaling<casadi::MX&,casadi::MX*>::marshal(x0);

        std::string ret = obj->unit(x0_);
        // x0 is not a swig output

        return WrapReturn< std::string*, std::string >::wrapReturn( ret );
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return 0;
    }
}


// ================== Normal method: "unit" ===============
// class: "casadi::DaeBuilder"
// cppName: "casadi::DaeBuilder::unit"
// cWrapperName: "casadi__DaeBuilder__unit__1"
// protoArgs: "(std::string ** err_msg, casadi::DaeBuilder* obj, std::string* x0)"
// args: "(x0_)"
// rettype: StdString
// cWrapperRetType: "std::string*"
// proto: "std::string*\n    casadi__DaeBuilder__unit__1(std::string ** err_msg, casadi::DaeBuilder* obj, std::string* x0)"
// call: "        std::string ret = obj->unit(x0_);"
// params: [(Ref (Const StdString),SwigOutput False)]
extern "C"
std::string*
    casadi__DaeBuilder__unit__1(std::string ** err_msg, casadi::DaeBuilder* obj, std::string* x0);
std::string*
    casadi__DaeBuilder__unit__1(std::string ** err_msg, casadi::DaeBuilder* obj, std::string* x0){
    try {
        std::string& x0_ = Marshaling<std::string&,std::string*>::marshal(x0);

        std::string ret = obj->unit(x0_);
        // x0 is not a swig output

        return WrapReturn< std::string*, std::string >::wrapReturn( ret );
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return 0;
    }
}


// ================== Normal method: "variable" ===============
// class: "casadi::DaeBuilder"
// cppName: "casadi::DaeBuilder::variable"
// cWrapperName: "casadi__DaeBuilder__variable__0"
// protoArgs: "(std::string ** err_msg, casadi::DaeBuilder* obj, std::string* x0)"
// args: "(x0_)"
// rettype: Const (UserType (Namespace ["casadi"]) (Name "Variable"))
// cWrapperRetType: "casadi::Variable*"
// proto: "casadi::Variable*\n    casadi__DaeBuilder__variable__0(std::string ** err_msg, casadi::DaeBuilder* obj, std::string* x0)"
// call: "        casadi::Variable ret = obj->variable(x0_);"
// params: [(Ref (Const StdString),SwigOutput False)]
extern "C"
casadi::Variable*
    casadi__DaeBuilder__variable__0(std::string ** err_msg, casadi::DaeBuilder* obj, std::string* x0);
casadi::Variable*
    casadi__DaeBuilder__variable__0(std::string ** err_msg, casadi::DaeBuilder* obj, std::string* x0){
    try {
        std::string& x0_ = Marshaling<std::string&,std::string*>::marshal(x0);

        casadi::Variable ret = obj->variable(x0_);
        // x0 is not a swig output

        return WrapReturn< casadi::Variable*, casadi::Variable >::wrapReturn( ret );
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return 0;
    }
}


// ================== Normal method: "variable" ===============
// class: "casadi::DaeBuilder"
// cppName: "casadi::DaeBuilder::variable"
// cWrapperName: "casadi__DaeBuilder__variable__1"
// protoArgs: "(std::string ** err_msg, casadi::DaeBuilder* obj, std::string* x0)"
// args: "(x0_)"
// rettype: UserType (Namespace ["casadi"]) (Name "Variable")
// cWrapperRetType: "casadi::Variable*"
// proto: "casadi::Variable*\n    casadi__DaeBuilder__variable__1(std::string ** err_msg, casadi::DaeBuilder* obj, std::string* x0)"
// call: "        casadi::Variable ret = obj->variable(x0_);"
// params: [(Ref (Const StdString),SwigOutput False)]
extern "C"
casadi::Variable*
    casadi__DaeBuilder__variable__1(std::string ** err_msg, casadi::DaeBuilder* obj, std::string* x0);
casadi::Variable*
    casadi__DaeBuilder__variable__1(std::string ** err_msg, casadi::DaeBuilder* obj, std::string* x0){
    try {
        std::string& x0_ = Marshaling<std::string&,std::string*>::marshal(x0);

        casadi::Variable ret = obj->variable(x0_);
        // x0 is not a swig output

        return WrapReturn< casadi::Variable*, casadi::Variable >::wrapReturn( ret );
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return 0;
    }
}


// ================== Normal method: "getRepresentation" ===============
// class: "casadi::DaeBuilder"
// cppName: "casadi::DaeBuilder::getRepresentation"
// cWrapperName: "casadi__DaeBuilder__getRepresentation"
// protoArgs: "(std::string ** err_msg, casadi::DaeBuilder* obj)"
// args: "()"
// rettype: StdString
// cWrapperRetType: "std::string*"
// proto: "std::string*\n    casadi__DaeBuilder__getRepresentation(std::string ** err_msg, casadi::DaeBuilder* obj)"
// call: "        std::string ret = obj->getRepresentation();"
// params: []
extern "C"
std::string*
    casadi__DaeBuilder__getRepresentation(std::string ** err_msg, casadi::DaeBuilder* obj);
std::string*
    casadi__DaeBuilder__getRepresentation(std::string ** err_msg, casadi::DaeBuilder* obj){
    try {

        std::string ret = obj->getRepresentation();

        return WrapReturn< std::string*, std::string >::wrapReturn( ret );
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return 0;
    }
}


// ================== Normal method: "getDescription" ===============
// class: "casadi::DaeBuilder"
// cppName: "casadi::DaeBuilder::getDescription"
// cWrapperName: "casadi__DaeBuilder__getDescription"
// protoArgs: "(std::string ** err_msg, casadi::DaeBuilder* obj)"
// args: "()"
// rettype: StdString
// cWrapperRetType: "std::string*"
// proto: "std::string*\n    casadi__DaeBuilder__getDescription(std::string ** err_msg, casadi::DaeBuilder* obj)"
// call: "        std::string ret = obj->getDescription();"
// params: []
extern "C"
std::string*
    casadi__DaeBuilder__getDescription(std::string ** err_msg, casadi::DaeBuilder* obj);
std::string*
    casadi__DaeBuilder__getDescription(std::string ** err_msg, casadi::DaeBuilder* obj){
    try {

        std::string ret = obj->getDescription();

        return WrapReturn< std::string*, std::string >::wrapReturn( ret );
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return 0;
    }
}



// ================== delete UserType (Namespace ["casadi"]) (Name "Function")===============
// classType: UserType (Namespace ["casadi"]) (Name "Function")
extern "C"
void delete_casadi__Function(casadi::Function* obj);
void delete_casadi__Function(casadi::Function* obj){
    delete obj;
}

// ================== Constructor method: "CONSTRUCTOR" ===============
// class: "casadi::Function"
// cppName: "casadi::Function"
// cWrapperName: "casadi__Function__CONSTRUCTOR__0"
// protoArgs: "(std::string ** err_msg, std::string* x0, std::map< std::string, casadi::MX* >* x1, std::vector< std::string* >* x2, std::vector< std::string* >* x3)"
// args: "(x0_, x1_, x2_, x3_)"
// rettype: UserType (Namespace ["casadi"]) (Name "Function")
// cWrapperRetType: "casadi::Function*"
// proto: "casadi::Function*\n    casadi__Function__CONSTRUCTOR__0(std::string ** err_msg, std::string* x0, std::map< std::string, casadi::MX* >* x1, std::vector< std::string* >* x2, std::vector< std::string* >* x3)"
// call: "        casadi::Function* ret = (casadi::Function*)new casadi::Function(x0_, x1_, x2_, x3_);"
// params: [(Ref (Const StdString),SwigOutput False),(Ref (Const (StdMap StdString (UserType (Namespace ["casadi"]) (Name "MX")))),SwigOutput False),(Ref (Const (StdVec StdString)),SwigOutput False),(Ref (Const (StdVec StdString)),SwigOutput False)]
extern "C"
casadi::Function*
    casadi__Function__CONSTRUCTOR__0(std::string ** err_msg, std::string* x0, std::map< std::string, casadi::MX* >* x1, std::vector< std::string* >* x2, std::vector< std::string* >* x3);
casadi::Function*
    casadi__Function__CONSTRUCTOR__0(std::string ** err_msg, std::string* x0, std::map< std::string, casadi::MX* >* x1, std::vector< std::string* >* x2, std::vector< std::string* >* x3){
    try {
        std::string& x0_ = Marshaling<std::string&,std::string*>::marshal(x0);
        std::map< std::string, casadi::MX > x1_ = Marshaling<std::map< std::string, casadi::MX >,std::map< std::string, casadi::MX* >*>::marshal(x1);
        std::vector< std::string > x2_ = Marshaling<std::vector< std::string >,std::vector< std::string* >*>::marshal(x2);
        std::vector< std::string > x3_ = Marshaling<std::vector< std::string >,std::vector< std::string* >*>::marshal(x3);

        casadi::Function* ret = (casadi::Function*)new casadi::Function(x0_, x1_, x2_, x3_);
        // x0 is not a swig output
        // x1 is not a swig output
        // x2 is not a swig output
        // x3 is not a swig output

        return ret;
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return 0;
    }
}


// ================== Constructor method: "CONSTRUCTOR" ===============
// class: "casadi::Function"
// cppName: "casadi::Function"
// cWrapperName: "casadi__Function__CONSTRUCTOR__1"
// protoArgs: "(std::string ** err_msg, std::string* x0, std::map< std::string, casadi::MX* >* x1, std::vector< std::string* >* x2, std::vector< std::string* >* x3, std::map< std::string, casadi::GenericType* >* x4)"
// args: "(x0_, x1_, x2_, x3_, x4_)"
// rettype: UserType (Namespace ["casadi"]) (Name "Function")
// cWrapperRetType: "casadi::Function*"
// proto: "casadi::Function*\n    casadi__Function__CONSTRUCTOR__1(std::string ** err_msg, std::string* x0, std::map< std::string, casadi::MX* >* x1, std::vector< std::string* >* x2, std::vector< std::string* >* x3, std::map< std::string, casadi::GenericType* >* x4)"
// call: "        casadi::Function* ret = (casadi::Function*)new casadi::Function(x0_, x1_, x2_, x3_, x4_);"
// params: [(Ref (Const StdString),SwigOutput False),(Ref (Const (StdMap StdString (UserType (Namespace ["casadi"]) (Name "MX")))),SwigOutput False),(Ref (Const (StdVec StdString)),SwigOutput False),(Ref (Const (StdVec StdString)),SwigOutput False),(Ref (Const (StdMap StdString (UserType (Namespace ["casadi"]) (Name "GenericType")))),SwigOutput False)]
extern "C"
casadi::Function*
    casadi__Function__CONSTRUCTOR__1(std::string ** err_msg, std::string* x0, std::map< std::string, casadi::MX* >* x1, std::vector< std::string* >* x2, std::vector< std::string* >* x3, std::map< std::string, casadi::GenericType* >* x4);
casadi::Function*
    casadi__Function__CONSTRUCTOR__1(std::string ** err_msg, std::string* x0, std::map< std::string, casadi::MX* >* x1, std::vector< std::string* >* x2, std::vector< std::string* >* x3, std::map< std::string, casadi::GenericType* >* x4){
    try {
        std::string& x0_ = Marshaling<std::string&,std::string*>::marshal(x0);
        std::map< std::string, casadi::MX > x1_ = Marshaling<std::map< std::string, casadi::MX >,std::map< std::string, casadi::MX* >*>::marshal(x1);
        std::vector< std::string > x2_ = Marshaling<std::vector< std::string >,std::vector< std::string* >*>::marshal(x2);
        std::vector< std::string > x3_ = Marshaling<std::vector< std::string >,std::vector< std::string* >*>::marshal(x3);
        std::map< std::string, casadi::GenericType > x4_ = Marshaling<std::map< std::string, casadi::GenericType >,std::map< std::string, casadi::GenericType* >*>::marshal(x4);

        casadi::Function* ret = (casadi::Function*)new casadi::Function(x0_, x1_, x2_, x3_, x4_);
        // x0 is not a swig output
        // x1 is not a swig output
        // x2 is not a swig output
        // x3 is not a swig output
        // x4 is not a swig output

        return ret;
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return 0;
    }
}


// ================== Constructor method: "CONSTRUCTOR" ===============
// class: "casadi::Function"
// cppName: "casadi::Function"
// cWrapperName: "casadi__Function__CONSTRUCTOR__2"
// protoArgs: "(std::string ** err_msg, std::string* x0, std::vector< casadi::MX* >* x1, std::vector< casadi::MX* >* x2, std::vector< std::string* >* x3, std::vector< std::string* >* x4)"
// args: "(x0_, x1_, x2_, x3_, x4_)"
// rettype: UserType (Namespace ["casadi"]) (Name "Function")
// cWrapperRetType: "casadi::Function*"
// proto: "casadi::Function*\n    casadi__Function__CONSTRUCTOR__2(std::string ** err_msg, std::string* x0, std::vector< casadi::MX* >* x1, std::vector< casadi::MX* >* x2, std::vector< std::string* >* x3, std::vector< std::string* >* x4)"
// call: "        casadi::Function* ret = (casadi::Function*)new casadi::Function(x0_, x1_, x2_, x3_, x4_);"
// params: [(Ref (Const StdString),SwigOutput False),(Ref (Const (StdVec (UserType (Namespace ["casadi"]) (Name "MX")))),SwigOutput False),(Ref (Const (StdVec (UserType (Namespace ["casadi"]) (Name "MX")))),SwigOutput False),(Ref (Const (StdVec StdString)),SwigOutput False),(Ref (Const (StdVec StdString)),SwigOutput False)]
extern "C"
casadi::Function*
    casadi__Function__CONSTRUCTOR__2(std::string ** err_msg, std::string* x0, std::vector< casadi::MX* >* x1, std::vector< casadi::MX* >* x2, std::vector< std::string* >* x3, std::vector< std::string* >* x4);
casadi::Function*
    casadi__Function__CONSTRUCTOR__2(std::string ** err_msg, std::string* x0, std::vector< casadi::MX* >* x1, std::vector< casadi::MX* >* x2, std::vector< std::string* >* x3, std::vector< std::string* >* x4){
    try {
        std::string& x0_ = Marshaling<std::string&,std::string*>::marshal(x0);
        std::vector< casadi::MX > x1_ = Marshaling<std::vector< casadi::MX >,std::vector< casadi::MX* >*>::marshal(x1);
        std::vector< casadi::MX > x2_ = Marshaling<std::vector< casadi::MX >,std::vector< casadi::MX* >*>::marshal(x2);
        std::vector< std::string > x3_ = Marshaling<std::vector< std::string >,std::vector< std::string* >*>::marshal(x3);
        std::vector< std::string > x4_ = Marshaling<std::vector< std::string >,std::vector< std::string* >*>::marshal(x4);

        casadi::Function* ret = (casadi::Function*)new casadi::Function(x0_, x1_, x2_, x3_, x4_);
        // x0 is not a swig output
        // x1 is not a swig output
        // x2 is not a swig output
        // x3 is not a swig output
        // x4 is not a swig output

        return ret;
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return 0;
    }
}


// ================== Constructor method: "CONSTRUCTOR" ===============
// class: "casadi::Function"
// cppName: "casadi::Function"
// cWrapperName: "casadi__Function__CONSTRUCTOR__3"
// protoArgs: "(std::string ** err_msg, std::string* x0, std::vector< casadi::MX* >* x1, std::vector< casadi::MX* >* x2, std::vector< std::string* >* x3, std::vector< std::string* >* x4, std::map< std::string, casadi::GenericType* >* x5)"
// args: "(x0_, x1_, x2_, x3_, x4_, x5_)"
// rettype: UserType (Namespace ["casadi"]) (Name "Function")
// cWrapperRetType: "casadi::Function*"
// proto: "casadi::Function*\n    casadi__Function__CONSTRUCTOR__3(std::string ** err_msg, std::string* x0, std::vector< casadi::MX* >* x1, std::vector< casadi::MX* >* x2, std::vector< std::string* >* x3, std::vector< std::string* >* x4, std::map< std::string, casadi::GenericType* >* x5)"
// call: "        casadi::Function* ret = (casadi::Function*)new casadi::Function(x0_, x1_, x2_, x3_, x4_, x5_);"
// params: [(Ref (Const StdString),SwigOutput False),(Ref (Const (StdVec (UserType (Namespace ["casadi"]) (Name "MX")))),SwigOutput False),(Ref (Const (StdVec (UserType (Namespace ["casadi"]) (Name "MX")))),SwigOutput False),(Ref (Const (StdVec StdString)),SwigOutput False),(Ref (Const (StdVec StdString)),SwigOutput False),(Ref (Const (StdMap StdString (UserType (Namespace ["casadi"]) (Name "GenericType")))),SwigOutput False)]
extern "C"
casadi::Function*
    casadi__Function__CONSTRUCTOR__3(std::string ** err_msg, std::string* x0, std::vector< casadi::MX* >* x1, std::vector< casadi::MX* >* x2, std::vector< std::string* >* x3, std::vector< std::string* >* x4, std::map< std::string, casadi::GenericType* >* x5);
casadi::Function*
    casadi__Function__CONSTRUCTOR__3(std::string ** err_msg, std::string* x0, std::vector< casadi::MX* >* x1, std::vector< casadi::MX* >* x2, std::vector< std::string* >* x3, std::vector< std::string* >* x4, std::map< std::string, casadi::GenericType* >* x5){
    try {
        std::string& x0_ = Marshaling<std::string&,std::string*>::marshal(x0);
        std::vector< casadi::MX > x1_ = Marshaling<std::vector< casadi::MX >,std::vector< casadi::MX* >*>::marshal(x1);
        std::vector< casadi::MX > x2_ = Marshaling<std::vector< casadi::MX >,std::vector< casadi::MX* >*>::marshal(x2);
        std::vector< std::string > x3_ = Marshaling<std::vector< std::string >,std::vector< std::string* >*>::marshal(x3);
        std::vector< std::string > x4_ = Marshaling<std::vector< std::string >,std::vector< std::string* >*>::marshal(x4);
        std::map< std::string, casadi::GenericType > x5_ = Marshaling<std::map< std::string, casadi::GenericType >,std::map< std::string, casadi::GenericType* >*>::marshal(x5);

        casadi::Function* ret = (casadi::Function*)new casadi::Function(x0_, x1_, x2_, x3_, x4_, x5_);
        // x0 is not a swig output
        // x1 is not a swig output
        // x2 is not a swig output
        // x3 is not a swig output
        // x4 is not a swig output
        // x5 is not a swig output

        return ret;
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return 0;
    }
}


// ================== Constructor method: "CONSTRUCTOR" ===============
// class: "casadi::Function"
// cppName: "casadi::Function"
// cWrapperName: "casadi__Function__CONSTRUCTOR__4"
// protoArgs: "(std::string ** err_msg, std::string* x0, std::vector< casadi::MX* >* x1, std::vector< casadi::MX* >* x2)"
// args: "(x0_, x1_, x2_)"
// rettype: UserType (Namespace ["casadi"]) (Name "Function")
// cWrapperRetType: "casadi::Function*"
// proto: "casadi::Function*\n    casadi__Function__CONSTRUCTOR__4(std::string ** err_msg, std::string* x0, std::vector< casadi::MX* >* x1, std::vector< casadi::MX* >* x2)"
// call: "        casadi::Function* ret = (casadi::Function*)new casadi::Function(x0_, x1_, x2_);"
// params: [(Ref (Const StdString),SwigOutput False),(Ref (Const (StdVec (UserType (Namespace ["casadi"]) (Name "MX")))),SwigOutput False),(Ref (Const (StdVec (UserType (Namespace ["casadi"]) (Name "MX")))),SwigOutput False)]
extern "C"
casadi::Function*
    casadi__Function__CONSTRUCTOR__4(std::string ** err_msg, std::string* x0, std::vector< casadi::MX* >* x1, std::vector< casadi::MX* >* x2);
casadi::Function*
    casadi__Function__CONSTRUCTOR__4(std::string ** err_msg, std::string* x0, std::vector< casadi::MX* >* x1, std::vector< casadi::MX* >* x2){
    try {
        std::string& x0_ = Marshaling<std::string&,std::string*>::marshal(x0);
        std::vector< casadi::MX > x1_ = Marshaling<std::vector< casadi::MX >,std::vector< casadi::MX* >*>::marshal(x1);
        std::vector< casadi::MX > x2_ = Marshaling<std::vector< casadi::MX >,std::vector< casadi::MX* >*>::marshal(x2);

        casadi::Function* ret = (casadi::Function*)new casadi::Function(x0_, x1_, x2_);
        // x0 is not a swig output
        // x1 is not a swig output
        // x2 is not a swig output

        return ret;
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return 0;
    }
}


// ================== Constructor method: "CONSTRUCTOR" ===============
// class: "casadi::Function"
// cppName: "casadi::Function"
// cWrapperName: "casadi__Function__CONSTRUCTOR__5"
// protoArgs: "(std::string ** err_msg, std::string* x0, std::vector< casadi::MX* >* x1, std::vector< casadi::MX* >* x2, std::map< std::string, casadi::GenericType* >* x3)"
// args: "(x0_, x1_, x2_, x3_)"
// rettype: UserType (Namespace ["casadi"]) (Name "Function")
// cWrapperRetType: "casadi::Function*"
// proto: "casadi::Function*\n    casadi__Function__CONSTRUCTOR__5(std::string ** err_msg, std::string* x0, std::vector< casadi::MX* >* x1, std::vector< casadi::MX* >* x2, std::map< std::string, casadi::GenericType* >* x3)"
// call: "        casadi::Function* ret = (casadi::Function*)new casadi::Function(x0_, x1_, x2_, x3_);"
// params: [(Ref (Const StdString),SwigOutput False),(Ref (Const (StdVec (UserType (Namespace ["casadi"]) (Name "MX")))),SwigOutput False),(Ref (Const (StdVec (UserType (Namespace ["casadi"]) (Name "MX")))),SwigOutput False),(Ref (Const (StdMap StdString (UserType (Namespace ["casadi"]) (Name "GenericType")))),SwigOutput False)]
extern "C"
casadi::Function*
    casadi__Function__CONSTRUCTOR__5(std::string ** err_msg, std::string* x0, std::vector< casadi::MX* >* x1, std::vector< casadi::MX* >* x2, std::map< std::string, casadi::GenericType* >* x3);
casadi::Function*
    casadi__Function__CONSTRUCTOR__5(std::string ** err_msg, std::string* x0, std::vector< casadi::MX* >* x1, std::vector< casadi::MX* >* x2, std::map< std::string, casadi::GenericType* >* x3){
    try {
        std::string& x0_ = Marshaling<std::string&,std::string*>::marshal(x0);
        std::vector< casadi::MX > x1_ = Marshaling<std::vector< casadi::MX >,std::vector< casadi::MX* >*>::marshal(x1);
        std::vector< casadi::MX > x2_ = Marshaling<std::vector< casadi::MX >,std::vector< casadi::MX* >*>::marshal(x2);
        std::map< std::string, casadi::GenericType > x3_ = Marshaling<std::map< std::string, casadi::GenericType >,std::map< std::string, casadi::GenericType* >*>::marshal(x3);

        casadi::Function* ret = (casadi::Function*)new casadi::Function(x0_, x1_, x2_, x3_);
        // x0 is not a swig output
        // x1 is not a swig output
        // x2 is not a swig output
        // x3 is not a swig output

        return ret;
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return 0;
    }
}


// ================== Constructor method: "CONSTRUCTOR" ===============
// class: "casadi::Function"
// cppName: "casadi::Function"
// cWrapperName: "casadi__Function__CONSTRUCTOR__6"
// protoArgs: "(std::string ** err_msg, std::string* x0, std::map< std::string, casadi::SX* >* x1, std::vector< std::string* >* x2, std::vector< std::string* >* x3)"
// args: "(x0_, x1_, x2_, x3_)"
// rettype: UserType (Namespace ["casadi"]) (Name "Function")
// cWrapperRetType: "casadi::Function*"
// proto: "casadi::Function*\n    casadi__Function__CONSTRUCTOR__6(std::string ** err_msg, std::string* x0, std::map< std::string, casadi::SX* >* x1, std::vector< std::string* >* x2, std::vector< std::string* >* x3)"
// call: "        casadi::Function* ret = (casadi::Function*)new casadi::Function(x0_, x1_, x2_, x3_);"
// params: [(Ref (Const StdString),SwigOutput False),(Ref (Const (StdMap StdString (UserType (Namespace ["casadi"]) (Name "SX")))),SwigOutput False),(Ref (Const (StdVec StdString)),SwigOutput False),(Ref (Const (StdVec StdString)),SwigOutput False)]
extern "C"
casadi::Function*
    casadi__Function__CONSTRUCTOR__6(std::string ** err_msg, std::string* x0, std::map< std::string, casadi::SX* >* x1, std::vector< std::string* >* x2, std::vector< std::string* >* x3);
casadi::Function*
    casadi__Function__CONSTRUCTOR__6(std::string ** err_msg, std::string* x0, std::map< std::string, casadi::SX* >* x1, std::vector< std::string* >* x2, std::vector< std::string* >* x3){
    try {
        std::string& x0_ = Marshaling<std::string&,std::string*>::marshal(x0);
        std::map< std::string, casadi::SX > x1_ = Marshaling<std::map< std::string, casadi::SX >,std::map< std::string, casadi::SX* >*>::marshal(x1);
        std::vector< std::string > x2_ = Marshaling<std::vector< std::string >,std::vector< std::string* >*>::marshal(x2);
        std::vector< std::string > x3_ = Marshaling<std::vector< std::string >,std::vector< std::string* >*>::marshal(x3);

        casadi::Function* ret = (casadi::Function*)new casadi::Function(x0_, x1_, x2_, x3_);
        // x0 is not a swig output
        // x1 is not a swig output
        // x2 is not a swig output
        // x3 is not a swig output

        return ret;
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return 0;
    }
}


// ================== Constructor method: "CONSTRUCTOR" ===============
// class: "casadi::Function"
// cppName: "casadi::Function"
// cWrapperName: "casadi__Function__CONSTRUCTOR__7"
// protoArgs: "(std::string ** err_msg, std::string* x0, std::map< std::string, casadi::SX* >* x1, std::vector< std::string* >* x2, std::vector< std::string* >* x3, std::map< std::string, casadi::GenericType* >* x4)"
// args: "(x0_, x1_, x2_, x3_, x4_)"
// rettype: UserType (Namespace ["casadi"]) (Name "Function")
// cWrapperRetType: "casadi::Function*"
// proto: "casadi::Function*\n    casadi__Function__CONSTRUCTOR__7(std::string ** err_msg, std::string* x0, std::map< std::string, casadi::SX* >* x1, std::vector< std::string* >* x2, std::vector< std::string* >* x3, std::map< std::string, casadi::GenericType* >* x4)"
// call: "        casadi::Function* ret = (casadi::Function*)new casadi::Function(x0_, x1_, x2_, x3_, x4_);"
// params: [(Ref (Const StdString),SwigOutput False),(Ref (Const (StdMap StdString (UserType (Namespace ["casadi"]) (Name "SX")))),SwigOutput False),(Ref (Const (StdVec StdString)),SwigOutput False),(Ref (Const (StdVec StdString)),SwigOutput False),(Ref (Const (StdMap StdString (UserType (Namespace ["casadi"]) (Name "GenericType")))),SwigOutput False)]
extern "C"
casadi::Function*
    casadi__Function__CONSTRUCTOR__7(std::string ** err_msg, std::string* x0, std::map< std::string, casadi::SX* >* x1, std::vector< std::string* >* x2, std::vector< std::string* >* x3, std::map< std::string, casadi::GenericType* >* x4);
casadi::Function*
    casadi__Function__CONSTRUCTOR__7(std::string ** err_msg, std::string* x0, std::map< std::string, casadi::SX* >* x1, std::vector< std::string* >* x2, std::vector< std::string* >* x3, std::map< std::string, casadi::GenericType* >* x4){
    try {
        std::string& x0_ = Marshaling<std::string&,std::string*>::marshal(x0);
        std::map< std::string, casadi::SX > x1_ = Marshaling<std::map< std::string, casadi::SX >,std::map< std::string, casadi::SX* >*>::marshal(x1);
        std::vector< std::string > x2_ = Marshaling<std::vector< std::string >,std::vector< std::string* >*>::marshal(x2);
        std::vector< std::string > x3_ = Marshaling<std::vector< std::string >,std::vector< std::string* >*>::marshal(x3);
        std::map< std::string, casadi::GenericType > x4_ = Marshaling<std::map< std::string, casadi::GenericType >,std::map< std::string, casadi::GenericType* >*>::marshal(x4);

        casadi::Function* ret = (casadi::Function*)new casadi::Function(x0_, x1_, x2_, x3_, x4_);
        // x0 is not a swig output
        // x1 is not a swig output
        // x2 is not a swig output
        // x3 is not a swig output
        // x4 is not a swig output

        return ret;
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return 0;
    }
}


// ================== Constructor method: "CONSTRUCTOR" ===============
// class: "casadi::Function"
// cppName: "casadi::Function"
// cWrapperName: "casadi__Function__CONSTRUCTOR__8"
// protoArgs: "(std::string ** err_msg, std::string* x0, std::vector< casadi::SX* >* x1, std::vector< casadi::SX* >* x2, std::vector< std::string* >* x3, std::vector< std::string* >* x4)"
// args: "(x0_, x1_, x2_, x3_, x4_)"
// rettype: UserType (Namespace ["casadi"]) (Name "Function")
// cWrapperRetType: "casadi::Function*"
// proto: "casadi::Function*\n    casadi__Function__CONSTRUCTOR__8(std::string ** err_msg, std::string* x0, std::vector< casadi::SX* >* x1, std::vector< casadi::SX* >* x2, std::vector< std::string* >* x3, std::vector< std::string* >* x4)"
// call: "        casadi::Function* ret = (casadi::Function*)new casadi::Function(x0_, x1_, x2_, x3_, x4_);"
// params: [(Ref (Const StdString),SwigOutput False),(Ref (Const (StdVec (UserType (Namespace ["casadi"]) (Name "SX")))),SwigOutput False),(Ref (Const (StdVec (UserType (Namespace ["casadi"]) (Name "SX")))),SwigOutput False),(Ref (Const (StdVec StdString)),SwigOutput False),(Ref (Const (StdVec StdString)),SwigOutput False)]
extern "C"
casadi::Function*
    casadi__Function__CONSTRUCTOR__8(std::string ** err_msg, std::string* x0, std::vector< casadi::SX* >* x1, std::vector< casadi::SX* >* x2, std::vector< std::string* >* x3, std::vector< std::string* >* x4);
casadi::Function*
    casadi__Function__CONSTRUCTOR__8(std::string ** err_msg, std::string* x0, std::vector< casadi::SX* >* x1, std::vector< casadi::SX* >* x2, std::vector< std::string* >* x3, std::vector< std::string* >* x4){
    try {
        std::string& x0_ = Marshaling<std::string&,std::string*>::marshal(x0);
        std::vector< casadi::SX > x1_ = Marshaling<std::vector< casadi::SX >,std::vector< casadi::SX* >*>::marshal(x1);
        std::vector< casadi::SX > x2_ = Marshaling<std::vector< casadi::SX >,std::vector< casadi::SX* >*>::marshal(x2);
        std::vector< std::string > x3_ = Marshaling<std::vector< std::string >,std::vector< std::string* >*>::marshal(x3);
        std::vector< std::string > x4_ = Marshaling<std::vector< std::string >,std::vector< std::string* >*>::marshal(x4);

        casadi::Function* ret = (casadi::Function*)new casadi::Function(x0_, x1_, x2_, x3_, x4_);
        // x0 is not a swig output
        // x1 is not a swig output
        // x2 is not a swig output
        // x3 is not a swig output
        // x4 is not a swig output

        return ret;
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return 0;
    }
}


// ================== Constructor method: "CONSTRUCTOR" ===============
// class: "casadi::Function"
// cppName: "casadi::Function"
// cWrapperName: "casadi__Function__CONSTRUCTOR__9"
// protoArgs: "(std::string ** err_msg, std::string* x0, std::vector< casadi::SX* >* x1, std::vector< casadi::SX* >* x2, std::vector< std::string* >* x3, std::vector< std::string* >* x4, std::map< std::string, casadi::GenericType* >* x5)"
// args: "(x0_, x1_, x2_, x3_, x4_, x5_)"
// rettype: UserType (Namespace ["casadi"]) (Name "Function")
// cWrapperRetType: "casadi::Function*"
// proto: "casadi::Function*\n    casadi__Function__CONSTRUCTOR__9(std::string ** err_msg, std::string* x0, std::vector< casadi::SX* >* x1, std::vector< casadi::SX* >* x2, std::vector< std::string* >* x3, std::vector< std::string* >* x4, std::map< std::string, casadi::GenericType* >* x5)"
// call: "        casadi::Function* ret = (casadi::Function*)new casadi::Function(x0_, x1_, x2_, x3_, x4_, x5_);"
// params: [(Ref (Const StdString),SwigOutput False),(Ref (Const (StdVec (UserType (Namespace ["casadi"]) (Name "SX")))),SwigOutput False),(Ref (Const (StdVec (UserType (Namespace ["casadi"]) (Name "SX")))),SwigOutput False),(Ref (Const (StdVec StdString)),SwigOutput False),(Ref (Const (StdVec StdString)),SwigOutput False),(Ref (Const (StdMap StdString (UserType (Namespace ["casadi"]) (Name "GenericType")))),SwigOutput False)]
extern "C"
casadi::Function*
    casadi__Function__CONSTRUCTOR__9(std::string ** err_msg, std::string* x0, std::vector< casadi::SX* >* x1, std::vector< casadi::SX* >* x2, std::vector< std::string* >* x3, std::vector< std::string* >* x4, std::map< std::string, casadi::GenericType* >* x5);
casadi::Function*
    casadi__Function__CONSTRUCTOR__9(std::string ** err_msg, std::string* x0, std::vector< casadi::SX* >* x1, std::vector< casadi::SX* >* x2, std::vector< std::string* >* x3, std::vector< std::string* >* x4, std::map< std::string, casadi::GenericType* >* x5){
    try {
        std::string& x0_ = Marshaling<std::string&,std::string*>::marshal(x0);
        std::vector< casadi::SX > x1_ = Marshaling<std::vector< casadi::SX >,std::vector< casadi::SX* >*>::marshal(x1);
        std::vector< casadi::SX > x2_ = Marshaling<std::vector< casadi::SX >,std::vector< casadi::SX* >*>::marshal(x2);
        std::vector< std::string > x3_ = Marshaling<std::vector< std::string >,std::vector< std::string* >*>::marshal(x3);
        std::vector< std::string > x4_ = Marshaling<std::vector< std::string >,std::vector< std::string* >*>::marshal(x4);
        std::map< std::string, casadi::GenericType > x5_ = Marshaling<std::map< std::string, casadi::GenericType >,std::map< std::string, casadi::GenericType* >*>::marshal(x5);

        casadi::Function* ret = (casadi::Function*)new casadi::Function(x0_, x1_, x2_, x3_, x4_, x5_);
        // x0 is not a swig output
        // x1 is not a swig output
        // x2 is not a swig output
        // x3 is not a swig output
        // x4 is not a swig output
        // x5 is not a swig output

        return ret;
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return 0;
    }
}


// ================== Constructor method: "CONSTRUCTOR" ===============
// class: "casadi::Function"
// cppName: "casadi::Function"
// cWrapperName: "casadi__Function__CONSTRUCTOR__10"
// protoArgs: "(std::string ** err_msg, std::string* x0, std::vector< casadi::SX* >* x1, std::vector< casadi::SX* >* x2)"
// args: "(x0_, x1_, x2_)"
// rettype: UserType (Namespace ["casadi"]) (Name "Function")
// cWrapperRetType: "casadi::Function*"
// proto: "casadi::Function*\n    casadi__Function__CONSTRUCTOR__10(std::string ** err_msg, std::string* x0, std::vector< casadi::SX* >* x1, std::vector< casadi::SX* >* x2)"
// call: "        casadi::Function* ret = (casadi::Function*)new casadi::Function(x0_, x1_, x2_);"
// params: [(Ref (Const StdString),SwigOutput False),(Ref (Const (StdVec (UserType (Namespace ["casadi"]) (Name "SX")))),SwigOutput False),(Ref (Const (StdVec (UserType (Namespace ["casadi"]) (Name "SX")))),SwigOutput False)]
extern "C"
casadi::Function*
    casadi__Function__CONSTRUCTOR__10(std::string ** err_msg, std::string* x0, std::vector< casadi::SX* >* x1, std::vector< casadi::SX* >* x2);
casadi::Function*
    casadi__Function__CONSTRUCTOR__10(std::string ** err_msg, std::string* x0, std::vector< casadi::SX* >* x1, std::vector< casadi::SX* >* x2){
    try {
        std::string& x0_ = Marshaling<std::string&,std::string*>::marshal(x0);
        std::vector< casadi::SX > x1_ = Marshaling<std::vector< casadi::SX >,std::vector< casadi::SX* >*>::marshal(x1);
        std::vector< casadi::SX > x2_ = Marshaling<std::vector< casadi::SX >,std::vector< casadi::SX* >*>::marshal(x2);

        casadi::Function* ret = (casadi::Function*)new casadi::Function(x0_, x1_, x2_);
        // x0 is not a swig output
        // x1 is not a swig output
        // x2 is not a swig output

        return ret;
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return 0;
    }
}


// ================== Constructor method: "CONSTRUCTOR" ===============
// class: "casadi::Function"
// cppName: "casadi::Function"
// cWrapperName: "casadi__Function__CONSTRUCTOR__11"
// protoArgs: "(std::string ** err_msg, std::string* x0, std::vector< casadi::SX* >* x1, std::vector< casadi::SX* >* x2, std::map< std::string, casadi::GenericType* >* x3)"
// args: "(x0_, x1_, x2_, x3_)"
// rettype: UserType (Namespace ["casadi"]) (Name "Function")
// cWrapperRetType: "casadi::Function*"
// proto: "casadi::Function*\n    casadi__Function__CONSTRUCTOR__11(std::string ** err_msg, std::string* x0, std::vector< casadi::SX* >* x1, std::vector< casadi::SX* >* x2, std::map< std::string, casadi::GenericType* >* x3)"
// call: "        casadi::Function* ret = (casadi::Function*)new casadi::Function(x0_, x1_, x2_, x3_);"
// params: [(Ref (Const StdString),SwigOutput False),(Ref (Const (StdVec (UserType (Namespace ["casadi"]) (Name "SX")))),SwigOutput False),(Ref (Const (StdVec (UserType (Namespace ["casadi"]) (Name "SX")))),SwigOutput False),(Ref (Const (StdMap StdString (UserType (Namespace ["casadi"]) (Name "GenericType")))),SwigOutput False)]
extern "C"
casadi::Function*
    casadi__Function__CONSTRUCTOR__11(std::string ** err_msg, std::string* x0, std::vector< casadi::SX* >* x1, std::vector< casadi::SX* >* x2, std::map< std::string, casadi::GenericType* >* x3);
casadi::Function*
    casadi__Function__CONSTRUCTOR__11(std::string ** err_msg, std::string* x0, std::vector< casadi::SX* >* x1, std::vector< casadi::SX* >* x2, std::map< std::string, casadi::GenericType* >* x3){
    try {
        std::string& x0_ = Marshaling<std::string&,std::string*>::marshal(x0);
        std::vector< casadi::SX > x1_ = Marshaling<std::vector< casadi::SX >,std::vector< casadi::SX* >*>::marshal(x1);
        std::vector< casadi::SX > x2_ = Marshaling<std::vector< casadi::SX >,std::vector< casadi::SX* >*>::marshal(x2);
        std::map< std::string, casadi::GenericType > x3_ = Marshaling<std::map< std::string, casadi::GenericType >,std::map< std::string, casadi::GenericType* >*>::marshal(x3);

        casadi::Function* ret = (casadi::Function*)new casadi::Function(x0_, x1_, x2_, x3_);
        // x0 is not a swig output
        // x1 is not a swig output
        // x2 is not a swig output
        // x3 is not a swig output

        return ret;
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return 0;
    }
}


// ================== Constructor method: "CONSTRUCTOR" ===============
// class: "casadi::Function"
// cppName: "casadi::Function"
// cWrapperName: "casadi__Function__CONSTRUCTOR__12"
// protoArgs: "(std::string ** err_msg, std::string* x0)"
// args: "(x0_)"
// rettype: UserType (Namespace ["casadi"]) (Name "Function")
// cWrapperRetType: "casadi::Function*"
// proto: "casadi::Function*\n    casadi__Function__CONSTRUCTOR__12(std::string ** err_msg, std::string* x0)"
// call: "        casadi::Function* ret = (casadi::Function*)new casadi::Function(x0_);"
// params: [(Ref (Const StdString),SwigOutput False)]
extern "C"
casadi::Function*
    casadi__Function__CONSTRUCTOR__12(std::string ** err_msg, std::string* x0);
casadi::Function*
    casadi__Function__CONSTRUCTOR__12(std::string ** err_msg, std::string* x0){
    try {
        std::string& x0_ = Marshaling<std::string&,std::string*>::marshal(x0);

        casadi::Function* ret = (casadi::Function*)new casadi::Function(x0_);
        // x0 is not a swig output

        return ret;
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return 0;
    }
}


// ================== Constructor method: "CONSTRUCTOR" ===============
// class: "casadi::Function"
// cppName: "casadi::Function"
// cWrapperName: "casadi__Function__CONSTRUCTOR__13"
// protoArgs: "(std::string ** err_msg)"
// args: "()"
// rettype: UserType (Namespace ["casadi"]) (Name "Function")
// cWrapperRetType: "casadi::Function*"
// proto: "casadi::Function*\n    casadi__Function__CONSTRUCTOR__13(std::string ** err_msg)"
// call: "        casadi::Function* ret = (casadi::Function*)new casadi::Function();"
// params: []
extern "C"
casadi::Function*
    casadi__Function__CONSTRUCTOR__13(std::string ** err_msg);
casadi::Function*
    casadi__Function__CONSTRUCTOR__13(std::string ** err_msg){
    try {

        casadi::Function* ret = (casadi::Function*)new casadi::Function();

        return ret;
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return 0;
    }
}


// ================== Normal method: "addMonitor" ===============
// class: "casadi::Function"
// cppName: "casadi::Function::addMonitor"
// cWrapperName: "casadi__Function__addMonitor"
// protoArgs: "(std::string ** err_msg, casadi::Function* obj, std::string* x0)"
// args: "(x0_)"
// rettype: CVoid
// cWrapperRetType: "void"
// proto: "void\n    casadi__Function__addMonitor(std::string ** err_msg, casadi::Function* obj, std::string* x0)"
// call: "        obj->addMonitor(x0_);"
// params: [(Ref (Const StdString),SwigOutput False)]
extern "C"
void
    casadi__Function__addMonitor(std::string ** err_msg, casadi::Function* obj, std::string* x0);
void
    casadi__Function__addMonitor(std::string ** err_msg, casadi::Function* obj, std::string* x0){
    try {
        std::string& x0_ = Marshaling<std::string&,std::string*>::marshal(x0);

        obj->addMonitor(x0_);
        // x0 is not a swig output

        return;
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return;
    }
}


// ================== Normal method: "call" ===============
// class: "casadi::Function"
// cppName: "casadi::Function::call"
// cWrapperName: "casadi__Function__call__0"
// protoArgs: "(std::string ** err_msg, casadi::Function* obj, std::map< std::string, casadi::MX* >* x0, std::map< std::string, casadi::MX* >** x1)"
// args: "(x0_, x1_)"
// rettype: CVoid
// cWrapperRetType: "void"
// proto: "void\n    casadi__Function__call__0(std::string ** err_msg, casadi::Function* obj, std::map< std::string, casadi::MX* >* x0, std::map< std::string, casadi::MX* >** x1)"
// call: "        obj->call(x0_, x1_);"
// params: [(Ref (Const (StdMap StdString (UserType (Namespace ["casadi"]) (Name "MX")))),SwigOutput False),(Ref (StdMap StdString (UserType (Namespace ["casadi"]) (Name "MX"))),SwigOutput True)]
extern "C"
void
    casadi__Function__call__0(std::string ** err_msg, casadi::Function* obj, std::map< std::string, casadi::MX* >* x0, std::map< std::string, casadi::MX* >** x1);
void
    casadi__Function__call__0(std::string ** err_msg, casadi::Function* obj, std::map< std::string, casadi::MX* >* x0, std::map< std::string, casadi::MX* >** x1){
    try {
        std::map< std::string, casadi::MX > x0_ = Marshaling<std::map< std::string, casadi::MX >,std::map< std::string, casadi::MX* >*>::marshal(x0);
        std::map< std::string, casadi::MX > x1_ = std::map< std::string, casadi::MX >();  // Swig output

        obj->call(x0_, x1_);
        // x0 is not a swig output
        *x1 = WrapReturn< std::map< std::string, casadi::MX* >*, std::map< std::string, casadi::MX > >::wrapReturn( x1_ );

        return;
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return;
    }
}


// ================== Normal method: "call" ===============
// class: "casadi::Function"
// cppName: "casadi::Function::call"
// cWrapperName: "casadi__Function__call__1"
// protoArgs: "(std::string ** err_msg, casadi::Function* obj, std::map< std::string, casadi::MX* >* x0, std::map< std::string, casadi::MX* >** x1, int x2)"
// args: "(x0_, x1_, x2_)"
// rettype: CVoid
// cWrapperRetType: "void"
// proto: "void\n    casadi__Function__call__1(std::string ** err_msg, casadi::Function* obj, std::map< std::string, casadi::MX* >* x0, std::map< std::string, casadi::MX* >** x1, int x2)"
// call: "        obj->call(x0_, x1_, x2_);"
// params: [(Ref (Const (StdMap StdString (UserType (Namespace ["casadi"]) (Name "MX")))),SwigOutput False),(Ref (StdMap StdString (UserType (Namespace ["casadi"]) (Name "MX"))),SwigOutput True),(CBool,SwigOutput False)]
extern "C"
void
    casadi__Function__call__1(std::string ** err_msg, casadi::Function* obj, std::map< std::string, casadi::MX* >* x0, std::map< std::string, casadi::MX* >** x1, int x2);
void
    casadi__Function__call__1(std::string ** err_msg, casadi::Function* obj, std::map< std::string, casadi::MX* >* x0, std::map< std::string, casadi::MX* >** x1, int x2){
    try {
        std::map< std::string, casadi::MX > x0_ = Marshaling<std::map< std::string, casadi::MX >,std::map< std::string, casadi::MX* >*>::marshal(x0);
        std::map< std::string, casadi::MX > x1_ = std::map< std::string, casadi::MX >();  // Swig output
        bool x2_ = Marshaling<bool,int>::marshal(x2);

        obj->call(x0_, x1_, x2_);
        // x0 is not a swig output
        *x1 = WrapReturn< std::map< std::string, casadi::MX* >*, std::map< std::string, casadi::MX > >::wrapReturn( x1_ );
        // x2 is not a swig output

        return;
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return;
    }
}


// ================== Normal method: "call" ===============
// class: "casadi::Function"
// cppName: "casadi::Function::call"
// cWrapperName: "casadi__Function__call__2"
// protoArgs: "(std::string ** err_msg, casadi::Function* obj, std::map< std::string, casadi::MX* >* x0, std::map< std::string, casadi::MX* >** x1, int x2, int x3)"
// args: "(x0_, x1_, x2_, x3_)"
// rettype: CVoid
// cWrapperRetType: "void"
// proto: "void\n    casadi__Function__call__2(std::string ** err_msg, casadi::Function* obj, std::map< std::string, casadi::MX* >* x0, std::map< std::string, casadi::MX* >** x1, int x2, int x3)"
// call: "        obj->call(x0_, x1_, x2_, x3_);"
// params: [(Ref (Const (StdMap StdString (UserType (Namespace ["casadi"]) (Name "MX")))),SwigOutput False),(Ref (StdMap StdString (UserType (Namespace ["casadi"]) (Name "MX"))),SwigOutput True),(CBool,SwigOutput False),(CBool,SwigOutput False)]
extern "C"
void
    casadi__Function__call__2(std::string ** err_msg, casadi::Function* obj, std::map< std::string, casadi::MX* >* x0, std::map< std::string, casadi::MX* >** x1, int x2, int x3);
void
    casadi__Function__call__2(std::string ** err_msg, casadi::Function* obj, std::map< std::string, casadi::MX* >* x0, std::map< std::string, casadi::MX* >** x1, int x2, int x3){
    try {
        std::map< std::string, casadi::MX > x0_ = Marshaling<std::map< std::string, casadi::MX >,std::map< std::string, casadi::MX* >*>::marshal(x0);
        std::map< std::string, casadi::MX > x1_ = std::map< std::string, casadi::MX >();  // Swig output
        bool x2_ = Marshaling<bool,int>::marshal(x2);
        bool x3_ = Marshaling<bool,int>::marshal(x3);

        obj->call(x0_, x1_, x2_, x3_);
        // x0 is not a swig output
        *x1 = WrapReturn< std::map< std::string, casadi::MX* >*, std::map< std::string, casadi::MX > >::wrapReturn( x1_ );
        // x2 is not a swig output
        // x3 is not a swig output

        return;
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return;
    }
}


// ================== Normal method: "call" ===============
// class: "casadi::Function"
// cppName: "casadi::Function::call"
// cWrapperName: "casadi__Function__call__3"
// protoArgs: "(std::string ** err_msg, casadi::Function* obj, std::map< std::string, casadi::SX* >* x0, std::map< std::string, casadi::SX* >** x1)"
// args: "(x0_, x1_)"
// rettype: CVoid
// cWrapperRetType: "void"
// proto: "void\n    casadi__Function__call__3(std::string ** err_msg, casadi::Function* obj, std::map< std::string, casadi::SX* >* x0, std::map< std::string, casadi::SX* >** x1)"
// call: "        obj->call(x0_, x1_);"
// params: [(Ref (Const (StdMap StdString (UserType (Namespace ["casadi"]) (Name "SX")))),SwigOutput False),(Ref (StdMap StdString (UserType (Namespace ["casadi"]) (Name "SX"))),SwigOutput True)]
extern "C"
void
    casadi__Function__call__3(std::string ** err_msg, casadi::Function* obj, std::map< std::string, casadi::SX* >* x0, std::map< std::string, casadi::SX* >** x1);
void
    casadi__Function__call__3(std::string ** err_msg, casadi::Function* obj, std::map< std::string, casadi::SX* >* x0, std::map< std::string, casadi::SX* >** x1){
    try {
        std::map< std::string, casadi::SX > x0_ = Marshaling<std::map< std::string, casadi::SX >,std::map< std::string, casadi::SX* >*>::marshal(x0);
        std::map< std::string, casadi::SX > x1_ = std::map< std::string, casadi::SX >();  // Swig output

        obj->call(x0_, x1_);
        // x0 is not a swig output
        *x1 = WrapReturn< std::map< std::string, casadi::SX* >*, std::map< std::string, casadi::SX > >::wrapReturn( x1_ );

        return;
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return;
    }
}


// ================== Normal method: "call" ===============
// class: "casadi::Function"
// cppName: "casadi::Function::call"
// cWrapperName: "casadi__Function__call__4"
// protoArgs: "(std::string ** err_msg, casadi::Function* obj, std::map< std::string, casadi::SX* >* x0, std::map< std::string, casadi::SX* >** x1, int x2)"
// args: "(x0_, x1_, x2_)"
// rettype: CVoid
// cWrapperRetType: "void"
// proto: "void\n    casadi__Function__call__4(std::string ** err_msg, casadi::Function* obj, std::map< std::string, casadi::SX* >* x0, std::map< std::string, casadi::SX* >** x1, int x2)"
// call: "        obj->call(x0_, x1_, x2_);"
// params: [(Ref (Const (StdMap StdString (UserType (Namespace ["casadi"]) (Name "SX")))),SwigOutput False),(Ref (StdMap StdString (UserType (Namespace ["casadi"]) (Name "SX"))),SwigOutput True),(CBool,SwigOutput False)]
extern "C"
void
    casadi__Function__call__4(std::string ** err_msg, casadi::Function* obj, std::map< std::string, casadi::SX* >* x0, std::map< std::string, casadi::SX* >** x1, int x2);
void
    casadi__Function__call__4(std::string ** err_msg, casadi::Function* obj, std::map< std::string, casadi::SX* >* x0, std::map< std::string, casadi::SX* >** x1, int x2){
    try {
        std::map< std::string, casadi::SX > x0_ = Marshaling<std::map< std::string, casadi::SX >,std::map< std::string, casadi::SX* >*>::marshal(x0);
        std::map< std::string, casadi::SX > x1_ = std::map< std::string, casadi::SX >();  // Swig output
        bool x2_ = Marshaling<bool,int>::marshal(x2);

        obj->call(x0_, x1_, x2_);
        // x0 is not a swig output
        *x1 = WrapReturn< std::map< std::string, casadi::SX* >*, std::map< std::string, casadi::SX > >::wrapReturn( x1_ );
        // x2 is not a swig output

        return;
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return;
    }
}


// ================== Normal method: "call" ===============
// class: "casadi::Function"
// cppName: "casadi::Function::call"
// cWrapperName: "casadi__Function__call__5"
// protoArgs: "(std::string ** err_msg, casadi::Function* obj, std::map< std::string, casadi::SX* >* x0, std::map< std::string, casadi::SX* >** x1, int x2, int x3)"
// args: "(x0_, x1_, x2_, x3_)"
// rettype: CVoid
// cWrapperRetType: "void"
// proto: "void\n    casadi__Function__call__5(std::string ** err_msg, casadi::Function* obj, std::map< std::string, casadi::SX* >* x0, std::map< std::string, casadi::SX* >** x1, int x2, int x3)"
// call: "        obj->call(x0_, x1_, x2_, x3_);"
// params: [(Ref (Const (StdMap StdString (UserType (Namespace ["casadi"]) (Name "SX")))),SwigOutput False),(Ref (StdMap StdString (UserType (Namespace ["casadi"]) (Name "SX"))),SwigOutput True),(CBool,SwigOutput False),(CBool,SwigOutput False)]
extern "C"
void
    casadi__Function__call__5(std::string ** err_msg, casadi::Function* obj, std::map< std::string, casadi::SX* >* x0, std::map< std::string, casadi::SX* >** x1, int x2, int x3);
void
    casadi__Function__call__5(std::string ** err_msg, casadi::Function* obj, std::map< std::string, casadi::SX* >* x0, std::map< std::string, casadi::SX* >** x1, int x2, int x3){
    try {
        std::map< std::string, casadi::SX > x0_ = Marshaling<std::map< std::string, casadi::SX >,std::map< std::string, casadi::SX* >*>::marshal(x0);
        std::map< std::string, casadi::SX > x1_ = std::map< std::string, casadi::SX >();  // Swig output
        bool x2_ = Marshaling<bool,int>::marshal(x2);
        bool x3_ = Marshaling<bool,int>::marshal(x3);

        obj->call(x0_, x1_, x2_, x3_);
        // x0 is not a swig output
        *x1 = WrapReturn< std::map< std::string, casadi::SX* >*, std::map< std::string, casadi::SX > >::wrapReturn( x1_ );
        // x2 is not a swig output
        // x3 is not a swig output

        return;
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return;
    }
}


// ================== Normal method: "call" ===============
// class: "casadi::Function"
// cppName: "casadi::Function::call"
// cWrapperName: "casadi__Function__call__6"
// protoArgs: "(std::string ** err_msg, casadi::Function* obj, std::map< std::string, casadi::DM* >* x0, std::map< std::string, casadi::DM* >** x1)"
// args: "(x0_, x1_)"
// rettype: CVoid
// cWrapperRetType: "void"
// proto: "void\n    casadi__Function__call__6(std::string ** err_msg, casadi::Function* obj, std::map< std::string, casadi::DM* >* x0, std::map< std::string, casadi::DM* >** x1)"
// call: "        obj->call(x0_, x1_);"
// params: [(Ref (Const (StdMap StdString (UserType (Namespace ["casadi"]) (Name "DM")))),SwigOutput False),(Ref (StdMap StdString (UserType (Namespace ["casadi"]) (Name "DM"))),SwigOutput True)]
extern "C"
void
    casadi__Function__call__6(std::string ** err_msg, casadi::Function* obj, std::map< std::string, casadi::DM* >* x0, std::map< std::string, casadi::DM* >** x1);
void
    casadi__Function__call__6(std::string ** err_msg, casadi::Function* obj, std::map< std::string, casadi::DM* >* x0, std::map< std::string, casadi::DM* >** x1){
    try {
        std::map< std::string, casadi::DM > x0_ = Marshaling<std::map< std::string, casadi::DM >,std::map< std::string, casadi::DM* >*>::marshal(x0);
        std::map< std::string, casadi::DM > x1_ = std::map< std::string, casadi::DM >();  // Swig output

        obj->call(x0_, x1_);
        // x0 is not a swig output
        *x1 = WrapReturn< std::map< std::string, casadi::DM* >*, std::map< std::string, casadi::DM > >::wrapReturn( x1_ );

        return;
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return;
    }
}


// ================== Normal method: "call" ===============
// class: "casadi::Function"
// cppName: "casadi::Function::call"
// cWrapperName: "casadi__Function__call__7"
// protoArgs: "(std::string ** err_msg, casadi::Function* obj, std::map< std::string, casadi::DM* >* x0, std::map< std::string, casadi::DM* >** x1, int x2)"
// args: "(x0_, x1_, x2_)"
// rettype: CVoid
// cWrapperRetType: "void"
// proto: "void\n    casadi__Function__call__7(std::string ** err_msg, casadi::Function* obj, std::map< std::string, casadi::DM* >* x0, std::map< std::string, casadi::DM* >** x1, int x2)"
// call: "        obj->call(x0_, x1_, x2_);"
// params: [(Ref (Const (StdMap StdString (UserType (Namespace ["casadi"]) (Name "DM")))),SwigOutput False),(Ref (StdMap StdString (UserType (Namespace ["casadi"]) (Name "DM"))),SwigOutput True),(CBool,SwigOutput False)]
extern "C"
void
    casadi__Function__call__7(std::string ** err_msg, casadi::Function* obj, std::map< std::string, casadi::DM* >* x0, std::map< std::string, casadi::DM* >** x1, int x2);
void
    casadi__Function__call__7(std::string ** err_msg, casadi::Function* obj, std::map< std::string, casadi::DM* >* x0, std::map< std::string, casadi::DM* >** x1, int x2){
    try {
        std::map< std::string, casadi::DM > x0_ = Marshaling<std::map< std::string, casadi::DM >,std::map< std::string, casadi::DM* >*>::marshal(x0);
        std::map< std::string, casadi::DM > x1_ = std::map< std::string, casadi::DM >();  // Swig output
        bool x2_ = Marshaling<bool,int>::marshal(x2);

        obj->call(x0_, x1_, x2_);
        // x0 is not a swig output
        *x1 = WrapReturn< std::map< std::string, casadi::DM* >*, std::map< std::string, casadi::DM > >::wrapReturn( x1_ );
        // x2 is not a swig output

        return;
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return;
    }
}


// ================== Normal method: "call" ===============
// class: "casadi::Function"
// cppName: "casadi::Function::call"
// cWrapperName: "casadi__Function__call__8"
// protoArgs: "(std::string ** err_msg, casadi::Function* obj, std::map< std::string, casadi::DM* >* x0, std::map< std::string, casadi::DM* >** x1, int x2, int x3)"
// args: "(x0_, x1_, x2_, x3_)"
// rettype: CVoid
// cWrapperRetType: "void"
// proto: "void\n    casadi__Function__call__8(std::string ** err_msg, casadi::Function* obj, std::map< std::string, casadi::DM* >* x0, std::map< std::string, casadi::DM* >** x1, int x2, int x3)"
// call: "        obj->call(x0_, x1_, x2_, x3_);"
// params: [(Ref (Const (StdMap StdString (UserType (Namespace ["casadi"]) (Name "DM")))),SwigOutput False),(Ref (StdMap StdString (UserType (Namespace ["casadi"]) (Name "DM"))),SwigOutput True),(CBool,SwigOutput False),(CBool,SwigOutput False)]
extern "C"
void
    casadi__Function__call__8(std::string ** err_msg, casadi::Function* obj, std::map< std::string, casadi::DM* >* x0, std::map< std::string, casadi::DM* >** x1, int x2, int x3);
void
    casadi__Function__call__8(std::string ** err_msg, casadi::Function* obj, std::map< std::string, casadi::DM* >* x0, std::map< std::string, casadi::DM* >** x1, int x2, int x3){
    try {
        std::map< std::string, casadi::DM > x0_ = Marshaling<std::map< std::string, casadi::DM >,std::map< std::string, casadi::DM* >*>::marshal(x0);
        std::map< std::string, casadi::DM > x1_ = std::map< std::string, casadi::DM >();  // Swig output
        bool x2_ = Marshaling<bool,int>::marshal(x2);
        bool x3_ = Marshaling<bool,int>::marshal(x3);

        obj->call(x0_, x1_, x2_, x3_);
        // x0 is not a swig output
        *x1 = WrapReturn< std::map< std::string, casadi::DM* >*, std::map< std::string, casadi::DM > >::wrapReturn( x1_ );
        // x2 is not a swig output
        // x3 is not a swig output

        return;
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return;
    }
}


// ================== Normal method: "call" ===============
// class: "casadi::Function"
// cppName: "casadi::Function::call"
// cWrapperName: "casadi__Function__call__9"
// protoArgs: "(std::string ** err_msg, casadi::Function* obj, std::vector< casadi::MX* >* x0, std::vector< casadi::MX* >** x1)"
// args: "(x0_, x1_)"
// rettype: CVoid
// cWrapperRetType: "void"
// proto: "void\n    casadi__Function__call__9(std::string ** err_msg, casadi::Function* obj, std::vector< casadi::MX* >* x0, std::vector< casadi::MX* >** x1)"
// call: "        obj->call(x0_, x1_);"
// params: [(Ref (Const (StdVec (UserType (Namespace ["casadi"]) (Name "MX")))),SwigOutput False),(Ref (StdVec (UserType (Namespace ["casadi"]) (Name "MX"))),SwigOutput True)]
extern "C"
void
    casadi__Function__call__9(std::string ** err_msg, casadi::Function* obj, std::vector< casadi::MX* >* x0, std::vector< casadi::MX* >** x1);
void
    casadi__Function__call__9(std::string ** err_msg, casadi::Function* obj, std::vector< casadi::MX* >* x0, std::vector< casadi::MX* >** x1){
    try {
        std::vector< casadi::MX > x0_ = Marshaling<std::vector< casadi::MX >,std::vector< casadi::MX* >*>::marshal(x0);
        std::vector< casadi::MX > x1_ = std::vector< casadi::MX >();  // Swig output

        obj->call(x0_, x1_);
        // x0 is not a swig output
        *x1 = WrapReturn< std::vector< casadi::MX* >*, std::vector< casadi::MX > >::wrapReturn( x1_ );

        return;
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return;
    }
}


// ================== Normal method: "call" ===============
// class: "casadi::Function"
// cppName: "casadi::Function::call"
// cWrapperName: "casadi__Function__call__10"
// protoArgs: "(std::string ** err_msg, casadi::Function* obj, std::vector< casadi::MX* >* x0, std::vector< casadi::MX* >** x1, int x2)"
// args: "(x0_, x1_, x2_)"
// rettype: CVoid
// cWrapperRetType: "void"
// proto: "void\n    casadi__Function__call__10(std::string ** err_msg, casadi::Function* obj, std::vector< casadi::MX* >* x0, std::vector< casadi::MX* >** x1, int x2)"
// call: "        obj->call(x0_, x1_, x2_);"
// params: [(Ref (Const (StdVec (UserType (Namespace ["casadi"]) (Name "MX")))),SwigOutput False),(Ref (StdVec (UserType (Namespace ["casadi"]) (Name "MX"))),SwigOutput True),(CBool,SwigOutput False)]
extern "C"
void
    casadi__Function__call__10(std::string ** err_msg, casadi::Function* obj, std::vector< casadi::MX* >* x0, std::vector< casadi::MX* >** x1, int x2);
void
    casadi__Function__call__10(std::string ** err_msg, casadi::Function* obj, std::vector< casadi::MX* >* x0, std::vector< casadi::MX* >** x1, int x2){
    try {
        std::vector< casadi::MX > x0_ = Marshaling<std::vector< casadi::MX >,std::vector< casadi::MX* >*>::marshal(x0);
        std::vector< casadi::MX > x1_ = std::vector< casadi::MX >();  // Swig output
        bool x2_ = Marshaling<bool,int>::marshal(x2);

        obj->call(x0_, x1_, x2_);
        // x0 is not a swig output
        *x1 = WrapReturn< std::vector< casadi::MX* >*, std::vector< casadi::MX > >::wrapReturn( x1_ );
        // x2 is not a swig output

        return;
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return;
    }
}


// ================== Normal method: "call" ===============
// class: "casadi::Function"
// cppName: "casadi::Function::call"
// cWrapperName: "casadi__Function__call__11"
// protoArgs: "(std::string ** err_msg, casadi::Function* obj, std::vector< casadi::MX* >* x0, std::vector< casadi::MX* >** x1, int x2, int x3)"
// args: "(x0_, x1_, x2_, x3_)"
// rettype: CVoid
// cWrapperRetType: "void"
// proto: "void\n    casadi__Function__call__11(std::string ** err_msg, casadi::Function* obj, std::vector< casadi::MX* >* x0, std::vector< casadi::MX* >** x1, int x2, int x3)"
// call: "        obj->call(x0_, x1_, x2_, x3_);"
// params: [(Ref (Const (StdVec (UserType (Namespace ["casadi"]) (Name "MX")))),SwigOutput False),(Ref (StdVec (UserType (Namespace ["casadi"]) (Name "MX"))),SwigOutput True),(CBool,SwigOutput False),(CBool,SwigOutput False)]
extern "C"
void
    casadi__Function__call__11(std::string ** err_msg, casadi::Function* obj, std::vector< casadi::MX* >* x0, std::vector< casadi::MX* >** x1, int x2, int x3);
void
    casadi__Function__call__11(std::string ** err_msg, casadi::Function* obj, std::vector< casadi::MX* >* x0, std::vector< casadi::MX* >** x1, int x2, int x3){
    try {
        std::vector< casadi::MX > x0_ = Marshaling<std::vector< casadi::MX >,std::vector< casadi::MX* >*>::marshal(x0);
        std::vector< casadi::MX > x1_ = std::vector< casadi::MX >();  // Swig output
        bool x2_ = Marshaling<bool,int>::marshal(x2);
        bool x3_ = Marshaling<bool,int>::marshal(x3);

        obj->call(x0_, x1_, x2_, x3_);
        // x0 is not a swig output
        *x1 = WrapReturn< std::vector< casadi::MX* >*, std::vector< casadi::MX > >::wrapReturn( x1_ );
        // x2 is not a swig output
        // x3 is not a swig output

        return;
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return;
    }
}


// ================== Normal method: "call" ===============
// class: "casadi::Function"
// cppName: "casadi::Function::call"
// cWrapperName: "casadi__Function__call__12"
// protoArgs: "(std::string ** err_msg, casadi::Function* obj, std::vector< casadi::SX* >* x0, std::vector< casadi::SX* >** x1)"
// args: "(x0_, x1_)"
// rettype: CVoid
// cWrapperRetType: "void"
// proto: "void\n    casadi__Function__call__12(std::string ** err_msg, casadi::Function* obj, std::vector< casadi::SX* >* x0, std::vector< casadi::SX* >** x1)"
// call: "        obj->call(x0_, x1_);"
// params: [(Ref (Const (StdVec (UserType (Namespace ["casadi"]) (Name "SX")))),SwigOutput False),(Ref (StdVec (UserType (Namespace ["casadi"]) (Name "SX"))),SwigOutput True)]
extern "C"
void
    casadi__Function__call__12(std::string ** err_msg, casadi::Function* obj, std::vector< casadi::SX* >* x0, std::vector< casadi::SX* >** x1);
void
    casadi__Function__call__12(std::string ** err_msg, casadi::Function* obj, std::vector< casadi::SX* >* x0, std::vector< casadi::SX* >** x1){
    try {
        std::vector< casadi::SX > x0_ = Marshaling<std::vector< casadi::SX >,std::vector< casadi::SX* >*>::marshal(x0);
        std::vector< casadi::SX > x1_ = std::vector< casadi::SX >();  // Swig output

        obj->call(x0_, x1_);
        // x0 is not a swig output
        *x1 = WrapReturn< std::vector< casadi::SX* >*, std::vector< casadi::SX > >::wrapReturn( x1_ );

        return;
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return;
    }
}


// ================== Normal method: "call" ===============
// class: "casadi::Function"
// cppName: "casadi::Function::call"
// cWrapperName: "casadi__Function__call__13"
// protoArgs: "(std::string ** err_msg, casadi::Function* obj, std::vector< casadi::SX* >* x0, std::vector< casadi::SX* >** x1, int x2)"
// args: "(x0_, x1_, x2_)"
// rettype: CVoid
// cWrapperRetType: "void"
// proto: "void\n    casadi__Function__call__13(std::string ** err_msg, casadi::Function* obj, std::vector< casadi::SX* >* x0, std::vector< casadi::SX* >** x1, int x2)"
// call: "        obj->call(x0_, x1_, x2_);"
// params: [(Ref (Const (StdVec (UserType (Namespace ["casadi"]) (Name "SX")))),SwigOutput False),(Ref (StdVec (UserType (Namespace ["casadi"]) (Name "SX"))),SwigOutput True),(CBool,SwigOutput False)]
extern "C"
void
    casadi__Function__call__13(std::string ** err_msg, casadi::Function* obj, std::vector< casadi::SX* >* x0, std::vector< casadi::SX* >** x1, int x2);
void
    casadi__Function__call__13(std::string ** err_msg, casadi::Function* obj, std::vector< casadi::SX* >* x0, std::vector< casadi::SX* >** x1, int x2){
    try {
        std::vector< casadi::SX > x0_ = Marshaling<std::vector< casadi::SX >,std::vector< casadi::SX* >*>::marshal(x0);
        std::vector< casadi::SX > x1_ = std::vector< casadi::SX >();  // Swig output
        bool x2_ = Marshaling<bool,int>::marshal(x2);

        obj->call(x0_, x1_, x2_);
        // x0 is not a swig output
        *x1 = WrapReturn< std::vector< casadi::SX* >*, std::vector< casadi::SX > >::wrapReturn( x1_ );
        // x2 is not a swig output

        return;
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return;
    }
}


// ================== Normal method: "call" ===============
// class: "casadi::Function"
// cppName: "casadi::Function::call"
// cWrapperName: "casadi__Function__call__14"
// protoArgs: "(std::string ** err_msg, casadi::Function* obj, std::vector< casadi::SX* >* x0, std::vector< casadi::SX* >** x1, int x2, int x3)"
// args: "(x0_, x1_, x2_, x3_)"
// rettype: CVoid
// cWrapperRetType: "void"
// proto: "void\n    casadi__Function__call__14(std::string ** err_msg, casadi::Function* obj, std::vector< casadi::SX* >* x0, std::vector< casadi::SX* >** x1, int x2, int x3)"
// call: "        obj->call(x0_, x1_, x2_, x3_);"
// params: [(Ref (Const (StdVec (UserType (Namespace ["casadi"]) (Name "SX")))),SwigOutput False),(Ref (StdVec (UserType (Namespace ["casadi"]) (Name "SX"))),SwigOutput True),(CBool,SwigOutput False),(CBool,SwigOutput False)]
extern "C"
void
    casadi__Function__call__14(std::string ** err_msg, casadi::Function* obj, std::vector< casadi::SX* >* x0, std::vector< casadi::SX* >** x1, int x2, int x3);
void
    casadi__Function__call__14(std::string ** err_msg, casadi::Function* obj, std::vector< casadi::SX* >* x0, std::vector< casadi::SX* >** x1, int x2, int x3){
    try {
        std::vector< casadi::SX > x0_ = Marshaling<std::vector< casadi::SX >,std::vector< casadi::SX* >*>::marshal(x0);
        std::vector< casadi::SX > x1_ = std::vector< casadi::SX >();  // Swig output
        bool x2_ = Marshaling<bool,int>::marshal(x2);
        bool x3_ = Marshaling<bool,int>::marshal(x3);

        obj->call(x0_, x1_, x2_, x3_);
        // x0 is not a swig output
        *x1 = WrapReturn< std::vector< casadi::SX* >*, std::vector< casadi::SX > >::wrapReturn( x1_ );
        // x2 is not a swig output
        // x3 is not a swig output

        return;
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return;
    }
}


// ================== Normal method: "call" ===============
// class: "casadi::Function"
// cppName: "casadi::Function::call"
// cWrapperName: "casadi__Function__call__15"
// protoArgs: "(std::string ** err_msg, casadi::Function* obj, std::vector< casadi::DM* >* x0, std::vector< casadi::DM* >** x1)"
// args: "(x0_, x1_)"
// rettype: CVoid
// cWrapperRetType: "void"
// proto: "void\n    casadi__Function__call__15(std::string ** err_msg, casadi::Function* obj, std::vector< casadi::DM* >* x0, std::vector< casadi::DM* >** x1)"
// call: "        obj->call(x0_, x1_);"
// params: [(Ref (Const (StdVec (UserType (Namespace ["casadi"]) (Name "DM")))),SwigOutput False),(Ref (StdVec (UserType (Namespace ["casadi"]) (Name "DM"))),SwigOutput True)]
extern "C"
void
    casadi__Function__call__15(std::string ** err_msg, casadi::Function* obj, std::vector< casadi::DM* >* x0, std::vector< casadi::DM* >** x1);
void
    casadi__Function__call__15(std::string ** err_msg, casadi::Function* obj, std::vector< casadi::DM* >* x0, std::vector< casadi::DM* >** x1){
    try {
        std::vector< casadi::DM > x0_ = Marshaling<std::vector< casadi::DM >,std::vector< casadi::DM* >*>::marshal(x0);
        std::vector< casadi::DM > x1_ = std::vector< casadi::DM >();  // Swig output

        obj->call(x0_, x1_);
        // x0 is not a swig output
        *x1 = WrapReturn< std::vector< casadi::DM* >*, std::vector< casadi::DM > >::wrapReturn( x1_ );

        return;
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return;
    }
}


// ================== Normal method: "call" ===============
// class: "casadi::Function"
// cppName: "casadi::Function::call"
// cWrapperName: "casadi__Function__call__16"
// protoArgs: "(std::string ** err_msg, casadi::Function* obj, std::vector< casadi::DM* >* x0, std::vector< casadi::DM* >** x1, int x2)"
// args: "(x0_, x1_, x2_)"
// rettype: CVoid
// cWrapperRetType: "void"
// proto: "void\n    casadi__Function__call__16(std::string ** err_msg, casadi::Function* obj, std::vector< casadi::DM* >* x0, std::vector< casadi::DM* >** x1, int x2)"
// call: "        obj->call(x0_, x1_, x2_);"
// params: [(Ref (Const (StdVec (UserType (Namespace ["casadi"]) (Name "DM")))),SwigOutput False),(Ref (StdVec (UserType (Namespace ["casadi"]) (Name "DM"))),SwigOutput True),(CBool,SwigOutput False)]
extern "C"
void
    casadi__Function__call__16(std::string ** err_msg, casadi::Function* obj, std::vector< casadi::DM* >* x0, std::vector< casadi::DM* >** x1, int x2);
void
    casadi__Function__call__16(std::string ** err_msg, casadi::Function* obj, std::vector< casadi::DM* >* x0, std::vector< casadi::DM* >** x1, int x2){
    try {
        std::vector< casadi::DM > x0_ = Marshaling<std::vector< casadi::DM >,std::vector< casadi::DM* >*>::marshal(x0);
        std::vector< casadi::DM > x1_ = std::vector< casadi::DM >();  // Swig output
        bool x2_ = Marshaling<bool,int>::marshal(x2);

        obj->call(x0_, x1_, x2_);
        // x0 is not a swig output
        *x1 = WrapReturn< std::vector< casadi::DM* >*, std::vector< casadi::DM > >::wrapReturn( x1_ );
        // x2 is not a swig output

        return;
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return;
    }
}


// ================== Normal method: "call" ===============
// class: "casadi::Function"
// cppName: "casadi::Function::call"
// cWrapperName: "casadi__Function__call__17"
// protoArgs: "(std::string ** err_msg, casadi::Function* obj, std::vector< casadi::DM* >* x0, std::vector< casadi::DM* >** x1, int x2, int x3)"
// args: "(x0_, x1_, x2_, x3_)"
// rettype: CVoid
// cWrapperRetType: "void"
// proto: "void\n    casadi__Function__call__17(std::string ** err_msg, casadi::Function* obj, std::vector< casadi::DM* >* x0, std::vector< casadi::DM* >** x1, int x2, int x3)"
// call: "        obj->call(x0_, x1_, x2_, x3_);"
// params: [(Ref (Const (StdVec (UserType (Namespace ["casadi"]) (Name "DM")))),SwigOutput False),(Ref (StdVec (UserType (Namespace ["casadi"]) (Name "DM"))),SwigOutput True),(CBool,SwigOutput False),(CBool,SwigOutput False)]
extern "C"
void
    casadi__Function__call__17(std::string ** err_msg, casadi::Function* obj, std::vector< casadi::DM* >* x0, std::vector< casadi::DM* >** x1, int x2, int x3);
void
    casadi__Function__call__17(std::string ** err_msg, casadi::Function* obj, std::vector< casadi::DM* >* x0, std::vector< casadi::DM* >** x1, int x2, int x3){
    try {
        std::vector< casadi::DM > x0_ = Marshaling<std::vector< casadi::DM >,std::vector< casadi::DM* >*>::marshal(x0);
        std::vector< casadi::DM > x1_ = std::vector< casadi::DM >();  // Swig output
        bool x2_ = Marshaling<bool,int>::marshal(x2);
        bool x3_ = Marshaling<bool,int>::marshal(x3);

        obj->call(x0_, x1_, x2_, x3_);
        // x0 is not a swig output
        *x1 = WrapReturn< std::vector< casadi::DM* >*, std::vector< casadi::DM > >::wrapReturn( x1_ );
        // x2 is not a swig output
        // x3 is not a swig output

        return;
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return;
    }
}


// ================== Normal method: "checkInputs" ===============
// class: "casadi::Function"
// cppName: "casadi::Function::checkInputs"
// cWrapperName: "casadi__Function__checkInputs"
// protoArgs: "(std::string ** err_msg, casadi::Function* obj)"
// args: "()"
// rettype: CVoid
// cWrapperRetType: "void"
// proto: "void\n    casadi__Function__checkInputs(std::string ** err_msg, casadi::Function* obj)"
// call: "        obj->checkInputs();"
// params: []
extern "C"
void
    casadi__Function__checkInputs(std::string ** err_msg, casadi::Function* obj);
void
    casadi__Function__checkInputs(std::string ** err_msg, casadi::Function* obj){
    try {

        obj->checkInputs();

        return;
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return;
    }
}


// ================== Static method: "check_name" ===============
// class: "casadi::Function"
// cppName: "casadi::Function::check_name"
// cWrapperName: "casadi__Function__check_name"
// protoArgs: "(std::string ** err_msg, std::string* x0)"
// args: "(x0_)"
// rettype: CBool
// cWrapperRetType: "int"
// proto: "int\n    casadi__Function__check_name(std::string ** err_msg, std::string* x0)"
// call: "        bool ret = casadi::Function::check_name(x0_);"
// params: [(Ref (Const StdString),SwigOutput False)]
extern "C"
int
    casadi__Function__check_name(std::string ** err_msg, std::string* x0);
int
    casadi__Function__check_name(std::string ** err_msg, std::string* x0){
    try {
        std::string& x0_ = Marshaling<std::string&,std::string*>::marshal(x0);

        bool ret = casadi::Function::check_name(x0_);
        // x0 is not a swig output

        return WrapReturn< int, bool >::wrapReturn( ret );
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return 0;
    }
}


// ================== Normal method: "checkout" ===============
// class: "casadi::Function"
// cppName: "casadi::Function::checkout"
// cWrapperName: "casadi__Function__checkout"
// protoArgs: "(std::string ** err_msg, casadi::Function* obj)"
// args: "()"
// rettype: CInt
// cWrapperRetType: "int"
// proto: "int\n    casadi__Function__checkout(std::string ** err_msg, casadi::Function* obj)"
// call: "        int ret = obj->checkout();"
// params: []
extern "C"
int
    casadi__Function__checkout(std::string ** err_msg, casadi::Function* obj);
int
    casadi__Function__checkout(std::string ** err_msg, casadi::Function* obj){
    try {

        int ret = obj->checkout();

        return WrapReturn< int, int >::wrapReturn( ret );
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return 0;
    }
}


// ================== Static method: "conditional" ===============
// class: "casadi::Function"
// cppName: "casadi::Function::conditional"
// cWrapperName: "casadi__Function__conditional__0"
// protoArgs: "(std::string ** err_msg, std::string* x0, std::vector< casadi::Function* >* x1, casadi::Function* x2)"
// args: "(x0_, x1_, x2_)"
// rettype: UserType (Namespace ["casadi"]) (Name "Function")
// cWrapperRetType: "casadi::Function*"
// proto: "casadi::Function*\n    casadi__Function__conditional__0(std::string ** err_msg, std::string* x0, std::vector< casadi::Function* >* x1, casadi::Function* x2)"
// call: "        casadi::Function ret = casadi::Function::conditional(x0_, x1_, x2_);"
// params: [(Ref (Const StdString),SwigOutput False),(Ref (Const (StdVec (UserType (Namespace ["casadi"]) (Name "Function")))),SwigOutput False),(Ref (Const (UserType (Namespace ["casadi"]) (Name "Function"))),SwigOutput False)]
extern "C"
casadi::Function*
    casadi__Function__conditional__0(std::string ** err_msg, std::string* x0, std::vector< casadi::Function* >* x1, casadi::Function* x2);
casadi::Function*
    casadi__Function__conditional__0(std::string ** err_msg, std::string* x0, std::vector< casadi::Function* >* x1, casadi::Function* x2){
    try {
        std::string& x0_ = Marshaling<std::string&,std::string*>::marshal(x0);
        std::vector< casadi::Function > x1_ = Marshaling<std::vector< casadi::Function >,std::vector< casadi::Function* >*>::marshal(x1);
        casadi::Function& x2_ = Marshaling<casadi::Function&,casadi::Function*>::marshal(x2);

        casadi::Function ret = casadi::Function::conditional(x0_, x1_, x2_);
        // x0 is not a swig output
        // x1 is not a swig output
        // x2 is not a swig output

        return WrapReturn< casadi::Function*, casadi::Function >::wrapReturn( ret );
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return 0;
    }
}


// ================== Static method: "conditional" ===============
// class: "casadi::Function"
// cppName: "casadi::Function::conditional"
// cWrapperName: "casadi__Function__conditional__1"
// protoArgs: "(std::string ** err_msg, std::string* x0, std::vector< casadi::Function* >* x1, casadi::Function* x2, std::map< std::string, casadi::GenericType* >* x3)"
// args: "(x0_, x1_, x2_, x3_)"
// rettype: UserType (Namespace ["casadi"]) (Name "Function")
// cWrapperRetType: "casadi::Function*"
// proto: "casadi::Function*\n    casadi__Function__conditional__1(std::string ** err_msg, std::string* x0, std::vector< casadi::Function* >* x1, casadi::Function* x2, std::map< std::string, casadi::GenericType* >* x3)"
// call: "        casadi::Function ret = casadi::Function::conditional(x0_, x1_, x2_, x3_);"
// params: [(Ref (Const StdString),SwigOutput False),(Ref (Const (StdVec (UserType (Namespace ["casadi"]) (Name "Function")))),SwigOutput False),(Ref (Const (UserType (Namespace ["casadi"]) (Name "Function"))),SwigOutput False),(Ref (Const (StdMap StdString (UserType (Namespace ["casadi"]) (Name "GenericType")))),SwigOutput False)]
extern "C"
casadi::Function*
    casadi__Function__conditional__1(std::string ** err_msg, std::string* x0, std::vector< casadi::Function* >* x1, casadi::Function* x2, std::map< std::string, casadi::GenericType* >* x3);
casadi::Function*
    casadi__Function__conditional__1(std::string ** err_msg, std::string* x0, std::vector< casadi::Function* >* x1, casadi::Function* x2, std::map< std::string, casadi::GenericType* >* x3){
    try {
        std::string& x0_ = Marshaling<std::string&,std::string*>::marshal(x0);
        std::vector< casadi::Function > x1_ = Marshaling<std::vector< casadi::Function >,std::vector< casadi::Function* >*>::marshal(x1);
        casadi::Function& x2_ = Marshaling<casadi::Function&,casadi::Function*>::marshal(x2);
        std::map< std::string, casadi::GenericType > x3_ = Marshaling<std::map< std::string, casadi::GenericType >,std::map< std::string, casadi::GenericType* >*>::marshal(x3);

        casadi::Function ret = casadi::Function::conditional(x0_, x1_, x2_, x3_);
        // x0 is not a swig output
        // x1 is not a swig output
        // x2 is not a swig output
        // x3 is not a swig output

        return WrapReturn< casadi::Function*, casadi::Function >::wrapReturn( ret );
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return 0;
    }
}


// ================== Normal method: "default_in" ===============
// class: "casadi::Function"
// cppName: "casadi::Function::default_in"
// cWrapperName: "casadi__Function__default_in"
// protoArgs: "(std::string ** err_msg, casadi::Function* obj, int x0)"
// args: "(x0_)"
// rettype: CDouble
// cWrapperRetType: "double"
// proto: "double\n    casadi__Function__default_in(std::string ** err_msg, casadi::Function* obj, int x0)"
// call: "        double ret = obj->default_in(x0_);"
// params: [(CInt,SwigOutput False)]
extern "C"
double
    casadi__Function__default_in(std::string ** err_msg, casadi::Function* obj, int x0);
double
    casadi__Function__default_in(std::string ** err_msg, casadi::Function* obj, int x0){
    try {
        int x0_ = Marshaling<int,int>::marshal(x0);

        double ret = obj->default_in(x0_);
        // x0 is not a swig output

        return WrapReturn< double, double >::wrapReturn( ret );
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return 0;
    }
}


// ================== Normal method: "derivative" ===============
// class: "casadi::Function"
// cppName: "casadi::Function::derivative"
// cWrapperName: "casadi__Function__derivative__0"
// protoArgs: "(std::string ** err_msg, casadi::Function* obj, int x0, int x1)"
// args: "(x0_, x1_)"
// rettype: UserType (Namespace ["casadi"]) (Name "Function")
// cWrapperRetType: "casadi::Function*"
// proto: "casadi::Function*\n    casadi__Function__derivative__0(std::string ** err_msg, casadi::Function* obj, int x0, int x1)"
// call: "        casadi::Function ret = obj->derivative(x0_, x1_);"
// params: [(CInt,SwigOutput False),(CInt,SwigOutput False)]
extern "C"
casadi::Function*
    casadi__Function__derivative__0(std::string ** err_msg, casadi::Function* obj, int x0, int x1);
casadi::Function*
    casadi__Function__derivative__0(std::string ** err_msg, casadi::Function* obj, int x0, int x1){
    try {
        int x0_ = Marshaling<int,int>::marshal(x0);
        int x1_ = Marshaling<int,int>::marshal(x1);

        casadi::Function ret = obj->derivative(x0_, x1_);
        // x0 is not a swig output
        // x1 is not a swig output

        return WrapReturn< casadi::Function*, casadi::Function >::wrapReturn( ret );
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return 0;
    }
}


// ================== Normal method: "derivative" ===============
// class: "casadi::Function"
// cppName: "casadi::Function::derivative"
// cWrapperName: "casadi__Function__derivative__1"
// protoArgs: "(std::string ** err_msg, casadi::Function* obj, std::vector< casadi::MX* >* x0, std::vector< casadi::MX* >** x1, std::vector< std::vector< casadi::MX* >* >* x2, std::vector< std::vector< casadi::MX* >* >** x3, std::vector< std::vector< casadi::MX* >* >* x4, std::vector< std::vector< casadi::MX* >* >** x5)"
// args: "(x0_, x1_, x2_, x3_, x4_, x5_)"
// rettype: CVoid
// cWrapperRetType: "void"
// proto: "void\n    casadi__Function__derivative__1(std::string ** err_msg, casadi::Function* obj, std::vector< casadi::MX* >* x0, std::vector< casadi::MX* >** x1, std::vector< std::vector< casadi::MX* >* >* x2, std::vector< std::vector< casadi::MX* >* >** x3, std::vector< std::vector< casadi::MX* >* >* x4, std::vector< std::vector< casadi::MX* >* >** x5)"
// call: "        obj->derivative(x0_, x1_, x2_, x3_, x4_, x5_);"
// params: [(Ref (Const (StdVec (UserType (Namespace ["casadi"]) (Name "MX")))),SwigOutput False),(Ref (StdVec (UserType (Namespace ["casadi"]) (Name "MX"))),SwigOutput True),(Ref (Const (StdVec (StdVec (UserType (Namespace ["casadi"]) (Name "MX"))))),SwigOutput False),(Ref (StdVec (StdVec (UserType (Namespace ["casadi"]) (Name "MX")))),SwigOutput True),(Ref (Const (StdVec (StdVec (UserType (Namespace ["casadi"]) (Name "MX"))))),SwigOutput False),(Ref (StdVec (StdVec (UserType (Namespace ["casadi"]) (Name "MX")))),SwigOutput True)]
extern "C"
void
    casadi__Function__derivative__1(std::string ** err_msg, casadi::Function* obj, std::vector< casadi::MX* >* x0, std::vector< casadi::MX* >** x1, std::vector< std::vector< casadi::MX* >* >* x2, std::vector< std::vector< casadi::MX* >* >** x3, std::vector< std::vector< casadi::MX* >* >* x4, std::vector< std::vector< casadi::MX* >* >** x5);
void
    casadi__Function__derivative__1(std::string ** err_msg, casadi::Function* obj, std::vector< casadi::MX* >* x0, std::vector< casadi::MX* >** x1, std::vector< std::vector< casadi::MX* >* >* x2, std::vector< std::vector< casadi::MX* >* >** x3, std::vector< std::vector< casadi::MX* >* >* x4, std::vector< std::vector< casadi::MX* >* >** x5){
    try {
        std::vector< casadi::MX > x0_ = Marshaling<std::vector< casadi::MX >,std::vector< casadi::MX* >*>::marshal(x0);
        std::vector< casadi::MX > x1_ = std::vector< casadi::MX >();  // Swig output
        std::vector< std::vector< casadi::MX > > x2_ = Marshaling<std::vector< std::vector< casadi::MX > >,std::vector< std::vector< casadi::MX* >* >*>::marshal(x2);
        std::vector< std::vector< casadi::MX > > x3_ = std::vector< std::vector< casadi::MX > >();  // Swig output
        std::vector< std::vector< casadi::MX > > x4_ = Marshaling<std::vector< std::vector< casadi::MX > >,std::vector< std::vector< casadi::MX* >* >*>::marshal(x4);
        std::vector< std::vector< casadi::MX > > x5_ = std::vector< std::vector< casadi::MX > >();  // Swig output

        obj->derivative(x0_, x1_, x2_, x3_, x4_, x5_);
        // x0 is not a swig output
        *x1 = WrapReturn< std::vector< casadi::MX* >*, std::vector< casadi::MX > >::wrapReturn( x1_ );
        // x2 is not a swig output
        *x3 = WrapReturn< std::vector< std::vector< casadi::MX* >* >*, std::vector< std::vector< casadi::MX > > >::wrapReturn( x3_ );
        // x4 is not a swig output
        *x5 = WrapReturn< std::vector< std::vector< casadi::MX* >* >*, std::vector< std::vector< casadi::MX > > >::wrapReturn( x5_ );

        return;
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return;
    }
}


// ================== Normal method: "derivative" ===============
// class: "casadi::Function"
// cppName: "casadi::Function::derivative"
// cWrapperName: "casadi__Function__derivative__2"
// protoArgs: "(std::string ** err_msg, casadi::Function* obj, std::vector< casadi::MX* >* x0, std::vector< casadi::MX* >** x1, std::vector< std::vector< casadi::MX* >* >* x2, std::vector< std::vector< casadi::MX* >* >** x3, std::vector< std::vector< casadi::MX* >* >* x4, std::vector< std::vector< casadi::MX* >* >** x5, int x6)"
// args: "(x0_, x1_, x2_, x3_, x4_, x5_, x6_)"
// rettype: CVoid
// cWrapperRetType: "void"
// proto: "void\n    casadi__Function__derivative__2(std::string ** err_msg, casadi::Function* obj, std::vector< casadi::MX* >* x0, std::vector< casadi::MX* >** x1, std::vector< std::vector< casadi::MX* >* >* x2, std::vector< std::vector< casadi::MX* >* >** x3, std::vector< std::vector< casadi::MX* >* >* x4, std::vector< std::vector< casadi::MX* >* >** x5, int x6)"
// call: "        obj->derivative(x0_, x1_, x2_, x3_, x4_, x5_, x6_);"
// params: [(Ref (Const (StdVec (UserType (Namespace ["casadi"]) (Name "MX")))),SwigOutput False),(Ref (StdVec (UserType (Namespace ["casadi"]) (Name "MX"))),SwigOutput True),(Ref (Const (StdVec (StdVec (UserType (Namespace ["casadi"]) (Name "MX"))))),SwigOutput False),(Ref (StdVec (StdVec (UserType (Namespace ["casadi"]) (Name "MX")))),SwigOutput True),(Ref (Const (StdVec (StdVec (UserType (Namespace ["casadi"]) (Name "MX"))))),SwigOutput False),(Ref (StdVec (StdVec (UserType (Namespace ["casadi"]) (Name "MX")))),SwigOutput True),(CBool,SwigOutput False)]
extern "C"
void
    casadi__Function__derivative__2(std::string ** err_msg, casadi::Function* obj, std::vector< casadi::MX* >* x0, std::vector< casadi::MX* >** x1, std::vector< std::vector< casadi::MX* >* >* x2, std::vector< std::vector< casadi::MX* >* >** x3, std::vector< std::vector< casadi::MX* >* >* x4, std::vector< std::vector< casadi::MX* >* >** x5, int x6);
void
    casadi__Function__derivative__2(std::string ** err_msg, casadi::Function* obj, std::vector< casadi::MX* >* x0, std::vector< casadi::MX* >** x1, std::vector< std::vector< casadi::MX* >* >* x2, std::vector< std::vector< casadi::MX* >* >** x3, std::vector< std::vector< casadi::MX* >* >* x4, std::vector< std::vector< casadi::MX* >* >** x5, int x6){
    try {
        std::vector< casadi::MX > x0_ = Marshaling<std::vector< casadi::MX >,std::vector< casadi::MX* >*>::marshal(x0);
        std::vector< casadi::MX > x1_ = std::vector< casadi::MX >();  // Swig output
        std::vector< std::vector< casadi::MX > > x2_ = Marshaling<std::vector< std::vector< casadi::MX > >,std::vector< std::vector< casadi::MX* >* >*>::marshal(x2);
        std::vector< std::vector< casadi::MX > > x3_ = std::vector< std::vector< casadi::MX > >();  // Swig output
        std::vector< std::vector< casadi::MX > > x4_ = Marshaling<std::vector< std::vector< casadi::MX > >,std::vector< std::vector< casadi::MX* >* >*>::marshal(x4);
        std::vector< std::vector< casadi::MX > > x5_ = std::vector< std::vector< casadi::MX > >();  // Swig output
        bool x6_ = Marshaling<bool,int>::marshal(x6);

        obj->derivative(x0_, x1_, x2_, x3_, x4_, x5_, x6_);
        // x0 is not a swig output
        *x1 = WrapReturn< std::vector< casadi::MX* >*, std::vector< casadi::MX > >::wrapReturn( x1_ );
        // x2 is not a swig output
        *x3 = WrapReturn< std::vector< std::vector< casadi::MX* >* >*, std::vector< std::vector< casadi::MX > > >::wrapReturn( x3_ );
        // x4 is not a swig output
        *x5 = WrapReturn< std::vector< std::vector< casadi::MX* >* >*, std::vector< std::vector< casadi::MX > > >::wrapReturn( x5_ );
        // x6 is not a swig output

        return;
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return;
    }
}


// ================== Normal method: "derivative" ===============
// class: "casadi::Function"
// cppName: "casadi::Function::derivative"
// cWrapperName: "casadi__Function__derivative__3"
// protoArgs: "(std::string ** err_msg, casadi::Function* obj, std::vector< casadi::MX* >* x0, std::vector< casadi::MX* >** x1, std::vector< std::vector< casadi::MX* >* >* x2, std::vector< std::vector< casadi::MX* >* >** x3, std::vector< std::vector< casadi::MX* >* >* x4, std::vector< std::vector< casadi::MX* >* >** x5, int x6, int x7)"
// args: "(x0_, x1_, x2_, x3_, x4_, x5_, x6_, x7_)"
// rettype: CVoid
// cWrapperRetType: "void"
// proto: "void\n    casadi__Function__derivative__3(std::string ** err_msg, casadi::Function* obj, std::vector< casadi::MX* >* x0, std::vector< casadi::MX* >** x1, std::vector< std::vector< casadi::MX* >* >* x2, std::vector< std::vector< casadi::MX* >* >** x3, std::vector< std::vector< casadi::MX* >* >* x4, std::vector< std::vector< casadi::MX* >* >** x5, int x6, int x7)"
// call: "        obj->derivative(x0_, x1_, x2_, x3_, x4_, x5_, x6_, x7_);"
// params: [(Ref (Const (StdVec (UserType (Namespace ["casadi"]) (Name "MX")))),SwigOutput False),(Ref (StdVec (UserType (Namespace ["casadi"]) (Name "MX"))),SwigOutput True),(Ref (Const (StdVec (StdVec (UserType (Namespace ["casadi"]) (Name "MX"))))),SwigOutput False),(Ref (StdVec (StdVec (UserType (Namespace ["casadi"]) (Name "MX")))),SwigOutput True),(Ref (Const (StdVec (StdVec (UserType (Namespace ["casadi"]) (Name "MX"))))),SwigOutput False),(Ref (StdVec (StdVec (UserType (Namespace ["casadi"]) (Name "MX")))),SwigOutput True),(CBool,SwigOutput False),(CBool,SwigOutput False)]
extern "C"
void
    casadi__Function__derivative__3(std::string ** err_msg, casadi::Function* obj, std::vector< casadi::MX* >* x0, std::vector< casadi::MX* >** x1, std::vector< std::vector< casadi::MX* >* >* x2, std::vector< std::vector< casadi::MX* >* >** x3, std::vector< std::vector< casadi::MX* >* >* x4, std::vector< std::vector< casadi::MX* >* >** x5, int x6, int x7);
void
    casadi__Function__derivative__3(std::string ** err_msg, casadi::Function* obj, std::vector< casadi::MX* >* x0, std::vector< casadi::MX* >** x1, std::vector< std::vector< casadi::MX* >* >* x2, std::vector< std::vector< casadi::MX* >* >** x3, std::vector< std::vector< casadi::MX* >* >* x4, std::vector< std::vector< casadi::MX* >* >** x5, int x6, int x7){
    try {
        std::vector< casadi::MX > x0_ = Marshaling<std::vector< casadi::MX >,std::vector< casadi::MX* >*>::marshal(x0);
        std::vector< casadi::MX > x1_ = std::vector< casadi::MX >();  // Swig output
        std::vector< std::vector< casadi::MX > > x2_ = Marshaling<std::vector< std::vector< casadi::MX > >,std::vector< std::vector< casadi::MX* >* >*>::marshal(x2);
        std::vector< std::vector< casadi::MX > > x3_ = std::vector< std::vector< casadi::MX > >();  // Swig output
        std::vector< std::vector< casadi::MX > > x4_ = Marshaling<std::vector< std::vector< casadi::MX > >,std::vector< std::vector< casadi::MX* >* >*>::marshal(x4);
        std::vector< std::vector< casadi::MX > > x5_ = std::vector< std::vector< casadi::MX > >();  // Swig output
        bool x6_ = Marshaling<bool,int>::marshal(x6);
        bool x7_ = Marshaling<bool,int>::marshal(x7);

        obj->derivative(x0_, x1_, x2_, x3_, x4_, x5_, x6_, x7_);
        // x0 is not a swig output
        *x1 = WrapReturn< std::vector< casadi::MX* >*, std::vector< casadi::MX > >::wrapReturn( x1_ );
        // x2 is not a swig output
        *x3 = WrapReturn< std::vector< std::vector< casadi::MX* >* >*, std::vector< std::vector< casadi::MX > > >::wrapReturn( x3_ );
        // x4 is not a swig output
        *x5 = WrapReturn< std::vector< std::vector< casadi::MX* >* >*, std::vector< std::vector< casadi::MX > > >::wrapReturn( x5_ );
        // x6 is not a swig output
        // x7 is not a swig output

        return;
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return;
    }
}


// ================== Normal method: "derivative" ===============
// class: "casadi::Function"
// cppName: "casadi::Function::derivative"
// cWrapperName: "casadi__Function__derivative__4"
// protoArgs: "(std::string ** err_msg, casadi::Function* obj, std::vector< casadi::SX* >* x0, std::vector< casadi::SX* >** x1, std::vector< std::vector< casadi::SX* >* >* x2, std::vector< std::vector< casadi::SX* >* >** x3, std::vector< std::vector< casadi::SX* >* >* x4, std::vector< std::vector< casadi::SX* >* >** x5)"
// args: "(x0_, x1_, x2_, x3_, x4_, x5_)"
// rettype: CVoid
// cWrapperRetType: "void"
// proto: "void\n    casadi__Function__derivative__4(std::string ** err_msg, casadi::Function* obj, std::vector< casadi::SX* >* x0, std::vector< casadi::SX* >** x1, std::vector< std::vector< casadi::SX* >* >* x2, std::vector< std::vector< casadi::SX* >* >** x3, std::vector< std::vector< casadi::SX* >* >* x4, std::vector< std::vector< casadi::SX* >* >** x5)"
// call: "        obj->derivative(x0_, x1_, x2_, x3_, x4_, x5_);"
// params: [(Ref (Const (StdVec (UserType (Namespace ["casadi"]) (Name "SX")))),SwigOutput False),(Ref (StdVec (UserType (Namespace ["casadi"]) (Name "SX"))),SwigOutput True),(Ref (Const (StdVec (StdVec (UserType (Namespace ["casadi"]) (Name "SX"))))),SwigOutput False),(Ref (StdVec (StdVec (UserType (Namespace ["casadi"]) (Name "SX")))),SwigOutput True),(Ref (Const (StdVec (StdVec (UserType (Namespace ["casadi"]) (Name "SX"))))),SwigOutput False),(Ref (StdVec (StdVec (UserType (Namespace ["casadi"]) (Name "SX")))),SwigOutput True)]
extern "C"
void
    casadi__Function__derivative__4(std::string ** err_msg, casadi::Function* obj, std::vector< casadi::SX* >* x0, std::vector< casadi::SX* >** x1, std::vector< std::vector< casadi::SX* >* >* x2, std::vector< std::vector< casadi::SX* >* >** x3, std::vector< std::vector< casadi::SX* >* >* x4, std::vector< std::vector< casadi::SX* >* >** x5);
void
    casadi__Function__derivative__4(std::string ** err_msg, casadi::Function* obj, std::vector< casadi::SX* >* x0, std::vector< casadi::SX* >** x1, std::vector< std::vector< casadi::SX* >* >* x2, std::vector< std::vector< casadi::SX* >* >** x3, std::vector< std::vector< casadi::SX* >* >* x4, std::vector< std::vector< casadi::SX* >* >** x5){
    try {
        std::vector< casadi::SX > x0_ = Marshaling<std::vector< casadi::SX >,std::vector< casadi::SX* >*>::marshal(x0);
        std::vector< casadi::SX > x1_ = std::vector< casadi::SX >();  // Swig output
        std::vector< std::vector< casadi::SX > > x2_ = Marshaling<std::vector< std::vector< casadi::SX > >,std::vector< std::vector< casadi::SX* >* >*>::marshal(x2);
        std::vector< std::vector< casadi::SX > > x3_ = std::vector< std::vector< casadi::SX > >();  // Swig output
        std::vector< std::vector< casadi::SX > > x4_ = Marshaling<std::vector< std::vector< casadi::SX > >,std::vector< std::vector< casadi::SX* >* >*>::marshal(x4);
        std::vector< std::vector< casadi::SX > > x5_ = std::vector< std::vector< casadi::SX > >();  // Swig output

        obj->derivative(x0_, x1_, x2_, x3_, x4_, x5_);
        // x0 is not a swig output
        *x1 = WrapReturn< std::vector< casadi::SX* >*, std::vector< casadi::SX > >::wrapReturn( x1_ );
        // x2 is not a swig output
        *x3 = WrapReturn< std::vector< std::vector< casadi::SX* >* >*, std::vector< std::vector< casadi::SX > > >::wrapReturn( x3_ );
        // x4 is not a swig output
        *x5 = WrapReturn< std::vector< std::vector< casadi::SX* >* >*, std::vector< std::vector< casadi::SX > > >::wrapReturn( x5_ );

        return;
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return;
    }
}


// ================== Normal method: "derivative" ===============
// class: "casadi::Function"
// cppName: "casadi::Function::derivative"
// cWrapperName: "casadi__Function__derivative__5"
// protoArgs: "(std::string ** err_msg, casadi::Function* obj, std::vector< casadi::SX* >* x0, std::vector< casadi::SX* >** x1, std::vector< std::vector< casadi::SX* >* >* x2, std::vector< std::vector< casadi::SX* >* >** x3, std::vector< std::vector< casadi::SX* >* >* x4, std::vector< std::vector< casadi::SX* >* >** x5, int x6)"
// args: "(x0_, x1_, x2_, x3_, x4_, x5_, x6_)"
// rettype: CVoid
// cWrapperRetType: "void"
// proto: "void\n    casadi__Function__derivative__5(std::string ** err_msg, casadi::Function* obj, std::vector< casadi::SX* >* x0, std::vector< casadi::SX* >** x1, std::vector< std::vector< casadi::SX* >* >* x2, std::vector< std::vector< casadi::SX* >* >** x3, std::vector< std::vector< casadi::SX* >* >* x4, std::vector< std::vector< casadi::SX* >* >** x5, int x6)"
// call: "        obj->derivative(x0_, x1_, x2_, x3_, x4_, x5_, x6_);"
// params: [(Ref (Const (StdVec (UserType (Namespace ["casadi"]) (Name "SX")))),SwigOutput False),(Ref (StdVec (UserType (Namespace ["casadi"]) (Name "SX"))),SwigOutput True),(Ref (Const (StdVec (StdVec (UserType (Namespace ["casadi"]) (Name "SX"))))),SwigOutput False),(Ref (StdVec (StdVec (UserType (Namespace ["casadi"]) (Name "SX")))),SwigOutput True),(Ref (Const (StdVec (StdVec (UserType (Namespace ["casadi"]) (Name "SX"))))),SwigOutput False),(Ref (StdVec (StdVec (UserType (Namespace ["casadi"]) (Name "SX")))),SwigOutput True),(CBool,SwigOutput False)]
extern "C"
void
    casadi__Function__derivative__5(std::string ** err_msg, casadi::Function* obj, std::vector< casadi::SX* >* x0, std::vector< casadi::SX* >** x1, std::vector< std::vector< casadi::SX* >* >* x2, std::vector< std::vector< casadi::SX* >* >** x3, std::vector< std::vector< casadi::SX* >* >* x4, std::vector< std::vector< casadi::SX* >* >** x5, int x6);
void
    casadi__Function__derivative__5(std::string ** err_msg, casadi::Function* obj, std::vector< casadi::SX* >* x0, std::vector< casadi::SX* >** x1, std::vector< std::vector< casadi::SX* >* >* x2, std::vector< std::vector< casadi::SX* >* >** x3, std::vector< std::vector< casadi::SX* >* >* x4, std::vector< std::vector< casadi::SX* >* >** x5, int x6){
    try {
        std::vector< casadi::SX > x0_ = Marshaling<std::vector< casadi::SX >,std::vector< casadi::SX* >*>::marshal(x0);
        std::vector< casadi::SX > x1_ = std::vector< casadi::SX >();  // Swig output
        std::vector< std::vector< casadi::SX > > x2_ = Marshaling<std::vector< std::vector< casadi::SX > >,std::vector< std::vector< casadi::SX* >* >*>::marshal(x2);
        std::vector< std::vector< casadi::SX > > x3_ = std::vector< std::vector< casadi::SX > >();  // Swig output
        std::vector< std::vector< casadi::SX > > x4_ = Marshaling<std::vector< std::vector< casadi::SX > >,std::vector< std::vector< casadi::SX* >* >*>::marshal(x4);
        std::vector< std::vector< casadi::SX > > x5_ = std::vector< std::vector< casadi::SX > >();  // Swig output
        bool x6_ = Marshaling<bool,int>::marshal(x6);

        obj->derivative(x0_, x1_, x2_, x3_, x4_, x5_, x6_);
        // x0 is not a swig output
        *x1 = WrapReturn< std::vector< casadi::SX* >*, std::vector< casadi::SX > >::wrapReturn( x1_ );
        // x2 is not a swig output
        *x3 = WrapReturn< std::vector< std::vector< casadi::SX* >* >*, std::vector< std::vector< casadi::SX > > >::wrapReturn( x3_ );
        // x4 is not a swig output
        *x5 = WrapReturn< std::vector< std::vector< casadi::SX* >* >*, std::vector< std::vector< casadi::SX > > >::wrapReturn( x5_ );
        // x6 is not a swig output

        return;
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return;
    }
}


// ================== Normal method: "derivative" ===============
// class: "casadi::Function"
// cppName: "casadi::Function::derivative"
// cWrapperName: "casadi__Function__derivative__6"
// protoArgs: "(std::string ** err_msg, casadi::Function* obj, std::vector< casadi::SX* >* x0, std::vector< casadi::SX* >** x1, std::vector< std::vector< casadi::SX* >* >* x2, std::vector< std::vector< casadi::SX* >* >** x3, std::vector< std::vector< casadi::SX* >* >* x4, std::vector< std::vector< casadi::SX* >* >** x5, int x6, int x7)"
// args: "(x0_, x1_, x2_, x3_, x4_, x5_, x6_, x7_)"
// rettype: CVoid
// cWrapperRetType: "void"
// proto: "void\n    casadi__Function__derivative__6(std::string ** err_msg, casadi::Function* obj, std::vector< casadi::SX* >* x0, std::vector< casadi::SX* >** x1, std::vector< std::vector< casadi::SX* >* >* x2, std::vector< std::vector< casadi::SX* >* >** x3, std::vector< std::vector< casadi::SX* >* >* x4, std::vector< std::vector< casadi::SX* >* >** x5, int x6, int x7)"
// call: "        obj->derivative(x0_, x1_, x2_, x3_, x4_, x5_, x6_, x7_);"
// params: [(Ref (Const (StdVec (UserType (Namespace ["casadi"]) (Name "SX")))),SwigOutput False),(Ref (StdVec (UserType (Namespace ["casadi"]) (Name "SX"))),SwigOutput True),(Ref (Const (StdVec (StdVec (UserType (Namespace ["casadi"]) (Name "SX"))))),SwigOutput False),(Ref (StdVec (StdVec (UserType (Namespace ["casadi"]) (Name "SX")))),SwigOutput True),(Ref (Const (StdVec (StdVec (UserType (Namespace ["casadi"]) (Name "SX"))))),SwigOutput False),(Ref (StdVec (StdVec (UserType (Namespace ["casadi"]) (Name "SX")))),SwigOutput True),(CBool,SwigOutput False),(CBool,SwigOutput False)]
extern "C"
void
    casadi__Function__derivative__6(std::string ** err_msg, casadi::Function* obj, std::vector< casadi::SX* >* x0, std::vector< casadi::SX* >** x1, std::vector< std::vector< casadi::SX* >* >* x2, std::vector< std::vector< casadi::SX* >* >** x3, std::vector< std::vector< casadi::SX* >* >* x4, std::vector< std::vector< casadi::SX* >* >** x5, int x6, int x7);
void
    casadi__Function__derivative__6(std::string ** err_msg, casadi::Function* obj, std::vector< casadi::SX* >* x0, std::vector< casadi::SX* >** x1, std::vector< std::vector< casadi::SX* >* >* x2, std::vector< std::vector< casadi::SX* >* >** x3, std::vector< std::vector< casadi::SX* >* >* x4, std::vector< std::vector< casadi::SX* >* >** x5, int x6, int x7){
    try {
        std::vector< casadi::SX > x0_ = Marshaling<std::vector< casadi::SX >,std::vector< casadi::SX* >*>::marshal(x0);
        std::vector< casadi::SX > x1_ = std::vector< casadi::SX >();  // Swig output
        std::vector< std::vector< casadi::SX > > x2_ = Marshaling<std::vector< std::vector< casadi::SX > >,std::vector< std::vector< casadi::SX* >* >*>::marshal(x2);
        std::vector< std::vector< casadi::SX > > x3_ = std::vector< std::vector< casadi::SX > >();  // Swig output
        std::vector< std::vector< casadi::SX > > x4_ = Marshaling<std::vector< std::vector< casadi::SX > >,std::vector< std::vector< casadi::SX* >* >*>::marshal(x4);
        std::vector< std::vector< casadi::SX > > x5_ = std::vector< std::vector< casadi::SX > >();  // Swig output
        bool x6_ = Marshaling<bool,int>::marshal(x6);
        bool x7_ = Marshaling<bool,int>::marshal(x7);

        obj->derivative(x0_, x1_, x2_, x3_, x4_, x5_, x6_, x7_);
        // x0 is not a swig output
        *x1 = WrapReturn< std::vector< casadi::SX* >*, std::vector< casadi::SX > >::wrapReturn( x1_ );
        // x2 is not a swig output
        *x3 = WrapReturn< std::vector< std::vector< casadi::SX* >* >*, std::vector< std::vector< casadi::SX > > >::wrapReturn( x3_ );
        // x4 is not a swig output
        *x5 = WrapReturn< std::vector< std::vector< casadi::SX* >* >*, std::vector< std::vector< casadi::SX > > >::wrapReturn( x5_ );
        // x6 is not a swig output
        // x7 is not a swig output

        return;
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return;
    }
}


// ================== Normal method: "derivative" ===============
// class: "casadi::Function"
// cppName: "casadi::Function::derivative"
// cWrapperName: "casadi__Function__derivative__7"
// protoArgs: "(std::string ** err_msg, casadi::Function* obj, std::vector< casadi::DM* >* x0, std::vector< casadi::DM* >** x1, std::vector< std::vector< casadi::DM* >* >* x2, std::vector< std::vector< casadi::DM* >* >** x3, std::vector< std::vector< casadi::DM* >* >* x4, std::vector< std::vector< casadi::DM* >* >** x5)"
// args: "(x0_, x1_, x2_, x3_, x4_, x5_)"
// rettype: CVoid
// cWrapperRetType: "void"
// proto: "void\n    casadi__Function__derivative__7(std::string ** err_msg, casadi::Function* obj, std::vector< casadi::DM* >* x0, std::vector< casadi::DM* >** x1, std::vector< std::vector< casadi::DM* >* >* x2, std::vector< std::vector< casadi::DM* >* >** x3, std::vector< std::vector< casadi::DM* >* >* x4, std::vector< std::vector< casadi::DM* >* >** x5)"
// call: "        obj->derivative(x0_, x1_, x2_, x3_, x4_, x5_);"
// params: [(Ref (Const (StdVec (UserType (Namespace ["casadi"]) (Name "DM")))),SwigOutput False),(Ref (StdVec (UserType (Namespace ["casadi"]) (Name "DM"))),SwigOutput True),(Ref (Const (StdVec (StdVec (UserType (Namespace ["casadi"]) (Name "DM"))))),SwigOutput False),(Ref (StdVec (StdVec (UserType (Namespace ["casadi"]) (Name "DM")))),SwigOutput True),(Ref (Const (StdVec (StdVec (UserType (Namespace ["casadi"]) (Name "DM"))))),SwigOutput False),(Ref (StdVec (StdVec (UserType (Namespace ["casadi"]) (Name "DM")))),SwigOutput True)]
extern "C"
void
    casadi__Function__derivative__7(std::string ** err_msg, casadi::Function* obj, std::vector< casadi::DM* >* x0, std::vector< casadi::DM* >** x1, std::vector< std::vector< casadi::DM* >* >* x2, std::vector< std::vector< casadi::DM* >* >** x3, std::vector< std::vector< casadi::DM* >* >* x4, std::vector< std::vector< casadi::DM* >* >** x5);
void
    casadi__Function__derivative__7(std::string ** err_msg, casadi::Function* obj, std::vector< casadi::DM* >* x0, std::vector< casadi::DM* >** x1, std::vector< std::vector< casadi::DM* >* >* x2, std::vector< std::vector< casadi::DM* >* >** x3, std::vector< std::vector< casadi::DM* >* >* x4, std::vector< std::vector< casadi::DM* >* >** x5){
    try {
        std::vector< casadi::DM > x0_ = Marshaling<std::vector< casadi::DM >,std::vector< casadi::DM* >*>::marshal(x0);
        std::vector< casadi::DM > x1_ = std::vector< casadi::DM >();  // Swig output
        std::vector< std::vector< casadi::DM > > x2_ = Marshaling<std::vector< std::vector< casadi::DM > >,std::vector< std::vector< casadi::DM* >* >*>::marshal(x2);
        std::vector< std::vector< casadi::DM > > x3_ = std::vector< std::vector< casadi::DM > >();  // Swig output
        std::vector< std::vector< casadi::DM > > x4_ = Marshaling<std::vector< std::vector< casadi::DM > >,std::vector< std::vector< casadi::DM* >* >*>::marshal(x4);
        std::vector< std::vector< casadi::DM > > x5_ = std::vector< std::vector< casadi::DM > >();  // Swig output

        obj->derivative(x0_, x1_, x2_, x3_, x4_, x5_);
        // x0 is not a swig output
        *x1 = WrapReturn< std::vector< casadi::DM* >*, std::vector< casadi::DM > >::wrapReturn( x1_ );
        // x2 is not a swig output
        *x3 = WrapReturn< std::vector< std::vector< casadi::DM* >* >*, std::vector< std::vector< casadi::DM > > >::wrapReturn( x3_ );
        // x4 is not a swig output
        *x5 = WrapReturn< std::vector< std::vector< casadi::DM* >* >*, std::vector< std::vector< casadi::DM > > >::wrapReturn( x5_ );

        return;
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return;
    }
}


// ================== Normal method: "derivative" ===============
// class: "casadi::Function"
// cppName: "casadi::Function::derivative"
// cWrapperName: "casadi__Function__derivative__8"
// protoArgs: "(std::string ** err_msg, casadi::Function* obj, std::vector< casadi::DM* >* x0, std::vector< casadi::DM* >** x1, std::vector< std::vector< casadi::DM* >* >* x2, std::vector< std::vector< casadi::DM* >* >** x3, std::vector< std::vector< casadi::DM* >* >* x4, std::vector< std::vector< casadi::DM* >* >** x5, int x6)"
// args: "(x0_, x1_, x2_, x3_, x4_, x5_, x6_)"
// rettype: CVoid
// cWrapperRetType: "void"
// proto: "void\n    casadi__Function__derivative__8(std::string ** err_msg, casadi::Function* obj, std::vector< casadi::DM* >* x0, std::vector< casadi::DM* >** x1, std::vector< std::vector< casadi::DM* >* >* x2, std::vector< std::vector< casadi::DM* >* >** x3, std::vector< std::vector< casadi::DM* >* >* x4, std::vector< std::vector< casadi::DM* >* >** x5, int x6)"
// call: "        obj->derivative(x0_, x1_, x2_, x3_, x4_, x5_, x6_);"
// params: [(Ref (Const (StdVec (UserType (Namespace ["casadi"]) (Name "DM")))),SwigOutput False),(Ref (StdVec (UserType (Namespace ["casadi"]) (Name "DM"))),SwigOutput True),(Ref (Const (StdVec (StdVec (UserType (Namespace ["casadi"]) (Name "DM"))))),SwigOutput False),(Ref (StdVec (StdVec (UserType (Namespace ["casadi"]) (Name "DM")))),SwigOutput True),(Ref (Const (StdVec (StdVec (UserType (Namespace ["casadi"]) (Name "DM"))))),SwigOutput False),(Ref (StdVec (StdVec (UserType (Namespace ["casadi"]) (Name "DM")))),SwigOutput True),(CBool,SwigOutput False)]
extern "C"
void
    casadi__Function__derivative__8(std::string ** err_msg, casadi::Function* obj, std::vector< casadi::DM* >* x0, std::vector< casadi::DM* >** x1, std::vector< std::vector< casadi::DM* >* >* x2, std::vector< std::vector< casadi::DM* >* >** x3, std::vector< std::vector< casadi::DM* >* >* x4, std::vector< std::vector< casadi::DM* >* >** x5, int x6);
void
    casadi__Function__derivative__8(std::string ** err_msg, casadi::Function* obj, std::vector< casadi::DM* >* x0, std::vector< casadi::DM* >** x1, std::vector< std::vector< casadi::DM* >* >* x2, std::vector< std::vector< casadi::DM* >* >** x3, std::vector< std::vector< casadi::DM* >* >* x4, std::vector< std::vector< casadi::DM* >* >** x5, int x6){
    try {
        std::vector< casadi::DM > x0_ = Marshaling<std::vector< casadi::DM >,std::vector< casadi::DM* >*>::marshal(x0);
        std::vector< casadi::DM > x1_ = std::vector< casadi::DM >();  // Swig output
        std::vector< std::vector< casadi::DM > > x2_ = Marshaling<std::vector< std::vector< casadi::DM > >,std::vector< std::vector< casadi::DM* >* >*>::marshal(x2);
        std::vector< std::vector< casadi::DM > > x3_ = std::vector< std::vector< casadi::DM > >();  // Swig output
        std::vector< std::vector< casadi::DM > > x4_ = Marshaling<std::vector< std::vector< casadi::DM > >,std::vector< std::vector< casadi::DM* >* >*>::marshal(x4);
        std::vector< std::vector< casadi::DM > > x5_ = std::vector< std::vector< casadi::DM > >();  // Swig output
        bool x6_ = Marshaling<bool,int>::marshal(x6);

        obj->derivative(x0_, x1_, x2_, x3_, x4_, x5_, x6_);
        // x0 is not a swig output
        *x1 = WrapReturn< std::vector< casadi::DM* >*, std::vector< casadi::DM > >::wrapReturn( x1_ );
        // x2 is not a swig output
        *x3 = WrapReturn< std::vector< std::vector< casadi::DM* >* >*, std::vector< std::vector< casadi::DM > > >::wrapReturn( x3_ );
        // x4 is not a swig output
        *x5 = WrapReturn< std::vector< std::vector< casadi::DM* >* >*, std::vector< std::vector< casadi::DM > > >::wrapReturn( x5_ );
        // x6 is not a swig output

        return;
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return;
    }
}


// ================== Normal method: "derivative" ===============
// class: "casadi::Function"
// cppName: "casadi::Function::derivative"
// cWrapperName: "casadi__Function__derivative__9"
// protoArgs: "(std::string ** err_msg, casadi::Function* obj, std::vector< casadi::DM* >* x0, std::vector< casadi::DM* >** x1, std::vector< std::vector< casadi::DM* >* >* x2, std::vector< std::vector< casadi::DM* >* >** x3, std::vector< std::vector< casadi::DM* >* >* x4, std::vector< std::vector< casadi::DM* >* >** x5, int x6, int x7)"
// args: "(x0_, x1_, x2_, x3_, x4_, x5_, x6_, x7_)"
// rettype: CVoid
// cWrapperRetType: "void"
// proto: "void\n    casadi__Function__derivative__9(std::string ** err_msg, casadi::Function* obj, std::vector< casadi::DM* >* x0, std::vector< casadi::DM* >** x1, std::vector< std::vector< casadi::DM* >* >* x2, std::vector< std::vector< casadi::DM* >* >** x3, std::vector< std::vector< casadi::DM* >* >* x4, std::vector< std::vector< casadi::DM* >* >** x5, int x6, int x7)"
// call: "        obj->derivative(x0_, x1_, x2_, x3_, x4_, x5_, x6_, x7_);"
// params: [(Ref (Const (StdVec (UserType (Namespace ["casadi"]) (Name "DM")))),SwigOutput False),(Ref (StdVec (UserType (Namespace ["casadi"]) (Name "DM"))),SwigOutput True),(Ref (Const (StdVec (StdVec (UserType (Namespace ["casadi"]) (Name "DM"))))),SwigOutput False),(Ref (StdVec (StdVec (UserType (Namespace ["casadi"]) (Name "DM")))),SwigOutput True),(Ref (Const (StdVec (StdVec (UserType (Namespace ["casadi"]) (Name "DM"))))),SwigOutput False),(Ref (StdVec (StdVec (UserType (Namespace ["casadi"]) (Name "DM")))),SwigOutput True),(CBool,SwigOutput False),(CBool,SwigOutput False)]
extern "C"
void
    casadi__Function__derivative__9(std::string ** err_msg, casadi::Function* obj, std::vector< casadi::DM* >* x0, std::vector< casadi::DM* >** x1, std::vector< std::vector< casadi::DM* >* >* x2, std::vector< std::vector< casadi::DM* >* >** x3, std::vector< std::vector< casadi::DM* >* >* x4, std::vector< std::vector< casadi::DM* >* >** x5, int x6, int x7);
void
    casadi__Function__derivative__9(std::string ** err_msg, casadi::Function* obj, std::vector< casadi::DM* >* x0, std::vector< casadi::DM* >** x1, std::vector< std::vector< casadi::DM* >* >* x2, std::vector< std::vector< casadi::DM* >* >** x3, std::vector< std::vector< casadi::DM* >* >* x4, std::vector< std::vector< casadi::DM* >* >** x5, int x6, int x7){
    try {
        std::vector< casadi::DM > x0_ = Marshaling<std::vector< casadi::DM >,std::vector< casadi::DM* >*>::marshal(x0);
        std::vector< casadi::DM > x1_ = std::vector< casadi::DM >();  // Swig output
        std::vector< std::vector< casadi::DM > > x2_ = Marshaling<std::vector< std::vector< casadi::DM > >,std::vector< std::vector< casadi::DM* >* >*>::marshal(x2);
        std::vector< std::vector< casadi::DM > > x3_ = std::vector< std::vector< casadi::DM > >();  // Swig output
        std::vector< std::vector< casadi::DM > > x4_ = Marshaling<std::vector< std::vector< casadi::DM > >,std::vector< std::vector< casadi::DM* >* >*>::marshal(x4);
        std::vector< std::vector< casadi::DM > > x5_ = std::vector< std::vector< casadi::DM > >();  // Swig output
        bool x6_ = Marshaling<bool,int>::marshal(x6);
        bool x7_ = Marshaling<bool,int>::marshal(x7);

        obj->derivative(x0_, x1_, x2_, x3_, x4_, x5_, x6_, x7_);
        // x0 is not a swig output
        *x1 = WrapReturn< std::vector< casadi::DM* >*, std::vector< casadi::DM > >::wrapReturn( x1_ );
        // x2 is not a swig output
        *x3 = WrapReturn< std::vector< std::vector< casadi::DM* >* >*, std::vector< std::vector< casadi::DM > > >::wrapReturn( x3_ );
        // x4 is not a swig output
        *x5 = WrapReturn< std::vector< std::vector< casadi::DM* >* >*, std::vector< std::vector< casadi::DM > > >::wrapReturn( x5_ );
        // x6 is not a swig output
        // x7 is not a swig output

        return;
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return;
    }
}


// ================== Normal method: "expand" ===============
// class: "casadi::Function"
// cppName: "casadi::Function::expand"
// cWrapperName: "casadi__Function__expand__0"
// protoArgs: "(std::string ** err_msg, casadi::Function* obj, std::string* x0)"
// args: "(x0_)"
// rettype: UserType (Namespace ["casadi"]) (Name "Function")
// cWrapperRetType: "casadi::Function*"
// proto: "casadi::Function*\n    casadi__Function__expand__0(std::string ** err_msg, casadi::Function* obj, std::string* x0)"
// call: "        casadi::Function ret = obj->expand(x0_);"
// params: [(Ref (Const StdString),SwigOutput False)]
extern "C"
casadi::Function*
    casadi__Function__expand__0(std::string ** err_msg, casadi::Function* obj, std::string* x0);
casadi::Function*
    casadi__Function__expand__0(std::string ** err_msg, casadi::Function* obj, std::string* x0){
    try {
        std::string& x0_ = Marshaling<std::string&,std::string*>::marshal(x0);

        casadi::Function ret = obj->expand(x0_);
        // x0 is not a swig output

        return WrapReturn< casadi::Function*, casadi::Function >::wrapReturn( ret );
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return 0;
    }
}


// ================== Normal method: "expand" ===============
// class: "casadi::Function"
// cppName: "casadi::Function::expand"
// cWrapperName: "casadi__Function__expand__1"
// protoArgs: "(std::string ** err_msg, casadi::Function* obj, std::string* x0, std::map< std::string, casadi::GenericType* >* x1)"
// args: "(x0_, x1_)"
// rettype: UserType (Namespace ["casadi"]) (Name "Function")
// cWrapperRetType: "casadi::Function*"
// proto: "casadi::Function*\n    casadi__Function__expand__1(std::string ** err_msg, casadi::Function* obj, std::string* x0, std::map< std::string, casadi::GenericType* >* x1)"
// call: "        casadi::Function ret = obj->expand(x0_, x1_);"
// params: [(Ref (Const StdString),SwigOutput False),(Ref (Const (StdMap StdString (UserType (Namespace ["casadi"]) (Name "GenericType")))),SwigOutput False)]
extern "C"
casadi::Function*
    casadi__Function__expand__1(std::string ** err_msg, casadi::Function* obj, std::string* x0, std::map< std::string, casadi::GenericType* >* x1);
casadi::Function*
    casadi__Function__expand__1(std::string ** err_msg, casadi::Function* obj, std::string* x0, std::map< std::string, casadi::GenericType* >* x1){
    try {
        std::string& x0_ = Marshaling<std::string&,std::string*>::marshal(x0);
        std::map< std::string, casadi::GenericType > x1_ = Marshaling<std::map< std::string, casadi::GenericType >,std::map< std::string, casadi::GenericType* >*>::marshal(x1);

        casadi::Function ret = obj->expand(x0_, x1_);
        // x0 is not a swig output
        // x1 is not a swig output

        return WrapReturn< casadi::Function*, casadi::Function >::wrapReturn( ret );
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return 0;
    }
}


// ================== Normal method: "expand" ===============
// class: "casadi::Function"
// cppName: "casadi::Function::expand"
// cWrapperName: "casadi__Function__expand__2"
// protoArgs: "(std::string ** err_msg, casadi::Function* obj)"
// args: "()"
// rettype: UserType (Namespace ["casadi"]) (Name "Function")
// cWrapperRetType: "casadi::Function*"
// proto: "casadi::Function*\n    casadi__Function__expand__2(std::string ** err_msg, casadi::Function* obj)"
// call: "        casadi::Function ret = obj->expand();"
// params: []
extern "C"
casadi::Function*
    casadi__Function__expand__2(std::string ** err_msg, casadi::Function* obj);
casadi::Function*
    casadi__Function__expand__2(std::string ** err_msg, casadi::Function* obj){
    try {

        casadi::Function ret = obj->expand();

        return WrapReturn< casadi::Function*, casadi::Function >::wrapReturn( ret );
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return 0;
    }
}


// ================== Static method: "fix_name" ===============
// class: "casadi::Function"
// cppName: "casadi::Function::fix_name"
// cWrapperName: "casadi__Function__fix_name"
// protoArgs: "(std::string ** err_msg, std::string* x0)"
// args: "(x0_)"
// rettype: StdString
// cWrapperRetType: "std::string*"
// proto: "std::string*\n    casadi__Function__fix_name(std::string ** err_msg, std::string* x0)"
// call: "        std::string ret = casadi::Function::fix_name(x0_);"
// params: [(Ref (Const StdString),SwigOutput False)]
extern "C"
std::string*
    casadi__Function__fix_name(std::string ** err_msg, std::string* x0);
std::string*
    casadi__Function__fix_name(std::string ** err_msg, std::string* x0){
    try {
        std::string& x0_ = Marshaling<std::string&,std::string*>::marshal(x0);

        std::string ret = casadi::Function::fix_name(x0_);
        // x0 is not a swig output

        return WrapReturn< std::string*, std::string >::wrapReturn( ret );
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return 0;
    }
}


// ================== Normal method: "forward" ===============
// class: "casadi::Function"
// cppName: "casadi::Function::forward"
// cWrapperName: "casadi__Function__forward__0"
// protoArgs: "(std::string ** err_msg, casadi::Function* obj, int x0)"
// args: "(x0_)"
// rettype: UserType (Namespace ["casadi"]) (Name "Function")
// cWrapperRetType: "casadi::Function*"
// proto: "casadi::Function*\n    casadi__Function__forward__0(std::string ** err_msg, casadi::Function* obj, int x0)"
// call: "        casadi::Function ret = obj->forward(x0_);"
// params: [(CInt,SwigOutput False)]
extern "C"
casadi::Function*
    casadi__Function__forward__0(std::string ** err_msg, casadi::Function* obj, int x0);
casadi::Function*
    casadi__Function__forward__0(std::string ** err_msg, casadi::Function* obj, int x0){
    try {
        int x0_ = Marshaling<int,int>::marshal(x0);

        casadi::Function ret = obj->forward(x0_);
        // x0 is not a swig output

        return WrapReturn< casadi::Function*, casadi::Function >::wrapReturn( ret );
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return 0;
    }
}


// ================== Normal method: "forward" ===============
// class: "casadi::Function"
// cppName: "casadi::Function::forward"
// cWrapperName: "casadi__Function__forward__1"
// protoArgs: "(std::string ** err_msg, casadi::Function* obj, std::vector< casadi::DM* >* x0, std::vector< casadi::DM* >* x1, std::vector< std::vector< casadi::DM* >* >* x2, std::vector< std::vector< casadi::DM* >* >** x3)"
// args: "(x0_, x1_, x2_, x3_)"
// rettype: CVoid
// cWrapperRetType: "void"
// proto: "void\n    casadi__Function__forward__1(std::string ** err_msg, casadi::Function* obj, std::vector< casadi::DM* >* x0, std::vector< casadi::DM* >* x1, std::vector< std::vector< casadi::DM* >* >* x2, std::vector< std::vector< casadi::DM* >* >** x3)"
// call: "        obj->forward(x0_, x1_, x2_, x3_);"
// params: [(Ref (Const (StdVec (UserType (Namespace ["casadi"]) (Name "DM")))),SwigOutput False),(Ref (Const (StdVec (UserType (Namespace ["casadi"]) (Name "DM")))),SwigOutput False),(Ref (Const (StdVec (StdVec (UserType (Namespace ["casadi"]) (Name "DM"))))),SwigOutput False),(Ref (StdVec (StdVec (UserType (Namespace ["casadi"]) (Name "DM")))),SwigOutput True)]
extern "C"
void
    casadi__Function__forward__1(std::string ** err_msg, casadi::Function* obj, std::vector< casadi::DM* >* x0, std::vector< casadi::DM* >* x1, std::vector< std::vector< casadi::DM* >* >* x2, std::vector< std::vector< casadi::DM* >* >** x3);
void
    casadi__Function__forward__1(std::string ** err_msg, casadi::Function* obj, std::vector< casadi::DM* >* x0, std::vector< casadi::DM* >* x1, std::vector< std::vector< casadi::DM* >* >* x2, std::vector< std::vector< casadi::DM* >* >** x3){
    try {
        std::vector< casadi::DM > x0_ = Marshaling<std::vector< casadi::DM >,std::vector< casadi::DM* >*>::marshal(x0);
        std::vector< casadi::DM > x1_ = Marshaling<std::vector< casadi::DM >,std::vector< casadi::DM* >*>::marshal(x1);
        std::vector< std::vector< casadi::DM > > x2_ = Marshaling<std::vector< std::vector< casadi::DM > >,std::vector< std::vector< casadi::DM* >* >*>::marshal(x2);
        std::vector< std::vector< casadi::DM > > x3_ = std::vector< std::vector< casadi::DM > >();  // Swig output

        obj->forward(x0_, x1_, x2_, x3_);
        // x0 is not a swig output
        // x1 is not a swig output
        // x2 is not a swig output
        *x3 = WrapReturn< std::vector< std::vector< casadi::DM* >* >*, std::vector< std::vector< casadi::DM > > >::wrapReturn( x3_ );

        return;
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return;
    }
}


// ================== Normal method: "forward" ===============
// class: "casadi::Function"
// cppName: "casadi::Function::forward"
// cWrapperName: "casadi__Function__forward__2"
// protoArgs: "(std::string ** err_msg, casadi::Function* obj, std::vector< casadi::DM* >* x0, std::vector< casadi::DM* >* x1, std::vector< std::vector< casadi::DM* >* >* x2, std::vector< std::vector< casadi::DM* >* >** x3, int x4)"
// args: "(x0_, x1_, x2_, x3_, x4_)"
// rettype: CVoid
// cWrapperRetType: "void"
// proto: "void\n    casadi__Function__forward__2(std::string ** err_msg, casadi::Function* obj, std::vector< casadi::DM* >* x0, std::vector< casadi::DM* >* x1, std::vector< std::vector< casadi::DM* >* >* x2, std::vector< std::vector< casadi::DM* >* >** x3, int x4)"
// call: "        obj->forward(x0_, x1_, x2_, x3_, x4_);"
// params: [(Ref (Const (StdVec (UserType (Namespace ["casadi"]) (Name "DM")))),SwigOutput False),(Ref (Const (StdVec (UserType (Namespace ["casadi"]) (Name "DM")))),SwigOutput False),(Ref (Const (StdVec (StdVec (UserType (Namespace ["casadi"]) (Name "DM"))))),SwigOutput False),(Ref (StdVec (StdVec (UserType (Namespace ["casadi"]) (Name "DM")))),SwigOutput True),(CBool,SwigOutput False)]
extern "C"
void
    casadi__Function__forward__2(std::string ** err_msg, casadi::Function* obj, std::vector< casadi::DM* >* x0, std::vector< casadi::DM* >* x1, std::vector< std::vector< casadi::DM* >* >* x2, std::vector< std::vector< casadi::DM* >* >** x3, int x4);
void
    casadi__Function__forward__2(std::string ** err_msg, casadi::Function* obj, std::vector< casadi::DM* >* x0, std::vector< casadi::DM* >* x1, std::vector< std::vector< casadi::DM* >* >* x2, std::vector< std::vector< casadi::DM* >* >** x3, int x4){
    try {
        std::vector< casadi::DM > x0_ = Marshaling<std::vector< casadi::DM >,std::vector< casadi::DM* >*>::marshal(x0);
        std::vector< casadi::DM > x1_ = Marshaling<std::vector< casadi::DM >,std::vector< casadi::DM* >*>::marshal(x1);
        std::vector< std::vector< casadi::DM > > x2_ = Marshaling<std::vector< std::vector< casadi::DM > >,std::vector< std::vector< casadi::DM* >* >*>::marshal(x2);
        std::vector< std::vector< casadi::DM > > x3_ = std::vector< std::vector< casadi::DM > >();  // Swig output
        bool x4_ = Marshaling<bool,int>::marshal(x4);

        obj->forward(x0_, x1_, x2_, x3_, x4_);
        // x0 is not a swig output
        // x1 is not a swig output
        // x2 is not a swig output
        *x3 = WrapReturn< std::vector< std::vector< casadi::DM* >* >*, std::vector< std::vector< casadi::DM > > >::wrapReturn( x3_ );
        // x4 is not a swig output

        return;
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return;
    }
}


// ================== Normal method: "forward" ===============
// class: "casadi::Function"
// cppName: "casadi::Function::forward"
// cWrapperName: "casadi__Function__forward__3"
// protoArgs: "(std::string ** err_msg, casadi::Function* obj, std::vector< casadi::DM* >* x0, std::vector< casadi::DM* >* x1, std::vector< std::vector< casadi::DM* >* >* x2, std::vector< std::vector< casadi::DM* >* >** x3, int x4, int x5)"
// args: "(x0_, x1_, x2_, x3_, x4_, x5_)"
// rettype: CVoid
// cWrapperRetType: "void"
// proto: "void\n    casadi__Function__forward__3(std::string ** err_msg, casadi::Function* obj, std::vector< casadi::DM* >* x0, std::vector< casadi::DM* >* x1, std::vector< std::vector< casadi::DM* >* >* x2, std::vector< std::vector< casadi::DM* >* >** x3, int x4, int x5)"
// call: "        obj->forward(x0_, x1_, x2_, x3_, x4_, x5_);"
// params: [(Ref (Const (StdVec (UserType (Namespace ["casadi"]) (Name "DM")))),SwigOutput False),(Ref (Const (StdVec (UserType (Namespace ["casadi"]) (Name "DM")))),SwigOutput False),(Ref (Const (StdVec (StdVec (UserType (Namespace ["casadi"]) (Name "DM"))))),SwigOutput False),(Ref (StdVec (StdVec (UserType (Namespace ["casadi"]) (Name "DM")))),SwigOutput True),(CBool,SwigOutput False),(CBool,SwigOutput False)]
extern "C"
void
    casadi__Function__forward__3(std::string ** err_msg, casadi::Function* obj, std::vector< casadi::DM* >* x0, std::vector< casadi::DM* >* x1, std::vector< std::vector< casadi::DM* >* >* x2, std::vector< std::vector< casadi::DM* >* >** x3, int x4, int x5);
void
    casadi__Function__forward__3(std::string ** err_msg, casadi::Function* obj, std::vector< casadi::DM* >* x0, std::vector< casadi::DM* >* x1, std::vector< std::vector< casadi::DM* >* >* x2, std::vector< std::vector< casadi::DM* >* >** x3, int x4, int x5){
    try {
        std::vector< casadi::DM > x0_ = Marshaling<std::vector< casadi::DM >,std::vector< casadi::DM* >*>::marshal(x0);
        std::vector< casadi::DM > x1_ = Marshaling<std::vector< casadi::DM >,std::vector< casadi::DM* >*>::marshal(x1);
        std::vector< std::vector< casadi::DM > > x2_ = Marshaling<std::vector< std::vector< casadi::DM > >,std::vector< std::vector< casadi::DM* >* >*>::marshal(x2);
        std::vector< std::vector< casadi::DM > > x3_ = std::vector< std::vector< casadi::DM > >();  // Swig output
        bool x4_ = Marshaling<bool,int>::marshal(x4);
        bool x5_ = Marshaling<bool,int>::marshal(x5);

        obj->forward(x0_, x1_, x2_, x3_, x4_, x5_);
        // x0 is not a swig output
        // x1 is not a swig output
        // x2 is not a swig output
        *x3 = WrapReturn< std::vector< std::vector< casadi::DM* >* >*, std::vector< std::vector< casadi::DM > > >::wrapReturn( x3_ );
        // x4 is not a swig output
        // x5 is not a swig output

        return;
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return;
    }
}


// ================== Normal method: "forward" ===============
// class: "casadi::Function"
// cppName: "casadi::Function::forward"
// cWrapperName: "casadi__Function__forward__4"
// protoArgs: "(std::string ** err_msg, casadi::Function* obj, std::vector< casadi::SX* >* x0, std::vector< casadi::SX* >* x1, std::vector< std::vector< casadi::SX* >* >* x2, std::vector< std::vector< casadi::SX* >* >** x3)"
// args: "(x0_, x1_, x2_, x3_)"
// rettype: CVoid
// cWrapperRetType: "void"
// proto: "void\n    casadi__Function__forward__4(std::string ** err_msg, casadi::Function* obj, std::vector< casadi::SX* >* x0, std::vector< casadi::SX* >* x1, std::vector< std::vector< casadi::SX* >* >* x2, std::vector< std::vector< casadi::SX* >* >** x3)"
// call: "        obj->forward(x0_, x1_, x2_, x3_);"
// params: [(Ref (Const (StdVec (UserType (Namespace ["casadi"]) (Name "SX")))),SwigOutput False),(Ref (Const (StdVec (UserType (Namespace ["casadi"]) (Name "SX")))),SwigOutput False),(Ref (Const (StdVec (StdVec (UserType (Namespace ["casadi"]) (Name "SX"))))),SwigOutput False),(Ref (StdVec (StdVec (UserType (Namespace ["casadi"]) (Name "SX")))),SwigOutput True)]
extern "C"
void
    casadi__Function__forward__4(std::string ** err_msg, casadi::Function* obj, std::vector< casadi::SX* >* x0, std::vector< casadi::SX* >* x1, std::vector< std::vector< casadi::SX* >* >* x2, std::vector< std::vector< casadi::SX* >* >** x3);
void
    casadi__Function__forward__4(std::string ** err_msg, casadi::Function* obj, std::vector< casadi::SX* >* x0, std::vector< casadi::SX* >* x1, std::vector< std::vector< casadi::SX* >* >* x2, std::vector< std::vector< casadi::SX* >* >** x3){
    try {
        std::vector< casadi::SX > x0_ = Marshaling<std::vector< casadi::SX >,std::vector< casadi::SX* >*>::marshal(x0);
        std::vector< casadi::SX > x1_ = Marshaling<std::vector< casadi::SX >,std::vector< casadi::SX* >*>::marshal(x1);
        std::vector< std::vector< casadi::SX > > x2_ = Marshaling<std::vector< std::vector< casadi::SX > >,std::vector< std::vector< casadi::SX* >* >*>::marshal(x2);
        std::vector< std::vector< casadi::SX > > x3_ = std::vector< std::vector< casadi::SX > >();  // Swig output

        obj->forward(x0_, x1_, x2_, x3_);
        // x0 is not a swig output
        // x1 is not a swig output
        // x2 is not a swig output
        *x3 = WrapReturn< std::vector< std::vector< casadi::SX* >* >*, std::vector< std::vector< casadi::SX > > >::wrapReturn( x3_ );

        return;
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return;
    }
}


// ================== Normal method: "forward" ===============
// class: "casadi::Function"
// cppName: "casadi::Function::forward"
// cWrapperName: "casadi__Function__forward__5"
// protoArgs: "(std::string ** err_msg, casadi::Function* obj, std::vector< casadi::SX* >* x0, std::vector< casadi::SX* >* x1, std::vector< std::vector< casadi::SX* >* >* x2, std::vector< std::vector< casadi::SX* >* >** x3, int x4)"
// args: "(x0_, x1_, x2_, x3_, x4_)"
// rettype: CVoid
// cWrapperRetType: "void"
// proto: "void\n    casadi__Function__forward__5(std::string ** err_msg, casadi::Function* obj, std::vector< casadi::SX* >* x0, std::vector< casadi::SX* >* x1, std::vector< std::vector< casadi::SX* >* >* x2, std::vector< std::vector< casadi::SX* >* >** x3, int x4)"
// call: "        obj->forward(x0_, x1_, x2_, x3_, x4_);"
// params: [(Ref (Const (StdVec (UserType (Namespace ["casadi"]) (Name "SX")))),SwigOutput False),(Ref (Const (StdVec (UserType (Namespace ["casadi"]) (Name "SX")))),SwigOutput False),(Ref (Const (StdVec (StdVec (UserType (Namespace ["casadi"]) (Name "SX"))))),SwigOutput False),(Ref (StdVec (StdVec (UserType (Namespace ["casadi"]) (Name "SX")))),SwigOutput True),(CBool,SwigOutput False)]
extern "C"
void
    casadi__Function__forward__5(std::string ** err_msg, casadi::Function* obj, std::vector< casadi::SX* >* x0, std::vector< casadi::SX* >* x1, std::vector< std::vector< casadi::SX* >* >* x2, std::vector< std::vector< casadi::SX* >* >** x3, int x4);
void
    casadi__Function__forward__5(std::string ** err_msg, casadi::Function* obj, std::vector< casadi::SX* >* x0, std::vector< casadi::SX* >* x1, std::vector< std::vector< casadi::SX* >* >* x2, std::vector< std::vector< casadi::SX* >* >** x3, int x4){
    try {
        std::vector< casadi::SX > x0_ = Marshaling<std::vector< casadi::SX >,std::vector< casadi::SX* >*>::marshal(x0);
        std::vector< casadi::SX > x1_ = Marshaling<std::vector< casadi::SX >,std::vector< casadi::SX* >*>::marshal(x1);
        std::vector< std::vector< casadi::SX > > x2_ = Marshaling<std::vector< std::vector< casadi::SX > >,std::vector< std::vector< casadi::SX* >* >*>::marshal(x2);
        std::vector< std::vector< casadi::SX > > x3_ = std::vector< std::vector< casadi::SX > >();  // Swig output
        bool x4_ = Marshaling<bool,int>::marshal(x4);

        obj->forward(x0_, x1_, x2_, x3_, x4_);
        // x0 is not a swig output
        // x1 is not a swig output
        // x2 is not a swig output
        *x3 = WrapReturn< std::vector< std::vector< casadi::SX* >* >*, std::vector< std::vector< casadi::SX > > >::wrapReturn( x3_ );
        // x4 is not a swig output

        return;
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return;
    }
}


// ================== Normal method: "forward" ===============
// class: "casadi::Function"
// cppName: "casadi::Function::forward"
// cWrapperName: "casadi__Function__forward__6"
// protoArgs: "(std::string ** err_msg, casadi::Function* obj, std::vector< casadi::SX* >* x0, std::vector< casadi::SX* >* x1, std::vector< std::vector< casadi::SX* >* >* x2, std::vector< std::vector< casadi::SX* >* >** x3, int x4, int x5)"
// args: "(x0_, x1_, x2_, x3_, x4_, x5_)"
// rettype: CVoid
// cWrapperRetType: "void"
// proto: "void\n    casadi__Function__forward__6(std::string ** err_msg, casadi::Function* obj, std::vector< casadi::SX* >* x0, std::vector< casadi::SX* >* x1, std::vector< std::vector< casadi::SX* >* >* x2, std::vector< std::vector< casadi::SX* >* >** x3, int x4, int x5)"
// call: "        obj->forward(x0_, x1_, x2_, x3_, x4_, x5_);"
// params: [(Ref (Const (StdVec (UserType (Namespace ["casadi"]) (Name "SX")))),SwigOutput False),(Ref (Const (StdVec (UserType (Namespace ["casadi"]) (Name "SX")))),SwigOutput False),(Ref (Const (StdVec (StdVec (UserType (Namespace ["casadi"]) (Name "SX"))))),SwigOutput False),(Ref (StdVec (StdVec (UserType (Namespace ["casadi"]) (Name "SX")))),SwigOutput True),(CBool,SwigOutput False),(CBool,SwigOutput False)]
extern "C"
void
    casadi__Function__forward__6(std::string ** err_msg, casadi::Function* obj, std::vector< casadi::SX* >* x0, std::vector< casadi::SX* >* x1, std::vector< std::vector< casadi::SX* >* >* x2, std::vector< std::vector< casadi::SX* >* >** x3, int x4, int x5);
void
    casadi__Function__forward__6(std::string ** err_msg, casadi::Function* obj, std::vector< casadi::SX* >* x0, std::vector< casadi::SX* >* x1, std::vector< std::vector< casadi::SX* >* >* x2, std::vector< std::vector< casadi::SX* >* >** x3, int x4, int x5){
    try {
        std::vector< casadi::SX > x0_ = Marshaling<std::vector< casadi::SX >,std::vector< casadi::SX* >*>::marshal(x0);
        std::vector< casadi::SX > x1_ = Marshaling<std::vector< casadi::SX >,std::vector< casadi::SX* >*>::marshal(x1);
        std::vector< std::vector< casadi::SX > > x2_ = Marshaling<std::vector< std::vector< casadi::SX > >,std::vector< std::vector< casadi::SX* >* >*>::marshal(x2);
        std::vector< std::vector< casadi::SX > > x3_ = std::vector< std::vector< casadi::SX > >();  // Swig output
        bool x4_ = Marshaling<bool,int>::marshal(x4);
        bool x5_ = Marshaling<bool,int>::marshal(x5);

        obj->forward(x0_, x1_, x2_, x3_, x4_, x5_);
        // x0 is not a swig output
        // x1 is not a swig output
        // x2 is not a swig output
        *x3 = WrapReturn< std::vector< std::vector< casadi::SX* >* >*, std::vector< std::vector< casadi::SX > > >::wrapReturn( x3_ );
        // x4 is not a swig output
        // x5 is not a swig output

        return;
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return;
    }
}


// ================== Normal method: "forward" ===============
// class: "casadi::Function"
// cppName: "casadi::Function::forward"
// cWrapperName: "casadi__Function__forward__7"
// protoArgs: "(std::string ** err_msg, casadi::Function* obj, std::vector< casadi::MX* >* x0, std::vector< casadi::MX* >* x1, std::vector< std::vector< casadi::MX* >* >* x2, std::vector< std::vector< casadi::MX* >* >** x3)"
// args: "(x0_, x1_, x2_, x3_)"
// rettype: CVoid
// cWrapperRetType: "void"
// proto: "void\n    casadi__Function__forward__7(std::string ** err_msg, casadi::Function* obj, std::vector< casadi::MX* >* x0, std::vector< casadi::MX* >* x1, std::vector< std::vector< casadi::MX* >* >* x2, std::vector< std::vector< casadi::MX* >* >** x3)"
// call: "        obj->forward(x0_, x1_, x2_, x3_);"
// params: [(Ref (Const (StdVec (UserType (Namespace ["casadi"]) (Name "MX")))),SwigOutput False),(Ref (Const (StdVec (UserType (Namespace ["casadi"]) (Name "MX")))),SwigOutput False),(Ref (Const (StdVec (StdVec (UserType (Namespace ["casadi"]) (Name "MX"))))),SwigOutput False),(Ref (StdVec (StdVec (UserType (Namespace ["casadi"]) (Name "MX")))),SwigOutput True)]
extern "C"
void
    casadi__Function__forward__7(std::string ** err_msg, casadi::Function* obj, std::vector< casadi::MX* >* x0, std::vector< casadi::MX* >* x1, std::vector< std::vector< casadi::MX* >* >* x2, std::vector< std::vector< casadi::MX* >* >** x3);
void
    casadi__Function__forward__7(std::string ** err_msg, casadi::Function* obj, std::vector< casadi::MX* >* x0, std::vector< casadi::MX* >* x1, std::vector< std::vector< casadi::MX* >* >* x2, std::vector< std::vector< casadi::MX* >* >** x3){
    try {
        std::vector< casadi::MX > x0_ = Marshaling<std::vector< casadi::MX >,std::vector< casadi::MX* >*>::marshal(x0);
        std::vector< casadi::MX > x1_ = Marshaling<std::vector< casadi::MX >,std::vector< casadi::MX* >*>::marshal(x1);
        std::vector< std::vector< casadi::MX > > x2_ = Marshaling<std::vector< std::vector< casadi::MX > >,std::vector< std::vector< casadi::MX* >* >*>::marshal(x2);
        std::vector< std::vector< casadi::MX > > x3_ = std::vector< std::vector< casadi::MX > >();  // Swig output

        obj->forward(x0_, x1_, x2_, x3_);
        // x0 is not a swig output
        // x1 is not a swig output
        // x2 is not a swig output
        *x3 = WrapReturn< std::vector< std::vector< casadi::MX* >* >*, std::vector< std::vector< casadi::MX > > >::wrapReturn( x3_ );

        return;
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return;
    }
}


// ================== Normal method: "forward" ===============
// class: "casadi::Function"
// cppName: "casadi::Function::forward"
// cWrapperName: "casadi__Function__forward__8"
// protoArgs: "(std::string ** err_msg, casadi::Function* obj, std::vector< casadi::MX* >* x0, std::vector< casadi::MX* >* x1, std::vector< std::vector< casadi::MX* >* >* x2, std::vector< std::vector< casadi::MX* >* >** x3, int x4)"
// args: "(x0_, x1_, x2_, x3_, x4_)"
// rettype: CVoid
// cWrapperRetType: "void"
// proto: "void\n    casadi__Function__forward__8(std::string ** err_msg, casadi::Function* obj, std::vector< casadi::MX* >* x0, std::vector< casadi::MX* >* x1, std::vector< std::vector< casadi::MX* >* >* x2, std::vector< std::vector< casadi::MX* >* >** x3, int x4)"
// call: "        obj->forward(x0_, x1_, x2_, x3_, x4_);"
// params: [(Ref (Const (StdVec (UserType (Namespace ["casadi"]) (Name "MX")))),SwigOutput False),(Ref (Const (StdVec (UserType (Namespace ["casadi"]) (Name "MX")))),SwigOutput False),(Ref (Const (StdVec (StdVec (UserType (Namespace ["casadi"]) (Name "MX"))))),SwigOutput False),(Ref (StdVec (StdVec (UserType (Namespace ["casadi"]) (Name "MX")))),SwigOutput True),(CBool,SwigOutput False)]
extern "C"
void
    casadi__Function__forward__8(std::string ** err_msg, casadi::Function* obj, std::vector< casadi::MX* >* x0, std::vector< casadi::MX* >* x1, std::vector< std::vector< casadi::MX* >* >* x2, std::vector< std::vector< casadi::MX* >* >** x3, int x4);
void
    casadi__Function__forward__8(std::string ** err_msg, casadi::Function* obj, std::vector< casadi::MX* >* x0, std::vector< casadi::MX* >* x1, std::vector< std::vector< casadi::MX* >* >* x2, std::vector< std::vector< casadi::MX* >* >** x3, int x4){
    try {
        std::vector< casadi::MX > x0_ = Marshaling<std::vector< casadi::MX >,std::vector< casadi::MX* >*>::marshal(x0);
        std::vector< casadi::MX > x1_ = Marshaling<std::vector< casadi::MX >,std::vector< casadi::MX* >*>::marshal(x1);
        std::vector< std::vector< casadi::MX > > x2_ = Marshaling<std::vector< std::vector< casadi::MX > >,std::vector< std::vector< casadi::MX* >* >*>::marshal(x2);
        std::vector< std::vector< casadi::MX > > x3_ = std::vector< std::vector< casadi::MX > >();  // Swig output
        bool x4_ = Marshaling<bool,int>::marshal(x4);

        obj->forward(x0_, x1_, x2_, x3_, x4_);
        // x0 is not a swig output
        // x1 is not a swig output
        // x2 is not a swig output
        *x3 = WrapReturn< std::vector< std::vector< casadi::MX* >* >*, std::vector< std::vector< casadi::MX > > >::wrapReturn( x3_ );
        // x4 is not a swig output

        return;
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return;
    }
}


// ================== Normal method: "forward" ===============
// class: "casadi::Function"
// cppName: "casadi::Function::forward"
// cWrapperName: "casadi__Function__forward__9"
// protoArgs: "(std::string ** err_msg, casadi::Function* obj, std::vector< casadi::MX* >* x0, std::vector< casadi::MX* >* x1, std::vector< std::vector< casadi::MX* >* >* x2, std::vector< std::vector< casadi::MX* >* >** x3, int x4, int x5)"
// args: "(x0_, x1_, x2_, x3_, x4_, x5_)"
// rettype: CVoid
// cWrapperRetType: "void"
// proto: "void\n    casadi__Function__forward__9(std::string ** err_msg, casadi::Function* obj, std::vector< casadi::MX* >* x0, std::vector< casadi::MX* >* x1, std::vector< std::vector< casadi::MX* >* >* x2, std::vector< std::vector< casadi::MX* >* >** x3, int x4, int x5)"
// call: "        obj->forward(x0_, x1_, x2_, x3_, x4_, x5_);"
// params: [(Ref (Const (StdVec (UserType (Namespace ["casadi"]) (Name "MX")))),SwigOutput False),(Ref (Const (StdVec (UserType (Namespace ["casadi"]) (Name "MX")))),SwigOutput False),(Ref (Const (StdVec (StdVec (UserType (Namespace ["casadi"]) (Name "MX"))))),SwigOutput False),(Ref (StdVec (StdVec (UserType (Namespace ["casadi"]) (Name "MX")))),SwigOutput True),(CBool,SwigOutput False),(CBool,SwigOutput False)]
extern "C"
void
    casadi__Function__forward__9(std::string ** err_msg, casadi::Function* obj, std::vector< casadi::MX* >* x0, std::vector< casadi::MX* >* x1, std::vector< std::vector< casadi::MX* >* >* x2, std::vector< std::vector< casadi::MX* >* >** x3, int x4, int x5);
void
    casadi__Function__forward__9(std::string ** err_msg, casadi::Function* obj, std::vector< casadi::MX* >* x0, std::vector< casadi::MX* >* x1, std::vector< std::vector< casadi::MX* >* >* x2, std::vector< std::vector< casadi::MX* >* >** x3, int x4, int x5){
    try {
        std::vector< casadi::MX > x0_ = Marshaling<std::vector< casadi::MX >,std::vector< casadi::MX* >*>::marshal(x0);
        std::vector< casadi::MX > x1_ = Marshaling<std::vector< casadi::MX >,std::vector< casadi::MX* >*>::marshal(x1);
        std::vector< std::vector< casadi::MX > > x2_ = Marshaling<std::vector< std::vector< casadi::MX > >,std::vector< std::vector< casadi::MX* >* >*>::marshal(x2);
        std::vector< std::vector< casadi::MX > > x3_ = std::vector< std::vector< casadi::MX > >();  // Swig output
        bool x4_ = Marshaling<bool,int>::marshal(x4);
        bool x5_ = Marshaling<bool,int>::marshal(x5);

        obj->forward(x0_, x1_, x2_, x3_, x4_, x5_);
        // x0 is not a swig output
        // x1 is not a swig output
        // x2 is not a swig output
        *x3 = WrapReturn< std::vector< std::vector< casadi::MX* >* >*, std::vector< std::vector< casadi::MX > > >::wrapReturn( x3_ );
        // x4 is not a swig output
        // x5 is not a swig output

        return;
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return;
    }
}


// ================== Normal method: "free_mx" ===============
// class: "casadi::Function"
// cppName: "casadi::Function::free_mx"
// cWrapperName: "casadi__Function__free_mx"
// protoArgs: "(std::string ** err_msg, casadi::Function* obj)"
// args: "()"
// rettype: StdVec (UserType (Namespace ["casadi"]) (Name "MX"))
// cWrapperRetType: "std::vector< casadi::MX* >*"
// proto: "std::vector< casadi::MX* >*\n    casadi__Function__free_mx(std::string ** err_msg, casadi::Function* obj)"
// call: "        std::vector< casadi::MX > ret = obj->free_mx();"
// params: []
extern "C"
std::vector< casadi::MX* >*
    casadi__Function__free_mx(std::string ** err_msg, casadi::Function* obj);
std::vector< casadi::MX* >*
    casadi__Function__free_mx(std::string ** err_msg, casadi::Function* obj){
    try {

        std::vector< casadi::MX > ret = obj->free_mx();

        return WrapReturn< std::vector< casadi::MX* >*, std::vector< casadi::MX > >::wrapReturn( ret );
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return 0;
    }
}


// ================== Normal method: "free_sx" ===============
// class: "casadi::Function"
// cppName: "casadi::Function::free_sx"
// cWrapperName: "casadi__Function__free_sx"
// protoArgs: "(std::string ** err_msg, casadi::Function* obj)"
// args: "()"
// rettype: UserType (Namespace ["casadi"]) (Name "SX")
// cWrapperRetType: "casadi::SX*"
// proto: "casadi::SX*\n    casadi__Function__free_sx(std::string ** err_msg, casadi::Function* obj)"
// call: "        casadi::SX ret = obj->free_sx();"
// params: []
extern "C"
casadi::SX*
    casadi__Function__free_sx(std::string ** err_msg, casadi::Function* obj);
casadi::SX*
    casadi__Function__free_sx(std::string ** err_msg, casadi::Function* obj){
    try {

        casadi::SX ret = obj->free_sx();

        return WrapReturn< casadi::SX*, casadi::SX >::wrapReturn( ret );
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return 0;
    }
}


// ================== Normal method: "fullJacobian" ===============
// class: "casadi::Function"
// cppName: "casadi::Function::fullJacobian"
// cWrapperName: "casadi__Function__fullJacobian"
// protoArgs: "(std::string ** err_msg, casadi::Function* obj)"
// args: "()"
// rettype: UserType (Namespace ["casadi"]) (Name "Function")
// cWrapperRetType: "casadi::Function*"
// proto: "casadi::Function*\n    casadi__Function__fullJacobian(std::string ** err_msg, casadi::Function* obj)"
// call: "        casadi::Function ret = obj->fullJacobian();"
// params: []
extern "C"
casadi::Function*
    casadi__Function__fullJacobian(std::string ** err_msg, casadi::Function* obj);
casadi::Function*
    casadi__Function__fullJacobian(std::string ** err_msg, casadi::Function* obj){
    try {

        casadi::Function ret = obj->fullJacobian();

        return WrapReturn< casadi::Function*, casadi::Function >::wrapReturn( ret );
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return 0;
    }
}


// ================== Normal method: "generate" ===============
// class: "casadi::Function"
// cppName: "casadi::Function::generate"
// cWrapperName: "casadi__Function__generate__0"
// protoArgs: "(std::string ** err_msg, casadi::Function* obj)"
// args: "()"
// rettype: CVoid
// cWrapperRetType: "void"
// proto: "void\n    casadi__Function__generate__0(std::string ** err_msg, casadi::Function* obj)"
// call: "        obj->generate();"
// params: []
extern "C"
void
    casadi__Function__generate__0(std::string ** err_msg, casadi::Function* obj);
void
    casadi__Function__generate__0(std::string ** err_msg, casadi::Function* obj){
    try {

        obj->generate();

        return;
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return;
    }
}


// ================== Normal method: "generate" ===============
// class: "casadi::Function"
// cppName: "casadi::Function::generate"
// cWrapperName: "casadi__Function__generate__1"
// protoArgs: "(std::string ** err_msg, casadi::Function* obj, std::map< std::string, casadi::GenericType* >* x0)"
// args: "(x0_)"
// rettype: CVoid
// cWrapperRetType: "void"
// proto: "void\n    casadi__Function__generate__1(std::string ** err_msg, casadi::Function* obj, std::map< std::string, casadi::GenericType* >* x0)"
// call: "        obj->generate(x0_);"
// params: [(Ref (Const (StdMap StdString (UserType (Namespace ["casadi"]) (Name "GenericType")))),SwigOutput False)]
extern "C"
void
    casadi__Function__generate__1(std::string ** err_msg, casadi::Function* obj, std::map< std::string, casadi::GenericType* >* x0);
void
    casadi__Function__generate__1(std::string ** err_msg, casadi::Function* obj, std::map< std::string, casadi::GenericType* >* x0){
    try {
        std::map< std::string, casadi::GenericType > x0_ = Marshaling<std::map< std::string, casadi::GenericType >,std::map< std::string, casadi::GenericType* >*>::marshal(x0);

        obj->generate(x0_);
        // x0 is not a swig output

        return;
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return;
    }
}


// ================== Normal method: "generate" ===============
// class: "casadi::Function"
// cppName: "casadi::Function::generate"
// cWrapperName: "casadi__Function__generate__2"
// protoArgs: "(std::string ** err_msg, casadi::Function* obj, std::string* x0)"
// args: "(x0_)"
// rettype: CVoid
// cWrapperRetType: "void"
// proto: "void\n    casadi__Function__generate__2(std::string ** err_msg, casadi::Function* obj, std::string* x0)"
// call: "        obj->generate(x0_);"
// params: [(Ref (Const StdString),SwigOutput False)]
extern "C"
void
    casadi__Function__generate__2(std::string ** err_msg, casadi::Function* obj, std::string* x0);
void
    casadi__Function__generate__2(std::string ** err_msg, casadi::Function* obj, std::string* x0){
    try {
        std::string& x0_ = Marshaling<std::string&,std::string*>::marshal(x0);

        obj->generate(x0_);
        // x0 is not a swig output

        return;
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return;
    }
}


// ================== Normal method: "generate" ===============
// class: "casadi::Function"
// cppName: "casadi::Function::generate"
// cWrapperName: "casadi__Function__generate__3"
// protoArgs: "(std::string ** err_msg, casadi::Function* obj, std::string* x0, std::map< std::string, casadi::GenericType* >* x1)"
// args: "(x0_, x1_)"
// rettype: CVoid
// cWrapperRetType: "void"
// proto: "void\n    casadi__Function__generate__3(std::string ** err_msg, casadi::Function* obj, std::string* x0, std::map< std::string, casadi::GenericType* >* x1)"
// call: "        obj->generate(x0_, x1_);"
// params: [(Ref (Const StdString),SwigOutput False),(Ref (Const (StdMap StdString (UserType (Namespace ["casadi"]) (Name "GenericType")))),SwigOutput False)]
extern "C"
void
    casadi__Function__generate__3(std::string ** err_msg, casadi::Function* obj, std::string* x0, std::map< std::string, casadi::GenericType* >* x1);
void
    casadi__Function__generate__3(std::string ** err_msg, casadi::Function* obj, std::string* x0, std::map< std::string, casadi::GenericType* >* x1){
    try {
        std::string& x0_ = Marshaling<std::string&,std::string*>::marshal(x0);
        std::map< std::string, casadi::GenericType > x1_ = Marshaling<std::map< std::string, casadi::GenericType >,std::map< std::string, casadi::GenericType* >*>::marshal(x1);

        obj->generate(x0_, x1_);
        // x0 is not a swig output
        // x1 is not a swig output

        return;
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return;
    }
}


// ================== Normal method: "generate_dependencies" ===============
// class: "casadi::Function"
// cppName: "casadi::Function::generate_dependencies"
// cWrapperName: "casadi__Function__generate_dependencies__0"
// protoArgs: "(std::string ** err_msg, casadi::Function* obj, std::string* x0)"
// args: "(x0_)"
// rettype: CVoid
// cWrapperRetType: "void"
// proto: "void\n    casadi__Function__generate_dependencies__0(std::string ** err_msg, casadi::Function* obj, std::string* x0)"
// call: "        obj->generate_dependencies(x0_);"
// params: [(Ref (Const StdString),SwigOutput False)]
extern "C"
void
    casadi__Function__generate_dependencies__0(std::string ** err_msg, casadi::Function* obj, std::string* x0);
void
    casadi__Function__generate_dependencies__0(std::string ** err_msg, casadi::Function* obj, std::string* x0){
    try {
        std::string& x0_ = Marshaling<std::string&,std::string*>::marshal(x0);

        obj->generate_dependencies(x0_);
        // x0 is not a swig output

        return;
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return;
    }
}


// ================== Normal method: "generate_dependencies" ===============
// class: "casadi::Function"
// cppName: "casadi::Function::generate_dependencies"
// cWrapperName: "casadi__Function__generate_dependencies__1"
// protoArgs: "(std::string ** err_msg, casadi::Function* obj, std::string* x0, std::map< std::string, casadi::GenericType* >* x1)"
// args: "(x0_, x1_)"
// rettype: CVoid
// cWrapperRetType: "void"
// proto: "void\n    casadi__Function__generate_dependencies__1(std::string ** err_msg, casadi::Function* obj, std::string* x0, std::map< std::string, casadi::GenericType* >* x1)"
// call: "        obj->generate_dependencies(x0_, x1_);"
// params: [(Ref (Const StdString),SwigOutput False),(Ref (Const (StdMap StdString (UserType (Namespace ["casadi"]) (Name "GenericType")))),SwigOutput False)]
extern "C"
void
    casadi__Function__generate_dependencies__1(std::string ** err_msg, casadi::Function* obj, std::string* x0, std::map< std::string, casadi::GenericType* >* x1);
void
    casadi__Function__generate_dependencies__1(std::string ** err_msg, casadi::Function* obj, std::string* x0, std::map< std::string, casadi::GenericType* >* x1){
    try {
        std::string& x0_ = Marshaling<std::string&,std::string*>::marshal(x0);
        std::map< std::string, casadi::GenericType > x1_ = Marshaling<std::map< std::string, casadi::GenericType >,std::map< std::string, casadi::GenericType* >*>::marshal(x1);

        obj->generate_dependencies(x0_, x1_);
        // x0 is not a swig output
        // x1 is not a swig output

        return;
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return;
    }
}


// ================== Normal method: "generate_lifted" ===============
// class: "casadi::Function"
// cppName: "casadi::Function::generate_lifted"
// cWrapperName: "casadi__Function__generate_lifted"
// protoArgs: "(std::string ** err_msg, casadi::Function* obj, casadi::Function** x0, casadi::Function** x1)"
// args: "(x0_, x1_)"
// rettype: CVoid
// cWrapperRetType: "void"
// proto: "void\n    casadi__Function__generate_lifted(std::string ** err_msg, casadi::Function* obj, casadi::Function** x0, casadi::Function** x1)"
// call: "        obj->generate_lifted(x0_, x1_);"
// params: [(Ref (UserType (Namespace ["casadi"]) (Name "Function")),SwigOutput True),(Ref (UserType (Namespace ["casadi"]) (Name "Function")),SwigOutput True)]
extern "C"
void
    casadi__Function__generate_lifted(std::string ** err_msg, casadi::Function* obj, casadi::Function** x0, casadi::Function** x1);
void
    casadi__Function__generate_lifted(std::string ** err_msg, casadi::Function* obj, casadi::Function** x0, casadi::Function** x1){
    try {
        casadi::Function x0_ = casadi::Function();  // Swig output
        casadi::Function x1_ = casadi::Function();  // Swig output

        obj->generate_lifted(x0_, x1_);
        *x0 = WrapReturn< casadi::Function*, casadi::Function >::wrapReturn( x0_ );
        *x1 = WrapReturn< casadi::Function*, casadi::Function >::wrapReturn( x1_ );

        return;
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return;
    }
}


// ================== Normal method: "getAlgorithmSize" ===============
// class: "casadi::Function"
// cppName: "casadi::Function::getAlgorithmSize"
// cWrapperName: "casadi__Function__getAlgorithmSize"
// protoArgs: "(std::string ** err_msg, casadi::Function* obj)"
// args: "()"
// rettype: CInt
// cWrapperRetType: "int"
// proto: "int\n    casadi__Function__getAlgorithmSize(std::string ** err_msg, casadi::Function* obj)"
// call: "        int ret = obj->getAlgorithmSize();"
// params: []
extern "C"
int
    casadi__Function__getAlgorithmSize(std::string ** err_msg, casadi::Function* obj);
int
    casadi__Function__getAlgorithmSize(std::string ** err_msg, casadi::Function* obj){
    try {

        int ret = obj->getAlgorithmSize();

        return WrapReturn< int, int >::wrapReturn( ret );
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return 0;
    }
}


// ================== Normal method: "getAtomicInput" ===============
// class: "casadi::Function"
// cppName: "casadi::Function::getAtomicInput"
// cWrapperName: "casadi__Function__getAtomicInput"
// protoArgs: "(std::string ** err_msg, casadi::Function* obj, int x0)"
// args: "(x0_)"
// rettype: StdPair CInt CInt
// cWrapperRetType: "std::pair< int, int >*"
// proto: "std::pair< int, int >*\n    casadi__Function__getAtomicInput(std::string ** err_msg, casadi::Function* obj, int x0)"
// call: "        std::pair< int, int > ret = obj->getAtomicInput(x0_);"
// params: [(CInt,SwigOutput False)]
extern "C"
std::pair< int, int >*
    casadi__Function__getAtomicInput(std::string ** err_msg, casadi::Function* obj, int x0);
std::pair< int, int >*
    casadi__Function__getAtomicInput(std::string ** err_msg, casadi::Function* obj, int x0){
    try {
        int x0_ = Marshaling<int,int>::marshal(x0);

        std::pair< int, int > ret = obj->getAtomicInput(x0_);
        // x0 is not a swig output

        return WrapReturn< std::pair< int, int >*, std::pair< int, int > >::wrapReturn( ret );
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return 0;
    }
}


// ================== Normal method: "getAtomicInputReal" ===============
// class: "casadi::Function"
// cppName: "casadi::Function::getAtomicInputReal"
// cWrapperName: "casadi__Function__getAtomicInputReal"
// protoArgs: "(std::string ** err_msg, casadi::Function* obj, int x0)"
// args: "(x0_)"
// rettype: CDouble
// cWrapperRetType: "double"
// proto: "double\n    casadi__Function__getAtomicInputReal(std::string ** err_msg, casadi::Function* obj, int x0)"
// call: "        double ret = obj->getAtomicInputReal(x0_);"
// params: [(CInt,SwigOutput False)]
extern "C"
double
    casadi__Function__getAtomicInputReal(std::string ** err_msg, casadi::Function* obj, int x0);
double
    casadi__Function__getAtomicInputReal(std::string ** err_msg, casadi::Function* obj, int x0){
    try {
        int x0_ = Marshaling<int,int>::marshal(x0);

        double ret = obj->getAtomicInputReal(x0_);
        // x0 is not a swig output

        return WrapReturn< double, double >::wrapReturn( ret );
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return 0;
    }
}


// ================== Normal method: "getAtomicOperation" ===============
// class: "casadi::Function"
// cppName: "casadi::Function::getAtomicOperation"
// cWrapperName: "casadi__Function__getAtomicOperation"
// protoArgs: "(std::string ** err_msg, casadi::Function* obj, int x0)"
// args: "(x0_)"
// rettype: CInt
// cWrapperRetType: "int"
// proto: "int\n    casadi__Function__getAtomicOperation(std::string ** err_msg, casadi::Function* obj, int x0)"
// call: "        int ret = obj->getAtomicOperation(x0_);"
// params: [(CInt,SwigOutput False)]
extern "C"
int
    casadi__Function__getAtomicOperation(std::string ** err_msg, casadi::Function* obj, int x0);
int
    casadi__Function__getAtomicOperation(std::string ** err_msg, casadi::Function* obj, int x0){
    try {
        int x0_ = Marshaling<int,int>::marshal(x0);

        int ret = obj->getAtomicOperation(x0_);
        // x0 is not a swig output

        return WrapReturn< int, int >::wrapReturn( ret );
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return 0;
    }
}


// ================== Normal method: "getAtomicOutput" ===============
// class: "casadi::Function"
// cppName: "casadi::Function::getAtomicOutput"
// cWrapperName: "casadi__Function__getAtomicOutput"
// protoArgs: "(std::string ** err_msg, casadi::Function* obj, int x0)"
// args: "(x0_)"
// rettype: CInt
// cWrapperRetType: "int"
// proto: "int\n    casadi__Function__getAtomicOutput(std::string ** err_msg, casadi::Function* obj, int x0)"
// call: "        int ret = obj->getAtomicOutput(x0_);"
// params: [(CInt,SwigOutput False)]
extern "C"
int
    casadi__Function__getAtomicOutput(std::string ** err_msg, casadi::Function* obj, int x0);
int
    casadi__Function__getAtomicOutput(std::string ** err_msg, casadi::Function* obj, int x0){
    try {
        int x0_ = Marshaling<int,int>::marshal(x0);

        int ret = obj->getAtomicOutput(x0_);
        // x0 is not a swig output

        return WrapReturn< int, int >::wrapReturn( ret );
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return 0;
    }
}


// ================== Normal method: "getWorkSize" ===============
// class: "casadi::Function"
// cppName: "casadi::Function::getWorkSize"
// cWrapperName: "casadi__Function__getWorkSize"
// protoArgs: "(std::string ** err_msg, casadi::Function* obj)"
// args: "()"
// rettype: CInt
// cWrapperRetType: "int"
// proto: "int\n    casadi__Function__getWorkSize(std::string ** err_msg, casadi::Function* obj)"
// call: "        int ret = obj->getWorkSize();"
// params: []
extern "C"
int
    casadi__Function__getWorkSize(std::string ** err_msg, casadi::Function* obj);
int
    casadi__Function__getWorkSize(std::string ** err_msg, casadi::Function* obj){
    try {

        int ret = obj->getWorkSize();

        return WrapReturn< int, int >::wrapReturn( ret );
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return 0;
    }
}


// ================== Normal method: "gradient" ===============
// class: "casadi::Function"
// cppName: "casadi::Function::gradient"
// cWrapperName: "casadi__Function__gradient__0"
// protoArgs: "(std::string ** err_msg, casadi::Function* obj, std::string* x0, std::string* x1)"
// args: "(x0_, x1_)"
// rettype: UserType (Namespace ["casadi"]) (Name "Function")
// cWrapperRetType: "casadi::Function*"
// proto: "casadi::Function*\n    casadi__Function__gradient__0(std::string ** err_msg, casadi::Function* obj, std::string* x0, std::string* x1)"
// call: "        casadi::Function ret = obj->gradient(x0_, x1_);"
// params: [(Ref (Const StdString),SwigOutput False),(Ref (Const StdString),SwigOutput False)]
extern "C"
casadi::Function*
    casadi__Function__gradient__0(std::string ** err_msg, casadi::Function* obj, std::string* x0, std::string* x1);
casadi::Function*
    casadi__Function__gradient__0(std::string ** err_msg, casadi::Function* obj, std::string* x0, std::string* x1){
    try {
        std::string& x0_ = Marshaling<std::string&,std::string*>::marshal(x0);
        std::string& x1_ = Marshaling<std::string&,std::string*>::marshal(x1);

        casadi::Function ret = obj->gradient(x0_, x1_);
        // x0 is not a swig output
        // x1 is not a swig output

        return WrapReturn< casadi::Function*, casadi::Function >::wrapReturn( ret );
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return 0;
    }
}


// ================== Normal method: "gradient" ===============
// class: "casadi::Function"
// cppName: "casadi::Function::gradient"
// cWrapperName: "casadi__Function__gradient__1"
// protoArgs: "(std::string ** err_msg, casadi::Function* obj, int x0, std::string* x1)"
// args: "(x0_, x1_)"
// rettype: UserType (Namespace ["casadi"]) (Name "Function")
// cWrapperRetType: "casadi::Function*"
// proto: "casadi::Function*\n    casadi__Function__gradient__1(std::string ** err_msg, casadi::Function* obj, int x0, std::string* x1)"
// call: "        casadi::Function ret = obj->gradient(x0_, x1_);"
// params: [(CInt,SwigOutput False),(Ref (Const StdString),SwigOutput False)]
extern "C"
casadi::Function*
    casadi__Function__gradient__1(std::string ** err_msg, casadi::Function* obj, int x0, std::string* x1);
casadi::Function*
    casadi__Function__gradient__1(std::string ** err_msg, casadi::Function* obj, int x0, std::string* x1){
    try {
        int x0_ = Marshaling<int,int>::marshal(x0);
        std::string& x1_ = Marshaling<std::string&,std::string*>::marshal(x1);

        casadi::Function ret = obj->gradient(x0_, x1_);
        // x0 is not a swig output
        // x1 is not a swig output

        return WrapReturn< casadi::Function*, casadi::Function >::wrapReturn( ret );
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return 0;
    }
}


// ================== Normal method: "gradient" ===============
// class: "casadi::Function"
// cppName: "casadi::Function::gradient"
// cWrapperName: "casadi__Function__gradient__2"
// protoArgs: "(std::string ** err_msg, casadi::Function* obj, std::string* x0)"
// args: "(x0_)"
// rettype: UserType (Namespace ["casadi"]) (Name "Function")
// cWrapperRetType: "casadi::Function*"
// proto: "casadi::Function*\n    casadi__Function__gradient__2(std::string ** err_msg, casadi::Function* obj, std::string* x0)"
// call: "        casadi::Function ret = obj->gradient(x0_);"
// params: [(Ref (Const StdString),SwigOutput False)]
extern "C"
casadi::Function*
    casadi__Function__gradient__2(std::string ** err_msg, casadi::Function* obj, std::string* x0);
casadi::Function*
    casadi__Function__gradient__2(std::string ** err_msg, casadi::Function* obj, std::string* x0){
    try {
        std::string& x0_ = Marshaling<std::string&,std::string*>::marshal(x0);

        casadi::Function ret = obj->gradient(x0_);
        // x0 is not a swig output

        return WrapReturn< casadi::Function*, casadi::Function >::wrapReturn( ret );
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return 0;
    }
}


// ================== Normal method: "gradient" ===============
// class: "casadi::Function"
// cppName: "casadi::Function::gradient"
// cWrapperName: "casadi__Function__gradient__3"
// protoArgs: "(std::string ** err_msg, casadi::Function* obj, std::string* x0, int x1)"
// args: "(x0_, x1_)"
// rettype: UserType (Namespace ["casadi"]) (Name "Function")
// cWrapperRetType: "casadi::Function*"
// proto: "casadi::Function*\n    casadi__Function__gradient__3(std::string ** err_msg, casadi::Function* obj, std::string* x0, int x1)"
// call: "        casadi::Function ret = obj->gradient(x0_, x1_);"
// params: [(Ref (Const StdString),SwigOutput False),(CInt,SwigOutput False)]
extern "C"
casadi::Function*
    casadi__Function__gradient__3(std::string ** err_msg, casadi::Function* obj, std::string* x0, int x1);
casadi::Function*
    casadi__Function__gradient__3(std::string ** err_msg, casadi::Function* obj, std::string* x0, int x1){
    try {
        std::string& x0_ = Marshaling<std::string&,std::string*>::marshal(x0);
        int x1_ = Marshaling<int,int>::marshal(x1);

        casadi::Function ret = obj->gradient(x0_, x1_);
        // x0 is not a swig output
        // x1 is not a swig output

        return WrapReturn< casadi::Function*, casadi::Function >::wrapReturn( ret );
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return 0;
    }
}


// ================== Normal method: "gradient" ===============
// class: "casadi::Function"
// cppName: "casadi::Function::gradient"
// cWrapperName: "casadi__Function__gradient__4"
// protoArgs: "(std::string ** err_msg, casadi::Function* obj)"
// args: "()"
// rettype: UserType (Namespace ["casadi"]) (Name "Function")
// cWrapperRetType: "casadi::Function*"
// proto: "casadi::Function*\n    casadi__Function__gradient__4(std::string ** err_msg, casadi::Function* obj)"
// call: "        casadi::Function ret = obj->gradient();"
// params: []
extern "C"
casadi::Function*
    casadi__Function__gradient__4(std::string ** err_msg, casadi::Function* obj);
casadi::Function*
    casadi__Function__gradient__4(std::string ** err_msg, casadi::Function* obj){
    try {

        casadi::Function ret = obj->gradient();

        return WrapReturn< casadi::Function*, casadi::Function >::wrapReturn( ret );
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return 0;
    }
}


// ================== Normal method: "gradient" ===============
// class: "casadi::Function"
// cppName: "casadi::Function::gradient"
// cWrapperName: "casadi__Function__gradient__5"
// protoArgs: "(std::string ** err_msg, casadi::Function* obj, int x0)"
// args: "(x0_)"
// rettype: UserType (Namespace ["casadi"]) (Name "Function")
// cWrapperRetType: "casadi::Function*"
// proto: "casadi::Function*\n    casadi__Function__gradient__5(std::string ** err_msg, casadi::Function* obj, int x0)"
// call: "        casadi::Function ret = obj->gradient(x0_);"
// params: [(CInt,SwigOutput False)]
extern "C"
casadi::Function*
    casadi__Function__gradient__5(std::string ** err_msg, casadi::Function* obj, int x0);
casadi::Function*
    casadi__Function__gradient__5(std::string ** err_msg, casadi::Function* obj, int x0){
    try {
        int x0_ = Marshaling<int,int>::marshal(x0);

        casadi::Function ret = obj->gradient(x0_);
        // x0 is not a swig output

        return WrapReturn< casadi::Function*, casadi::Function >::wrapReturn( ret );
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return 0;
    }
}


// ================== Normal method: "gradient" ===============
// class: "casadi::Function"
// cppName: "casadi::Function::gradient"
// cWrapperName: "casadi__Function__gradient__6"
// protoArgs: "(std::string ** err_msg, casadi::Function* obj, int x0, int x1)"
// args: "(x0_, x1_)"
// rettype: UserType (Namespace ["casadi"]) (Name "Function")
// cWrapperRetType: "casadi::Function*"
// proto: "casadi::Function*\n    casadi__Function__gradient__6(std::string ** err_msg, casadi::Function* obj, int x0, int x1)"
// call: "        casadi::Function ret = obj->gradient(x0_, x1_);"
// params: [(CInt,SwigOutput False),(CInt,SwigOutput False)]
extern "C"
casadi::Function*
    casadi__Function__gradient__6(std::string ** err_msg, casadi::Function* obj, int x0, int x1);
casadi::Function*
    casadi__Function__gradient__6(std::string ** err_msg, casadi::Function* obj, int x0, int x1){
    try {
        int x0_ = Marshaling<int,int>::marshal(x0);
        int x1_ = Marshaling<int,int>::marshal(x1);

        casadi::Function ret = obj->gradient(x0_, x1_);
        // x0 is not a swig output
        // x1 is not a swig output

        return WrapReturn< casadi::Function*, casadi::Function >::wrapReturn( ret );
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return 0;
    }
}


// ================== Normal method: "has_free" ===============
// class: "casadi::Function"
// cppName: "casadi::Function::has_free"
// cWrapperName: "casadi__Function__has_free"
// protoArgs: "(std::string ** err_msg, casadi::Function* obj)"
// args: "()"
// rettype: CBool
// cWrapperRetType: "int"
// proto: "int\n    casadi__Function__has_free(std::string ** err_msg, casadi::Function* obj)"
// call: "        bool ret = obj->has_free();"
// params: []
extern "C"
int
    casadi__Function__has_free(std::string ** err_msg, casadi::Function* obj);
int
    casadi__Function__has_free(std::string ** err_msg, casadi::Function* obj){
    try {

        bool ret = obj->has_free();

        return WrapReturn< int, bool >::wrapReturn( ret );
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return 0;
    }
}


// ================== Normal method: "hessian" ===============
// class: "casadi::Function"
// cppName: "casadi::Function::hessian"
// cWrapperName: "casadi__Function__hessian__0"
// protoArgs: "(std::string ** err_msg, casadi::Function* obj, std::string* x0, std::string* x1)"
// args: "(x0_, x1_)"
// rettype: UserType (Namespace ["casadi"]) (Name "Function")
// cWrapperRetType: "casadi::Function*"
// proto: "casadi::Function*\n    casadi__Function__hessian__0(std::string ** err_msg, casadi::Function* obj, std::string* x0, std::string* x1)"
// call: "        casadi::Function ret = obj->hessian(x0_, x1_);"
// params: [(Ref (Const StdString),SwigOutput False),(Ref (Const StdString),SwigOutput False)]
extern "C"
casadi::Function*
    casadi__Function__hessian__0(std::string ** err_msg, casadi::Function* obj, std::string* x0, std::string* x1);
casadi::Function*
    casadi__Function__hessian__0(std::string ** err_msg, casadi::Function* obj, std::string* x0, std::string* x1){
    try {
        std::string& x0_ = Marshaling<std::string&,std::string*>::marshal(x0);
        std::string& x1_ = Marshaling<std::string&,std::string*>::marshal(x1);

        casadi::Function ret = obj->hessian(x0_, x1_);
        // x0 is not a swig output
        // x1 is not a swig output

        return WrapReturn< casadi::Function*, casadi::Function >::wrapReturn( ret );
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return 0;
    }
}


// ================== Normal method: "hessian" ===============
// class: "casadi::Function"
// cppName: "casadi::Function::hessian"
// cWrapperName: "casadi__Function__hessian__1"
// protoArgs: "(std::string ** err_msg, casadi::Function* obj, int x0, std::string* x1)"
// args: "(x0_, x1_)"
// rettype: UserType (Namespace ["casadi"]) (Name "Function")
// cWrapperRetType: "casadi::Function*"
// proto: "casadi::Function*\n    casadi__Function__hessian__1(std::string ** err_msg, casadi::Function* obj, int x0, std::string* x1)"
// call: "        casadi::Function ret = obj->hessian(x0_, x1_);"
// params: [(CInt,SwigOutput False),(Ref (Const StdString),SwigOutput False)]
extern "C"
casadi::Function*
    casadi__Function__hessian__1(std::string ** err_msg, casadi::Function* obj, int x0, std::string* x1);
casadi::Function*
    casadi__Function__hessian__1(std::string ** err_msg, casadi::Function* obj, int x0, std::string* x1){
    try {
        int x0_ = Marshaling<int,int>::marshal(x0);
        std::string& x1_ = Marshaling<std::string&,std::string*>::marshal(x1);

        casadi::Function ret = obj->hessian(x0_, x1_);
        // x0 is not a swig output
        // x1 is not a swig output

        return WrapReturn< casadi::Function*, casadi::Function >::wrapReturn( ret );
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return 0;
    }
}


// ================== Normal method: "hessian" ===============
// class: "casadi::Function"
// cppName: "casadi::Function::hessian"
// cWrapperName: "casadi__Function__hessian__2"
// protoArgs: "(std::string ** err_msg, casadi::Function* obj, std::string* x0)"
// args: "(x0_)"
// rettype: UserType (Namespace ["casadi"]) (Name "Function")
// cWrapperRetType: "casadi::Function*"
// proto: "casadi::Function*\n    casadi__Function__hessian__2(std::string ** err_msg, casadi::Function* obj, std::string* x0)"
// call: "        casadi::Function ret = obj->hessian(x0_);"
// params: [(Ref (Const StdString),SwigOutput False)]
extern "C"
casadi::Function*
    casadi__Function__hessian__2(std::string ** err_msg, casadi::Function* obj, std::string* x0);
casadi::Function*
    casadi__Function__hessian__2(std::string ** err_msg, casadi::Function* obj, std::string* x0){
    try {
        std::string& x0_ = Marshaling<std::string&,std::string*>::marshal(x0);

        casadi::Function ret = obj->hessian(x0_);
        // x0 is not a swig output

        return WrapReturn< casadi::Function*, casadi::Function >::wrapReturn( ret );
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return 0;
    }
}


// ================== Normal method: "hessian" ===============
// class: "casadi::Function"
// cppName: "casadi::Function::hessian"
// cWrapperName: "casadi__Function__hessian__3"
// protoArgs: "(std::string ** err_msg, casadi::Function* obj, std::string* x0, int x1)"
// args: "(x0_, x1_)"
// rettype: UserType (Namespace ["casadi"]) (Name "Function")
// cWrapperRetType: "casadi::Function*"
// proto: "casadi::Function*\n    casadi__Function__hessian__3(std::string ** err_msg, casadi::Function* obj, std::string* x0, int x1)"
// call: "        casadi::Function ret = obj->hessian(x0_, x1_);"
// params: [(Ref (Const StdString),SwigOutput False),(CInt,SwigOutput False)]
extern "C"
casadi::Function*
    casadi__Function__hessian__3(std::string ** err_msg, casadi::Function* obj, std::string* x0, int x1);
casadi::Function*
    casadi__Function__hessian__3(std::string ** err_msg, casadi::Function* obj, std::string* x0, int x1){
    try {
        std::string& x0_ = Marshaling<std::string&,std::string*>::marshal(x0);
        int x1_ = Marshaling<int,int>::marshal(x1);

        casadi::Function ret = obj->hessian(x0_, x1_);
        // x0 is not a swig output
        // x1 is not a swig output

        return WrapReturn< casadi::Function*, casadi::Function >::wrapReturn( ret );
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return 0;
    }
}


// ================== Normal method: "hessian" ===============
// class: "casadi::Function"
// cppName: "casadi::Function::hessian"
// cWrapperName: "casadi__Function__hessian__4"
// protoArgs: "(std::string ** err_msg, casadi::Function* obj)"
// args: "()"
// rettype: UserType (Namespace ["casadi"]) (Name "Function")
// cWrapperRetType: "casadi::Function*"
// proto: "casadi::Function*\n    casadi__Function__hessian__4(std::string ** err_msg, casadi::Function* obj)"
// call: "        casadi::Function ret = obj->hessian();"
// params: []
extern "C"
casadi::Function*
    casadi__Function__hessian__4(std::string ** err_msg, casadi::Function* obj);
casadi::Function*
    casadi__Function__hessian__4(std::string ** err_msg, casadi::Function* obj){
    try {

        casadi::Function ret = obj->hessian();

        return WrapReturn< casadi::Function*, casadi::Function >::wrapReturn( ret );
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return 0;
    }
}


// ================== Normal method: "hessian" ===============
// class: "casadi::Function"
// cppName: "casadi::Function::hessian"
// cWrapperName: "casadi__Function__hessian__5"
// protoArgs: "(std::string ** err_msg, casadi::Function* obj, int x0)"
// args: "(x0_)"
// rettype: UserType (Namespace ["casadi"]) (Name "Function")
// cWrapperRetType: "casadi::Function*"
// proto: "casadi::Function*\n    casadi__Function__hessian__5(std::string ** err_msg, casadi::Function* obj, int x0)"
// call: "        casadi::Function ret = obj->hessian(x0_);"
// params: [(CInt,SwigOutput False)]
extern "C"
casadi::Function*
    casadi__Function__hessian__5(std::string ** err_msg, casadi::Function* obj, int x0);
casadi::Function*
    casadi__Function__hessian__5(std::string ** err_msg, casadi::Function* obj, int x0){
    try {
        int x0_ = Marshaling<int,int>::marshal(x0);

        casadi::Function ret = obj->hessian(x0_);
        // x0 is not a swig output

        return WrapReturn< casadi::Function*, casadi::Function >::wrapReturn( ret );
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return 0;
    }
}


// ================== Normal method: "hessian" ===============
// class: "casadi::Function"
// cppName: "casadi::Function::hessian"
// cWrapperName: "casadi__Function__hessian__6"
// protoArgs: "(std::string ** err_msg, casadi::Function* obj, int x0, int x1)"
// args: "(x0_, x1_)"
// rettype: UserType (Namespace ["casadi"]) (Name "Function")
// cWrapperRetType: "casadi::Function*"
// proto: "casadi::Function*\n    casadi__Function__hessian__6(std::string ** err_msg, casadi::Function* obj, int x0, int x1)"
// call: "        casadi::Function ret = obj->hessian(x0_, x1_);"
// params: [(CInt,SwigOutput False),(CInt,SwigOutput False)]
extern "C"
casadi::Function*
    casadi__Function__hessian__6(std::string ** err_msg, casadi::Function* obj, int x0, int x1);
casadi::Function*
    casadi__Function__hessian__6(std::string ** err_msg, casadi::Function* obj, int x0, int x1){
    try {
        int x0_ = Marshaling<int,int>::marshal(x0);
        int x1_ = Marshaling<int,int>::marshal(x1);

        casadi::Function ret = obj->hessian(x0_, x1_);
        // x0 is not a swig output
        // x1 is not a swig output

        return WrapReturn< casadi::Function*, casadi::Function >::wrapReturn( ret );
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return 0;
    }
}


// ================== Static method: "if_else" ===============
// class: "casadi::Function"
// cppName: "casadi::Function::if_else"
// cWrapperName: "casadi__Function__if_else__0"
// protoArgs: "(std::string ** err_msg, std::string* x0, casadi::Function* x1, casadi::Function* x2)"
// args: "(x0_, x1_, x2_)"
// rettype: UserType (Namespace ["casadi"]) (Name "Function")
// cWrapperRetType: "casadi::Function*"
// proto: "casadi::Function*\n    casadi__Function__if_else__0(std::string ** err_msg, std::string* x0, casadi::Function* x1, casadi::Function* x2)"
// call: "        casadi::Function ret = casadi::Function::if_else(x0_, x1_, x2_);"
// params: [(Ref (Const StdString),SwigOutput False),(Ref (Const (UserType (Namespace ["casadi"]) (Name "Function"))),SwigOutput False),(Ref (Const (UserType (Namespace ["casadi"]) (Name "Function"))),SwigOutput False)]
extern "C"
casadi::Function*
    casadi__Function__if_else__0(std::string ** err_msg, std::string* x0, casadi::Function* x1, casadi::Function* x2);
casadi::Function*
    casadi__Function__if_else__0(std::string ** err_msg, std::string* x0, casadi::Function* x1, casadi::Function* x2){
    try {
        std::string& x0_ = Marshaling<std::string&,std::string*>::marshal(x0);
        casadi::Function& x1_ = Marshaling<casadi::Function&,casadi::Function*>::marshal(x1);
        casadi::Function& x2_ = Marshaling<casadi::Function&,casadi::Function*>::marshal(x2);

        casadi::Function ret = casadi::Function::if_else(x0_, x1_, x2_);
        // x0 is not a swig output
        // x1 is not a swig output
        // x2 is not a swig output

        return WrapReturn< casadi::Function*, casadi::Function >::wrapReturn( ret );
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return 0;
    }
}


// ================== Static method: "if_else" ===============
// class: "casadi::Function"
// cppName: "casadi::Function::if_else"
// cWrapperName: "casadi__Function__if_else__1"
// protoArgs: "(std::string ** err_msg, std::string* x0, casadi::Function* x1, casadi::Function* x2, std::map< std::string, casadi::GenericType* >* x3)"
// args: "(x0_, x1_, x2_, x3_)"
// rettype: UserType (Namespace ["casadi"]) (Name "Function")
// cWrapperRetType: "casadi::Function*"
// proto: "casadi::Function*\n    casadi__Function__if_else__1(std::string ** err_msg, std::string* x0, casadi::Function* x1, casadi::Function* x2, std::map< std::string, casadi::GenericType* >* x3)"
// call: "        casadi::Function ret = casadi::Function::if_else(x0_, x1_, x2_, x3_);"
// params: [(Ref (Const StdString),SwigOutput False),(Ref (Const (UserType (Namespace ["casadi"]) (Name "Function"))),SwigOutput False),(Ref (Const (UserType (Namespace ["casadi"]) (Name "Function"))),SwigOutput False),(Ref (Const (StdMap StdString (UserType (Namespace ["casadi"]) (Name "GenericType")))),SwigOutput False)]
extern "C"
casadi::Function*
    casadi__Function__if_else__1(std::string ** err_msg, std::string* x0, casadi::Function* x1, casadi::Function* x2, std::map< std::string, casadi::GenericType* >* x3);
casadi::Function*
    casadi__Function__if_else__1(std::string ** err_msg, std::string* x0, casadi::Function* x1, casadi::Function* x2, std::map< std::string, casadi::GenericType* >* x3){
    try {
        std::string& x0_ = Marshaling<std::string&,std::string*>::marshal(x0);
        casadi::Function& x1_ = Marshaling<casadi::Function&,casadi::Function*>::marshal(x1);
        casadi::Function& x2_ = Marshaling<casadi::Function&,casadi::Function*>::marshal(x2);
        std::map< std::string, casadi::GenericType > x3_ = Marshaling<std::map< std::string, casadi::GenericType >,std::map< std::string, casadi::GenericType* >*>::marshal(x3);

        casadi::Function ret = casadi::Function::if_else(x0_, x1_, x2_, x3_);
        // x0 is not a swig output
        // x1 is not a swig output
        // x2 is not a swig output
        // x3 is not a swig output

        return WrapReturn< casadi::Function*, casadi::Function >::wrapReturn( ret );
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return 0;
    }
}


// ================== Normal method: "index_in" ===============
// class: "casadi::Function"
// cppName: "casadi::Function::index_in"
// cWrapperName: "casadi__Function__index_in"
// protoArgs: "(std::string ** err_msg, casadi::Function* obj, std::string* x0)"
// args: "(x0_)"
// rettype: CInt
// cWrapperRetType: "int"
// proto: "int\n    casadi__Function__index_in(std::string ** err_msg, casadi::Function* obj, std::string* x0)"
// call: "        int ret = obj->index_in(x0_);"
// params: [(Ref (Const StdString),SwigOutput False)]
extern "C"
int
    casadi__Function__index_in(std::string ** err_msg, casadi::Function* obj, std::string* x0);
int
    casadi__Function__index_in(std::string ** err_msg, casadi::Function* obj, std::string* x0){
    try {
        std::string& x0_ = Marshaling<std::string&,std::string*>::marshal(x0);

        int ret = obj->index_in(x0_);
        // x0 is not a swig output

        return WrapReturn< int, int >::wrapReturn( ret );
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return 0;
    }
}


// ================== Normal method: "index_out" ===============
// class: "casadi::Function"
// cppName: "casadi::Function::index_out"
// cWrapperName: "casadi__Function__index_out"
// protoArgs: "(std::string ** err_msg, casadi::Function* obj, std::string* x0)"
// args: "(x0_)"
// rettype: CInt
// cWrapperRetType: "int"
// proto: "int\n    casadi__Function__index_out(std::string ** err_msg, casadi::Function* obj, std::string* x0)"
// call: "        int ret = obj->index_out(x0_);"
// params: [(Ref (Const StdString),SwigOutput False)]
extern "C"
int
    casadi__Function__index_out(std::string ** err_msg, casadi::Function* obj, std::string* x0);
int
    casadi__Function__index_out(std::string ** err_msg, casadi::Function* obj, std::string* x0){
    try {
        std::string& x0_ = Marshaling<std::string&,std::string*>::marshal(x0);

        int ret = obj->index_out(x0_);
        // x0 is not a swig output

        return WrapReturn< int, int >::wrapReturn( ret );
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return 0;
    }
}


// ================== Normal method: "integrator_dae" ===============
// class: "casadi::Function"
// cppName: "casadi::Function::integrator_dae"
// cWrapperName: "casadi__Function__integrator_dae"
// protoArgs: "(std::string ** err_msg, casadi::Function* obj)"
// args: "()"
// rettype: UserType (Namespace ["casadi"]) (Name "Function")
// cWrapperRetType: "casadi::Function*"
// proto: "casadi::Function*\n    casadi__Function__integrator_dae(std::string ** err_msg, casadi::Function* obj)"
// call: "        casadi::Function ret = obj->integrator_dae();"
// params: []
extern "C"
casadi::Function*
    casadi__Function__integrator_dae(std::string ** err_msg, casadi::Function* obj);
casadi::Function*
    casadi__Function__integrator_dae(std::string ** err_msg, casadi::Function* obj){
    try {

        casadi::Function ret = obj->integrator_dae();

        return WrapReturn< casadi::Function*, casadi::Function >::wrapReturn( ret );
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return 0;
    }
}


// ================== Normal method: "is_a" ===============
// class: "casadi::Function"
// cppName: "casadi::Function::is_a"
// cWrapperName: "casadi__Function__is_a__0"
// protoArgs: "(std::string ** err_msg, casadi::Function* obj, std::string* x0)"
// args: "(x0_)"
// rettype: CBool
// cWrapperRetType: "int"
// proto: "int\n    casadi__Function__is_a__0(std::string ** err_msg, casadi::Function* obj, std::string* x0)"
// call: "        bool ret = obj->is_a(x0_);"
// params: [(Ref (Const StdString),SwigOutput False)]
extern "C"
int
    casadi__Function__is_a__0(std::string ** err_msg, casadi::Function* obj, std::string* x0);
int
    casadi__Function__is_a__0(std::string ** err_msg, casadi::Function* obj, std::string* x0){
    try {
        std::string& x0_ = Marshaling<std::string&,std::string*>::marshal(x0);

        bool ret = obj->is_a(x0_);
        // x0 is not a swig output

        return WrapReturn< int, bool >::wrapReturn( ret );
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return 0;
    }
}


// ================== Normal method: "is_a" ===============
// class: "casadi::Function"
// cppName: "casadi::Function::is_a"
// cWrapperName: "casadi__Function__is_a__1"
// protoArgs: "(std::string ** err_msg, casadi::Function* obj, std::string* x0, int x1)"
// args: "(x0_, x1_)"
// rettype: CBool
// cWrapperRetType: "int"
// proto: "int\n    casadi__Function__is_a__1(std::string ** err_msg, casadi::Function* obj, std::string* x0, int x1)"
// call: "        bool ret = obj->is_a(x0_, x1_);"
// params: [(Ref (Const StdString),SwigOutput False),(CBool,SwigOutput False)]
extern "C"
int
    casadi__Function__is_a__1(std::string ** err_msg, casadi::Function* obj, std::string* x0, int x1);
int
    casadi__Function__is_a__1(std::string ** err_msg, casadi::Function* obj, std::string* x0, int x1){
    try {
        std::string& x0_ = Marshaling<std::string&,std::string*>::marshal(x0);
        bool x1_ = Marshaling<bool,int>::marshal(x1);

        bool ret = obj->is_a(x0_, x1_);
        // x0 is not a swig output
        // x1 is not a swig output

        return WrapReturn< int, bool >::wrapReturn( ret );
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return 0;
    }
}


// ================== Normal method: "jacobian" ===============
// class: "casadi::Function"
// cppName: "casadi::Function::jacobian"
// cWrapperName: "casadi__Function__jacobian__0"
// protoArgs: "(std::string ** err_msg, casadi::Function* obj, std::string* x0, std::string* x1)"
// args: "(x0_, x1_)"
// rettype: UserType (Namespace ["casadi"]) (Name "Function")
// cWrapperRetType: "casadi::Function*"
// proto: "casadi::Function*\n    casadi__Function__jacobian__0(std::string ** err_msg, casadi::Function* obj, std::string* x0, std::string* x1)"
// call: "        casadi::Function ret = obj->jacobian(x0_, x1_);"
// params: [(Ref (Const StdString),SwigOutput False),(Ref (Const StdString),SwigOutput False)]
extern "C"
casadi::Function*
    casadi__Function__jacobian__0(std::string ** err_msg, casadi::Function* obj, std::string* x0, std::string* x1);
casadi::Function*
    casadi__Function__jacobian__0(std::string ** err_msg, casadi::Function* obj, std::string* x0, std::string* x1){
    try {
        std::string& x0_ = Marshaling<std::string&,std::string*>::marshal(x0);
        std::string& x1_ = Marshaling<std::string&,std::string*>::marshal(x1);

        casadi::Function ret = obj->jacobian(x0_, x1_);
        // x0 is not a swig output
        // x1 is not a swig output

        return WrapReturn< casadi::Function*, casadi::Function >::wrapReturn( ret );
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return 0;
    }
}


// ================== Normal method: "jacobian" ===============
// class: "casadi::Function"
// cppName: "casadi::Function::jacobian"
// cWrapperName: "casadi__Function__jacobian__1"
// protoArgs: "(std::string ** err_msg, casadi::Function* obj, std::string* x0, std::string* x1, int x2)"
// args: "(x0_, x1_, x2_)"
// rettype: UserType (Namespace ["casadi"]) (Name "Function")
// cWrapperRetType: "casadi::Function*"
// proto: "casadi::Function*\n    casadi__Function__jacobian__1(std::string ** err_msg, casadi::Function* obj, std::string* x0, std::string* x1, int x2)"
// call: "        casadi::Function ret = obj->jacobian(x0_, x1_, x2_);"
// params: [(Ref (Const StdString),SwigOutput False),(Ref (Const StdString),SwigOutput False),(CBool,SwigOutput False)]
extern "C"
casadi::Function*
    casadi__Function__jacobian__1(std::string ** err_msg, casadi::Function* obj, std::string* x0, std::string* x1, int x2);
casadi::Function*
    casadi__Function__jacobian__1(std::string ** err_msg, casadi::Function* obj, std::string* x0, std::string* x1, int x2){
    try {
        std::string& x0_ = Marshaling<std::string&,std::string*>::marshal(x0);
        std::string& x1_ = Marshaling<std::string&,std::string*>::marshal(x1);
        bool x2_ = Marshaling<bool,int>::marshal(x2);

        casadi::Function ret = obj->jacobian(x0_, x1_, x2_);
        // x0 is not a swig output
        // x1 is not a swig output
        // x2 is not a swig output

        return WrapReturn< casadi::Function*, casadi::Function >::wrapReturn( ret );
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return 0;
    }
}


// ================== Normal method: "jacobian" ===============
// class: "casadi::Function"
// cppName: "casadi::Function::jacobian"
// cWrapperName: "casadi__Function__jacobian__2"
// protoArgs: "(std::string ** err_msg, casadi::Function* obj, std::string* x0, std::string* x1, int x2, int x3)"
// args: "(x0_, x1_, x2_, x3_)"
// rettype: UserType (Namespace ["casadi"]) (Name "Function")
// cWrapperRetType: "casadi::Function*"
// proto: "casadi::Function*\n    casadi__Function__jacobian__2(std::string ** err_msg, casadi::Function* obj, std::string* x0, std::string* x1, int x2, int x3)"
// call: "        casadi::Function ret = obj->jacobian(x0_, x1_, x2_, x3_);"
// params: [(Ref (Const StdString),SwigOutput False),(Ref (Const StdString),SwigOutput False),(CBool,SwigOutput False),(CBool,SwigOutput False)]
extern "C"
casadi::Function*
    casadi__Function__jacobian__2(std::string ** err_msg, casadi::Function* obj, std::string* x0, std::string* x1, int x2, int x3);
casadi::Function*
    casadi__Function__jacobian__2(std::string ** err_msg, casadi::Function* obj, std::string* x0, std::string* x1, int x2, int x3){
    try {
        std::string& x0_ = Marshaling<std::string&,std::string*>::marshal(x0);
        std::string& x1_ = Marshaling<std::string&,std::string*>::marshal(x1);
        bool x2_ = Marshaling<bool,int>::marshal(x2);
        bool x3_ = Marshaling<bool,int>::marshal(x3);

        casadi::Function ret = obj->jacobian(x0_, x1_, x2_, x3_);
        // x0 is not a swig output
        // x1 is not a swig output
        // x2 is not a swig output
        // x3 is not a swig output

        return WrapReturn< casadi::Function*, casadi::Function >::wrapReturn( ret );
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return 0;
    }
}


// ================== Normal method: "jacobian" ===============
// class: "casadi::Function"
// cppName: "casadi::Function::jacobian"
// cWrapperName: "casadi__Function__jacobian__3"
// protoArgs: "(std::string ** err_msg, casadi::Function* obj, int x0, std::string* x1)"
// args: "(x0_, x1_)"
// rettype: UserType (Namespace ["casadi"]) (Name "Function")
// cWrapperRetType: "casadi::Function*"
// proto: "casadi::Function*\n    casadi__Function__jacobian__3(std::string ** err_msg, casadi::Function* obj, int x0, std::string* x1)"
// call: "        casadi::Function ret = obj->jacobian(x0_, x1_);"
// params: [(CInt,SwigOutput False),(Ref (Const StdString),SwigOutput False)]
extern "C"
casadi::Function*
    casadi__Function__jacobian__3(std::string ** err_msg, casadi::Function* obj, int x0, std::string* x1);
casadi::Function*
    casadi__Function__jacobian__3(std::string ** err_msg, casadi::Function* obj, int x0, std::string* x1){
    try {
        int x0_ = Marshaling<int,int>::marshal(x0);
        std::string& x1_ = Marshaling<std::string&,std::string*>::marshal(x1);

        casadi::Function ret = obj->jacobian(x0_, x1_);
        // x0 is not a swig output
        // x1 is not a swig output

        return WrapReturn< casadi::Function*, casadi::Function >::wrapReturn( ret );
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return 0;
    }
}


// ================== Normal method: "jacobian" ===============
// class: "casadi::Function"
// cppName: "casadi::Function::jacobian"
// cWrapperName: "casadi__Function__jacobian__4"
// protoArgs: "(std::string ** err_msg, casadi::Function* obj, int x0, std::string* x1, int x2)"
// args: "(x0_, x1_, x2_)"
// rettype: UserType (Namespace ["casadi"]) (Name "Function")
// cWrapperRetType: "casadi::Function*"
// proto: "casadi::Function*\n    casadi__Function__jacobian__4(std::string ** err_msg, casadi::Function* obj, int x0, std::string* x1, int x2)"
// call: "        casadi::Function ret = obj->jacobian(x0_, x1_, x2_);"
// params: [(CInt,SwigOutput False),(Ref (Const StdString),SwigOutput False),(CBool,SwigOutput False)]
extern "C"
casadi::Function*
    casadi__Function__jacobian__4(std::string ** err_msg, casadi::Function* obj, int x0, std::string* x1, int x2);
casadi::Function*
    casadi__Function__jacobian__4(std::string ** err_msg, casadi::Function* obj, int x0, std::string* x1, int x2){
    try {
        int x0_ = Marshaling<int,int>::marshal(x0);
        std::string& x1_ = Marshaling<std::string&,std::string*>::marshal(x1);
        bool x2_ = Marshaling<bool,int>::marshal(x2);

        casadi::Function ret = obj->jacobian(x0_, x1_, x2_);
        // x0 is not a swig output
        // x1 is not a swig output
        // x2 is not a swig output

        return WrapReturn< casadi::Function*, casadi::Function >::wrapReturn( ret );
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return 0;
    }
}


// ================== Normal method: "jacobian" ===============
// class: "casadi::Function"
// cppName: "casadi::Function::jacobian"
// cWrapperName: "casadi__Function__jacobian__5"
// protoArgs: "(std::string ** err_msg, casadi::Function* obj, int x0, std::string* x1, int x2, int x3)"
// args: "(x0_, x1_, x2_, x3_)"
// rettype: UserType (Namespace ["casadi"]) (Name "Function")
// cWrapperRetType: "casadi::Function*"
// proto: "casadi::Function*\n    casadi__Function__jacobian__5(std::string ** err_msg, casadi::Function* obj, int x0, std::string* x1, int x2, int x3)"
// call: "        casadi::Function ret = obj->jacobian(x0_, x1_, x2_, x3_);"
// params: [(CInt,SwigOutput False),(Ref (Const StdString),SwigOutput False),(CBool,SwigOutput False),(CBool,SwigOutput False)]
extern "C"
casadi::Function*
    casadi__Function__jacobian__5(std::string ** err_msg, casadi::Function* obj, int x0, std::string* x1, int x2, int x3);
casadi::Function*
    casadi__Function__jacobian__5(std::string ** err_msg, casadi::Function* obj, int x0, std::string* x1, int x2, int x3){
    try {
        int x0_ = Marshaling<int,int>::marshal(x0);
        std::string& x1_ = Marshaling<std::string&,std::string*>::marshal(x1);
        bool x2_ = Marshaling<bool,int>::marshal(x2);
        bool x3_ = Marshaling<bool,int>::marshal(x3);

        casadi::Function ret = obj->jacobian(x0_, x1_, x2_, x3_);
        // x0 is not a swig output
        // x1 is not a swig output
        // x2 is not a swig output
        // x3 is not a swig output

        return WrapReturn< casadi::Function*, casadi::Function >::wrapReturn( ret );
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return 0;
    }
}


// ================== Normal method: "jacobian" ===============
// class: "casadi::Function"
// cppName: "casadi::Function::jacobian"
// cWrapperName: "casadi__Function__jacobian__6"
// protoArgs: "(std::string ** err_msg, casadi::Function* obj, std::string* x0)"
// args: "(x0_)"
// rettype: UserType (Namespace ["casadi"]) (Name "Function")
// cWrapperRetType: "casadi::Function*"
// proto: "casadi::Function*\n    casadi__Function__jacobian__6(std::string ** err_msg, casadi::Function* obj, std::string* x0)"
// call: "        casadi::Function ret = obj->jacobian(x0_);"
// params: [(Ref (Const StdString),SwigOutput False)]
extern "C"
casadi::Function*
    casadi__Function__jacobian__6(std::string ** err_msg, casadi::Function* obj, std::string* x0);
casadi::Function*
    casadi__Function__jacobian__6(std::string ** err_msg, casadi::Function* obj, std::string* x0){
    try {
        std::string& x0_ = Marshaling<std::string&,std::string*>::marshal(x0);

        casadi::Function ret = obj->jacobian(x0_);
        // x0 is not a swig output

        return WrapReturn< casadi::Function*, casadi::Function >::wrapReturn( ret );
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return 0;
    }
}


// ================== Normal method: "jacobian" ===============
// class: "casadi::Function"
// cppName: "casadi::Function::jacobian"
// cWrapperName: "casadi__Function__jacobian__7"
// protoArgs: "(std::string ** err_msg, casadi::Function* obj, std::string* x0, int x1)"
// args: "(x0_, x1_)"
// rettype: UserType (Namespace ["casadi"]) (Name "Function")
// cWrapperRetType: "casadi::Function*"
// proto: "casadi::Function*\n    casadi__Function__jacobian__7(std::string ** err_msg, casadi::Function* obj, std::string* x0, int x1)"
// call: "        casadi::Function ret = obj->jacobian(x0_, x1_);"
// params: [(Ref (Const StdString),SwigOutput False),(CInt,SwigOutput False)]
extern "C"
casadi::Function*
    casadi__Function__jacobian__7(std::string ** err_msg, casadi::Function* obj, std::string* x0, int x1);
casadi::Function*
    casadi__Function__jacobian__7(std::string ** err_msg, casadi::Function* obj, std::string* x0, int x1){
    try {
        std::string& x0_ = Marshaling<std::string&,std::string*>::marshal(x0);
        int x1_ = Marshaling<int,int>::marshal(x1);

        casadi::Function ret = obj->jacobian(x0_, x1_);
        // x0 is not a swig output
        // x1 is not a swig output

        return WrapReturn< casadi::Function*, casadi::Function >::wrapReturn( ret );
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return 0;
    }
}


// ================== Normal method: "jacobian" ===============
// class: "casadi::Function"
// cppName: "casadi::Function::jacobian"
// cWrapperName: "casadi__Function__jacobian__8"
// protoArgs: "(std::string ** err_msg, casadi::Function* obj, std::string* x0, int x1, int x2)"
// args: "(x0_, x1_, x2_)"
// rettype: UserType (Namespace ["casadi"]) (Name "Function")
// cWrapperRetType: "casadi::Function*"
// proto: "casadi::Function*\n    casadi__Function__jacobian__8(std::string ** err_msg, casadi::Function* obj, std::string* x0, int x1, int x2)"
// call: "        casadi::Function ret = obj->jacobian(x0_, x1_, x2_);"
// params: [(Ref (Const StdString),SwigOutput False),(CInt,SwigOutput False),(CBool,SwigOutput False)]
extern "C"
casadi::Function*
    casadi__Function__jacobian__8(std::string ** err_msg, casadi::Function* obj, std::string* x0, int x1, int x2);
casadi::Function*
    casadi__Function__jacobian__8(std::string ** err_msg, casadi::Function* obj, std::string* x0, int x1, int x2){
    try {
        std::string& x0_ = Marshaling<std::string&,std::string*>::marshal(x0);
        int x1_ = Marshaling<int,int>::marshal(x1);
        bool x2_ = Marshaling<bool,int>::marshal(x2);

        casadi::Function ret = obj->jacobian(x0_, x1_, x2_);
        // x0 is not a swig output
        // x1 is not a swig output
        // x2 is not a swig output

        return WrapReturn< casadi::Function*, casadi::Function >::wrapReturn( ret );
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return 0;
    }
}


// ================== Normal method: "jacobian" ===============
// class: "casadi::Function"
// cppName: "casadi::Function::jacobian"
// cWrapperName: "casadi__Function__jacobian__9"
// protoArgs: "(std::string ** err_msg, casadi::Function* obj, std::string* x0, int x1, int x2, int x3)"
// args: "(x0_, x1_, x2_, x3_)"
// rettype: UserType (Namespace ["casadi"]) (Name "Function")
// cWrapperRetType: "casadi::Function*"
// proto: "casadi::Function*\n    casadi__Function__jacobian__9(std::string ** err_msg, casadi::Function* obj, std::string* x0, int x1, int x2, int x3)"
// call: "        casadi::Function ret = obj->jacobian(x0_, x1_, x2_, x3_);"
// params: [(Ref (Const StdString),SwigOutput False),(CInt,SwigOutput False),(CBool,SwigOutput False),(CBool,SwigOutput False)]
extern "C"
casadi::Function*
    casadi__Function__jacobian__9(std::string ** err_msg, casadi::Function* obj, std::string* x0, int x1, int x2, int x3);
casadi::Function*
    casadi__Function__jacobian__9(std::string ** err_msg, casadi::Function* obj, std::string* x0, int x1, int x2, int x3){
    try {
        std::string& x0_ = Marshaling<std::string&,std::string*>::marshal(x0);
        int x1_ = Marshaling<int,int>::marshal(x1);
        bool x2_ = Marshaling<bool,int>::marshal(x2);
        bool x3_ = Marshaling<bool,int>::marshal(x3);

        casadi::Function ret = obj->jacobian(x0_, x1_, x2_, x3_);
        // x0 is not a swig output
        // x1 is not a swig output
        // x2 is not a swig output
        // x3 is not a swig output

        return WrapReturn< casadi::Function*, casadi::Function >::wrapReturn( ret );
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return 0;
    }
}


// ================== Normal method: "jacobian" ===============
// class: "casadi::Function"
// cppName: "casadi::Function::jacobian"
// cWrapperName: "casadi__Function__jacobian__10"
// protoArgs: "(std::string ** err_msg, casadi::Function* obj)"
// args: "()"
// rettype: UserType (Namespace ["casadi"]) (Name "Function")
// cWrapperRetType: "casadi::Function*"
// proto: "casadi::Function*\n    casadi__Function__jacobian__10(std::string ** err_msg, casadi::Function* obj)"
// call: "        casadi::Function ret = obj->jacobian();"
// params: []
extern "C"
casadi::Function*
    casadi__Function__jacobian__10(std::string ** err_msg, casadi::Function* obj);
casadi::Function*
    casadi__Function__jacobian__10(std::string ** err_msg, casadi::Function* obj){
    try {

        casadi::Function ret = obj->jacobian();

        return WrapReturn< casadi::Function*, casadi::Function >::wrapReturn( ret );
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return 0;
    }
}


// ================== Normal method: "jacobian" ===============
// class: "casadi::Function"
// cppName: "casadi::Function::jacobian"
// cWrapperName: "casadi__Function__jacobian__11"
// protoArgs: "(std::string ** err_msg, casadi::Function* obj, int x0)"
// args: "(x0_)"
// rettype: UserType (Namespace ["casadi"]) (Name "Function")
// cWrapperRetType: "casadi::Function*"
// proto: "casadi::Function*\n    casadi__Function__jacobian__11(std::string ** err_msg, casadi::Function* obj, int x0)"
// call: "        casadi::Function ret = obj->jacobian(x0_);"
// params: [(CInt,SwigOutput False)]
extern "C"
casadi::Function*
    casadi__Function__jacobian__11(std::string ** err_msg, casadi::Function* obj, int x0);
casadi::Function*
    casadi__Function__jacobian__11(std::string ** err_msg, casadi::Function* obj, int x0){
    try {
        int x0_ = Marshaling<int,int>::marshal(x0);

        casadi::Function ret = obj->jacobian(x0_);
        // x0 is not a swig output

        return WrapReturn< casadi::Function*, casadi::Function >::wrapReturn( ret );
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return 0;
    }
}


// ================== Normal method: "jacobian" ===============
// class: "casadi::Function"
// cppName: "casadi::Function::jacobian"
// cWrapperName: "casadi__Function__jacobian__12"
// protoArgs: "(std::string ** err_msg, casadi::Function* obj, int x0, int x1)"
// args: "(x0_, x1_)"
// rettype: UserType (Namespace ["casadi"]) (Name "Function")
// cWrapperRetType: "casadi::Function*"
// proto: "casadi::Function*\n    casadi__Function__jacobian__12(std::string ** err_msg, casadi::Function* obj, int x0, int x1)"
// call: "        casadi::Function ret = obj->jacobian(x0_, x1_);"
// params: [(CInt,SwigOutput False),(CInt,SwigOutput False)]
extern "C"
casadi::Function*
    casadi__Function__jacobian__12(std::string ** err_msg, casadi::Function* obj, int x0, int x1);
casadi::Function*
    casadi__Function__jacobian__12(std::string ** err_msg, casadi::Function* obj, int x0, int x1){
    try {
        int x0_ = Marshaling<int,int>::marshal(x0);
        int x1_ = Marshaling<int,int>::marshal(x1);

        casadi::Function ret = obj->jacobian(x0_, x1_);
        // x0 is not a swig output
        // x1 is not a swig output

        return WrapReturn< casadi::Function*, casadi::Function >::wrapReturn( ret );
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return 0;
    }
}


// ================== Normal method: "jacobian" ===============
// class: "casadi::Function"
// cppName: "casadi::Function::jacobian"
// cWrapperName: "casadi__Function__jacobian__13"
// protoArgs: "(std::string ** err_msg, casadi::Function* obj, int x0, int x1, int x2)"
// args: "(x0_, x1_, x2_)"
// rettype: UserType (Namespace ["casadi"]) (Name "Function")
// cWrapperRetType: "casadi::Function*"
// proto: "casadi::Function*\n    casadi__Function__jacobian__13(std::string ** err_msg, casadi::Function* obj, int x0, int x1, int x2)"
// call: "        casadi::Function ret = obj->jacobian(x0_, x1_, x2_);"
// params: [(CInt,SwigOutput False),(CInt,SwigOutput False),(CBool,SwigOutput False)]
extern "C"
casadi::Function*
    casadi__Function__jacobian__13(std::string ** err_msg, casadi::Function* obj, int x0, int x1, int x2);
casadi::Function*
    casadi__Function__jacobian__13(std::string ** err_msg, casadi::Function* obj, int x0, int x1, int x2){
    try {
        int x0_ = Marshaling<int,int>::marshal(x0);
        int x1_ = Marshaling<int,int>::marshal(x1);
        bool x2_ = Marshaling<bool,int>::marshal(x2);

        casadi::Function ret = obj->jacobian(x0_, x1_, x2_);
        // x0 is not a swig output
        // x1 is not a swig output
        // x2 is not a swig output

        return WrapReturn< casadi::Function*, casadi::Function >::wrapReturn( ret );
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return 0;
    }
}


// ================== Normal method: "jacobian" ===============
// class: "casadi::Function"
// cppName: "casadi::Function::jacobian"
// cWrapperName: "casadi__Function__jacobian__14"
// protoArgs: "(std::string ** err_msg, casadi::Function* obj, int x0, int x1, int x2, int x3)"
// args: "(x0_, x1_, x2_, x3_)"
// rettype: UserType (Namespace ["casadi"]) (Name "Function")
// cWrapperRetType: "casadi::Function*"
// proto: "casadi::Function*\n    casadi__Function__jacobian__14(std::string ** err_msg, casadi::Function* obj, int x0, int x1, int x2, int x3)"
// call: "        casadi::Function ret = obj->jacobian(x0_, x1_, x2_, x3_);"
// params: [(CInt,SwigOutput False),(CInt,SwigOutput False),(CBool,SwigOutput False),(CBool,SwigOutput False)]
extern "C"
casadi::Function*
    casadi__Function__jacobian__14(std::string ** err_msg, casadi::Function* obj, int x0, int x1, int x2, int x3);
casadi::Function*
    casadi__Function__jacobian__14(std::string ** err_msg, casadi::Function* obj, int x0, int x1, int x2, int x3){
    try {
        int x0_ = Marshaling<int,int>::marshal(x0);
        int x1_ = Marshaling<int,int>::marshal(x1);
        bool x2_ = Marshaling<bool,int>::marshal(x2);
        bool x3_ = Marshaling<bool,int>::marshal(x3);

        casadi::Function ret = obj->jacobian(x0_, x1_, x2_, x3_);
        // x0 is not a swig output
        // x1 is not a swig output
        // x2 is not a swig output
        // x3 is not a swig output

        return WrapReturn< casadi::Function*, casadi::Function >::wrapReturn( ret );
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return 0;
    }
}


// ================== Normal method: "kernel_sum" ===============
// class: "casadi::Function"
// cppName: "casadi::Function::kernel_sum"
// cWrapperName: "casadi__Function__kernel_sum__0"
// protoArgs: "(std::string ** err_msg, casadi::Function* obj, std::string* x0, std::pair< int, int >* x1, double x2, int x3)"
// args: "(x0_, x1_, x2_, x3_)"
// rettype: UserType (Namespace ["casadi"]) (Name "Function")
// cWrapperRetType: "casadi::Function*"
// proto: "casadi::Function*\n    casadi__Function__kernel_sum__0(std::string ** err_msg, casadi::Function* obj, std::string* x0, std::pair< int, int >* x1, double x2, int x3)"
// call: "        casadi::Function ret = obj->kernel_sum(x0_, x1_, x2_, x3_);"
// params: [(Ref (Const StdString),SwigOutput False),(Ref (Const (StdPair CInt CInt)),SwigOutput False),(CDouble,SwigOutput False),(CInt,SwigOutput False)]
extern "C"
casadi::Function*
    casadi__Function__kernel_sum__0(std::string ** err_msg, casadi::Function* obj, std::string* x0, std::pair< int, int >* x1, double x2, int x3);
casadi::Function*
    casadi__Function__kernel_sum__0(std::string ** err_msg, casadi::Function* obj, std::string* x0, std::pair< int, int >* x1, double x2, int x3){
    try {
        std::string& x0_ = Marshaling<std::string&,std::string*>::marshal(x0);
        std::pair< int, int > x1_ = Marshaling<std::pair< int, int >,std::pair< int, int >*>::marshal(x1);
        double x2_ = Marshaling<double,double>::marshal(x2);
        int x3_ = Marshaling<int,int>::marshal(x3);

        casadi::Function ret = obj->kernel_sum(x0_, x1_, x2_, x3_);
        // x0 is not a swig output
        // x1 is not a swig output
        // x2 is not a swig output
        // x3 is not a swig output

        return WrapReturn< casadi::Function*, casadi::Function >::wrapReturn( ret );
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return 0;
    }
}


// ================== Normal method: "kernel_sum" ===============
// class: "casadi::Function"
// cppName: "casadi::Function::kernel_sum"
// cWrapperName: "casadi__Function__kernel_sum__1"
// protoArgs: "(std::string ** err_msg, casadi::Function* obj, std::string* x0, std::pair< int, int >* x1, double x2, int x3, std::map< std::string, casadi::GenericType* >* x4)"
// args: "(x0_, x1_, x2_, x3_, x4_)"
// rettype: UserType (Namespace ["casadi"]) (Name "Function")
// cWrapperRetType: "casadi::Function*"
// proto: "casadi::Function*\n    casadi__Function__kernel_sum__1(std::string ** err_msg, casadi::Function* obj, std::string* x0, std::pair< int, int >* x1, double x2, int x3, std::map< std::string, casadi::GenericType* >* x4)"
// call: "        casadi::Function ret = obj->kernel_sum(x0_, x1_, x2_, x3_, x4_);"
// params: [(Ref (Const StdString),SwigOutput False),(Ref (Const (StdPair CInt CInt)),SwigOutput False),(CDouble,SwigOutput False),(CInt,SwigOutput False),(Ref (Const (StdMap StdString (UserType (Namespace ["casadi"]) (Name "GenericType")))),SwigOutput False)]
extern "C"
casadi::Function*
    casadi__Function__kernel_sum__1(std::string ** err_msg, casadi::Function* obj, std::string* x0, std::pair< int, int >* x1, double x2, int x3, std::map< std::string, casadi::GenericType* >* x4);
casadi::Function*
    casadi__Function__kernel_sum__1(std::string ** err_msg, casadi::Function* obj, std::string* x0, std::pair< int, int >* x1, double x2, int x3, std::map< std::string, casadi::GenericType* >* x4){
    try {
        std::string& x0_ = Marshaling<std::string&,std::string*>::marshal(x0);
        std::pair< int, int > x1_ = Marshaling<std::pair< int, int >,std::pair< int, int >*>::marshal(x1);
        double x2_ = Marshaling<double,double>::marshal(x2);
        int x3_ = Marshaling<int,int>::marshal(x3);
        std::map< std::string, casadi::GenericType > x4_ = Marshaling<std::map< std::string, casadi::GenericType >,std::map< std::string, casadi::GenericType* >*>::marshal(x4);

        casadi::Function ret = obj->kernel_sum(x0_, x1_, x2_, x3_, x4_);
        // x0 is not a swig output
        // x1 is not a swig output
        // x2 is not a swig output
        // x3 is not a swig output
        // x4 is not a swig output

        return WrapReturn< casadi::Function*, casadi::Function >::wrapReturn( ret );
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return 0;
    }
}


// ================== Normal method: "linsol_cholesky" ===============
// class: "casadi::Function"
// cppName: "casadi::Function::linsol_cholesky"
// cWrapperName: "casadi__Function__linsol_cholesky__0"
// protoArgs: "(std::string ** err_msg, casadi::Function* obj)"
// args: "()"
// rettype: UserType (Namespace ["casadi"]) (Name "DM")
// cWrapperRetType: "casadi::DM*"
// proto: "casadi::DM*\n    casadi__Function__linsol_cholesky__0(std::string ** err_msg, casadi::Function* obj)"
// call: "        casadi::DM ret = obj->linsol_cholesky();"
// params: []
extern "C"
casadi::DM*
    casadi__Function__linsol_cholesky__0(std::string ** err_msg, casadi::Function* obj);
casadi::DM*
    casadi__Function__linsol_cholesky__0(std::string ** err_msg, casadi::Function* obj){
    try {

        casadi::DM ret = obj->linsol_cholesky();

        return WrapReturn< casadi::DM*, casadi::DM >::wrapReturn( ret );
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return 0;
    }
}


// ================== Normal method: "linsol_cholesky" ===============
// class: "casadi::Function"
// cppName: "casadi::Function::linsol_cholesky"
// cWrapperName: "casadi__Function__linsol_cholesky__1"
// protoArgs: "(std::string ** err_msg, casadi::Function* obj, int x0)"
// args: "(x0_)"
// rettype: UserType (Namespace ["casadi"]) (Name "DM")
// cWrapperRetType: "casadi::DM*"
// proto: "casadi::DM*\n    casadi__Function__linsol_cholesky__1(std::string ** err_msg, casadi::Function* obj, int x0)"
// call: "        casadi::DM ret = obj->linsol_cholesky(x0_);"
// params: [(CBool,SwigOutput False)]
extern "C"
casadi::DM*
    casadi__Function__linsol_cholesky__1(std::string ** err_msg, casadi::Function* obj, int x0);
casadi::DM*
    casadi__Function__linsol_cholesky__1(std::string ** err_msg, casadi::Function* obj, int x0){
    try {
        bool x0_ = Marshaling<bool,int>::marshal(x0);

        casadi::DM ret = obj->linsol_cholesky(x0_);
        // x0 is not a swig output

        return WrapReturn< casadi::DM*, casadi::DM >::wrapReturn( ret );
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return 0;
    }
}


// ================== Normal method: "linsol_cholesky" ===============
// class: "casadi::Function"
// cppName: "casadi::Function::linsol_cholesky"
// cWrapperName: "casadi__Function__linsol_cholesky__2"
// protoArgs: "(std::string ** err_msg, casadi::Function* obj, int x0, int x1)"
// args: "(x0_, x1_)"
// rettype: UserType (Namespace ["casadi"]) (Name "DM")
// cWrapperRetType: "casadi::DM*"
// proto: "casadi::DM*\n    casadi__Function__linsol_cholesky__2(std::string ** err_msg, casadi::Function* obj, int x0, int x1)"
// call: "        casadi::DM ret = obj->linsol_cholesky(x0_, x1_);"
// params: [(CBool,SwigOutput False),(CInt,SwigOutput False)]
extern "C"
casadi::DM*
    casadi__Function__linsol_cholesky__2(std::string ** err_msg, casadi::Function* obj, int x0, int x1);
casadi::DM*
    casadi__Function__linsol_cholesky__2(std::string ** err_msg, casadi::Function* obj, int x0, int x1){
    try {
        bool x0_ = Marshaling<bool,int>::marshal(x0);
        int x1_ = Marshaling<int,int>::marshal(x1);

        casadi::DM ret = obj->linsol_cholesky(x0_, x1_);
        // x0 is not a swig output
        // x1 is not a swig output

        return WrapReturn< casadi::DM*, casadi::DM >::wrapReturn( ret );
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return 0;
    }
}


// ================== Normal method: "linsol_cholesky_sparsity" ===============
// class: "casadi::Function"
// cppName: "casadi::Function::linsol_cholesky_sparsity"
// cWrapperName: "casadi__Function__linsol_cholesky_sparsity__0"
// protoArgs: "(std::string ** err_msg, casadi::Function* obj)"
// args: "()"
// rettype: UserType (Namespace ["casadi"]) (Name "Sparsity")
// cWrapperRetType: "casadi::Sparsity*"
// proto: "casadi::Sparsity*\n    casadi__Function__linsol_cholesky_sparsity__0(std::string ** err_msg, casadi::Function* obj)"
// call: "        casadi::Sparsity ret = obj->linsol_cholesky_sparsity();"
// params: []
extern "C"
casadi::Sparsity*
    casadi__Function__linsol_cholesky_sparsity__0(std::string ** err_msg, casadi::Function* obj);
casadi::Sparsity*
    casadi__Function__linsol_cholesky_sparsity__0(std::string ** err_msg, casadi::Function* obj){
    try {

        casadi::Sparsity ret = obj->linsol_cholesky_sparsity();

        return WrapReturn< casadi::Sparsity*, casadi::Sparsity >::wrapReturn( ret );
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return 0;
    }
}


// ================== Normal method: "linsol_cholesky_sparsity" ===============
// class: "casadi::Function"
// cppName: "casadi::Function::linsol_cholesky_sparsity"
// cWrapperName: "casadi__Function__linsol_cholesky_sparsity__1"
// protoArgs: "(std::string ** err_msg, casadi::Function* obj, int x0)"
// args: "(x0_)"
// rettype: UserType (Namespace ["casadi"]) (Name "Sparsity")
// cWrapperRetType: "casadi::Sparsity*"
// proto: "casadi::Sparsity*\n    casadi__Function__linsol_cholesky_sparsity__1(std::string ** err_msg, casadi::Function* obj, int x0)"
// call: "        casadi::Sparsity ret = obj->linsol_cholesky_sparsity(x0_);"
// params: [(CBool,SwigOutput False)]
extern "C"
casadi::Sparsity*
    casadi__Function__linsol_cholesky_sparsity__1(std::string ** err_msg, casadi::Function* obj, int x0);
casadi::Sparsity*
    casadi__Function__linsol_cholesky_sparsity__1(std::string ** err_msg, casadi::Function* obj, int x0){
    try {
        bool x0_ = Marshaling<bool,int>::marshal(x0);

        casadi::Sparsity ret = obj->linsol_cholesky_sparsity(x0_);
        // x0 is not a swig output

        return WrapReturn< casadi::Sparsity*, casadi::Sparsity >::wrapReturn( ret );
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return 0;
    }
}


// ================== Normal method: "linsol_cholesky_sparsity" ===============
// class: "casadi::Function"
// cppName: "casadi::Function::linsol_cholesky_sparsity"
// cWrapperName: "casadi__Function__linsol_cholesky_sparsity__2"
// protoArgs: "(std::string ** err_msg, casadi::Function* obj, int x0, int x1)"
// args: "(x0_, x1_)"
// rettype: UserType (Namespace ["casadi"]) (Name "Sparsity")
// cWrapperRetType: "casadi::Sparsity*"
// proto: "casadi::Sparsity*\n    casadi__Function__linsol_cholesky_sparsity__2(std::string ** err_msg, casadi::Function* obj, int x0, int x1)"
// call: "        casadi::Sparsity ret = obj->linsol_cholesky_sparsity(x0_, x1_);"
// params: [(CBool,SwigOutput False),(CInt,SwigOutput False)]
extern "C"
casadi::Sparsity*
    casadi__Function__linsol_cholesky_sparsity__2(std::string ** err_msg, casadi::Function* obj, int x0, int x1);
casadi::Sparsity*
    casadi__Function__linsol_cholesky_sparsity__2(std::string ** err_msg, casadi::Function* obj, int x0, int x1){
    try {
        bool x0_ = Marshaling<bool,int>::marshal(x0);
        int x1_ = Marshaling<int,int>::marshal(x1);

        casadi::Sparsity ret = obj->linsol_cholesky_sparsity(x0_, x1_);
        // x0 is not a swig output
        // x1 is not a swig output

        return WrapReturn< casadi::Sparsity*, casadi::Sparsity >::wrapReturn( ret );
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return 0;
    }
}


// ================== Normal method: "linsol_solve" ===============
// class: "casadi::Function"
// cppName: "casadi::Function::linsol_solve"
// cWrapperName: "casadi__Function__linsol_solve__0"
// protoArgs: "(std::string ** err_msg, casadi::Function* obj, casadi::MX* x0, casadi::MX* x1)"
// args: "(x0_, x1_)"
// rettype: UserType (Namespace ["casadi"]) (Name "MX")
// cWrapperRetType: "casadi::MX*"
// proto: "casadi::MX*\n    casadi__Function__linsol_solve__0(std::string ** err_msg, casadi::Function* obj, casadi::MX* x0, casadi::MX* x1)"
// call: "        casadi::MX ret = obj->linsol_solve(x0_, x1_);"
// params: [(Ref (Const (UserType (Namespace ["casadi"]) (Name "MX"))),SwigOutput False),(Ref (Const (UserType (Namespace ["casadi"]) (Name "MX"))),SwigOutput False)]
extern "C"
casadi::MX*
    casadi__Function__linsol_solve__0(std::string ** err_msg, casadi::Function* obj, casadi::MX* x0, casadi::MX* x1);
casadi::MX*
    casadi__Function__linsol_solve__0(std::string ** err_msg, casadi::Function* obj, casadi::MX* x0, casadi::MX* x1){
    try {
        casadi::MX& x0_ = Marshaling<casadi::MX&,casadi::MX*>::marshal(x0);
        casadi::MX& x1_ = Marshaling<casadi::MX&,casadi::MX*>::marshal(x1);

        casadi::MX ret = obj->linsol_solve(x0_, x1_);
        // x0 is not a swig output
        // x1 is not a swig output

        return WrapReturn< casadi::MX*, casadi::MX >::wrapReturn( ret );
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return 0;
    }
}


// ================== Normal method: "linsol_solve" ===============
// class: "casadi::Function"
// cppName: "casadi::Function::linsol_solve"
// cWrapperName: "casadi__Function__linsol_solve__1"
// protoArgs: "(std::string ** err_msg, casadi::Function* obj, casadi::MX* x0, casadi::MX* x1, int x2)"
// args: "(x0_, x1_, x2_)"
// rettype: UserType (Namespace ["casadi"]) (Name "MX")
// cWrapperRetType: "casadi::MX*"
// proto: "casadi::MX*\n    casadi__Function__linsol_solve__1(std::string ** err_msg, casadi::Function* obj, casadi::MX* x0, casadi::MX* x1, int x2)"
// call: "        casadi::MX ret = obj->linsol_solve(x0_, x1_, x2_);"
// params: [(Ref (Const (UserType (Namespace ["casadi"]) (Name "MX"))),SwigOutput False),(Ref (Const (UserType (Namespace ["casadi"]) (Name "MX"))),SwigOutput False),(CBool,SwigOutput False)]
extern "C"
casadi::MX*
    casadi__Function__linsol_solve__1(std::string ** err_msg, casadi::Function* obj, casadi::MX* x0, casadi::MX* x1, int x2);
casadi::MX*
    casadi__Function__linsol_solve__1(std::string ** err_msg, casadi::Function* obj, casadi::MX* x0, casadi::MX* x1, int x2){
    try {
        casadi::MX& x0_ = Marshaling<casadi::MX&,casadi::MX*>::marshal(x0);
        casadi::MX& x1_ = Marshaling<casadi::MX&,casadi::MX*>::marshal(x1);
        bool x2_ = Marshaling<bool,int>::marshal(x2);

        casadi::MX ret = obj->linsol_solve(x0_, x1_, x2_);
        // x0 is not a swig output
        // x1 is not a swig output
        // x2 is not a swig output

        return WrapReturn< casadi::MX*, casadi::MX >::wrapReturn( ret );
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return 0;
    }
}


// ================== Normal method: "map" ===============
// class: "casadi::Function"
// cppName: "casadi::Function::map"
// cWrapperName: "casadi__Function__map__0"
// protoArgs: "(std::string ** err_msg, casadi::Function* obj, std::string* x0, std::string* x1, int x2)"
// args: "(x0_, x1_, x2_)"
// rettype: UserType (Namespace ["casadi"]) (Name "Function")
// cWrapperRetType: "casadi::Function*"
// proto: "casadi::Function*\n    casadi__Function__map__0(std::string ** err_msg, casadi::Function* obj, std::string* x0, std::string* x1, int x2)"
// call: "        casadi::Function ret = obj->map(x0_, x1_, x2_);"
// params: [(Ref (Const StdString),SwigOutput False),(Ref (Const StdString),SwigOutput False),(CInt,SwigOutput False)]
extern "C"
casadi::Function*
    casadi__Function__map__0(std::string ** err_msg, casadi::Function* obj, std::string* x0, std::string* x1, int x2);
casadi::Function*
    casadi__Function__map__0(std::string ** err_msg, casadi::Function* obj, std::string* x0, std::string* x1, int x2){
    try {
        std::string& x0_ = Marshaling<std::string&,std::string*>::marshal(x0);
        std::string& x1_ = Marshaling<std::string&,std::string*>::marshal(x1);
        int x2_ = Marshaling<int,int>::marshal(x2);

        casadi::Function ret = obj->map(x0_, x1_, x2_);
        // x0 is not a swig output
        // x1 is not a swig output
        // x2 is not a swig output

        return WrapReturn< casadi::Function*, casadi::Function >::wrapReturn( ret );
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return 0;
    }
}


// ================== Normal method: "map" ===============
// class: "casadi::Function"
// cppName: "casadi::Function::map"
// cWrapperName: "casadi__Function__map__1"
// protoArgs: "(std::string ** err_msg, casadi::Function* obj, std::string* x0, std::string* x1, int x2, std::map< std::string, casadi::GenericType* >* x3)"
// args: "(x0_, x1_, x2_, x3_)"
// rettype: UserType (Namespace ["casadi"]) (Name "Function")
// cWrapperRetType: "casadi::Function*"
// proto: "casadi::Function*\n    casadi__Function__map__1(std::string ** err_msg, casadi::Function* obj, std::string* x0, std::string* x1, int x2, std::map< std::string, casadi::GenericType* >* x3)"
// call: "        casadi::Function ret = obj->map(x0_, x1_, x2_, x3_);"
// params: [(Ref (Const StdString),SwigOutput False),(Ref (Const StdString),SwigOutput False),(CInt,SwigOutput False),(Ref (Const (StdMap StdString (UserType (Namespace ["casadi"]) (Name "GenericType")))),SwigOutput False)]
extern "C"
casadi::Function*
    casadi__Function__map__1(std::string ** err_msg, casadi::Function* obj, std::string* x0, std::string* x1, int x2, std::map< std::string, casadi::GenericType* >* x3);
casadi::Function*
    casadi__Function__map__1(std::string ** err_msg, casadi::Function* obj, std::string* x0, std::string* x1, int x2, std::map< std::string, casadi::GenericType* >* x3){
    try {
        std::string& x0_ = Marshaling<std::string&,std::string*>::marshal(x0);
        std::string& x1_ = Marshaling<std::string&,std::string*>::marshal(x1);
        int x2_ = Marshaling<int,int>::marshal(x2);
        std::map< std::string, casadi::GenericType > x3_ = Marshaling<std::map< std::string, casadi::GenericType >,std::map< std::string, casadi::GenericType* >*>::marshal(x3);

        casadi::Function ret = obj->map(x0_, x1_, x2_, x3_);
        // x0 is not a swig output
        // x1 is not a swig output
        // x2 is not a swig output
        // x3 is not a swig output

        return WrapReturn< casadi::Function*, casadi::Function >::wrapReturn( ret );
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return 0;
    }
}


// ================== Normal method: "map" ===============
// class: "casadi::Function"
// cppName: "casadi::Function::map"
// cWrapperName: "casadi__Function__map__2"
// protoArgs: "(std::string ** err_msg, casadi::Function* obj, std::string* x0, std::string* x1, int x2, std::vector< int >* x3, std::vector< int >* x4)"
// args: "(x0_, x1_, x2_, x3_, x4_)"
// rettype: UserType (Namespace ["casadi"]) (Name "Function")
// cWrapperRetType: "casadi::Function*"
// proto: "casadi::Function*\n    casadi__Function__map__2(std::string ** err_msg, casadi::Function* obj, std::string* x0, std::string* x1, int x2, std::vector< int >* x3, std::vector< int >* x4)"
// call: "        casadi::Function ret = obj->map(x0_, x1_, x2_, x3_, x4_);"
// params: [(Ref (Const StdString),SwigOutput False),(Ref (Const StdString),SwigOutput False),(CInt,SwigOutput False),(Ref (Const (StdVec CInt)),SwigOutput False),(Ref (Const (StdVec CInt)),SwigOutput False)]
extern "C"
casadi::Function*
    casadi__Function__map__2(std::string ** err_msg, casadi::Function* obj, std::string* x0, std::string* x1, int x2, std::vector< int >* x3, std::vector< int >* x4);
casadi::Function*
    casadi__Function__map__2(std::string ** err_msg, casadi::Function* obj, std::string* x0, std::string* x1, int x2, std::vector< int >* x3, std::vector< int >* x4){
    try {
        std::string& x0_ = Marshaling<std::string&,std::string*>::marshal(x0);
        std::string& x1_ = Marshaling<std::string&,std::string*>::marshal(x1);
        int x2_ = Marshaling<int,int>::marshal(x2);
        std::vector< int > x3_ = Marshaling<std::vector< int >,std::vector< int >*>::marshal(x3);
        std::vector< int > x4_ = Marshaling<std::vector< int >,std::vector< int >*>::marshal(x4);

        casadi::Function ret = obj->map(x0_, x1_, x2_, x3_, x4_);
        // x0 is not a swig output
        // x1 is not a swig output
        // x2 is not a swig output
        // x3 is not a swig output
        // x4 is not a swig output

        return WrapReturn< casadi::Function*, casadi::Function >::wrapReturn( ret );
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return 0;
    }
}


// ================== Normal method: "map" ===============
// class: "casadi::Function"
// cppName: "casadi::Function::map"
// cWrapperName: "casadi__Function__map__3"
// protoArgs: "(std::string ** err_msg, casadi::Function* obj, std::string* x0, std::string* x1, int x2, std::vector< int >* x3, std::vector< int >* x4, std::map< std::string, casadi::GenericType* >* x5)"
// args: "(x0_, x1_, x2_, x3_, x4_, x5_)"
// rettype: UserType (Namespace ["casadi"]) (Name "Function")
// cWrapperRetType: "casadi::Function*"
// proto: "casadi::Function*\n    casadi__Function__map__3(std::string ** err_msg, casadi::Function* obj, std::string* x0, std::string* x1, int x2, std::vector< int >* x3, std::vector< int >* x4, std::map< std::string, casadi::GenericType* >* x5)"
// call: "        casadi::Function ret = obj->map(x0_, x1_, x2_, x3_, x4_, x5_);"
// params: [(Ref (Const StdString),SwigOutput False),(Ref (Const StdString),SwigOutput False),(CInt,SwigOutput False),(Ref (Const (StdVec CInt)),SwigOutput False),(Ref (Const (StdVec CInt)),SwigOutput False),(Ref (Const (StdMap StdString (UserType (Namespace ["casadi"]) (Name "GenericType")))),SwigOutput False)]
extern "C"
casadi::Function*
    casadi__Function__map__3(std::string ** err_msg, casadi::Function* obj, std::string* x0, std::string* x1, int x2, std::vector< int >* x3, std::vector< int >* x4, std::map< std::string, casadi::GenericType* >* x5);
casadi::Function*
    casadi__Function__map__3(std::string ** err_msg, casadi::Function* obj, std::string* x0, std::string* x1, int x2, std::vector< int >* x3, std::vector< int >* x4, std::map< std::string, casadi::GenericType* >* x5){
    try {
        std::string& x0_ = Marshaling<std::string&,std::string*>::marshal(x0);
        std::string& x1_ = Marshaling<std::string&,std::string*>::marshal(x1);
        int x2_ = Marshaling<int,int>::marshal(x2);
        std::vector< int > x3_ = Marshaling<std::vector< int >,std::vector< int >*>::marshal(x3);
        std::vector< int > x4_ = Marshaling<std::vector< int >,std::vector< int >*>::marshal(x4);
        std::map< std::string, casadi::GenericType > x5_ = Marshaling<std::map< std::string, casadi::GenericType >,std::map< std::string, casadi::GenericType* >*>::marshal(x5);

        casadi::Function ret = obj->map(x0_, x1_, x2_, x3_, x4_, x5_);
        // x0 is not a swig output
        // x1 is not a swig output
        // x2 is not a swig output
        // x3 is not a swig output
        // x4 is not a swig output
        // x5 is not a swig output

        return WrapReturn< casadi::Function*, casadi::Function >::wrapReturn( ret );
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return 0;
    }
}


// ================== Normal method: "map" ===============
// class: "casadi::Function"
// cppName: "casadi::Function::map"
// cWrapperName: "casadi__Function__map__4"
// protoArgs: "(std::string ** err_msg, casadi::Function* obj, std::map< std::string, casadi::MX* >* x0)"
// args: "(x0_)"
// rettype: StdMap StdString (UserType (Namespace ["casadi"]) (Name "MX"))
// cWrapperRetType: "std::map< std::string, casadi::MX* >*"
// proto: "std::map< std::string, casadi::MX* >*\n    casadi__Function__map__4(std::string ** err_msg, casadi::Function* obj, std::map< std::string, casadi::MX* >* x0)"
// call: "        std::map< std::string, casadi::MX > ret = obj->map(x0_);"
// params: [(Ref (Const (StdMap StdString (UserType (Namespace ["casadi"]) (Name "MX")))),SwigOutput False)]
extern "C"
std::map< std::string, casadi::MX* >*
    casadi__Function__map__4(std::string ** err_msg, casadi::Function* obj, std::map< std::string, casadi::MX* >* x0);
std::map< std::string, casadi::MX* >*
    casadi__Function__map__4(std::string ** err_msg, casadi::Function* obj, std::map< std::string, casadi::MX* >* x0){
    try {
        std::map< std::string, casadi::MX > x0_ = Marshaling<std::map< std::string, casadi::MX >,std::map< std::string, casadi::MX* >*>::marshal(x0);

        std::map< std::string, casadi::MX > ret = obj->map(x0_);
        // x0 is not a swig output

        return WrapReturn< std::map< std::string, casadi::MX* >*, std::map< std::string, casadi::MX > >::wrapReturn( ret );
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return 0;
    }
}


// ================== Normal method: "map" ===============
// class: "casadi::Function"
// cppName: "casadi::Function::map"
// cWrapperName: "casadi__Function__map__5"
// protoArgs: "(std::string ** err_msg, casadi::Function* obj, std::map< std::string, casadi::MX* >* x0, std::string* x1)"
// args: "(x0_, x1_)"
// rettype: StdMap StdString (UserType (Namespace ["casadi"]) (Name "MX"))
// cWrapperRetType: "std::map< std::string, casadi::MX* >*"
// proto: "std::map< std::string, casadi::MX* >*\n    casadi__Function__map__5(std::string ** err_msg, casadi::Function* obj, std::map< std::string, casadi::MX* >* x0, std::string* x1)"
// call: "        std::map< std::string, casadi::MX > ret = obj->map(x0_, x1_);"
// params: [(Ref (Const (StdMap StdString (UserType (Namespace ["casadi"]) (Name "MX")))),SwigOutput False),(Ref (Const StdString),SwigOutput False)]
extern "C"
std::map< std::string, casadi::MX* >*
    casadi__Function__map__5(std::string ** err_msg, casadi::Function* obj, std::map< std::string, casadi::MX* >* x0, std::string* x1);
std::map< std::string, casadi::MX* >*
    casadi__Function__map__5(std::string ** err_msg, casadi::Function* obj, std::map< std::string, casadi::MX* >* x0, std::string* x1){
    try {
        std::map< std::string, casadi::MX > x0_ = Marshaling<std::map< std::string, casadi::MX >,std::map< std::string, casadi::MX* >*>::marshal(x0);
        std::string& x1_ = Marshaling<std::string&,std::string*>::marshal(x1);

        std::map< std::string, casadi::MX > ret = obj->map(x0_, x1_);
        // x0 is not a swig output
        // x1 is not a swig output

        return WrapReturn< std::map< std::string, casadi::MX* >*, std::map< std::string, casadi::MX > >::wrapReturn( ret );
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return 0;
    }
}


// ================== Normal method: "map" ===============
// class: "casadi::Function"
// cppName: "casadi::Function::map"
// cWrapperName: "casadi__Function__map__6"
// protoArgs: "(std::string ** err_msg, casadi::Function* obj, std::vector< casadi::MX* >* x0)"
// args: "(x0_)"
// rettype: StdVec (UserType (Namespace ["casadi"]) (Name "MX"))
// cWrapperRetType: "std::vector< casadi::MX* >*"
// proto: "std::vector< casadi::MX* >*\n    casadi__Function__map__6(std::string ** err_msg, casadi::Function* obj, std::vector< casadi::MX* >* x0)"
// call: "        std::vector< casadi::MX > ret = obj->map(x0_);"
// params: [(Ref (Const (StdVec (UserType (Namespace ["casadi"]) (Name "MX")))),SwigOutput False)]
extern "C"
std::vector< casadi::MX* >*
    casadi__Function__map__6(std::string ** err_msg, casadi::Function* obj, std::vector< casadi::MX* >* x0);
std::vector< casadi::MX* >*
    casadi__Function__map__6(std::string ** err_msg, casadi::Function* obj, std::vector< casadi::MX* >* x0){
    try {
        std::vector< casadi::MX > x0_ = Marshaling<std::vector< casadi::MX >,std::vector< casadi::MX* >*>::marshal(x0);

        std::vector< casadi::MX > ret = obj->map(x0_);
        // x0 is not a swig output

        return WrapReturn< std::vector< casadi::MX* >*, std::vector< casadi::MX > >::wrapReturn( ret );
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return 0;
    }
}


// ================== Normal method: "map" ===============
// class: "casadi::Function"
// cppName: "casadi::Function::map"
// cWrapperName: "casadi__Function__map__7"
// protoArgs: "(std::string ** err_msg, casadi::Function* obj, std::vector< casadi::MX* >* x0, std::string* x1)"
// args: "(x0_, x1_)"
// rettype: StdVec (UserType (Namespace ["casadi"]) (Name "MX"))
// cWrapperRetType: "std::vector< casadi::MX* >*"
// proto: "std::vector< casadi::MX* >*\n    casadi__Function__map__7(std::string ** err_msg, casadi::Function* obj, std::vector< casadi::MX* >* x0, std::string* x1)"
// call: "        std::vector< casadi::MX > ret = obj->map(x0_, x1_);"
// params: [(Ref (Const (StdVec (UserType (Namespace ["casadi"]) (Name "MX")))),SwigOutput False),(Ref (Const StdString),SwigOutput False)]
extern "C"
std::vector< casadi::MX* >*
    casadi__Function__map__7(std::string ** err_msg, casadi::Function* obj, std::vector< casadi::MX* >* x0, std::string* x1);
std::vector< casadi::MX* >*
    casadi__Function__map__7(std::string ** err_msg, casadi::Function* obj, std::vector< casadi::MX* >* x0, std::string* x1){
    try {
        std::vector< casadi::MX > x0_ = Marshaling<std::vector< casadi::MX >,std::vector< casadi::MX* >*>::marshal(x0);
        std::string& x1_ = Marshaling<std::string&,std::string*>::marshal(x1);

        std::vector< casadi::MX > ret = obj->map(x0_, x1_);
        // x0 is not a swig output
        // x1 is not a swig output

        return WrapReturn< std::vector< casadi::MX* >*, std::vector< casadi::MX > >::wrapReturn( ret );
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return 0;
    }
}


// ================== Normal method: "mapaccum" ===============
// class: "casadi::Function"
// cppName: "casadi::Function::mapaccum"
// cWrapperName: "casadi__Function__mapaccum__0"
// protoArgs: "(std::string ** err_msg, casadi::Function* obj, std::string* x0, int x1, std::vector< int >* x2, std::vector< int >* x3)"
// args: "(x0_, x1_, x2_, x3_)"
// rettype: UserType (Namespace ["casadi"]) (Name "Function")
// cWrapperRetType: "casadi::Function*"
// proto: "casadi::Function*\n    casadi__Function__mapaccum__0(std::string ** err_msg, casadi::Function* obj, std::string* x0, int x1, std::vector< int >* x2, std::vector< int >* x3)"
// call: "        casadi::Function ret = obj->mapaccum(x0_, x1_, x2_, x3_);"
// params: [(Ref (Const StdString),SwigOutput False),(CInt,SwigOutput False),(Ref (Const (StdVec CInt)),SwigOutput False),(Ref (Const (StdVec CInt)),SwigOutput False)]
extern "C"
casadi::Function*
    casadi__Function__mapaccum__0(std::string ** err_msg, casadi::Function* obj, std::string* x0, int x1, std::vector< int >* x2, std::vector< int >* x3);
casadi::Function*
    casadi__Function__mapaccum__0(std::string ** err_msg, casadi::Function* obj, std::string* x0, int x1, std::vector< int >* x2, std::vector< int >* x3){
    try {
        std::string& x0_ = Marshaling<std::string&,std::string*>::marshal(x0);
        int x1_ = Marshaling<int,int>::marshal(x1);
        std::vector< int > x2_ = Marshaling<std::vector< int >,std::vector< int >*>::marshal(x2);
        std::vector< int > x3_ = Marshaling<std::vector< int >,std::vector< int >*>::marshal(x3);

        casadi::Function ret = obj->mapaccum(x0_, x1_, x2_, x3_);
        // x0 is not a swig output
        // x1 is not a swig output
        // x2 is not a swig output
        // x3 is not a swig output

        return WrapReturn< casadi::Function*, casadi::Function >::wrapReturn( ret );
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return 0;
    }
}


// ================== Normal method: "mapaccum" ===============
// class: "casadi::Function"
// cppName: "casadi::Function::mapaccum"
// cWrapperName: "casadi__Function__mapaccum__1"
// protoArgs: "(std::string ** err_msg, casadi::Function* obj, std::string* x0, int x1, std::vector< int >* x2, std::vector< int >* x3, std::map< std::string, casadi::GenericType* >* x4)"
// args: "(x0_, x1_, x2_, x3_, x4_)"
// rettype: UserType (Namespace ["casadi"]) (Name "Function")
// cWrapperRetType: "casadi::Function*"
// proto: "casadi::Function*\n    casadi__Function__mapaccum__1(std::string ** err_msg, casadi::Function* obj, std::string* x0, int x1, std::vector< int >* x2, std::vector< int >* x3, std::map< std::string, casadi::GenericType* >* x4)"
// call: "        casadi::Function ret = obj->mapaccum(x0_, x1_, x2_, x3_, x4_);"
// params: [(Ref (Const StdString),SwigOutput False),(CInt,SwigOutput False),(Ref (Const (StdVec CInt)),SwigOutput False),(Ref (Const (StdVec CInt)),SwigOutput False),(Ref (Const (StdMap StdString (UserType (Namespace ["casadi"]) (Name "GenericType")))),SwigOutput False)]
extern "C"
casadi::Function*
    casadi__Function__mapaccum__1(std::string ** err_msg, casadi::Function* obj, std::string* x0, int x1, std::vector< int >* x2, std::vector< int >* x3, std::map< std::string, casadi::GenericType* >* x4);
casadi::Function*
    casadi__Function__mapaccum__1(std::string ** err_msg, casadi::Function* obj, std::string* x0, int x1, std::vector< int >* x2, std::vector< int >* x3, std::map< std::string, casadi::GenericType* >* x4){
    try {
        std::string& x0_ = Marshaling<std::string&,std::string*>::marshal(x0);
        int x1_ = Marshaling<int,int>::marshal(x1);
        std::vector< int > x2_ = Marshaling<std::vector< int >,std::vector< int >*>::marshal(x2);
        std::vector< int > x3_ = Marshaling<std::vector< int >,std::vector< int >*>::marshal(x3);
        std::map< std::string, casadi::GenericType > x4_ = Marshaling<std::map< std::string, casadi::GenericType >,std::map< std::string, casadi::GenericType* >*>::marshal(x4);

        casadi::Function ret = obj->mapaccum(x0_, x1_, x2_, x3_, x4_);
        // x0 is not a swig output
        // x1 is not a swig output
        // x2 is not a swig output
        // x3 is not a swig output
        // x4 is not a swig output

        return WrapReturn< casadi::Function*, casadi::Function >::wrapReturn( ret );
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return 0;
    }
}


// ================== Normal method: "mapaccum" ===============
// class: "casadi::Function"
// cppName: "casadi::Function::mapaccum"
// cWrapperName: "casadi__Function__mapaccum__2"
// protoArgs: "(std::string ** err_msg, casadi::Function* obj, std::string* x0, int x1)"
// args: "(x0_, x1_)"
// rettype: UserType (Namespace ["casadi"]) (Name "Function")
// cWrapperRetType: "casadi::Function*"
// proto: "casadi::Function*\n    casadi__Function__mapaccum__2(std::string ** err_msg, casadi::Function* obj, std::string* x0, int x1)"
// call: "        casadi::Function ret = obj->mapaccum(x0_, x1_);"
// params: [(Ref (Const StdString),SwigOutput False),(CInt,SwigOutput False)]
extern "C"
casadi::Function*
    casadi__Function__mapaccum__2(std::string ** err_msg, casadi::Function* obj, std::string* x0, int x1);
casadi::Function*
    casadi__Function__mapaccum__2(std::string ** err_msg, casadi::Function* obj, std::string* x0, int x1){
    try {
        std::string& x0_ = Marshaling<std::string&,std::string*>::marshal(x0);
        int x1_ = Marshaling<int,int>::marshal(x1);

        casadi::Function ret = obj->mapaccum(x0_, x1_);
        // x0 is not a swig output
        // x1 is not a swig output

        return WrapReturn< casadi::Function*, casadi::Function >::wrapReturn( ret );
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return 0;
    }
}


// ================== Normal method: "mapaccum" ===============
// class: "casadi::Function"
// cppName: "casadi::Function::mapaccum"
// cWrapperName: "casadi__Function__mapaccum__3"
// protoArgs: "(std::string ** err_msg, casadi::Function* obj, std::string* x0, int x1, std::map< std::string, casadi::GenericType* >* x2)"
// args: "(x0_, x1_, x2_)"
// rettype: UserType (Namespace ["casadi"]) (Name "Function")
// cWrapperRetType: "casadi::Function*"
// proto: "casadi::Function*\n    casadi__Function__mapaccum__3(std::string ** err_msg, casadi::Function* obj, std::string* x0, int x1, std::map< std::string, casadi::GenericType* >* x2)"
// call: "        casadi::Function ret = obj->mapaccum(x0_, x1_, x2_);"
// params: [(Ref (Const StdString),SwigOutput False),(CInt,SwigOutput False),(Ref (Const (StdMap StdString (UserType (Namespace ["casadi"]) (Name "GenericType")))),SwigOutput False)]
extern "C"
casadi::Function*
    casadi__Function__mapaccum__3(std::string ** err_msg, casadi::Function* obj, std::string* x0, int x1, std::map< std::string, casadi::GenericType* >* x2);
casadi::Function*
    casadi__Function__mapaccum__3(std::string ** err_msg, casadi::Function* obj, std::string* x0, int x1, std::map< std::string, casadi::GenericType* >* x2){
    try {
        std::string& x0_ = Marshaling<std::string&,std::string*>::marshal(x0);
        int x1_ = Marshaling<int,int>::marshal(x1);
        std::map< std::string, casadi::GenericType > x2_ = Marshaling<std::map< std::string, casadi::GenericType >,std::map< std::string, casadi::GenericType* >*>::marshal(x2);

        casadi::Function ret = obj->mapaccum(x0_, x1_, x2_);
        // x0 is not a swig output
        // x1 is not a swig output
        // x2 is not a swig output

        return WrapReturn< casadi::Function*, casadi::Function >::wrapReturn( ret );
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return 0;
    }
}


// ================== Normal method: "mapsum" ===============
// class: "casadi::Function"
// cppName: "casadi::Function::mapsum"
// cWrapperName: "casadi__Function__mapsum__0"
// protoArgs: "(std::string ** err_msg, casadi::Function* obj, std::vector< casadi::MX* >* x0)"
// args: "(x0_)"
// rettype: StdVec (UserType (Namespace ["casadi"]) (Name "MX"))
// cWrapperRetType: "std::vector< casadi::MX* >*"
// proto: "std::vector< casadi::MX* >*\n    casadi__Function__mapsum__0(std::string ** err_msg, casadi::Function* obj, std::vector< casadi::MX* >* x0)"
// call: "        std::vector< casadi::MX > ret = obj->mapsum(x0_);"
// params: [(Ref (Const (StdVec (UserType (Namespace ["casadi"]) (Name "MX")))),SwigOutput False)]
extern "C"
std::vector< casadi::MX* >*
    casadi__Function__mapsum__0(std::string ** err_msg, casadi::Function* obj, std::vector< casadi::MX* >* x0);
std::vector< casadi::MX* >*
    casadi__Function__mapsum__0(std::string ** err_msg, casadi::Function* obj, std::vector< casadi::MX* >* x0){
    try {
        std::vector< casadi::MX > x0_ = Marshaling<std::vector< casadi::MX >,std::vector< casadi::MX* >*>::marshal(x0);

        std::vector< casadi::MX > ret = obj->mapsum(x0_);
        // x0 is not a swig output

        return WrapReturn< std::vector< casadi::MX* >*, std::vector< casadi::MX > >::wrapReturn( ret );
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return 0;
    }
}


// ================== Normal method: "mapsum" ===============
// class: "casadi::Function"
// cppName: "casadi::Function::mapsum"
// cWrapperName: "casadi__Function__mapsum__1"
// protoArgs: "(std::string ** err_msg, casadi::Function* obj, std::vector< casadi::MX* >* x0, std::string* x1)"
// args: "(x0_, x1_)"
// rettype: StdVec (UserType (Namespace ["casadi"]) (Name "MX"))
// cWrapperRetType: "std::vector< casadi::MX* >*"
// proto: "std::vector< casadi::MX* >*\n    casadi__Function__mapsum__1(std::string ** err_msg, casadi::Function* obj, std::vector< casadi::MX* >* x0, std::string* x1)"
// call: "        std::vector< casadi::MX > ret = obj->mapsum(x0_, x1_);"
// params: [(Ref (Const (StdVec (UserType (Namespace ["casadi"]) (Name "MX")))),SwigOutput False),(Ref (Const StdString),SwigOutput False)]
extern "C"
std::vector< casadi::MX* >*
    casadi__Function__mapsum__1(std::string ** err_msg, casadi::Function* obj, std::vector< casadi::MX* >* x0, std::string* x1);
std::vector< casadi::MX* >*
    casadi__Function__mapsum__1(std::string ** err_msg, casadi::Function* obj, std::vector< casadi::MX* >* x0, std::string* x1){
    try {
        std::vector< casadi::MX > x0_ = Marshaling<std::vector< casadi::MX >,std::vector< casadi::MX* >*>::marshal(x0);
        std::string& x1_ = Marshaling<std::string&,std::string*>::marshal(x1);

        std::vector< casadi::MX > ret = obj->mapsum(x0_, x1_);
        // x0 is not a swig output
        // x1 is not a swig output

        return WrapReturn< std::vector< casadi::MX* >*, std::vector< casadi::MX > >::wrapReturn( ret );
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return 0;
    }
}


// ================== Normal method: "mx_in" ===============
// class: "casadi::Function"
// cppName: "casadi::Function::mx_in"
// cWrapperName: "casadi__Function__mx_in__0"
// protoArgs: "(std::string ** err_msg, casadi::Function* obj)"
// args: "()"
// rettype: Const (StdVec (UserType (Namespace ["casadi"]) (Name "MX")))
// cWrapperRetType: "std::vector< casadi::MX* >*"
// proto: "std::vector< casadi::MX* >*\n    casadi__Function__mx_in__0(std::string ** err_msg, casadi::Function* obj)"
// call: "        std::vector< casadi::MX > ret = obj->mx_in();"
// params: []
extern "C"
std::vector< casadi::MX* >*
    casadi__Function__mx_in__0(std::string ** err_msg, casadi::Function* obj);
std::vector< casadi::MX* >*
    casadi__Function__mx_in__0(std::string ** err_msg, casadi::Function* obj){
    try {

        std::vector< casadi::MX > ret = obj->mx_in();

        return WrapReturn< std::vector< casadi::MX* >*, std::vector< casadi::MX > >::wrapReturn( ret );
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return 0;
    }
}


// ================== Normal method: "mx_in" ===============
// class: "casadi::Function"
// cppName: "casadi::Function::mx_in"
// cWrapperName: "casadi__Function__mx_in__1"
// protoArgs: "(std::string ** err_msg, casadi::Function* obj, std::string* x0)"
// args: "(x0_)"
// rettype: Const (UserType (Namespace ["casadi"]) (Name "MX"))
// cWrapperRetType: "casadi::MX*"
// proto: "casadi::MX*\n    casadi__Function__mx_in__1(std::string ** err_msg, casadi::Function* obj, std::string* x0)"
// call: "        casadi::MX ret = obj->mx_in(x0_);"
// params: [(Ref (Const StdString),SwigOutput False)]
extern "C"
casadi::MX*
    casadi__Function__mx_in__1(std::string ** err_msg, casadi::Function* obj, std::string* x0);
casadi::MX*
    casadi__Function__mx_in__1(std::string ** err_msg, casadi::Function* obj, std::string* x0){
    try {
        std::string& x0_ = Marshaling<std::string&,std::string*>::marshal(x0);

        casadi::MX ret = obj->mx_in(x0_);
        // x0 is not a swig output

        return WrapReturn< casadi::MX*, casadi::MX >::wrapReturn( ret );
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return 0;
    }
}


// ================== Normal method: "mx_in" ===============
// class: "casadi::Function"
// cppName: "casadi::Function::mx_in"
// cWrapperName: "casadi__Function__mx_in__2"
// protoArgs: "(std::string ** err_msg, casadi::Function* obj, int x0)"
// args: "(x0_)"
// rettype: Const (UserType (Namespace ["casadi"]) (Name "MX"))
// cWrapperRetType: "casadi::MX*"
// proto: "casadi::MX*\n    casadi__Function__mx_in__2(std::string ** err_msg, casadi::Function* obj, int x0)"
// call: "        casadi::MX ret = obj->mx_in(x0_);"
// params: [(CInt,SwigOutput False)]
extern "C"
casadi::MX*
    casadi__Function__mx_in__2(std::string ** err_msg, casadi::Function* obj, int x0);
casadi::MX*
    casadi__Function__mx_in__2(std::string ** err_msg, casadi::Function* obj, int x0){
    try {
        int x0_ = Marshaling<int,int>::marshal(x0);

        casadi::MX ret = obj->mx_in(x0_);
        // x0 is not a swig output

        return WrapReturn< casadi::MX*, casadi::MX >::wrapReturn( ret );
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return 0;
    }
}


// ================== Normal method: "mx_out" ===============
// class: "casadi::Function"
// cppName: "casadi::Function::mx_out"
// cWrapperName: "casadi__Function__mx_out__0"
// protoArgs: "(std::string ** err_msg, casadi::Function* obj)"
// args: "()"
// rettype: Const (StdVec (UserType (Namespace ["casadi"]) (Name "MX")))
// cWrapperRetType: "std::vector< casadi::MX* >*"
// proto: "std::vector< casadi::MX* >*\n    casadi__Function__mx_out__0(std::string ** err_msg, casadi::Function* obj)"
// call: "        std::vector< casadi::MX > ret = obj->mx_out();"
// params: []
extern "C"
std::vector< casadi::MX* >*
    casadi__Function__mx_out__0(std::string ** err_msg, casadi::Function* obj);
std::vector< casadi::MX* >*
    casadi__Function__mx_out__0(std::string ** err_msg, casadi::Function* obj){
    try {

        std::vector< casadi::MX > ret = obj->mx_out();

        return WrapReturn< std::vector< casadi::MX* >*, std::vector< casadi::MX > >::wrapReturn( ret );
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return 0;
    }
}


// ================== Normal method: "mx_out" ===============
// class: "casadi::Function"
// cppName: "casadi::Function::mx_out"
// cWrapperName: "casadi__Function__mx_out__1"
// protoArgs: "(std::string ** err_msg, casadi::Function* obj, std::string* x0)"
// args: "(x0_)"
// rettype: Const (UserType (Namespace ["casadi"]) (Name "MX"))
// cWrapperRetType: "casadi::MX*"
// proto: "casadi::MX*\n    casadi__Function__mx_out__1(std::string ** err_msg, casadi::Function* obj, std::string* x0)"
// call: "        casadi::MX ret = obj->mx_out(x0_);"
// params: [(Ref (Const StdString),SwigOutput False)]
extern "C"
casadi::MX*
    casadi__Function__mx_out__1(std::string ** err_msg, casadi::Function* obj, std::string* x0);
casadi::MX*
    casadi__Function__mx_out__1(std::string ** err_msg, casadi::Function* obj, std::string* x0){
    try {
        std::string& x0_ = Marshaling<std::string&,std::string*>::marshal(x0);

        casadi::MX ret = obj->mx_out(x0_);
        // x0 is not a swig output

        return WrapReturn< casadi::MX*, casadi::MX >::wrapReturn( ret );
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return 0;
    }
}


// ================== Normal method: "mx_out" ===============
// class: "casadi::Function"
// cppName: "casadi::Function::mx_out"
// cWrapperName: "casadi__Function__mx_out__2"
// protoArgs: "(std::string ** err_msg, casadi::Function* obj, int x0)"
// args: "(x0_)"
// rettype: Const (UserType (Namespace ["casadi"]) (Name "MX"))
// cWrapperRetType: "casadi::MX*"
// proto: "casadi::MX*\n    casadi__Function__mx_out__2(std::string ** err_msg, casadi::Function* obj, int x0)"
// call: "        casadi::MX ret = obj->mx_out(x0_);"
// params: [(CInt,SwigOutput False)]
extern "C"
casadi::MX*
    casadi__Function__mx_out__2(std::string ** err_msg, casadi::Function* obj, int x0);
casadi::MX*
    casadi__Function__mx_out__2(std::string ** err_msg, casadi::Function* obj, int x0){
    try {
        int x0_ = Marshaling<int,int>::marshal(x0);

        casadi::MX ret = obj->mx_out(x0_);
        // x0 is not a swig output

        return WrapReturn< casadi::MX*, casadi::MX >::wrapReturn( ret );
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return 0;
    }
}


// ================== Normal method: "n_in" ===============
// class: "casadi::Function"
// cppName: "casadi::Function::n_in"
// cWrapperName: "casadi__Function__n_in"
// protoArgs: "(std::string ** err_msg, casadi::Function* obj)"
// args: "()"
// rettype: CInt
// cWrapperRetType: "int"
// proto: "int\n    casadi__Function__n_in(std::string ** err_msg, casadi::Function* obj)"
// call: "        int ret = obj->n_in();"
// params: []
extern "C"
int
    casadi__Function__n_in(std::string ** err_msg, casadi::Function* obj);
int
    casadi__Function__n_in(std::string ** err_msg, casadi::Function* obj){
    try {

        int ret = obj->n_in();

        return WrapReturn< int, int >::wrapReturn( ret );
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return 0;
    }
}


// ================== Normal method: "n_nodes" ===============
// class: "casadi::Function"
// cppName: "casadi::Function::n_nodes"
// cWrapperName: "casadi__Function__n_nodes"
// protoArgs: "(std::string ** err_msg, casadi::Function* obj)"
// args: "()"
// rettype: CInt
// cWrapperRetType: "int"
// proto: "int\n    casadi__Function__n_nodes(std::string ** err_msg, casadi::Function* obj)"
// call: "        int ret = obj->n_nodes();"
// params: []
extern "C"
int
    casadi__Function__n_nodes(std::string ** err_msg, casadi::Function* obj);
int
    casadi__Function__n_nodes(std::string ** err_msg, casadi::Function* obj){
    try {

        int ret = obj->n_nodes();

        return WrapReturn< int, int >::wrapReturn( ret );
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return 0;
    }
}


// ================== Normal method: "n_out" ===============
// class: "casadi::Function"
// cppName: "casadi::Function::n_out"
// cWrapperName: "casadi__Function__n_out"
// protoArgs: "(std::string ** err_msg, casadi::Function* obj)"
// args: "()"
// rettype: CInt
// cWrapperRetType: "int"
// proto: "int\n    casadi__Function__n_out(std::string ** err_msg, casadi::Function* obj)"
// call: "        int ret = obj->n_out();"
// params: []
extern "C"
int
    casadi__Function__n_out(std::string ** err_msg, casadi::Function* obj);
int
    casadi__Function__n_out(std::string ** err_msg, casadi::Function* obj){
    try {

        int ret = obj->n_out();

        return WrapReturn< int, int >::wrapReturn( ret );
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return 0;
    }
}


// ================== Normal method: "name" ===============
// class: "casadi::Function"
// cppName: "casadi::Function::name"
// cWrapperName: "casadi__Function__name"
// protoArgs: "(std::string ** err_msg, casadi::Function* obj)"
// args: "()"
// rettype: StdString
// cWrapperRetType: "std::string*"
// proto: "std::string*\n    casadi__Function__name(std::string ** err_msg, casadi::Function* obj)"
// call: "        std::string ret = obj->name();"
// params: []
extern "C"
std::string*
    casadi__Function__name(std::string ** err_msg, casadi::Function* obj);
std::string*
    casadi__Function__name(std::string ** err_msg, casadi::Function* obj){
    try {

        std::string ret = obj->name();

        return WrapReturn< std::string*, std::string >::wrapReturn( ret );
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return 0;
    }
}


// ================== Normal method: "name_in" ===============
// class: "casadi::Function"
// cppName: "casadi::Function::name_in"
// cWrapperName: "casadi__Function__name_in__0"
// protoArgs: "(std::string ** err_msg, casadi::Function* obj, int x0)"
// args: "(x0_)"
// rettype: StdString
// cWrapperRetType: "std::string*"
// proto: "std::string*\n    casadi__Function__name_in__0(std::string ** err_msg, casadi::Function* obj, int x0)"
// call: "        std::string ret = obj->name_in(x0_);"
// params: [(CInt,SwigOutput False)]
extern "C"
std::string*
    casadi__Function__name_in__0(std::string ** err_msg, casadi::Function* obj, int x0);
std::string*
    casadi__Function__name_in__0(std::string ** err_msg, casadi::Function* obj, int x0){
    try {
        int x0_ = Marshaling<int,int>::marshal(x0);

        std::string ret = obj->name_in(x0_);
        // x0 is not a swig output

        return WrapReturn< std::string*, std::string >::wrapReturn( ret );
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return 0;
    }
}


// ================== Normal method: "name_in" ===============
// class: "casadi::Function"
// cppName: "casadi::Function::name_in"
// cWrapperName: "casadi__Function__name_in__1"
// protoArgs: "(std::string ** err_msg, casadi::Function* obj)"
// args: "()"
// rettype: StdVec StdString
// cWrapperRetType: "std::vector< std::string* >*"
// proto: "std::vector< std::string* >*\n    casadi__Function__name_in__1(std::string ** err_msg, casadi::Function* obj)"
// call: "        std::vector< std::string > ret = obj->name_in();"
// params: []
extern "C"
std::vector< std::string* >*
    casadi__Function__name_in__1(std::string ** err_msg, casadi::Function* obj);
std::vector< std::string* >*
    casadi__Function__name_in__1(std::string ** err_msg, casadi::Function* obj){
    try {

        std::vector< std::string > ret = obj->name_in();

        return WrapReturn< std::vector< std::string* >*, std::vector< std::string > >::wrapReturn( ret );
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return 0;
    }
}


// ================== Normal method: "name_out" ===============
// class: "casadi::Function"
// cppName: "casadi::Function::name_out"
// cWrapperName: "casadi__Function__name_out__0"
// protoArgs: "(std::string ** err_msg, casadi::Function* obj, int x0)"
// args: "(x0_)"
// rettype: StdString
// cWrapperRetType: "std::string*"
// proto: "std::string*\n    casadi__Function__name_out__0(std::string ** err_msg, casadi::Function* obj, int x0)"
// call: "        std::string ret = obj->name_out(x0_);"
// params: [(CInt,SwigOutput False)]
extern "C"
std::string*
    casadi__Function__name_out__0(std::string ** err_msg, casadi::Function* obj, int x0);
std::string*
    casadi__Function__name_out__0(std::string ** err_msg, casadi::Function* obj, int x0){
    try {
        int x0_ = Marshaling<int,int>::marshal(x0);

        std::string ret = obj->name_out(x0_);
        // x0 is not a swig output

        return WrapReturn< std::string*, std::string >::wrapReturn( ret );
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return 0;
    }
}


// ================== Normal method: "name_out" ===============
// class: "casadi::Function"
// cppName: "casadi::Function::name_out"
// cWrapperName: "casadi__Function__name_out__1"
// protoArgs: "(std::string ** err_msg, casadi::Function* obj)"
// args: "()"
// rettype: StdVec StdString
// cWrapperRetType: "std::vector< std::string* >*"
// proto: "std::vector< std::string* >*\n    casadi__Function__name_out__1(std::string ** err_msg, casadi::Function* obj)"
// call: "        std::vector< std::string > ret = obj->name_out();"
// params: []
extern "C"
std::vector< std::string* >*
    casadi__Function__name_out__1(std::string ** err_msg, casadi::Function* obj);
std::vector< std::string* >*
    casadi__Function__name_out__1(std::string ** err_msg, casadi::Function* obj){
    try {

        std::vector< std::string > ret = obj->name_out();

        return WrapReturn< std::vector< std::string* >*, std::vector< std::string > >::wrapReturn( ret );
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return 0;
    }
}


// ================== Normal method: "nnz_in" ===============
// class: "casadi::Function"
// cppName: "casadi::Function::nnz_in"
// cWrapperName: "casadi__Function__nnz_in__0"
// protoArgs: "(std::string ** err_msg, casadi::Function* obj, std::string* x0)"
// args: "(x0_)"
// rettype: CInt
// cWrapperRetType: "int"
// proto: "int\n    casadi__Function__nnz_in__0(std::string ** err_msg, casadi::Function* obj, std::string* x0)"
// call: "        int ret = obj->nnz_in(x0_);"
// params: [(Ref (Const StdString),SwigOutput False)]
extern "C"
int
    casadi__Function__nnz_in__0(std::string ** err_msg, casadi::Function* obj, std::string* x0);
int
    casadi__Function__nnz_in__0(std::string ** err_msg, casadi::Function* obj, std::string* x0){
    try {
        std::string& x0_ = Marshaling<std::string&,std::string*>::marshal(x0);

        int ret = obj->nnz_in(x0_);
        // x0 is not a swig output

        return WrapReturn< int, int >::wrapReturn( ret );
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return 0;
    }
}


// ================== Normal method: "nnz_in" ===============
// class: "casadi::Function"
// cppName: "casadi::Function::nnz_in"
// cWrapperName: "casadi__Function__nnz_in__1"
// protoArgs: "(std::string ** err_msg, casadi::Function* obj, int x0)"
// args: "(x0_)"
// rettype: CInt
// cWrapperRetType: "int"
// proto: "int\n    casadi__Function__nnz_in__1(std::string ** err_msg, casadi::Function* obj, int x0)"
// call: "        int ret = obj->nnz_in(x0_);"
// params: [(CInt,SwigOutput False)]
extern "C"
int
    casadi__Function__nnz_in__1(std::string ** err_msg, casadi::Function* obj, int x0);
int
    casadi__Function__nnz_in__1(std::string ** err_msg, casadi::Function* obj, int x0){
    try {
        int x0_ = Marshaling<int,int>::marshal(x0);

        int ret = obj->nnz_in(x0_);
        // x0 is not a swig output

        return WrapReturn< int, int >::wrapReturn( ret );
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return 0;
    }
}


// ================== Normal method: "nnz_in" ===============
// class: "casadi::Function"
// cppName: "casadi::Function::nnz_in"
// cWrapperName: "casadi__Function__nnz_in__2"
// protoArgs: "(std::string ** err_msg, casadi::Function* obj)"
// args: "()"
// rettype: CInt
// cWrapperRetType: "int"
// proto: "int\n    casadi__Function__nnz_in__2(std::string ** err_msg, casadi::Function* obj)"
// call: "        int ret = obj->nnz_in();"
// params: []
extern "C"
int
    casadi__Function__nnz_in__2(std::string ** err_msg, casadi::Function* obj);
int
    casadi__Function__nnz_in__2(std::string ** err_msg, casadi::Function* obj){
    try {

        int ret = obj->nnz_in();

        return WrapReturn< int, int >::wrapReturn( ret );
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return 0;
    }
}


// ================== Normal method: "nnz_out" ===============
// class: "casadi::Function"
// cppName: "casadi::Function::nnz_out"
// cWrapperName: "casadi__Function__nnz_out__0"
// protoArgs: "(std::string ** err_msg, casadi::Function* obj, std::string* x0)"
// args: "(x0_)"
// rettype: CInt
// cWrapperRetType: "int"
// proto: "int\n    casadi__Function__nnz_out__0(std::string ** err_msg, casadi::Function* obj, std::string* x0)"
// call: "        int ret = obj->nnz_out(x0_);"
// params: [(Ref (Const StdString),SwigOutput False)]
extern "C"
int
    casadi__Function__nnz_out__0(std::string ** err_msg, casadi::Function* obj, std::string* x0);
int
    casadi__Function__nnz_out__0(std::string ** err_msg, casadi::Function* obj, std::string* x0){
    try {
        std::string& x0_ = Marshaling<std::string&,std::string*>::marshal(x0);

        int ret = obj->nnz_out(x0_);
        // x0 is not a swig output

        return WrapReturn< int, int >::wrapReturn( ret );
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return 0;
    }
}


// ================== Normal method: "nnz_out" ===============
// class: "casadi::Function"
// cppName: "casadi::Function::nnz_out"
// cWrapperName: "casadi__Function__nnz_out__1"
// protoArgs: "(std::string ** err_msg, casadi::Function* obj, int x0)"
// args: "(x0_)"
// rettype: CInt
// cWrapperRetType: "int"
// proto: "int\n    casadi__Function__nnz_out__1(std::string ** err_msg, casadi::Function* obj, int x0)"
// call: "        int ret = obj->nnz_out(x0_);"
// params: [(CInt,SwigOutput False)]
extern "C"
int
    casadi__Function__nnz_out__1(std::string ** err_msg, casadi::Function* obj, int x0);
int
    casadi__Function__nnz_out__1(std::string ** err_msg, casadi::Function* obj, int x0){
    try {
        int x0_ = Marshaling<int,int>::marshal(x0);

        int ret = obj->nnz_out(x0_);
        // x0 is not a swig output

        return WrapReturn< int, int >::wrapReturn( ret );
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return 0;
    }
}


// ================== Normal method: "nnz_out" ===============
// class: "casadi::Function"
// cppName: "casadi::Function::nnz_out"
// cWrapperName: "casadi__Function__nnz_out__2"
// protoArgs: "(std::string ** err_msg, casadi::Function* obj)"
// args: "()"
// rettype: CInt
// cWrapperRetType: "int"
// proto: "int\n    casadi__Function__nnz_out__2(std::string ** err_msg, casadi::Function* obj)"
// call: "        int ret = obj->nnz_out();"
// params: []
extern "C"
int
    casadi__Function__nnz_out__2(std::string ** err_msg, casadi::Function* obj);
int
    casadi__Function__nnz_out__2(std::string ** err_msg, casadi::Function* obj){
    try {

        int ret = obj->nnz_out();

        return WrapReturn< int, int >::wrapReturn( ret );
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return 0;
    }
}


// ================== Normal method: "numel_in" ===============
// class: "casadi::Function"
// cppName: "casadi::Function::numel_in"
// cWrapperName: "casadi__Function__numel_in__0"
// protoArgs: "(std::string ** err_msg, casadi::Function* obj, std::string* x0)"
// args: "(x0_)"
// rettype: CInt
// cWrapperRetType: "int"
// proto: "int\n    casadi__Function__numel_in__0(std::string ** err_msg, casadi::Function* obj, std::string* x0)"
// call: "        int ret = obj->numel_in(x0_);"
// params: [(Ref (Const StdString),SwigOutput False)]
extern "C"
int
    casadi__Function__numel_in__0(std::string ** err_msg, casadi::Function* obj, std::string* x0);
int
    casadi__Function__numel_in__0(std::string ** err_msg, casadi::Function* obj, std::string* x0){
    try {
        std::string& x0_ = Marshaling<std::string&,std::string*>::marshal(x0);

        int ret = obj->numel_in(x0_);
        // x0 is not a swig output

        return WrapReturn< int, int >::wrapReturn( ret );
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return 0;
    }
}


// ================== Normal method: "numel_in" ===============
// class: "casadi::Function"
// cppName: "casadi::Function::numel_in"
// cWrapperName: "casadi__Function__numel_in__1"
// protoArgs: "(std::string ** err_msg, casadi::Function* obj, int x0)"
// args: "(x0_)"
// rettype: CInt
// cWrapperRetType: "int"
// proto: "int\n    casadi__Function__numel_in__1(std::string ** err_msg, casadi::Function* obj, int x0)"
// call: "        int ret = obj->numel_in(x0_);"
// params: [(CInt,SwigOutput False)]
extern "C"
int
    casadi__Function__numel_in__1(std::string ** err_msg, casadi::Function* obj, int x0);
int
    casadi__Function__numel_in__1(std::string ** err_msg, casadi::Function* obj, int x0){
    try {
        int x0_ = Marshaling<int,int>::marshal(x0);

        int ret = obj->numel_in(x0_);
        // x0 is not a swig output

        return WrapReturn< int, int >::wrapReturn( ret );
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return 0;
    }
}


// ================== Normal method: "numel_in" ===============
// class: "casadi::Function"
// cppName: "casadi::Function::numel_in"
// cWrapperName: "casadi__Function__numel_in__2"
// protoArgs: "(std::string ** err_msg, casadi::Function* obj)"
// args: "()"
// rettype: CInt
// cWrapperRetType: "int"
// proto: "int\n    casadi__Function__numel_in__2(std::string ** err_msg, casadi::Function* obj)"
// call: "        int ret = obj->numel_in();"
// params: []
extern "C"
int
    casadi__Function__numel_in__2(std::string ** err_msg, casadi::Function* obj);
int
    casadi__Function__numel_in__2(std::string ** err_msg, casadi::Function* obj){
    try {

        int ret = obj->numel_in();

        return WrapReturn< int, int >::wrapReturn( ret );
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return 0;
    }
}


// ================== Normal method: "numel_out" ===============
// class: "casadi::Function"
// cppName: "casadi::Function::numel_out"
// cWrapperName: "casadi__Function__numel_out__0"
// protoArgs: "(std::string ** err_msg, casadi::Function* obj, std::string* x0)"
// args: "(x0_)"
// rettype: CInt
// cWrapperRetType: "int"
// proto: "int\n    casadi__Function__numel_out__0(std::string ** err_msg, casadi::Function* obj, std::string* x0)"
// call: "        int ret = obj->numel_out(x0_);"
// params: [(Ref (Const StdString),SwigOutput False)]
extern "C"
int
    casadi__Function__numel_out__0(std::string ** err_msg, casadi::Function* obj, std::string* x0);
int
    casadi__Function__numel_out__0(std::string ** err_msg, casadi::Function* obj, std::string* x0){
    try {
        std::string& x0_ = Marshaling<std::string&,std::string*>::marshal(x0);

        int ret = obj->numel_out(x0_);
        // x0 is not a swig output

        return WrapReturn< int, int >::wrapReturn( ret );
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return 0;
    }
}


// ================== Normal method: "numel_out" ===============
// class: "casadi::Function"
// cppName: "casadi::Function::numel_out"
// cWrapperName: "casadi__Function__numel_out__1"
// protoArgs: "(std::string ** err_msg, casadi::Function* obj, int x0)"
// args: "(x0_)"
// rettype: CInt
// cWrapperRetType: "int"
// proto: "int\n    casadi__Function__numel_out__1(std::string ** err_msg, casadi::Function* obj, int x0)"
// call: "        int ret = obj->numel_out(x0_);"
// params: [(CInt,SwigOutput False)]
extern "C"
int
    casadi__Function__numel_out__1(std::string ** err_msg, casadi::Function* obj, int x0);
int
    casadi__Function__numel_out__1(std::string ** err_msg, casadi::Function* obj, int x0){
    try {
        int x0_ = Marshaling<int,int>::marshal(x0);

        int ret = obj->numel_out(x0_);
        // x0 is not a swig output

        return WrapReturn< int, int >::wrapReturn( ret );
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return 0;
    }
}


// ================== Normal method: "numel_out" ===============
// class: "casadi::Function"
// cppName: "casadi::Function::numel_out"
// cWrapperName: "casadi__Function__numel_out__2"
// protoArgs: "(std::string ** err_msg, casadi::Function* obj)"
// args: "()"
// rettype: CInt
// cWrapperRetType: "int"
// proto: "int\n    casadi__Function__numel_out__2(std::string ** err_msg, casadi::Function* obj)"
// call: "        int ret = obj->numel_out();"
// params: []
extern "C"
int
    casadi__Function__numel_out__2(std::string ** err_msg, casadi::Function* obj);
int
    casadi__Function__numel_out__2(std::string ** err_msg, casadi::Function* obj){
    try {

        int ret = obj->numel_out();

        return WrapReturn< int, int >::wrapReturn( ret );
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return 0;
    }
}


// ================== Normal method: "printDimensions" ===============
// class: "casadi::Function"
// cppName: "casadi::Function::printDimensions"
// cWrapperName: "casadi__Function__printDimensions"
// protoArgs: "(std::string ** err_msg, casadi::Function* obj)"
// args: "()"
// rettype: CVoid
// cWrapperRetType: "void"
// proto: "void\n    casadi__Function__printDimensions(std::string ** err_msg, casadi::Function* obj)"
// call: "        obj->printDimensions();"
// params: []
extern "C"
void
    casadi__Function__printDimensions(std::string ** err_msg, casadi::Function* obj);
void
    casadi__Function__printDimensions(std::string ** err_msg, casadi::Function* obj){
    try {

        obj->printDimensions();

        return;
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return;
    }
}


// ================== Normal method: "printOption" ===============
// class: "casadi::Function"
// cppName: "casadi::Function::printOption"
// cWrapperName: "casadi__Function__printOption"
// protoArgs: "(std::string ** err_msg, casadi::Function* obj, std::string* x0)"
// args: "(x0_)"
// rettype: CVoid
// cWrapperRetType: "void"
// proto: "void\n    casadi__Function__printOption(std::string ** err_msg, casadi::Function* obj, std::string* x0)"
// call: "        obj->printOption(x0_);"
// params: [(Ref (Const StdString),SwigOutput False)]
extern "C"
void
    casadi__Function__printOption(std::string ** err_msg, casadi::Function* obj, std::string* x0);
void
    casadi__Function__printOption(std::string ** err_msg, casadi::Function* obj, std::string* x0){
    try {
        std::string& x0_ = Marshaling<std::string&,std::string*>::marshal(x0);

        obj->printOption(x0_);
        // x0 is not a swig output

        return;
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return;
    }
}


// ================== Normal method: "printOptions" ===============
// class: "casadi::Function"
// cppName: "casadi::Function::printOptions"
// cWrapperName: "casadi__Function__printOptions"
// protoArgs: "(std::string ** err_msg, casadi::Function* obj)"
// args: "()"
// rettype: CVoid
// cWrapperRetType: "void"
// proto: "void\n    casadi__Function__printOptions(std::string ** err_msg, casadi::Function* obj)"
// call: "        obj->printOptions();"
// params: []
extern "C"
void
    casadi__Function__printOptions(std::string ** err_msg, casadi::Function* obj);
void
    casadi__Function__printOptions(std::string ** err_msg, casadi::Function* obj){
    try {

        obj->printOptions();

        return;
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return;
    }
}


// ================== Normal method: "qpsol_debug" ===============
// class: "casadi::Function"
// cppName: "casadi::Function::qpsol_debug"
// cWrapperName: "casadi__Function__qpsol_debug"
// protoArgs: "(std::string ** err_msg, casadi::Function* obj, std::string* x0)"
// args: "(x0_)"
// rettype: CVoid
// cWrapperRetType: "void"
// proto: "void\n    casadi__Function__qpsol_debug(std::string ** err_msg, casadi::Function* obj, std::string* x0)"
// call: "        obj->qpsol_debug(x0_);"
// params: [(Ref (Const StdString),SwigOutput False)]
extern "C"
void
    casadi__Function__qpsol_debug(std::string ** err_msg, casadi::Function* obj, std::string* x0);
void
    casadi__Function__qpsol_debug(std::string ** err_msg, casadi::Function* obj, std::string* x0){
    try {
        std::string& x0_ = Marshaling<std::string&,std::string*>::marshal(x0);

        obj->qpsol_debug(x0_);
        // x0 is not a swig output

        return;
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return;
    }
}


// ================== Normal method: "release" ===============
// class: "casadi::Function"
// cppName: "casadi::Function::release"
// cWrapperName: "casadi__Function__release"
// protoArgs: "(std::string ** err_msg, casadi::Function* obj, int x0)"
// args: "(x0_)"
// rettype: CVoid
// cWrapperRetType: "void"
// proto: "void\n    casadi__Function__release(std::string ** err_msg, casadi::Function* obj, int x0)"
// call: "        obj->release(x0_);"
// params: [(CInt,SwigOutput False)]
extern "C"
void
    casadi__Function__release(std::string ** err_msg, casadi::Function* obj, int x0);
void
    casadi__Function__release(std::string ** err_msg, casadi::Function* obj, int x0){
    try {
        int x0_ = Marshaling<int,int>::marshal(x0);

        obj->release(x0_);
        // x0 is not a swig output

        return;
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return;
    }
}


// ================== Normal method: "removeMonitor" ===============
// class: "casadi::Function"
// cppName: "casadi::Function::removeMonitor"
// cWrapperName: "casadi__Function__removeMonitor"
// protoArgs: "(std::string ** err_msg, casadi::Function* obj, std::string* x0)"
// args: "(x0_)"
// rettype: CVoid
// cWrapperRetType: "void"
// proto: "void\n    casadi__Function__removeMonitor(std::string ** err_msg, casadi::Function* obj, std::string* x0)"
// call: "        obj->removeMonitor(x0_);"
// params: [(Ref (Const StdString),SwigOutput False)]
extern "C"
void
    casadi__Function__removeMonitor(std::string ** err_msg, casadi::Function* obj, std::string* x0);
void
    casadi__Function__removeMonitor(std::string ** err_msg, casadi::Function* obj, std::string* x0){
    try {
        std::string& x0_ = Marshaling<std::string&,std::string*>::marshal(x0);

        obj->removeMonitor(x0_);
        // x0 is not a swig output

        return;
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return;
    }
}


// ================== Normal method: "reverse" ===============
// class: "casadi::Function"
// cppName: "casadi::Function::reverse"
// cWrapperName: "casadi__Function__reverse__0"
// protoArgs: "(std::string ** err_msg, casadi::Function* obj, int x0)"
// args: "(x0_)"
// rettype: UserType (Namespace ["casadi"]) (Name "Function")
// cWrapperRetType: "casadi::Function*"
// proto: "casadi::Function*\n    casadi__Function__reverse__0(std::string ** err_msg, casadi::Function* obj, int x0)"
// call: "        casadi::Function ret = obj->reverse(x0_);"
// params: [(CInt,SwigOutput False)]
extern "C"
casadi::Function*
    casadi__Function__reverse__0(std::string ** err_msg, casadi::Function* obj, int x0);
casadi::Function*
    casadi__Function__reverse__0(std::string ** err_msg, casadi::Function* obj, int x0){
    try {
        int x0_ = Marshaling<int,int>::marshal(x0);

        casadi::Function ret = obj->reverse(x0_);
        // x0 is not a swig output

        return WrapReturn< casadi::Function*, casadi::Function >::wrapReturn( ret );
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return 0;
    }
}


// ================== Normal method: "reverse" ===============
// class: "casadi::Function"
// cppName: "casadi::Function::reverse"
// cWrapperName: "casadi__Function__reverse__1"
// protoArgs: "(std::string ** err_msg, casadi::Function* obj, std::vector< casadi::DM* >* x0, std::vector< casadi::DM* >* x1, std::vector< std::vector< casadi::DM* >* >* x2, std::vector< std::vector< casadi::DM* >* >** x3)"
// args: "(x0_, x1_, x2_, x3_)"
// rettype: CVoid
// cWrapperRetType: "void"
// proto: "void\n    casadi__Function__reverse__1(std::string ** err_msg, casadi::Function* obj, std::vector< casadi::DM* >* x0, std::vector< casadi::DM* >* x1, std::vector< std::vector< casadi::DM* >* >* x2, std::vector< std::vector< casadi::DM* >* >** x3)"
// call: "        obj->reverse(x0_, x1_, x2_, x3_);"
// params: [(Ref (Const (StdVec (UserType (Namespace ["casadi"]) (Name "DM")))),SwigOutput False),(Ref (Const (StdVec (UserType (Namespace ["casadi"]) (Name "DM")))),SwigOutput False),(Ref (Const (StdVec (StdVec (UserType (Namespace ["casadi"]) (Name "DM"))))),SwigOutput False),(Ref (StdVec (StdVec (UserType (Namespace ["casadi"]) (Name "DM")))),SwigOutput True)]
extern "C"
void
    casadi__Function__reverse__1(std::string ** err_msg, casadi::Function* obj, std::vector< casadi::DM* >* x0, std::vector< casadi::DM* >* x1, std::vector< std::vector< casadi::DM* >* >* x2, std::vector< std::vector< casadi::DM* >* >** x3);
void
    casadi__Function__reverse__1(std::string ** err_msg, casadi::Function* obj, std::vector< casadi::DM* >* x0, std::vector< casadi::DM* >* x1, std::vector< std::vector< casadi::DM* >* >* x2, std::vector< std::vector< casadi::DM* >* >** x3){
    try {
        std::vector< casadi::DM > x0_ = Marshaling<std::vector< casadi::DM >,std::vector< casadi::DM* >*>::marshal(x0);
        std::vector< casadi::DM > x1_ = Marshaling<std::vector< casadi::DM >,std::vector< casadi::DM* >*>::marshal(x1);
        std::vector< std::vector< casadi::DM > > x2_ = Marshaling<std::vector< std::vector< casadi::DM > >,std::vector< std::vector< casadi::DM* >* >*>::marshal(x2);
        std::vector< std::vector< casadi::DM > > x3_ = std::vector< std::vector< casadi::DM > >();  // Swig output

        obj->reverse(x0_, x1_, x2_, x3_);
        // x0 is not a swig output
        // x1 is not a swig output
        // x2 is not a swig output
        *x3 = WrapReturn< std::vector< std::vector< casadi::DM* >* >*, std::vector< std::vector< casadi::DM > > >::wrapReturn( x3_ );

        return;
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return;
    }
}


// ================== Normal method: "reverse" ===============
// class: "casadi::Function"
// cppName: "casadi::Function::reverse"
// cWrapperName: "casadi__Function__reverse__2"
// protoArgs: "(std::string ** err_msg, casadi::Function* obj, std::vector< casadi::DM* >* x0, std::vector< casadi::DM* >* x1, std::vector< std::vector< casadi::DM* >* >* x2, std::vector< std::vector< casadi::DM* >* >** x3, int x4)"
// args: "(x0_, x1_, x2_, x3_, x4_)"
// rettype: CVoid
// cWrapperRetType: "void"
// proto: "void\n    casadi__Function__reverse__2(std::string ** err_msg, casadi::Function* obj, std::vector< casadi::DM* >* x0, std::vector< casadi::DM* >* x1, std::vector< std::vector< casadi::DM* >* >* x2, std::vector< std::vector< casadi::DM* >* >** x3, int x4)"
// call: "        obj->reverse(x0_, x1_, x2_, x3_, x4_);"
// params: [(Ref (Const (StdVec (UserType (Namespace ["casadi"]) (Name "DM")))),SwigOutput False),(Ref (Const (StdVec (UserType (Namespace ["casadi"]) (Name "DM")))),SwigOutput False),(Ref (Const (StdVec (StdVec (UserType (Namespace ["casadi"]) (Name "DM"))))),SwigOutput False),(Ref (StdVec (StdVec (UserType (Namespace ["casadi"]) (Name "DM")))),SwigOutput True),(CBool,SwigOutput False)]
extern "C"
void
    casadi__Function__reverse__2(std::string ** err_msg, casadi::Function* obj, std::vector< casadi::DM* >* x0, std::vector< casadi::DM* >* x1, std::vector< std::vector< casadi::DM* >* >* x2, std::vector< std::vector< casadi::DM* >* >** x3, int x4);
void
    casadi__Function__reverse__2(std::string ** err_msg, casadi::Function* obj, std::vector< casadi::DM* >* x0, std::vector< casadi::DM* >* x1, std::vector< std::vector< casadi::DM* >* >* x2, std::vector< std::vector< casadi::DM* >* >** x3, int x4){
    try {
        std::vector< casadi::DM > x0_ = Marshaling<std::vector< casadi::DM >,std::vector< casadi::DM* >*>::marshal(x0);
        std::vector< casadi::DM > x1_ = Marshaling<std::vector< casadi::DM >,std::vector< casadi::DM* >*>::marshal(x1);
        std::vector< std::vector< casadi::DM > > x2_ = Marshaling<std::vector< std::vector< casadi::DM > >,std::vector< std::vector< casadi::DM* >* >*>::marshal(x2);
        std::vector< std::vector< casadi::DM > > x3_ = std::vector< std::vector< casadi::DM > >();  // Swig output
        bool x4_ = Marshaling<bool,int>::marshal(x4);

        obj->reverse(x0_, x1_, x2_, x3_, x4_);
        // x0 is not a swig output
        // x1 is not a swig output
        // x2 is not a swig output
        *x3 = WrapReturn< std::vector< std::vector< casadi::DM* >* >*, std::vector< std::vector< casadi::DM > > >::wrapReturn( x3_ );
        // x4 is not a swig output

        return;
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return;
    }
}


// ================== Normal method: "reverse" ===============
// class: "casadi::Function"
// cppName: "casadi::Function::reverse"
// cWrapperName: "casadi__Function__reverse__3"
// protoArgs: "(std::string ** err_msg, casadi::Function* obj, std::vector< casadi::DM* >* x0, std::vector< casadi::DM* >* x1, std::vector< std::vector< casadi::DM* >* >* x2, std::vector< std::vector< casadi::DM* >* >** x3, int x4, int x5)"
// args: "(x0_, x1_, x2_, x3_, x4_, x5_)"
// rettype: CVoid
// cWrapperRetType: "void"
// proto: "void\n    casadi__Function__reverse__3(std::string ** err_msg, casadi::Function* obj, std::vector< casadi::DM* >* x0, std::vector< casadi::DM* >* x1, std::vector< std::vector< casadi::DM* >* >* x2, std::vector< std::vector< casadi::DM* >* >** x3, int x4, int x5)"
// call: "        obj->reverse(x0_, x1_, x2_, x3_, x4_, x5_);"
// params: [(Ref (Const (StdVec (UserType (Namespace ["casadi"]) (Name "DM")))),SwigOutput False),(Ref (Const (StdVec (UserType (Namespace ["casadi"]) (Name "DM")))),SwigOutput False),(Ref (Const (StdVec (StdVec (UserType (Namespace ["casadi"]) (Name "DM"))))),SwigOutput False),(Ref (StdVec (StdVec (UserType (Namespace ["casadi"]) (Name "DM")))),SwigOutput True),(CBool,SwigOutput False),(CBool,SwigOutput False)]
extern "C"
void
    casadi__Function__reverse__3(std::string ** err_msg, casadi::Function* obj, std::vector< casadi::DM* >* x0, std::vector< casadi::DM* >* x1, std::vector< std::vector< casadi::DM* >* >* x2, std::vector< std::vector< casadi::DM* >* >** x3, int x4, int x5);
void
    casadi__Function__reverse__3(std::string ** err_msg, casadi::Function* obj, std::vector< casadi::DM* >* x0, std::vector< casadi::DM* >* x1, std::vector< std::vector< casadi::DM* >* >* x2, std::vector< std::vector< casadi::DM* >* >** x3, int x4, int x5){
    try {
        std::vector< casadi::DM > x0_ = Marshaling<std::vector< casadi::DM >,std::vector< casadi::DM* >*>::marshal(x0);
        std::vector< casadi::DM > x1_ = Marshaling<std::vector< casadi::DM >,std::vector< casadi::DM* >*>::marshal(x1);
        std::vector< std::vector< casadi::DM > > x2_ = Marshaling<std::vector< std::vector< casadi::DM > >,std::vector< std::vector< casadi::DM* >* >*>::marshal(x2);
        std::vector< std::vector< casadi::DM > > x3_ = std::vector< std::vector< casadi::DM > >();  // Swig output
        bool x4_ = Marshaling<bool,int>::marshal(x4);
        bool x5_ = Marshaling<bool,int>::marshal(x5);

        obj->reverse(x0_, x1_, x2_, x3_, x4_, x5_);
        // x0 is not a swig output
        // x1 is not a swig output
        // x2 is not a swig output
        *x3 = WrapReturn< std::vector< std::vector< casadi::DM* >* >*, std::vector< std::vector< casadi::DM > > >::wrapReturn( x3_ );
        // x4 is not a swig output
        // x5 is not a swig output

        return;
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return;
    }
}


// ================== Normal method: "reverse" ===============
// class: "casadi::Function"
// cppName: "casadi::Function::reverse"
// cWrapperName: "casadi__Function__reverse__4"
// protoArgs: "(std::string ** err_msg, casadi::Function* obj, std::vector< casadi::SX* >* x0, std::vector< casadi::SX* >* x1, std::vector< std::vector< casadi::SX* >* >* x2, std::vector< std::vector< casadi::SX* >* >** x3)"
// args: "(x0_, x1_, x2_, x3_)"
// rettype: CVoid
// cWrapperRetType: "void"
// proto: "void\n    casadi__Function__reverse__4(std::string ** err_msg, casadi::Function* obj, std::vector< casadi::SX* >* x0, std::vector< casadi::SX* >* x1, std::vector< std::vector< casadi::SX* >* >* x2, std::vector< std::vector< casadi::SX* >* >** x3)"
// call: "        obj->reverse(x0_, x1_, x2_, x3_);"
// params: [(Ref (Const (StdVec (UserType (Namespace ["casadi"]) (Name "SX")))),SwigOutput False),(Ref (Const (StdVec (UserType (Namespace ["casadi"]) (Name "SX")))),SwigOutput False),(Ref (Const (StdVec (StdVec (UserType (Namespace ["casadi"]) (Name "SX"))))),SwigOutput False),(Ref (StdVec (StdVec (UserType (Namespace ["casadi"]) (Name "SX")))),SwigOutput True)]
extern "C"
void
    casadi__Function__reverse__4(std::string ** err_msg, casadi::Function* obj, std::vector< casadi::SX* >* x0, std::vector< casadi::SX* >* x1, std::vector< std::vector< casadi::SX* >* >* x2, std::vector< std::vector< casadi::SX* >* >** x3);
void
    casadi__Function__reverse__4(std::string ** err_msg, casadi::Function* obj, std::vector< casadi::SX* >* x0, std::vector< casadi::SX* >* x1, std::vector< std::vector< casadi::SX* >* >* x2, std::vector< std::vector< casadi::SX* >* >** x3){
    try {
        std::vector< casadi::SX > x0_ = Marshaling<std::vector< casadi::SX >,std::vector< casadi::SX* >*>::marshal(x0);
        std::vector< casadi::SX > x1_ = Marshaling<std::vector< casadi::SX >,std::vector< casadi::SX* >*>::marshal(x1);
        std::vector< std::vector< casadi::SX > > x2_ = Marshaling<std::vector< std::vector< casadi::SX > >,std::vector< std::vector< casadi::SX* >* >*>::marshal(x2);
        std::vector< std::vector< casadi::SX > > x3_ = std::vector< std::vector< casadi::SX > >();  // Swig output

        obj->reverse(x0_, x1_, x2_, x3_);
        // x0 is not a swig output
        // x1 is not a swig output
        // x2 is not a swig output
        *x3 = WrapReturn< std::vector< std::vector< casadi::SX* >* >*, std::vector< std::vector< casadi::SX > > >::wrapReturn( x3_ );

        return;
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return;
    }
}


// ================== Normal method: "reverse" ===============
// class: "casadi::Function"
// cppName: "casadi::Function::reverse"
// cWrapperName: "casadi__Function__reverse__5"
// protoArgs: "(std::string ** err_msg, casadi::Function* obj, std::vector< casadi::SX* >* x0, std::vector< casadi::SX* >* x1, std::vector< std::vector< casadi::SX* >* >* x2, std::vector< std::vector< casadi::SX* >* >** x3, int x4)"
// args: "(x0_, x1_, x2_, x3_, x4_)"
// rettype: CVoid
// cWrapperRetType: "void"
// proto: "void\n    casadi__Function__reverse__5(std::string ** err_msg, casadi::Function* obj, std::vector< casadi::SX* >* x0, std::vector< casadi::SX* >* x1, std::vector< std::vector< casadi::SX* >* >* x2, std::vector< std::vector< casadi::SX* >* >** x3, int x4)"
// call: "        obj->reverse(x0_, x1_, x2_, x3_, x4_);"
// params: [(Ref (Const (StdVec (UserType (Namespace ["casadi"]) (Name "SX")))),SwigOutput False),(Ref (Const (StdVec (UserType (Namespace ["casadi"]) (Name "SX")))),SwigOutput False),(Ref (Const (StdVec (StdVec (UserType (Namespace ["casadi"]) (Name "SX"))))),SwigOutput False),(Ref (StdVec (StdVec (UserType (Namespace ["casadi"]) (Name "SX")))),SwigOutput True),(CBool,SwigOutput False)]
extern "C"
void
    casadi__Function__reverse__5(std::string ** err_msg, casadi::Function* obj, std::vector< casadi::SX* >* x0, std::vector< casadi::SX* >* x1, std::vector< std::vector< casadi::SX* >* >* x2, std::vector< std::vector< casadi::SX* >* >** x3, int x4);
void
    casadi__Function__reverse__5(std::string ** err_msg, casadi::Function* obj, std::vector< casadi::SX* >* x0, std::vector< casadi::SX* >* x1, std::vector< std::vector< casadi::SX* >* >* x2, std::vector< std::vector< casadi::SX* >* >** x3, int x4){
    try {
        std::vector< casadi::SX > x0_ = Marshaling<std::vector< casadi::SX >,std::vector< casadi::SX* >*>::marshal(x0);
        std::vector< casadi::SX > x1_ = Marshaling<std::vector< casadi::SX >,std::vector< casadi::SX* >*>::marshal(x1);
        std::vector< std::vector< casadi::SX > > x2_ = Marshaling<std::vector< std::vector< casadi::SX > >,std::vector< std::vector< casadi::SX* >* >*>::marshal(x2);
        std::vector< std::vector< casadi::SX > > x3_ = std::vector< std::vector< casadi::SX > >();  // Swig output
        bool x4_ = Marshaling<bool,int>::marshal(x4);

        obj->reverse(x0_, x1_, x2_, x3_, x4_);
        // x0 is not a swig output
        // x1 is not a swig output
        // x2 is not a swig output
        *x3 = WrapReturn< std::vector< std::vector< casadi::SX* >* >*, std::vector< std::vector< casadi::SX > > >::wrapReturn( x3_ );
        // x4 is not a swig output

        return;
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return;
    }
}


// ================== Normal method: "reverse" ===============
// class: "casadi::Function"
// cppName: "casadi::Function::reverse"
// cWrapperName: "casadi__Function__reverse__6"
// protoArgs: "(std::string ** err_msg, casadi::Function* obj, std::vector< casadi::SX* >* x0, std::vector< casadi::SX* >* x1, std::vector< std::vector< casadi::SX* >* >* x2, std::vector< std::vector< casadi::SX* >* >** x3, int x4, int x5)"
// args: "(x0_, x1_, x2_, x3_, x4_, x5_)"
// rettype: CVoid
// cWrapperRetType: "void"
// proto: "void\n    casadi__Function__reverse__6(std::string ** err_msg, casadi::Function* obj, std::vector< casadi::SX* >* x0, std::vector< casadi::SX* >* x1, std::vector< std::vector< casadi::SX* >* >* x2, std::vector< std::vector< casadi::SX* >* >** x3, int x4, int x5)"
// call: "        obj->reverse(x0_, x1_, x2_, x3_, x4_, x5_);"
// params: [(Ref (Const (StdVec (UserType (Namespace ["casadi"]) (Name "SX")))),SwigOutput False),(Ref (Const (StdVec (UserType (Namespace ["casadi"]) (Name "SX")))),SwigOutput False),(Ref (Const (StdVec (StdVec (UserType (Namespace ["casadi"]) (Name "SX"))))),SwigOutput False),(Ref (StdVec (StdVec (UserType (Namespace ["casadi"]) (Name "SX")))),SwigOutput True),(CBool,SwigOutput False),(CBool,SwigOutput False)]
extern "C"
void
    casadi__Function__reverse__6(std::string ** err_msg, casadi::Function* obj, std::vector< casadi::SX* >* x0, std::vector< casadi::SX* >* x1, std::vector< std::vector< casadi::SX* >* >* x2, std::vector< std::vector< casadi::SX* >* >** x3, int x4, int x5);
void
    casadi__Function__reverse__6(std::string ** err_msg, casadi::Function* obj, std::vector< casadi::SX* >* x0, std::vector< casadi::SX* >* x1, std::vector< std::vector< casadi::SX* >* >* x2, std::vector< std::vector< casadi::SX* >* >** x3, int x4, int x5){
    try {
        std::vector< casadi::SX > x0_ = Marshaling<std::vector< casadi::SX >,std::vector< casadi::SX* >*>::marshal(x0);
        std::vector< casadi::SX > x1_ = Marshaling<std::vector< casadi::SX >,std::vector< casadi::SX* >*>::marshal(x1);
        std::vector< std::vector< casadi::SX > > x2_ = Marshaling<std::vector< std::vector< casadi::SX > >,std::vector< std::vector< casadi::SX* >* >*>::marshal(x2);
        std::vector< std::vector< casadi::SX > > x3_ = std::vector< std::vector< casadi::SX > >();  // Swig output
        bool x4_ = Marshaling<bool,int>::marshal(x4);
        bool x5_ = Marshaling<bool,int>::marshal(x5);

        obj->reverse(x0_, x1_, x2_, x3_, x4_, x5_);
        // x0 is not a swig output
        // x1 is not a swig output
        // x2 is not a swig output
        *x3 = WrapReturn< std::vector< std::vector< casadi::SX* >* >*, std::vector< std::vector< casadi::SX > > >::wrapReturn( x3_ );
        // x4 is not a swig output
        // x5 is not a swig output

        return;
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return;
    }
}


// ================== Normal method: "reverse" ===============
// class: "casadi::Function"
// cppName: "casadi::Function::reverse"
// cWrapperName: "casadi__Function__reverse__7"
// protoArgs: "(std::string ** err_msg, casadi::Function* obj, std::vector< casadi::MX* >* x0, std::vector< casadi::MX* >* x1, std::vector< std::vector< casadi::MX* >* >* x2, std::vector< std::vector< casadi::MX* >* >** x3)"
// args: "(x0_, x1_, x2_, x3_)"
// rettype: CVoid
// cWrapperRetType: "void"
// proto: "void\n    casadi__Function__reverse__7(std::string ** err_msg, casadi::Function* obj, std::vector< casadi::MX* >* x0, std::vector< casadi::MX* >* x1, std::vector< std::vector< casadi::MX* >* >* x2, std::vector< std::vector< casadi::MX* >* >** x3)"
// call: "        obj->reverse(x0_, x1_, x2_, x3_);"
// params: [(Ref (Const (StdVec (UserType (Namespace ["casadi"]) (Name "MX")))),SwigOutput False),(Ref (Const (StdVec (UserType (Namespace ["casadi"]) (Name "MX")))),SwigOutput False),(Ref (Const (StdVec (StdVec (UserType (Namespace ["casadi"]) (Name "MX"))))),SwigOutput False),(Ref (StdVec (StdVec (UserType (Namespace ["casadi"]) (Name "MX")))),SwigOutput True)]
extern "C"
void
    casadi__Function__reverse__7(std::string ** err_msg, casadi::Function* obj, std::vector< casadi::MX* >* x0, std::vector< casadi::MX* >* x1, std::vector< std::vector< casadi::MX* >* >* x2, std::vector< std::vector< casadi::MX* >* >** x3);
void
    casadi__Function__reverse__7(std::string ** err_msg, casadi::Function* obj, std::vector< casadi::MX* >* x0, std::vector< casadi::MX* >* x1, std::vector< std::vector< casadi::MX* >* >* x2, std::vector< std::vector< casadi::MX* >* >** x3){
    try {
        std::vector< casadi::MX > x0_ = Marshaling<std::vector< casadi::MX >,std::vector< casadi::MX* >*>::marshal(x0);
        std::vector< casadi::MX > x1_ = Marshaling<std::vector< casadi::MX >,std::vector< casadi::MX* >*>::marshal(x1);
        std::vector< std::vector< casadi::MX > > x2_ = Marshaling<std::vector< std::vector< casadi::MX > >,std::vector< std::vector< casadi::MX* >* >*>::marshal(x2);
        std::vector< std::vector< casadi::MX > > x3_ = std::vector< std::vector< casadi::MX > >();  // Swig output

        obj->reverse(x0_, x1_, x2_, x3_);
        // x0 is not a swig output
        // x1 is not a swig output
        // x2 is not a swig output
        *x3 = WrapReturn< std::vector< std::vector< casadi::MX* >* >*, std::vector< std::vector< casadi::MX > > >::wrapReturn( x3_ );

        return;
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return;
    }
}


// ================== Normal method: "reverse" ===============
// class: "casadi::Function"
// cppName: "casadi::Function::reverse"
// cWrapperName: "casadi__Function__reverse__8"
// protoArgs: "(std::string ** err_msg, casadi::Function* obj, std::vector< casadi::MX* >* x0, std::vector< casadi::MX* >* x1, std::vector< std::vector< casadi::MX* >* >* x2, std::vector< std::vector< casadi::MX* >* >** x3, int x4)"
// args: "(x0_, x1_, x2_, x3_, x4_)"
// rettype: CVoid
// cWrapperRetType: "void"
// proto: "void\n    casadi__Function__reverse__8(std::string ** err_msg, casadi::Function* obj, std::vector< casadi::MX* >* x0, std::vector< casadi::MX* >* x1, std::vector< std::vector< casadi::MX* >* >* x2, std::vector< std::vector< casadi::MX* >* >** x3, int x4)"
// call: "        obj->reverse(x0_, x1_, x2_, x3_, x4_);"
// params: [(Ref (Const (StdVec (UserType (Namespace ["casadi"]) (Name "MX")))),SwigOutput False),(Ref (Const (StdVec (UserType (Namespace ["casadi"]) (Name "MX")))),SwigOutput False),(Ref (Const (StdVec (StdVec (UserType (Namespace ["casadi"]) (Name "MX"))))),SwigOutput False),(Ref (StdVec (StdVec (UserType (Namespace ["casadi"]) (Name "MX")))),SwigOutput True),(CBool,SwigOutput False)]
extern "C"
void
    casadi__Function__reverse__8(std::string ** err_msg, casadi::Function* obj, std::vector< casadi::MX* >* x0, std::vector< casadi::MX* >* x1, std::vector< std::vector< casadi::MX* >* >* x2, std::vector< std::vector< casadi::MX* >* >** x3, int x4);
void
    casadi__Function__reverse__8(std::string ** err_msg, casadi::Function* obj, std::vector< casadi::MX* >* x0, std::vector< casadi::MX* >* x1, std::vector< std::vector< casadi::MX* >* >* x2, std::vector< std::vector< casadi::MX* >* >** x3, int x4){
    try {
        std::vector< casadi::MX > x0_ = Marshaling<std::vector< casadi::MX >,std::vector< casadi::MX* >*>::marshal(x0);
        std::vector< casadi::MX > x1_ = Marshaling<std::vector< casadi::MX >,std::vector< casadi::MX* >*>::marshal(x1);
        std::vector< std::vector< casadi::MX > > x2_ = Marshaling<std::vector< std::vector< casadi::MX > >,std::vector< std::vector< casadi::MX* >* >*>::marshal(x2);
        std::vector< std::vector< casadi::MX > > x3_ = std::vector< std::vector< casadi::MX > >();  // Swig output
        bool x4_ = Marshaling<bool,int>::marshal(x4);

        obj->reverse(x0_, x1_, x2_, x3_, x4_);
        // x0 is not a swig output
        // x1 is not a swig output
        // x2 is not a swig output
        *x3 = WrapReturn< std::vector< std::vector< casadi::MX* >* >*, std::vector< std::vector< casadi::MX > > >::wrapReturn( x3_ );
        // x4 is not a swig output

        return;
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return;
    }
}


// ================== Normal method: "reverse" ===============
// class: "casadi::Function"
// cppName: "casadi::Function::reverse"
// cWrapperName: "casadi__Function__reverse__9"
// protoArgs: "(std::string ** err_msg, casadi::Function* obj, std::vector< casadi::MX* >* x0, std::vector< casadi::MX* >* x1, std::vector< std::vector< casadi::MX* >* >* x2, std::vector< std::vector< casadi::MX* >* >** x3, int x4, int x5)"
// args: "(x0_, x1_, x2_, x3_, x4_, x5_)"
// rettype: CVoid
// cWrapperRetType: "void"
// proto: "void\n    casadi__Function__reverse__9(std::string ** err_msg, casadi::Function* obj, std::vector< casadi::MX* >* x0, std::vector< casadi::MX* >* x1, std::vector< std::vector< casadi::MX* >* >* x2, std::vector< std::vector< casadi::MX* >* >** x3, int x4, int x5)"
// call: "        obj->reverse(x0_, x1_, x2_, x3_, x4_, x5_);"
// params: [(Ref (Const (StdVec (UserType (Namespace ["casadi"]) (Name "MX")))),SwigOutput False),(Ref (Const (StdVec (UserType (Namespace ["casadi"]) (Name "MX")))),SwigOutput False),(Ref (Const (StdVec (StdVec (UserType (Namespace ["casadi"]) (Name "MX"))))),SwigOutput False),(Ref (StdVec (StdVec (UserType (Namespace ["casadi"]) (Name "MX")))),SwigOutput True),(CBool,SwigOutput False),(CBool,SwigOutput False)]
extern "C"
void
    casadi__Function__reverse__9(std::string ** err_msg, casadi::Function* obj, std::vector< casadi::MX* >* x0, std::vector< casadi::MX* >* x1, std::vector< std::vector< casadi::MX* >* >* x2, std::vector< std::vector< casadi::MX* >* >** x3, int x4, int x5);
void
    casadi__Function__reverse__9(std::string ** err_msg, casadi::Function* obj, std::vector< casadi::MX* >* x0, std::vector< casadi::MX* >* x1, std::vector< std::vector< casadi::MX* >* >* x2, std::vector< std::vector< casadi::MX* >* >** x3, int x4, int x5){
    try {
        std::vector< casadi::MX > x0_ = Marshaling<std::vector< casadi::MX >,std::vector< casadi::MX* >*>::marshal(x0);
        std::vector< casadi::MX > x1_ = Marshaling<std::vector< casadi::MX >,std::vector< casadi::MX* >*>::marshal(x1);
        std::vector< std::vector< casadi::MX > > x2_ = Marshaling<std::vector< std::vector< casadi::MX > >,std::vector< std::vector< casadi::MX* >* >*>::marshal(x2);
        std::vector< std::vector< casadi::MX > > x3_ = std::vector< std::vector< casadi::MX > >();  // Swig output
        bool x4_ = Marshaling<bool,int>::marshal(x4);
        bool x5_ = Marshaling<bool,int>::marshal(x5);

        obj->reverse(x0_, x1_, x2_, x3_, x4_, x5_);
        // x0 is not a swig output
        // x1 is not a swig output
        // x2 is not a swig output
        *x3 = WrapReturn< std::vector< std::vector< casadi::MX* >* >*, std::vector< std::vector< casadi::MX > > >::wrapReturn( x3_ );
        // x4 is not a swig output
        // x5 is not a swig output

        return;
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return;
    }
}


// ================== Normal method: "rootfinder_fun" ===============
// class: "casadi::Function"
// cppName: "casadi::Function::rootfinder_fun"
// cWrapperName: "casadi__Function__rootfinder_fun"
// protoArgs: "(std::string ** err_msg, casadi::Function* obj)"
// args: "()"
// rettype: UserType (Namespace ["casadi"]) (Name "Function")
// cWrapperRetType: "casadi::Function*"
// proto: "casadi::Function*\n    casadi__Function__rootfinder_fun(std::string ** err_msg, casadi::Function* obj)"
// call: "        casadi::Function ret = obj->rootfinder_fun();"
// params: []
extern "C"
casadi::Function*
    casadi__Function__rootfinder_fun(std::string ** err_msg, casadi::Function* obj);
casadi::Function*
    casadi__Function__rootfinder_fun(std::string ** err_msg, casadi::Function* obj){
    try {

        casadi::Function ret = obj->rootfinder_fun();

        return WrapReturn< casadi::Function*, casadi::Function >::wrapReturn( ret );
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return 0;
    }
}


// ================== Normal method: "rootfinder_jac" ===============
// class: "casadi::Function"
// cppName: "casadi::Function::rootfinder_jac"
// cWrapperName: "casadi__Function__rootfinder_jac"
// protoArgs: "(std::string ** err_msg, casadi::Function* obj)"
// args: "()"
// rettype: UserType (Namespace ["casadi"]) (Name "Function")
// cWrapperRetType: "casadi::Function*"
// proto: "casadi::Function*\n    casadi__Function__rootfinder_jac(std::string ** err_msg, casadi::Function* obj)"
// call: "        casadi::Function ret = obj->rootfinder_jac();"
// params: []
extern "C"
casadi::Function*
    casadi__Function__rootfinder_jac(std::string ** err_msg, casadi::Function* obj);
casadi::Function*
    casadi__Function__rootfinder_jac(std::string ** err_msg, casadi::Function* obj){
    try {

        casadi::Function ret = obj->rootfinder_jac();

        return WrapReturn< casadi::Function*, casadi::Function >::wrapReturn( ret );
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return 0;
    }
}


// ================== Normal method: "rootfinder_linsol" ===============
// class: "casadi::Function"
// cppName: "casadi::Function::rootfinder_linsol"
// cWrapperName: "casadi__Function__rootfinder_linsol"
// protoArgs: "(std::string ** err_msg, casadi::Function* obj)"
// args: "()"
// rettype: UserType (Namespace ["casadi"]) (Name "Function")
// cWrapperRetType: "casadi::Function*"
// proto: "casadi::Function*\n    casadi__Function__rootfinder_linsol(std::string ** err_msg, casadi::Function* obj)"
// call: "        casadi::Function ret = obj->rootfinder_linsol();"
// params: []
extern "C"
casadi::Function*
    casadi__Function__rootfinder_linsol(std::string ** err_msg, casadi::Function* obj);
casadi::Function*
    casadi__Function__rootfinder_linsol(std::string ** err_msg, casadi::Function* obj){
    try {

        casadi::Function ret = obj->rootfinder_linsol();

        return WrapReturn< casadi::Function*, casadi::Function >::wrapReturn( ret );
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return 0;
    }
}


// ================== Normal method: "setFullJacobian" ===============
// class: "casadi::Function"
// cppName: "casadi::Function::setFullJacobian"
// cWrapperName: "casadi__Function__setFullJacobian"
// protoArgs: "(std::string ** err_msg, casadi::Function* obj, casadi::Function* x0)"
// args: "(x0_)"
// rettype: CVoid
// cWrapperRetType: "void"
// proto: "void\n    casadi__Function__setFullJacobian(std::string ** err_msg, casadi::Function* obj, casadi::Function* x0)"
// call: "        obj->setFullJacobian(x0_);"
// params: [(Ref (Const (UserType (Namespace ["casadi"]) (Name "Function"))),SwigOutput False)]
extern "C"
void
    casadi__Function__setFullJacobian(std::string ** err_msg, casadi::Function* obj, casadi::Function* x0);
void
    casadi__Function__setFullJacobian(std::string ** err_msg, casadi::Function* obj, casadi::Function* x0){
    try {
        casadi::Function& x0_ = Marshaling<casadi::Function&,casadi::Function*>::marshal(x0);

        obj->setFullJacobian(x0_);
        // x0 is not a swig output

        return;
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return;
    }
}


// ================== Normal method: "setJacobian" ===============
// class: "casadi::Function"
// cppName: "casadi::Function::setJacobian"
// cWrapperName: "casadi__Function__setJacobian__0"
// protoArgs: "(std::string ** err_msg, casadi::Function* obj, casadi::Function* x0)"
// args: "(x0_)"
// rettype: CVoid
// cWrapperRetType: "void"
// proto: "void\n    casadi__Function__setJacobian__0(std::string ** err_msg, casadi::Function* obj, casadi::Function* x0)"
// call: "        obj->setJacobian(x0_);"
// params: [(Ref (Const (UserType (Namespace ["casadi"]) (Name "Function"))),SwigOutput False)]
extern "C"
void
    casadi__Function__setJacobian__0(std::string ** err_msg, casadi::Function* obj, casadi::Function* x0);
void
    casadi__Function__setJacobian__0(std::string ** err_msg, casadi::Function* obj, casadi::Function* x0){
    try {
        casadi::Function& x0_ = Marshaling<casadi::Function&,casadi::Function*>::marshal(x0);

        obj->setJacobian(x0_);
        // x0 is not a swig output

        return;
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return;
    }
}


// ================== Normal method: "setJacobian" ===============
// class: "casadi::Function"
// cppName: "casadi::Function::setJacobian"
// cWrapperName: "casadi__Function__setJacobian__1"
// protoArgs: "(std::string ** err_msg, casadi::Function* obj, casadi::Function* x0, int x1)"
// args: "(x0_, x1_)"
// rettype: CVoid
// cWrapperRetType: "void"
// proto: "void\n    casadi__Function__setJacobian__1(std::string ** err_msg, casadi::Function* obj, casadi::Function* x0, int x1)"
// call: "        obj->setJacobian(x0_, x1_);"
// params: [(Ref (Const (UserType (Namespace ["casadi"]) (Name "Function"))),SwigOutput False),(CInt,SwigOutput False)]
extern "C"
void
    casadi__Function__setJacobian__1(std::string ** err_msg, casadi::Function* obj, casadi::Function* x0, int x1);
void
    casadi__Function__setJacobian__1(std::string ** err_msg, casadi::Function* obj, casadi::Function* x0, int x1){
    try {
        casadi::Function& x0_ = Marshaling<casadi::Function&,casadi::Function*>::marshal(x0);
        int x1_ = Marshaling<int,int>::marshal(x1);

        obj->setJacobian(x0_, x1_);
        // x0 is not a swig output
        // x1 is not a swig output

        return;
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return;
    }
}


// ================== Normal method: "setJacobian" ===============
// class: "casadi::Function"
// cppName: "casadi::Function::setJacobian"
// cWrapperName: "casadi__Function__setJacobian__2"
// protoArgs: "(std::string ** err_msg, casadi::Function* obj, casadi::Function* x0, int x1, int x2)"
// args: "(x0_, x1_, x2_)"
// rettype: CVoid
// cWrapperRetType: "void"
// proto: "void\n    casadi__Function__setJacobian__2(std::string ** err_msg, casadi::Function* obj, casadi::Function* x0, int x1, int x2)"
// call: "        obj->setJacobian(x0_, x1_, x2_);"
// params: [(Ref (Const (UserType (Namespace ["casadi"]) (Name "Function"))),SwigOutput False),(CInt,SwigOutput False),(CInt,SwigOutput False)]
extern "C"
void
    casadi__Function__setJacobian__2(std::string ** err_msg, casadi::Function* obj, casadi::Function* x0, int x1, int x2);
void
    casadi__Function__setJacobian__2(std::string ** err_msg, casadi::Function* obj, casadi::Function* x0, int x1, int x2){
    try {
        casadi::Function& x0_ = Marshaling<casadi::Function&,casadi::Function*>::marshal(x0);
        int x1_ = Marshaling<int,int>::marshal(x1);
        int x2_ = Marshaling<int,int>::marshal(x2);

        obj->setJacobian(x0_, x1_, x2_);
        // x0 is not a swig output
        // x1 is not a swig output
        // x2 is not a swig output

        return;
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return;
    }
}


// ================== Normal method: "setJacobian" ===============
// class: "casadi::Function"
// cppName: "casadi::Function::setJacobian"
// cWrapperName: "casadi__Function__setJacobian__3"
// protoArgs: "(std::string ** err_msg, casadi::Function* obj, casadi::Function* x0, int x1, int x2, int x3)"
// args: "(x0_, x1_, x2_, x3_)"
// rettype: CVoid
// cWrapperRetType: "void"
// proto: "void\n    casadi__Function__setJacobian__3(std::string ** err_msg, casadi::Function* obj, casadi::Function* x0, int x1, int x2, int x3)"
// call: "        obj->setJacobian(x0_, x1_, x2_, x3_);"
// params: [(Ref (Const (UserType (Namespace ["casadi"]) (Name "Function"))),SwigOutput False),(CInt,SwigOutput False),(CInt,SwigOutput False),(CBool,SwigOutput False)]
extern "C"
void
    casadi__Function__setJacobian__3(std::string ** err_msg, casadi::Function* obj, casadi::Function* x0, int x1, int x2, int x3);
void
    casadi__Function__setJacobian__3(std::string ** err_msg, casadi::Function* obj, casadi::Function* x0, int x1, int x2, int x3){
    try {
        casadi::Function& x0_ = Marshaling<casadi::Function&,casadi::Function*>::marshal(x0);
        int x1_ = Marshaling<int,int>::marshal(x1);
        int x2_ = Marshaling<int,int>::marshal(x2);
        bool x3_ = Marshaling<bool,int>::marshal(x3);

        obj->setJacobian(x0_, x1_, x2_, x3_);
        // x0 is not a swig output
        // x1 is not a swig output
        // x2 is not a swig output
        // x3 is not a swig output

        return;
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return;
    }
}


// ================== Normal method: "set_forward" ===============
// class: "casadi::Function"
// cppName: "casadi::Function::set_forward"
// cWrapperName: "casadi__Function__set_forward"
// protoArgs: "(std::string ** err_msg, casadi::Function* obj, casadi::Function* x0, int x1)"
// args: "(x0_, x1_)"
// rettype: CVoid
// cWrapperRetType: "void"
// proto: "void\n    casadi__Function__set_forward(std::string ** err_msg, casadi::Function* obj, casadi::Function* x0, int x1)"
// call: "        obj->set_forward(x0_, x1_);"
// params: [(Ref (Const (UserType (Namespace ["casadi"]) (Name "Function"))),SwigOutput False),(CInt,SwigOutput False)]
extern "C"
void
    casadi__Function__set_forward(std::string ** err_msg, casadi::Function* obj, casadi::Function* x0, int x1);
void
    casadi__Function__set_forward(std::string ** err_msg, casadi::Function* obj, casadi::Function* x0, int x1){
    try {
        casadi::Function& x0_ = Marshaling<casadi::Function&,casadi::Function*>::marshal(x0);
        int x1_ = Marshaling<int,int>::marshal(x1);

        obj->set_forward(x0_, x1_);
        // x0 is not a swig output
        // x1 is not a swig output

        return;
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return;
    }
}


// ================== Normal method: "set_jac_sparsity" ===============
// class: "casadi::Function"
// cppName: "casadi::Function::set_jac_sparsity"
// cWrapperName: "casadi__Function__set_jac_sparsity__0"
// protoArgs: "(std::string ** err_msg, casadi::Function* obj, casadi::Sparsity* x0, std::string* x1, std::string* x2)"
// args: "(x0_, x1_, x2_)"
// rettype: CVoid
// cWrapperRetType: "void"
// proto: "void\n    casadi__Function__set_jac_sparsity__0(std::string ** err_msg, casadi::Function* obj, casadi::Sparsity* x0, std::string* x1, std::string* x2)"
// call: "        obj->set_jac_sparsity(x0_, x1_, x2_);"
// params: [(Ref (Const (UserType (Namespace ["casadi"]) (Name "Sparsity"))),SwigOutput False),(Ref (Const StdString),SwigOutput False),(Ref (Const StdString),SwigOutput False)]
extern "C"
void
    casadi__Function__set_jac_sparsity__0(std::string ** err_msg, casadi::Function* obj, casadi::Sparsity* x0, std::string* x1, std::string* x2);
void
    casadi__Function__set_jac_sparsity__0(std::string ** err_msg, casadi::Function* obj, casadi::Sparsity* x0, std::string* x1, std::string* x2){
    try {
        casadi::Sparsity& x0_ = Marshaling<casadi::Sparsity&,casadi::Sparsity*>::marshal(x0);
        std::string& x1_ = Marshaling<std::string&,std::string*>::marshal(x1);
        std::string& x2_ = Marshaling<std::string&,std::string*>::marshal(x2);

        obj->set_jac_sparsity(x0_, x1_, x2_);
        // x0 is not a swig output
        // x1 is not a swig output
        // x2 is not a swig output

        return;
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return;
    }
}


// ================== Normal method: "set_jac_sparsity" ===============
// class: "casadi::Function"
// cppName: "casadi::Function::set_jac_sparsity"
// cWrapperName: "casadi__Function__set_jac_sparsity__1"
// protoArgs: "(std::string ** err_msg, casadi::Function* obj, casadi::Sparsity* x0, std::string* x1, std::string* x2, int x3)"
// args: "(x0_, x1_, x2_, x3_)"
// rettype: CVoid
// cWrapperRetType: "void"
// proto: "void\n    casadi__Function__set_jac_sparsity__1(std::string ** err_msg, casadi::Function* obj, casadi::Sparsity* x0, std::string* x1, std::string* x2, int x3)"
// call: "        obj->set_jac_sparsity(x0_, x1_, x2_, x3_);"
// params: [(Ref (Const (UserType (Namespace ["casadi"]) (Name "Sparsity"))),SwigOutput False),(Ref (Const StdString),SwigOutput False),(Ref (Const StdString),SwigOutput False),(CBool,SwigOutput False)]
extern "C"
void
    casadi__Function__set_jac_sparsity__1(std::string ** err_msg, casadi::Function* obj, casadi::Sparsity* x0, std::string* x1, std::string* x2, int x3);
void
    casadi__Function__set_jac_sparsity__1(std::string ** err_msg, casadi::Function* obj, casadi::Sparsity* x0, std::string* x1, std::string* x2, int x3){
    try {
        casadi::Sparsity& x0_ = Marshaling<casadi::Sparsity&,casadi::Sparsity*>::marshal(x0);
        std::string& x1_ = Marshaling<std::string&,std::string*>::marshal(x1);
        std::string& x2_ = Marshaling<std::string&,std::string*>::marshal(x2);
        bool x3_ = Marshaling<bool,int>::marshal(x3);

        obj->set_jac_sparsity(x0_, x1_, x2_, x3_);
        // x0 is not a swig output
        // x1 is not a swig output
        // x2 is not a swig output
        // x3 is not a swig output

        return;
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return;
    }
}


// ================== Normal method: "set_jac_sparsity" ===============
// class: "casadi::Function"
// cppName: "casadi::Function::set_jac_sparsity"
// cWrapperName: "casadi__Function__set_jac_sparsity__2"
// protoArgs: "(std::string ** err_msg, casadi::Function* obj, casadi::Sparsity* x0, int x1, std::string* x2)"
// args: "(x0_, x1_, x2_)"
// rettype: CVoid
// cWrapperRetType: "void"
// proto: "void\n    casadi__Function__set_jac_sparsity__2(std::string ** err_msg, casadi::Function* obj, casadi::Sparsity* x0, int x1, std::string* x2)"
// call: "        obj->set_jac_sparsity(x0_, x1_, x2_);"
// params: [(Ref (Const (UserType (Namespace ["casadi"]) (Name "Sparsity"))),SwigOutput False),(CInt,SwigOutput False),(Ref (Const StdString),SwigOutput False)]
extern "C"
void
    casadi__Function__set_jac_sparsity__2(std::string ** err_msg, casadi::Function* obj, casadi::Sparsity* x0, int x1, std::string* x2);
void
    casadi__Function__set_jac_sparsity__2(std::string ** err_msg, casadi::Function* obj, casadi::Sparsity* x0, int x1, std::string* x2){
    try {
        casadi::Sparsity& x0_ = Marshaling<casadi::Sparsity&,casadi::Sparsity*>::marshal(x0);
        int x1_ = Marshaling<int,int>::marshal(x1);
        std::string& x2_ = Marshaling<std::string&,std::string*>::marshal(x2);

        obj->set_jac_sparsity(x0_, x1_, x2_);
        // x0 is not a swig output
        // x1 is not a swig output
        // x2 is not a swig output

        return;
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return;
    }
}


// ================== Normal method: "set_jac_sparsity" ===============
// class: "casadi::Function"
// cppName: "casadi::Function::set_jac_sparsity"
// cWrapperName: "casadi__Function__set_jac_sparsity__3"
// protoArgs: "(std::string ** err_msg, casadi::Function* obj, casadi::Sparsity* x0, int x1, std::string* x2, int x3)"
// args: "(x0_, x1_, x2_, x3_)"
// rettype: CVoid
// cWrapperRetType: "void"
// proto: "void\n    casadi__Function__set_jac_sparsity__3(std::string ** err_msg, casadi::Function* obj, casadi::Sparsity* x0, int x1, std::string* x2, int x3)"
// call: "        obj->set_jac_sparsity(x0_, x1_, x2_, x3_);"
// params: [(Ref (Const (UserType (Namespace ["casadi"]) (Name "Sparsity"))),SwigOutput False),(CInt,SwigOutput False),(Ref (Const StdString),SwigOutput False),(CBool,SwigOutput False)]
extern "C"
void
    casadi__Function__set_jac_sparsity__3(std::string ** err_msg, casadi::Function* obj, casadi::Sparsity* x0, int x1, std::string* x2, int x3);
void
    casadi__Function__set_jac_sparsity__3(std::string ** err_msg, casadi::Function* obj, casadi::Sparsity* x0, int x1, std::string* x2, int x3){
    try {
        casadi::Sparsity& x0_ = Marshaling<casadi::Sparsity&,casadi::Sparsity*>::marshal(x0);
        int x1_ = Marshaling<int,int>::marshal(x1);
        std::string& x2_ = Marshaling<std::string&,std::string*>::marshal(x2);
        bool x3_ = Marshaling<bool,int>::marshal(x3);

        obj->set_jac_sparsity(x0_, x1_, x2_, x3_);
        // x0 is not a swig output
        // x1 is not a swig output
        // x2 is not a swig output
        // x3 is not a swig output

        return;
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return;
    }
}


// ================== Normal method: "set_jac_sparsity" ===============
// class: "casadi::Function"
// cppName: "casadi::Function::set_jac_sparsity"
// cWrapperName: "casadi__Function__set_jac_sparsity__4"
// protoArgs: "(std::string ** err_msg, casadi::Function* obj, casadi::Sparsity* x0, std::string* x1, int x2)"
// args: "(x0_, x1_, x2_)"
// rettype: CVoid
// cWrapperRetType: "void"
// proto: "void\n    casadi__Function__set_jac_sparsity__4(std::string ** err_msg, casadi::Function* obj, casadi::Sparsity* x0, std::string* x1, int x2)"
// call: "        obj->set_jac_sparsity(x0_, x1_, x2_);"
// params: [(Ref (Const (UserType (Namespace ["casadi"]) (Name "Sparsity"))),SwigOutput False),(Ref (Const StdString),SwigOutput False),(CInt,SwigOutput False)]
extern "C"
void
    casadi__Function__set_jac_sparsity__4(std::string ** err_msg, casadi::Function* obj, casadi::Sparsity* x0, std::string* x1, int x2);
void
    casadi__Function__set_jac_sparsity__4(std::string ** err_msg, casadi::Function* obj, casadi::Sparsity* x0, std::string* x1, int x2){
    try {
        casadi::Sparsity& x0_ = Marshaling<casadi::Sparsity&,casadi::Sparsity*>::marshal(x0);
        std::string& x1_ = Marshaling<std::string&,std::string*>::marshal(x1);
        int x2_ = Marshaling<int,int>::marshal(x2);

        obj->set_jac_sparsity(x0_, x1_, x2_);
        // x0 is not a swig output
        // x1 is not a swig output
        // x2 is not a swig output

        return;
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return;
    }
}


// ================== Normal method: "set_jac_sparsity" ===============
// class: "casadi::Function"
// cppName: "casadi::Function::set_jac_sparsity"
// cWrapperName: "casadi__Function__set_jac_sparsity__5"
// protoArgs: "(std::string ** err_msg, casadi::Function* obj, casadi::Sparsity* x0, std::string* x1, int x2, int x3)"
// args: "(x0_, x1_, x2_, x3_)"
// rettype: CVoid
// cWrapperRetType: "void"
// proto: "void\n    casadi__Function__set_jac_sparsity__5(std::string ** err_msg, casadi::Function* obj, casadi::Sparsity* x0, std::string* x1, int x2, int x3)"
// call: "        obj->set_jac_sparsity(x0_, x1_, x2_, x3_);"
// params: [(Ref (Const (UserType (Namespace ["casadi"]) (Name "Sparsity"))),SwigOutput False),(Ref (Const StdString),SwigOutput False),(CInt,SwigOutput False),(CBool,SwigOutput False)]
extern "C"
void
    casadi__Function__set_jac_sparsity__5(std::string ** err_msg, casadi::Function* obj, casadi::Sparsity* x0, std::string* x1, int x2, int x3);
void
    casadi__Function__set_jac_sparsity__5(std::string ** err_msg, casadi::Function* obj, casadi::Sparsity* x0, std::string* x1, int x2, int x3){
    try {
        casadi::Sparsity& x0_ = Marshaling<casadi::Sparsity&,casadi::Sparsity*>::marshal(x0);
        std::string& x1_ = Marshaling<std::string&,std::string*>::marshal(x1);
        int x2_ = Marshaling<int,int>::marshal(x2);
        bool x3_ = Marshaling<bool,int>::marshal(x3);

        obj->set_jac_sparsity(x0_, x1_, x2_, x3_);
        // x0 is not a swig output
        // x1 is not a swig output
        // x2 is not a swig output
        // x3 is not a swig output

        return;
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return;
    }
}


// ================== Normal method: "set_jac_sparsity" ===============
// class: "casadi::Function"
// cppName: "casadi::Function::set_jac_sparsity"
// cWrapperName: "casadi__Function__set_jac_sparsity__6"
// protoArgs: "(std::string ** err_msg, casadi::Function* obj, casadi::Sparsity* x0, int x1, int x2)"
// args: "(x0_, x1_, x2_)"
// rettype: CVoid
// cWrapperRetType: "void"
// proto: "void\n    casadi__Function__set_jac_sparsity__6(std::string ** err_msg, casadi::Function* obj, casadi::Sparsity* x0, int x1, int x2)"
// call: "        obj->set_jac_sparsity(x0_, x1_, x2_);"
// params: [(Ref (Const (UserType (Namespace ["casadi"]) (Name "Sparsity"))),SwigOutput False),(CInt,SwigOutput False),(CInt,SwigOutput False)]
extern "C"
void
    casadi__Function__set_jac_sparsity__6(std::string ** err_msg, casadi::Function* obj, casadi::Sparsity* x0, int x1, int x2);
void
    casadi__Function__set_jac_sparsity__6(std::string ** err_msg, casadi::Function* obj, casadi::Sparsity* x0, int x1, int x2){
    try {
        casadi::Sparsity& x0_ = Marshaling<casadi::Sparsity&,casadi::Sparsity*>::marshal(x0);
        int x1_ = Marshaling<int,int>::marshal(x1);
        int x2_ = Marshaling<int,int>::marshal(x2);

        obj->set_jac_sparsity(x0_, x1_, x2_);
        // x0 is not a swig output
        // x1 is not a swig output
        // x2 is not a swig output

        return;
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return;
    }
}


// ================== Normal method: "set_jac_sparsity" ===============
// class: "casadi::Function"
// cppName: "casadi::Function::set_jac_sparsity"
// cWrapperName: "casadi__Function__set_jac_sparsity__7"
// protoArgs: "(std::string ** err_msg, casadi::Function* obj, casadi::Sparsity* x0, int x1, int x2, int x3)"
// args: "(x0_, x1_, x2_, x3_)"
// rettype: CVoid
// cWrapperRetType: "void"
// proto: "void\n    casadi__Function__set_jac_sparsity__7(std::string ** err_msg, casadi::Function* obj, casadi::Sparsity* x0, int x1, int x2, int x3)"
// call: "        obj->set_jac_sparsity(x0_, x1_, x2_, x3_);"
// params: [(Ref (Const (UserType (Namespace ["casadi"]) (Name "Sparsity"))),SwigOutput False),(CInt,SwigOutput False),(CInt,SwigOutput False),(CBool,SwigOutput False)]
extern "C"
void
    casadi__Function__set_jac_sparsity__7(std::string ** err_msg, casadi::Function* obj, casadi::Sparsity* x0, int x1, int x2, int x3);
void
    casadi__Function__set_jac_sparsity__7(std::string ** err_msg, casadi::Function* obj, casadi::Sparsity* x0, int x1, int x2, int x3){
    try {
        casadi::Sparsity& x0_ = Marshaling<casadi::Sparsity&,casadi::Sparsity*>::marshal(x0);
        int x1_ = Marshaling<int,int>::marshal(x1);
        int x2_ = Marshaling<int,int>::marshal(x2);
        bool x3_ = Marshaling<bool,int>::marshal(x3);

        obj->set_jac_sparsity(x0_, x1_, x2_, x3_);
        // x0 is not a swig output
        // x1 is not a swig output
        // x2 is not a swig output
        // x3 is not a swig output

        return;
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return;
    }
}


// ================== Normal method: "set_reverse" ===============
// class: "casadi::Function"
// cppName: "casadi::Function::set_reverse"
// cWrapperName: "casadi__Function__set_reverse"
// protoArgs: "(std::string ** err_msg, casadi::Function* obj, casadi::Function* x0, int x1)"
// args: "(x0_, x1_)"
// rettype: CVoid
// cWrapperRetType: "void"
// proto: "void\n    casadi__Function__set_reverse(std::string ** err_msg, casadi::Function* obj, casadi::Function* x0, int x1)"
// call: "        obj->set_reverse(x0_, x1_);"
// params: [(Ref (Const (UserType (Namespace ["casadi"]) (Name "Function"))),SwigOutput False),(CInt,SwigOutput False)]
extern "C"
void
    casadi__Function__set_reverse(std::string ** err_msg, casadi::Function* obj, casadi::Function* x0, int x1);
void
    casadi__Function__set_reverse(std::string ** err_msg, casadi::Function* obj, casadi::Function* x0, int x1){
    try {
        casadi::Function& x0_ = Marshaling<casadi::Function&,casadi::Function*>::marshal(x0);
        int x1_ = Marshaling<int,int>::marshal(x1);

        obj->set_reverse(x0_, x1_);
        // x0 is not a swig output
        // x1 is not a swig output

        return;
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return;
    }
}


// ================== Normal method: "size1_in" ===============
// class: "casadi::Function"
// cppName: "casadi::Function::size1_in"
// cWrapperName: "casadi__Function__size1_in__0"
// protoArgs: "(std::string ** err_msg, casadi::Function* obj, std::string* x0)"
// args: "(x0_)"
// rettype: CInt
// cWrapperRetType: "int"
// proto: "int\n    casadi__Function__size1_in__0(std::string ** err_msg, casadi::Function* obj, std::string* x0)"
// call: "        int ret = obj->size1_in(x0_);"
// params: [(Ref (Const StdString),SwigOutput False)]
extern "C"
int
    casadi__Function__size1_in__0(std::string ** err_msg, casadi::Function* obj, std::string* x0);
int
    casadi__Function__size1_in__0(std::string ** err_msg, casadi::Function* obj, std::string* x0){
    try {
        std::string& x0_ = Marshaling<std::string&,std::string*>::marshal(x0);

        int ret = obj->size1_in(x0_);
        // x0 is not a swig output

        return WrapReturn< int, int >::wrapReturn( ret );
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return 0;
    }
}


// ================== Normal method: "size1_in" ===============
// class: "casadi::Function"
// cppName: "casadi::Function::size1_in"
// cWrapperName: "casadi__Function__size1_in__1"
// protoArgs: "(std::string ** err_msg, casadi::Function* obj, int x0)"
// args: "(x0_)"
// rettype: CInt
// cWrapperRetType: "int"
// proto: "int\n    casadi__Function__size1_in__1(std::string ** err_msg, casadi::Function* obj, int x0)"
// call: "        int ret = obj->size1_in(x0_);"
// params: [(CInt,SwigOutput False)]
extern "C"
int
    casadi__Function__size1_in__1(std::string ** err_msg, casadi::Function* obj, int x0);
int
    casadi__Function__size1_in__1(std::string ** err_msg, casadi::Function* obj, int x0){
    try {
        int x0_ = Marshaling<int,int>::marshal(x0);

        int ret = obj->size1_in(x0_);
        // x0 is not a swig output

        return WrapReturn< int, int >::wrapReturn( ret );
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return 0;
    }
}


// ================== Normal method: "size1_out" ===============
// class: "casadi::Function"
// cppName: "casadi::Function::size1_out"
// cWrapperName: "casadi__Function__size1_out__0"
// protoArgs: "(std::string ** err_msg, casadi::Function* obj, std::string* x0)"
// args: "(x0_)"
// rettype: CInt
// cWrapperRetType: "int"
// proto: "int\n    casadi__Function__size1_out__0(std::string ** err_msg, casadi::Function* obj, std::string* x0)"
// call: "        int ret = obj->size1_out(x0_);"
// params: [(Ref (Const StdString),SwigOutput False)]
extern "C"
int
    casadi__Function__size1_out__0(std::string ** err_msg, casadi::Function* obj, std::string* x0);
int
    casadi__Function__size1_out__0(std::string ** err_msg, casadi::Function* obj, std::string* x0){
    try {
        std::string& x0_ = Marshaling<std::string&,std::string*>::marshal(x0);

        int ret = obj->size1_out(x0_);
        // x0 is not a swig output

        return WrapReturn< int, int >::wrapReturn( ret );
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return 0;
    }
}


// ================== Normal method: "size1_out" ===============
// class: "casadi::Function"
// cppName: "casadi::Function::size1_out"
// cWrapperName: "casadi__Function__size1_out__1"
// protoArgs: "(std::string ** err_msg, casadi::Function* obj, int x0)"
// args: "(x0_)"
// rettype: CInt
// cWrapperRetType: "int"
// proto: "int\n    casadi__Function__size1_out__1(std::string ** err_msg, casadi::Function* obj, int x0)"
// call: "        int ret = obj->size1_out(x0_);"
// params: [(CInt,SwigOutput False)]
extern "C"
int
    casadi__Function__size1_out__1(std::string ** err_msg, casadi::Function* obj, int x0);
int
    casadi__Function__size1_out__1(std::string ** err_msg, casadi::Function* obj, int x0){
    try {
        int x0_ = Marshaling<int,int>::marshal(x0);

        int ret = obj->size1_out(x0_);
        // x0 is not a swig output

        return WrapReturn< int, int >::wrapReturn( ret );
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return 0;
    }
}


// ================== Normal method: "size2_in" ===============
// class: "casadi::Function"
// cppName: "casadi::Function::size2_in"
// cWrapperName: "casadi__Function__size2_in__0"
// protoArgs: "(std::string ** err_msg, casadi::Function* obj, std::string* x0)"
// args: "(x0_)"
// rettype: CInt
// cWrapperRetType: "int"
// proto: "int\n    casadi__Function__size2_in__0(std::string ** err_msg, casadi::Function* obj, std::string* x0)"
// call: "        int ret = obj->size2_in(x0_);"
// params: [(Ref (Const StdString),SwigOutput False)]
extern "C"
int
    casadi__Function__size2_in__0(std::string ** err_msg, casadi::Function* obj, std::string* x0);
int
    casadi__Function__size2_in__0(std::string ** err_msg, casadi::Function* obj, std::string* x0){
    try {
        std::string& x0_ = Marshaling<std::string&,std::string*>::marshal(x0);

        int ret = obj->size2_in(x0_);
        // x0 is not a swig output

        return WrapReturn< int, int >::wrapReturn( ret );
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return 0;
    }
}


// ================== Normal method: "size2_in" ===============
// class: "casadi::Function"
// cppName: "casadi::Function::size2_in"
// cWrapperName: "casadi__Function__size2_in__1"
// protoArgs: "(std::string ** err_msg, casadi::Function* obj, int x0)"
// args: "(x0_)"
// rettype: CInt
// cWrapperRetType: "int"
// proto: "int\n    casadi__Function__size2_in__1(std::string ** err_msg, casadi::Function* obj, int x0)"
// call: "        int ret = obj->size2_in(x0_);"
// params: [(CInt,SwigOutput False)]
extern "C"
int
    casadi__Function__size2_in__1(std::string ** err_msg, casadi::Function* obj, int x0);
int
    casadi__Function__size2_in__1(std::string ** err_msg, casadi::Function* obj, int x0){
    try {
        int x0_ = Marshaling<int,int>::marshal(x0);

        int ret = obj->size2_in(x0_);
        // x0 is not a swig output

        return WrapReturn< int, int >::wrapReturn( ret );
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return 0;
    }
}


// ================== Normal method: "size2_out" ===============
// class: "casadi::Function"
// cppName: "casadi::Function::size2_out"
// cWrapperName: "casadi__Function__size2_out__0"
// protoArgs: "(std::string ** err_msg, casadi::Function* obj, std::string* x0)"
// args: "(x0_)"
// rettype: CInt
// cWrapperRetType: "int"
// proto: "int\n    casadi__Function__size2_out__0(std::string ** err_msg, casadi::Function* obj, std::string* x0)"
// call: "        int ret = obj->size2_out(x0_);"
// params: [(Ref (Const StdString),SwigOutput False)]
extern "C"
int
    casadi__Function__size2_out__0(std::string ** err_msg, casadi::Function* obj, std::string* x0);
int
    casadi__Function__size2_out__0(std::string ** err_msg, casadi::Function* obj, std::string* x0){
    try {
        std::string& x0_ = Marshaling<std::string&,std::string*>::marshal(x0);

        int ret = obj->size2_out(x0_);
        // x0 is not a swig output

        return WrapReturn< int, int >::wrapReturn( ret );
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return 0;
    }
}


// ================== Normal method: "size2_out" ===============
// class: "casadi::Function"
// cppName: "casadi::Function::size2_out"
// cWrapperName: "casadi__Function__size2_out__1"
// protoArgs: "(std::string ** err_msg, casadi::Function* obj, int x0)"
// args: "(x0_)"
// rettype: CInt
// cWrapperRetType: "int"
// proto: "int\n    casadi__Function__size2_out__1(std::string ** err_msg, casadi::Function* obj, int x0)"
// call: "        int ret = obj->size2_out(x0_);"
// params: [(CInt,SwigOutput False)]
extern "C"
int
    casadi__Function__size2_out__1(std::string ** err_msg, casadi::Function* obj, int x0);
int
    casadi__Function__size2_out__1(std::string ** err_msg, casadi::Function* obj, int x0){
    try {
        int x0_ = Marshaling<int,int>::marshal(x0);

        int ret = obj->size2_out(x0_);
        // x0 is not a swig output

        return WrapReturn< int, int >::wrapReturn( ret );
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return 0;
    }
}


// ================== Normal method: "size_in" ===============
// class: "casadi::Function"
// cppName: "casadi::Function::size_in"
// cWrapperName: "casadi__Function__size_in__0"
// protoArgs: "(std::string ** err_msg, casadi::Function* obj, std::string* x0)"
// args: "(x0_)"
// rettype: StdPair CInt CInt
// cWrapperRetType: "std::pair< int, int >*"
// proto: "std::pair< int, int >*\n    casadi__Function__size_in__0(std::string ** err_msg, casadi::Function* obj, std::string* x0)"
// call: "        std::pair< int, int > ret = obj->size_in(x0_);"
// params: [(Ref (Const StdString),SwigOutput False)]
extern "C"
std::pair< int, int >*
    casadi__Function__size_in__0(std::string ** err_msg, casadi::Function* obj, std::string* x0);
std::pair< int, int >*
    casadi__Function__size_in__0(std::string ** err_msg, casadi::Function* obj, std::string* x0){
    try {
        std::string& x0_ = Marshaling<std::string&,std::string*>::marshal(x0);

        std::pair< int, int > ret = obj->size_in(x0_);
        // x0 is not a swig output

        return WrapReturn< std::pair< int, int >*, std::pair< int, int > >::wrapReturn( ret );
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return 0;
    }
}


// ================== Normal method: "size_in" ===============
// class: "casadi::Function"
// cppName: "casadi::Function::size_in"
// cWrapperName: "casadi__Function__size_in__1"
// protoArgs: "(std::string ** err_msg, casadi::Function* obj, int x0)"
// args: "(x0_)"
// rettype: StdPair CInt CInt
// cWrapperRetType: "std::pair< int, int >*"
// proto: "std::pair< int, int >*\n    casadi__Function__size_in__1(std::string ** err_msg, casadi::Function* obj, int x0)"
// call: "        std::pair< int, int > ret = obj->size_in(x0_);"
// params: [(CInt,SwigOutput False)]
extern "C"
std::pair< int, int >*
    casadi__Function__size_in__1(std::string ** err_msg, casadi::Function* obj, int x0);
std::pair< int, int >*
    casadi__Function__size_in__1(std::string ** err_msg, casadi::Function* obj, int x0){
    try {
        int x0_ = Marshaling<int,int>::marshal(x0);

        std::pair< int, int > ret = obj->size_in(x0_);
        // x0 is not a swig output

        return WrapReturn< std::pair< int, int >*, std::pair< int, int > >::wrapReturn( ret );
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return 0;
    }
}


// ================== Normal method: "size_out" ===============
// class: "casadi::Function"
// cppName: "casadi::Function::size_out"
// cWrapperName: "casadi__Function__size_out__0"
// protoArgs: "(std::string ** err_msg, casadi::Function* obj, std::string* x0)"
// args: "(x0_)"
// rettype: StdPair CInt CInt
// cWrapperRetType: "std::pair< int, int >*"
// proto: "std::pair< int, int >*\n    casadi__Function__size_out__0(std::string ** err_msg, casadi::Function* obj, std::string* x0)"
// call: "        std::pair< int, int > ret = obj->size_out(x0_);"
// params: [(Ref (Const StdString),SwigOutput False)]
extern "C"
std::pair< int, int >*
    casadi__Function__size_out__0(std::string ** err_msg, casadi::Function* obj, std::string* x0);
std::pair< int, int >*
    casadi__Function__size_out__0(std::string ** err_msg, casadi::Function* obj, std::string* x0){
    try {
        std::string& x0_ = Marshaling<std::string&,std::string*>::marshal(x0);

        std::pair< int, int > ret = obj->size_out(x0_);
        // x0 is not a swig output

        return WrapReturn< std::pair< int, int >*, std::pair< int, int > >::wrapReturn( ret );
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return 0;
    }
}


// ================== Normal method: "size_out" ===============
// class: "casadi::Function"
// cppName: "casadi::Function::size_out"
// cWrapperName: "casadi__Function__size_out__1"
// protoArgs: "(std::string ** err_msg, casadi::Function* obj, int x0)"
// args: "(x0_)"
// rettype: StdPair CInt CInt
// cWrapperRetType: "std::pair< int, int >*"
// proto: "std::pair< int, int >*\n    casadi__Function__size_out__1(std::string ** err_msg, casadi::Function* obj, int x0)"
// call: "        std::pair< int, int > ret = obj->size_out(x0_);"
// params: [(CInt,SwigOutput False)]
extern "C"
std::pair< int, int >*
    casadi__Function__size_out__1(std::string ** err_msg, casadi::Function* obj, int x0);
std::pair< int, int >*
    casadi__Function__size_out__1(std::string ** err_msg, casadi::Function* obj, int x0){
    try {
        int x0_ = Marshaling<int,int>::marshal(x0);

        std::pair< int, int > ret = obj->size_out(x0_);
        // x0 is not a swig output

        return WrapReturn< std::pair< int, int >*, std::pair< int, int > >::wrapReturn( ret );
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return 0;
    }
}


// ================== Normal method: "slice" ===============
// class: "casadi::Function"
// cppName: "casadi::Function::slice"
// cWrapperName: "casadi__Function__slice__0"
// protoArgs: "(std::string ** err_msg, casadi::Function* obj, std::vector< int >* x0, std::vector< int >* x1)"
// args: "(x0_, x1_)"
// rettype: UserType (Namespace ["casadi"]) (Name "Function")
// cWrapperRetType: "casadi::Function*"
// proto: "casadi::Function*\n    casadi__Function__slice__0(std::string ** err_msg, casadi::Function* obj, std::vector< int >* x0, std::vector< int >* x1)"
// call: "        casadi::Function ret = obj->slice(x0_, x1_);"
// params: [(Ref (Const (StdVec CInt)),SwigOutput False),(Ref (Const (StdVec CInt)),SwigOutput False)]
extern "C"
casadi::Function*
    casadi__Function__slice__0(std::string ** err_msg, casadi::Function* obj, std::vector< int >* x0, std::vector< int >* x1);
casadi::Function*
    casadi__Function__slice__0(std::string ** err_msg, casadi::Function* obj, std::vector< int >* x0, std::vector< int >* x1){
    try {
        std::vector< int > x0_ = Marshaling<std::vector< int >,std::vector< int >*>::marshal(x0);
        std::vector< int > x1_ = Marshaling<std::vector< int >,std::vector< int >*>::marshal(x1);

        casadi::Function ret = obj->slice(x0_, x1_);
        // x0 is not a swig output
        // x1 is not a swig output

        return WrapReturn< casadi::Function*, casadi::Function >::wrapReturn( ret );
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return 0;
    }
}


// ================== Normal method: "slice" ===============
// class: "casadi::Function"
// cppName: "casadi::Function::slice"
// cWrapperName: "casadi__Function__slice__1"
// protoArgs: "(std::string ** err_msg, casadi::Function* obj, std::vector< int >* x0, std::vector< int >* x1, std::map< std::string, casadi::GenericType* >* x2)"
// args: "(x0_, x1_, x2_)"
// rettype: UserType (Namespace ["casadi"]) (Name "Function")
// cWrapperRetType: "casadi::Function*"
// proto: "casadi::Function*\n    casadi__Function__slice__1(std::string ** err_msg, casadi::Function* obj, std::vector< int >* x0, std::vector< int >* x1, std::map< std::string, casadi::GenericType* >* x2)"
// call: "        casadi::Function ret = obj->slice(x0_, x1_, x2_);"
// params: [(Ref (Const (StdVec CInt)),SwigOutput False),(Ref (Const (StdVec CInt)),SwigOutput False),(Ref (Const (StdMap StdString (UserType (Namespace ["casadi"]) (Name "GenericType")))),SwigOutput False)]
extern "C"
casadi::Function*
    casadi__Function__slice__1(std::string ** err_msg, casadi::Function* obj, std::vector< int >* x0, std::vector< int >* x1, std::map< std::string, casadi::GenericType* >* x2);
casadi::Function*
    casadi__Function__slice__1(std::string ** err_msg, casadi::Function* obj, std::vector< int >* x0, std::vector< int >* x1, std::map< std::string, casadi::GenericType* >* x2){
    try {
        std::vector< int > x0_ = Marshaling<std::vector< int >,std::vector< int >*>::marshal(x0);
        std::vector< int > x1_ = Marshaling<std::vector< int >,std::vector< int >*>::marshal(x1);
        std::map< std::string, casadi::GenericType > x2_ = Marshaling<std::map< std::string, casadi::GenericType >,std::map< std::string, casadi::GenericType* >*>::marshal(x2);

        casadi::Function ret = obj->slice(x0_, x1_, x2_);
        // x0 is not a swig output
        // x1 is not a swig output
        // x2 is not a swig output

        return WrapReturn< casadi::Function*, casadi::Function >::wrapReturn( ret );
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return 0;
    }
}


// ================== Normal method: "spCanEvaluate" ===============
// class: "casadi::Function"
// cppName: "casadi::Function::spCanEvaluate"
// cWrapperName: "casadi__Function__spCanEvaluate"
// protoArgs: "(std::string ** err_msg, casadi::Function* obj, int x0)"
// args: "(x0_)"
// rettype: CBool
// cWrapperRetType: "int"
// proto: "int\n    casadi__Function__spCanEvaluate(std::string ** err_msg, casadi::Function* obj, int x0)"
// call: "        bool ret = obj->spCanEvaluate(x0_);"
// params: [(CBool,SwigOutput False)]
extern "C"
int
    casadi__Function__spCanEvaluate(std::string ** err_msg, casadi::Function* obj, int x0);
int
    casadi__Function__spCanEvaluate(std::string ** err_msg, casadi::Function* obj, int x0){
    try {
        bool x0_ = Marshaling<bool,int>::marshal(x0);

        bool ret = obj->spCanEvaluate(x0_);
        // x0 is not a swig output

        return WrapReturn< int, bool >::wrapReturn( ret );
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return 0;
    }
}


// ================== Normal method: "sparsity_in" ===============
// class: "casadi::Function"
// cppName: "casadi::Function::sparsity_in"
// cWrapperName: "casadi__Function__sparsity_in__0"
// protoArgs: "(std::string ** err_msg, casadi::Function* obj, std::string* x0)"
// args: "(x0_)"
// rettype: Const (UserType (Namespace ["casadi"]) (Name "Sparsity"))
// cWrapperRetType: "casadi::Sparsity*"
// proto: "casadi::Sparsity*\n    casadi__Function__sparsity_in__0(std::string ** err_msg, casadi::Function* obj, std::string* x0)"
// call: "        casadi::Sparsity ret = obj->sparsity_in(x0_);"
// params: [(Ref (Const StdString),SwigOutput False)]
extern "C"
casadi::Sparsity*
    casadi__Function__sparsity_in__0(std::string ** err_msg, casadi::Function* obj, std::string* x0);
casadi::Sparsity*
    casadi__Function__sparsity_in__0(std::string ** err_msg, casadi::Function* obj, std::string* x0){
    try {
        std::string& x0_ = Marshaling<std::string&,std::string*>::marshal(x0);

        casadi::Sparsity ret = obj->sparsity_in(x0_);
        // x0 is not a swig output

        return WrapReturn< casadi::Sparsity*, casadi::Sparsity >::wrapReturn( ret );
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return 0;
    }
}


// ================== Normal method: "sparsity_in" ===============
// class: "casadi::Function"
// cppName: "casadi::Function::sparsity_in"
// cWrapperName: "casadi__Function__sparsity_in__1"
// protoArgs: "(std::string ** err_msg, casadi::Function* obj, int x0)"
// args: "(x0_)"
// rettype: Const (UserType (Namespace ["casadi"]) (Name "Sparsity"))
// cWrapperRetType: "casadi::Sparsity*"
// proto: "casadi::Sparsity*\n    casadi__Function__sparsity_in__1(std::string ** err_msg, casadi::Function* obj, int x0)"
// call: "        casadi::Sparsity ret = obj->sparsity_in(x0_);"
// params: [(CInt,SwigOutput False)]
extern "C"
casadi::Sparsity*
    casadi__Function__sparsity_in__1(std::string ** err_msg, casadi::Function* obj, int x0);
casadi::Sparsity*
    casadi__Function__sparsity_in__1(std::string ** err_msg, casadi::Function* obj, int x0){
    try {
        int x0_ = Marshaling<int,int>::marshal(x0);

        casadi::Sparsity ret = obj->sparsity_in(x0_);
        // x0 is not a swig output

        return WrapReturn< casadi::Sparsity*, casadi::Sparsity >::wrapReturn( ret );
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return 0;
    }
}


// ================== Normal method: "sparsity_jac" ===============
// class: "casadi::Function"
// cppName: "casadi::Function::sparsity_jac"
// cWrapperName: "casadi__Function__sparsity_jac__0"
// protoArgs: "(std::string ** err_msg, casadi::Function* obj, std::string* x0, std::string* x1)"
// args: "(x0_, x1_)"
// rettype: Const (UserType (Namespace ["casadi"]) (Name "Sparsity"))
// cWrapperRetType: "casadi::Sparsity*"
// proto: "casadi::Sparsity*\n    casadi__Function__sparsity_jac__0(std::string ** err_msg, casadi::Function* obj, std::string* x0, std::string* x1)"
// call: "        casadi::Sparsity ret = obj->sparsity_jac(x0_, x1_);"
// params: [(Ref (Const StdString),SwigOutput False),(Ref (Const StdString),SwigOutput False)]
extern "C"
casadi::Sparsity*
    casadi__Function__sparsity_jac__0(std::string ** err_msg, casadi::Function* obj, std::string* x0, std::string* x1);
casadi::Sparsity*
    casadi__Function__sparsity_jac__0(std::string ** err_msg, casadi::Function* obj, std::string* x0, std::string* x1){
    try {
        std::string& x0_ = Marshaling<std::string&,std::string*>::marshal(x0);
        std::string& x1_ = Marshaling<std::string&,std::string*>::marshal(x1);

        casadi::Sparsity ret = obj->sparsity_jac(x0_, x1_);
        // x0 is not a swig output
        // x1 is not a swig output

        return WrapReturn< casadi::Sparsity*, casadi::Sparsity >::wrapReturn( ret );
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return 0;
    }
}


// ================== Normal method: "sparsity_jac" ===============
// class: "casadi::Function"
// cppName: "casadi::Function::sparsity_jac"
// cWrapperName: "casadi__Function__sparsity_jac__1"
// protoArgs: "(std::string ** err_msg, casadi::Function* obj, std::string* x0, std::string* x1, int x2)"
// args: "(x0_, x1_, x2_)"
// rettype: Const (UserType (Namespace ["casadi"]) (Name "Sparsity"))
// cWrapperRetType: "casadi::Sparsity*"
// proto: "casadi::Sparsity*\n    casadi__Function__sparsity_jac__1(std::string ** err_msg, casadi::Function* obj, std::string* x0, std::string* x1, int x2)"
// call: "        casadi::Sparsity ret = obj->sparsity_jac(x0_, x1_, x2_);"
// params: [(Ref (Const StdString),SwigOutput False),(Ref (Const StdString),SwigOutput False),(CBool,SwigOutput False)]
extern "C"
casadi::Sparsity*
    casadi__Function__sparsity_jac__1(std::string ** err_msg, casadi::Function* obj, std::string* x0, std::string* x1, int x2);
casadi::Sparsity*
    casadi__Function__sparsity_jac__1(std::string ** err_msg, casadi::Function* obj, std::string* x0, std::string* x1, int x2){
    try {
        std::string& x0_ = Marshaling<std::string&,std::string*>::marshal(x0);
        std::string& x1_ = Marshaling<std::string&,std::string*>::marshal(x1);
        bool x2_ = Marshaling<bool,int>::marshal(x2);

        casadi::Sparsity ret = obj->sparsity_jac(x0_, x1_, x2_);
        // x0 is not a swig output
        // x1 is not a swig output
        // x2 is not a swig output

        return WrapReturn< casadi::Sparsity*, casadi::Sparsity >::wrapReturn( ret );
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return 0;
    }
}


// ================== Normal method: "sparsity_jac" ===============
// class: "casadi::Function"
// cppName: "casadi::Function::sparsity_jac"
// cWrapperName: "casadi__Function__sparsity_jac__2"
// protoArgs: "(std::string ** err_msg, casadi::Function* obj, std::string* x0, std::string* x1, int x2, int x3)"
// args: "(x0_, x1_, x2_, x3_)"
// rettype: Const (UserType (Namespace ["casadi"]) (Name "Sparsity"))
// cWrapperRetType: "casadi::Sparsity*"
// proto: "casadi::Sparsity*\n    casadi__Function__sparsity_jac__2(std::string ** err_msg, casadi::Function* obj, std::string* x0, std::string* x1, int x2, int x3)"
// call: "        casadi::Sparsity ret = obj->sparsity_jac(x0_, x1_, x2_, x3_);"
// params: [(Ref (Const StdString),SwigOutput False),(Ref (Const StdString),SwigOutput False),(CBool,SwigOutput False),(CBool,SwigOutput False)]
extern "C"
casadi::Sparsity*
    casadi__Function__sparsity_jac__2(std::string ** err_msg, casadi::Function* obj, std::string* x0, std::string* x1, int x2, int x3);
casadi::Sparsity*
    casadi__Function__sparsity_jac__2(std::string ** err_msg, casadi::Function* obj, std::string* x0, std::string* x1, int x2, int x3){
    try {
        std::string& x0_ = Marshaling<std::string&,std::string*>::marshal(x0);
        std::string& x1_ = Marshaling<std::string&,std::string*>::marshal(x1);
        bool x2_ = Marshaling<bool,int>::marshal(x2);
        bool x3_ = Marshaling<bool,int>::marshal(x3);

        casadi::Sparsity ret = obj->sparsity_jac(x0_, x1_, x2_, x3_);
        // x0 is not a swig output
        // x1 is not a swig output
        // x2 is not a swig output
        // x3 is not a swig output

        return WrapReturn< casadi::Sparsity*, casadi::Sparsity >::wrapReturn( ret );
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return 0;
    }
}


// ================== Normal method: "sparsity_jac" ===============
// class: "casadi::Function"
// cppName: "casadi::Function::sparsity_jac"
// cWrapperName: "casadi__Function__sparsity_jac__3"
// protoArgs: "(std::string ** err_msg, casadi::Function* obj, int x0, std::string* x1)"
// args: "(x0_, x1_)"
// rettype: Const (UserType (Namespace ["casadi"]) (Name "Sparsity"))
// cWrapperRetType: "casadi::Sparsity*"
// proto: "casadi::Sparsity*\n    casadi__Function__sparsity_jac__3(std::string ** err_msg, casadi::Function* obj, int x0, std::string* x1)"
// call: "        casadi::Sparsity ret = obj->sparsity_jac(x0_, x1_);"
// params: [(CInt,SwigOutput False),(Ref (Const StdString),SwigOutput False)]
extern "C"
casadi::Sparsity*
    casadi__Function__sparsity_jac__3(std::string ** err_msg, casadi::Function* obj, int x0, std::string* x1);
casadi::Sparsity*
    casadi__Function__sparsity_jac__3(std::string ** err_msg, casadi::Function* obj, int x0, std::string* x1){
    try {
        int x0_ = Marshaling<int,int>::marshal(x0);
        std::string& x1_ = Marshaling<std::string&,std::string*>::marshal(x1);

        casadi::Sparsity ret = obj->sparsity_jac(x0_, x1_);
        // x0 is not a swig output
        // x1 is not a swig output

        return WrapReturn< casadi::Sparsity*, casadi::Sparsity >::wrapReturn( ret );
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return 0;
    }
}


// ================== Normal method: "sparsity_jac" ===============
// class: "casadi::Function"
// cppName: "casadi::Function::sparsity_jac"
// cWrapperName: "casadi__Function__sparsity_jac__4"
// protoArgs: "(std::string ** err_msg, casadi::Function* obj, int x0, std::string* x1, int x2)"
// args: "(x0_, x1_, x2_)"
// rettype: Const (UserType (Namespace ["casadi"]) (Name "Sparsity"))
// cWrapperRetType: "casadi::Sparsity*"
// proto: "casadi::Sparsity*\n    casadi__Function__sparsity_jac__4(std::string ** err_msg, casadi::Function* obj, int x0, std::string* x1, int x2)"
// call: "        casadi::Sparsity ret = obj->sparsity_jac(x0_, x1_, x2_);"
// params: [(CInt,SwigOutput False),(Ref (Const StdString),SwigOutput False),(CBool,SwigOutput False)]
extern "C"
casadi::Sparsity*
    casadi__Function__sparsity_jac__4(std::string ** err_msg, casadi::Function* obj, int x0, std::string* x1, int x2);
casadi::Sparsity*
    casadi__Function__sparsity_jac__4(std::string ** err_msg, casadi::Function* obj, int x0, std::string* x1, int x2){
    try {
        int x0_ = Marshaling<int,int>::marshal(x0);
        std::string& x1_ = Marshaling<std::string&,std::string*>::marshal(x1);
        bool x2_ = Marshaling<bool,int>::marshal(x2);

        casadi::Sparsity ret = obj->sparsity_jac(x0_, x1_, x2_);
        // x0 is not a swig output
        // x1 is not a swig output
        // x2 is not a swig output

        return WrapReturn< casadi::Sparsity*, casadi::Sparsity >::wrapReturn( ret );
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return 0;
    }
}


// ================== Normal method: "sparsity_jac" ===============
// class: "casadi::Function"
// cppName: "casadi::Function::sparsity_jac"
// cWrapperName: "casadi__Function__sparsity_jac__5"
// protoArgs: "(std::string ** err_msg, casadi::Function* obj, int x0, std::string* x1, int x2, int x3)"
// args: "(x0_, x1_, x2_, x3_)"
// rettype: Const (UserType (Namespace ["casadi"]) (Name "Sparsity"))
// cWrapperRetType: "casadi::Sparsity*"
// proto: "casadi::Sparsity*\n    casadi__Function__sparsity_jac__5(std::string ** err_msg, casadi::Function* obj, int x0, std::string* x1, int x2, int x3)"
// call: "        casadi::Sparsity ret = obj->sparsity_jac(x0_, x1_, x2_, x3_);"
// params: [(CInt,SwigOutput False),(Ref (Const StdString),SwigOutput False),(CBool,SwigOutput False),(CBool,SwigOutput False)]
extern "C"
casadi::Sparsity*
    casadi__Function__sparsity_jac__5(std::string ** err_msg, casadi::Function* obj, int x0, std::string* x1, int x2, int x3);
casadi::Sparsity*
    casadi__Function__sparsity_jac__5(std::string ** err_msg, casadi::Function* obj, int x0, std::string* x1, int x2, int x3){
    try {
        int x0_ = Marshaling<int,int>::marshal(x0);
        std::string& x1_ = Marshaling<std::string&,std::string*>::marshal(x1);
        bool x2_ = Marshaling<bool,int>::marshal(x2);
        bool x3_ = Marshaling<bool,int>::marshal(x3);

        casadi::Sparsity ret = obj->sparsity_jac(x0_, x1_, x2_, x3_);
        // x0 is not a swig output
        // x1 is not a swig output
        // x2 is not a swig output
        // x3 is not a swig output

        return WrapReturn< casadi::Sparsity*, casadi::Sparsity >::wrapReturn( ret );
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return 0;
    }
}


// ================== Normal method: "sparsity_jac" ===============
// class: "casadi::Function"
// cppName: "casadi::Function::sparsity_jac"
// cWrapperName: "casadi__Function__sparsity_jac__6"
// protoArgs: "(std::string ** err_msg, casadi::Function* obj, std::string* x0)"
// args: "(x0_)"
// rettype: Const (UserType (Namespace ["casadi"]) (Name "Sparsity"))
// cWrapperRetType: "casadi::Sparsity*"
// proto: "casadi::Sparsity*\n    casadi__Function__sparsity_jac__6(std::string ** err_msg, casadi::Function* obj, std::string* x0)"
// call: "        casadi::Sparsity ret = obj->sparsity_jac(x0_);"
// params: [(Ref (Const StdString),SwigOutput False)]
extern "C"
casadi::Sparsity*
    casadi__Function__sparsity_jac__6(std::string ** err_msg, casadi::Function* obj, std::string* x0);
casadi::Sparsity*
    casadi__Function__sparsity_jac__6(std::string ** err_msg, casadi::Function* obj, std::string* x0){
    try {
        std::string& x0_ = Marshaling<std::string&,std::string*>::marshal(x0);

        casadi::Sparsity ret = obj->sparsity_jac(x0_);
        // x0 is not a swig output

        return WrapReturn< casadi::Sparsity*, casadi::Sparsity >::wrapReturn( ret );
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return 0;
    }
}


// ================== Normal method: "sparsity_jac" ===============
// class: "casadi::Function"
// cppName: "casadi::Function::sparsity_jac"
// cWrapperName: "casadi__Function__sparsity_jac__7"
// protoArgs: "(std::string ** err_msg, casadi::Function* obj, std::string* x0, int x1)"
// args: "(x0_, x1_)"
// rettype: Const (UserType (Namespace ["casadi"]) (Name "Sparsity"))
// cWrapperRetType: "casadi::Sparsity*"
// proto: "casadi::Sparsity*\n    casadi__Function__sparsity_jac__7(std::string ** err_msg, casadi::Function* obj, std::string* x0, int x1)"
// call: "        casadi::Sparsity ret = obj->sparsity_jac(x0_, x1_);"
// params: [(Ref (Const StdString),SwigOutput False),(CInt,SwigOutput False)]
extern "C"
casadi::Sparsity*
    casadi__Function__sparsity_jac__7(std::string ** err_msg, casadi::Function* obj, std::string* x0, int x1);
casadi::Sparsity*
    casadi__Function__sparsity_jac__7(std::string ** err_msg, casadi::Function* obj, std::string* x0, int x1){
    try {
        std::string& x0_ = Marshaling<std::string&,std::string*>::marshal(x0);
        int x1_ = Marshaling<int,int>::marshal(x1);

        casadi::Sparsity ret = obj->sparsity_jac(x0_, x1_);
        // x0 is not a swig output
        // x1 is not a swig output

        return WrapReturn< casadi::Sparsity*, casadi::Sparsity >::wrapReturn( ret );
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return 0;
    }
}


// ================== Normal method: "sparsity_jac" ===============
// class: "casadi::Function"
// cppName: "casadi::Function::sparsity_jac"
// cWrapperName: "casadi__Function__sparsity_jac__8"
// protoArgs: "(std::string ** err_msg, casadi::Function* obj, std::string* x0, int x1, int x2)"
// args: "(x0_, x1_, x2_)"
// rettype: Const (UserType (Namespace ["casadi"]) (Name "Sparsity"))
// cWrapperRetType: "casadi::Sparsity*"
// proto: "casadi::Sparsity*\n    casadi__Function__sparsity_jac__8(std::string ** err_msg, casadi::Function* obj, std::string* x0, int x1, int x2)"
// call: "        casadi::Sparsity ret = obj->sparsity_jac(x0_, x1_, x2_);"
// params: [(Ref (Const StdString),SwigOutput False),(CInt,SwigOutput False),(CBool,SwigOutput False)]
extern "C"
casadi::Sparsity*
    casadi__Function__sparsity_jac__8(std::string ** err_msg, casadi::Function* obj, std::string* x0, int x1, int x2);
casadi::Sparsity*
    casadi__Function__sparsity_jac__8(std::string ** err_msg, casadi::Function* obj, std::string* x0, int x1, int x2){
    try {
        std::string& x0_ = Marshaling<std::string&,std::string*>::marshal(x0);
        int x1_ = Marshaling<int,int>::marshal(x1);
        bool x2_ = Marshaling<bool,int>::marshal(x2);

        casadi::Sparsity ret = obj->sparsity_jac(x0_, x1_, x2_);
        // x0 is not a swig output
        // x1 is not a swig output
        // x2 is not a swig output

        return WrapReturn< casadi::Sparsity*, casadi::Sparsity >::wrapReturn( ret );
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return 0;
    }
}


// ================== Normal method: "sparsity_jac" ===============
// class: "casadi::Function"
// cppName: "casadi::Function::sparsity_jac"
// cWrapperName: "casadi__Function__sparsity_jac__9"
// protoArgs: "(std::string ** err_msg, casadi::Function* obj, std::string* x0, int x1, int x2, int x3)"
// args: "(x0_, x1_, x2_, x3_)"
// rettype: Const (UserType (Namespace ["casadi"]) (Name "Sparsity"))
// cWrapperRetType: "casadi::Sparsity*"
// proto: "casadi::Sparsity*\n    casadi__Function__sparsity_jac__9(std::string ** err_msg, casadi::Function* obj, std::string* x0, int x1, int x2, int x3)"
// call: "        casadi::Sparsity ret = obj->sparsity_jac(x0_, x1_, x2_, x3_);"
// params: [(Ref (Const StdString),SwigOutput False),(CInt,SwigOutput False),(CBool,SwigOutput False),(CBool,SwigOutput False)]
extern "C"
casadi::Sparsity*
    casadi__Function__sparsity_jac__9(std::string ** err_msg, casadi::Function* obj, std::string* x0, int x1, int x2, int x3);
casadi::Sparsity*
    casadi__Function__sparsity_jac__9(std::string ** err_msg, casadi::Function* obj, std::string* x0, int x1, int x2, int x3){
    try {
        std::string& x0_ = Marshaling<std::string&,std::string*>::marshal(x0);
        int x1_ = Marshaling<int,int>::marshal(x1);
        bool x2_ = Marshaling<bool,int>::marshal(x2);
        bool x3_ = Marshaling<bool,int>::marshal(x3);

        casadi::Sparsity ret = obj->sparsity_jac(x0_, x1_, x2_, x3_);
        // x0 is not a swig output
        // x1 is not a swig output
        // x2 is not a swig output
        // x3 is not a swig output

        return WrapReturn< casadi::Sparsity*, casadi::Sparsity >::wrapReturn( ret );
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return 0;
    }
}


// ================== Normal method: "sparsity_jac" ===============
// class: "casadi::Function"
// cppName: "casadi::Function::sparsity_jac"
// cWrapperName: "casadi__Function__sparsity_jac__10"
// protoArgs: "(std::string ** err_msg, casadi::Function* obj)"
// args: "()"
// rettype: Const (UserType (Namespace ["casadi"]) (Name "Sparsity"))
// cWrapperRetType: "casadi::Sparsity*"
// proto: "casadi::Sparsity*\n    casadi__Function__sparsity_jac__10(std::string ** err_msg, casadi::Function* obj)"
// call: "        casadi::Sparsity ret = obj->sparsity_jac();"
// params: []
extern "C"
casadi::Sparsity*
    casadi__Function__sparsity_jac__10(std::string ** err_msg, casadi::Function* obj);
casadi::Sparsity*
    casadi__Function__sparsity_jac__10(std::string ** err_msg, casadi::Function* obj){
    try {

        casadi::Sparsity ret = obj->sparsity_jac();

        return WrapReturn< casadi::Sparsity*, casadi::Sparsity >::wrapReturn( ret );
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return 0;
    }
}


// ================== Normal method: "sparsity_jac" ===============
// class: "casadi::Function"
// cppName: "casadi::Function::sparsity_jac"
// cWrapperName: "casadi__Function__sparsity_jac__11"
// protoArgs: "(std::string ** err_msg, casadi::Function* obj, int x0)"
// args: "(x0_)"
// rettype: Const (UserType (Namespace ["casadi"]) (Name "Sparsity"))
// cWrapperRetType: "casadi::Sparsity*"
// proto: "casadi::Sparsity*\n    casadi__Function__sparsity_jac__11(std::string ** err_msg, casadi::Function* obj, int x0)"
// call: "        casadi::Sparsity ret = obj->sparsity_jac(x0_);"
// params: [(CInt,SwigOutput False)]
extern "C"
casadi::Sparsity*
    casadi__Function__sparsity_jac__11(std::string ** err_msg, casadi::Function* obj, int x0);
casadi::Sparsity*
    casadi__Function__sparsity_jac__11(std::string ** err_msg, casadi::Function* obj, int x0){
    try {
        int x0_ = Marshaling<int,int>::marshal(x0);

        casadi::Sparsity ret = obj->sparsity_jac(x0_);
        // x0 is not a swig output

        return WrapReturn< casadi::Sparsity*, casadi::Sparsity >::wrapReturn( ret );
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return 0;
    }
}


// ================== Normal method: "sparsity_jac" ===============
// class: "casadi::Function"
// cppName: "casadi::Function::sparsity_jac"
// cWrapperName: "casadi__Function__sparsity_jac__12"
// protoArgs: "(std::string ** err_msg, casadi::Function* obj, int x0, int x1)"
// args: "(x0_, x1_)"
// rettype: Const (UserType (Namespace ["casadi"]) (Name "Sparsity"))
// cWrapperRetType: "casadi::Sparsity*"
// proto: "casadi::Sparsity*\n    casadi__Function__sparsity_jac__12(std::string ** err_msg, casadi::Function* obj, int x0, int x1)"
// call: "        casadi::Sparsity ret = obj->sparsity_jac(x0_, x1_);"
// params: [(CInt,SwigOutput False),(CInt,SwigOutput False)]
extern "C"
casadi::Sparsity*
    casadi__Function__sparsity_jac__12(std::string ** err_msg, casadi::Function* obj, int x0, int x1);
casadi::Sparsity*
    casadi__Function__sparsity_jac__12(std::string ** err_msg, casadi::Function* obj, int x0, int x1){
    try {
        int x0_ = Marshaling<int,int>::marshal(x0);
        int x1_ = Marshaling<int,int>::marshal(x1);

        casadi::Sparsity ret = obj->sparsity_jac(x0_, x1_);
        // x0 is not a swig output
        // x1 is not a swig output

        return WrapReturn< casadi::Sparsity*, casadi::Sparsity >::wrapReturn( ret );
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return 0;
    }
}


// ================== Normal method: "sparsity_jac" ===============
// class: "casadi::Function"
// cppName: "casadi::Function::sparsity_jac"
// cWrapperName: "casadi__Function__sparsity_jac__13"
// protoArgs: "(std::string ** err_msg, casadi::Function* obj, int x0, int x1, int x2)"
// args: "(x0_, x1_, x2_)"
// rettype: Const (UserType (Namespace ["casadi"]) (Name "Sparsity"))
// cWrapperRetType: "casadi::Sparsity*"
// proto: "casadi::Sparsity*\n    casadi__Function__sparsity_jac__13(std::string ** err_msg, casadi::Function* obj, int x0, int x1, int x2)"
// call: "        casadi::Sparsity ret = obj->sparsity_jac(x0_, x1_, x2_);"
// params: [(CInt,SwigOutput False),(CInt,SwigOutput False),(CBool,SwigOutput False)]
extern "C"
casadi::Sparsity*
    casadi__Function__sparsity_jac__13(std::string ** err_msg, casadi::Function* obj, int x0, int x1, int x2);
casadi::Sparsity*
    casadi__Function__sparsity_jac__13(std::string ** err_msg, casadi::Function* obj, int x0, int x1, int x2){
    try {
        int x0_ = Marshaling<int,int>::marshal(x0);
        int x1_ = Marshaling<int,int>::marshal(x1);
        bool x2_ = Marshaling<bool,int>::marshal(x2);

        casadi::Sparsity ret = obj->sparsity_jac(x0_, x1_, x2_);
        // x0 is not a swig output
        // x1 is not a swig output
        // x2 is not a swig output

        return WrapReturn< casadi::Sparsity*, casadi::Sparsity >::wrapReturn( ret );
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return 0;
    }
}


// ================== Normal method: "sparsity_jac" ===============
// class: "casadi::Function"
// cppName: "casadi::Function::sparsity_jac"
// cWrapperName: "casadi__Function__sparsity_jac__14"
// protoArgs: "(std::string ** err_msg, casadi::Function* obj, int x0, int x1, int x2, int x3)"
// args: "(x0_, x1_, x2_, x3_)"
// rettype: Const (UserType (Namespace ["casadi"]) (Name "Sparsity"))
// cWrapperRetType: "casadi::Sparsity*"
// proto: "casadi::Sparsity*\n    casadi__Function__sparsity_jac__14(std::string ** err_msg, casadi::Function* obj, int x0, int x1, int x2, int x3)"
// call: "        casadi::Sparsity ret = obj->sparsity_jac(x0_, x1_, x2_, x3_);"
// params: [(CInt,SwigOutput False),(CInt,SwigOutput False),(CBool,SwigOutput False),(CBool,SwigOutput False)]
extern "C"
casadi::Sparsity*
    casadi__Function__sparsity_jac__14(std::string ** err_msg, casadi::Function* obj, int x0, int x1, int x2, int x3);
casadi::Sparsity*
    casadi__Function__sparsity_jac__14(std::string ** err_msg, casadi::Function* obj, int x0, int x1, int x2, int x3){
    try {
        int x0_ = Marshaling<int,int>::marshal(x0);
        int x1_ = Marshaling<int,int>::marshal(x1);
        bool x2_ = Marshaling<bool,int>::marshal(x2);
        bool x3_ = Marshaling<bool,int>::marshal(x3);

        casadi::Sparsity ret = obj->sparsity_jac(x0_, x1_, x2_, x3_);
        // x0 is not a swig output
        // x1 is not a swig output
        // x2 is not a swig output
        // x3 is not a swig output

        return WrapReturn< casadi::Sparsity*, casadi::Sparsity >::wrapReturn( ret );
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return 0;
    }
}


// ================== Normal method: "sparsity_out" ===============
// class: "casadi::Function"
// cppName: "casadi::Function::sparsity_out"
// cWrapperName: "casadi__Function__sparsity_out__0"
// protoArgs: "(std::string ** err_msg, casadi::Function* obj, std::string* x0)"
// args: "(x0_)"
// rettype: Const (UserType (Namespace ["casadi"]) (Name "Sparsity"))
// cWrapperRetType: "casadi::Sparsity*"
// proto: "casadi::Sparsity*\n    casadi__Function__sparsity_out__0(std::string ** err_msg, casadi::Function* obj, std::string* x0)"
// call: "        casadi::Sparsity ret = obj->sparsity_out(x0_);"
// params: [(Ref (Const StdString),SwigOutput False)]
extern "C"
casadi::Sparsity*
    casadi__Function__sparsity_out__0(std::string ** err_msg, casadi::Function* obj, std::string* x0);
casadi::Sparsity*
    casadi__Function__sparsity_out__0(std::string ** err_msg, casadi::Function* obj, std::string* x0){
    try {
        std::string& x0_ = Marshaling<std::string&,std::string*>::marshal(x0);

        casadi::Sparsity ret = obj->sparsity_out(x0_);
        // x0 is not a swig output

        return WrapReturn< casadi::Sparsity*, casadi::Sparsity >::wrapReturn( ret );
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return 0;
    }
}


// ================== Normal method: "sparsity_out" ===============
// class: "casadi::Function"
// cppName: "casadi::Function::sparsity_out"
// cWrapperName: "casadi__Function__sparsity_out__1"
// protoArgs: "(std::string ** err_msg, casadi::Function* obj, int x0)"
// args: "(x0_)"
// rettype: Const (UserType (Namespace ["casadi"]) (Name "Sparsity"))
// cWrapperRetType: "casadi::Sparsity*"
// proto: "casadi::Sparsity*\n    casadi__Function__sparsity_out__1(std::string ** err_msg, casadi::Function* obj, int x0)"
// call: "        casadi::Sparsity ret = obj->sparsity_out(x0_);"
// params: [(CInt,SwigOutput False)]
extern "C"
casadi::Sparsity*
    casadi__Function__sparsity_out__1(std::string ** err_msg, casadi::Function* obj, int x0);
casadi::Sparsity*
    casadi__Function__sparsity_out__1(std::string ** err_msg, casadi::Function* obj, int x0){
    try {
        int x0_ = Marshaling<int,int>::marshal(x0);

        casadi::Sparsity ret = obj->sparsity_out(x0_);
        // x0 is not a swig output

        return WrapReturn< casadi::Sparsity*, casadi::Sparsity >::wrapReturn( ret );
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return 0;
    }
}


// ================== Normal method: "stats" ===============
// class: "casadi::Function"
// cppName: "casadi::Function::stats"
// cWrapperName: "casadi__Function__stats__0"
// protoArgs: "(std::string ** err_msg, casadi::Function* obj)"
// args: "()"
// rettype: StdMap StdString (UserType (Namespace ["casadi"]) (Name "GenericType"))
// cWrapperRetType: "std::map< std::string, casadi::GenericType* >*"
// proto: "std::map< std::string, casadi::GenericType* >*\n    casadi__Function__stats__0(std::string ** err_msg, casadi::Function* obj)"
// call: "        std::map< std::string, casadi::GenericType > ret = obj->stats();"
// params: []
extern "C"
std::map< std::string, casadi::GenericType* >*
    casadi__Function__stats__0(std::string ** err_msg, casadi::Function* obj);
std::map< std::string, casadi::GenericType* >*
    casadi__Function__stats__0(std::string ** err_msg, casadi::Function* obj){
    try {

        std::map< std::string, casadi::GenericType > ret = obj->stats();

        return WrapReturn< std::map< std::string, casadi::GenericType* >*, std::map< std::string, casadi::GenericType > >::wrapReturn( ret );
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return 0;
    }
}


// ================== Normal method: "stats" ===============
// class: "casadi::Function"
// cppName: "casadi::Function::stats"
// cWrapperName: "casadi__Function__stats__1"
// protoArgs: "(std::string ** err_msg, casadi::Function* obj, int x0)"
// args: "(x0_)"
// rettype: StdMap StdString (UserType (Namespace ["casadi"]) (Name "GenericType"))
// cWrapperRetType: "std::map< std::string, casadi::GenericType* >*"
// proto: "std::map< std::string, casadi::GenericType* >*\n    casadi__Function__stats__1(std::string ** err_msg, casadi::Function* obj, int x0)"
// call: "        std::map< std::string, casadi::GenericType > ret = obj->stats(x0_);"
// params: [(CInt,SwigOutput False)]
extern "C"
std::map< std::string, casadi::GenericType* >*
    casadi__Function__stats__1(std::string ** err_msg, casadi::Function* obj, int x0);
std::map< std::string, casadi::GenericType* >*
    casadi__Function__stats__1(std::string ** err_msg, casadi::Function* obj, int x0){
    try {
        int x0_ = Marshaling<int,int>::marshal(x0);

        std::map< std::string, casadi::GenericType > ret = obj->stats(x0_);
        // x0 is not a swig output

        return WrapReturn< std::map< std::string, casadi::GenericType* >*, std::map< std::string, casadi::GenericType > >::wrapReturn( ret );
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return 0;
    }
}


// ================== Normal method: "sx_in" ===============
// class: "casadi::Function"
// cppName: "casadi::Function::sx_in"
// cWrapperName: "casadi__Function__sx_in__0"
// protoArgs: "(std::string ** err_msg, casadi::Function* obj)"
// args: "()"
// rettype: Const (StdVec (UserType (Namespace ["casadi"]) (Name "SX")))
// cWrapperRetType: "std::vector< casadi::SX* >*"
// proto: "std::vector< casadi::SX* >*\n    casadi__Function__sx_in__0(std::string ** err_msg, casadi::Function* obj)"
// call: "        std::vector< casadi::SX > ret = obj->sx_in();"
// params: []
extern "C"
std::vector< casadi::SX* >*
    casadi__Function__sx_in__0(std::string ** err_msg, casadi::Function* obj);
std::vector< casadi::SX* >*
    casadi__Function__sx_in__0(std::string ** err_msg, casadi::Function* obj){
    try {

        std::vector< casadi::SX > ret = obj->sx_in();

        return WrapReturn< std::vector< casadi::SX* >*, std::vector< casadi::SX > >::wrapReturn( ret );
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return 0;
    }
}


// ================== Normal method: "sx_in" ===============
// class: "casadi::Function"
// cppName: "casadi::Function::sx_in"
// cWrapperName: "casadi__Function__sx_in__1"
// protoArgs: "(std::string ** err_msg, casadi::Function* obj, std::string* x0)"
// args: "(x0_)"
// rettype: Const (UserType (Namespace ["casadi"]) (Name "SX"))
// cWrapperRetType: "casadi::SX*"
// proto: "casadi::SX*\n    casadi__Function__sx_in__1(std::string ** err_msg, casadi::Function* obj, std::string* x0)"
// call: "        casadi::SX ret = obj->sx_in(x0_);"
// params: [(Ref (Const StdString),SwigOutput False)]
extern "C"
casadi::SX*
    casadi__Function__sx_in__1(std::string ** err_msg, casadi::Function* obj, std::string* x0);
casadi::SX*
    casadi__Function__sx_in__1(std::string ** err_msg, casadi::Function* obj, std::string* x0){
    try {
        std::string& x0_ = Marshaling<std::string&,std::string*>::marshal(x0);

        casadi::SX ret = obj->sx_in(x0_);
        // x0 is not a swig output

        return WrapReturn< casadi::SX*, casadi::SX >::wrapReturn( ret );
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return 0;
    }
}


// ================== Normal method: "sx_in" ===============
// class: "casadi::Function"
// cppName: "casadi::Function::sx_in"
// cWrapperName: "casadi__Function__sx_in__2"
// protoArgs: "(std::string ** err_msg, casadi::Function* obj, int x0)"
// args: "(x0_)"
// rettype: Const (UserType (Namespace ["casadi"]) (Name "SX"))
// cWrapperRetType: "casadi::SX*"
// proto: "casadi::SX*\n    casadi__Function__sx_in__2(std::string ** err_msg, casadi::Function* obj, int x0)"
// call: "        casadi::SX ret = obj->sx_in(x0_);"
// params: [(CInt,SwigOutput False)]
extern "C"
casadi::SX*
    casadi__Function__sx_in__2(std::string ** err_msg, casadi::Function* obj, int x0);
casadi::SX*
    casadi__Function__sx_in__2(std::string ** err_msg, casadi::Function* obj, int x0){
    try {
        int x0_ = Marshaling<int,int>::marshal(x0);

        casadi::SX ret = obj->sx_in(x0_);
        // x0 is not a swig output

        return WrapReturn< casadi::SX*, casadi::SX >::wrapReturn( ret );
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return 0;
    }
}


// ================== Normal method: "sx_out" ===============
// class: "casadi::Function"
// cppName: "casadi::Function::sx_out"
// cWrapperName: "casadi__Function__sx_out__0"
// protoArgs: "(std::string ** err_msg, casadi::Function* obj)"
// args: "()"
// rettype: Const (StdVec (UserType (Namespace ["casadi"]) (Name "SX")))
// cWrapperRetType: "std::vector< casadi::SX* >*"
// proto: "std::vector< casadi::SX* >*\n    casadi__Function__sx_out__0(std::string ** err_msg, casadi::Function* obj)"
// call: "        std::vector< casadi::SX > ret = obj->sx_out();"
// params: []
extern "C"
std::vector< casadi::SX* >*
    casadi__Function__sx_out__0(std::string ** err_msg, casadi::Function* obj);
std::vector< casadi::SX* >*
    casadi__Function__sx_out__0(std::string ** err_msg, casadi::Function* obj){
    try {

        std::vector< casadi::SX > ret = obj->sx_out();

        return WrapReturn< std::vector< casadi::SX* >*, std::vector< casadi::SX > >::wrapReturn( ret );
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return 0;
    }
}


// ================== Normal method: "sx_out" ===============
// class: "casadi::Function"
// cppName: "casadi::Function::sx_out"
// cWrapperName: "casadi__Function__sx_out__1"
// protoArgs: "(std::string ** err_msg, casadi::Function* obj, std::string* x0)"
// args: "(x0_)"
// rettype: Const (UserType (Namespace ["casadi"]) (Name "SX"))
// cWrapperRetType: "casadi::SX*"
// proto: "casadi::SX*\n    casadi__Function__sx_out__1(std::string ** err_msg, casadi::Function* obj, std::string* x0)"
// call: "        casadi::SX ret = obj->sx_out(x0_);"
// params: [(Ref (Const StdString),SwigOutput False)]
extern "C"
casadi::SX*
    casadi__Function__sx_out__1(std::string ** err_msg, casadi::Function* obj, std::string* x0);
casadi::SX*
    casadi__Function__sx_out__1(std::string ** err_msg, casadi::Function* obj, std::string* x0){
    try {
        std::string& x0_ = Marshaling<std::string&,std::string*>::marshal(x0);

        casadi::SX ret = obj->sx_out(x0_);
        // x0 is not a swig output

        return WrapReturn< casadi::SX*, casadi::SX >::wrapReturn( ret );
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return 0;
    }
}


// ================== Normal method: "sx_out" ===============
// class: "casadi::Function"
// cppName: "casadi::Function::sx_out"
// cWrapperName: "casadi__Function__sx_out__2"
// protoArgs: "(std::string ** err_msg, casadi::Function* obj, int x0)"
// args: "(x0_)"
// rettype: Const (UserType (Namespace ["casadi"]) (Name "SX"))
// cWrapperRetType: "casadi::SX*"
// proto: "casadi::SX*\n    casadi__Function__sx_out__2(std::string ** err_msg, casadi::Function* obj, int x0)"
// call: "        casadi::SX ret = obj->sx_out(x0_);"
// params: [(CInt,SwigOutput False)]
extern "C"
casadi::SX*
    casadi__Function__sx_out__2(std::string ** err_msg, casadi::Function* obj, int x0);
casadi::SX*
    casadi__Function__sx_out__2(std::string ** err_msg, casadi::Function* obj, int x0){
    try {
        int x0_ = Marshaling<int,int>::marshal(x0);

        casadi::SX ret = obj->sx_out(x0_);
        // x0 is not a swig output

        return WrapReturn< casadi::SX*, casadi::SX >::wrapReturn( ret );
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return 0;
    }
}


// ================== Normal method: "sz_arg" ===============
// class: "casadi::Function"
// cppName: "casadi::Function::sz_arg"
// cWrapperName: "casadi__Function__sz_arg"
// protoArgs: "(std::string ** err_msg, casadi::Function* obj)"
// args: "()"
// rettype: CSize
// cWrapperRetType: "size_t"
// proto: "size_t\n    casadi__Function__sz_arg(std::string ** err_msg, casadi::Function* obj)"
// call: "        size_t ret = obj->sz_arg();"
// params: []
extern "C"
size_t
    casadi__Function__sz_arg(std::string ** err_msg, casadi::Function* obj);
size_t
    casadi__Function__sz_arg(std::string ** err_msg, casadi::Function* obj){
    try {

        size_t ret = obj->sz_arg();

        return WrapReturn< size_t, size_t >::wrapReturn( ret );
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return 0;
    }
}


// ================== Normal method: "sz_iw" ===============
// class: "casadi::Function"
// cppName: "casadi::Function::sz_iw"
// cWrapperName: "casadi__Function__sz_iw"
// protoArgs: "(std::string ** err_msg, casadi::Function* obj)"
// args: "()"
// rettype: CSize
// cWrapperRetType: "size_t"
// proto: "size_t\n    casadi__Function__sz_iw(std::string ** err_msg, casadi::Function* obj)"
// call: "        size_t ret = obj->sz_iw();"
// params: []
extern "C"
size_t
    casadi__Function__sz_iw(std::string ** err_msg, casadi::Function* obj);
size_t
    casadi__Function__sz_iw(std::string ** err_msg, casadi::Function* obj){
    try {

        size_t ret = obj->sz_iw();

        return WrapReturn< size_t, size_t >::wrapReturn( ret );
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return 0;
    }
}


// ================== Normal method: "sz_res" ===============
// class: "casadi::Function"
// cppName: "casadi::Function::sz_res"
// cWrapperName: "casadi__Function__sz_res"
// protoArgs: "(std::string ** err_msg, casadi::Function* obj)"
// args: "()"
// rettype: CSize
// cWrapperRetType: "size_t"
// proto: "size_t\n    casadi__Function__sz_res(std::string ** err_msg, casadi::Function* obj)"
// call: "        size_t ret = obj->sz_res();"
// params: []
extern "C"
size_t
    casadi__Function__sz_res(std::string ** err_msg, casadi::Function* obj);
size_t
    casadi__Function__sz_res(std::string ** err_msg, casadi::Function* obj){
    try {

        size_t ret = obj->sz_res();

        return WrapReturn< size_t, size_t >::wrapReturn( ret );
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return 0;
    }
}


// ================== Normal method: "sz_w" ===============
// class: "casadi::Function"
// cppName: "casadi::Function::sz_w"
// cWrapperName: "casadi__Function__sz_w"
// protoArgs: "(std::string ** err_msg, casadi::Function* obj)"
// args: "()"
// rettype: CSize
// cWrapperRetType: "size_t"
// proto: "size_t\n    casadi__Function__sz_w(std::string ** err_msg, casadi::Function* obj)"
// call: "        size_t ret = obj->sz_w();"
// params: []
extern "C"
size_t
    casadi__Function__sz_w(std::string ** err_msg, casadi::Function* obj);
size_t
    casadi__Function__sz_w(std::string ** err_msg, casadi::Function* obj){
    try {

        size_t ret = obj->sz_w();

        return WrapReturn< size_t, size_t >::wrapReturn( ret );
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return 0;
    }
}


// ================== Normal method: "tangent" ===============
// class: "casadi::Function"
// cppName: "casadi::Function::tangent"
// cWrapperName: "casadi__Function__tangent__0"
// protoArgs: "(std::string ** err_msg, casadi::Function* obj, std::string* x0, std::string* x1)"
// args: "(x0_, x1_)"
// rettype: UserType (Namespace ["casadi"]) (Name "Function")
// cWrapperRetType: "casadi::Function*"
// proto: "casadi::Function*\n    casadi__Function__tangent__0(std::string ** err_msg, casadi::Function* obj, std::string* x0, std::string* x1)"
// call: "        casadi::Function ret = obj->tangent(x0_, x1_);"
// params: [(Ref (Const StdString),SwigOutput False),(Ref (Const StdString),SwigOutput False)]
extern "C"
casadi::Function*
    casadi__Function__tangent__0(std::string ** err_msg, casadi::Function* obj, std::string* x0, std::string* x1);
casadi::Function*
    casadi__Function__tangent__0(std::string ** err_msg, casadi::Function* obj, std::string* x0, std::string* x1){
    try {
        std::string& x0_ = Marshaling<std::string&,std::string*>::marshal(x0);
        std::string& x1_ = Marshaling<std::string&,std::string*>::marshal(x1);

        casadi::Function ret = obj->tangent(x0_, x1_);
        // x0 is not a swig output
        // x1 is not a swig output

        return WrapReturn< casadi::Function*, casadi::Function >::wrapReturn( ret );
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return 0;
    }
}


// ================== Normal method: "tangent" ===============
// class: "casadi::Function"
// cppName: "casadi::Function::tangent"
// cWrapperName: "casadi__Function__tangent__1"
// protoArgs: "(std::string ** err_msg, casadi::Function* obj, int x0, std::string* x1)"
// args: "(x0_, x1_)"
// rettype: UserType (Namespace ["casadi"]) (Name "Function")
// cWrapperRetType: "casadi::Function*"
// proto: "casadi::Function*\n    casadi__Function__tangent__1(std::string ** err_msg, casadi::Function* obj, int x0, std::string* x1)"
// call: "        casadi::Function ret = obj->tangent(x0_, x1_);"
// params: [(CInt,SwigOutput False),(Ref (Const StdString),SwigOutput False)]
extern "C"
casadi::Function*
    casadi__Function__tangent__1(std::string ** err_msg, casadi::Function* obj, int x0, std::string* x1);
casadi::Function*
    casadi__Function__tangent__1(std::string ** err_msg, casadi::Function* obj, int x0, std::string* x1){
    try {
        int x0_ = Marshaling<int,int>::marshal(x0);
        std::string& x1_ = Marshaling<std::string&,std::string*>::marshal(x1);

        casadi::Function ret = obj->tangent(x0_, x1_);
        // x0 is not a swig output
        // x1 is not a swig output

        return WrapReturn< casadi::Function*, casadi::Function >::wrapReturn( ret );
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return 0;
    }
}


// ================== Normal method: "tangent" ===============
// class: "casadi::Function"
// cppName: "casadi::Function::tangent"
// cWrapperName: "casadi__Function__tangent__2"
// protoArgs: "(std::string ** err_msg, casadi::Function* obj, std::string* x0)"
// args: "(x0_)"
// rettype: UserType (Namespace ["casadi"]) (Name "Function")
// cWrapperRetType: "casadi::Function*"
// proto: "casadi::Function*\n    casadi__Function__tangent__2(std::string ** err_msg, casadi::Function* obj, std::string* x0)"
// call: "        casadi::Function ret = obj->tangent(x0_);"
// params: [(Ref (Const StdString),SwigOutput False)]
extern "C"
casadi::Function*
    casadi__Function__tangent__2(std::string ** err_msg, casadi::Function* obj, std::string* x0);
casadi::Function*
    casadi__Function__tangent__2(std::string ** err_msg, casadi::Function* obj, std::string* x0){
    try {
        std::string& x0_ = Marshaling<std::string&,std::string*>::marshal(x0);

        casadi::Function ret = obj->tangent(x0_);
        // x0 is not a swig output

        return WrapReturn< casadi::Function*, casadi::Function >::wrapReturn( ret );
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return 0;
    }
}


// ================== Normal method: "tangent" ===============
// class: "casadi::Function"
// cppName: "casadi::Function::tangent"
// cWrapperName: "casadi__Function__tangent__3"
// protoArgs: "(std::string ** err_msg, casadi::Function* obj, std::string* x0, int x1)"
// args: "(x0_, x1_)"
// rettype: UserType (Namespace ["casadi"]) (Name "Function")
// cWrapperRetType: "casadi::Function*"
// proto: "casadi::Function*\n    casadi__Function__tangent__3(std::string ** err_msg, casadi::Function* obj, std::string* x0, int x1)"
// call: "        casadi::Function ret = obj->tangent(x0_, x1_);"
// params: [(Ref (Const StdString),SwigOutput False),(CInt,SwigOutput False)]
extern "C"
casadi::Function*
    casadi__Function__tangent__3(std::string ** err_msg, casadi::Function* obj, std::string* x0, int x1);
casadi::Function*
    casadi__Function__tangent__3(std::string ** err_msg, casadi::Function* obj, std::string* x0, int x1){
    try {
        std::string& x0_ = Marshaling<std::string&,std::string*>::marshal(x0);
        int x1_ = Marshaling<int,int>::marshal(x1);

        casadi::Function ret = obj->tangent(x0_, x1_);
        // x0 is not a swig output
        // x1 is not a swig output

        return WrapReturn< casadi::Function*, casadi::Function >::wrapReturn( ret );
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return 0;
    }
}


// ================== Normal method: "tangent" ===============
// class: "casadi::Function"
// cppName: "casadi::Function::tangent"
// cWrapperName: "casadi__Function__tangent__4"
// protoArgs: "(std::string ** err_msg, casadi::Function* obj)"
// args: "()"
// rettype: UserType (Namespace ["casadi"]) (Name "Function")
// cWrapperRetType: "casadi::Function*"
// proto: "casadi::Function*\n    casadi__Function__tangent__4(std::string ** err_msg, casadi::Function* obj)"
// call: "        casadi::Function ret = obj->tangent();"
// params: []
extern "C"
casadi::Function*
    casadi__Function__tangent__4(std::string ** err_msg, casadi::Function* obj);
casadi::Function*
    casadi__Function__tangent__4(std::string ** err_msg, casadi::Function* obj){
    try {

        casadi::Function ret = obj->tangent();

        return WrapReturn< casadi::Function*, casadi::Function >::wrapReturn( ret );
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return 0;
    }
}


// ================== Normal method: "tangent" ===============
// class: "casadi::Function"
// cppName: "casadi::Function::tangent"
// cWrapperName: "casadi__Function__tangent__5"
// protoArgs: "(std::string ** err_msg, casadi::Function* obj, int x0)"
// args: "(x0_)"
// rettype: UserType (Namespace ["casadi"]) (Name "Function")
// cWrapperRetType: "casadi::Function*"
// proto: "casadi::Function*\n    casadi__Function__tangent__5(std::string ** err_msg, casadi::Function* obj, int x0)"
// call: "        casadi::Function ret = obj->tangent(x0_);"
// params: [(CInt,SwigOutput False)]
extern "C"
casadi::Function*
    casadi__Function__tangent__5(std::string ** err_msg, casadi::Function* obj, int x0);
casadi::Function*
    casadi__Function__tangent__5(std::string ** err_msg, casadi::Function* obj, int x0){
    try {
        int x0_ = Marshaling<int,int>::marshal(x0);

        casadi::Function ret = obj->tangent(x0_);
        // x0 is not a swig output

        return WrapReturn< casadi::Function*, casadi::Function >::wrapReturn( ret );
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return 0;
    }
}


// ================== Normal method: "tangent" ===============
// class: "casadi::Function"
// cppName: "casadi::Function::tangent"
// cWrapperName: "casadi__Function__tangent__6"
// protoArgs: "(std::string ** err_msg, casadi::Function* obj, int x0, int x1)"
// args: "(x0_, x1_)"
// rettype: UserType (Namespace ["casadi"]) (Name "Function")
// cWrapperRetType: "casadi::Function*"
// proto: "casadi::Function*\n    casadi__Function__tangent__6(std::string ** err_msg, casadi::Function* obj, int x0, int x1)"
// call: "        casadi::Function ret = obj->tangent(x0_, x1_);"
// params: [(CInt,SwigOutput False),(CInt,SwigOutput False)]
extern "C"
casadi::Function*
    casadi__Function__tangent__6(std::string ** err_msg, casadi::Function* obj, int x0, int x1);
casadi::Function*
    casadi__Function__tangent__6(std::string ** err_msg, casadi::Function* obj, int x0, int x1){
    try {
        int x0_ = Marshaling<int,int>::marshal(x0);
        int x1_ = Marshaling<int,int>::marshal(x1);

        casadi::Function ret = obj->tangent(x0_, x1_);
        // x0 is not a swig output
        // x1 is not a swig output

        return WrapReturn< casadi::Function*, casadi::Function >::wrapReturn( ret );
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return 0;
    }
}


// ================== Normal method: "type_name" ===============
// class: "casadi::Function"
// cppName: "casadi::Function::type_name"
// cWrapperName: "casadi__Function__type_name"
// protoArgs: "(std::string ** err_msg, casadi::Function* obj)"
// args: "()"
// rettype: StdString
// cWrapperRetType: "std::string*"
// proto: "std::string*\n    casadi__Function__type_name(std::string ** err_msg, casadi::Function* obj)"
// call: "        std::string ret = obj->type_name();"
// params: []
extern "C"
std::string*
    casadi__Function__type_name(std::string ** err_msg, casadi::Function* obj);
std::string*
    casadi__Function__type_name(std::string ** err_msg, casadi::Function* obj){
    try {

        std::string ret = obj->type_name();

        return WrapReturn< std::string*, std::string >::wrapReturn( ret );
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return 0;
    }
}



// ================== delete UserType (Namespace ["casadi"]) (Name "GenericExpressionCommon")===============
// classType: UserType (Namespace ["casadi"]) (Name "GenericExpressionCommon")
extern "C"
void delete_casadi__GenericExpressionCommon(casadi::GenericExpressionCommon* obj);
void delete_casadi__GenericExpressionCommon(casadi::GenericExpressionCommon* obj){
    delete obj;
}


// ================== delete UserType (Namespace ["casadi"]) (Name "GenericMatrixCommon")===============
// classType: UserType (Namespace ["casadi"]) (Name "GenericMatrixCommon")
extern "C"
void delete_casadi__GenericMatrixCommon(casadi::GenericMatrixCommon* obj);
void delete_casadi__GenericMatrixCommon(casadi::GenericMatrixCommon* obj){
    delete obj;
}


// ================== delete UserType (Namespace ["casadi"]) (Name "GenericType")===============
// classType: UserType (Namespace ["casadi"]) (Name "GenericType")
extern "C"
void delete_casadi__GenericType(casadi::GenericType* obj);
void delete_casadi__GenericType(casadi::GenericType* obj){
    delete obj;
}

// ================== Constructor method: "CONSTRUCTOR" ===============
// class: "casadi::GenericType"
// cppName: "casadi::GenericType"
// cWrapperName: "casadi__GenericType__CONSTRUCTOR__0"
// protoArgs: "(std::string ** err_msg, std::map< std::string, casadi::GenericType* >* x0)"
// args: "(x0_)"
// rettype: UserType (Namespace ["casadi"]) (Name "GenericType")
// cWrapperRetType: "casadi::GenericType*"
// proto: "casadi::GenericType*\n    casadi__GenericType__CONSTRUCTOR__0(std::string ** err_msg, std::map< std::string, casadi::GenericType* >* x0)"
// call: "        casadi::GenericType* ret = (casadi::GenericType*)new casadi::GenericType(x0_);"
// params: [(Ref (Const (StdMap StdString (UserType (Namespace ["casadi"]) (Name "GenericType")))),SwigOutput False)]
extern "C"
casadi::GenericType*
    casadi__GenericType__CONSTRUCTOR__0(std::string ** err_msg, std::map< std::string, casadi::GenericType* >* x0);
casadi::GenericType*
    casadi__GenericType__CONSTRUCTOR__0(std::string ** err_msg, std::map< std::string, casadi::GenericType* >* x0){
    try {
        std::map< std::string, casadi::GenericType > x0_ = Marshaling<std::map< std::string, casadi::GenericType >,std::map< std::string, casadi::GenericType* >*>::marshal(x0);

        casadi::GenericType* ret = (casadi::GenericType*)new casadi::GenericType(x0_);
        // x0 is not a swig output

        return ret;
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return 0;
    }
}


// ================== Constructor method: "CONSTRUCTOR" ===============
// class: "casadi::GenericType"
// cppName: "casadi::GenericType"
// cWrapperName: "casadi__GenericType__CONSTRUCTOR__1"
// protoArgs: "(std::string ** err_msg, casadi::Function* x0)"
// args: "(x0_)"
// rettype: UserType (Namespace ["casadi"]) (Name "GenericType")
// cWrapperRetType: "casadi::GenericType*"
// proto: "casadi::GenericType*\n    casadi__GenericType__CONSTRUCTOR__1(std::string ** err_msg, casadi::Function* x0)"
// call: "        casadi::GenericType* ret = (casadi::GenericType*)new casadi::GenericType(x0_);"
// params: [(Ref (Const (UserType (Namespace ["casadi"]) (Name "Function"))),SwigOutput False)]
extern "C"
casadi::GenericType*
    casadi__GenericType__CONSTRUCTOR__1(std::string ** err_msg, casadi::Function* x0);
casadi::GenericType*
    casadi__GenericType__CONSTRUCTOR__1(std::string ** err_msg, casadi::Function* x0){
    try {
        casadi::Function& x0_ = Marshaling<casadi::Function&,casadi::Function*>::marshal(x0);

        casadi::GenericType* ret = (casadi::GenericType*)new casadi::GenericType(x0_);
        // x0 is not a swig output

        return ret;
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return 0;
    }
}


// ================== Constructor method: "CONSTRUCTOR" ===============
// class: "casadi::GenericType"
// cppName: "casadi::GenericType"
// cWrapperName: "casadi__GenericType__CONSTRUCTOR__2"
// protoArgs: "(std::string ** err_msg, std::vector< std::string* >* x0)"
// args: "(x0_)"
// rettype: UserType (Namespace ["casadi"]) (Name "GenericType")
// cWrapperRetType: "casadi::GenericType*"
// proto: "casadi::GenericType*\n    casadi__GenericType__CONSTRUCTOR__2(std::string ** err_msg, std::vector< std::string* >* x0)"
// call: "        casadi::GenericType* ret = (casadi::GenericType*)new casadi::GenericType(x0_);"
// params: [(Ref (Const (StdVec StdString)),SwigOutput False)]
extern "C"
casadi::GenericType*
    casadi__GenericType__CONSTRUCTOR__2(std::string ** err_msg, std::vector< std::string* >* x0);
casadi::GenericType*
    casadi__GenericType__CONSTRUCTOR__2(std::string ** err_msg, std::vector< std::string* >* x0){
    try {
        std::vector< std::string > x0_ = Marshaling<std::vector< std::string >,std::vector< std::string* >*>::marshal(x0);

        casadi::GenericType* ret = (casadi::GenericType*)new casadi::GenericType(x0_);
        // x0 is not a swig output

        return ret;
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return 0;
    }
}


// ================== Constructor method: "CONSTRUCTOR" ===============
// class: "casadi::GenericType"
// cppName: "casadi::GenericType"
// cWrapperName: "casadi__GenericType__CONSTRUCTOR__3"
// protoArgs: "(std::string ** err_msg, std::vector< double >* x0)"
// args: "(x0_)"
// rettype: UserType (Namespace ["casadi"]) (Name "GenericType")
// cWrapperRetType: "casadi::GenericType*"
// proto: "casadi::GenericType*\n    casadi__GenericType__CONSTRUCTOR__3(std::string ** err_msg, std::vector< double >* x0)"
// call: "        casadi::GenericType* ret = (casadi::GenericType*)new casadi::GenericType(x0_);"
// params: [(Ref (Const (StdVec CDouble)),SwigOutput False)]
extern "C"
casadi::GenericType*
    casadi__GenericType__CONSTRUCTOR__3(std::string ** err_msg, std::vector< double >* x0);
casadi::GenericType*
    casadi__GenericType__CONSTRUCTOR__3(std::string ** err_msg, std::vector< double >* x0){
    try {
        std::vector< double > x0_ = Marshaling<std::vector< double >,std::vector< double >*>::marshal(x0);

        casadi::GenericType* ret = (casadi::GenericType*)new casadi::GenericType(x0_);
        // x0 is not a swig output

        return ret;
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return 0;
    }
}


// ================== Constructor method: "CONSTRUCTOR" ===============
// class: "casadi::GenericType"
// cppName: "casadi::GenericType"
// cWrapperName: "casadi__GenericType__CONSTRUCTOR__4"
// protoArgs: "(std::string ** err_msg, std::vector< std::vector< int >* >* x0)"
// args: "(x0_)"
// rettype: UserType (Namespace ["casadi"]) (Name "GenericType")
// cWrapperRetType: "casadi::GenericType*"
// proto: "casadi::GenericType*\n    casadi__GenericType__CONSTRUCTOR__4(std::string ** err_msg, std::vector< std::vector< int >* >* x0)"
// call: "        casadi::GenericType* ret = (casadi::GenericType*)new casadi::GenericType(x0_);"
// params: [(Ref (Const (StdVec (StdVec CInt))),SwigOutput False)]
extern "C"
casadi::GenericType*
    casadi__GenericType__CONSTRUCTOR__4(std::string ** err_msg, std::vector< std::vector< int >* >* x0);
casadi::GenericType*
    casadi__GenericType__CONSTRUCTOR__4(std::string ** err_msg, std::vector< std::vector< int >* >* x0){
    try {
        std::vector< std::vector< int > > x0_ = Marshaling<std::vector< std::vector< int > >,std::vector< std::vector< int >* >*>::marshal(x0);

        casadi::GenericType* ret = (casadi::GenericType*)new casadi::GenericType(x0_);
        // x0 is not a swig output

        return ret;
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return 0;
    }
}


// ================== Constructor method: "CONSTRUCTOR" ===============
// class: "casadi::GenericType"
// cppName: "casadi::GenericType"
// cWrapperName: "casadi__GenericType__CONSTRUCTOR__5"
// protoArgs: "(std::string ** err_msg, std::vector< int >* x0)"
// args: "(x0_)"
// rettype: UserType (Namespace ["casadi"]) (Name "GenericType")
// cWrapperRetType: "casadi::GenericType*"
// proto: "casadi::GenericType*\n    casadi__GenericType__CONSTRUCTOR__5(std::string ** err_msg, std::vector< int >* x0)"
// call: "        casadi::GenericType* ret = (casadi::GenericType*)new casadi::GenericType(x0_);"
// params: [(Ref (Const (StdVec CInt)),SwigOutput False)]
extern "C"
casadi::GenericType*
    casadi__GenericType__CONSTRUCTOR__5(std::string ** err_msg, std::vector< int >* x0);
casadi::GenericType*
    casadi__GenericType__CONSTRUCTOR__5(std::string ** err_msg, std::vector< int >* x0){
    try {
        std::vector< int > x0_ = Marshaling<std::vector< int >,std::vector< int >*>::marshal(x0);

        casadi::GenericType* ret = (casadi::GenericType*)new casadi::GenericType(x0_);
        // x0 is not a swig output

        return ret;
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return 0;
    }
}


// ================== Constructor method: "CONSTRUCTOR" ===============
// class: "casadi::GenericType"
// cppName: "casadi::GenericType"
// cWrapperName: "casadi__GenericType__CONSTRUCTOR__6"
// protoArgs: "(std::string ** err_msg, std::vector< int >* x0)"
// args: "(x0_)"
// rettype: UserType (Namespace ["casadi"]) (Name "GenericType")
// cWrapperRetType: "casadi::GenericType*"
// proto: "casadi::GenericType*\n    casadi__GenericType__CONSTRUCTOR__6(std::string ** err_msg, std::vector< int >* x0)"
// call: "        casadi::GenericType* ret = (casadi::GenericType*)new casadi::GenericType(x0_);"
// params: [(Ref (Const (StdVec CBool)),SwigOutput False)]
extern "C"
casadi::GenericType*
    casadi__GenericType__CONSTRUCTOR__6(std::string ** err_msg, std::vector< int >* x0);
casadi::GenericType*
    casadi__GenericType__CONSTRUCTOR__6(std::string ** err_msg, std::vector< int >* x0){
    try {
        std::vector< bool > x0_ = Marshaling<std::vector< bool >,std::vector< int >*>::marshal(x0);

        casadi::GenericType* ret = (casadi::GenericType*)new casadi::GenericType(x0_);
        // x0 is not a swig output

        return ret;
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return 0;
    }
}


// ================== Constructor method: "CONSTRUCTOR" ===============
// class: "casadi::GenericType"
// cppName: "casadi::GenericType"
// cWrapperName: "casadi__GenericType__CONSTRUCTOR__7"
// protoArgs: "(std::string ** err_msg, std::string* x0)"
// args: "(x0_)"
// rettype: UserType (Namespace ["casadi"]) (Name "GenericType")
// cWrapperRetType: "casadi::GenericType*"
// proto: "casadi::GenericType*\n    casadi__GenericType__CONSTRUCTOR__7(std::string ** err_msg, std::string* x0)"
// call: "        casadi::GenericType* ret = (casadi::GenericType*)new casadi::GenericType(x0_);"
// params: [(Ref (Const StdString),SwigOutput False)]
extern "C"
casadi::GenericType*
    casadi__GenericType__CONSTRUCTOR__7(std::string ** err_msg, std::string* x0);
casadi::GenericType*
    casadi__GenericType__CONSTRUCTOR__7(std::string ** err_msg, std::string* x0){
    try {
        std::string& x0_ = Marshaling<std::string&,std::string*>::marshal(x0);

        casadi::GenericType* ret = (casadi::GenericType*)new casadi::GenericType(x0_);
        // x0 is not a swig output

        return ret;
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return 0;
    }
}


// ================== Constructor method: "CONSTRUCTOR" ===============
// class: "casadi::GenericType"
// cppName: "casadi::GenericType"
// cWrapperName: "casadi__GenericType__CONSTRUCTOR__8"
// protoArgs: "(std::string ** err_msg, double x0)"
// args: "(x0_)"
// rettype: UserType (Namespace ["casadi"]) (Name "GenericType")
// cWrapperRetType: "casadi::GenericType*"
// proto: "casadi::GenericType*\n    casadi__GenericType__CONSTRUCTOR__8(std::string ** err_msg, double x0)"
// call: "        casadi::GenericType* ret = (casadi::GenericType*)new casadi::GenericType(x0_);"
// params: [(CDouble,SwigOutput False)]
extern "C"
casadi::GenericType*
    casadi__GenericType__CONSTRUCTOR__8(std::string ** err_msg, double x0);
casadi::GenericType*
    casadi__GenericType__CONSTRUCTOR__8(std::string ** err_msg, double x0){
    try {
        double x0_ = Marshaling<double,double>::marshal(x0);

        casadi::GenericType* ret = (casadi::GenericType*)new casadi::GenericType(x0_);
        // x0 is not a swig output

        return ret;
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return 0;
    }
}


// ================== Constructor method: "CONSTRUCTOR" ===============
// class: "casadi::GenericType"
// cppName: "casadi::GenericType"
// cWrapperName: "casadi__GenericType__CONSTRUCTOR__9"
// protoArgs: "(std::string ** err_msg, int x0)"
// args: "(x0_)"
// rettype: UserType (Namespace ["casadi"]) (Name "GenericType")
// cWrapperRetType: "casadi::GenericType*"
// proto: "casadi::GenericType*\n    casadi__GenericType__CONSTRUCTOR__9(std::string ** err_msg, int x0)"
// call: "        casadi::GenericType* ret = (casadi::GenericType*)new casadi::GenericType(x0_);"
// params: [(CInt,SwigOutput False)]
extern "C"
casadi::GenericType*
    casadi__GenericType__CONSTRUCTOR__9(std::string ** err_msg, int x0);
casadi::GenericType*
    casadi__GenericType__CONSTRUCTOR__9(std::string ** err_msg, int x0){
    try {
        int x0_ = Marshaling<int,int>::marshal(x0);

        casadi::GenericType* ret = (casadi::GenericType*)new casadi::GenericType(x0_);
        // x0 is not a swig output

        return ret;
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return 0;
    }
}


// ================== Constructor method: "CONSTRUCTOR" ===============
// class: "casadi::GenericType"
// cppName: "casadi::GenericType"
// cWrapperName: "casadi__GenericType__CONSTRUCTOR__10"
// protoArgs: "(std::string ** err_msg, int x0)"
// args: "(x0_)"
// rettype: UserType (Namespace ["casadi"]) (Name "GenericType")
// cWrapperRetType: "casadi::GenericType*"
// proto: "casadi::GenericType*\n    casadi__GenericType__CONSTRUCTOR__10(std::string ** err_msg, int x0)"
// call: "        casadi::GenericType* ret = (casadi::GenericType*)new casadi::GenericType(x0_);"
// params: [(CBool,SwigOutput False)]
extern "C"
casadi::GenericType*
    casadi__GenericType__CONSTRUCTOR__10(std::string ** err_msg, int x0);
casadi::GenericType*
    casadi__GenericType__CONSTRUCTOR__10(std::string ** err_msg, int x0){
    try {
        bool x0_ = Marshaling<bool,int>::marshal(x0);

        casadi::GenericType* ret = (casadi::GenericType*)new casadi::GenericType(x0_);
        // x0 is not a swig output

        return ret;
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return 0;
    }
}


// ================== Constructor method: "CONSTRUCTOR" ===============
// class: "casadi::GenericType"
// cppName: "casadi::GenericType"
// cWrapperName: "casadi__GenericType__CONSTRUCTOR__11"
// protoArgs: "(std::string ** err_msg)"
// args: "()"
// rettype: UserType (Namespace ["casadi"]) (Name "GenericType")
// cWrapperRetType: "casadi::GenericType*"
// proto: "casadi::GenericType*\n    casadi__GenericType__CONSTRUCTOR__11(std::string ** err_msg)"
// call: "        casadi::GenericType* ret = (casadi::GenericType*)new casadi::GenericType();"
// params: []
extern "C"
casadi::GenericType*
    casadi__GenericType__CONSTRUCTOR__11(std::string ** err_msg);
casadi::GenericType*
    casadi__GenericType__CONSTRUCTOR__11(std::string ** err_msg){
    try {

        casadi::GenericType* ret = (casadi::GenericType*)new casadi::GenericType();

        return ret;
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return 0;
    }
}


// ================== Normal method: "as_bool" ===============
// class: "casadi::GenericType"
// cppName: "casadi::GenericType::as_bool"
// cWrapperName: "casadi__GenericType__as_bool"
// protoArgs: "(std::string ** err_msg, casadi::GenericType* obj)"
// args: "()"
// rettype: Const CBool
// cWrapperRetType: "int"
// proto: "int\n    casadi__GenericType__as_bool(std::string ** err_msg, casadi::GenericType* obj)"
// call: "        bool ret = obj->as_bool();"
// params: []
extern "C"
int
    casadi__GenericType__as_bool(std::string ** err_msg, casadi::GenericType* obj);
int
    casadi__GenericType__as_bool(std::string ** err_msg, casadi::GenericType* obj){
    try {

        bool ret = obj->as_bool();

        return WrapReturn< int, bool >::wrapReturn( ret );
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return 0;
    }
}


// ================== Normal method: "as_dict" ===============
// class: "casadi::GenericType"
// cppName: "casadi::GenericType::as_dict"
// cWrapperName: "casadi__GenericType__as_dict"
// protoArgs: "(std::string ** err_msg, casadi::GenericType* obj)"
// args: "()"
// rettype: Const (StdMap StdString (UserType (Namespace ["casadi"]) (Name "GenericType")))
// cWrapperRetType: "std::map< std::string, casadi::GenericType* >*"
// proto: "std::map< std::string, casadi::GenericType* >*\n    casadi__GenericType__as_dict(std::string ** err_msg, casadi::GenericType* obj)"
// call: "        std::map< std::string, casadi::GenericType > ret = obj->as_dict();"
// params: []
extern "C"
std::map< std::string, casadi::GenericType* >*
    casadi__GenericType__as_dict(std::string ** err_msg, casadi::GenericType* obj);
std::map< std::string, casadi::GenericType* >*
    casadi__GenericType__as_dict(std::string ** err_msg, casadi::GenericType* obj){
    try {

        std::map< std::string, casadi::GenericType > ret = obj->as_dict();

        return WrapReturn< std::map< std::string, casadi::GenericType* >*, std::map< std::string, casadi::GenericType > >::wrapReturn( ret );
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return 0;
    }
}


// ================== Normal method: "as_double" ===============
// class: "casadi::GenericType"
// cppName: "casadi::GenericType::as_double"
// cWrapperName: "casadi__GenericType__as_double"
// protoArgs: "(std::string ** err_msg, casadi::GenericType* obj)"
// args: "()"
// rettype: Const CDouble
// cWrapperRetType: "double"
// proto: "double\n    casadi__GenericType__as_double(std::string ** err_msg, casadi::GenericType* obj)"
// call: "        double ret = obj->as_double();"
// params: []
extern "C"
double
    casadi__GenericType__as_double(std::string ** err_msg, casadi::GenericType* obj);
double
    casadi__GenericType__as_double(std::string ** err_msg, casadi::GenericType* obj){
    try {

        double ret = obj->as_double();

        return WrapReturn< double, double >::wrapReturn( ret );
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return 0;
    }
}


// ================== Normal method: "as_double_vector" ===============
// class: "casadi::GenericType"
// cppName: "casadi::GenericType::as_double_vector"
// cWrapperName: "casadi__GenericType__as_double_vector"
// protoArgs: "(std::string ** err_msg, casadi::GenericType* obj)"
// args: "()"
// rettype: Const (StdVec CDouble)
// cWrapperRetType: "std::vector< double >*"
// proto: "std::vector< double >*\n    casadi__GenericType__as_double_vector(std::string ** err_msg, casadi::GenericType* obj)"
// call: "        std::vector< double > ret = obj->as_double_vector();"
// params: []
extern "C"
std::vector< double >*
    casadi__GenericType__as_double_vector(std::string ** err_msg, casadi::GenericType* obj);
std::vector< double >*
    casadi__GenericType__as_double_vector(std::string ** err_msg, casadi::GenericType* obj){
    try {

        std::vector< double > ret = obj->as_double_vector();

        return WrapReturn< std::vector< double >*, std::vector< double > >::wrapReturn( ret );
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return 0;
    }
}


// ================== Normal method: "as_function" ===============
// class: "casadi::GenericType"
// cppName: "casadi::GenericType::as_function"
// cWrapperName: "casadi__GenericType__as_function"
// protoArgs: "(std::string ** err_msg, casadi::GenericType* obj)"
// args: "()"
// rettype: Const (UserType (Namespace ["casadi"]) (Name "Function"))
// cWrapperRetType: "casadi::Function*"
// proto: "casadi::Function*\n    casadi__GenericType__as_function(std::string ** err_msg, casadi::GenericType* obj)"
// call: "        casadi::Function ret = obj->as_function();"
// params: []
extern "C"
casadi::Function*
    casadi__GenericType__as_function(std::string ** err_msg, casadi::GenericType* obj);
casadi::Function*
    casadi__GenericType__as_function(std::string ** err_msg, casadi::GenericType* obj){
    try {

        casadi::Function ret = obj->as_function();

        return WrapReturn< casadi::Function*, casadi::Function >::wrapReturn( ret );
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return 0;
    }
}


// ================== Normal method: "as_int" ===============
// class: "casadi::GenericType"
// cppName: "casadi::GenericType::as_int"
// cWrapperName: "casadi__GenericType__as_int"
// protoArgs: "(std::string ** err_msg, casadi::GenericType* obj)"
// args: "()"
// rettype: Const CInt
// cWrapperRetType: "int"
// proto: "int\n    casadi__GenericType__as_int(std::string ** err_msg, casadi::GenericType* obj)"
// call: "        int ret = obj->as_int();"
// params: []
extern "C"
int
    casadi__GenericType__as_int(std::string ** err_msg, casadi::GenericType* obj);
int
    casadi__GenericType__as_int(std::string ** err_msg, casadi::GenericType* obj){
    try {

        int ret = obj->as_int();

        return WrapReturn< int, int >::wrapReturn( ret );
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return 0;
    }
}


// ================== Normal method: "as_int_vector" ===============
// class: "casadi::GenericType"
// cppName: "casadi::GenericType::as_int_vector"
// cWrapperName: "casadi__GenericType__as_int_vector"
// protoArgs: "(std::string ** err_msg, casadi::GenericType* obj)"
// args: "()"
// rettype: Const (StdVec CInt)
// cWrapperRetType: "std::vector< int >*"
// proto: "std::vector< int >*\n    casadi__GenericType__as_int_vector(std::string ** err_msg, casadi::GenericType* obj)"
// call: "        std::vector< int > ret = obj->as_int_vector();"
// params: []
extern "C"
std::vector< int >*
    casadi__GenericType__as_int_vector(std::string ** err_msg, casadi::GenericType* obj);
std::vector< int >*
    casadi__GenericType__as_int_vector(std::string ** err_msg, casadi::GenericType* obj){
    try {

        std::vector< int > ret = obj->as_int_vector();

        return WrapReturn< std::vector< int >*, std::vector< int > >::wrapReturn( ret );
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return 0;
    }
}


// ================== Normal method: "as_int_vector_vector" ===============
// class: "casadi::GenericType"
// cppName: "casadi::GenericType::as_int_vector_vector"
// cWrapperName: "casadi__GenericType__as_int_vector_vector"
// protoArgs: "(std::string ** err_msg, casadi::GenericType* obj)"
// args: "()"
// rettype: Const (StdVec (StdVec CInt))
// cWrapperRetType: "std::vector< std::vector< int >* >*"
// proto: "std::vector< std::vector< int >* >*\n    casadi__GenericType__as_int_vector_vector(std::string ** err_msg, casadi::GenericType* obj)"
// call: "        std::vector< std::vector< int > > ret = obj->as_int_vector_vector();"
// params: []
extern "C"
std::vector< std::vector< int >* >*
    casadi__GenericType__as_int_vector_vector(std::string ** err_msg, casadi::GenericType* obj);
std::vector< std::vector< int >* >*
    casadi__GenericType__as_int_vector_vector(std::string ** err_msg, casadi::GenericType* obj){
    try {

        std::vector< std::vector< int > > ret = obj->as_int_vector_vector();

        return WrapReturn< std::vector< std::vector< int >* >*, std::vector< std::vector< int > > >::wrapReturn( ret );
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return 0;
    }
}


// ================== Normal method: "as_string" ===============
// class: "casadi::GenericType"
// cppName: "casadi::GenericType::as_string"
// cWrapperName: "casadi__GenericType__as_string"
// protoArgs: "(std::string ** err_msg, casadi::GenericType* obj)"
// args: "()"
// rettype: Const StdString
// cWrapperRetType: "std::string*"
// proto: "std::string*\n    casadi__GenericType__as_string(std::string ** err_msg, casadi::GenericType* obj)"
// call: "        std::string ret = obj->as_string();"
// params: []
extern "C"
std::string*
    casadi__GenericType__as_string(std::string ** err_msg, casadi::GenericType* obj);
std::string*
    casadi__GenericType__as_string(std::string ** err_msg, casadi::GenericType* obj){
    try {

        std::string ret = obj->as_string();

        return WrapReturn< std::string*, std::string >::wrapReturn( ret );
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return 0;
    }
}


// ================== Normal method: "as_string_vector" ===============
// class: "casadi::GenericType"
// cppName: "casadi::GenericType::as_string_vector"
// cWrapperName: "casadi__GenericType__as_string_vector"
// protoArgs: "(std::string ** err_msg, casadi::GenericType* obj)"
// args: "()"
// rettype: Const (StdVec StdString)
// cWrapperRetType: "std::vector< std::string* >*"
// proto: "std::vector< std::string* >*\n    casadi__GenericType__as_string_vector(std::string ** err_msg, casadi::GenericType* obj)"
// call: "        std::vector< std::string > ret = obj->as_string_vector();"
// params: []
extern "C"
std::vector< std::string* >*
    casadi__GenericType__as_string_vector(std::string ** err_msg, casadi::GenericType* obj);
std::vector< std::string* >*
    casadi__GenericType__as_string_vector(std::string ** err_msg, casadi::GenericType* obj){
    try {

        std::vector< std::string > ret = obj->as_string_vector();

        return WrapReturn< std::vector< std::string* >*, std::vector< std::string > >::wrapReturn( ret );
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return 0;
    }
}


// ================== Normal method: "as_void_pointer" ===============
// class: "casadi::GenericType"
// cppName: "casadi::GenericType::as_void_pointer"
// cWrapperName: "casadi__GenericType__as_void_pointer"
// protoArgs: "(std::string ** err_msg, casadi::GenericType* obj)"
// args: "()"
// rettype: CVoid
// cWrapperRetType: "void"
// proto: "void\n    casadi__GenericType__as_void_pointer(std::string ** err_msg, casadi::GenericType* obj)"
// call: "        obj->as_void_pointer();"
// params: []
extern "C"
void
    casadi__GenericType__as_void_pointer(std::string ** err_msg, casadi::GenericType* obj);
void
    casadi__GenericType__as_void_pointer(std::string ** err_msg, casadi::GenericType* obj){
    try {

        obj->as_void_pointer();

        return;
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return;
    }
}


// ================== Normal method: "getType" ===============
// class: "casadi::GenericType"
// cppName: "casadi::GenericType::getType"
// cWrapperName: "casadi__GenericType__getType"
// protoArgs: "(std::string ** err_msg, casadi::GenericType* obj)"
// args: "()"
// rettype: CEnum (Namespace ["casadi"]) (Name "TypeID")
// cWrapperRetType: "int"
// proto: "int\n    casadi__GenericType__getType(std::string ** err_msg, casadi::GenericType* obj)"
// call: "        casadi::TypeID ret = obj->getType();"
// params: []
extern "C"
int
    casadi__GenericType__getType(std::string ** err_msg, casadi::GenericType* obj);
int
    casadi__GenericType__getType(std::string ** err_msg, casadi::GenericType* obj){
    try {

        casadi::TypeID ret = obj->getType();

        return WrapReturn< int, casadi::TypeID >::wrapReturn( ret );
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return 0;
    }
}


// ================== Normal method: "get_description" ===============
// class: "casadi::GenericType"
// cppName: "casadi::GenericType::get_description"
// cWrapperName: "casadi__GenericType__get_description"
// protoArgs: "(std::string ** err_msg, casadi::GenericType* obj)"
// args: "()"
// rettype: StdString
// cWrapperRetType: "std::string*"
// proto: "std::string*\n    casadi__GenericType__get_description(std::string ** err_msg, casadi::GenericType* obj)"
// call: "        std::string ret = obj->get_description();"
// params: []
extern "C"
std::string*
    casadi__GenericType__get_description(std::string ** err_msg, casadi::GenericType* obj);
std::string*
    casadi__GenericType__get_description(std::string ** err_msg, casadi::GenericType* obj){
    try {

        std::string ret = obj->get_description();

        return WrapReturn< std::string*, std::string >::wrapReturn( ret );
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return 0;
    }
}


// ================== Normal method: "is_bool" ===============
// class: "casadi::GenericType"
// cppName: "casadi::GenericType::is_bool"
// cWrapperName: "casadi__GenericType__is_bool"
// protoArgs: "(std::string ** err_msg, casadi::GenericType* obj)"
// args: "()"
// rettype: CBool
// cWrapperRetType: "int"
// proto: "int\n    casadi__GenericType__is_bool(std::string ** err_msg, casadi::GenericType* obj)"
// call: "        bool ret = obj->is_bool();"
// params: []
extern "C"
int
    casadi__GenericType__is_bool(std::string ** err_msg, casadi::GenericType* obj);
int
    casadi__GenericType__is_bool(std::string ** err_msg, casadi::GenericType* obj){
    try {

        bool ret = obj->is_bool();

        return WrapReturn< int, bool >::wrapReturn( ret );
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return 0;
    }
}


// ================== Normal method: "is_dict" ===============
// class: "casadi::GenericType"
// cppName: "casadi::GenericType::is_dict"
// cWrapperName: "casadi__GenericType__is_dict"
// protoArgs: "(std::string ** err_msg, casadi::GenericType* obj)"
// args: "()"
// rettype: CBool
// cWrapperRetType: "int"
// proto: "int\n    casadi__GenericType__is_dict(std::string ** err_msg, casadi::GenericType* obj)"
// call: "        bool ret = obj->is_dict();"
// params: []
extern "C"
int
    casadi__GenericType__is_dict(std::string ** err_msg, casadi::GenericType* obj);
int
    casadi__GenericType__is_dict(std::string ** err_msg, casadi::GenericType* obj){
    try {

        bool ret = obj->is_dict();

        return WrapReturn< int, bool >::wrapReturn( ret );
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return 0;
    }
}


// ================== Normal method: "is_double" ===============
// class: "casadi::GenericType"
// cppName: "casadi::GenericType::is_double"
// cWrapperName: "casadi__GenericType__is_double"
// protoArgs: "(std::string ** err_msg, casadi::GenericType* obj)"
// args: "()"
// rettype: CBool
// cWrapperRetType: "int"
// proto: "int\n    casadi__GenericType__is_double(std::string ** err_msg, casadi::GenericType* obj)"
// call: "        bool ret = obj->is_double();"
// params: []
extern "C"
int
    casadi__GenericType__is_double(std::string ** err_msg, casadi::GenericType* obj);
int
    casadi__GenericType__is_double(std::string ** err_msg, casadi::GenericType* obj){
    try {

        bool ret = obj->is_double();

        return WrapReturn< int, bool >::wrapReturn( ret );
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return 0;
    }
}


// ================== Normal method: "is_double_vector" ===============
// class: "casadi::GenericType"
// cppName: "casadi::GenericType::is_double_vector"
// cWrapperName: "casadi__GenericType__is_double_vector"
// protoArgs: "(std::string ** err_msg, casadi::GenericType* obj)"
// args: "()"
// rettype: CBool
// cWrapperRetType: "int"
// proto: "int\n    casadi__GenericType__is_double_vector(std::string ** err_msg, casadi::GenericType* obj)"
// call: "        bool ret = obj->is_double_vector();"
// params: []
extern "C"
int
    casadi__GenericType__is_double_vector(std::string ** err_msg, casadi::GenericType* obj);
int
    casadi__GenericType__is_double_vector(std::string ** err_msg, casadi::GenericType* obj){
    try {

        bool ret = obj->is_double_vector();

        return WrapReturn< int, bool >::wrapReturn( ret );
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return 0;
    }
}


// ================== Normal method: "is_empty_vector" ===============
// class: "casadi::GenericType"
// cppName: "casadi::GenericType::is_empty_vector"
// cWrapperName: "casadi__GenericType__is_empty_vector"
// protoArgs: "(std::string ** err_msg, casadi::GenericType* obj)"
// args: "()"
// rettype: CBool
// cWrapperRetType: "int"
// proto: "int\n    casadi__GenericType__is_empty_vector(std::string ** err_msg, casadi::GenericType* obj)"
// call: "        bool ret = obj->is_empty_vector();"
// params: []
extern "C"
int
    casadi__GenericType__is_empty_vector(std::string ** err_msg, casadi::GenericType* obj);
int
    casadi__GenericType__is_empty_vector(std::string ** err_msg, casadi::GenericType* obj){
    try {

        bool ret = obj->is_empty_vector();

        return WrapReturn< int, bool >::wrapReturn( ret );
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return 0;
    }
}


// ================== Normal method: "is_function" ===============
// class: "casadi::GenericType"
// cppName: "casadi::GenericType::is_function"
// cWrapperName: "casadi__GenericType__is_function"
// protoArgs: "(std::string ** err_msg, casadi::GenericType* obj)"
// args: "()"
// rettype: CBool
// cWrapperRetType: "int"
// proto: "int\n    casadi__GenericType__is_function(std::string ** err_msg, casadi::GenericType* obj)"
// call: "        bool ret = obj->is_function();"
// params: []
extern "C"
int
    casadi__GenericType__is_function(std::string ** err_msg, casadi::GenericType* obj);
int
    casadi__GenericType__is_function(std::string ** err_msg, casadi::GenericType* obj){
    try {

        bool ret = obj->is_function();

        return WrapReturn< int, bool >::wrapReturn( ret );
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return 0;
    }
}


// ================== Normal method: "is_int" ===============
// class: "casadi::GenericType"
// cppName: "casadi::GenericType::is_int"
// cWrapperName: "casadi__GenericType__is_int"
// protoArgs: "(std::string ** err_msg, casadi::GenericType* obj)"
// args: "()"
// rettype: CBool
// cWrapperRetType: "int"
// proto: "int\n    casadi__GenericType__is_int(std::string ** err_msg, casadi::GenericType* obj)"
// call: "        bool ret = obj->is_int();"
// params: []
extern "C"
int
    casadi__GenericType__is_int(std::string ** err_msg, casadi::GenericType* obj);
int
    casadi__GenericType__is_int(std::string ** err_msg, casadi::GenericType* obj){
    try {

        bool ret = obj->is_int();

        return WrapReturn< int, bool >::wrapReturn( ret );
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return 0;
    }
}


// ================== Normal method: "is_int_vector" ===============
// class: "casadi::GenericType"
// cppName: "casadi::GenericType::is_int_vector"
// cWrapperName: "casadi__GenericType__is_int_vector"
// protoArgs: "(std::string ** err_msg, casadi::GenericType* obj)"
// args: "()"
// rettype: CBool
// cWrapperRetType: "int"
// proto: "int\n    casadi__GenericType__is_int_vector(std::string ** err_msg, casadi::GenericType* obj)"
// call: "        bool ret = obj->is_int_vector();"
// params: []
extern "C"
int
    casadi__GenericType__is_int_vector(std::string ** err_msg, casadi::GenericType* obj);
int
    casadi__GenericType__is_int_vector(std::string ** err_msg, casadi::GenericType* obj){
    try {

        bool ret = obj->is_int_vector();

        return WrapReturn< int, bool >::wrapReturn( ret );
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return 0;
    }
}


// ================== Normal method: "is_int_vector_vector" ===============
// class: "casadi::GenericType"
// cppName: "casadi::GenericType::is_int_vector_vector"
// cWrapperName: "casadi__GenericType__is_int_vector_vector"
// protoArgs: "(std::string ** err_msg, casadi::GenericType* obj)"
// args: "()"
// rettype: CBool
// cWrapperRetType: "int"
// proto: "int\n    casadi__GenericType__is_int_vector_vector(std::string ** err_msg, casadi::GenericType* obj)"
// call: "        bool ret = obj->is_int_vector_vector();"
// params: []
extern "C"
int
    casadi__GenericType__is_int_vector_vector(std::string ** err_msg, casadi::GenericType* obj);
int
    casadi__GenericType__is_int_vector_vector(std::string ** err_msg, casadi::GenericType* obj){
    try {

        bool ret = obj->is_int_vector_vector();

        return WrapReturn< int, bool >::wrapReturn( ret );
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return 0;
    }
}


// ================== Normal method: "is_string" ===============
// class: "casadi::GenericType"
// cppName: "casadi::GenericType::is_string"
// cWrapperName: "casadi__GenericType__is_string"
// protoArgs: "(std::string ** err_msg, casadi::GenericType* obj)"
// args: "()"
// rettype: CBool
// cWrapperRetType: "int"
// proto: "int\n    casadi__GenericType__is_string(std::string ** err_msg, casadi::GenericType* obj)"
// call: "        bool ret = obj->is_string();"
// params: []
extern "C"
int
    casadi__GenericType__is_string(std::string ** err_msg, casadi::GenericType* obj);
int
    casadi__GenericType__is_string(std::string ** err_msg, casadi::GenericType* obj){
    try {

        bool ret = obj->is_string();

        return WrapReturn< int, bool >::wrapReturn( ret );
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return 0;
    }
}


// ================== Normal method: "is_string_vector" ===============
// class: "casadi::GenericType"
// cppName: "casadi::GenericType::is_string_vector"
// cWrapperName: "casadi__GenericType__is_string_vector"
// protoArgs: "(std::string ** err_msg, casadi::GenericType* obj)"
// args: "()"
// rettype: CBool
// cWrapperRetType: "int"
// proto: "int\n    casadi__GenericType__is_string_vector(std::string ** err_msg, casadi::GenericType* obj)"
// call: "        bool ret = obj->is_string_vector();"
// params: []
extern "C"
int
    casadi__GenericType__is_string_vector(std::string ** err_msg, casadi::GenericType* obj);
int
    casadi__GenericType__is_string_vector(std::string ** err_msg, casadi::GenericType* obj){
    try {

        bool ret = obj->is_string_vector();

        return WrapReturn< int, bool >::wrapReturn( ret );
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return 0;
    }
}


// ================== Normal method: "is_void_pointer" ===============
// class: "casadi::GenericType"
// cppName: "casadi::GenericType::is_void_pointer"
// cWrapperName: "casadi__GenericType__is_void_pointer"
// protoArgs: "(std::string ** err_msg, casadi::GenericType* obj)"
// args: "()"
// rettype: CBool
// cWrapperRetType: "int"
// proto: "int\n    casadi__GenericType__is_void_pointer(std::string ** err_msg, casadi::GenericType* obj)"
// call: "        bool ret = obj->is_void_pointer();"
// params: []
extern "C"
int
    casadi__GenericType__is_void_pointer(std::string ** err_msg, casadi::GenericType* obj);
int
    casadi__GenericType__is_void_pointer(std::string ** err_msg, casadi::GenericType* obj){
    try {

        bool ret = obj->is_void_pointer();

        return WrapReturn< int, bool >::wrapReturn( ret );
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return 0;
    }
}


// ================== Normal method: "operator !=" ===============
// class: "casadi::GenericType"
// cppName: "casadi::GenericType::operator !="
// cWrapperName: "casadi__GenericType__operator__nequals"
// protoArgs: "(std::string ** err_msg, casadi::GenericType* obj, casadi::GenericType* x0)"
// args: "(x0_)"
// rettype: CBool
// cWrapperRetType: "int"
// proto: "int\n    casadi__GenericType__operator__nequals(std::string ** err_msg, casadi::GenericType* obj, casadi::GenericType* x0)"
// call: "        bool ret = obj->operator !=(x0_);"
// params: [(Ref (Const (UserType (Namespace ["casadi"]) (Name "GenericType"))),SwigOutput False)]
extern "C"
int
    casadi__GenericType__operator__nequals(std::string ** err_msg, casadi::GenericType* obj, casadi::GenericType* x0);
int
    casadi__GenericType__operator__nequals(std::string ** err_msg, casadi::GenericType* obj, casadi::GenericType* x0){
    try {
        casadi::GenericType& x0_ = Marshaling<casadi::GenericType&,casadi::GenericType*>::marshal(x0);

        bool ret = obj->operator !=(x0_);
        // x0 is not a swig output

        return WrapReturn< int, bool >::wrapReturn( ret );
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return 0;
    }
}


// ================== Normal method: "operator ==" ===============
// class: "casadi::GenericType"
// cppName: "casadi::GenericType::operator =="
// cWrapperName: "casadi__GenericType__operator__equals"
// protoArgs: "(std::string ** err_msg, casadi::GenericType* obj, casadi::GenericType* x0)"
// args: "(x0_)"
// rettype: CBool
// cWrapperRetType: "int"
// proto: "int\n    casadi__GenericType__operator__equals(std::string ** err_msg, casadi::GenericType* obj, casadi::GenericType* x0)"
// call: "        bool ret = obj->operator ==(x0_);"
// params: [(Ref (Const (UserType (Namespace ["casadi"]) (Name "GenericType"))),SwigOutput False)]
extern "C"
int
    casadi__GenericType__operator__equals(std::string ** err_msg, casadi::GenericType* obj, casadi::GenericType* x0);
int
    casadi__GenericType__operator__equals(std::string ** err_msg, casadi::GenericType* obj, casadi::GenericType* x0){
    try {
        casadi::GenericType& x0_ = Marshaling<casadi::GenericType&,casadi::GenericType*>::marshal(x0);

        bool ret = obj->operator ==(x0_);
        // x0 is not a swig output

        return WrapReturn< int, bool >::wrapReturn( ret );
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return 0;
    }
}


// ================== Normal method: "to_bool" ===============
// class: "casadi::GenericType"
// cppName: "casadi::GenericType::to_bool"
// cWrapperName: "casadi__GenericType__to_bool"
// protoArgs: "(std::string ** err_msg, casadi::GenericType* obj)"
// args: "()"
// rettype: CBool
// cWrapperRetType: "int"
// proto: "int\n    casadi__GenericType__to_bool(std::string ** err_msg, casadi::GenericType* obj)"
// call: "        bool ret = obj->to_bool();"
// params: []
extern "C"
int
    casadi__GenericType__to_bool(std::string ** err_msg, casadi::GenericType* obj);
int
    casadi__GenericType__to_bool(std::string ** err_msg, casadi::GenericType* obj){
    try {

        bool ret = obj->to_bool();

        return WrapReturn< int, bool >::wrapReturn( ret );
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return 0;
    }
}


// ================== Normal method: "to_bool_vector" ===============
// class: "casadi::GenericType"
// cppName: "casadi::GenericType::to_bool_vector"
// cWrapperName: "casadi__GenericType__to_bool_vector"
// protoArgs: "(std::string ** err_msg, casadi::GenericType* obj)"
// args: "()"
// rettype: StdVec CBool
// cWrapperRetType: "std::vector< int >*"
// proto: "std::vector< int >*\n    casadi__GenericType__to_bool_vector(std::string ** err_msg, casadi::GenericType* obj)"
// call: "        std::vector< bool > ret = obj->to_bool_vector();"
// params: []
extern "C"
std::vector< int >*
    casadi__GenericType__to_bool_vector(std::string ** err_msg, casadi::GenericType* obj);
std::vector< int >*
    casadi__GenericType__to_bool_vector(std::string ** err_msg, casadi::GenericType* obj){
    try {

        std::vector< bool > ret = obj->to_bool_vector();

        return WrapReturn< std::vector< int >*, std::vector< bool > >::wrapReturn( ret );
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return 0;
    }
}


// ================== Normal method: "to_dict" ===============
// class: "casadi::GenericType"
// cppName: "casadi::GenericType::to_dict"
// cWrapperName: "casadi__GenericType__to_dict"
// protoArgs: "(std::string ** err_msg, casadi::GenericType* obj)"
// args: "()"
// rettype: StdMap StdString (UserType (Namespace ["casadi"]) (Name "GenericType"))
// cWrapperRetType: "std::map< std::string, casadi::GenericType* >*"
// proto: "std::map< std::string, casadi::GenericType* >*\n    casadi__GenericType__to_dict(std::string ** err_msg, casadi::GenericType* obj)"
// call: "        std::map< std::string, casadi::GenericType > ret = obj->to_dict();"
// params: []
extern "C"
std::map< std::string, casadi::GenericType* >*
    casadi__GenericType__to_dict(std::string ** err_msg, casadi::GenericType* obj);
std::map< std::string, casadi::GenericType* >*
    casadi__GenericType__to_dict(std::string ** err_msg, casadi::GenericType* obj){
    try {

        std::map< std::string, casadi::GenericType > ret = obj->to_dict();

        return WrapReturn< std::map< std::string, casadi::GenericType* >*, std::map< std::string, casadi::GenericType > >::wrapReturn( ret );
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return 0;
    }
}


// ================== Normal method: "to_double" ===============
// class: "casadi::GenericType"
// cppName: "casadi::GenericType::to_double"
// cWrapperName: "casadi__GenericType__to_double"
// protoArgs: "(std::string ** err_msg, casadi::GenericType* obj)"
// args: "()"
// rettype: CDouble
// cWrapperRetType: "double"
// proto: "double\n    casadi__GenericType__to_double(std::string ** err_msg, casadi::GenericType* obj)"
// call: "        double ret = obj->to_double();"
// params: []
extern "C"
double
    casadi__GenericType__to_double(std::string ** err_msg, casadi::GenericType* obj);
double
    casadi__GenericType__to_double(std::string ** err_msg, casadi::GenericType* obj){
    try {

        double ret = obj->to_double();

        return WrapReturn< double, double >::wrapReturn( ret );
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return 0;
    }
}


// ================== Normal method: "to_double_vector" ===============
// class: "casadi::GenericType"
// cppName: "casadi::GenericType::to_double_vector"
// cWrapperName: "casadi__GenericType__to_double_vector"
// protoArgs: "(std::string ** err_msg, casadi::GenericType* obj)"
// args: "()"
// rettype: StdVec CDouble
// cWrapperRetType: "std::vector< double >*"
// proto: "std::vector< double >*\n    casadi__GenericType__to_double_vector(std::string ** err_msg, casadi::GenericType* obj)"
// call: "        std::vector< double > ret = obj->to_double_vector();"
// params: []
extern "C"
std::vector< double >*
    casadi__GenericType__to_double_vector(std::string ** err_msg, casadi::GenericType* obj);
std::vector< double >*
    casadi__GenericType__to_double_vector(std::string ** err_msg, casadi::GenericType* obj){
    try {

        std::vector< double > ret = obj->to_double_vector();

        return WrapReturn< std::vector< double >*, std::vector< double > >::wrapReturn( ret );
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return 0;
    }
}


// ================== Normal method: "to_function" ===============
// class: "casadi::GenericType"
// cppName: "casadi::GenericType::to_function"
// cWrapperName: "casadi__GenericType__to_function"
// protoArgs: "(std::string ** err_msg, casadi::GenericType* obj)"
// args: "()"
// rettype: UserType (Namespace ["casadi"]) (Name "Function")
// cWrapperRetType: "casadi::Function*"
// proto: "casadi::Function*\n    casadi__GenericType__to_function(std::string ** err_msg, casadi::GenericType* obj)"
// call: "        casadi::Function ret = obj->to_function();"
// params: []
extern "C"
casadi::Function*
    casadi__GenericType__to_function(std::string ** err_msg, casadi::GenericType* obj);
casadi::Function*
    casadi__GenericType__to_function(std::string ** err_msg, casadi::GenericType* obj){
    try {

        casadi::Function ret = obj->to_function();

        return WrapReturn< casadi::Function*, casadi::Function >::wrapReturn( ret );
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return 0;
    }
}


// ================== Normal method: "to_int" ===============
// class: "casadi::GenericType"
// cppName: "casadi::GenericType::to_int"
// cWrapperName: "casadi__GenericType__to_int"
// protoArgs: "(std::string ** err_msg, casadi::GenericType* obj)"
// args: "()"
// rettype: CInt
// cWrapperRetType: "int"
// proto: "int\n    casadi__GenericType__to_int(std::string ** err_msg, casadi::GenericType* obj)"
// call: "        int ret = obj->to_int();"
// params: []
extern "C"
int
    casadi__GenericType__to_int(std::string ** err_msg, casadi::GenericType* obj);
int
    casadi__GenericType__to_int(std::string ** err_msg, casadi::GenericType* obj){
    try {

        int ret = obj->to_int();

        return WrapReturn< int, int >::wrapReturn( ret );
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return 0;
    }
}


// ================== Normal method: "to_int_vector" ===============
// class: "casadi::GenericType"
// cppName: "casadi::GenericType::to_int_vector"
// cWrapperName: "casadi__GenericType__to_int_vector"
// protoArgs: "(std::string ** err_msg, casadi::GenericType* obj)"
// args: "()"
// rettype: StdVec CInt
// cWrapperRetType: "std::vector< int >*"
// proto: "std::vector< int >*\n    casadi__GenericType__to_int_vector(std::string ** err_msg, casadi::GenericType* obj)"
// call: "        std::vector< int > ret = obj->to_int_vector();"
// params: []
extern "C"
std::vector< int >*
    casadi__GenericType__to_int_vector(std::string ** err_msg, casadi::GenericType* obj);
std::vector< int >*
    casadi__GenericType__to_int_vector(std::string ** err_msg, casadi::GenericType* obj){
    try {

        std::vector< int > ret = obj->to_int_vector();

        return WrapReturn< std::vector< int >*, std::vector< int > >::wrapReturn( ret );
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return 0;
    }
}


// ================== Normal method: "to_int_vector_vector" ===============
// class: "casadi::GenericType"
// cppName: "casadi::GenericType::to_int_vector_vector"
// cWrapperName: "casadi__GenericType__to_int_vector_vector"
// protoArgs: "(std::string ** err_msg, casadi::GenericType* obj)"
// args: "()"
// rettype: StdVec (StdVec CInt)
// cWrapperRetType: "std::vector< std::vector< int >* >*"
// proto: "std::vector< std::vector< int >* >*\n    casadi__GenericType__to_int_vector_vector(std::string ** err_msg, casadi::GenericType* obj)"
// call: "        std::vector< std::vector< int > > ret = obj->to_int_vector_vector();"
// params: []
extern "C"
std::vector< std::vector< int >* >*
    casadi__GenericType__to_int_vector_vector(std::string ** err_msg, casadi::GenericType* obj);
std::vector< std::vector< int >* >*
    casadi__GenericType__to_int_vector_vector(std::string ** err_msg, casadi::GenericType* obj){
    try {

        std::vector< std::vector< int > > ret = obj->to_int_vector_vector();

        return WrapReturn< std::vector< std::vector< int >* >*, std::vector< std::vector< int > > >::wrapReturn( ret );
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return 0;
    }
}


// ================== Normal method: "to_string" ===============
// class: "casadi::GenericType"
// cppName: "casadi::GenericType::to_string"
// cWrapperName: "casadi__GenericType__to_string"
// protoArgs: "(std::string ** err_msg, casadi::GenericType* obj)"
// args: "()"
// rettype: StdString
// cWrapperRetType: "std::string*"
// proto: "std::string*\n    casadi__GenericType__to_string(std::string ** err_msg, casadi::GenericType* obj)"
// call: "        std::string ret = obj->to_string();"
// params: []
extern "C"
std::string*
    casadi__GenericType__to_string(std::string ** err_msg, casadi::GenericType* obj);
std::string*
    casadi__GenericType__to_string(std::string ** err_msg, casadi::GenericType* obj){
    try {

        std::string ret = obj->to_string();

        return WrapReturn< std::string*, std::string >::wrapReturn( ret );
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return 0;
    }
}


// ================== Normal method: "to_string_vector" ===============
// class: "casadi::GenericType"
// cppName: "casadi::GenericType::to_string_vector"
// cWrapperName: "casadi__GenericType__to_string_vector"
// protoArgs: "(std::string ** err_msg, casadi::GenericType* obj)"
// args: "()"
// rettype: StdVec StdString
// cWrapperRetType: "std::vector< std::string* >*"
// proto: "std::vector< std::string* >*\n    casadi__GenericType__to_string_vector(std::string ** err_msg, casadi::GenericType* obj)"
// call: "        std::vector< std::string > ret = obj->to_string_vector();"
// params: []
extern "C"
std::vector< std::string* >*
    casadi__GenericType__to_string_vector(std::string ** err_msg, casadi::GenericType* obj);
std::vector< std::string* >*
    casadi__GenericType__to_string_vector(std::string ** err_msg, casadi::GenericType* obj){
    try {

        std::vector< std::string > ret = obj->to_string_vector();

        return WrapReturn< std::vector< std::string* >*, std::vector< std::string > >::wrapReturn( ret );
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return 0;
    }
}


// ================== Normal method: "to_void_pointer" ===============
// class: "casadi::GenericType"
// cppName: "casadi::GenericType::to_void_pointer"
// cWrapperName: "casadi__GenericType__to_void_pointer"
// protoArgs: "(std::string ** err_msg, casadi::GenericType* obj)"
// args: "()"
// rettype: CVoid
// cWrapperRetType: "void"
// proto: "void\n    casadi__GenericType__to_void_pointer(std::string ** err_msg, casadi::GenericType* obj)"
// call: "        obj->to_void_pointer();"
// params: []
extern "C"
void
    casadi__GenericType__to_void_pointer(std::string ** err_msg, casadi::GenericType* obj);
void
    casadi__GenericType__to_void_pointer(std::string ** err_msg, casadi::GenericType* obj){
    try {

        obj->to_void_pointer();

        return;
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return;
    }
}



// ================== delete UserType (Namespace ["casadi"]) (Name "GlobalOptions")===============
// classType: UserType (Namespace ["casadi"]) (Name "GlobalOptions")
extern "C"
void delete_casadi__GlobalOptions(casadi::GlobalOptions* obj);
void delete_casadi__GlobalOptions(casadi::GlobalOptions* obj){
    delete obj;
}

// ================== Static method: "getCasadiPath" ===============
// class: "casadi::GlobalOptions"
// cppName: "casadi::GlobalOptions::getCasadiPath"
// cWrapperName: "casadi__GlobalOptions__getCasadiPath"
// protoArgs: "(std::string ** err_msg)"
// args: "()"
// rettype: StdString
// cWrapperRetType: "std::string*"
// proto: "std::string*\n    casadi__GlobalOptions__getCasadiPath(std::string ** err_msg)"
// call: "        std::string ret = casadi::GlobalOptions::getCasadiPath();"
// params: []
extern "C"
std::string*
    casadi__GlobalOptions__getCasadiPath(std::string ** err_msg);
std::string*
    casadi__GlobalOptions__getCasadiPath(std::string ** err_msg){
    try {

        std::string ret = casadi::GlobalOptions::getCasadiPath();

        return WrapReturn< std::string*, std::string >::wrapReturn( ret );
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return 0;
    }
}


// ================== Static method: "getHierarchicalSparsity" ===============
// class: "casadi::GlobalOptions"
// cppName: "casadi::GlobalOptions::getHierarchicalSparsity"
// cWrapperName: "casadi__GlobalOptions__getHierarchicalSparsity"
// protoArgs: "(std::string ** err_msg)"
// args: "()"
// rettype: CBool
// cWrapperRetType: "int"
// proto: "int\n    casadi__GlobalOptions__getHierarchicalSparsity(std::string ** err_msg)"
// call: "        bool ret = casadi::GlobalOptions::getHierarchicalSparsity();"
// params: []
extern "C"
int
    casadi__GlobalOptions__getHierarchicalSparsity(std::string ** err_msg);
int
    casadi__GlobalOptions__getHierarchicalSparsity(std::string ** err_msg){
    try {

        bool ret = casadi::GlobalOptions::getHierarchicalSparsity();

        return WrapReturn< int, bool >::wrapReturn( ret );
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return 0;
    }
}


// ================== Static method: "getSimplificationOnTheFly" ===============
// class: "casadi::GlobalOptions"
// cppName: "casadi::GlobalOptions::getSimplificationOnTheFly"
// cWrapperName: "casadi__GlobalOptions__getSimplificationOnTheFly"
// protoArgs: "(std::string ** err_msg)"
// args: "()"
// rettype: CBool
// cWrapperRetType: "int"
// proto: "int\n    casadi__GlobalOptions__getSimplificationOnTheFly(std::string ** err_msg)"
// call: "        bool ret = casadi::GlobalOptions::getSimplificationOnTheFly();"
// params: []
extern "C"
int
    casadi__GlobalOptions__getSimplificationOnTheFly(std::string ** err_msg);
int
    casadi__GlobalOptions__getSimplificationOnTheFly(std::string ** err_msg){
    try {

        bool ret = casadi::GlobalOptions::getSimplificationOnTheFly();

        return WrapReturn< int, bool >::wrapReturn( ret );
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return 0;
    }
}


// ================== Static method: "setCasadiPath" ===============
// class: "casadi::GlobalOptions"
// cppName: "casadi::GlobalOptions::setCasadiPath"
// cWrapperName: "casadi__GlobalOptions__setCasadiPath"
// protoArgs: "(std::string ** err_msg, std::string* x0)"
// args: "(x0_)"
// rettype: CVoid
// cWrapperRetType: "void"
// proto: "void\n    casadi__GlobalOptions__setCasadiPath(std::string ** err_msg, std::string* x0)"
// call: "        casadi::GlobalOptions::setCasadiPath(x0_);"
// params: [(Ref (Const StdString),SwigOutput False)]
extern "C"
void
    casadi__GlobalOptions__setCasadiPath(std::string ** err_msg, std::string* x0);
void
    casadi__GlobalOptions__setCasadiPath(std::string ** err_msg, std::string* x0){
    try {
        std::string& x0_ = Marshaling<std::string&,std::string*>::marshal(x0);

        casadi::GlobalOptions::setCasadiPath(x0_);
        // x0 is not a swig output

        return;
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return;
    }
}


// ================== Static method: "setHierarchicalSparsity" ===============
// class: "casadi::GlobalOptions"
// cppName: "casadi::GlobalOptions::setHierarchicalSparsity"
// cWrapperName: "casadi__GlobalOptions__setHierarchicalSparsity"
// protoArgs: "(std::string ** err_msg, int x0)"
// args: "(x0_)"
// rettype: CVoid
// cWrapperRetType: "void"
// proto: "void\n    casadi__GlobalOptions__setHierarchicalSparsity(std::string ** err_msg, int x0)"
// call: "        casadi::GlobalOptions::setHierarchicalSparsity(x0_);"
// params: [(CBool,SwigOutput False)]
extern "C"
void
    casadi__GlobalOptions__setHierarchicalSparsity(std::string ** err_msg, int x0);
void
    casadi__GlobalOptions__setHierarchicalSparsity(std::string ** err_msg, int x0){
    try {
        bool x0_ = Marshaling<bool,int>::marshal(x0);

        casadi::GlobalOptions::setHierarchicalSparsity(x0_);
        // x0 is not a swig output

        return;
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return;
    }
}


// ================== Static method: "setSimplificationOnTheFly" ===============
// class: "casadi::GlobalOptions"
// cppName: "casadi::GlobalOptions::setSimplificationOnTheFly"
// cWrapperName: "casadi__GlobalOptions__setSimplificationOnTheFly"
// protoArgs: "(std::string ** err_msg, int x0)"
// args: "(x0_)"
// rettype: CVoid
// cWrapperRetType: "void"
// proto: "void\n    casadi__GlobalOptions__setSimplificationOnTheFly(std::string ** err_msg, int x0)"
// call: "        casadi::GlobalOptions::setSimplificationOnTheFly(x0_);"
// params: [(CBool,SwigOutput False)]
extern "C"
void
    casadi__GlobalOptions__setSimplificationOnTheFly(std::string ** err_msg, int x0);
void
    casadi__GlobalOptions__setSimplificationOnTheFly(std::string ** err_msg, int x0){
    try {
        bool x0_ = Marshaling<bool,int>::marshal(x0);

        casadi::GlobalOptions::setSimplificationOnTheFly(x0_);
        // x0 is not a swig output

        return;
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return;
    }
}



// ================== delete UserType (Namespace ["casadi"]) (Name "IM")===============
// classType: UserType (Namespace ["casadi"]) (Name "IM")
extern "C"
void delete_casadi__IM(casadi::IM* obj);
void delete_casadi__IM(casadi::IM* obj){
    delete obj;
}

// ================== Constructor method: "CONSTRUCTOR" ===============
// class: "casadi::IM"
// cppName: "casadi::IM"
// cWrapperName: "casadi__IM__CONSTRUCTOR__0"
// protoArgs: "(std::string ** err_msg, std::vector< casadi::SXElem* >* x0)"
// args: "(x0_)"
// rettype: UserType (Namespace ["casadi"]) (Name "IM")
// cWrapperRetType: "casadi::IM*"
// proto: "casadi::IM*\n    casadi__IM__CONSTRUCTOR__0(std::string ** err_msg, std::vector< casadi::SXElem* >* x0)"
// call: "        casadi::IM* ret = (casadi::IM*)new casadi::IM(x0_);"
// params: [(Ref (Const (StdVec (UserType (Namespace ["casadi"]) (Name "SXElem")))),SwigOutput False)]
extern "C"
casadi::IM*
    casadi__IM__CONSTRUCTOR__0(std::string ** err_msg, std::vector< casadi::SXElem* >* x0);
casadi::IM*
    casadi__IM__CONSTRUCTOR__0(std::string ** err_msg, std::vector< casadi::SXElem* >* x0){
    try {
        std::vector< casadi::SXElem > x0_ = Marshaling<std::vector< casadi::SXElem >,std::vector< casadi::SXElem* >*>::marshal(x0);

        casadi::IM* ret = (casadi::IM*)new casadi::IM(x0_);
        // x0 is not a swig output

        return ret;
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return 0;
    }
}


// ================== Constructor method: "CONSTRUCTOR" ===============
// class: "casadi::IM"
// cppName: "casadi::IM"
// cWrapperName: "casadi__IM__CONSTRUCTOR__1"
// protoArgs: "(std::string ** err_msg, casadi::SX* x0)"
// args: "(x0_)"
// rettype: UserType (Namespace ["casadi"]) (Name "IM")
// cWrapperRetType: "casadi::IM*"
// proto: "casadi::IM*\n    casadi__IM__CONSTRUCTOR__1(std::string ** err_msg, casadi::SX* x0)"
// call: "        casadi::IM* ret = (casadi::IM*)new casadi::IM(x0_);"
// params: [(Ref (Const (UserType (Namespace ["casadi"]) (Name "SX"))),SwigOutput False)]
extern "C"
casadi::IM*
    casadi__IM__CONSTRUCTOR__1(std::string ** err_msg, casadi::SX* x0);
casadi::IM*
    casadi__IM__CONSTRUCTOR__1(std::string ** err_msg, casadi::SX* x0){
    try {
        casadi::SX& x0_ = Marshaling<casadi::SX&,casadi::SX*>::marshal(x0);

        casadi::IM* ret = (casadi::IM*)new casadi::IM(x0_);
        // x0 is not a swig output

        return ret;
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return 0;
    }
}


// ================== Constructor method: "CONSTRUCTOR" ===============
// class: "casadi::IM"
// cppName: "casadi::IM"
// cWrapperName: "casadi__IM__CONSTRUCTOR__2"
// protoArgs: "(std::string ** err_msg, std::vector< double >* x0)"
// args: "(x0_)"
// rettype: UserType (Namespace ["casadi"]) (Name "IM")
// cWrapperRetType: "casadi::IM*"
// proto: "casadi::IM*\n    casadi__IM__CONSTRUCTOR__2(std::string ** err_msg, std::vector< double >* x0)"
// call: "        casadi::IM* ret = (casadi::IM*)new casadi::IM(x0_);"
// params: [(Ref (Const (StdVec CDouble)),SwigOutput False)]
extern "C"
casadi::IM*
    casadi__IM__CONSTRUCTOR__2(std::string ** err_msg, std::vector< double >* x0);
casadi::IM*
    casadi__IM__CONSTRUCTOR__2(std::string ** err_msg, std::vector< double >* x0){
    try {
        std::vector< double > x0_ = Marshaling<std::vector< double >,std::vector< double >*>::marshal(x0);

        casadi::IM* ret = (casadi::IM*)new casadi::IM(x0_);
        // x0 is not a swig output

        return ret;
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return 0;
    }
}


// ================== Constructor method: "CONSTRUCTOR" ===============
// class: "casadi::IM"
// cppName: "casadi::IM"
// cWrapperName: "casadi__IM__CONSTRUCTOR__3"
// protoArgs: "(std::string ** err_msg, casadi::DM* x0)"
// args: "(x0_)"
// rettype: UserType (Namespace ["casadi"]) (Name "IM")
// cWrapperRetType: "casadi::IM*"
// proto: "casadi::IM*\n    casadi__IM__CONSTRUCTOR__3(std::string ** err_msg, casadi::DM* x0)"
// call: "        casadi::IM* ret = (casadi::IM*)new casadi::IM(x0_);"
// params: [(Ref (Const (UserType (Namespace ["casadi"]) (Name "DM"))),SwigOutput False)]
extern "C"
casadi::IM*
    casadi__IM__CONSTRUCTOR__3(std::string ** err_msg, casadi::DM* x0);
casadi::IM*
    casadi__IM__CONSTRUCTOR__3(std::string ** err_msg, casadi::DM* x0){
    try {
        casadi::DM& x0_ = Marshaling<casadi::DM&,casadi::DM*>::marshal(x0);

        casadi::IM* ret = (casadi::IM*)new casadi::IM(x0_);
        // x0 is not a swig output

        return ret;
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return 0;
    }
}


// ================== Constructor method: "CONSTRUCTOR" ===============
// class: "casadi::IM"
// cppName: "casadi::IM"
// cWrapperName: "casadi__IM__CONSTRUCTOR__4"
// protoArgs: "(std::string ** err_msg, std::vector< std::vector< double >* >* x0)"
// args: "(x0_)"
// rettype: UserType (Namespace ["casadi"]) (Name "IM")
// cWrapperRetType: "casadi::IM*"
// proto: "casadi::IM*\n    casadi__IM__CONSTRUCTOR__4(std::string ** err_msg, std::vector< std::vector< double >* >* x0)"
// call: "        casadi::IM* ret = (casadi::IM*)new casadi::IM(x0_);"
// params: [(Ref (Const (StdVec (StdVec CDouble))),SwigOutput False)]
extern "C"
casadi::IM*
    casadi__IM__CONSTRUCTOR__4(std::string ** err_msg, std::vector< std::vector< double >* >* x0);
casadi::IM*
    casadi__IM__CONSTRUCTOR__4(std::string ** err_msg, std::vector< std::vector< double >* >* x0){
    try {
        std::vector< std::vector< double > > x0_ = Marshaling<std::vector< std::vector< double > >,std::vector< std::vector< double >* >*>::marshal(x0);

        casadi::IM* ret = (casadi::IM*)new casadi::IM(x0_);
        // x0 is not a swig output

        return ret;
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return 0;
    }
}


// ================== Constructor method: "CONSTRUCTOR" ===============
// class: "casadi::IM"
// cppName: "casadi::IM"
// cWrapperName: "casadi__IM__CONSTRUCTOR__5"
// protoArgs: "(std::string ** err_msg, double x0)"
// args: "(x0_)"
// rettype: UserType (Namespace ["casadi"]) (Name "IM")
// cWrapperRetType: "casadi::IM*"
// proto: "casadi::IM*\n    casadi__IM__CONSTRUCTOR__5(std::string ** err_msg, double x0)"
// call: "        casadi::IM* ret = (casadi::IM*)new casadi::IM(x0_);"
// params: [(CDouble,SwigOutput False)]
extern "C"
casadi::IM*
    casadi__IM__CONSTRUCTOR__5(std::string ** err_msg, double x0);
casadi::IM*
    casadi__IM__CONSTRUCTOR__5(std::string ** err_msg, double x0){
    try {
        double x0_ = Marshaling<double,double>::marshal(x0);

        casadi::IM* ret = (casadi::IM*)new casadi::IM(x0_);
        // x0 is not a swig output

        return ret;
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return 0;
    }
}


// ================== Constructor method: "CONSTRUCTOR" ===============
// class: "casadi::IM"
// cppName: "casadi::IM"
// cWrapperName: "casadi__IM__CONSTRUCTOR__6"
// protoArgs: "(std::string ** err_msg, casadi::Sparsity* x0, casadi::IM* x1)"
// args: "(x0_, x1_)"
// rettype: UserType (Namespace ["casadi"]) (Name "IM")
// cWrapperRetType: "casadi::IM*"
// proto: "casadi::IM*\n    casadi__IM__CONSTRUCTOR__6(std::string ** err_msg, casadi::Sparsity* x0, casadi::IM* x1)"
// call: "        casadi::IM* ret = (casadi::IM*)new casadi::IM(x0_, x1_);"
// params: [(Ref (Const (UserType (Namespace ["casadi"]) (Name "Sparsity"))),SwigOutput False),(Ref (Const (UserType (Namespace ["casadi"]) (Name "IM"))),SwigOutput False)]
extern "C"
casadi::IM*
    casadi__IM__CONSTRUCTOR__6(std::string ** err_msg, casadi::Sparsity* x0, casadi::IM* x1);
casadi::IM*
    casadi__IM__CONSTRUCTOR__6(std::string ** err_msg, casadi::Sparsity* x0, casadi::IM* x1){
    try {
        casadi::Sparsity& x0_ = Marshaling<casadi::Sparsity&,casadi::Sparsity*>::marshal(x0);
        casadi::IM& x1_ = Marshaling<casadi::IM&,casadi::IM*>::marshal(x1);

        casadi::IM* ret = (casadi::IM*)new casadi::IM(x0_, x1_);
        // x0 is not a swig output
        // x1 is not a swig output

        return ret;
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return 0;
    }
}


// ================== Constructor method: "CONSTRUCTOR" ===============
// class: "casadi::IM"
// cppName: "casadi::IM"
// cWrapperName: "casadi__IM__CONSTRUCTOR__7"
// protoArgs: "(std::string ** err_msg, casadi::Sparsity* x0)"
// args: "(x0_)"
// rettype: UserType (Namespace ["casadi"]) (Name "IM")
// cWrapperRetType: "casadi::IM*"
// proto: "casadi::IM*\n    casadi__IM__CONSTRUCTOR__7(std::string ** err_msg, casadi::Sparsity* x0)"
// call: "        casadi::IM* ret = (casadi::IM*)new casadi::IM(x0_);"
// params: [(Ref (Const (UserType (Namespace ["casadi"]) (Name "Sparsity"))),SwigOutput False)]
extern "C"
casadi::IM*
    casadi__IM__CONSTRUCTOR__7(std::string ** err_msg, casadi::Sparsity* x0);
casadi::IM*
    casadi__IM__CONSTRUCTOR__7(std::string ** err_msg, casadi::Sparsity* x0){
    try {
        casadi::Sparsity& x0_ = Marshaling<casadi::Sparsity&,casadi::Sparsity*>::marshal(x0);

        casadi::IM* ret = (casadi::IM*)new casadi::IM(x0_);
        // x0 is not a swig output

        return ret;
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return 0;
    }
}


// ================== Constructor method: "CONSTRUCTOR" ===============
// class: "casadi::IM"
// cppName: "casadi::IM"
// cWrapperName: "casadi__IM__CONSTRUCTOR__8"
// protoArgs: "(std::string ** err_msg, int x0, int x1)"
// args: "(x0_, x1_)"
// rettype: UserType (Namespace ["casadi"]) (Name "IM")
// cWrapperRetType: "casadi::IM*"
// proto: "casadi::IM*\n    casadi__IM__CONSTRUCTOR__8(std::string ** err_msg, int x0, int x1)"
// call: "        casadi::IM* ret = (casadi::IM*)new casadi::IM(x0_, x1_);"
// params: [(CInt,SwigOutput False),(CInt,SwigOutput False)]
extern "C"
casadi::IM*
    casadi__IM__CONSTRUCTOR__8(std::string ** err_msg, int x0, int x1);
casadi::IM*
    casadi__IM__CONSTRUCTOR__8(std::string ** err_msg, int x0, int x1){
    try {
        int x0_ = Marshaling<int,int>::marshal(x0);
        int x1_ = Marshaling<int,int>::marshal(x1);

        casadi::IM* ret = (casadi::IM*)new casadi::IM(x0_, x1_);
        // x0 is not a swig output
        // x1 is not a swig output

        return ret;
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return 0;
    }
}


// ================== Constructor method: "CONSTRUCTOR" ===============
// class: "casadi::IM"
// cppName: "casadi::IM"
// cWrapperName: "casadi__IM__CONSTRUCTOR__9"
// protoArgs: "(std::string ** err_msg, casadi::IM* x0)"
// args: "(x0_)"
// rettype: UserType (Namespace ["casadi"]) (Name "IM")
// cWrapperRetType: "casadi::IM*"
// proto: "casadi::IM*\n    casadi__IM__CONSTRUCTOR__9(std::string ** err_msg, casadi::IM* x0)"
// call: "        casadi::IM* ret = (casadi::IM*)new casadi::IM(x0_);"
// params: [(Ref (Const (UserType (Namespace ["casadi"]) (Name "IM"))),SwigOutput False)]
extern "C"
casadi::IM*
    casadi__IM__CONSTRUCTOR__9(std::string ** err_msg, casadi::IM* x0);
casadi::IM*
    casadi__IM__CONSTRUCTOR__9(std::string ** err_msg, casadi::IM* x0){
    try {
        casadi::IM& x0_ = Marshaling<casadi::IM&,casadi::IM*>::marshal(x0);

        casadi::IM* ret = (casadi::IM*)new casadi::IM(x0_);
        // x0 is not a swig output

        return ret;
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return 0;
    }
}


// ================== Constructor method: "CONSTRUCTOR" ===============
// class: "casadi::IM"
// cppName: "casadi::IM"
// cWrapperName: "casadi__IM__CONSTRUCTOR__10"
// protoArgs: "(std::string ** err_msg)"
// args: "()"
// rettype: UserType (Namespace ["casadi"]) (Name "IM")
// cWrapperRetType: "casadi::IM*"
// proto: "casadi::IM*\n    casadi__IM__CONSTRUCTOR__10(std::string ** err_msg)"
// call: "        casadi::IM* ret = (casadi::IM*)new casadi::IM();"
// params: []
extern "C"
casadi::IM*
    casadi__IM__CONSTRUCTOR__10(std::string ** err_msg);
casadi::IM*
    casadi__IM__CONSTRUCTOR__10(std::string ** err_msg){
    try {

        casadi::IM* ret = (casadi::IM*)new casadi::IM();

        return ret;
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return 0;
    }
}


// ================== Normal method: "T" ===============
// class: "casadi::IM"
// cppName: "casadi::IM::T"
// cWrapperName: "casadi__IM__T"
// protoArgs: "(std::string ** err_msg, casadi::IM* obj)"
// args: "()"
// rettype: UserType (Namespace ["casadi"]) (Name "IM")
// cWrapperRetType: "casadi::IM*"
// proto: "casadi::IM*\n    casadi__IM__T(std::string ** err_msg, casadi::IM* obj)"
// call: "        casadi::IM ret = obj->T();"
// params: []
extern "C"
casadi::IM*
    casadi__IM__T(std::string ** err_msg, casadi::IM* obj);
casadi::IM*
    casadi__IM__T(std::string ** err_msg, casadi::IM* obj){
    try {

        casadi::IM ret = obj->T();

        return WrapReturn< casadi::IM*, casadi::IM >::wrapReturn( ret );
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return 0;
    }
}


// ================== Normal method: "__nonzero__" ===============
// class: "casadi::IM"
// cppName: "casadi::IM::__nonzero__"
// cWrapperName: "casadi__IM____nonzero__"
// protoArgs: "(std::string ** err_msg, casadi::IM* obj)"
// args: "()"
// rettype: CBool
// cWrapperRetType: "int"
// proto: "int\n    casadi__IM____nonzero__(std::string ** err_msg, casadi::IM* obj)"
// call: "        bool ret = obj->__nonzero__();"
// params: []
extern "C"
int
    casadi__IM____nonzero__(std::string ** err_msg, casadi::IM* obj);
int
    casadi__IM____nonzero__(std::string ** err_msg, casadi::IM* obj){
    try {

        bool ret = obj->__nonzero__();

        return WrapReturn< int, bool >::wrapReturn( ret );
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return 0;
    }
}


// ================== Static method: "binary" ===============
// class: "casadi::IM"
// cppName: "casadi::IM::binary"
// cWrapperName: "casadi__IM__binary"
// protoArgs: "(std::string ** err_msg, int x0, casadi::IM* x1, casadi::IM* x2)"
// args: "(x0_, x1_, x2_)"
// rettype: UserType (Namespace ["casadi"]) (Name "IM")
// cWrapperRetType: "casadi::IM*"
// proto: "casadi::IM*\n    casadi__IM__binary(std::string ** err_msg, int x0, casadi::IM* x1, casadi::IM* x2)"
// call: "        casadi::IM ret = casadi::IM::binary(x0_, x1_, x2_);"
// params: [(CInt,SwigOutput False),(Ref (Const (UserType (Namespace ["casadi"]) (Name "IM"))),SwigOutput False),(Ref (Const (UserType (Namespace ["casadi"]) (Name "IM"))),SwigOutput False)]
extern "C"
casadi::IM*
    casadi__IM__binary(std::string ** err_msg, int x0, casadi::IM* x1, casadi::IM* x2);
casadi::IM*
    casadi__IM__binary(std::string ** err_msg, int x0, casadi::IM* x1, casadi::IM* x2){
    try {
        int x0_ = Marshaling<int,int>::marshal(x0);
        casadi::IM& x1_ = Marshaling<casadi::IM&,casadi::IM*>::marshal(x1);
        casadi::IM& x2_ = Marshaling<casadi::IM&,casadi::IM*>::marshal(x2);

        casadi::IM ret = casadi::IM::binary(x0_, x1_, x2_);
        // x0 is not a swig output
        // x1 is not a swig output
        // x2 is not a swig output

        return WrapReturn< casadi::IM*, casadi::IM >::wrapReturn( ret );
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return 0;
    }
}


// ================== Normal method: "clear" ===============
// class: "casadi::IM"
// cppName: "casadi::IM::clear"
// cWrapperName: "casadi__IM__clear"
// protoArgs: "(std::string ** err_msg, casadi::IM* obj)"
// args: "()"
// rettype: CVoid
// cWrapperRetType: "void"
// proto: "void\n    casadi__IM__clear(std::string ** err_msg, casadi::IM* obj)"
// call: "        obj->clear();"
// params: []
extern "C"
void
    casadi__IM__clear(std::string ** err_msg, casadi::IM* obj);
void
    casadi__IM__clear(std::string ** err_msg, casadi::IM* obj){
    try {

        obj->clear();

        return;
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return;
    }
}


// ================== Normal method: "colind" ===============
// class: "casadi::IM"
// cppName: "casadi::IM::colind"
// cWrapperName: "casadi__IM__colind"
// protoArgs: "(std::string ** err_msg, casadi::IM* obj, int x0)"
// args: "(x0_)"
// rettype: CInt
// cWrapperRetType: "int"
// proto: "int\n    casadi__IM__colind(std::string ** err_msg, casadi::IM* obj, int x0)"
// call: "        int ret = obj->colind(x0_);"
// params: [(CInt,SwigOutput False)]
extern "C"
int
    casadi__IM__colind(std::string ** err_msg, casadi::IM* obj, int x0);
int
    casadi__IM__colind(std::string ** err_msg, casadi::IM* obj, int x0){
    try {
        int x0_ = Marshaling<int,int>::marshal(x0);

        int ret = obj->colind(x0_);
        // x0 is not a swig output

        return WrapReturn< int, int >::wrapReturn( ret );
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return 0;
    }
}


// ================== Normal method: "dep" ===============
// class: "casadi::IM"
// cppName: "casadi::IM::dep"
// cWrapperName: "casadi__IM__dep__0"
// protoArgs: "(std::string ** err_msg, casadi::IM* obj)"
// args: "()"
// rettype: UserType (Namespace ["casadi"]) (Name "IM")
// cWrapperRetType: "casadi::IM*"
// proto: "casadi::IM*\n    casadi__IM__dep__0(std::string ** err_msg, casadi::IM* obj)"
// call: "        casadi::IM ret = obj->dep();"
// params: []
extern "C"
casadi::IM*
    casadi__IM__dep__0(std::string ** err_msg, casadi::IM* obj);
casadi::IM*
    casadi__IM__dep__0(std::string ** err_msg, casadi::IM* obj){
    try {

        casadi::IM ret = obj->dep();

        return WrapReturn< casadi::IM*, casadi::IM >::wrapReturn( ret );
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return 0;
    }
}


// ================== Normal method: "dep" ===============
// class: "casadi::IM"
// cppName: "casadi::IM::dep"
// cWrapperName: "casadi__IM__dep__1"
// protoArgs: "(std::string ** err_msg, casadi::IM* obj, int x0)"
// args: "(x0_)"
// rettype: UserType (Namespace ["casadi"]) (Name "IM")
// cWrapperRetType: "casadi::IM*"
// proto: "casadi::IM*\n    casadi__IM__dep__1(std::string ** err_msg, casadi::IM* obj, int x0)"
// call: "        casadi::IM ret = obj->dep(x0_);"
// params: [(CInt,SwigOutput False)]
extern "C"
casadi::IM*
    casadi__IM__dep__1(std::string ** err_msg, casadi::IM* obj, int x0);
casadi::IM*
    casadi__IM__dep__1(std::string ** err_msg, casadi::IM* obj, int x0){
    try {
        int x0_ = Marshaling<int,int>::marshal(x0);

        casadi::IM ret = obj->dep(x0_);
        // x0 is not a swig output

        return WrapReturn< casadi::IM*, casadi::IM >::wrapReturn( ret );
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return 0;
    }
}


// ================== Normal method: "dim" ===============
// class: "casadi::IM"
// cppName: "casadi::IM::dim"
// cWrapperName: "casadi__IM__dim"
// protoArgs: "(std::string ** err_msg, casadi::IM* obj)"
// args: "()"
// rettype: StdString
// cWrapperRetType: "std::string*"
// proto: "std::string*\n    casadi__IM__dim(std::string ** err_msg, casadi::IM* obj)"
// call: "        std::string ret = obj->dim();"
// params: []
extern "C"
std::string*
    casadi__IM__dim(std::string ** err_msg, casadi::IM* obj);
std::string*
    casadi__IM__dim(std::string ** err_msg, casadi::IM* obj){
    try {

        std::string ret = obj->dim();

        return WrapReturn< std::string*, std::string >::wrapReturn( ret );
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return 0;
    }
}


// ================== Normal method: "element_hash" ===============
// class: "casadi::IM"
// cppName: "casadi::IM::element_hash"
// cWrapperName: "casadi__IM__element_hash"
// protoArgs: "(std::string ** err_msg, casadi::IM* obj)"
// args: "()"
// rettype: CSize
// cWrapperRetType: "size_t"
// proto: "size_t\n    casadi__IM__element_hash(std::string ** err_msg, casadi::IM* obj)"
// call: "        size_t ret = obj->element_hash();"
// params: []
extern "C"
size_t
    casadi__IM__element_hash(std::string ** err_msg, casadi::IM* obj);
size_t
    casadi__IM__element_hash(std::string ** err_msg, casadi::IM* obj){
    try {

        size_t ret = obj->element_hash();

        return WrapReturn< size_t, size_t >::wrapReturn( ret );
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return 0;
    }
}


// ================== Normal method: "enlarge" ===============
// class: "casadi::IM"
// cppName: "casadi::IM::enlarge"
// cWrapperName: "casadi__IM__enlarge__0"
// protoArgs: "(std::string ** err_msg, casadi::IM* obj, int x0, int x1, std::vector< int >* x2, std::vector< int >* x3)"
// args: "(x0_, x1_, x2_, x3_)"
// rettype: CVoid
// cWrapperRetType: "void"
// proto: "void\n    casadi__IM__enlarge__0(std::string ** err_msg, casadi::IM* obj, int x0, int x1, std::vector< int >* x2, std::vector< int >* x3)"
// call: "        obj->enlarge(x0_, x1_, x2_, x3_);"
// params: [(CInt,SwigOutput False),(CInt,SwigOutput False),(Ref (Const (StdVec CInt)),SwigOutput False),(Ref (Const (StdVec CInt)),SwigOutput False)]
extern "C"
void
    casadi__IM__enlarge__0(std::string ** err_msg, casadi::IM* obj, int x0, int x1, std::vector< int >* x2, std::vector< int >* x3);
void
    casadi__IM__enlarge__0(std::string ** err_msg, casadi::IM* obj, int x0, int x1, std::vector< int >* x2, std::vector< int >* x3){
    try {
        int x0_ = Marshaling<int,int>::marshal(x0);
        int x1_ = Marshaling<int,int>::marshal(x1);
        std::vector< int > x2_ = Marshaling<std::vector< int >,std::vector< int >*>::marshal(x2);
        std::vector< int > x3_ = Marshaling<std::vector< int >,std::vector< int >*>::marshal(x3);

        obj->enlarge(x0_, x1_, x2_, x3_);
        // x0 is not a swig output
        // x1 is not a swig output
        // x2 is not a swig output
        // x3 is not a swig output

        return;
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return;
    }
}


// ================== Normal method: "enlarge" ===============
// class: "casadi::IM"
// cppName: "casadi::IM::enlarge"
// cWrapperName: "casadi__IM__enlarge__1"
// protoArgs: "(std::string ** err_msg, casadi::IM* obj, int x0, int x1, std::vector< int >* x2, std::vector< int >* x3, int x4)"
// args: "(x0_, x1_, x2_, x3_, x4_)"
// rettype: CVoid
// cWrapperRetType: "void"
// proto: "void\n    casadi__IM__enlarge__1(std::string ** err_msg, casadi::IM* obj, int x0, int x1, std::vector< int >* x2, std::vector< int >* x3, int x4)"
// call: "        obj->enlarge(x0_, x1_, x2_, x3_, x4_);"
// params: [(CInt,SwigOutput False),(CInt,SwigOutput False),(Ref (Const (StdVec CInt)),SwigOutput False),(Ref (Const (StdVec CInt)),SwigOutput False),(CBool,SwigOutput False)]
extern "C"
void
    casadi__IM__enlarge__1(std::string ** err_msg, casadi::IM* obj, int x0, int x1, std::vector< int >* x2, std::vector< int >* x3, int x4);
void
    casadi__IM__enlarge__1(std::string ** err_msg, casadi::IM* obj, int x0, int x1, std::vector< int >* x2, std::vector< int >* x3, int x4){
    try {
        int x0_ = Marshaling<int,int>::marshal(x0);
        int x1_ = Marshaling<int,int>::marshal(x1);
        std::vector< int > x2_ = Marshaling<std::vector< int >,std::vector< int >*>::marshal(x2);
        std::vector< int > x3_ = Marshaling<std::vector< int >,std::vector< int >*>::marshal(x3);
        bool x4_ = Marshaling<bool,int>::marshal(x4);

        obj->enlarge(x0_, x1_, x2_, x3_, x4_);
        // x0 is not a swig output
        // x1 is not a swig output
        // x2 is not a swig output
        // x3 is not a swig output
        // x4 is not a swig output

        return;
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return;
    }
}


// ================== Normal method: "erase" ===============
// class: "casadi::IM"
// cppName: "casadi::IM::erase"
// cWrapperName: "casadi__IM__erase__0"
// protoArgs: "(std::string ** err_msg, casadi::IM* obj, std::vector< int >* x0)"
// args: "(x0_)"
// rettype: CVoid
// cWrapperRetType: "void"
// proto: "void\n    casadi__IM__erase__0(std::string ** err_msg, casadi::IM* obj, std::vector< int >* x0)"
// call: "        obj->erase(x0_);"
// params: [(Ref (Const (StdVec CInt)),SwigOutput False)]
extern "C"
void
    casadi__IM__erase__0(std::string ** err_msg, casadi::IM* obj, std::vector< int >* x0);
void
    casadi__IM__erase__0(std::string ** err_msg, casadi::IM* obj, std::vector< int >* x0){
    try {
        std::vector< int > x0_ = Marshaling<std::vector< int >,std::vector< int >*>::marshal(x0);

        obj->erase(x0_);
        // x0 is not a swig output

        return;
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return;
    }
}


// ================== Normal method: "erase" ===============
// class: "casadi::IM"
// cppName: "casadi::IM::erase"
// cWrapperName: "casadi__IM__erase__1"
// protoArgs: "(std::string ** err_msg, casadi::IM* obj, std::vector< int >* x0, int x1)"
// args: "(x0_, x1_)"
// rettype: CVoid
// cWrapperRetType: "void"
// proto: "void\n    casadi__IM__erase__1(std::string ** err_msg, casadi::IM* obj, std::vector< int >* x0, int x1)"
// call: "        obj->erase(x0_, x1_);"
// params: [(Ref (Const (StdVec CInt)),SwigOutput False),(CBool,SwigOutput False)]
extern "C"
void
    casadi__IM__erase__1(std::string ** err_msg, casadi::IM* obj, std::vector< int >* x0, int x1);
void
    casadi__IM__erase__1(std::string ** err_msg, casadi::IM* obj, std::vector< int >* x0, int x1){
    try {
        std::vector< int > x0_ = Marshaling<std::vector< int >,std::vector< int >*>::marshal(x0);
        bool x1_ = Marshaling<bool,int>::marshal(x1);

        obj->erase(x0_, x1_);
        // x0 is not a swig output
        // x1 is not a swig output

        return;
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return;
    }
}


// ================== Normal method: "erase" ===============
// class: "casadi::IM"
// cppName: "casadi::IM::erase"
// cWrapperName: "casadi__IM__erase__2"
// protoArgs: "(std::string ** err_msg, casadi::IM* obj, std::vector< int >* x0, std::vector< int >* x1)"
// args: "(x0_, x1_)"
// rettype: CVoid
// cWrapperRetType: "void"
// proto: "void\n    casadi__IM__erase__2(std::string ** err_msg, casadi::IM* obj, std::vector< int >* x0, std::vector< int >* x1)"
// call: "        obj->erase(x0_, x1_);"
// params: [(Ref (Const (StdVec CInt)),SwigOutput False),(Ref (Const (StdVec CInt)),SwigOutput False)]
extern "C"
void
    casadi__IM__erase__2(std::string ** err_msg, casadi::IM* obj, std::vector< int >* x0, std::vector< int >* x1);
void
    casadi__IM__erase__2(std::string ** err_msg, casadi::IM* obj, std::vector< int >* x0, std::vector< int >* x1){
    try {
        std::vector< int > x0_ = Marshaling<std::vector< int >,std::vector< int >*>::marshal(x0);
        std::vector< int > x1_ = Marshaling<std::vector< int >,std::vector< int >*>::marshal(x1);

        obj->erase(x0_, x1_);
        // x0 is not a swig output
        // x1 is not a swig output

        return;
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return;
    }
}


// ================== Normal method: "erase" ===============
// class: "casadi::IM"
// cppName: "casadi::IM::erase"
// cWrapperName: "casadi__IM__erase__3"
// protoArgs: "(std::string ** err_msg, casadi::IM* obj, std::vector< int >* x0, std::vector< int >* x1, int x2)"
// args: "(x0_, x1_, x2_)"
// rettype: CVoid
// cWrapperRetType: "void"
// proto: "void\n    casadi__IM__erase__3(std::string ** err_msg, casadi::IM* obj, std::vector< int >* x0, std::vector< int >* x1, int x2)"
// call: "        obj->erase(x0_, x1_, x2_);"
// params: [(Ref (Const (StdVec CInt)),SwigOutput False),(Ref (Const (StdVec CInt)),SwigOutput False),(CBool,SwigOutput False)]
extern "C"
void
    casadi__IM__erase__3(std::string ** err_msg, casadi::IM* obj, std::vector< int >* x0, std::vector< int >* x1, int x2);
void
    casadi__IM__erase__3(std::string ** err_msg, casadi::IM* obj, std::vector< int >* x0, std::vector< int >* x1, int x2){
    try {
        std::vector< int > x0_ = Marshaling<std::vector< int >,std::vector< int >*>::marshal(x0);
        std::vector< int > x1_ = Marshaling<std::vector< int >,std::vector< int >*>::marshal(x1);
        bool x2_ = Marshaling<bool,int>::marshal(x2);

        obj->erase(x0_, x1_, x2_);
        // x0 is not a swig output
        // x1 is not a swig output
        // x2 is not a swig output

        return;
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return;
    }
}


// ================== Static method: "eye" ===============
// class: "casadi::IM"
// cppName: "casadi::IM::eye"
// cWrapperName: "casadi__IM__eye"
// protoArgs: "(std::string ** err_msg, int x0)"
// args: "(x0_)"
// rettype: UserType (Namespace ["casadi"]) (Name "IM")
// cWrapperRetType: "casadi::IM*"
// proto: "casadi::IM*\n    casadi__IM__eye(std::string ** err_msg, int x0)"
// call: "        casadi::IM ret = casadi::IM::eye(x0_);"
// params: [(CInt,SwigOutput False)]
extern "C"
casadi::IM*
    casadi__IM__eye(std::string ** err_msg, int x0);
casadi::IM*
    casadi__IM__eye(std::string ** err_msg, int x0){
    try {
        int x0_ = Marshaling<int,int>::marshal(x0);

        casadi::IM ret = casadi::IM::eye(x0_);
        // x0 is not a swig output

        return WrapReturn< casadi::IM*, casadi::IM >::wrapReturn( ret );
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return 0;
    }
}


// ================== Normal method: "get" ===============
// class: "casadi::IM"
// cppName: "casadi::IM::get"
// cWrapperName: "casadi__IM__get__0"
// protoArgs: "(std::string ** err_msg, casadi::IM* obj, casadi::IM** x0, int x1, casadi::IM* x2, casadi::IM* x3)"
// args: "(x0_, x1_, x2_, x3_)"
// rettype: CVoid
// cWrapperRetType: "void"
// proto: "void\n    casadi__IM__get__0(std::string ** err_msg, casadi::IM* obj, casadi::IM** x0, int x1, casadi::IM* x2, casadi::IM* x3)"
// call: "        obj->get(x0_, x1_, x2_, x3_);"
// params: [(Ref (UserType (Namespace ["casadi"]) (Name "IM")),SwigOutput True),(CBool,SwigOutput False),(Ref (Const (UserType (Namespace ["casadi"]) (Name "IM"))),SwigOutput False),(Ref (Const (UserType (Namespace ["casadi"]) (Name "IM"))),SwigOutput False)]
extern "C"
void
    casadi__IM__get__0(std::string ** err_msg, casadi::IM* obj, casadi::IM** x0, int x1, casadi::IM* x2, casadi::IM* x3);
void
    casadi__IM__get__0(std::string ** err_msg, casadi::IM* obj, casadi::IM** x0, int x1, casadi::IM* x2, casadi::IM* x3){
    try {
        casadi::IM x0_ = casadi::IM();  // Swig output
        bool x1_ = Marshaling<bool,int>::marshal(x1);
        casadi::IM& x2_ = Marshaling<casadi::IM&,casadi::IM*>::marshal(x2);
        casadi::IM& x3_ = Marshaling<casadi::IM&,casadi::IM*>::marshal(x3);

        obj->get(x0_, x1_, x2_, x3_);
        *x0 = WrapReturn< casadi::IM*, casadi::IM >::wrapReturn( x0_ );
        // x1 is not a swig output
        // x2 is not a swig output
        // x3 is not a swig output

        return;
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return;
    }
}


// ================== Normal method: "get" ===============
// class: "casadi::IM"
// cppName: "casadi::IM::get"
// cWrapperName: "casadi__IM__get__1"
// protoArgs: "(std::string ** err_msg, casadi::IM* obj, casadi::IM** x0, int x1, casadi::IM* x2, casadi::Slice* x3)"
// args: "(x0_, x1_, x2_, x3_)"
// rettype: CVoid
// cWrapperRetType: "void"
// proto: "void\n    casadi__IM__get__1(std::string ** err_msg, casadi::IM* obj, casadi::IM** x0, int x1, casadi::IM* x2, casadi::Slice* x3)"
// call: "        obj->get(x0_, x1_, x2_, x3_);"
// params: [(Ref (UserType (Namespace ["casadi"]) (Name "IM")),SwigOutput True),(CBool,SwigOutput False),(Ref (Const (UserType (Namespace ["casadi"]) (Name "IM"))),SwigOutput False),(Ref (Const (UserType (Namespace ["casadi"]) (Name "Slice"))),SwigOutput False)]
extern "C"
void
    casadi__IM__get__1(std::string ** err_msg, casadi::IM* obj, casadi::IM** x0, int x1, casadi::IM* x2, casadi::Slice* x3);
void
    casadi__IM__get__1(std::string ** err_msg, casadi::IM* obj, casadi::IM** x0, int x1, casadi::IM* x2, casadi::Slice* x3){
    try {
        casadi::IM x0_ = casadi::IM();  // Swig output
        bool x1_ = Marshaling<bool,int>::marshal(x1);
        casadi::IM& x2_ = Marshaling<casadi::IM&,casadi::IM*>::marshal(x2);
        casadi::Slice& x3_ = Marshaling<casadi::Slice&,casadi::Slice*>::marshal(x3);

        obj->get(x0_, x1_, x2_, x3_);
        *x0 = WrapReturn< casadi::IM*, casadi::IM >::wrapReturn( x0_ );
        // x1 is not a swig output
        // x2 is not a swig output
        // x3 is not a swig output

        return;
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return;
    }
}


// ================== Normal method: "get" ===============
// class: "casadi::IM"
// cppName: "casadi::IM::get"
// cWrapperName: "casadi__IM__get__2"
// protoArgs: "(std::string ** err_msg, casadi::IM* obj, casadi::IM** x0, int x1, casadi::Slice* x2, casadi::IM* x3)"
// args: "(x0_, x1_, x2_, x3_)"
// rettype: CVoid
// cWrapperRetType: "void"
// proto: "void\n    casadi__IM__get__2(std::string ** err_msg, casadi::IM* obj, casadi::IM** x0, int x1, casadi::Slice* x2, casadi::IM* x3)"
// call: "        obj->get(x0_, x1_, x2_, x3_);"
// params: [(Ref (UserType (Namespace ["casadi"]) (Name "IM")),SwigOutput True),(CBool,SwigOutput False),(Ref (Const (UserType (Namespace ["casadi"]) (Name "Slice"))),SwigOutput False),(Ref (Const (UserType (Namespace ["casadi"]) (Name "IM"))),SwigOutput False)]
extern "C"
void
    casadi__IM__get__2(std::string ** err_msg, casadi::IM* obj, casadi::IM** x0, int x1, casadi::Slice* x2, casadi::IM* x3);
void
    casadi__IM__get__2(std::string ** err_msg, casadi::IM* obj, casadi::IM** x0, int x1, casadi::Slice* x2, casadi::IM* x3){
    try {
        casadi::IM x0_ = casadi::IM();  // Swig output
        bool x1_ = Marshaling<bool,int>::marshal(x1);
        casadi::Slice& x2_ = Marshaling<casadi::Slice&,casadi::Slice*>::marshal(x2);
        casadi::IM& x3_ = Marshaling<casadi::IM&,casadi::IM*>::marshal(x3);

        obj->get(x0_, x1_, x2_, x3_);
        *x0 = WrapReturn< casadi::IM*, casadi::IM >::wrapReturn( x0_ );
        // x1 is not a swig output
        // x2 is not a swig output
        // x3 is not a swig output

        return;
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return;
    }
}


// ================== Normal method: "get" ===============
// class: "casadi::IM"
// cppName: "casadi::IM::get"
// cWrapperName: "casadi__IM__get__3"
// protoArgs: "(std::string ** err_msg, casadi::IM* obj, casadi::IM** x0, int x1, casadi::Slice* x2, casadi::Slice* x3)"
// args: "(x0_, x1_, x2_, x3_)"
// rettype: CVoid
// cWrapperRetType: "void"
// proto: "void\n    casadi__IM__get__3(std::string ** err_msg, casadi::IM* obj, casadi::IM** x0, int x1, casadi::Slice* x2, casadi::Slice* x3)"
// call: "        obj->get(x0_, x1_, x2_, x3_);"
// params: [(Ref (UserType (Namespace ["casadi"]) (Name "IM")),SwigOutput True),(CBool,SwigOutput False),(Ref (Const (UserType (Namespace ["casadi"]) (Name "Slice"))),SwigOutput False),(Ref (Const (UserType (Namespace ["casadi"]) (Name "Slice"))),SwigOutput False)]
extern "C"
void
    casadi__IM__get__3(std::string ** err_msg, casadi::IM* obj, casadi::IM** x0, int x1, casadi::Slice* x2, casadi::Slice* x3);
void
    casadi__IM__get__3(std::string ** err_msg, casadi::IM* obj, casadi::IM** x0, int x1, casadi::Slice* x2, casadi::Slice* x3){
    try {
        casadi::IM x0_ = casadi::IM();  // Swig output
        bool x1_ = Marshaling<bool,int>::marshal(x1);
        casadi::Slice& x2_ = Marshaling<casadi::Slice&,casadi::Slice*>::marshal(x2);
        casadi::Slice& x3_ = Marshaling<casadi::Slice&,casadi::Slice*>::marshal(x3);

        obj->get(x0_, x1_, x2_, x3_);
        *x0 = WrapReturn< casadi::IM*, casadi::IM >::wrapReturn( x0_ );
        // x1 is not a swig output
        // x2 is not a swig output
        // x3 is not a swig output

        return;
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return;
    }
}


// ================== Normal method: "get" ===============
// class: "casadi::IM"
// cppName: "casadi::IM::get"
// cWrapperName: "casadi__IM__get__4"
// protoArgs: "(std::string ** err_msg, casadi::IM* obj, casadi::IM** x0, int x1, casadi::Sparsity* x2)"
// args: "(x0_, x1_, x2_)"
// rettype: CVoid
// cWrapperRetType: "void"
// proto: "void\n    casadi__IM__get__4(std::string ** err_msg, casadi::IM* obj, casadi::IM** x0, int x1, casadi::Sparsity* x2)"
// call: "        obj->get(x0_, x1_, x2_);"
// params: [(Ref (UserType (Namespace ["casadi"]) (Name "IM")),SwigOutput True),(CBool,SwigOutput False),(Ref (Const (UserType (Namespace ["casadi"]) (Name "Sparsity"))),SwigOutput False)]
extern "C"
void
    casadi__IM__get__4(std::string ** err_msg, casadi::IM* obj, casadi::IM** x0, int x1, casadi::Sparsity* x2);
void
    casadi__IM__get__4(std::string ** err_msg, casadi::IM* obj, casadi::IM** x0, int x1, casadi::Sparsity* x2){
    try {
        casadi::IM x0_ = casadi::IM();  // Swig output
        bool x1_ = Marshaling<bool,int>::marshal(x1);
        casadi::Sparsity& x2_ = Marshaling<casadi::Sparsity&,casadi::Sparsity*>::marshal(x2);

        obj->get(x0_, x1_, x2_);
        *x0 = WrapReturn< casadi::IM*, casadi::IM >::wrapReturn( x0_ );
        // x1 is not a swig output
        // x2 is not a swig output

        return;
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return;
    }
}


// ================== Normal method: "get" ===============
// class: "casadi::IM"
// cppName: "casadi::IM::get"
// cWrapperName: "casadi__IM__get__5"
// protoArgs: "(std::string ** err_msg, casadi::IM* obj, casadi::IM** x0, int x1, casadi::IM* x2)"
// args: "(x0_, x1_, x2_)"
// rettype: CVoid
// cWrapperRetType: "void"
// proto: "void\n    casadi__IM__get__5(std::string ** err_msg, casadi::IM* obj, casadi::IM** x0, int x1, casadi::IM* x2)"
// call: "        obj->get(x0_, x1_, x2_);"
// params: [(Ref (UserType (Namespace ["casadi"]) (Name "IM")),SwigOutput True),(CBool,SwigOutput False),(Ref (Const (UserType (Namespace ["casadi"]) (Name "IM"))),SwigOutput False)]
extern "C"
void
    casadi__IM__get__5(std::string ** err_msg, casadi::IM* obj, casadi::IM** x0, int x1, casadi::IM* x2);
void
    casadi__IM__get__5(std::string ** err_msg, casadi::IM* obj, casadi::IM** x0, int x1, casadi::IM* x2){
    try {
        casadi::IM x0_ = casadi::IM();  // Swig output
        bool x1_ = Marshaling<bool,int>::marshal(x1);
        casadi::IM& x2_ = Marshaling<casadi::IM&,casadi::IM*>::marshal(x2);

        obj->get(x0_, x1_, x2_);
        *x0 = WrapReturn< casadi::IM*, casadi::IM >::wrapReturn( x0_ );
        // x1 is not a swig output
        // x2 is not a swig output

        return;
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return;
    }
}


// ================== Normal method: "get" ===============
// class: "casadi::IM"
// cppName: "casadi::IM::get"
// cWrapperName: "casadi__IM__get__6"
// protoArgs: "(std::string ** err_msg, casadi::IM* obj, casadi::IM** x0, int x1, casadi::Slice* x2)"
// args: "(x0_, x1_, x2_)"
// rettype: CVoid
// cWrapperRetType: "void"
// proto: "void\n    casadi__IM__get__6(std::string ** err_msg, casadi::IM* obj, casadi::IM** x0, int x1, casadi::Slice* x2)"
// call: "        obj->get(x0_, x1_, x2_);"
// params: [(Ref (UserType (Namespace ["casadi"]) (Name "IM")),SwigOutput True),(CBool,SwigOutput False),(Ref (Const (UserType (Namespace ["casadi"]) (Name "Slice"))),SwigOutput False)]
extern "C"
void
    casadi__IM__get__6(std::string ** err_msg, casadi::IM* obj, casadi::IM** x0, int x1, casadi::Slice* x2);
void
    casadi__IM__get__6(std::string ** err_msg, casadi::IM* obj, casadi::IM** x0, int x1, casadi::Slice* x2){
    try {
        casadi::IM x0_ = casadi::IM();  // Swig output
        bool x1_ = Marshaling<bool,int>::marshal(x1);
        casadi::Slice& x2_ = Marshaling<casadi::Slice&,casadi::Slice*>::marshal(x2);

        obj->get(x0_, x1_, x2_);
        *x0 = WrapReturn< casadi::IM*, casadi::IM >::wrapReturn( x0_ );
        // x1 is not a swig output
        // x2 is not a swig output

        return;
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return;
    }
}


// ================== Static method: "getEqualityCheckingDepth" ===============
// class: "casadi::IM"
// cppName: "casadi::IM::getEqualityCheckingDepth"
// cWrapperName: "casadi__IM__getEqualityCheckingDepth"
// protoArgs: "(std::string ** err_msg)"
// args: "()"
// rettype: CInt
// cWrapperRetType: "int"
// proto: "int\n    casadi__IM__getEqualityCheckingDepth(std::string ** err_msg)"
// call: "        int ret = casadi::IM::getEqualityCheckingDepth();"
// params: []
extern "C"
int
    casadi__IM__getEqualityCheckingDepth(std::string ** err_msg);
int
    casadi__IM__getEqualityCheckingDepth(std::string ** err_msg){
    try {

        int ret = casadi::IM::getEqualityCheckingDepth();

        return WrapReturn< int, int >::wrapReturn( ret );
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return 0;
    }
}


// ================== Normal method: "get_colind" ===============
// class: "casadi::IM"
// cppName: "casadi::IM::get_colind"
// cWrapperName: "casadi__IM__get_colind"
// protoArgs: "(std::string ** err_msg, casadi::IM* obj)"
// args: "()"
// rettype: StdVec CInt
// cWrapperRetType: "std::vector< int >*"
// proto: "std::vector< int >*\n    casadi__IM__get_colind(std::string ** err_msg, casadi::IM* obj)"
// call: "        std::vector< int > ret = obj->get_colind();"
// params: []
extern "C"
std::vector< int >*
    casadi__IM__get_colind(std::string ** err_msg, casadi::IM* obj);
std::vector< int >*
    casadi__IM__get_colind(std::string ** err_msg, casadi::IM* obj){
    try {

        std::vector< int > ret = obj->get_colind();

        return WrapReturn< std::vector< int >*, std::vector< int > >::wrapReturn( ret );
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return 0;
    }
}


// ================== Static method: "get_input" ===============
// class: "casadi::IM"
// cppName: "casadi::IM::get_input"
// cWrapperName: "casadi__IM__get_input"
// protoArgs: "(std::string ** err_msg, casadi::Function* x0)"
// args: "(x0_)"
// rettype: StdVec (UserType (Namespace ["casadi"]) (Name "IM"))
// cWrapperRetType: "std::vector< casadi::IM* >*"
// proto: "std::vector< casadi::IM* >*\n    casadi__IM__get_input(std::string ** err_msg, casadi::Function* x0)"
// call: "        std::vector< casadi::IM > ret = casadi::IM::get_input(x0_);"
// params: [(Ref (Const (UserType (Namespace ["casadi"]) (Name "Function"))),SwigOutput False)]
extern "C"
std::vector< casadi::IM* >*
    casadi__IM__get_input(std::string ** err_msg, casadi::Function* x0);
std::vector< casadi::IM* >*
    casadi__IM__get_input(std::string ** err_msg, casadi::Function* x0){
    try {
        casadi::Function& x0_ = Marshaling<casadi::Function&,casadi::Function*>::marshal(x0);

        std::vector< casadi::IM > ret = casadi::IM::get_input(x0_);
        // x0 is not a swig output

        return WrapReturn< std::vector< casadi::IM* >*, std::vector< casadi::IM > >::wrapReturn( ret );
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return 0;
    }
}


// ================== Normal method: "get_nonzeros" ===============
// class: "casadi::IM"
// cppName: "casadi::IM::get_nonzeros"
// cWrapperName: "casadi__IM__get_nonzeros"
// protoArgs: "(std::string ** err_msg, casadi::IM* obj)"
// args: "()"
// rettype: StdVec CInt
// cWrapperRetType: "std::vector< int >*"
// proto: "std::vector< int >*\n    casadi__IM__get_nonzeros(std::string ** err_msg, casadi::IM* obj)"
// call: "        std::vector< int > ret = obj->get_nonzeros();"
// params: []
extern "C"
std::vector< int >*
    casadi__IM__get_nonzeros(std::string ** err_msg, casadi::IM* obj);
std::vector< int >*
    casadi__IM__get_nonzeros(std::string ** err_msg, casadi::IM* obj){
    try {

        std::vector< int > ret = obj->get_nonzeros();

        return WrapReturn< std::vector< int >*, std::vector< int > >::wrapReturn( ret );
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return 0;
    }
}


// ================== Normal method: "get_nz" ===============
// class: "casadi::IM"
// cppName: "casadi::IM::get_nz"
// cWrapperName: "casadi__IM__get_nz__0"
// protoArgs: "(std::string ** err_msg, casadi::IM* obj, casadi::IM** x0, int x1, casadi::IM* x2)"
// args: "(x0_, x1_, x2_)"
// rettype: CVoid
// cWrapperRetType: "void"
// proto: "void\n    casadi__IM__get_nz__0(std::string ** err_msg, casadi::IM* obj, casadi::IM** x0, int x1, casadi::IM* x2)"
// call: "        obj->get_nz(x0_, x1_, x2_);"
// params: [(Ref (UserType (Namespace ["casadi"]) (Name "IM")),SwigOutput True),(CBool,SwigOutput False),(Ref (Const (UserType (Namespace ["casadi"]) (Name "IM"))),SwigOutput False)]
extern "C"
void
    casadi__IM__get_nz__0(std::string ** err_msg, casadi::IM* obj, casadi::IM** x0, int x1, casadi::IM* x2);
void
    casadi__IM__get_nz__0(std::string ** err_msg, casadi::IM* obj, casadi::IM** x0, int x1, casadi::IM* x2){
    try {
        casadi::IM x0_ = casadi::IM();  // Swig output
        bool x1_ = Marshaling<bool,int>::marshal(x1);
        casadi::IM& x2_ = Marshaling<casadi::IM&,casadi::IM*>::marshal(x2);

        obj->get_nz(x0_, x1_, x2_);
        *x0 = WrapReturn< casadi::IM*, casadi::IM >::wrapReturn( x0_ );
        // x1 is not a swig output
        // x2 is not a swig output

        return;
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return;
    }
}


// ================== Normal method: "get_nz" ===============
// class: "casadi::IM"
// cppName: "casadi::IM::get_nz"
// cWrapperName: "casadi__IM__get_nz__1"
// protoArgs: "(std::string ** err_msg, casadi::IM* obj, casadi::IM** x0, int x1, casadi::Slice* x2)"
// args: "(x0_, x1_, x2_)"
// rettype: CVoid
// cWrapperRetType: "void"
// proto: "void\n    casadi__IM__get_nz__1(std::string ** err_msg, casadi::IM* obj, casadi::IM** x0, int x1, casadi::Slice* x2)"
// call: "        obj->get_nz(x0_, x1_, x2_);"
// params: [(Ref (UserType (Namespace ["casadi"]) (Name "IM")),SwigOutput True),(CBool,SwigOutput False),(Ref (Const (UserType (Namespace ["casadi"]) (Name "Slice"))),SwigOutput False)]
extern "C"
void
    casadi__IM__get_nz__1(std::string ** err_msg, casadi::IM* obj, casadi::IM** x0, int x1, casadi::Slice* x2);
void
    casadi__IM__get_nz__1(std::string ** err_msg, casadi::IM* obj, casadi::IM** x0, int x1, casadi::Slice* x2){
    try {
        casadi::IM x0_ = casadi::IM();  // Swig output
        bool x1_ = Marshaling<bool,int>::marshal(x1);
        casadi::Slice& x2_ = Marshaling<casadi::Slice&,casadi::Slice*>::marshal(x2);

        obj->get_nz(x0_, x1_, x2_);
        *x0 = WrapReturn< casadi::IM*, casadi::IM >::wrapReturn( x0_ );
        // x1 is not a swig output
        // x2 is not a swig output

        return;
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return;
    }
}


// ================== Normal method: "get_row" ===============
// class: "casadi::IM"
// cppName: "casadi::IM::get_row"
// cWrapperName: "casadi__IM__get_row"
// protoArgs: "(std::string ** err_msg, casadi::IM* obj)"
// args: "()"
// rettype: StdVec CInt
// cWrapperRetType: "std::vector< int >*"
// proto: "std::vector< int >*\n    casadi__IM__get_row(std::string ** err_msg, casadi::IM* obj)"
// call: "        std::vector< int > ret = obj->get_row();"
// params: []
extern "C"
std::vector< int >*
    casadi__IM__get_row(std::string ** err_msg, casadi::IM* obj);
std::vector< int >*
    casadi__IM__get_row(std::string ** err_msg, casadi::IM* obj){
    try {

        std::vector< int > ret = obj->get_row();

        return WrapReturn< std::vector< int >*, std::vector< int > >::wrapReturn( ret );
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return 0;
    }
}


// ================== Normal method: "get_sparsity" ===============
// class: "casadi::IM"
// cppName: "casadi::IM::get_sparsity"
// cWrapperName: "casadi__IM__get_sparsity"
// protoArgs: "(std::string ** err_msg, casadi::IM* obj)"
// args: "()"
// rettype: UserType (Namespace ["casadi"]) (Name "Sparsity")
// cWrapperRetType: "casadi::Sparsity*"
// proto: "casadi::Sparsity*\n    casadi__IM__get_sparsity(std::string ** err_msg, casadi::IM* obj)"
// call: "        casadi::Sparsity ret = obj->get_sparsity();"
// params: []
extern "C"
casadi::Sparsity*
    casadi__IM__get_sparsity(std::string ** err_msg, casadi::IM* obj);
casadi::Sparsity*
    casadi__IM__get_sparsity(std::string ** err_msg, casadi::IM* obj){
    try {

        casadi::Sparsity ret = obj->get_sparsity();

        return WrapReturn< casadi::Sparsity*, casadi::Sparsity >::wrapReturn( ret );
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return 0;
    }
}


// ================== Static method: "grad" ===============
// class: "casadi::IM"
// cppName: "casadi::IM::grad"
// cWrapperName: "casadi__IM__grad__0"
// protoArgs: "(std::string ** err_msg, casadi::Function* x0, std::string* x1, std::string* x2)"
// args: "(x0_, x1_, x2_)"
// rettype: UserType (Namespace ["casadi"]) (Name "IM")
// cWrapperRetType: "casadi::IM*"
// proto: "casadi::IM*\n    casadi__IM__grad__0(std::string ** err_msg, casadi::Function* x0, std::string* x1, std::string* x2)"
// call: "        casadi::IM ret = casadi::IM::grad(x0_, x1_, x2_);"
// params: [(Ref (Const (UserType (Namespace ["casadi"]) (Name "Function"))),SwigOutput False),(Ref (Const StdString),SwigOutput False),(Ref (Const StdString),SwigOutput False)]
extern "C"
casadi::IM*
    casadi__IM__grad__0(std::string ** err_msg, casadi::Function* x0, std::string* x1, std::string* x2);
casadi::IM*
    casadi__IM__grad__0(std::string ** err_msg, casadi::Function* x0, std::string* x1, std::string* x2){
    try {
        casadi::Function& x0_ = Marshaling<casadi::Function&,casadi::Function*>::marshal(x0);
        std::string& x1_ = Marshaling<std::string&,std::string*>::marshal(x1);
        std::string& x2_ = Marshaling<std::string&,std::string*>::marshal(x2);

        casadi::IM ret = casadi::IM::grad(x0_, x1_, x2_);
        // x0 is not a swig output
        // x1 is not a swig output
        // x2 is not a swig output

        return WrapReturn< casadi::IM*, casadi::IM >::wrapReturn( ret );
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return 0;
    }
}


// ================== Static method: "grad" ===============
// class: "casadi::IM"
// cppName: "casadi::IM::grad"
// cWrapperName: "casadi__IM__grad__1"
// protoArgs: "(std::string ** err_msg, casadi::Function* x0, int x1, std::string* x2)"
// args: "(x0_, x1_, x2_)"
// rettype: UserType (Namespace ["casadi"]) (Name "IM")
// cWrapperRetType: "casadi::IM*"
// proto: "casadi::IM*\n    casadi__IM__grad__1(std::string ** err_msg, casadi::Function* x0, int x1, std::string* x2)"
// call: "        casadi::IM ret = casadi::IM::grad(x0_, x1_, x2_);"
// params: [(Ref (Const (UserType (Namespace ["casadi"]) (Name "Function"))),SwigOutput False),(CInt,SwigOutput False),(Ref (Const StdString),SwigOutput False)]
extern "C"
casadi::IM*
    casadi__IM__grad__1(std::string ** err_msg, casadi::Function* x0, int x1, std::string* x2);
casadi::IM*
    casadi__IM__grad__1(std::string ** err_msg, casadi::Function* x0, int x1, std::string* x2){
    try {
        casadi::Function& x0_ = Marshaling<casadi::Function&,casadi::Function*>::marshal(x0);
        int x1_ = Marshaling<int,int>::marshal(x1);
        std::string& x2_ = Marshaling<std::string&,std::string*>::marshal(x2);

        casadi::IM ret = casadi::IM::grad(x0_, x1_, x2_);
        // x0 is not a swig output
        // x1 is not a swig output
        // x2 is not a swig output

        return WrapReturn< casadi::IM*, casadi::IM >::wrapReturn( ret );
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return 0;
    }
}


// ================== Static method: "grad" ===============
// class: "casadi::IM"
// cppName: "casadi::IM::grad"
// cWrapperName: "casadi__IM__grad__2"
// protoArgs: "(std::string ** err_msg, casadi::Function* x0, std::string* x1)"
// args: "(x0_, x1_)"
// rettype: UserType (Namespace ["casadi"]) (Name "IM")
// cWrapperRetType: "casadi::IM*"
// proto: "casadi::IM*\n    casadi__IM__grad__2(std::string ** err_msg, casadi::Function* x0, std::string* x1)"
// call: "        casadi::IM ret = casadi::IM::grad(x0_, x1_);"
// params: [(Ref (Const (UserType (Namespace ["casadi"]) (Name "Function"))),SwigOutput False),(Ref (Const StdString),SwigOutput False)]
extern "C"
casadi::IM*
    casadi__IM__grad__2(std::string ** err_msg, casadi::Function* x0, std::string* x1);
casadi::IM*
    casadi__IM__grad__2(std::string ** err_msg, casadi::Function* x0, std::string* x1){
    try {
        casadi::Function& x0_ = Marshaling<casadi::Function&,casadi::Function*>::marshal(x0);
        std::string& x1_ = Marshaling<std::string&,std::string*>::marshal(x1);

        casadi::IM ret = casadi::IM::grad(x0_, x1_);
        // x0 is not a swig output
        // x1 is not a swig output

        return WrapReturn< casadi::IM*, casadi::IM >::wrapReturn( ret );
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return 0;
    }
}


// ================== Static method: "grad" ===============
// class: "casadi::IM"
// cppName: "casadi::IM::grad"
// cWrapperName: "casadi__IM__grad__3"
// protoArgs: "(std::string ** err_msg, casadi::Function* x0, std::string* x1, int x2)"
// args: "(x0_, x1_, x2_)"
// rettype: UserType (Namespace ["casadi"]) (Name "IM")
// cWrapperRetType: "casadi::IM*"
// proto: "casadi::IM*\n    casadi__IM__grad__3(std::string ** err_msg, casadi::Function* x0, std::string* x1, int x2)"
// call: "        casadi::IM ret = casadi::IM::grad(x0_, x1_, x2_);"
// params: [(Ref (Const (UserType (Namespace ["casadi"]) (Name "Function"))),SwigOutput False),(Ref (Const StdString),SwigOutput False),(CInt,SwigOutput False)]
extern "C"
casadi::IM*
    casadi__IM__grad__3(std::string ** err_msg, casadi::Function* x0, std::string* x1, int x2);
casadi::IM*
    casadi__IM__grad__3(std::string ** err_msg, casadi::Function* x0, std::string* x1, int x2){
    try {
        casadi::Function& x0_ = Marshaling<casadi::Function&,casadi::Function*>::marshal(x0);
        std::string& x1_ = Marshaling<std::string&,std::string*>::marshal(x1);
        int x2_ = Marshaling<int,int>::marshal(x2);

        casadi::IM ret = casadi::IM::grad(x0_, x1_, x2_);
        // x0 is not a swig output
        // x1 is not a swig output
        // x2 is not a swig output

        return WrapReturn< casadi::IM*, casadi::IM >::wrapReturn( ret );
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return 0;
    }
}


// ================== Static method: "grad" ===============
// class: "casadi::IM"
// cppName: "casadi::IM::grad"
// cWrapperName: "casadi__IM__grad__4"
// protoArgs: "(std::string ** err_msg, casadi::Function* x0)"
// args: "(x0_)"
// rettype: UserType (Namespace ["casadi"]) (Name "IM")
// cWrapperRetType: "casadi::IM*"
// proto: "casadi::IM*\n    casadi__IM__grad__4(std::string ** err_msg, casadi::Function* x0)"
// call: "        casadi::IM ret = casadi::IM::grad(x0_);"
// params: [(Ref (Const (UserType (Namespace ["casadi"]) (Name "Function"))),SwigOutput False)]
extern "C"
casadi::IM*
    casadi__IM__grad__4(std::string ** err_msg, casadi::Function* x0);
casadi::IM*
    casadi__IM__grad__4(std::string ** err_msg, casadi::Function* x0){
    try {
        casadi::Function& x0_ = Marshaling<casadi::Function&,casadi::Function*>::marshal(x0);

        casadi::IM ret = casadi::IM::grad(x0_);
        // x0 is not a swig output

        return WrapReturn< casadi::IM*, casadi::IM >::wrapReturn( ret );
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return 0;
    }
}


// ================== Static method: "grad" ===============
// class: "casadi::IM"
// cppName: "casadi::IM::grad"
// cWrapperName: "casadi__IM__grad__5"
// protoArgs: "(std::string ** err_msg, casadi::Function* x0, int x1)"
// args: "(x0_, x1_)"
// rettype: UserType (Namespace ["casadi"]) (Name "IM")
// cWrapperRetType: "casadi::IM*"
// proto: "casadi::IM*\n    casadi__IM__grad__5(std::string ** err_msg, casadi::Function* x0, int x1)"
// call: "        casadi::IM ret = casadi::IM::grad(x0_, x1_);"
// params: [(Ref (Const (UserType (Namespace ["casadi"]) (Name "Function"))),SwigOutput False),(CInt,SwigOutput False)]
extern "C"
casadi::IM*
    casadi__IM__grad__5(std::string ** err_msg, casadi::Function* x0, int x1);
casadi::IM*
    casadi__IM__grad__5(std::string ** err_msg, casadi::Function* x0, int x1){
    try {
        casadi::Function& x0_ = Marshaling<casadi::Function&,casadi::Function*>::marshal(x0);
        int x1_ = Marshaling<int,int>::marshal(x1);

        casadi::IM ret = casadi::IM::grad(x0_, x1_);
        // x0 is not a swig output
        // x1 is not a swig output

        return WrapReturn< casadi::IM*, casadi::IM >::wrapReturn( ret );
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return 0;
    }
}


// ================== Static method: "grad" ===============
// class: "casadi::IM"
// cppName: "casadi::IM::grad"
// cWrapperName: "casadi__IM__grad__6"
// protoArgs: "(std::string ** err_msg, casadi::Function* x0, int x1, int x2)"
// args: "(x0_, x1_, x2_)"
// rettype: UserType (Namespace ["casadi"]) (Name "IM")
// cWrapperRetType: "casadi::IM*"
// proto: "casadi::IM*\n    casadi__IM__grad__6(std::string ** err_msg, casadi::Function* x0, int x1, int x2)"
// call: "        casadi::IM ret = casadi::IM::grad(x0_, x1_, x2_);"
// params: [(Ref (Const (UserType (Namespace ["casadi"]) (Name "Function"))),SwigOutput False),(CInt,SwigOutput False),(CInt,SwigOutput False)]
extern "C"
casadi::IM*
    casadi__IM__grad__6(std::string ** err_msg, casadi::Function* x0, int x1, int x2);
casadi::IM*
    casadi__IM__grad__6(std::string ** err_msg, casadi::Function* x0, int x1, int x2){
    try {
        casadi::Function& x0_ = Marshaling<casadi::Function&,casadi::Function*>::marshal(x0);
        int x1_ = Marshaling<int,int>::marshal(x1);
        int x2_ = Marshaling<int,int>::marshal(x2);

        casadi::IM ret = casadi::IM::grad(x0_, x1_, x2_);
        // x0 is not a swig output
        // x1 is not a swig output
        // x2 is not a swig output

        return WrapReturn< casadi::IM*, casadi::IM >::wrapReturn( ret );
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return 0;
    }
}


// ================== Normal method: "has_duplicates" ===============
// class: "casadi::IM"
// cppName: "casadi::IM::has_duplicates"
// cWrapperName: "casadi__IM__has_duplicates"
// protoArgs: "(std::string ** err_msg, casadi::IM* obj)"
// args: "()"
// rettype: CBool
// cWrapperRetType: "int"
// proto: "int\n    casadi__IM__has_duplicates(std::string ** err_msg, casadi::IM* obj)"
// call: "        bool ret = obj->has_duplicates();"
// params: []
extern "C"
int
    casadi__IM__has_duplicates(std::string ** err_msg, casadi::IM* obj);
int
    casadi__IM__has_duplicates(std::string ** err_msg, casadi::IM* obj){
    try {

        bool ret = obj->has_duplicates();

        return WrapReturn< int, bool >::wrapReturn( ret );
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return 0;
    }
}


// ================== Normal method: "has_nz" ===============
// class: "casadi::IM"
// cppName: "casadi::IM::has_nz"
// cWrapperName: "casadi__IM__has_nz"
// protoArgs: "(std::string ** err_msg, casadi::IM* obj, int x0, int x1)"
// args: "(x0_, x1_)"
// rettype: CBool
// cWrapperRetType: "int"
// proto: "int\n    casadi__IM__has_nz(std::string ** err_msg, casadi::IM* obj, int x0, int x1)"
// call: "        bool ret = obj->has_nz(x0_, x1_);"
// params: [(CInt,SwigOutput False),(CInt,SwigOutput False)]
extern "C"
int
    casadi__IM__has_nz(std::string ** err_msg, casadi::IM* obj, int x0, int x1);
int
    casadi__IM__has_nz(std::string ** err_msg, casadi::IM* obj, int x0, int x1){
    try {
        int x0_ = Marshaling<int,int>::marshal(x0);
        int x1_ = Marshaling<int,int>::marshal(x1);

        bool ret = obj->has_nz(x0_, x1_);
        // x0 is not a swig output
        // x1 is not a swig output

        return WrapReturn< int, bool >::wrapReturn( ret );
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return 0;
    }
}


// ================== Normal method: "has_zeros" ===============
// class: "casadi::IM"
// cppName: "casadi::IM::has_zeros"
// cWrapperName: "casadi__IM__has_zeros"
// protoArgs: "(std::string ** err_msg, casadi::IM* obj)"
// args: "()"
// rettype: CBool
// cWrapperRetType: "int"
// proto: "int\n    casadi__IM__has_zeros(std::string ** err_msg, casadi::IM* obj)"
// call: "        bool ret = obj->has_zeros();"
// params: []
extern "C"
int
    casadi__IM__has_zeros(std::string ** err_msg, casadi::IM* obj);
int
    casadi__IM__has_zeros(std::string ** err_msg, casadi::IM* obj){
    try {

        bool ret = obj->has_zeros();

        return WrapReturn< int, bool >::wrapReturn( ret );
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return 0;
    }
}


// ================== Static method: "hess" ===============
// class: "casadi::IM"
// cppName: "casadi::IM::hess"
// cWrapperName: "casadi__IM__hess__0"
// protoArgs: "(std::string ** err_msg, casadi::Function* x0, std::string* x1, std::string* x2)"
// args: "(x0_, x1_, x2_)"
// rettype: UserType (Namespace ["casadi"]) (Name "IM")
// cWrapperRetType: "casadi::IM*"
// proto: "casadi::IM*\n    casadi__IM__hess__0(std::string ** err_msg, casadi::Function* x0, std::string* x1, std::string* x2)"
// call: "        casadi::IM ret = casadi::IM::hess(x0_, x1_, x2_);"
// params: [(Ref (Const (UserType (Namespace ["casadi"]) (Name "Function"))),SwigOutput False),(Ref (Const StdString),SwigOutput False),(Ref (Const StdString),SwigOutput False)]
extern "C"
casadi::IM*
    casadi__IM__hess__0(std::string ** err_msg, casadi::Function* x0, std::string* x1, std::string* x2);
casadi::IM*
    casadi__IM__hess__0(std::string ** err_msg, casadi::Function* x0, std::string* x1, std::string* x2){
    try {
        casadi::Function& x0_ = Marshaling<casadi::Function&,casadi::Function*>::marshal(x0);
        std::string& x1_ = Marshaling<std::string&,std::string*>::marshal(x1);
        std::string& x2_ = Marshaling<std::string&,std::string*>::marshal(x2);

        casadi::IM ret = casadi::IM::hess(x0_, x1_, x2_);
        // x0 is not a swig output
        // x1 is not a swig output
        // x2 is not a swig output

        return WrapReturn< casadi::IM*, casadi::IM >::wrapReturn( ret );
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return 0;
    }
}


// ================== Static method: "hess" ===============
// class: "casadi::IM"
// cppName: "casadi::IM::hess"
// cWrapperName: "casadi__IM__hess__1"
// protoArgs: "(std::string ** err_msg, casadi::Function* x0, int x1, std::string* x2)"
// args: "(x0_, x1_, x2_)"
// rettype: UserType (Namespace ["casadi"]) (Name "IM")
// cWrapperRetType: "casadi::IM*"
// proto: "casadi::IM*\n    casadi__IM__hess__1(std::string ** err_msg, casadi::Function* x0, int x1, std::string* x2)"
// call: "        casadi::IM ret = casadi::IM::hess(x0_, x1_, x2_);"
// params: [(Ref (Const (UserType (Namespace ["casadi"]) (Name "Function"))),SwigOutput False),(CInt,SwigOutput False),(Ref (Const StdString),SwigOutput False)]
extern "C"
casadi::IM*
    casadi__IM__hess__1(std::string ** err_msg, casadi::Function* x0, int x1, std::string* x2);
casadi::IM*
    casadi__IM__hess__1(std::string ** err_msg, casadi::Function* x0, int x1, std::string* x2){
    try {
        casadi::Function& x0_ = Marshaling<casadi::Function&,casadi::Function*>::marshal(x0);
        int x1_ = Marshaling<int,int>::marshal(x1);
        std::string& x2_ = Marshaling<std::string&,std::string*>::marshal(x2);

        casadi::IM ret = casadi::IM::hess(x0_, x1_, x2_);
        // x0 is not a swig output
        // x1 is not a swig output
        // x2 is not a swig output

        return WrapReturn< casadi::IM*, casadi::IM >::wrapReturn( ret );
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return 0;
    }
}


// ================== Static method: "hess" ===============
// class: "casadi::IM"
// cppName: "casadi::IM::hess"
// cWrapperName: "casadi__IM__hess__2"
// protoArgs: "(std::string ** err_msg, casadi::Function* x0, std::string* x1)"
// args: "(x0_, x1_)"
// rettype: UserType (Namespace ["casadi"]) (Name "IM")
// cWrapperRetType: "casadi::IM*"
// proto: "casadi::IM*\n    casadi__IM__hess__2(std::string ** err_msg, casadi::Function* x0, std::string* x1)"
// call: "        casadi::IM ret = casadi::IM::hess(x0_, x1_);"
// params: [(Ref (Const (UserType (Namespace ["casadi"]) (Name "Function"))),SwigOutput False),(Ref (Const StdString),SwigOutput False)]
extern "C"
casadi::IM*
    casadi__IM__hess__2(std::string ** err_msg, casadi::Function* x0, std::string* x1);
casadi::IM*
    casadi__IM__hess__2(std::string ** err_msg, casadi::Function* x0, std::string* x1){
    try {
        casadi::Function& x0_ = Marshaling<casadi::Function&,casadi::Function*>::marshal(x0);
        std::string& x1_ = Marshaling<std::string&,std::string*>::marshal(x1);

        casadi::IM ret = casadi::IM::hess(x0_, x1_);
        // x0 is not a swig output
        // x1 is not a swig output

        return WrapReturn< casadi::IM*, casadi::IM >::wrapReturn( ret );
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return 0;
    }
}


// ================== Static method: "hess" ===============
// class: "casadi::IM"
// cppName: "casadi::IM::hess"
// cWrapperName: "casadi__IM__hess__3"
// protoArgs: "(std::string ** err_msg, casadi::Function* x0, std::string* x1, int x2)"
// args: "(x0_, x1_, x2_)"
// rettype: UserType (Namespace ["casadi"]) (Name "IM")
// cWrapperRetType: "casadi::IM*"
// proto: "casadi::IM*\n    casadi__IM__hess__3(std::string ** err_msg, casadi::Function* x0, std::string* x1, int x2)"
// call: "        casadi::IM ret = casadi::IM::hess(x0_, x1_, x2_);"
// params: [(Ref (Const (UserType (Namespace ["casadi"]) (Name "Function"))),SwigOutput False),(Ref (Const StdString),SwigOutput False),(CInt,SwigOutput False)]
extern "C"
casadi::IM*
    casadi__IM__hess__3(std::string ** err_msg, casadi::Function* x0, std::string* x1, int x2);
casadi::IM*
    casadi__IM__hess__3(std::string ** err_msg, casadi::Function* x0, std::string* x1, int x2){
    try {
        casadi::Function& x0_ = Marshaling<casadi::Function&,casadi::Function*>::marshal(x0);
        std::string& x1_ = Marshaling<std::string&,std::string*>::marshal(x1);
        int x2_ = Marshaling<int,int>::marshal(x2);

        casadi::IM ret = casadi::IM::hess(x0_, x1_, x2_);
        // x0 is not a swig output
        // x1 is not a swig output
        // x2 is not a swig output

        return WrapReturn< casadi::IM*, casadi::IM >::wrapReturn( ret );
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return 0;
    }
}


// ================== Static method: "hess" ===============
// class: "casadi::IM"
// cppName: "casadi::IM::hess"
// cWrapperName: "casadi__IM__hess__4"
// protoArgs: "(std::string ** err_msg, casadi::Function* x0)"
// args: "(x0_)"
// rettype: UserType (Namespace ["casadi"]) (Name "IM")
// cWrapperRetType: "casadi::IM*"
// proto: "casadi::IM*\n    casadi__IM__hess__4(std::string ** err_msg, casadi::Function* x0)"
// call: "        casadi::IM ret = casadi::IM::hess(x0_);"
// params: [(Ref (Const (UserType (Namespace ["casadi"]) (Name "Function"))),SwigOutput False)]
extern "C"
casadi::IM*
    casadi__IM__hess__4(std::string ** err_msg, casadi::Function* x0);
casadi::IM*
    casadi__IM__hess__4(std::string ** err_msg, casadi::Function* x0){
    try {
        casadi::Function& x0_ = Marshaling<casadi::Function&,casadi::Function*>::marshal(x0);

        casadi::IM ret = casadi::IM::hess(x0_);
        // x0 is not a swig output

        return WrapReturn< casadi::IM*, casadi::IM >::wrapReturn( ret );
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return 0;
    }
}


// ================== Static method: "hess" ===============
// class: "casadi::IM"
// cppName: "casadi::IM::hess"
// cWrapperName: "casadi__IM__hess__5"
// protoArgs: "(std::string ** err_msg, casadi::Function* x0, int x1)"
// args: "(x0_, x1_)"
// rettype: UserType (Namespace ["casadi"]) (Name "IM")
// cWrapperRetType: "casadi::IM*"
// proto: "casadi::IM*\n    casadi__IM__hess__5(std::string ** err_msg, casadi::Function* x0, int x1)"
// call: "        casadi::IM ret = casadi::IM::hess(x0_, x1_);"
// params: [(Ref (Const (UserType (Namespace ["casadi"]) (Name "Function"))),SwigOutput False),(CInt,SwigOutput False)]
extern "C"
casadi::IM*
    casadi__IM__hess__5(std::string ** err_msg, casadi::Function* x0, int x1);
casadi::IM*
    casadi__IM__hess__5(std::string ** err_msg, casadi::Function* x0, int x1){
    try {
        casadi::Function& x0_ = Marshaling<casadi::Function&,casadi::Function*>::marshal(x0);
        int x1_ = Marshaling<int,int>::marshal(x1);

        casadi::IM ret = casadi::IM::hess(x0_, x1_);
        // x0 is not a swig output
        // x1 is not a swig output

        return WrapReturn< casadi::IM*, casadi::IM >::wrapReturn( ret );
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return 0;
    }
}


// ================== Static method: "hess" ===============
// class: "casadi::IM"
// cppName: "casadi::IM::hess"
// cWrapperName: "casadi__IM__hess__6"
// protoArgs: "(std::string ** err_msg, casadi::Function* x0, int x1, int x2)"
// args: "(x0_, x1_, x2_)"
// rettype: UserType (Namespace ["casadi"]) (Name "IM")
// cWrapperRetType: "casadi::IM*"
// proto: "casadi::IM*\n    casadi__IM__hess__6(std::string ** err_msg, casadi::Function* x0, int x1, int x2)"
// call: "        casadi::IM ret = casadi::IM::hess(x0_, x1_, x2_);"
// params: [(Ref (Const (UserType (Namespace ["casadi"]) (Name "Function"))),SwigOutput False),(CInt,SwigOutput False),(CInt,SwigOutput False)]
extern "C"
casadi::IM*
    casadi__IM__hess__6(std::string ** err_msg, casadi::Function* x0, int x1, int x2);
casadi::IM*
    casadi__IM__hess__6(std::string ** err_msg, casadi::Function* x0, int x1, int x2){
    try {
        casadi::Function& x0_ = Marshaling<casadi::Function&,casadi::Function*>::marshal(x0);
        int x1_ = Marshaling<int,int>::marshal(x1);
        int x2_ = Marshaling<int,int>::marshal(x2);

        casadi::IM ret = casadi::IM::hess(x0_, x1_, x2_);
        // x0 is not a swig output
        // x1 is not a swig output
        // x2 is not a swig output

        return WrapReturn< casadi::IM*, casadi::IM >::wrapReturn( ret );
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return 0;
    }
}


// ================== Static method: "inf" ===============
// class: "casadi::IM"
// cppName: "casadi::IM::inf"
// cWrapperName: "casadi__IM__inf__0"
// protoArgs: "(std::string ** err_msg, std::pair< int, int >* x0)"
// args: "(x0_)"
// rettype: UserType (Namespace ["casadi"]) (Name "IM")
// cWrapperRetType: "casadi::IM*"
// proto: "casadi::IM*\n    casadi__IM__inf__0(std::string ** err_msg, std::pair< int, int >* x0)"
// call: "        casadi::IM ret = casadi::IM::inf(x0_);"
// params: [(Ref (Const (StdPair CInt CInt)),SwigOutput False)]
extern "C"
casadi::IM*
    casadi__IM__inf__0(std::string ** err_msg, std::pair< int, int >* x0);
casadi::IM*
    casadi__IM__inf__0(std::string ** err_msg, std::pair< int, int >* x0){
    try {
        std::pair< int, int > x0_ = Marshaling<std::pair< int, int >,std::pair< int, int >*>::marshal(x0);

        casadi::IM ret = casadi::IM::inf(x0_);
        // x0 is not a swig output

        return WrapReturn< casadi::IM*, casadi::IM >::wrapReturn( ret );
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return 0;
    }
}


// ================== Static method: "inf" ===============
// class: "casadi::IM"
// cppName: "casadi::IM::inf"
// cWrapperName: "casadi__IM__inf__1"
// protoArgs: "(std::string ** err_msg)"
// args: "()"
// rettype: UserType (Namespace ["casadi"]) (Name "IM")
// cWrapperRetType: "casadi::IM*"
// proto: "casadi::IM*\n    casadi__IM__inf__1(std::string ** err_msg)"
// call: "        casadi::IM ret = casadi::IM::inf();"
// params: []
extern "C"
casadi::IM*
    casadi__IM__inf__1(std::string ** err_msg);
casadi::IM*
    casadi__IM__inf__1(std::string ** err_msg){
    try {

        casadi::IM ret = casadi::IM::inf();

        return WrapReturn< casadi::IM*, casadi::IM >::wrapReturn( ret );
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return 0;
    }
}


// ================== Static method: "inf" ===============
// class: "casadi::IM"
// cppName: "casadi::IM::inf"
// cWrapperName: "casadi__IM__inf__2"
// protoArgs: "(std::string ** err_msg, int x0)"
// args: "(x0_)"
// rettype: UserType (Namespace ["casadi"]) (Name "IM")
// cWrapperRetType: "casadi::IM*"
// proto: "casadi::IM*\n    casadi__IM__inf__2(std::string ** err_msg, int x0)"
// call: "        casadi::IM ret = casadi::IM::inf(x0_);"
// params: [(CInt,SwigOutput False)]
extern "C"
casadi::IM*
    casadi__IM__inf__2(std::string ** err_msg, int x0);
casadi::IM*
    casadi__IM__inf__2(std::string ** err_msg, int x0){
    try {
        int x0_ = Marshaling<int,int>::marshal(x0);

        casadi::IM ret = casadi::IM::inf(x0_);
        // x0 is not a swig output

        return WrapReturn< casadi::IM*, casadi::IM >::wrapReturn( ret );
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return 0;
    }
}


// ================== Static method: "inf" ===============
// class: "casadi::IM"
// cppName: "casadi::IM::inf"
// cWrapperName: "casadi__IM__inf__3"
// protoArgs: "(std::string ** err_msg, int x0, int x1)"
// args: "(x0_, x1_)"
// rettype: UserType (Namespace ["casadi"]) (Name "IM")
// cWrapperRetType: "casadi::IM*"
// proto: "casadi::IM*\n    casadi__IM__inf__3(std::string ** err_msg, int x0, int x1)"
// call: "        casadi::IM ret = casadi::IM::inf(x0_, x1_);"
// params: [(CInt,SwigOutput False),(CInt,SwigOutput False)]
extern "C"
casadi::IM*
    casadi__IM__inf__3(std::string ** err_msg, int x0, int x1);
casadi::IM*
    casadi__IM__inf__3(std::string ** err_msg, int x0, int x1){
    try {
        int x0_ = Marshaling<int,int>::marshal(x0);
        int x1_ = Marshaling<int,int>::marshal(x1);

        casadi::IM ret = casadi::IM::inf(x0_, x1_);
        // x0 is not a swig output
        // x1 is not a swig output

        return WrapReturn< casadi::IM*, casadi::IM >::wrapReturn( ret );
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return 0;
    }
}


// ================== Static method: "inf" ===============
// class: "casadi::IM"
// cppName: "casadi::IM::inf"
// cWrapperName: "casadi__IM__inf__4"
// protoArgs: "(std::string ** err_msg, casadi::Sparsity* x0)"
// args: "(x0_)"
// rettype: UserType (Namespace ["casadi"]) (Name "IM")
// cWrapperRetType: "casadi::IM*"
// proto: "casadi::IM*\n    casadi__IM__inf__4(std::string ** err_msg, casadi::Sparsity* x0)"
// call: "        casadi::IM ret = casadi::IM::inf(x0_);"
// params: [(Ref (Const (UserType (Namespace ["casadi"]) (Name "Sparsity"))),SwigOutput False)]
extern "C"
casadi::IM*
    casadi__IM__inf__4(std::string ** err_msg, casadi::Sparsity* x0);
casadi::IM*
    casadi__IM__inf__4(std::string ** err_msg, casadi::Sparsity* x0){
    try {
        casadi::Sparsity& x0_ = Marshaling<casadi::Sparsity&,casadi::Sparsity*>::marshal(x0);

        casadi::IM ret = casadi::IM::inf(x0_);
        // x0 is not a swig output

        return WrapReturn< casadi::IM*, casadi::IM >::wrapReturn( ret );
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return 0;
    }
}


// ================== Normal method: "is_column" ===============
// class: "casadi::IM"
// cppName: "casadi::IM::is_column"
// cWrapperName: "casadi__IM__is_column"
// protoArgs: "(std::string ** err_msg, casadi::IM* obj)"
// args: "()"
// rettype: CBool
// cWrapperRetType: "int"
// proto: "int\n    casadi__IM__is_column(std::string ** err_msg, casadi::IM* obj)"
// call: "        bool ret = obj->is_column();"
// params: []
extern "C"
int
    casadi__IM__is_column(std::string ** err_msg, casadi::IM* obj);
int
    casadi__IM__is_column(std::string ** err_msg, casadi::IM* obj){
    try {

        bool ret = obj->is_column();

        return WrapReturn< int, bool >::wrapReturn( ret );
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return 0;
    }
}


// ================== Normal method: "is_commutative" ===============
// class: "casadi::IM"
// cppName: "casadi::IM::is_commutative"
// cWrapperName: "casadi__IM__is_commutative"
// protoArgs: "(std::string ** err_msg, casadi::IM* obj)"
// args: "()"
// rettype: CBool
// cWrapperRetType: "int"
// proto: "int\n    casadi__IM__is_commutative(std::string ** err_msg, casadi::IM* obj)"
// call: "        bool ret = obj->is_commutative();"
// params: []
extern "C"
int
    casadi__IM__is_commutative(std::string ** err_msg, casadi::IM* obj);
int
    casadi__IM__is_commutative(std::string ** err_msg, casadi::IM* obj){
    try {

        bool ret = obj->is_commutative();

        return WrapReturn< int, bool >::wrapReturn( ret );
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return 0;
    }
}


// ================== Normal method: "is_constant" ===============
// class: "casadi::IM"
// cppName: "casadi::IM::is_constant"
// cWrapperName: "casadi__IM__is_constant"
// protoArgs: "(std::string ** err_msg, casadi::IM* obj)"
// args: "()"
// rettype: CBool
// cWrapperRetType: "int"
// proto: "int\n    casadi__IM__is_constant(std::string ** err_msg, casadi::IM* obj)"
// call: "        bool ret = obj->is_constant();"
// params: []
extern "C"
int
    casadi__IM__is_constant(std::string ** err_msg, casadi::IM* obj);
int
    casadi__IM__is_constant(std::string ** err_msg, casadi::IM* obj){
    try {

        bool ret = obj->is_constant();

        return WrapReturn< int, bool >::wrapReturn( ret );
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return 0;
    }
}


// ================== Normal method: "is_dense" ===============
// class: "casadi::IM"
// cppName: "casadi::IM::is_dense"
// cWrapperName: "casadi__IM__is_dense"
// protoArgs: "(std::string ** err_msg, casadi::IM* obj)"
// args: "()"
// rettype: CBool
// cWrapperRetType: "int"
// proto: "int\n    casadi__IM__is_dense(std::string ** err_msg, casadi::IM* obj)"
// call: "        bool ret = obj->is_dense();"
// params: []
extern "C"
int
    casadi__IM__is_dense(std::string ** err_msg, casadi::IM* obj);
int
    casadi__IM__is_dense(std::string ** err_msg, casadi::IM* obj){
    try {

        bool ret = obj->is_dense();

        return WrapReturn< int, bool >::wrapReturn( ret );
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return 0;
    }
}


// ================== Normal method: "is_empty" ===============
// class: "casadi::IM"
// cppName: "casadi::IM::is_empty"
// cWrapperName: "casadi__IM__is_empty__0"
// protoArgs: "(std::string ** err_msg, casadi::IM* obj)"
// args: "()"
// rettype: CBool
// cWrapperRetType: "int"
// proto: "int\n    casadi__IM__is_empty__0(std::string ** err_msg, casadi::IM* obj)"
// call: "        bool ret = obj->is_empty();"
// params: []
extern "C"
int
    casadi__IM__is_empty__0(std::string ** err_msg, casadi::IM* obj);
int
    casadi__IM__is_empty__0(std::string ** err_msg, casadi::IM* obj){
    try {

        bool ret = obj->is_empty();

        return WrapReturn< int, bool >::wrapReturn( ret );
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return 0;
    }
}


// ================== Normal method: "is_empty" ===============
// class: "casadi::IM"
// cppName: "casadi::IM::is_empty"
// cWrapperName: "casadi__IM__is_empty__1"
// protoArgs: "(std::string ** err_msg, casadi::IM* obj, int x0)"
// args: "(x0_)"
// rettype: CBool
// cWrapperRetType: "int"
// proto: "int\n    casadi__IM__is_empty__1(std::string ** err_msg, casadi::IM* obj, int x0)"
// call: "        bool ret = obj->is_empty(x0_);"
// params: [(CBool,SwigOutput False)]
extern "C"
int
    casadi__IM__is_empty__1(std::string ** err_msg, casadi::IM* obj, int x0);
int
    casadi__IM__is_empty__1(std::string ** err_msg, casadi::IM* obj, int x0){
    try {
        bool x0_ = Marshaling<bool,int>::marshal(x0);

        bool ret = obj->is_empty(x0_);
        // x0 is not a swig output

        return WrapReturn< int, bool >::wrapReturn( ret );
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return 0;
    }
}


// ================== Normal method: "is_identity" ===============
// class: "casadi::IM"
// cppName: "casadi::IM::is_identity"
// cWrapperName: "casadi__IM__is_identity"
// protoArgs: "(std::string ** err_msg, casadi::IM* obj)"
// args: "()"
// rettype: CBool
// cWrapperRetType: "int"
// proto: "int\n    casadi__IM__is_identity(std::string ** err_msg, casadi::IM* obj)"
// call: "        bool ret = obj->is_identity();"
// params: []
extern "C"
int
    casadi__IM__is_identity(std::string ** err_msg, casadi::IM* obj);
int
    casadi__IM__is_identity(std::string ** err_msg, casadi::IM* obj){
    try {

        bool ret = obj->is_identity();

        return WrapReturn< int, bool >::wrapReturn( ret );
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return 0;
    }
}


// ================== Normal method: "is_integer" ===============
// class: "casadi::IM"
// cppName: "casadi::IM::is_integer"
// cWrapperName: "casadi__IM__is_integer"
// protoArgs: "(std::string ** err_msg, casadi::IM* obj)"
// args: "()"
// rettype: CBool
// cWrapperRetType: "int"
// proto: "int\n    casadi__IM__is_integer(std::string ** err_msg, casadi::IM* obj)"
// call: "        bool ret = obj->is_integer();"
// params: []
extern "C"
int
    casadi__IM__is_integer(std::string ** err_msg, casadi::IM* obj);
int
    casadi__IM__is_integer(std::string ** err_msg, casadi::IM* obj){
    try {

        bool ret = obj->is_integer();

        return WrapReturn< int, bool >::wrapReturn( ret );
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return 0;
    }
}


// ================== Normal method: "is_leaf" ===============
// class: "casadi::IM"
// cppName: "casadi::IM::is_leaf"
// cWrapperName: "casadi__IM__is_leaf"
// protoArgs: "(std::string ** err_msg, casadi::IM* obj)"
// args: "()"
// rettype: CBool
// cWrapperRetType: "int"
// proto: "int\n    casadi__IM__is_leaf(std::string ** err_msg, casadi::IM* obj)"
// call: "        bool ret = obj->is_leaf();"
// params: []
extern "C"
int
    casadi__IM__is_leaf(std::string ** err_msg, casadi::IM* obj);
int
    casadi__IM__is_leaf(std::string ** err_msg, casadi::IM* obj){
    try {

        bool ret = obj->is_leaf();

        return WrapReturn< int, bool >::wrapReturn( ret );
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return 0;
    }
}


// ================== Normal method: "is_minus_one" ===============
// class: "casadi::IM"
// cppName: "casadi::IM::is_minus_one"
// cWrapperName: "casadi__IM__is_minus_one"
// protoArgs: "(std::string ** err_msg, casadi::IM* obj)"
// args: "()"
// rettype: CBool
// cWrapperRetType: "int"
// proto: "int\n    casadi__IM__is_minus_one(std::string ** err_msg, casadi::IM* obj)"
// call: "        bool ret = obj->is_minus_one();"
// params: []
extern "C"
int
    casadi__IM__is_minus_one(std::string ** err_msg, casadi::IM* obj);
int
    casadi__IM__is_minus_one(std::string ** err_msg, casadi::IM* obj){
    try {

        bool ret = obj->is_minus_one();

        return WrapReturn< int, bool >::wrapReturn( ret );
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return 0;
    }
}


// ================== Normal method: "is_one" ===============
// class: "casadi::IM"
// cppName: "casadi::IM::is_one"
// cWrapperName: "casadi__IM__is_one"
// protoArgs: "(std::string ** err_msg, casadi::IM* obj)"
// args: "()"
// rettype: CBool
// cWrapperRetType: "int"
// proto: "int\n    casadi__IM__is_one(std::string ** err_msg, casadi::IM* obj)"
// call: "        bool ret = obj->is_one();"
// params: []
extern "C"
int
    casadi__IM__is_one(std::string ** err_msg, casadi::IM* obj);
int
    casadi__IM__is_one(std::string ** err_msg, casadi::IM* obj){
    try {

        bool ret = obj->is_one();

        return WrapReturn< int, bool >::wrapReturn( ret );
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return 0;
    }
}


// ================== Normal method: "is_regular" ===============
// class: "casadi::IM"
// cppName: "casadi::IM::is_regular"
// cWrapperName: "casadi__IM__is_regular"
// protoArgs: "(std::string ** err_msg, casadi::IM* obj)"
// args: "()"
// rettype: CBool
// cWrapperRetType: "int"
// proto: "int\n    casadi__IM__is_regular(std::string ** err_msg, casadi::IM* obj)"
// call: "        bool ret = obj->is_regular();"
// params: []
extern "C"
int
    casadi__IM__is_regular(std::string ** err_msg, casadi::IM* obj);
int
    casadi__IM__is_regular(std::string ** err_msg, casadi::IM* obj){
    try {

        bool ret = obj->is_regular();

        return WrapReturn< int, bool >::wrapReturn( ret );
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return 0;
    }
}


// ================== Normal method: "is_row" ===============
// class: "casadi::IM"
// cppName: "casadi::IM::is_row"
// cWrapperName: "casadi__IM__is_row"
// protoArgs: "(std::string ** err_msg, casadi::IM* obj)"
// args: "()"
// rettype: CBool
// cWrapperRetType: "int"
// proto: "int\n    casadi__IM__is_row(std::string ** err_msg, casadi::IM* obj)"
// call: "        bool ret = obj->is_row();"
// params: []
extern "C"
int
    casadi__IM__is_row(std::string ** err_msg, casadi::IM* obj);
int
    casadi__IM__is_row(std::string ** err_msg, casadi::IM* obj){
    try {

        bool ret = obj->is_row();

        return WrapReturn< int, bool >::wrapReturn( ret );
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return 0;
    }
}


// ================== Normal method: "is_scalar" ===============
// class: "casadi::IM"
// cppName: "casadi::IM::is_scalar"
// cWrapperName: "casadi__IM__is_scalar__0"
// protoArgs: "(std::string ** err_msg, casadi::IM* obj)"
// args: "()"
// rettype: CBool
// cWrapperRetType: "int"
// proto: "int\n    casadi__IM__is_scalar__0(std::string ** err_msg, casadi::IM* obj)"
// call: "        bool ret = obj->is_scalar();"
// params: []
extern "C"
int
    casadi__IM__is_scalar__0(std::string ** err_msg, casadi::IM* obj);
int
    casadi__IM__is_scalar__0(std::string ** err_msg, casadi::IM* obj){
    try {

        bool ret = obj->is_scalar();

        return WrapReturn< int, bool >::wrapReturn( ret );
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return 0;
    }
}


// ================== Normal method: "is_scalar" ===============
// class: "casadi::IM"
// cppName: "casadi::IM::is_scalar"
// cWrapperName: "casadi__IM__is_scalar__1"
// protoArgs: "(std::string ** err_msg, casadi::IM* obj, int x0)"
// args: "(x0_)"
// rettype: CBool
// cWrapperRetType: "int"
// proto: "int\n    casadi__IM__is_scalar__1(std::string ** err_msg, casadi::IM* obj, int x0)"
// call: "        bool ret = obj->is_scalar(x0_);"
// params: [(CBool,SwigOutput False)]
extern "C"
int
    casadi__IM__is_scalar__1(std::string ** err_msg, casadi::IM* obj, int x0);
int
    casadi__IM__is_scalar__1(std::string ** err_msg, casadi::IM* obj, int x0){
    try {
        bool x0_ = Marshaling<bool,int>::marshal(x0);

        bool ret = obj->is_scalar(x0_);
        // x0 is not a swig output

        return WrapReturn< int, bool >::wrapReturn( ret );
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return 0;
    }
}


// ================== Normal method: "is_smooth" ===============
// class: "casadi::IM"
// cppName: "casadi::IM::is_smooth"
// cWrapperName: "casadi__IM__is_smooth"
// protoArgs: "(std::string ** err_msg, casadi::IM* obj)"
// args: "()"
// rettype: CBool
// cWrapperRetType: "int"
// proto: "int\n    casadi__IM__is_smooth(std::string ** err_msg, casadi::IM* obj)"
// call: "        bool ret = obj->is_smooth();"
// params: []
extern "C"
int
    casadi__IM__is_smooth(std::string ** err_msg, casadi::IM* obj);
int
    casadi__IM__is_smooth(std::string ** err_msg, casadi::IM* obj){
    try {

        bool ret = obj->is_smooth();

        return WrapReturn< int, bool >::wrapReturn( ret );
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return 0;
    }
}


// ================== Normal method: "is_square" ===============
// class: "casadi::IM"
// cppName: "casadi::IM::is_square"
// cWrapperName: "casadi__IM__is_square"
// protoArgs: "(std::string ** err_msg, casadi::IM* obj)"
// args: "()"
// rettype: CBool
// cWrapperRetType: "int"
// proto: "int\n    casadi__IM__is_square(std::string ** err_msg, casadi::IM* obj)"
// call: "        bool ret = obj->is_square();"
// params: []
extern "C"
int
    casadi__IM__is_square(std::string ** err_msg, casadi::IM* obj);
int
    casadi__IM__is_square(std::string ** err_msg, casadi::IM* obj){
    try {

        bool ret = obj->is_square();

        return WrapReturn< int, bool >::wrapReturn( ret );
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return 0;
    }
}


// ================== Normal method: "is_symbolic" ===============
// class: "casadi::IM"
// cppName: "casadi::IM::is_symbolic"
// cWrapperName: "casadi__IM__is_symbolic"
// protoArgs: "(std::string ** err_msg, casadi::IM* obj)"
// args: "()"
// rettype: CBool
// cWrapperRetType: "int"
// proto: "int\n    casadi__IM__is_symbolic(std::string ** err_msg, casadi::IM* obj)"
// call: "        bool ret = obj->is_symbolic();"
// params: []
extern "C"
int
    casadi__IM__is_symbolic(std::string ** err_msg, casadi::IM* obj);
int
    casadi__IM__is_symbolic(std::string ** err_msg, casadi::IM* obj){
    try {

        bool ret = obj->is_symbolic();

        return WrapReturn< int, bool >::wrapReturn( ret );
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return 0;
    }
}


// ================== Normal method: "is_tril" ===============
// class: "casadi::IM"
// cppName: "casadi::IM::is_tril"
// cWrapperName: "casadi__IM__is_tril"
// protoArgs: "(std::string ** err_msg, casadi::IM* obj)"
// args: "()"
// rettype: CBool
// cWrapperRetType: "int"
// proto: "int\n    casadi__IM__is_tril(std::string ** err_msg, casadi::IM* obj)"
// call: "        bool ret = obj->is_tril();"
// params: []
extern "C"
int
    casadi__IM__is_tril(std::string ** err_msg, casadi::IM* obj);
int
    casadi__IM__is_tril(std::string ** err_msg, casadi::IM* obj){
    try {

        bool ret = obj->is_tril();

        return WrapReturn< int, bool >::wrapReturn( ret );
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return 0;
    }
}


// ================== Normal method: "is_triu" ===============
// class: "casadi::IM"
// cppName: "casadi::IM::is_triu"
// cWrapperName: "casadi__IM__is_triu"
// protoArgs: "(std::string ** err_msg, casadi::IM* obj)"
// args: "()"
// rettype: CBool
// cWrapperRetType: "int"
// proto: "int\n    casadi__IM__is_triu(std::string ** err_msg, casadi::IM* obj)"
// call: "        bool ret = obj->is_triu();"
// params: []
extern "C"
int
    casadi__IM__is_triu(std::string ** err_msg, casadi::IM* obj);
int
    casadi__IM__is_triu(std::string ** err_msg, casadi::IM* obj){
    try {

        bool ret = obj->is_triu();

        return WrapReturn< int, bool >::wrapReturn( ret );
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return 0;
    }
}


// ================== Normal method: "is_valid_input" ===============
// class: "casadi::IM"
// cppName: "casadi::IM::is_valid_input"
// cWrapperName: "casadi__IM__is_valid_input"
// protoArgs: "(std::string ** err_msg, casadi::IM* obj)"
// args: "()"
// rettype: CBool
// cWrapperRetType: "int"
// proto: "int\n    casadi__IM__is_valid_input(std::string ** err_msg, casadi::IM* obj)"
// call: "        bool ret = obj->is_valid_input();"
// params: []
extern "C"
int
    casadi__IM__is_valid_input(std::string ** err_msg, casadi::IM* obj);
int
    casadi__IM__is_valid_input(std::string ** err_msg, casadi::IM* obj){
    try {

        bool ret = obj->is_valid_input();

        return WrapReturn< int, bool >::wrapReturn( ret );
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return 0;
    }
}


// ================== Normal method: "is_vector" ===============
// class: "casadi::IM"
// cppName: "casadi::IM::is_vector"
// cWrapperName: "casadi__IM__is_vector"
// protoArgs: "(std::string ** err_msg, casadi::IM* obj)"
// args: "()"
// rettype: CBool
// cWrapperRetType: "int"
// proto: "int\n    casadi__IM__is_vector(std::string ** err_msg, casadi::IM* obj)"
// call: "        bool ret = obj->is_vector();"
// params: []
extern "C"
int
    casadi__IM__is_vector(std::string ** err_msg, casadi::IM* obj);
int
    casadi__IM__is_vector(std::string ** err_msg, casadi::IM* obj){
    try {

        bool ret = obj->is_vector();

        return WrapReturn< int, bool >::wrapReturn( ret );
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return 0;
    }
}


// ================== Normal method: "is_zero" ===============
// class: "casadi::IM"
// cppName: "casadi::IM::is_zero"
// cWrapperName: "casadi__IM__is_zero"
// protoArgs: "(std::string ** err_msg, casadi::IM* obj)"
// args: "()"
// rettype: CBool
// cWrapperRetType: "int"
// proto: "int\n    casadi__IM__is_zero(std::string ** err_msg, casadi::IM* obj)"
// call: "        bool ret = obj->is_zero();"
// params: []
extern "C"
int
    casadi__IM__is_zero(std::string ** err_msg, casadi::IM* obj);
int
    casadi__IM__is_zero(std::string ** err_msg, casadi::IM* obj){
    try {

        bool ret = obj->is_zero();

        return WrapReturn< int, bool >::wrapReturn( ret );
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return 0;
    }
}


// ================== Static method: "jac" ===============
// class: "casadi::IM"
// cppName: "casadi::IM::jac"
// cWrapperName: "casadi__IM__jac__0"
// protoArgs: "(std::string ** err_msg, casadi::Function* x0, std::string* x1, std::string* x2)"
// args: "(x0_, x1_, x2_)"
// rettype: UserType (Namespace ["casadi"]) (Name "IM")
// cWrapperRetType: "casadi::IM*"
// proto: "casadi::IM*\n    casadi__IM__jac__0(std::string ** err_msg, casadi::Function* x0, std::string* x1, std::string* x2)"
// call: "        casadi::IM ret = casadi::IM::jac(x0_, x1_, x2_);"
// params: [(Ref (Const (UserType (Namespace ["casadi"]) (Name "Function"))),SwigOutput False),(Ref (Const StdString),SwigOutput False),(Ref (Const StdString),SwigOutput False)]
extern "C"
casadi::IM*
    casadi__IM__jac__0(std::string ** err_msg, casadi::Function* x0, std::string* x1, std::string* x2);
casadi::IM*
    casadi__IM__jac__0(std::string ** err_msg, casadi::Function* x0, std::string* x1, std::string* x2){
    try {
        casadi::Function& x0_ = Marshaling<casadi::Function&,casadi::Function*>::marshal(x0);
        std::string& x1_ = Marshaling<std::string&,std::string*>::marshal(x1);
        std::string& x2_ = Marshaling<std::string&,std::string*>::marshal(x2);

        casadi::IM ret = casadi::IM::jac(x0_, x1_, x2_);
        // x0 is not a swig output
        // x1 is not a swig output
        // x2 is not a swig output

        return WrapReturn< casadi::IM*, casadi::IM >::wrapReturn( ret );
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return 0;
    }
}


// ================== Static method: "jac" ===============
// class: "casadi::IM"
// cppName: "casadi::IM::jac"
// cWrapperName: "casadi__IM__jac__1"
// protoArgs: "(std::string ** err_msg, casadi::Function* x0, std::string* x1, std::string* x2, int x3)"
// args: "(x0_, x1_, x2_, x3_)"
// rettype: UserType (Namespace ["casadi"]) (Name "IM")
// cWrapperRetType: "casadi::IM*"
// proto: "casadi::IM*\n    casadi__IM__jac__1(std::string ** err_msg, casadi::Function* x0, std::string* x1, std::string* x2, int x3)"
// call: "        casadi::IM ret = casadi::IM::jac(x0_, x1_, x2_, x3_);"
// params: [(Ref (Const (UserType (Namespace ["casadi"]) (Name "Function"))),SwigOutput False),(Ref (Const StdString),SwigOutput False),(Ref (Const StdString),SwigOutput False),(CBool,SwigOutput False)]
extern "C"
casadi::IM*
    casadi__IM__jac__1(std::string ** err_msg, casadi::Function* x0, std::string* x1, std::string* x2, int x3);
casadi::IM*
    casadi__IM__jac__1(std::string ** err_msg, casadi::Function* x0, std::string* x1, std::string* x2, int x3){
    try {
        casadi::Function& x0_ = Marshaling<casadi::Function&,casadi::Function*>::marshal(x0);
        std::string& x1_ = Marshaling<std::string&,std::string*>::marshal(x1);
        std::string& x2_ = Marshaling<std::string&,std::string*>::marshal(x2);
        bool x3_ = Marshaling<bool,int>::marshal(x3);

        casadi::IM ret = casadi::IM::jac(x0_, x1_, x2_, x3_);
        // x0 is not a swig output
        // x1 is not a swig output
        // x2 is not a swig output
        // x3 is not a swig output

        return WrapReturn< casadi::IM*, casadi::IM >::wrapReturn( ret );
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return 0;
    }
}


// ================== Static method: "jac" ===============
// class: "casadi::IM"
// cppName: "casadi::IM::jac"
// cWrapperName: "casadi__IM__jac__2"
// protoArgs: "(std::string ** err_msg, casadi::Function* x0, std::string* x1, std::string* x2, int x3, int x4)"
// args: "(x0_, x1_, x2_, x3_, x4_)"
// rettype: UserType (Namespace ["casadi"]) (Name "IM")
// cWrapperRetType: "casadi::IM*"
// proto: "casadi::IM*\n    casadi__IM__jac__2(std::string ** err_msg, casadi::Function* x0, std::string* x1, std::string* x2, int x3, int x4)"
// call: "        casadi::IM ret = casadi::IM::jac(x0_, x1_, x2_, x3_, x4_);"
// params: [(Ref (Const (UserType (Namespace ["casadi"]) (Name "Function"))),SwigOutput False),(Ref (Const StdString),SwigOutput False),(Ref (Const StdString),SwigOutput False),(CBool,SwigOutput False),(CBool,SwigOutput False)]
extern "C"
casadi::IM*
    casadi__IM__jac__2(std::string ** err_msg, casadi::Function* x0, std::string* x1, std::string* x2, int x3, int x4);
casadi::IM*
    casadi__IM__jac__2(std::string ** err_msg, casadi::Function* x0, std::string* x1, std::string* x2, int x3, int x4){
    try {
        casadi::Function& x0_ = Marshaling<casadi::Function&,casadi::Function*>::marshal(x0);
        std::string& x1_ = Marshaling<std::string&,std::string*>::marshal(x1);
        std::string& x2_ = Marshaling<std::string&,std::string*>::marshal(x2);
        bool x3_ = Marshaling<bool,int>::marshal(x3);
        bool x4_ = Marshaling<bool,int>::marshal(x4);

        casadi::IM ret = casadi::IM::jac(x0_, x1_, x2_, x3_, x4_);
        // x0 is not a swig output
        // x1 is not a swig output
        // x2 is not a swig output
        // x3 is not a swig output
        // x4 is not a swig output

        return WrapReturn< casadi::IM*, casadi::IM >::wrapReturn( ret );
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return 0;
    }
}


// ================== Static method: "jac" ===============
// class: "casadi::IM"
// cppName: "casadi::IM::jac"
// cWrapperName: "casadi__IM__jac__3"
// protoArgs: "(std::string ** err_msg, casadi::Function* x0, int x1, std::string* x2)"
// args: "(x0_, x1_, x2_)"
// rettype: UserType (Namespace ["casadi"]) (Name "IM")
// cWrapperRetType: "casadi::IM*"
// proto: "casadi::IM*\n    casadi__IM__jac__3(std::string ** err_msg, casadi::Function* x0, int x1, std::string* x2)"
// call: "        casadi::IM ret = casadi::IM::jac(x0_, x1_, x2_);"
// params: [(Ref (Const (UserType (Namespace ["casadi"]) (Name "Function"))),SwigOutput False),(CInt,SwigOutput False),(Ref (Const StdString),SwigOutput False)]
extern "C"
casadi::IM*
    casadi__IM__jac__3(std::string ** err_msg, casadi::Function* x0, int x1, std::string* x2);
casadi::IM*
    casadi__IM__jac__3(std::string ** err_msg, casadi::Function* x0, int x1, std::string* x2){
    try {
        casadi::Function& x0_ = Marshaling<casadi::Function&,casadi::Function*>::marshal(x0);
        int x1_ = Marshaling<int,int>::marshal(x1);
        std::string& x2_ = Marshaling<std::string&,std::string*>::marshal(x2);

        casadi::IM ret = casadi::IM::jac(x0_, x1_, x2_);
        // x0 is not a swig output
        // x1 is not a swig output
        // x2 is not a swig output

        return WrapReturn< casadi::IM*, casadi::IM >::wrapReturn( ret );
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return 0;
    }
}


// ================== Static method: "jac" ===============
// class: "casadi::IM"
// cppName: "casadi::IM::jac"
// cWrapperName: "casadi__IM__jac__4"
// protoArgs: "(std::string ** err_msg, casadi::Function* x0, int x1, std::string* x2, int x3)"
// args: "(x0_, x1_, x2_, x3_)"
// rettype: UserType (Namespace ["casadi"]) (Name "IM")
// cWrapperRetType: "casadi::IM*"
// proto: "casadi::IM*\n    casadi__IM__jac__4(std::string ** err_msg, casadi::Function* x0, int x1, std::string* x2, int x3)"
// call: "        casadi::IM ret = casadi::IM::jac(x0_, x1_, x2_, x3_);"
// params: [(Ref (Const (UserType (Namespace ["casadi"]) (Name "Function"))),SwigOutput False),(CInt,SwigOutput False),(Ref (Const StdString),SwigOutput False),(CBool,SwigOutput False)]
extern "C"
casadi::IM*
    casadi__IM__jac__4(std::string ** err_msg, casadi::Function* x0, int x1, std::string* x2, int x3);
casadi::IM*
    casadi__IM__jac__4(std::string ** err_msg, casadi::Function* x0, int x1, std::string* x2, int x3){
    try {
        casadi::Function& x0_ = Marshaling<casadi::Function&,casadi::Function*>::marshal(x0);
        int x1_ = Marshaling<int,int>::marshal(x1);
        std::string& x2_ = Marshaling<std::string&,std::string*>::marshal(x2);
        bool x3_ = Marshaling<bool,int>::marshal(x3);

        casadi::IM ret = casadi::IM::jac(x0_, x1_, x2_, x3_);
        // x0 is not a swig output
        // x1 is not a swig output
        // x2 is not a swig output
        // x3 is not a swig output

        return WrapReturn< casadi::IM*, casadi::IM >::wrapReturn( ret );
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return 0;
    }
}


// ================== Static method: "jac" ===============
// class: "casadi::IM"
// cppName: "casadi::IM::jac"
// cWrapperName: "casadi__IM__jac__5"
// protoArgs: "(std::string ** err_msg, casadi::Function* x0, int x1, std::string* x2, int x3, int x4)"
// args: "(x0_, x1_, x2_, x3_, x4_)"
// rettype: UserType (Namespace ["casadi"]) (Name "IM")
// cWrapperRetType: "casadi::IM*"
// proto: "casadi::IM*\n    casadi__IM__jac__5(std::string ** err_msg, casadi::Function* x0, int x1, std::string* x2, int x3, int x4)"
// call: "        casadi::IM ret = casadi::IM::jac(x0_, x1_, x2_, x3_, x4_);"
// params: [(Ref (Const (UserType (Namespace ["casadi"]) (Name "Function"))),SwigOutput False),(CInt,SwigOutput False),(Ref (Const StdString),SwigOutput False),(CBool,SwigOutput False),(CBool,SwigOutput False)]
extern "C"
casadi::IM*
    casadi__IM__jac__5(std::string ** err_msg, casadi::Function* x0, int x1, std::string* x2, int x3, int x4);
casadi::IM*
    casadi__IM__jac__5(std::string ** err_msg, casadi::Function* x0, int x1, std::string* x2, int x3, int x4){
    try {
        casadi::Function& x0_ = Marshaling<casadi::Function&,casadi::Function*>::marshal(x0);
        int x1_ = Marshaling<int,int>::marshal(x1);
        std::string& x2_ = Marshaling<std::string&,std::string*>::marshal(x2);
        bool x3_ = Marshaling<bool,int>::marshal(x3);
        bool x4_ = Marshaling<bool,int>::marshal(x4);

        casadi::IM ret = casadi::IM::jac(x0_, x1_, x2_, x3_, x4_);
        // x0 is not a swig output
        // x1 is not a swig output
        // x2 is not a swig output
        // x3 is not a swig output
        // x4 is not a swig output

        return WrapReturn< casadi::IM*, casadi::IM >::wrapReturn( ret );
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return 0;
    }
}


// ================== Static method: "jac" ===============
// class: "casadi::IM"
// cppName: "casadi::IM::jac"
// cWrapperName: "casadi__IM__jac__6"
// protoArgs: "(std::string ** err_msg, casadi::Function* x0, std::string* x1)"
// args: "(x0_, x1_)"
// rettype: UserType (Namespace ["casadi"]) (Name "IM")
// cWrapperRetType: "casadi::IM*"
// proto: "casadi::IM*\n    casadi__IM__jac__6(std::string ** err_msg, casadi::Function* x0, std::string* x1)"
// call: "        casadi::IM ret = casadi::IM::jac(x0_, x1_);"
// params: [(Ref (Const (UserType (Namespace ["casadi"]) (Name "Function"))),SwigOutput False),(Ref (Const StdString),SwigOutput False)]
extern "C"
casadi::IM*
    casadi__IM__jac__6(std::string ** err_msg, casadi::Function* x0, std::string* x1);
casadi::IM*
    casadi__IM__jac__6(std::string ** err_msg, casadi::Function* x0, std::string* x1){
    try {
        casadi::Function& x0_ = Marshaling<casadi::Function&,casadi::Function*>::marshal(x0);
        std::string& x1_ = Marshaling<std::string&,std::string*>::marshal(x1);

        casadi::IM ret = casadi::IM::jac(x0_, x1_);
        // x0 is not a swig output
        // x1 is not a swig output

        return WrapReturn< casadi::IM*, casadi::IM >::wrapReturn( ret );
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return 0;
    }
}


// ================== Static method: "jac" ===============
// class: "casadi::IM"
// cppName: "casadi::IM::jac"
// cWrapperName: "casadi__IM__jac__7"
// protoArgs: "(std::string ** err_msg, casadi::Function* x0, std::string* x1, int x2)"
// args: "(x0_, x1_, x2_)"
// rettype: UserType (Namespace ["casadi"]) (Name "IM")
// cWrapperRetType: "casadi::IM*"
// proto: "casadi::IM*\n    casadi__IM__jac__7(std::string ** err_msg, casadi::Function* x0, std::string* x1, int x2)"
// call: "        casadi::IM ret = casadi::IM::jac(x0_, x1_, x2_);"
// params: [(Ref (Const (UserType (Namespace ["casadi"]) (Name "Function"))),SwigOutput False),(Ref (Const StdString),SwigOutput False),(CInt,SwigOutput False)]
extern "C"
casadi::IM*
    casadi__IM__jac__7(std::string ** err_msg, casadi::Function* x0, std::string* x1, int x2);
casadi::IM*
    casadi__IM__jac__7(std::string ** err_msg, casadi::Function* x0, std::string* x1, int x2){
    try {
        casadi::Function& x0_ = Marshaling<casadi::Function&,casadi::Function*>::marshal(x0);
        std::string& x1_ = Marshaling<std::string&,std::string*>::marshal(x1);
        int x2_ = Marshaling<int,int>::marshal(x2);

        casadi::IM ret = casadi::IM::jac(x0_, x1_, x2_);
        // x0 is not a swig output
        // x1 is not a swig output
        // x2 is not a swig output

        return WrapReturn< casadi::IM*, casadi::IM >::wrapReturn( ret );
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return 0;
    }
}


// ================== Static method: "jac" ===============
// class: "casadi::IM"
// cppName: "casadi::IM::jac"
// cWrapperName: "casadi__IM__jac__8"
// protoArgs: "(std::string ** err_msg, casadi::Function* x0, std::string* x1, int x2, int x3)"
// args: "(x0_, x1_, x2_, x3_)"
// rettype: UserType (Namespace ["casadi"]) (Name "IM")
// cWrapperRetType: "casadi::IM*"
// proto: "casadi::IM*\n    casadi__IM__jac__8(std::string ** err_msg, casadi::Function* x0, std::string* x1, int x2, int x3)"
// call: "        casadi::IM ret = casadi::IM::jac(x0_, x1_, x2_, x3_);"
// params: [(Ref (Const (UserType (Namespace ["casadi"]) (Name "Function"))),SwigOutput False),(Ref (Const StdString),SwigOutput False),(CInt,SwigOutput False),(CBool,SwigOutput False)]
extern "C"
casadi::IM*
    casadi__IM__jac__8(std::string ** err_msg, casadi::Function* x0, std::string* x1, int x2, int x3);
casadi::IM*
    casadi__IM__jac__8(std::string ** err_msg, casadi::Function* x0, std::string* x1, int x2, int x3){
    try {
        casadi::Function& x0_ = Marshaling<casadi::Function&,casadi::Function*>::marshal(x0);
        std::string& x1_ = Marshaling<std::string&,std::string*>::marshal(x1);
        int x2_ = Marshaling<int,int>::marshal(x2);
        bool x3_ = Marshaling<bool,int>::marshal(x3);

        casadi::IM ret = casadi::IM::jac(x0_, x1_, x2_, x3_);
        // x0 is not a swig output
        // x1 is not a swig output
        // x2 is not a swig output
        // x3 is not a swig output

        return WrapReturn< casadi::IM*, casadi::IM >::wrapReturn( ret );
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return 0;
    }
}


// ================== Static method: "jac" ===============
// class: "casadi::IM"
// cppName: "casadi::IM::jac"
// cWrapperName: "casadi__IM__jac__9"
// protoArgs: "(std::string ** err_msg, casadi::Function* x0, std::string* x1, int x2, int x3, int x4)"
// args: "(x0_, x1_, x2_, x3_, x4_)"
// rettype: UserType (Namespace ["casadi"]) (Name "IM")
// cWrapperRetType: "casadi::IM*"
// proto: "casadi::IM*\n    casadi__IM__jac__9(std::string ** err_msg, casadi::Function* x0, std::string* x1, int x2, int x3, int x4)"
// call: "        casadi::IM ret = casadi::IM::jac(x0_, x1_, x2_, x3_, x4_);"
// params: [(Ref (Const (UserType (Namespace ["casadi"]) (Name "Function"))),SwigOutput False),(Ref (Const StdString),SwigOutput False),(CInt,SwigOutput False),(CBool,SwigOutput False),(CBool,SwigOutput False)]
extern "C"
casadi::IM*
    casadi__IM__jac__9(std::string ** err_msg, casadi::Function* x0, std::string* x1, int x2, int x3, int x4);
casadi::IM*
    casadi__IM__jac__9(std::string ** err_msg, casadi::Function* x0, std::string* x1, int x2, int x3, int x4){
    try {
        casadi::Function& x0_ = Marshaling<casadi::Function&,casadi::Function*>::marshal(x0);
        std::string& x1_ = Marshaling<std::string&,std::string*>::marshal(x1);
        int x2_ = Marshaling<int,int>::marshal(x2);
        bool x3_ = Marshaling<bool,int>::marshal(x3);
        bool x4_ = Marshaling<bool,int>::marshal(x4);

        casadi::IM ret = casadi::IM::jac(x0_, x1_, x2_, x3_, x4_);
        // x0 is not a swig output
        // x1 is not a swig output
        // x2 is not a swig output
        // x3 is not a swig output
        // x4 is not a swig output

        return WrapReturn< casadi::IM*, casadi::IM >::wrapReturn( ret );
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return 0;
    }
}


// ================== Static method: "jac" ===============
// class: "casadi::IM"
// cppName: "casadi::IM::jac"
// cWrapperName: "casadi__IM__jac__10"
// protoArgs: "(std::string ** err_msg, casadi::Function* x0)"
// args: "(x0_)"
// rettype: UserType (Namespace ["casadi"]) (Name "IM")
// cWrapperRetType: "casadi::IM*"
// proto: "casadi::IM*\n    casadi__IM__jac__10(std::string ** err_msg, casadi::Function* x0)"
// call: "        casadi::IM ret = casadi::IM::jac(x0_);"
// params: [(Ref (Const (UserType (Namespace ["casadi"]) (Name "Function"))),SwigOutput False)]
extern "C"
casadi::IM*
    casadi__IM__jac__10(std::string ** err_msg, casadi::Function* x0);
casadi::IM*
    casadi__IM__jac__10(std::string ** err_msg, casadi::Function* x0){
    try {
        casadi::Function& x0_ = Marshaling<casadi::Function&,casadi::Function*>::marshal(x0);

        casadi::IM ret = casadi::IM::jac(x0_);
        // x0 is not a swig output

        return WrapReturn< casadi::IM*, casadi::IM >::wrapReturn( ret );
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return 0;
    }
}


// ================== Static method: "jac" ===============
// class: "casadi::IM"
// cppName: "casadi::IM::jac"
// cWrapperName: "casadi__IM__jac__11"
// protoArgs: "(std::string ** err_msg, casadi::Function* x0, int x1)"
// args: "(x0_, x1_)"
// rettype: UserType (Namespace ["casadi"]) (Name "IM")
// cWrapperRetType: "casadi::IM*"
// proto: "casadi::IM*\n    casadi__IM__jac__11(std::string ** err_msg, casadi::Function* x0, int x1)"
// call: "        casadi::IM ret = casadi::IM::jac(x0_, x1_);"
// params: [(Ref (Const (UserType (Namespace ["casadi"]) (Name "Function"))),SwigOutput False),(CInt,SwigOutput False)]
extern "C"
casadi::IM*
    casadi__IM__jac__11(std::string ** err_msg, casadi::Function* x0, int x1);
casadi::IM*
    casadi__IM__jac__11(std::string ** err_msg, casadi::Function* x0, int x1){
    try {
        casadi::Function& x0_ = Marshaling<casadi::Function&,casadi::Function*>::marshal(x0);
        int x1_ = Marshaling<int,int>::marshal(x1);

        casadi::IM ret = casadi::IM::jac(x0_, x1_);
        // x0 is not a swig output
        // x1 is not a swig output

        return WrapReturn< casadi::IM*, casadi::IM >::wrapReturn( ret );
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return 0;
    }
}


// ================== Static method: "jac" ===============
// class: "casadi::IM"
// cppName: "casadi::IM::jac"
// cWrapperName: "casadi__IM__jac__12"
// protoArgs: "(std::string ** err_msg, casadi::Function* x0, int x1, int x2)"
// args: "(x0_, x1_, x2_)"
// rettype: UserType (Namespace ["casadi"]) (Name "IM")
// cWrapperRetType: "casadi::IM*"
// proto: "casadi::IM*\n    casadi__IM__jac__12(std::string ** err_msg, casadi::Function* x0, int x1, int x2)"
// call: "        casadi::IM ret = casadi::IM::jac(x0_, x1_, x2_);"
// params: [(Ref (Const (UserType (Namespace ["casadi"]) (Name "Function"))),SwigOutput False),(CInt,SwigOutput False),(CInt,SwigOutput False)]
extern "C"
casadi::IM*
    casadi__IM__jac__12(std::string ** err_msg, casadi::Function* x0, int x1, int x2);
casadi::IM*
    casadi__IM__jac__12(std::string ** err_msg, casadi::Function* x0, int x1, int x2){
    try {
        casadi::Function& x0_ = Marshaling<casadi::Function&,casadi::Function*>::marshal(x0);
        int x1_ = Marshaling<int,int>::marshal(x1);
        int x2_ = Marshaling<int,int>::marshal(x2);

        casadi::IM ret = casadi::IM::jac(x0_, x1_, x2_);
        // x0 is not a swig output
        // x1 is not a swig output
        // x2 is not a swig output

        return WrapReturn< casadi::IM*, casadi::IM >::wrapReturn( ret );
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return 0;
    }
}


// ================== Static method: "jac" ===============
// class: "casadi::IM"
// cppName: "casadi::IM::jac"
// cWrapperName: "casadi__IM__jac__13"
// protoArgs: "(std::string ** err_msg, casadi::Function* x0, int x1, int x2, int x3)"
// args: "(x0_, x1_, x2_, x3_)"
// rettype: UserType (Namespace ["casadi"]) (Name "IM")
// cWrapperRetType: "casadi::IM*"
// proto: "casadi::IM*\n    casadi__IM__jac__13(std::string ** err_msg, casadi::Function* x0, int x1, int x2, int x3)"
// call: "        casadi::IM ret = casadi::IM::jac(x0_, x1_, x2_, x3_);"
// params: [(Ref (Const (UserType (Namespace ["casadi"]) (Name "Function"))),SwigOutput False),(CInt,SwigOutput False),(CInt,SwigOutput False),(CBool,SwigOutput False)]
extern "C"
casadi::IM*
    casadi__IM__jac__13(std::string ** err_msg, casadi::Function* x0, int x1, int x2, int x3);
casadi::IM*
    casadi__IM__jac__13(std::string ** err_msg, casadi::Function* x0, int x1, int x2, int x3){
    try {
        casadi::Function& x0_ = Marshaling<casadi::Function&,casadi::Function*>::marshal(x0);
        int x1_ = Marshaling<int,int>::marshal(x1);
        int x2_ = Marshaling<int,int>::marshal(x2);
        bool x3_ = Marshaling<bool,int>::marshal(x3);

        casadi::IM ret = casadi::IM::jac(x0_, x1_, x2_, x3_);
        // x0 is not a swig output
        // x1 is not a swig output
        // x2 is not a swig output
        // x3 is not a swig output

        return WrapReturn< casadi::IM*, casadi::IM >::wrapReturn( ret );
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return 0;
    }
}


// ================== Static method: "jac" ===============
// class: "casadi::IM"
// cppName: "casadi::IM::jac"
// cWrapperName: "casadi__IM__jac__14"
// protoArgs: "(std::string ** err_msg, casadi::Function* x0, int x1, int x2, int x3, int x4)"
// args: "(x0_, x1_, x2_, x3_, x4_)"
// rettype: UserType (Namespace ["casadi"]) (Name "IM")
// cWrapperRetType: "casadi::IM*"
// proto: "casadi::IM*\n    casadi__IM__jac__14(std::string ** err_msg, casadi::Function* x0, int x1, int x2, int x3, int x4)"
// call: "        casadi::IM ret = casadi::IM::jac(x0_, x1_, x2_, x3_, x4_);"
// params: [(Ref (Const (UserType (Namespace ["casadi"]) (Name "Function"))),SwigOutput False),(CInt,SwigOutput False),(CInt,SwigOutput False),(CBool,SwigOutput False),(CBool,SwigOutput False)]
extern "C"
casadi::IM*
    casadi__IM__jac__14(std::string ** err_msg, casadi::Function* x0, int x1, int x2, int x3, int x4);
casadi::IM*
    casadi__IM__jac__14(std::string ** err_msg, casadi::Function* x0, int x1, int x2, int x3, int x4){
    try {
        casadi::Function& x0_ = Marshaling<casadi::Function&,casadi::Function*>::marshal(x0);
        int x1_ = Marshaling<int,int>::marshal(x1);
        int x2_ = Marshaling<int,int>::marshal(x2);
        bool x3_ = Marshaling<bool,int>::marshal(x3);
        bool x4_ = Marshaling<bool,int>::marshal(x4);

        casadi::IM ret = casadi::IM::jac(x0_, x1_, x2_, x3_, x4_);
        // x0 is not a swig output
        // x1 is not a swig output
        // x2 is not a swig output
        // x3 is not a swig output
        // x4 is not a swig output

        return WrapReturn< casadi::IM*, casadi::IM >::wrapReturn( ret );
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return 0;
    }
}


// ================== Static method: "matrix_matrix" ===============
// class: "casadi::IM"
// cppName: "casadi::IM::matrix_matrix"
// cWrapperName: "casadi__IM__matrix_matrix"
// protoArgs: "(std::string ** err_msg, int x0, casadi::IM* x1, casadi::IM* x2)"
// args: "(x0_, x1_, x2_)"
// rettype: UserType (Namespace ["casadi"]) (Name "IM")
// cWrapperRetType: "casadi::IM*"
// proto: "casadi::IM*\n    casadi__IM__matrix_matrix(std::string ** err_msg, int x0, casadi::IM* x1, casadi::IM* x2)"
// call: "        casadi::IM ret = casadi::IM::matrix_matrix(x0_, x1_, x2_);"
// params: [(CInt,SwigOutput False),(Ref (Const (UserType (Namespace ["casadi"]) (Name "IM"))),SwigOutput False),(Ref (Const (UserType (Namespace ["casadi"]) (Name "IM"))),SwigOutput False)]
extern "C"
casadi::IM*
    casadi__IM__matrix_matrix(std::string ** err_msg, int x0, casadi::IM* x1, casadi::IM* x2);
casadi::IM*
    casadi__IM__matrix_matrix(std::string ** err_msg, int x0, casadi::IM* x1, casadi::IM* x2){
    try {
        int x0_ = Marshaling<int,int>::marshal(x0);
        casadi::IM& x1_ = Marshaling<casadi::IM&,casadi::IM*>::marshal(x1);
        casadi::IM& x2_ = Marshaling<casadi::IM&,casadi::IM*>::marshal(x2);

        casadi::IM ret = casadi::IM::matrix_matrix(x0_, x1_, x2_);
        // x0 is not a swig output
        // x1 is not a swig output
        // x2 is not a swig output

        return WrapReturn< casadi::IM*, casadi::IM >::wrapReturn( ret );
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return 0;
    }
}


// ================== Static method: "matrix_scalar" ===============
// class: "casadi::IM"
// cppName: "casadi::IM::matrix_scalar"
// cWrapperName: "casadi__IM__matrix_scalar"
// protoArgs: "(std::string ** err_msg, int x0, casadi::IM* x1, casadi::IM* x2)"
// args: "(x0_, x1_, x2_)"
// rettype: UserType (Namespace ["casadi"]) (Name "IM")
// cWrapperRetType: "casadi::IM*"
// proto: "casadi::IM*\n    casadi__IM__matrix_scalar(std::string ** err_msg, int x0, casadi::IM* x1, casadi::IM* x2)"
// call: "        casadi::IM ret = casadi::IM::matrix_scalar(x0_, x1_, x2_);"
// params: [(CInt,SwigOutput False),(Ref (Const (UserType (Namespace ["casadi"]) (Name "IM"))),SwigOutput False),(Ref (Const (UserType (Namespace ["casadi"]) (Name "IM"))),SwigOutput False)]
extern "C"
casadi::IM*
    casadi__IM__matrix_scalar(std::string ** err_msg, int x0, casadi::IM* x1, casadi::IM* x2);
casadi::IM*
    casadi__IM__matrix_scalar(std::string ** err_msg, int x0, casadi::IM* x1, casadi::IM* x2){
    try {
        int x0_ = Marshaling<int,int>::marshal(x0);
        casadi::IM& x1_ = Marshaling<casadi::IM&,casadi::IM*>::marshal(x1);
        casadi::IM& x2_ = Marshaling<casadi::IM&,casadi::IM*>::marshal(x2);

        casadi::IM ret = casadi::IM::matrix_scalar(x0_, x1_, x2_);
        // x0 is not a swig output
        // x1 is not a swig output
        // x2 is not a swig output

        return WrapReturn< casadi::IM*, casadi::IM >::wrapReturn( ret );
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return 0;
    }
}


// ================== Normal method: "n_dep" ===============
// class: "casadi::IM"
// cppName: "casadi::IM::n_dep"
// cWrapperName: "casadi__IM__n_dep"
// protoArgs: "(std::string ** err_msg, casadi::IM* obj)"
// args: "()"
// rettype: CInt
// cWrapperRetType: "int"
// proto: "int\n    casadi__IM__n_dep(std::string ** err_msg, casadi::IM* obj)"
// call: "        int ret = obj->n_dep();"
// params: []
extern "C"
int
    casadi__IM__n_dep(std::string ** err_msg, casadi::IM* obj);
int
    casadi__IM__n_dep(std::string ** err_msg, casadi::IM* obj){
    try {

        int ret = obj->n_dep();

        return WrapReturn< int, int >::wrapReturn( ret );
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return 0;
    }
}


// ================== Normal method: "name" ===============
// class: "casadi::IM"
// cppName: "casadi::IM::name"
// cWrapperName: "casadi__IM__name"
// protoArgs: "(std::string ** err_msg, casadi::IM* obj)"
// args: "()"
// rettype: StdString
// cWrapperRetType: "std::string*"
// proto: "std::string*\n    casadi__IM__name(std::string ** err_msg, casadi::IM* obj)"
// call: "        std::string ret = obj->name();"
// params: []
extern "C"
std::string*
    casadi__IM__name(std::string ** err_msg, casadi::IM* obj);
std::string*
    casadi__IM__name(std::string ** err_msg, casadi::IM* obj){
    try {

        std::string ret = obj->name();

        return WrapReturn< std::string*, std::string >::wrapReturn( ret );
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return 0;
    }
}


// ================== Static method: "nan" ===============
// class: "casadi::IM"
// cppName: "casadi::IM::nan"
// cWrapperName: "casadi__IM__nan__0"
// protoArgs: "(std::string ** err_msg, std::pair< int, int >* x0)"
// args: "(x0_)"
// rettype: UserType (Namespace ["casadi"]) (Name "IM")
// cWrapperRetType: "casadi::IM*"
// proto: "casadi::IM*\n    casadi__IM__nan__0(std::string ** err_msg, std::pair< int, int >* x0)"
// call: "        casadi::IM ret = casadi::IM::nan(x0_);"
// params: [(Ref (Const (StdPair CInt CInt)),SwigOutput False)]
extern "C"
casadi::IM*
    casadi__IM__nan__0(std::string ** err_msg, std::pair< int, int >* x0);
casadi::IM*
    casadi__IM__nan__0(std::string ** err_msg, std::pair< int, int >* x0){
    try {
        std::pair< int, int > x0_ = Marshaling<std::pair< int, int >,std::pair< int, int >*>::marshal(x0);

        casadi::IM ret = casadi::IM::nan(x0_);
        // x0 is not a swig output

        return WrapReturn< casadi::IM*, casadi::IM >::wrapReturn( ret );
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return 0;
    }
}


// ================== Static method: "nan" ===============
// class: "casadi::IM"
// cppName: "casadi::IM::nan"
// cWrapperName: "casadi__IM__nan__1"
// protoArgs: "(std::string ** err_msg)"
// args: "()"
// rettype: UserType (Namespace ["casadi"]) (Name "IM")
// cWrapperRetType: "casadi::IM*"
// proto: "casadi::IM*\n    casadi__IM__nan__1(std::string ** err_msg)"
// call: "        casadi::IM ret = casadi::IM::nan();"
// params: []
extern "C"
casadi::IM*
    casadi__IM__nan__1(std::string ** err_msg);
casadi::IM*
    casadi__IM__nan__1(std::string ** err_msg){
    try {

        casadi::IM ret = casadi::IM::nan();

        return WrapReturn< casadi::IM*, casadi::IM >::wrapReturn( ret );
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return 0;
    }
}


// ================== Static method: "nan" ===============
// class: "casadi::IM"
// cppName: "casadi::IM::nan"
// cWrapperName: "casadi__IM__nan__2"
// protoArgs: "(std::string ** err_msg, int x0)"
// args: "(x0_)"
// rettype: UserType (Namespace ["casadi"]) (Name "IM")
// cWrapperRetType: "casadi::IM*"
// proto: "casadi::IM*\n    casadi__IM__nan__2(std::string ** err_msg, int x0)"
// call: "        casadi::IM ret = casadi::IM::nan(x0_);"
// params: [(CInt,SwigOutput False)]
extern "C"
casadi::IM*
    casadi__IM__nan__2(std::string ** err_msg, int x0);
casadi::IM*
    casadi__IM__nan__2(std::string ** err_msg, int x0){
    try {
        int x0_ = Marshaling<int,int>::marshal(x0);

        casadi::IM ret = casadi::IM::nan(x0_);
        // x0 is not a swig output

        return WrapReturn< casadi::IM*, casadi::IM >::wrapReturn( ret );
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return 0;
    }
}


// ================== Static method: "nan" ===============
// class: "casadi::IM"
// cppName: "casadi::IM::nan"
// cWrapperName: "casadi__IM__nan__3"
// protoArgs: "(std::string ** err_msg, int x0, int x1)"
// args: "(x0_, x1_)"
// rettype: UserType (Namespace ["casadi"]) (Name "IM")
// cWrapperRetType: "casadi::IM*"
// proto: "casadi::IM*\n    casadi__IM__nan__3(std::string ** err_msg, int x0, int x1)"
// call: "        casadi::IM ret = casadi::IM::nan(x0_, x1_);"
// params: [(CInt,SwigOutput False),(CInt,SwigOutput False)]
extern "C"
casadi::IM*
    casadi__IM__nan__3(std::string ** err_msg, int x0, int x1);
casadi::IM*
    casadi__IM__nan__3(std::string ** err_msg, int x0, int x1){
    try {
        int x0_ = Marshaling<int,int>::marshal(x0);
        int x1_ = Marshaling<int,int>::marshal(x1);

        casadi::IM ret = casadi::IM::nan(x0_, x1_);
        // x0 is not a swig output
        // x1 is not a swig output

        return WrapReturn< casadi::IM*, casadi::IM >::wrapReturn( ret );
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return 0;
    }
}


// ================== Static method: "nan" ===============
// class: "casadi::IM"
// cppName: "casadi::IM::nan"
// cWrapperName: "casadi__IM__nan__4"
// protoArgs: "(std::string ** err_msg, casadi::Sparsity* x0)"
// args: "(x0_)"
// rettype: UserType (Namespace ["casadi"]) (Name "IM")
// cWrapperRetType: "casadi::IM*"
// proto: "casadi::IM*\n    casadi__IM__nan__4(std::string ** err_msg, casadi::Sparsity* x0)"
// call: "        casadi::IM ret = casadi::IM::nan(x0_);"
// params: [(Ref (Const (UserType (Namespace ["casadi"]) (Name "Sparsity"))),SwigOutput False)]
extern "C"
casadi::IM*
    casadi__IM__nan__4(std::string ** err_msg, casadi::Sparsity* x0);
casadi::IM*
    casadi__IM__nan__4(std::string ** err_msg, casadi::Sparsity* x0){
    try {
        casadi::Sparsity& x0_ = Marshaling<casadi::Sparsity&,casadi::Sparsity*>::marshal(x0);

        casadi::IM ret = casadi::IM::nan(x0_);
        // x0 is not a swig output

        return WrapReturn< casadi::IM*, casadi::IM >::wrapReturn( ret );
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return 0;
    }
}


// ================== Normal method: "nnz" ===============
// class: "casadi::IM"
// cppName: "casadi::IM::nnz"
// cWrapperName: "casadi__IM__nnz"
// protoArgs: "(std::string ** err_msg, casadi::IM* obj)"
// args: "()"
// rettype: CInt
// cWrapperRetType: "int"
// proto: "int\n    casadi__IM__nnz(std::string ** err_msg, casadi::IM* obj)"
// call: "        int ret = obj->nnz();"
// params: []
extern "C"
int
    casadi__IM__nnz(std::string ** err_msg, casadi::IM* obj);
int
    casadi__IM__nnz(std::string ** err_msg, casadi::IM* obj){
    try {

        int ret = obj->nnz();

        return WrapReturn< int, int >::wrapReturn( ret );
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return 0;
    }
}


// ================== Normal method: "nnz_diag" ===============
// class: "casadi::IM"
// cppName: "casadi::IM::nnz_diag"
// cWrapperName: "casadi__IM__nnz_diag"
// protoArgs: "(std::string ** err_msg, casadi::IM* obj)"
// args: "()"
// rettype: CInt
// cWrapperRetType: "int"
// proto: "int\n    casadi__IM__nnz_diag(std::string ** err_msg, casadi::IM* obj)"
// call: "        int ret = obj->nnz_diag();"
// params: []
extern "C"
int
    casadi__IM__nnz_diag(std::string ** err_msg, casadi::IM* obj);
int
    casadi__IM__nnz_diag(std::string ** err_msg, casadi::IM* obj){
    try {

        int ret = obj->nnz_diag();

        return WrapReturn< int, int >::wrapReturn( ret );
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return 0;
    }
}


// ================== Normal method: "nnz_lower" ===============
// class: "casadi::IM"
// cppName: "casadi::IM::nnz_lower"
// cWrapperName: "casadi__IM__nnz_lower"
// protoArgs: "(std::string ** err_msg, casadi::IM* obj)"
// args: "()"
// rettype: CInt
// cWrapperRetType: "int"
// proto: "int\n    casadi__IM__nnz_lower(std::string ** err_msg, casadi::IM* obj)"
// call: "        int ret = obj->nnz_lower();"
// params: []
extern "C"
int
    casadi__IM__nnz_lower(std::string ** err_msg, casadi::IM* obj);
int
    casadi__IM__nnz_lower(std::string ** err_msg, casadi::IM* obj){
    try {

        int ret = obj->nnz_lower();

        return WrapReturn< int, int >::wrapReturn( ret );
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return 0;
    }
}


// ================== Normal method: "nnz_upper" ===============
// class: "casadi::IM"
// cppName: "casadi::IM::nnz_upper"
// cWrapperName: "casadi__IM__nnz_upper"
// protoArgs: "(std::string ** err_msg, casadi::IM* obj)"
// args: "()"
// rettype: CInt
// cWrapperRetType: "int"
// proto: "int\n    casadi__IM__nnz_upper(std::string ** err_msg, casadi::IM* obj)"
// call: "        int ret = obj->nnz_upper();"
// params: []
extern "C"
int
    casadi__IM__nnz_upper(std::string ** err_msg, casadi::IM* obj);
int
    casadi__IM__nnz_upper(std::string ** err_msg, casadi::IM* obj){
    try {

        int ret = obj->nnz_upper();

        return WrapReturn< int, int >::wrapReturn( ret );
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return 0;
    }
}


// ================== Normal method: "numel" ===============
// class: "casadi::IM"
// cppName: "casadi::IM::numel"
// cWrapperName: "casadi__IM__numel__0"
// protoArgs: "(std::string ** err_msg, casadi::IM* obj, int x0)"
// args: "(x0_)"
// rettype: CInt
// cWrapperRetType: "int"
// proto: "int\n    casadi__IM__numel__0(std::string ** err_msg, casadi::IM* obj, int x0)"
// call: "        int ret = obj->numel(x0_);"
// params: [(CInt,SwigOutput False)]
extern "C"
int
    casadi__IM__numel__0(std::string ** err_msg, casadi::IM* obj, int x0);
int
    casadi__IM__numel__0(std::string ** err_msg, casadi::IM* obj, int x0){
    try {
        int x0_ = Marshaling<int,int>::marshal(x0);

        int ret = obj->numel(x0_);
        // x0 is not a swig output

        return WrapReturn< int, int >::wrapReturn( ret );
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return 0;
    }
}


// ================== Normal method: "numel" ===============
// class: "casadi::IM"
// cppName: "casadi::IM::numel"
// cWrapperName: "casadi__IM__numel__1"
// protoArgs: "(std::string ** err_msg, casadi::IM* obj)"
// args: "()"
// rettype: CInt
// cWrapperRetType: "int"
// proto: "int\n    casadi__IM__numel__1(std::string ** err_msg, casadi::IM* obj)"
// call: "        int ret = obj->numel();"
// params: []
extern "C"
int
    casadi__IM__numel__1(std::string ** err_msg, casadi::IM* obj);
int
    casadi__IM__numel__1(std::string ** err_msg, casadi::IM* obj){
    try {

        int ret = obj->numel();

        return WrapReturn< int, int >::wrapReturn( ret );
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return 0;
    }
}


// ================== Static method: "ones" ===============
// class: "casadi::IM"
// cppName: "casadi::IM::ones"
// cWrapperName: "casadi__IM__ones__0"
// protoArgs: "(std::string ** err_msg, std::pair< int, int >* x0)"
// args: "(x0_)"
// rettype: UserType (Namespace ["casadi"]) (Name "IM")
// cWrapperRetType: "casadi::IM*"
// proto: "casadi::IM*\n    casadi__IM__ones__0(std::string ** err_msg, std::pair< int, int >* x0)"
// call: "        casadi::IM ret = casadi::IM::ones(x0_);"
// params: [(Ref (Const (StdPair CInt CInt)),SwigOutput False)]
extern "C"
casadi::IM*
    casadi__IM__ones__0(std::string ** err_msg, std::pair< int, int >* x0);
casadi::IM*
    casadi__IM__ones__0(std::string ** err_msg, std::pair< int, int >* x0){
    try {
        std::pair< int, int > x0_ = Marshaling<std::pair< int, int >,std::pair< int, int >*>::marshal(x0);

        casadi::IM ret = casadi::IM::ones(x0_);
        // x0 is not a swig output

        return WrapReturn< casadi::IM*, casadi::IM >::wrapReturn( ret );
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return 0;
    }
}


// ================== Static method: "ones" ===============
// class: "casadi::IM"
// cppName: "casadi::IM::ones"
// cWrapperName: "casadi__IM__ones__1"
// protoArgs: "(std::string ** err_msg, casadi::Sparsity* x0)"
// args: "(x0_)"
// rettype: UserType (Namespace ["casadi"]) (Name "IM")
// cWrapperRetType: "casadi::IM*"
// proto: "casadi::IM*\n    casadi__IM__ones__1(std::string ** err_msg, casadi::Sparsity* x0)"
// call: "        casadi::IM ret = casadi::IM::ones(x0_);"
// params: [(Ref (Const (UserType (Namespace ["casadi"]) (Name "Sparsity"))),SwigOutput False)]
extern "C"
casadi::IM*
    casadi__IM__ones__1(std::string ** err_msg, casadi::Sparsity* x0);
casadi::IM*
    casadi__IM__ones__1(std::string ** err_msg, casadi::Sparsity* x0){
    try {
        casadi::Sparsity& x0_ = Marshaling<casadi::Sparsity&,casadi::Sparsity*>::marshal(x0);

        casadi::IM ret = casadi::IM::ones(x0_);
        // x0 is not a swig output

        return WrapReturn< casadi::IM*, casadi::IM >::wrapReturn( ret );
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return 0;
    }
}


// ================== Static method: "ones" ===============
// class: "casadi::IM"
// cppName: "casadi::IM::ones"
// cWrapperName: "casadi__IM__ones__2"
// protoArgs: "(std::string ** err_msg)"
// args: "()"
// rettype: UserType (Namespace ["casadi"]) (Name "IM")
// cWrapperRetType: "casadi::IM*"
// proto: "casadi::IM*\n    casadi__IM__ones__2(std::string ** err_msg)"
// call: "        casadi::IM ret = casadi::IM::ones();"
// params: []
extern "C"
casadi::IM*
    casadi__IM__ones__2(std::string ** err_msg);
casadi::IM*
    casadi__IM__ones__2(std::string ** err_msg){
    try {

        casadi::IM ret = casadi::IM::ones();

        return WrapReturn< casadi::IM*, casadi::IM >::wrapReturn( ret );
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return 0;
    }
}


// ================== Static method: "ones" ===============
// class: "casadi::IM"
// cppName: "casadi::IM::ones"
// cWrapperName: "casadi__IM__ones__3"
// protoArgs: "(std::string ** err_msg, int x0)"
// args: "(x0_)"
// rettype: UserType (Namespace ["casadi"]) (Name "IM")
// cWrapperRetType: "casadi::IM*"
// proto: "casadi::IM*\n    casadi__IM__ones__3(std::string ** err_msg, int x0)"
// call: "        casadi::IM ret = casadi::IM::ones(x0_);"
// params: [(CInt,SwigOutput False)]
extern "C"
casadi::IM*
    casadi__IM__ones__3(std::string ** err_msg, int x0);
casadi::IM*
    casadi__IM__ones__3(std::string ** err_msg, int x0){
    try {
        int x0_ = Marshaling<int,int>::marshal(x0);

        casadi::IM ret = casadi::IM::ones(x0_);
        // x0 is not a swig output

        return WrapReturn< casadi::IM*, casadi::IM >::wrapReturn( ret );
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return 0;
    }
}


// ================== Static method: "ones" ===============
// class: "casadi::IM"
// cppName: "casadi::IM::ones"
// cWrapperName: "casadi__IM__ones__4"
// protoArgs: "(std::string ** err_msg, int x0, int x1)"
// args: "(x0_, x1_)"
// rettype: UserType (Namespace ["casadi"]) (Name "IM")
// cWrapperRetType: "casadi::IM*"
// proto: "casadi::IM*\n    casadi__IM__ones__4(std::string ** err_msg, int x0, int x1)"
// call: "        casadi::IM ret = casadi::IM::ones(x0_, x1_);"
// params: [(CInt,SwigOutput False),(CInt,SwigOutput False)]
extern "C"
casadi::IM*
    casadi__IM__ones__4(std::string ** err_msg, int x0, int x1);
casadi::IM*
    casadi__IM__ones__4(std::string ** err_msg, int x0, int x1){
    try {
        int x0_ = Marshaling<int,int>::marshal(x0);
        int x1_ = Marshaling<int,int>::marshal(x1);

        casadi::IM ret = casadi::IM::ones(x0_, x1_);
        // x0 is not a swig output
        // x1 is not a swig output

        return WrapReturn< casadi::IM*, casadi::IM >::wrapReturn( ret );
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return 0;
    }
}


// ================== Normal method: "operator +" ===============
// class: "casadi::IM"
// cppName: "casadi::IM::operator +"
// cWrapperName: "casadi__IM__operator__plus"
// protoArgs: "(std::string ** err_msg, casadi::IM* obj)"
// args: "()"
// rettype: UserType (Namespace ["casadi"]) (Name "IM")
// cWrapperRetType: "casadi::IM*"
// proto: "casadi::IM*\n    casadi__IM__operator__plus(std::string ** err_msg, casadi::IM* obj)"
// call: "        casadi::IM ret = obj->operator +();"
// params: []
extern "C"
casadi::IM*
    casadi__IM__operator__plus(std::string ** err_msg, casadi::IM* obj);
casadi::IM*
    casadi__IM__operator__plus(std::string ** err_msg, casadi::IM* obj){
    try {

        casadi::IM ret = obj->operator +();

        return WrapReturn< casadi::IM*, casadi::IM >::wrapReturn( ret );
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return 0;
    }
}


// ================== Normal method: "operator -" ===============
// class: "casadi::IM"
// cppName: "casadi::IM::operator -"
// cWrapperName: "casadi__IM__operator__minus"
// protoArgs: "(std::string ** err_msg, casadi::IM* obj)"
// args: "()"
// rettype: UserType (Namespace ["casadi"]) (Name "IM")
// cWrapperRetType: "casadi::IM*"
// proto: "casadi::IM*\n    casadi__IM__operator__minus(std::string ** err_msg, casadi::IM* obj)"
// call: "        casadi::IM ret = obj->operator -();"
// params: []
extern "C"
casadi::IM*
    casadi__IM__operator__minus(std::string ** err_msg, casadi::IM* obj);
casadi::IM*
    casadi__IM__operator__minus(std::string ** err_msg, casadi::IM* obj){
    try {

        casadi::IM ret = obj->operator -();

        return WrapReturn< casadi::IM*, casadi::IM >::wrapReturn( ret );
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return 0;
    }
}


// ================== Normal method: "operator double" ===============
// class: "casadi::IM"
// cppName: "casadi::IM::operator double"
// cWrapperName: "casadi__IM__operator_double"
// protoArgs: "(std::string ** err_msg, casadi::IM* obj)"
// args: "()"
// rettype: CDouble
// cWrapperRetType: "double"
// proto: "double\n    casadi__IM__operator_double(std::string ** err_msg, casadi::IM* obj)"
// call: "        double ret = obj->operator double();"
// params: []
extern "C"
double
    casadi__IM__operator_double(std::string ** err_msg, casadi::IM* obj);
double
    casadi__IM__operator_double(std::string ** err_msg, casadi::IM* obj){
    try {

        double ret = obj->operator double();

        return WrapReturn< double, double >::wrapReturn( ret );
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return 0;
    }
}


// ================== Normal method: "operator int" ===============
// class: "casadi::IM"
// cppName: "casadi::IM::operator int"
// cWrapperName: "casadi__IM__operator_int"
// protoArgs: "(std::string ** err_msg, casadi::IM* obj)"
// args: "()"
// rettype: CInt
// cWrapperRetType: "int"
// proto: "int\n    casadi__IM__operator_int(std::string ** err_msg, casadi::IM* obj)"
// call: "        int ret = obj->operator int();"
// params: []
extern "C"
int
    casadi__IM__operator_int(std::string ** err_msg, casadi::IM* obj);
int
    casadi__IM__operator_int(std::string ** err_msg, casadi::IM* obj){
    try {

        int ret = obj->operator int();

        return WrapReturn< int, int >::wrapReturn( ret );
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return 0;
    }
}


// ================== Normal method: "print_dense" ===============
// class: "casadi::IM"
// cppName: "casadi::IM::print_dense"
// cWrapperName: "casadi__IM__print_dense"
// protoArgs: "(std::string ** err_msg, casadi::IM* obj)"
// args: "()"
// rettype: CVoid
// cWrapperRetType: "void"
// proto: "void\n    casadi__IM__print_dense(std::string ** err_msg, casadi::IM* obj)"
// call: "        obj->print_dense();"
// params: []
extern "C"
void
    casadi__IM__print_dense(std::string ** err_msg, casadi::IM* obj);
void
    casadi__IM__print_dense(std::string ** err_msg, casadi::IM* obj){
    try {

        obj->print_dense();

        return;
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return;
    }
}


// ================== Normal method: "print_scalar" ===============
// class: "casadi::IM"
// cppName: "casadi::IM::print_scalar"
// cWrapperName: "casadi__IM__print_scalar"
// protoArgs: "(std::string ** err_msg, casadi::IM* obj)"
// args: "()"
// rettype: CVoid
// cWrapperRetType: "void"
// proto: "void\n    casadi__IM__print_scalar(std::string ** err_msg, casadi::IM* obj)"
// call: "        obj->print_scalar();"
// params: []
extern "C"
void
    casadi__IM__print_scalar(std::string ** err_msg, casadi::IM* obj);
void
    casadi__IM__print_scalar(std::string ** err_msg, casadi::IM* obj){
    try {

        obj->print_scalar();

        return;
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return;
    }
}


// ================== Normal method: "print_sparse" ===============
// class: "casadi::IM"
// cppName: "casadi::IM::print_sparse"
// cWrapperName: "casadi__IM__print_sparse"
// protoArgs: "(std::string ** err_msg, casadi::IM* obj)"
// args: "()"
// rettype: CVoid
// cWrapperRetType: "void"
// proto: "void\n    casadi__IM__print_sparse(std::string ** err_msg, casadi::IM* obj)"
// call: "        obj->print_sparse();"
// params: []
extern "C"
void
    casadi__IM__print_sparse(std::string ** err_msg, casadi::IM* obj);
void
    casadi__IM__print_sparse(std::string ** err_msg, casadi::IM* obj){
    try {

        obj->print_sparse();

        return;
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return;
    }
}


// ================== Normal method: "print_split" ===============
// class: "casadi::IM"
// cppName: "casadi::IM::print_split"
// cWrapperName: "casadi__IM__print_split"
// protoArgs: "(std::string ** err_msg, casadi::IM* obj, std::vector< std::string* >** x0, std::vector< std::string* >** x1)"
// args: "(x0_, x1_)"
// rettype: CVoid
// cWrapperRetType: "void"
// proto: "void\n    casadi__IM__print_split(std::string ** err_msg, casadi::IM* obj, std::vector< std::string* >** x0, std::vector< std::string* >** x1)"
// call: "        obj->print_split(x0_, x1_);"
// params: [(Ref (StdVec StdString),SwigOutput True),(Ref (StdVec StdString),SwigOutput True)]
extern "C"
void
    casadi__IM__print_split(std::string ** err_msg, casadi::IM* obj, std::vector< std::string* >** x0, std::vector< std::string* >** x1);
void
    casadi__IM__print_split(std::string ** err_msg, casadi::IM* obj, std::vector< std::string* >** x0, std::vector< std::string* >** x1){
    try {
        std::vector< std::string > x0_ = std::vector< std::string >();  // Swig output
        std::vector< std::string > x1_ = std::vector< std::string >();  // Swig output

        obj->print_split(x0_, x1_);
        *x0 = WrapReturn< std::vector< std::string* >*, std::vector< std::string > >::wrapReturn( x0_ );
        *x1 = WrapReturn< std::vector< std::string* >*, std::vector< std::string > >::wrapReturn( x1_ );

        return;
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return;
    }
}


// ================== Normal method: "print_vector" ===============
// class: "casadi::IM"
// cppName: "casadi::IM::print_vector"
// cWrapperName: "casadi__IM__print_vector"
// protoArgs: "(std::string ** err_msg, casadi::IM* obj)"
// args: "()"
// rettype: CVoid
// cWrapperRetType: "void"
// proto: "void\n    casadi__IM__print_vector(std::string ** err_msg, casadi::IM* obj)"
// call: "        obj->print_vector();"
// params: []
extern "C"
void
    casadi__IM__print_vector(std::string ** err_msg, casadi::IM* obj);
void
    casadi__IM__print_vector(std::string ** err_msg, casadi::IM* obj){
    try {

        obj->print_vector();

        return;
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return;
    }
}


// ================== Normal method: "printme" ===============
// class: "casadi::IM"
// cppName: "casadi::IM::printme"
// cWrapperName: "casadi__IM__printme"
// protoArgs: "(std::string ** err_msg, casadi::IM* obj, casadi::IM* x0)"
// args: "(x0_)"
// rettype: UserType (Namespace ["casadi"]) (Name "IM")
// cWrapperRetType: "casadi::IM*"
// proto: "casadi::IM*\n    casadi__IM__printme(std::string ** err_msg, casadi::IM* obj, casadi::IM* x0)"
// call: "        casadi::IM ret = obj->printme(x0_);"
// params: [(Ref (Const (UserType (Namespace ["casadi"]) (Name "IM"))),SwigOutput False)]
extern "C"
casadi::IM*
    casadi__IM__printme(std::string ** err_msg, casadi::IM* obj, casadi::IM* x0);
casadi::IM*
    casadi__IM__printme(std::string ** err_msg, casadi::IM* obj, casadi::IM* x0){
    try {
        casadi::IM& x0_ = Marshaling<casadi::IM&,casadi::IM*>::marshal(x0);

        casadi::IM ret = obj->printme(x0_);
        // x0 is not a swig output

        return WrapReturn< casadi::IM*, casadi::IM >::wrapReturn( ret );
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return 0;
    }
}


// ================== Normal method: "remove" ===============
// class: "casadi::IM"
// cppName: "casadi::IM::remove"
// cWrapperName: "casadi__IM__remove"
// protoArgs: "(std::string ** err_msg, casadi::IM* obj, std::vector< int >* x0, std::vector< int >* x1)"
// args: "(x0_, x1_)"
// rettype: CVoid
// cWrapperRetType: "void"
// proto: "void\n    casadi__IM__remove(std::string ** err_msg, casadi::IM* obj, std::vector< int >* x0, std::vector< int >* x1)"
// call: "        obj->remove(x0_, x1_);"
// params: [(Ref (Const (StdVec CInt)),SwigOutput False),(Ref (Const (StdVec CInt)),SwigOutput False)]
extern "C"
void
    casadi__IM__remove(std::string ** err_msg, casadi::IM* obj, std::vector< int >* x0, std::vector< int >* x1);
void
    casadi__IM__remove(std::string ** err_msg, casadi::IM* obj, std::vector< int >* x0, std::vector< int >* x1){
    try {
        std::vector< int > x0_ = Marshaling<std::vector< int >,std::vector< int >*>::marshal(x0);
        std::vector< int > x1_ = Marshaling<std::vector< int >,std::vector< int >*>::marshal(x1);

        obj->remove(x0_, x1_);
        // x0 is not a swig output
        // x1 is not a swig output

        return;
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return;
    }
}


// ================== Normal method: "reserve" ===============
// class: "casadi::IM"
// cppName: "casadi::IM::reserve"
// cWrapperName: "casadi__IM__reserve__0"
// protoArgs: "(std::string ** err_msg, casadi::IM* obj, int x0, int x1)"
// args: "(x0_, x1_)"
// rettype: CVoid
// cWrapperRetType: "void"
// proto: "void\n    casadi__IM__reserve__0(std::string ** err_msg, casadi::IM* obj, int x0, int x1)"
// call: "        obj->reserve(x0_, x1_);"
// params: [(CInt,SwigOutput False),(CInt,SwigOutput False)]
extern "C"
void
    casadi__IM__reserve__0(std::string ** err_msg, casadi::IM* obj, int x0, int x1);
void
    casadi__IM__reserve__0(std::string ** err_msg, casadi::IM* obj, int x0, int x1){
    try {
        int x0_ = Marshaling<int,int>::marshal(x0);
        int x1_ = Marshaling<int,int>::marshal(x1);

        obj->reserve(x0_, x1_);
        // x0 is not a swig output
        // x1 is not a swig output

        return;
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return;
    }
}


// ================== Normal method: "reserve" ===============
// class: "casadi::IM"
// cppName: "casadi::IM::reserve"
// cWrapperName: "casadi__IM__reserve__1"
// protoArgs: "(std::string ** err_msg, casadi::IM* obj, int x0)"
// args: "(x0_)"
// rettype: CVoid
// cWrapperRetType: "void"
// proto: "void\n    casadi__IM__reserve__1(std::string ** err_msg, casadi::IM* obj, int x0)"
// call: "        obj->reserve(x0_);"
// params: [(CInt,SwigOutput False)]
extern "C"
void
    casadi__IM__reserve__1(std::string ** err_msg, casadi::IM* obj, int x0);
void
    casadi__IM__reserve__1(std::string ** err_msg, casadi::IM* obj, int x0){
    try {
        int x0_ = Marshaling<int,int>::marshal(x0);

        obj->reserve(x0_);
        // x0 is not a swig output

        return;
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return;
    }
}


// ================== Normal method: "resetInput" ===============
// class: "casadi::IM"
// cppName: "casadi::IM::resetInput"
// cWrapperName: "casadi__IM__resetInput"
// protoArgs: "(std::string ** err_msg, casadi::IM* obj)"
// args: "()"
// rettype: CVoid
// cWrapperRetType: "void"
// proto: "void\n    casadi__IM__resetInput(std::string ** err_msg, casadi::IM* obj)"
// call: "        obj->resetInput();"
// params: []
extern "C"
void
    casadi__IM__resetInput(std::string ** err_msg, casadi::IM* obj);
void
    casadi__IM__resetInput(std::string ** err_msg, casadi::IM* obj){
    try {

        obj->resetInput();

        return;
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return;
    }
}


// ================== Normal method: "resize" ===============
// class: "casadi::IM"
// cppName: "casadi::IM::resize"
// cWrapperName: "casadi__IM__resize"
// protoArgs: "(std::string ** err_msg, casadi::IM* obj, int x0, int x1)"
// args: "(x0_, x1_)"
// rettype: CVoid
// cWrapperRetType: "void"
// proto: "void\n    casadi__IM__resize(std::string ** err_msg, casadi::IM* obj, int x0, int x1)"
// call: "        obj->resize(x0_, x1_);"
// params: [(CInt,SwigOutput False),(CInt,SwigOutput False)]
extern "C"
void
    casadi__IM__resize(std::string ** err_msg, casadi::IM* obj, int x0, int x1);
void
    casadi__IM__resize(std::string ** err_msg, casadi::IM* obj, int x0, int x1){
    try {
        int x0_ = Marshaling<int,int>::marshal(x0);
        int x1_ = Marshaling<int,int>::marshal(x1);

        obj->resize(x0_, x1_);
        // x0 is not a swig output
        // x1 is not a swig output

        return;
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return;
    }
}


// ================== Normal method: "row" ===============
// class: "casadi::IM"
// cppName: "casadi::IM::row"
// cWrapperName: "casadi__IM__row"
// protoArgs: "(std::string ** err_msg, casadi::IM* obj, int x0)"
// args: "(x0_)"
// rettype: CInt
// cWrapperRetType: "int"
// proto: "int\n    casadi__IM__row(std::string ** err_msg, casadi::IM* obj, int x0)"
// call: "        int ret = obj->row(x0_);"
// params: [(CInt,SwigOutput False)]
extern "C"
int
    casadi__IM__row(std::string ** err_msg, casadi::IM* obj, int x0);
int
    casadi__IM__row(std::string ** err_msg, casadi::IM* obj, int x0){
    try {
        int x0_ = Marshaling<int,int>::marshal(x0);

        int ret = obj->row(x0_);
        // x0 is not a swig output

        return WrapReturn< int, int >::wrapReturn( ret );
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return 0;
    }
}


// ================== Normal method: "sanity_check" ===============
// class: "casadi::IM"
// cppName: "casadi::IM::sanity_check"
// cWrapperName: "casadi__IM__sanity_check__0"
// protoArgs: "(std::string ** err_msg, casadi::IM* obj)"
// args: "()"
// rettype: CVoid
// cWrapperRetType: "void"
// proto: "void\n    casadi__IM__sanity_check__0(std::string ** err_msg, casadi::IM* obj)"
// call: "        obj->sanity_check();"
// params: []
extern "C"
void
    casadi__IM__sanity_check__0(std::string ** err_msg, casadi::IM* obj);
void
    casadi__IM__sanity_check__0(std::string ** err_msg, casadi::IM* obj){
    try {

        obj->sanity_check();

        return;
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return;
    }
}


// ================== Normal method: "sanity_check" ===============
// class: "casadi::IM"
// cppName: "casadi::IM::sanity_check"
// cWrapperName: "casadi__IM__sanity_check__1"
// protoArgs: "(std::string ** err_msg, casadi::IM* obj, int x0)"
// args: "(x0_)"
// rettype: CVoid
// cWrapperRetType: "void"
// proto: "void\n    casadi__IM__sanity_check__1(std::string ** err_msg, casadi::IM* obj, int x0)"
// call: "        obj->sanity_check(x0_);"
// params: [(CBool,SwigOutput False)]
extern "C"
void
    casadi__IM__sanity_check__1(std::string ** err_msg, casadi::IM* obj, int x0);
void
    casadi__IM__sanity_check__1(std::string ** err_msg, casadi::IM* obj, int x0){
    try {
        bool x0_ = Marshaling<bool,int>::marshal(x0);

        obj->sanity_check(x0_);
        // x0 is not a swig output

        return;
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return;
    }
}


// ================== Static method: "scalar_matrix" ===============
// class: "casadi::IM"
// cppName: "casadi::IM::scalar_matrix"
// cWrapperName: "casadi__IM__scalar_matrix"
// protoArgs: "(std::string ** err_msg, int x0, casadi::IM* x1, casadi::IM* x2)"
// args: "(x0_, x1_, x2_)"
// rettype: UserType (Namespace ["casadi"]) (Name "IM")
// cWrapperRetType: "casadi::IM*"
// proto: "casadi::IM*\n    casadi__IM__scalar_matrix(std::string ** err_msg, int x0, casadi::IM* x1, casadi::IM* x2)"
// call: "        casadi::IM ret = casadi::IM::scalar_matrix(x0_, x1_, x2_);"
// params: [(CInt,SwigOutput False),(Ref (Const (UserType (Namespace ["casadi"]) (Name "IM"))),SwigOutput False),(Ref (Const (UserType (Namespace ["casadi"]) (Name "IM"))),SwigOutput False)]
extern "C"
casadi::IM*
    casadi__IM__scalar_matrix(std::string ** err_msg, int x0, casadi::IM* x1, casadi::IM* x2);
casadi::IM*
    casadi__IM__scalar_matrix(std::string ** err_msg, int x0, casadi::IM* x1, casadi::IM* x2){
    try {
        int x0_ = Marshaling<int,int>::marshal(x0);
        casadi::IM& x1_ = Marshaling<casadi::IM&,casadi::IM*>::marshal(x1);
        casadi::IM& x2_ = Marshaling<casadi::IM&,casadi::IM*>::marshal(x2);

        casadi::IM ret = casadi::IM::scalar_matrix(x0_, x1_, x2_);
        // x0 is not a swig output
        // x1 is not a swig output
        // x2 is not a swig output

        return WrapReturn< casadi::IM*, casadi::IM >::wrapReturn( ret );
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return 0;
    }
}


// ================== Normal method: "set" ===============
// class: "casadi::IM"
// cppName: "casadi::IM::set"
// cWrapperName: "casadi__IM__set__0"
// protoArgs: "(std::string ** err_msg, casadi::IM* obj, casadi::IM* x0, int x1, casadi::IM* x2, casadi::IM* x3)"
// args: "(x0_, x1_, x2_, x3_)"
// rettype: CVoid
// cWrapperRetType: "void"
// proto: "void\n    casadi__IM__set__0(std::string ** err_msg, casadi::IM* obj, casadi::IM* x0, int x1, casadi::IM* x2, casadi::IM* x3)"
// call: "        obj->set(x0_, x1_, x2_, x3_);"
// params: [(Ref (Const (UserType (Namespace ["casadi"]) (Name "IM"))),SwigOutput False),(CBool,SwigOutput False),(Ref (Const (UserType (Namespace ["casadi"]) (Name "IM"))),SwigOutput False),(Ref (Const (UserType (Namespace ["casadi"]) (Name "IM"))),SwigOutput False)]
extern "C"
void
    casadi__IM__set__0(std::string ** err_msg, casadi::IM* obj, casadi::IM* x0, int x1, casadi::IM* x2, casadi::IM* x3);
void
    casadi__IM__set__0(std::string ** err_msg, casadi::IM* obj, casadi::IM* x0, int x1, casadi::IM* x2, casadi::IM* x3){
    try {
        casadi::IM& x0_ = Marshaling<casadi::IM&,casadi::IM*>::marshal(x0);
        bool x1_ = Marshaling<bool,int>::marshal(x1);
        casadi::IM& x2_ = Marshaling<casadi::IM&,casadi::IM*>::marshal(x2);
        casadi::IM& x3_ = Marshaling<casadi::IM&,casadi::IM*>::marshal(x3);

        obj->set(x0_, x1_, x2_, x3_);
        // x0 is not a swig output
        // x1 is not a swig output
        // x2 is not a swig output
        // x3 is not a swig output

        return;
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return;
    }
}


// ================== Normal method: "set" ===============
// class: "casadi::IM"
// cppName: "casadi::IM::set"
// cWrapperName: "casadi__IM__set__1"
// protoArgs: "(std::string ** err_msg, casadi::IM* obj, casadi::IM* x0, int x1, casadi::IM* x2, casadi::Slice* x3)"
// args: "(x0_, x1_, x2_, x3_)"
// rettype: CVoid
// cWrapperRetType: "void"
// proto: "void\n    casadi__IM__set__1(std::string ** err_msg, casadi::IM* obj, casadi::IM* x0, int x1, casadi::IM* x2, casadi::Slice* x3)"
// call: "        obj->set(x0_, x1_, x2_, x3_);"
// params: [(Ref (Const (UserType (Namespace ["casadi"]) (Name "IM"))),SwigOutput False),(CBool,SwigOutput False),(Ref (Const (UserType (Namespace ["casadi"]) (Name "IM"))),SwigOutput False),(Ref (Const (UserType (Namespace ["casadi"]) (Name "Slice"))),SwigOutput False)]
extern "C"
void
    casadi__IM__set__1(std::string ** err_msg, casadi::IM* obj, casadi::IM* x0, int x1, casadi::IM* x2, casadi::Slice* x3);
void
    casadi__IM__set__1(std::string ** err_msg, casadi::IM* obj, casadi::IM* x0, int x1, casadi::IM* x2, casadi::Slice* x3){
    try {
        casadi::IM& x0_ = Marshaling<casadi::IM&,casadi::IM*>::marshal(x0);
        bool x1_ = Marshaling<bool,int>::marshal(x1);
        casadi::IM& x2_ = Marshaling<casadi::IM&,casadi::IM*>::marshal(x2);
        casadi::Slice& x3_ = Marshaling<casadi::Slice&,casadi::Slice*>::marshal(x3);

        obj->set(x0_, x1_, x2_, x3_);
        // x0 is not a swig output
        // x1 is not a swig output
        // x2 is not a swig output
        // x3 is not a swig output

        return;
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return;
    }
}


// ================== Normal method: "set" ===============
// class: "casadi::IM"
// cppName: "casadi::IM::set"
// cWrapperName: "casadi__IM__set__2"
// protoArgs: "(std::string ** err_msg, casadi::IM* obj, casadi::IM* x0, int x1, casadi::Slice* x2, casadi::IM* x3)"
// args: "(x0_, x1_, x2_, x3_)"
// rettype: CVoid
// cWrapperRetType: "void"
// proto: "void\n    casadi__IM__set__2(std::string ** err_msg, casadi::IM* obj, casadi::IM* x0, int x1, casadi::Slice* x2, casadi::IM* x3)"
// call: "        obj->set(x0_, x1_, x2_, x3_);"
// params: [(Ref (Const (UserType (Namespace ["casadi"]) (Name "IM"))),SwigOutput False),(CBool,SwigOutput False),(Ref (Const (UserType (Namespace ["casadi"]) (Name "Slice"))),SwigOutput False),(Ref (Const (UserType (Namespace ["casadi"]) (Name "IM"))),SwigOutput False)]
extern "C"
void
    casadi__IM__set__2(std::string ** err_msg, casadi::IM* obj, casadi::IM* x0, int x1, casadi::Slice* x2, casadi::IM* x3);
void
    casadi__IM__set__2(std::string ** err_msg, casadi::IM* obj, casadi::IM* x0, int x1, casadi::Slice* x2, casadi::IM* x3){
    try {
        casadi::IM& x0_ = Marshaling<casadi::IM&,casadi::IM*>::marshal(x0);
        bool x1_ = Marshaling<bool,int>::marshal(x1);
        casadi::Slice& x2_ = Marshaling<casadi::Slice&,casadi::Slice*>::marshal(x2);
        casadi::IM& x3_ = Marshaling<casadi::IM&,casadi::IM*>::marshal(x3);

        obj->set(x0_, x1_, x2_, x3_);
        // x0 is not a swig output
        // x1 is not a swig output
        // x2 is not a swig output
        // x3 is not a swig output

        return;
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return;
    }
}


// ================== Normal method: "set" ===============
// class: "casadi::IM"
// cppName: "casadi::IM::set"
// cWrapperName: "casadi__IM__set__3"
// protoArgs: "(std::string ** err_msg, casadi::IM* obj, casadi::IM* x0, int x1, casadi::Slice* x2, casadi::Slice* x3)"
// args: "(x0_, x1_, x2_, x3_)"
// rettype: CVoid
// cWrapperRetType: "void"
// proto: "void\n    casadi__IM__set__3(std::string ** err_msg, casadi::IM* obj, casadi::IM* x0, int x1, casadi::Slice* x2, casadi::Slice* x3)"
// call: "        obj->set(x0_, x1_, x2_, x3_);"
// params: [(Ref (Const (UserType (Namespace ["casadi"]) (Name "IM"))),SwigOutput False),(CBool,SwigOutput False),(Ref (Const (UserType (Namespace ["casadi"]) (Name "Slice"))),SwigOutput False),(Ref (Const (UserType (Namespace ["casadi"]) (Name "Slice"))),SwigOutput False)]
extern "C"
void
    casadi__IM__set__3(std::string ** err_msg, casadi::IM* obj, casadi::IM* x0, int x1, casadi::Slice* x2, casadi::Slice* x3);
void
    casadi__IM__set__3(std::string ** err_msg, casadi::IM* obj, casadi::IM* x0, int x1, casadi::Slice* x2, casadi::Slice* x3){
    try {
        casadi::IM& x0_ = Marshaling<casadi::IM&,casadi::IM*>::marshal(x0);
        bool x1_ = Marshaling<bool,int>::marshal(x1);
        casadi::Slice& x2_ = Marshaling<casadi::Slice&,casadi::Slice*>::marshal(x2);
        casadi::Slice& x3_ = Marshaling<casadi::Slice&,casadi::Slice*>::marshal(x3);

        obj->set(x0_, x1_, x2_, x3_);
        // x0 is not a swig output
        // x1 is not a swig output
        // x2 is not a swig output
        // x3 is not a swig output

        return;
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return;
    }
}


// ================== Normal method: "set" ===============
// class: "casadi::IM"
// cppName: "casadi::IM::set"
// cWrapperName: "casadi__IM__set__4"
// protoArgs: "(std::string ** err_msg, casadi::IM* obj, casadi::IM* x0, int x1, casadi::Sparsity* x2)"
// args: "(x0_, x1_, x2_)"
// rettype: CVoid
// cWrapperRetType: "void"
// proto: "void\n    casadi__IM__set__4(std::string ** err_msg, casadi::IM* obj, casadi::IM* x0, int x1, casadi::Sparsity* x2)"
// call: "        obj->set(x0_, x1_, x2_);"
// params: [(Ref (Const (UserType (Namespace ["casadi"]) (Name "IM"))),SwigOutput False),(CBool,SwigOutput False),(Ref (Const (UserType (Namespace ["casadi"]) (Name "Sparsity"))),SwigOutput False)]
extern "C"
void
    casadi__IM__set__4(std::string ** err_msg, casadi::IM* obj, casadi::IM* x0, int x1, casadi::Sparsity* x2);
void
    casadi__IM__set__4(std::string ** err_msg, casadi::IM* obj, casadi::IM* x0, int x1, casadi::Sparsity* x2){
    try {
        casadi::IM& x0_ = Marshaling<casadi::IM&,casadi::IM*>::marshal(x0);
        bool x1_ = Marshaling<bool,int>::marshal(x1);
        casadi::Sparsity& x2_ = Marshaling<casadi::Sparsity&,casadi::Sparsity*>::marshal(x2);

        obj->set(x0_, x1_, x2_);
        // x0 is not a swig output
        // x1 is not a swig output
        // x2 is not a swig output

        return;
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return;
    }
}


// ================== Normal method: "set" ===============
// class: "casadi::IM"
// cppName: "casadi::IM::set"
// cWrapperName: "casadi__IM__set__5"
// protoArgs: "(std::string ** err_msg, casadi::IM* obj, casadi::IM* x0, int x1, casadi::IM* x2)"
// args: "(x0_, x1_, x2_)"
// rettype: CVoid
// cWrapperRetType: "void"
// proto: "void\n    casadi__IM__set__5(std::string ** err_msg, casadi::IM* obj, casadi::IM* x0, int x1, casadi::IM* x2)"
// call: "        obj->set(x0_, x1_, x2_);"
// params: [(Ref (Const (UserType (Namespace ["casadi"]) (Name "IM"))),SwigOutput False),(CBool,SwigOutput False),(Ref (Const (UserType (Namespace ["casadi"]) (Name "IM"))),SwigOutput False)]
extern "C"
void
    casadi__IM__set__5(std::string ** err_msg, casadi::IM* obj, casadi::IM* x0, int x1, casadi::IM* x2);
void
    casadi__IM__set__5(std::string ** err_msg, casadi::IM* obj, casadi::IM* x0, int x1, casadi::IM* x2){
    try {
        casadi::IM& x0_ = Marshaling<casadi::IM&,casadi::IM*>::marshal(x0);
        bool x1_ = Marshaling<bool,int>::marshal(x1);
        casadi::IM& x2_ = Marshaling<casadi::IM&,casadi::IM*>::marshal(x2);

        obj->set(x0_, x1_, x2_);
        // x0 is not a swig output
        // x1 is not a swig output
        // x2 is not a swig output

        return;
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return;
    }
}


// ================== Normal method: "set" ===============
// class: "casadi::IM"
// cppName: "casadi::IM::set"
// cWrapperName: "casadi__IM__set__6"
// protoArgs: "(std::string ** err_msg, casadi::IM* obj, casadi::IM* x0, int x1, casadi::Slice* x2)"
// args: "(x0_, x1_, x2_)"
// rettype: CVoid
// cWrapperRetType: "void"
// proto: "void\n    casadi__IM__set__6(std::string ** err_msg, casadi::IM* obj, casadi::IM* x0, int x1, casadi::Slice* x2)"
// call: "        obj->set(x0_, x1_, x2_);"
// params: [(Ref (Const (UserType (Namespace ["casadi"]) (Name "IM"))),SwigOutput False),(CBool,SwigOutput False),(Ref (Const (UserType (Namespace ["casadi"]) (Name "Slice"))),SwigOutput False)]
extern "C"
void
    casadi__IM__set__6(std::string ** err_msg, casadi::IM* obj, casadi::IM* x0, int x1, casadi::Slice* x2);
void
    casadi__IM__set__6(std::string ** err_msg, casadi::IM* obj, casadi::IM* x0, int x1, casadi::Slice* x2){
    try {
        casadi::IM& x0_ = Marshaling<casadi::IM&,casadi::IM*>::marshal(x0);
        bool x1_ = Marshaling<bool,int>::marshal(x1);
        casadi::Slice& x2_ = Marshaling<casadi::Slice&,casadi::Slice*>::marshal(x2);

        obj->set(x0_, x1_, x2_);
        // x0 is not a swig output
        // x1 is not a swig output
        // x2 is not a swig output

        return;
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return;
    }
}


// ================== Static method: "setEqualityCheckingDepth" ===============
// class: "casadi::IM"
// cppName: "casadi::IM::setEqualityCheckingDepth"
// cWrapperName: "casadi__IM__setEqualityCheckingDepth__0"
// protoArgs: "(std::string ** err_msg)"
// args: "()"
// rettype: CVoid
// cWrapperRetType: "void"
// proto: "void\n    casadi__IM__setEqualityCheckingDepth__0(std::string ** err_msg)"
// call: "        casadi::IM::setEqualityCheckingDepth();"
// params: []
extern "C"
void
    casadi__IM__setEqualityCheckingDepth__0(std::string ** err_msg);
void
    casadi__IM__setEqualityCheckingDepth__0(std::string ** err_msg){
    try {

        casadi::IM::setEqualityCheckingDepth();

        return;
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return;
    }
}


// ================== Static method: "setEqualityCheckingDepth" ===============
// class: "casadi::IM"
// cppName: "casadi::IM::setEqualityCheckingDepth"
// cWrapperName: "casadi__IM__setEqualityCheckingDepth__1"
// protoArgs: "(std::string ** err_msg, int x0)"
// args: "(x0_)"
// rettype: CVoid
// cWrapperRetType: "void"
// proto: "void\n    casadi__IM__setEqualityCheckingDepth__1(std::string ** err_msg, int x0)"
// call: "        casadi::IM::setEqualityCheckingDepth(x0_);"
// params: [(CInt,SwigOutput False)]
extern "C"
void
    casadi__IM__setEqualityCheckingDepth__1(std::string ** err_msg, int x0);
void
    casadi__IM__setEqualityCheckingDepth__1(std::string ** err_msg, int x0){
    try {
        int x0_ = Marshaling<int,int>::marshal(x0);

        casadi::IM::setEqualityCheckingDepth(x0_);
        // x0 is not a swig output

        return;
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return;
    }
}


// ================== Static method: "setPrecision" ===============
// class: "casadi::IM"
// cppName: "casadi::IM::setPrecision"
// cWrapperName: "casadi__IM__setPrecision"
// protoArgs: "(std::string ** err_msg, int x0)"
// args: "(x0_)"
// rettype: CVoid
// cWrapperRetType: "void"
// proto: "void\n    casadi__IM__setPrecision(std::string ** err_msg, int x0)"
// call: "        casadi::IM::setPrecision(x0_);"
// params: [(CInt,SwigOutput False)]
extern "C"
void
    casadi__IM__setPrecision(std::string ** err_msg, int x0);
void
    casadi__IM__setPrecision(std::string ** err_msg, int x0){
    try {
        int x0_ = Marshaling<int,int>::marshal(x0);

        casadi::IM::setPrecision(x0_);
        // x0 is not a swig output

        return;
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return;
    }
}


// ================== Static method: "setScientific" ===============
// class: "casadi::IM"
// cppName: "casadi::IM::setScientific"
// cWrapperName: "casadi__IM__setScientific"
// protoArgs: "(std::string ** err_msg, int x0)"
// args: "(x0_)"
// rettype: CVoid
// cWrapperRetType: "void"
// proto: "void\n    casadi__IM__setScientific(std::string ** err_msg, int x0)"
// call: "        casadi::IM::setScientific(x0_);"
// params: [(CBool,SwigOutput False)]
extern "C"
void
    casadi__IM__setScientific(std::string ** err_msg, int x0);
void
    casadi__IM__setScientific(std::string ** err_msg, int x0){
    try {
        bool x0_ = Marshaling<bool,int>::marshal(x0);

        casadi::IM::setScientific(x0_);
        // x0 is not a swig output

        return;
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return;
    }
}


// ================== Static method: "setWidth" ===============
// class: "casadi::IM"
// cppName: "casadi::IM::setWidth"
// cWrapperName: "casadi__IM__setWidth"
// protoArgs: "(std::string ** err_msg, int x0)"
// args: "(x0_)"
// rettype: CVoid
// cWrapperRetType: "void"
// proto: "void\n    casadi__IM__setWidth(std::string ** err_msg, int x0)"
// call: "        casadi::IM::setWidth(x0_);"
// params: [(CInt,SwigOutput False)]
extern "C"
void
    casadi__IM__setWidth(std::string ** err_msg, int x0);
void
    casadi__IM__setWidth(std::string ** err_msg, int x0){
    try {
        int x0_ = Marshaling<int,int>::marshal(x0);

        casadi::IM::setWidth(x0_);
        // x0 is not a swig output

        return;
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return;
    }
}


// ================== Normal method: "set_nz" ===============
// class: "casadi::IM"
// cppName: "casadi::IM::set_nz"
// cWrapperName: "casadi__IM__set_nz__0"
// protoArgs: "(std::string ** err_msg, casadi::IM* obj, casadi::IM* x0, int x1, casadi::IM* x2)"
// args: "(x0_, x1_, x2_)"
// rettype: CVoid
// cWrapperRetType: "void"
// proto: "void\n    casadi__IM__set_nz__0(std::string ** err_msg, casadi::IM* obj, casadi::IM* x0, int x1, casadi::IM* x2)"
// call: "        obj->set_nz(x0_, x1_, x2_);"
// params: [(Ref (Const (UserType (Namespace ["casadi"]) (Name "IM"))),SwigOutput False),(CBool,SwigOutput False),(Ref (Const (UserType (Namespace ["casadi"]) (Name "IM"))),SwigOutput False)]
extern "C"
void
    casadi__IM__set_nz__0(std::string ** err_msg, casadi::IM* obj, casadi::IM* x0, int x1, casadi::IM* x2);
void
    casadi__IM__set_nz__0(std::string ** err_msg, casadi::IM* obj, casadi::IM* x0, int x1, casadi::IM* x2){
    try {
        casadi::IM& x0_ = Marshaling<casadi::IM&,casadi::IM*>::marshal(x0);
        bool x1_ = Marshaling<bool,int>::marshal(x1);
        casadi::IM& x2_ = Marshaling<casadi::IM&,casadi::IM*>::marshal(x2);

        obj->set_nz(x0_, x1_, x2_);
        // x0 is not a swig output
        // x1 is not a swig output
        // x2 is not a swig output

        return;
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return;
    }
}


// ================== Normal method: "set_nz" ===============
// class: "casadi::IM"
// cppName: "casadi::IM::set_nz"
// cWrapperName: "casadi__IM__set_nz__1"
// protoArgs: "(std::string ** err_msg, casadi::IM* obj, casadi::IM* x0, int x1, casadi::Slice* x2)"
// args: "(x0_, x1_, x2_)"
// rettype: CVoid
// cWrapperRetType: "void"
// proto: "void\n    casadi__IM__set_nz__1(std::string ** err_msg, casadi::IM* obj, casadi::IM* x0, int x1, casadi::Slice* x2)"
// call: "        obj->set_nz(x0_, x1_, x2_);"
// params: [(Ref (Const (UserType (Namespace ["casadi"]) (Name "IM"))),SwigOutput False),(CBool,SwigOutput False),(Ref (Const (UserType (Namespace ["casadi"]) (Name "Slice"))),SwigOutput False)]
extern "C"
void
    casadi__IM__set_nz__1(std::string ** err_msg, casadi::IM* obj, casadi::IM* x0, int x1, casadi::Slice* x2);
void
    casadi__IM__set_nz__1(std::string ** err_msg, casadi::IM* obj, casadi::IM* x0, int x1, casadi::Slice* x2){
    try {
        casadi::IM& x0_ = Marshaling<casadi::IM&,casadi::IM*>::marshal(x0);
        bool x1_ = Marshaling<bool,int>::marshal(x1);
        casadi::Slice& x2_ = Marshaling<casadi::Slice&,casadi::Slice*>::marshal(x2);

        obj->set_nz(x0_, x1_, x2_);
        // x0 is not a swig output
        // x1 is not a swig output
        // x2 is not a swig output

        return;
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return;
    }
}


// ================== Normal method: "size" ===============
// class: "casadi::IM"
// cppName: "casadi::IM::size"
// cWrapperName: "casadi__IM__size__0"
// protoArgs: "(std::string ** err_msg, casadi::IM* obj, int x0)"
// args: "(x0_)"
// rettype: CInt
// cWrapperRetType: "int"
// proto: "int\n    casadi__IM__size__0(std::string ** err_msg, casadi::IM* obj, int x0)"
// call: "        int ret = obj->size(x0_);"
// params: [(CInt,SwigOutput False)]
extern "C"
int
    casadi__IM__size__0(std::string ** err_msg, casadi::IM* obj, int x0);
int
    casadi__IM__size__0(std::string ** err_msg, casadi::IM* obj, int x0){
    try {
        int x0_ = Marshaling<int,int>::marshal(x0);

        int ret = obj->size(x0_);
        // x0 is not a swig output

        return WrapReturn< int, int >::wrapReturn( ret );
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return 0;
    }
}


// ================== Normal method: "size" ===============
// class: "casadi::IM"
// cppName: "casadi::IM::size"
// cWrapperName: "casadi__IM__size__1"
// protoArgs: "(std::string ** err_msg, casadi::IM* obj)"
// args: "()"
// rettype: StdPair CInt CInt
// cWrapperRetType: "std::pair< int, int >*"
// proto: "std::pair< int, int >*\n    casadi__IM__size__1(std::string ** err_msg, casadi::IM* obj)"
// call: "        std::pair< int, int > ret = obj->size();"
// params: []
extern "C"
std::pair< int, int >*
    casadi__IM__size__1(std::string ** err_msg, casadi::IM* obj);
std::pair< int, int >*
    casadi__IM__size__1(std::string ** err_msg, casadi::IM* obj){
    try {

        std::pair< int, int > ret = obj->size();

        return WrapReturn< std::pair< int, int >*, std::pair< int, int > >::wrapReturn( ret );
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return 0;
    }
}


// ================== Normal method: "size1" ===============
// class: "casadi::IM"
// cppName: "casadi::IM::size1"
// cWrapperName: "casadi__IM__size1"
// protoArgs: "(std::string ** err_msg, casadi::IM* obj)"
// args: "()"
// rettype: CInt
// cWrapperRetType: "int"
// proto: "int\n    casadi__IM__size1(std::string ** err_msg, casadi::IM* obj)"
// call: "        int ret = obj->size1();"
// params: []
extern "C"
int
    casadi__IM__size1(std::string ** err_msg, casadi::IM* obj);
int
    casadi__IM__size1(std::string ** err_msg, casadi::IM* obj){
    try {

        int ret = obj->size1();

        return WrapReturn< int, int >::wrapReturn( ret );
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return 0;
    }
}


// ================== Normal method: "size2" ===============
// class: "casadi::IM"
// cppName: "casadi::IM::size2"
// cWrapperName: "casadi__IM__size2"
// protoArgs: "(std::string ** err_msg, casadi::IM* obj)"
// args: "()"
// rettype: CInt
// cWrapperRetType: "int"
// proto: "int\n    casadi__IM__size2(std::string ** err_msg, casadi::IM* obj)"
// call: "        int ret = obj->size2();"
// params: []
extern "C"
int
    casadi__IM__size2(std::string ** err_msg, casadi::IM* obj);
int
    casadi__IM__size2(std::string ** err_msg, casadi::IM* obj){
    try {

        int ret = obj->size2();

        return WrapReturn< int, int >::wrapReturn( ret );
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return 0;
    }
}


// ================== Normal method: "sparsity" ===============
// class: "casadi::IM"
// cppName: "casadi::IM::sparsity"
// cWrapperName: "casadi__IM__sparsity"
// protoArgs: "(std::string ** err_msg, casadi::IM* obj)"
// args: "()"
// rettype: Const (UserType (Namespace ["casadi"]) (Name "Sparsity"))
// cWrapperRetType: "casadi::Sparsity*"
// proto: "casadi::Sparsity*\n    casadi__IM__sparsity(std::string ** err_msg, casadi::IM* obj)"
// call: "        casadi::Sparsity ret = obj->sparsity();"
// params: []
extern "C"
casadi::Sparsity*
    casadi__IM__sparsity(std::string ** err_msg, casadi::IM* obj);
casadi::Sparsity*
    casadi__IM__sparsity(std::string ** err_msg, casadi::IM* obj){
    try {

        casadi::Sparsity ret = obj->sparsity();

        return WrapReturn< casadi::Sparsity*, casadi::Sparsity >::wrapReturn( ret );
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return 0;
    }
}


// ================== Static method: "sym" ===============
// class: "casadi::IM"
// cppName: "casadi::IM::sym"
// cWrapperName: "casadi__IM__sym__0"
// protoArgs: "(std::string ** err_msg, std::string* x0, int x1, int x2, int x3, int x4)"
// args: "(x0_, x1_, x2_, x3_, x4_)"
// rettype: StdVec (StdVec (UserType (Namespace ["casadi"]) (Name "IM")))
// cWrapperRetType: "std::vector< std::vector< casadi::IM* >* >*"
// proto: "std::vector< std::vector< casadi::IM* >* >*\n    casadi__IM__sym__0(std::string ** err_msg, std::string* x0, int x1, int x2, int x3, int x4)"
// call: "        std::vector< std::vector< casadi::IM > > ret = casadi::IM::sym(x0_, x1_, x2_, x3_, x4_);"
// params: [(Ref (Const StdString),SwigOutput False),(CInt,SwigOutput False),(CInt,SwigOutput False),(CInt,SwigOutput False),(CInt,SwigOutput False)]
extern "C"
std::vector< std::vector< casadi::IM* >* >*
    casadi__IM__sym__0(std::string ** err_msg, std::string* x0, int x1, int x2, int x3, int x4);
std::vector< std::vector< casadi::IM* >* >*
    casadi__IM__sym__0(std::string ** err_msg, std::string* x0, int x1, int x2, int x3, int x4){
    try {
        std::string& x0_ = Marshaling<std::string&,std::string*>::marshal(x0);
        int x1_ = Marshaling<int,int>::marshal(x1);
        int x2_ = Marshaling<int,int>::marshal(x2);
        int x3_ = Marshaling<int,int>::marshal(x3);
        int x4_ = Marshaling<int,int>::marshal(x4);

        std::vector< std::vector< casadi::IM > > ret = casadi::IM::sym(x0_, x1_, x2_, x3_, x4_);
        // x0 is not a swig output
        // x1 is not a swig output
        // x2 is not a swig output
        // x3 is not a swig output
        // x4 is not a swig output

        return WrapReturn< std::vector< std::vector< casadi::IM* >* >*, std::vector< std::vector< casadi::IM > > >::wrapReturn( ret );
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return 0;
    }
}


// ================== Static method: "sym" ===============
// class: "casadi::IM"
// cppName: "casadi::IM::sym"
// cWrapperName: "casadi__IM__sym__1"
// protoArgs: "(std::string ** err_msg, std::string* x0, casadi::Sparsity* x1, int x2, int x3)"
// args: "(x0_, x1_, x2_, x3_)"
// rettype: StdVec (StdVec (UserType (Namespace ["casadi"]) (Name "IM")))
// cWrapperRetType: "std::vector< std::vector< casadi::IM* >* >*"
// proto: "std::vector< std::vector< casadi::IM* >* >*\n    casadi__IM__sym__1(std::string ** err_msg, std::string* x0, casadi::Sparsity* x1, int x2, int x3)"
// call: "        std::vector< std::vector< casadi::IM > > ret = casadi::IM::sym(x0_, x1_, x2_, x3_);"
// params: [(Ref (Const StdString),SwigOutput False),(Ref (Const (UserType (Namespace ["casadi"]) (Name "Sparsity"))),SwigOutput False),(CInt,SwigOutput False),(CInt,SwigOutput False)]
extern "C"
std::vector< std::vector< casadi::IM* >* >*
    casadi__IM__sym__1(std::string ** err_msg, std::string* x0, casadi::Sparsity* x1, int x2, int x3);
std::vector< std::vector< casadi::IM* >* >*
    casadi__IM__sym__1(std::string ** err_msg, std::string* x0, casadi::Sparsity* x1, int x2, int x3){
    try {
        std::string& x0_ = Marshaling<std::string&,std::string*>::marshal(x0);
        casadi::Sparsity& x1_ = Marshaling<casadi::Sparsity&,casadi::Sparsity*>::marshal(x1);
        int x2_ = Marshaling<int,int>::marshal(x2);
        int x3_ = Marshaling<int,int>::marshal(x3);

        std::vector< std::vector< casadi::IM > > ret = casadi::IM::sym(x0_, x1_, x2_, x3_);
        // x0 is not a swig output
        // x1 is not a swig output
        // x2 is not a swig output
        // x3 is not a swig output

        return WrapReturn< std::vector< std::vector< casadi::IM* >* >*, std::vector< std::vector< casadi::IM > > >::wrapReturn( ret );
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return 0;
    }
}


// ================== Static method: "sym" ===============
// class: "casadi::IM"
// cppName: "casadi::IM::sym"
// cWrapperName: "casadi__IM__sym__2"
// protoArgs: "(std::string ** err_msg, std::string* x0, int x1, int x2, int x3)"
// args: "(x0_, x1_, x2_, x3_)"
// rettype: StdVec (UserType (Namespace ["casadi"]) (Name "IM"))
// cWrapperRetType: "std::vector< casadi::IM* >*"
// proto: "std::vector< casadi::IM* >*\n    casadi__IM__sym__2(std::string ** err_msg, std::string* x0, int x1, int x2, int x3)"
// call: "        std::vector< casadi::IM > ret = casadi::IM::sym(x0_, x1_, x2_, x3_);"
// params: [(Ref (Const StdString),SwigOutput False),(CInt,SwigOutput False),(CInt,SwigOutput False),(CInt,SwigOutput False)]
extern "C"
std::vector< casadi::IM* >*
    casadi__IM__sym__2(std::string ** err_msg, std::string* x0, int x1, int x2, int x3);
std::vector< casadi::IM* >*
    casadi__IM__sym__2(std::string ** err_msg, std::string* x0, int x1, int x2, int x3){
    try {
        std::string& x0_ = Marshaling<std::string&,std::string*>::marshal(x0);
        int x1_ = Marshaling<int,int>::marshal(x1);
        int x2_ = Marshaling<int,int>::marshal(x2);
        int x3_ = Marshaling<int,int>::marshal(x3);

        std::vector< casadi::IM > ret = casadi::IM::sym(x0_, x1_, x2_, x3_);
        // x0 is not a swig output
        // x1 is not a swig output
        // x2 is not a swig output
        // x3 is not a swig output

        return WrapReturn< std::vector< casadi::IM* >*, std::vector< casadi::IM > >::wrapReturn( ret );
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return 0;
    }
}


// ================== Static method: "sym" ===============
// class: "casadi::IM"
// cppName: "casadi::IM::sym"
// cWrapperName: "casadi__IM__sym__3"
// protoArgs: "(std::string ** err_msg, std::string* x0, casadi::Sparsity* x1, int x2)"
// args: "(x0_, x1_, x2_)"
// rettype: StdVec (UserType (Namespace ["casadi"]) (Name "IM"))
// cWrapperRetType: "std::vector< casadi::IM* >*"
// proto: "std::vector< casadi::IM* >*\n    casadi__IM__sym__3(std::string ** err_msg, std::string* x0, casadi::Sparsity* x1, int x2)"
// call: "        std::vector< casadi::IM > ret = casadi::IM::sym(x0_, x1_, x2_);"
// params: [(Ref (Const StdString),SwigOutput False),(Ref (Const (UserType (Namespace ["casadi"]) (Name "Sparsity"))),SwigOutput False),(CInt,SwigOutput False)]
extern "C"
std::vector< casadi::IM* >*
    casadi__IM__sym__3(std::string ** err_msg, std::string* x0, casadi::Sparsity* x1, int x2);
std::vector< casadi::IM* >*
    casadi__IM__sym__3(std::string ** err_msg, std::string* x0, casadi::Sparsity* x1, int x2){
    try {
        std::string& x0_ = Marshaling<std::string&,std::string*>::marshal(x0);
        casadi::Sparsity& x1_ = Marshaling<casadi::Sparsity&,casadi::Sparsity*>::marshal(x1);
        int x2_ = Marshaling<int,int>::marshal(x2);

        std::vector< casadi::IM > ret = casadi::IM::sym(x0_, x1_, x2_);
        // x0 is not a swig output
        // x1 is not a swig output
        // x2 is not a swig output

        return WrapReturn< std::vector< casadi::IM* >*, std::vector< casadi::IM > >::wrapReturn( ret );
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return 0;
    }
}


// ================== Static method: "sym" ===============
// class: "casadi::IM"
// cppName: "casadi::IM::sym"
// cWrapperName: "casadi__IM__sym__4"
// protoArgs: "(std::string ** err_msg, std::string* x0, casadi::Sparsity* x1)"
// args: "(x0_, x1_)"
// rettype: UserType (Namespace ["casadi"]) (Name "IM")
// cWrapperRetType: "casadi::IM*"
// proto: "casadi::IM*\n    casadi__IM__sym__4(std::string ** err_msg, std::string* x0, casadi::Sparsity* x1)"
// call: "        casadi::IM ret = casadi::IM::sym(x0_, x1_);"
// params: [(Ref (Const StdString),SwigOutput False),(Ref (Const (UserType (Namespace ["casadi"]) (Name "Sparsity"))),SwigOutput False)]
extern "C"
casadi::IM*
    casadi__IM__sym__4(std::string ** err_msg, std::string* x0, casadi::Sparsity* x1);
casadi::IM*
    casadi__IM__sym__4(std::string ** err_msg, std::string* x0, casadi::Sparsity* x1){
    try {
        std::string& x0_ = Marshaling<std::string&,std::string*>::marshal(x0);
        casadi::Sparsity& x1_ = Marshaling<casadi::Sparsity&,casadi::Sparsity*>::marshal(x1);

        casadi::IM ret = casadi::IM::sym(x0_, x1_);
        // x0 is not a swig output
        // x1 is not a swig output

        return WrapReturn< casadi::IM*, casadi::IM >::wrapReturn( ret );
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return 0;
    }
}


// ================== Static method: "sym" ===============
// class: "casadi::IM"
// cppName: "casadi::IM::sym"
// cWrapperName: "casadi__IM__sym__5"
// protoArgs: "(std::string ** err_msg, std::string* x0, std::pair< int, int >* x1)"
// args: "(x0_, x1_)"
// rettype: UserType (Namespace ["casadi"]) (Name "IM")
// cWrapperRetType: "casadi::IM*"
// proto: "casadi::IM*\n    casadi__IM__sym__5(std::string ** err_msg, std::string* x0, std::pair< int, int >* x1)"
// call: "        casadi::IM ret = casadi::IM::sym(x0_, x1_);"
// params: [(Ref (Const StdString),SwigOutput False),(Ref (Const (StdPair CInt CInt)),SwigOutput False)]
extern "C"
casadi::IM*
    casadi__IM__sym__5(std::string ** err_msg, std::string* x0, std::pair< int, int >* x1);
casadi::IM*
    casadi__IM__sym__5(std::string ** err_msg, std::string* x0, std::pair< int, int >* x1){
    try {
        std::string& x0_ = Marshaling<std::string&,std::string*>::marshal(x0);
        std::pair< int, int > x1_ = Marshaling<std::pair< int, int >,std::pair< int, int >*>::marshal(x1);

        casadi::IM ret = casadi::IM::sym(x0_, x1_);
        // x0 is not a swig output
        // x1 is not a swig output

        return WrapReturn< casadi::IM*, casadi::IM >::wrapReturn( ret );
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return 0;
    }
}


// ================== Static method: "sym" ===============
// class: "casadi::IM"
// cppName: "casadi::IM::sym"
// cWrapperName: "casadi__IM__sym__6"
// protoArgs: "(std::string ** err_msg, std::string* x0)"
// args: "(x0_)"
// rettype: UserType (Namespace ["casadi"]) (Name "IM")
// cWrapperRetType: "casadi::IM*"
// proto: "casadi::IM*\n    casadi__IM__sym__6(std::string ** err_msg, std::string* x0)"
// call: "        casadi::IM ret = casadi::IM::sym(x0_);"
// params: [(Ref (Const StdString),SwigOutput False)]
extern "C"
casadi::IM*
    casadi__IM__sym__6(std::string ** err_msg, std::string* x0);
casadi::IM*
    casadi__IM__sym__6(std::string ** err_msg, std::string* x0){
    try {
        std::string& x0_ = Marshaling<std::string&,std::string*>::marshal(x0);

        casadi::IM ret = casadi::IM::sym(x0_);
        // x0 is not a swig output

        return WrapReturn< casadi::IM*, casadi::IM >::wrapReturn( ret );
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return 0;
    }
}


// ================== Static method: "sym" ===============
// class: "casadi::IM"
// cppName: "casadi::IM::sym"
// cWrapperName: "casadi__IM__sym__7"
// protoArgs: "(std::string ** err_msg, std::string* x0, int x1)"
// args: "(x0_, x1_)"
// rettype: UserType (Namespace ["casadi"]) (Name "IM")
// cWrapperRetType: "casadi::IM*"
// proto: "casadi::IM*\n    casadi__IM__sym__7(std::string ** err_msg, std::string* x0, int x1)"
// call: "        casadi::IM ret = casadi::IM::sym(x0_, x1_);"
// params: [(Ref (Const StdString),SwigOutput False),(CInt,SwigOutput False)]
extern "C"
casadi::IM*
    casadi__IM__sym__7(std::string ** err_msg, std::string* x0, int x1);
casadi::IM*
    casadi__IM__sym__7(std::string ** err_msg, std::string* x0, int x1){
    try {
        std::string& x0_ = Marshaling<std::string&,std::string*>::marshal(x0);
        int x1_ = Marshaling<int,int>::marshal(x1);

        casadi::IM ret = casadi::IM::sym(x0_, x1_);
        // x0 is not a swig output
        // x1 is not a swig output

        return WrapReturn< casadi::IM*, casadi::IM >::wrapReturn( ret );
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return 0;
    }
}


// ================== Static method: "sym" ===============
// class: "casadi::IM"
// cppName: "casadi::IM::sym"
// cWrapperName: "casadi__IM__sym__8"
// protoArgs: "(std::string ** err_msg, std::string* x0, int x1, int x2)"
// args: "(x0_, x1_, x2_)"
// rettype: UserType (Namespace ["casadi"]) (Name "IM")
// cWrapperRetType: "casadi::IM*"
// proto: "casadi::IM*\n    casadi__IM__sym__8(std::string ** err_msg, std::string* x0, int x1, int x2)"
// call: "        casadi::IM ret = casadi::IM::sym(x0_, x1_, x2_);"
// params: [(Ref (Const StdString),SwigOutput False),(CInt,SwigOutput False),(CInt,SwigOutput False)]
extern "C"
casadi::IM*
    casadi__IM__sym__8(std::string ** err_msg, std::string* x0, int x1, int x2);
casadi::IM*
    casadi__IM__sym__8(std::string ** err_msg, std::string* x0, int x1, int x2){
    try {
        std::string& x0_ = Marshaling<std::string&,std::string*>::marshal(x0);
        int x1_ = Marshaling<int,int>::marshal(x1);
        int x2_ = Marshaling<int,int>::marshal(x2);

        casadi::IM ret = casadi::IM::sym(x0_, x1_, x2_);
        // x0 is not a swig output
        // x1 is not a swig output
        // x2 is not a swig output

        return WrapReturn< casadi::IM*, casadi::IM >::wrapReturn( ret );
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return 0;
    }
}


// ================== Static method: "tang" ===============
// class: "casadi::IM"
// cppName: "casadi::IM::tang"
// cWrapperName: "casadi__IM__tang__0"
// protoArgs: "(std::string ** err_msg, casadi::Function* x0, std::string* x1, std::string* x2)"
// args: "(x0_, x1_, x2_)"
// rettype: UserType (Namespace ["casadi"]) (Name "IM")
// cWrapperRetType: "casadi::IM*"
// proto: "casadi::IM*\n    casadi__IM__tang__0(std::string ** err_msg, casadi::Function* x0, std::string* x1, std::string* x2)"
// call: "        casadi::IM ret = casadi::IM::tang(x0_, x1_, x2_);"
// params: [(Ref (Const (UserType (Namespace ["casadi"]) (Name "Function"))),SwigOutput False),(Ref (Const StdString),SwigOutput False),(Ref (Const StdString),SwigOutput False)]
extern "C"
casadi::IM*
    casadi__IM__tang__0(std::string ** err_msg, casadi::Function* x0, std::string* x1, std::string* x2);
casadi::IM*
    casadi__IM__tang__0(std::string ** err_msg, casadi::Function* x0, std::string* x1, std::string* x2){
    try {
        casadi::Function& x0_ = Marshaling<casadi::Function&,casadi::Function*>::marshal(x0);
        std::string& x1_ = Marshaling<std::string&,std::string*>::marshal(x1);
        std::string& x2_ = Marshaling<std::string&,std::string*>::marshal(x2);

        casadi::IM ret = casadi::IM::tang(x0_, x1_, x2_);
        // x0 is not a swig output
        // x1 is not a swig output
        // x2 is not a swig output

        return WrapReturn< casadi::IM*, casadi::IM >::wrapReturn( ret );
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return 0;
    }
}


// ================== Static method: "tang" ===============
// class: "casadi::IM"
// cppName: "casadi::IM::tang"
// cWrapperName: "casadi__IM__tang__1"
// protoArgs: "(std::string ** err_msg, casadi::Function* x0, int x1, std::string* x2)"
// args: "(x0_, x1_, x2_)"
// rettype: UserType (Namespace ["casadi"]) (Name "IM")
// cWrapperRetType: "casadi::IM*"
// proto: "casadi::IM*\n    casadi__IM__tang__1(std::string ** err_msg, casadi::Function* x0, int x1, std::string* x2)"
// call: "        casadi::IM ret = casadi::IM::tang(x0_, x1_, x2_);"
// params: [(Ref (Const (UserType (Namespace ["casadi"]) (Name "Function"))),SwigOutput False),(CInt,SwigOutput False),(Ref (Const StdString),SwigOutput False)]
extern "C"
casadi::IM*
    casadi__IM__tang__1(std::string ** err_msg, casadi::Function* x0, int x1, std::string* x2);
casadi::IM*
    casadi__IM__tang__1(std::string ** err_msg, casadi::Function* x0, int x1, std::string* x2){
    try {
        casadi::Function& x0_ = Marshaling<casadi::Function&,casadi::Function*>::marshal(x0);
        int x1_ = Marshaling<int,int>::marshal(x1);
        std::string& x2_ = Marshaling<std::string&,std::string*>::marshal(x2);

        casadi::IM ret = casadi::IM::tang(x0_, x1_, x2_);
        // x0 is not a swig output
        // x1 is not a swig output
        // x2 is not a swig output

        return WrapReturn< casadi::IM*, casadi::IM >::wrapReturn( ret );
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return 0;
    }
}


// ================== Static method: "tang" ===============
// class: "casadi::IM"
// cppName: "casadi::IM::tang"
// cWrapperName: "casadi__IM__tang__2"
// protoArgs: "(std::string ** err_msg, casadi::Function* x0, std::string* x1)"
// args: "(x0_, x1_)"
// rettype: UserType (Namespace ["casadi"]) (Name "IM")
// cWrapperRetType: "casadi::IM*"
// proto: "casadi::IM*\n    casadi__IM__tang__2(std::string ** err_msg, casadi::Function* x0, std::string* x1)"
// call: "        casadi::IM ret = casadi::IM::tang(x0_, x1_);"
// params: [(Ref (Const (UserType (Namespace ["casadi"]) (Name "Function"))),SwigOutput False),(Ref (Const StdString),SwigOutput False)]
extern "C"
casadi::IM*
    casadi__IM__tang__2(std::string ** err_msg, casadi::Function* x0, std::string* x1);
casadi::IM*
    casadi__IM__tang__2(std::string ** err_msg, casadi::Function* x0, std::string* x1){
    try {
        casadi::Function& x0_ = Marshaling<casadi::Function&,casadi::Function*>::marshal(x0);
        std::string& x1_ = Marshaling<std::string&,std::string*>::marshal(x1);

        casadi::IM ret = casadi::IM::tang(x0_, x1_);
        // x0 is not a swig output
        // x1 is not a swig output

        return WrapReturn< casadi::IM*, casadi::IM >::wrapReturn( ret );
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return 0;
    }
}


// ================== Static method: "tang" ===============
// class: "casadi::IM"
// cppName: "casadi::IM::tang"
// cWrapperName: "casadi__IM__tang__3"
// protoArgs: "(std::string ** err_msg, casadi::Function* x0, std::string* x1, int x2)"
// args: "(x0_, x1_, x2_)"
// rettype: UserType (Namespace ["casadi"]) (Name "IM")
// cWrapperRetType: "casadi::IM*"
// proto: "casadi::IM*\n    casadi__IM__tang__3(std::string ** err_msg, casadi::Function* x0, std::string* x1, int x2)"
// call: "        casadi::IM ret = casadi::IM::tang(x0_, x1_, x2_);"
// params: [(Ref (Const (UserType (Namespace ["casadi"]) (Name "Function"))),SwigOutput False),(Ref (Const StdString),SwigOutput False),(CInt,SwigOutput False)]
extern "C"
casadi::IM*
    casadi__IM__tang__3(std::string ** err_msg, casadi::Function* x0, std::string* x1, int x2);
casadi::IM*
    casadi__IM__tang__3(std::string ** err_msg, casadi::Function* x0, std::string* x1, int x2){
    try {
        casadi::Function& x0_ = Marshaling<casadi::Function&,casadi::Function*>::marshal(x0);
        std::string& x1_ = Marshaling<std::string&,std::string*>::marshal(x1);
        int x2_ = Marshaling<int,int>::marshal(x2);

        casadi::IM ret = casadi::IM::tang(x0_, x1_, x2_);
        // x0 is not a swig output
        // x1 is not a swig output
        // x2 is not a swig output

        return WrapReturn< casadi::IM*, casadi::IM >::wrapReturn( ret );
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return 0;
    }
}


// ================== Static method: "tang" ===============
// class: "casadi::IM"
// cppName: "casadi::IM::tang"
// cWrapperName: "casadi__IM__tang__4"
// protoArgs: "(std::string ** err_msg, casadi::Function* x0)"
// args: "(x0_)"
// rettype: UserType (Namespace ["casadi"]) (Name "IM")
// cWrapperRetType: "casadi::IM*"
// proto: "casadi::IM*\n    casadi__IM__tang__4(std::string ** err_msg, casadi::Function* x0)"
// call: "        casadi::IM ret = casadi::IM::tang(x0_);"
// params: [(Ref (Const (UserType (Namespace ["casadi"]) (Name "Function"))),SwigOutput False)]
extern "C"
casadi::IM*
    casadi__IM__tang__4(std::string ** err_msg, casadi::Function* x0);
casadi::IM*
    casadi__IM__tang__4(std::string ** err_msg, casadi::Function* x0){
    try {
        casadi::Function& x0_ = Marshaling<casadi::Function&,casadi::Function*>::marshal(x0);

        casadi::IM ret = casadi::IM::tang(x0_);
        // x0 is not a swig output

        return WrapReturn< casadi::IM*, casadi::IM >::wrapReturn( ret );
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return 0;
    }
}


// ================== Static method: "tang" ===============
// class: "casadi::IM"
// cppName: "casadi::IM::tang"
// cWrapperName: "casadi__IM__tang__5"
// protoArgs: "(std::string ** err_msg, casadi::Function* x0, int x1)"
// args: "(x0_, x1_)"
// rettype: UserType (Namespace ["casadi"]) (Name "IM")
// cWrapperRetType: "casadi::IM*"
// proto: "casadi::IM*\n    casadi__IM__tang__5(std::string ** err_msg, casadi::Function* x0, int x1)"
// call: "        casadi::IM ret = casadi::IM::tang(x0_, x1_);"
// params: [(Ref (Const (UserType (Namespace ["casadi"]) (Name "Function"))),SwigOutput False),(CInt,SwigOutput False)]
extern "C"
casadi::IM*
    casadi__IM__tang__5(std::string ** err_msg, casadi::Function* x0, int x1);
casadi::IM*
    casadi__IM__tang__5(std::string ** err_msg, casadi::Function* x0, int x1){
    try {
        casadi::Function& x0_ = Marshaling<casadi::Function&,casadi::Function*>::marshal(x0);
        int x1_ = Marshaling<int,int>::marshal(x1);

        casadi::IM ret = casadi::IM::tang(x0_, x1_);
        // x0 is not a swig output
        // x1 is not a swig output

        return WrapReturn< casadi::IM*, casadi::IM >::wrapReturn( ret );
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return 0;
    }
}


// ================== Static method: "tang" ===============
// class: "casadi::IM"
// cppName: "casadi::IM::tang"
// cWrapperName: "casadi__IM__tang__6"
// protoArgs: "(std::string ** err_msg, casadi::Function* x0, int x1, int x2)"
// args: "(x0_, x1_, x2_)"
// rettype: UserType (Namespace ["casadi"]) (Name "IM")
// cWrapperRetType: "casadi::IM*"
// proto: "casadi::IM*\n    casadi__IM__tang__6(std::string ** err_msg, casadi::Function* x0, int x1, int x2)"
// call: "        casadi::IM ret = casadi::IM::tang(x0_, x1_, x2_);"
// params: [(Ref (Const (UserType (Namespace ["casadi"]) (Name "Function"))),SwigOutput False),(CInt,SwigOutput False),(CInt,SwigOutput False)]
extern "C"
casadi::IM*
    casadi__IM__tang__6(std::string ** err_msg, casadi::Function* x0, int x1, int x2);
casadi::IM*
    casadi__IM__tang__6(std::string ** err_msg, casadi::Function* x0, int x1, int x2){
    try {
        casadi::Function& x0_ = Marshaling<casadi::Function&,casadi::Function*>::marshal(x0);
        int x1_ = Marshaling<int,int>::marshal(x1);
        int x2_ = Marshaling<int,int>::marshal(x2);

        casadi::IM ret = casadi::IM::tang(x0_, x1_, x2_);
        // x0 is not a swig output
        // x1 is not a swig output
        // x2 is not a swig output

        return WrapReturn< casadi::IM*, casadi::IM >::wrapReturn( ret );
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return 0;
    }
}


// ================== Static method: "triplet" ===============
// class: "casadi::IM"
// cppName: "casadi::IM::triplet"
// cWrapperName: "casadi__IM__triplet__0"
// protoArgs: "(std::string ** err_msg, std::vector< int >* x0, std::vector< int >* x1, casadi::IM* x2, std::pair< int, int >* x3)"
// args: "(x0_, x1_, x2_, x3_)"
// rettype: UserType (Namespace ["casadi"]) (Name "IM")
// cWrapperRetType: "casadi::IM*"
// proto: "casadi::IM*\n    casadi__IM__triplet__0(std::string ** err_msg, std::vector< int >* x0, std::vector< int >* x1, casadi::IM* x2, std::pair< int, int >* x3)"
// call: "        casadi::IM ret = casadi::IM::triplet(x0_, x1_, x2_, x3_);"
// params: [(Ref (Const (StdVec CInt)),SwigOutput False),(Ref (Const (StdVec CInt)),SwigOutput False),(Ref (Const (UserType (Namespace ["casadi"]) (Name "IM"))),SwigOutput False),(Ref (Const (StdPair CInt CInt)),SwigOutput False)]
extern "C"
casadi::IM*
    casadi__IM__triplet__0(std::string ** err_msg, std::vector< int >* x0, std::vector< int >* x1, casadi::IM* x2, std::pair< int, int >* x3);
casadi::IM*
    casadi__IM__triplet__0(std::string ** err_msg, std::vector< int >* x0, std::vector< int >* x1, casadi::IM* x2, std::pair< int, int >* x3){
    try {
        std::vector< int > x0_ = Marshaling<std::vector< int >,std::vector< int >*>::marshal(x0);
        std::vector< int > x1_ = Marshaling<std::vector< int >,std::vector< int >*>::marshal(x1);
        casadi::IM& x2_ = Marshaling<casadi::IM&,casadi::IM*>::marshal(x2);
        std::pair< int, int > x3_ = Marshaling<std::pair< int, int >,std::pair< int, int >*>::marshal(x3);

        casadi::IM ret = casadi::IM::triplet(x0_, x1_, x2_, x3_);
        // x0 is not a swig output
        // x1 is not a swig output
        // x2 is not a swig output
        // x3 is not a swig output

        return WrapReturn< casadi::IM*, casadi::IM >::wrapReturn( ret );
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return 0;
    }
}


// ================== Static method: "triplet" ===============
// class: "casadi::IM"
// cppName: "casadi::IM::triplet"
// cWrapperName: "casadi__IM__triplet__1"
// protoArgs: "(std::string ** err_msg, std::vector< int >* x0, std::vector< int >* x1, casadi::IM* x2, int x3, int x4)"
// args: "(x0_, x1_, x2_, x3_, x4_)"
// rettype: UserType (Namespace ["casadi"]) (Name "IM")
// cWrapperRetType: "casadi::IM*"
// proto: "casadi::IM*\n    casadi__IM__triplet__1(std::string ** err_msg, std::vector< int >* x0, std::vector< int >* x1, casadi::IM* x2, int x3, int x4)"
// call: "        casadi::IM ret = casadi::IM::triplet(x0_, x1_, x2_, x3_, x4_);"
// params: [(Ref (Const (StdVec CInt)),SwigOutput False),(Ref (Const (StdVec CInt)),SwigOutput False),(Ref (Const (UserType (Namespace ["casadi"]) (Name "IM"))),SwigOutput False),(CInt,SwigOutput False),(CInt,SwigOutput False)]
extern "C"
casadi::IM*
    casadi__IM__triplet__1(std::string ** err_msg, std::vector< int >* x0, std::vector< int >* x1, casadi::IM* x2, int x3, int x4);
casadi::IM*
    casadi__IM__triplet__1(std::string ** err_msg, std::vector< int >* x0, std::vector< int >* x1, casadi::IM* x2, int x3, int x4){
    try {
        std::vector< int > x0_ = Marshaling<std::vector< int >,std::vector< int >*>::marshal(x0);
        std::vector< int > x1_ = Marshaling<std::vector< int >,std::vector< int >*>::marshal(x1);
        casadi::IM& x2_ = Marshaling<casadi::IM&,casadi::IM*>::marshal(x2);
        int x3_ = Marshaling<int,int>::marshal(x3);
        int x4_ = Marshaling<int,int>::marshal(x4);

        casadi::IM ret = casadi::IM::triplet(x0_, x1_, x2_, x3_, x4_);
        // x0 is not a swig output
        // x1 is not a swig output
        // x2 is not a swig output
        // x3 is not a swig output
        // x4 is not a swig output

        return WrapReturn< casadi::IM*, casadi::IM >::wrapReturn( ret );
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return 0;
    }
}


// ================== Static method: "triplet" ===============
// class: "casadi::IM"
// cppName: "casadi::IM::triplet"
// cWrapperName: "casadi__IM__triplet__2"
// protoArgs: "(std::string ** err_msg, std::vector< int >* x0, std::vector< int >* x1, casadi::IM* x2)"
// args: "(x0_, x1_, x2_)"
// rettype: UserType (Namespace ["casadi"]) (Name "IM")
// cWrapperRetType: "casadi::IM*"
// proto: "casadi::IM*\n    casadi__IM__triplet__2(std::string ** err_msg, std::vector< int >* x0, std::vector< int >* x1, casadi::IM* x2)"
// call: "        casadi::IM ret = casadi::IM::triplet(x0_, x1_, x2_);"
// params: [(Ref (Const (StdVec CInt)),SwigOutput False),(Ref (Const (StdVec CInt)),SwigOutput False),(Ref (Const (UserType (Namespace ["casadi"]) (Name "IM"))),SwigOutput False)]
extern "C"
casadi::IM*
    casadi__IM__triplet__2(std::string ** err_msg, std::vector< int >* x0, std::vector< int >* x1, casadi::IM* x2);
casadi::IM*
    casadi__IM__triplet__2(std::string ** err_msg, std::vector< int >* x0, std::vector< int >* x1, casadi::IM* x2){
    try {
        std::vector< int > x0_ = Marshaling<std::vector< int >,std::vector< int >*>::marshal(x0);
        std::vector< int > x1_ = Marshaling<std::vector< int >,std::vector< int >*>::marshal(x1);
        casadi::IM& x2_ = Marshaling<casadi::IM&,casadi::IM*>::marshal(x2);

        casadi::IM ret = casadi::IM::triplet(x0_, x1_, x2_);
        // x0 is not a swig output
        // x1 is not a swig output
        // x2 is not a swig output

        return WrapReturn< casadi::IM*, casadi::IM >::wrapReturn( ret );
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return 0;
    }
}


// ================== Static method: "type_name" ===============
// class: "casadi::IM"
// cppName: "casadi::IM::type_name"
// cWrapperName: "casadi__IM__type_name"
// protoArgs: "(std::string ** err_msg)"
// args: "()"
// rettype: StdString
// cWrapperRetType: "std::string*"
// proto: "std::string*\n    casadi__IM__type_name(std::string ** err_msg)"
// call: "        std::string ret = casadi::IM::type_name();"
// params: []
extern "C"
std::string*
    casadi__IM__type_name(std::string ** err_msg);
std::string*
    casadi__IM__type_name(std::string ** err_msg){
    try {

        std::string ret = casadi::IM::type_name();

        return WrapReturn< std::string*, std::string >::wrapReturn( ret );
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return 0;
    }
}


// ================== Static method: "unary" ===============
// class: "casadi::IM"
// cppName: "casadi::IM::unary"
// cWrapperName: "casadi__IM__unary"
// protoArgs: "(std::string ** err_msg, int x0, casadi::IM* x1)"
// args: "(x0_, x1_)"
// rettype: UserType (Namespace ["casadi"]) (Name "IM")
// cWrapperRetType: "casadi::IM*"
// proto: "casadi::IM*\n    casadi__IM__unary(std::string ** err_msg, int x0, casadi::IM* x1)"
// call: "        casadi::IM ret = casadi::IM::unary(x0_, x1_);"
// params: [(CInt,SwigOutput False),(Ref (Const (UserType (Namespace ["casadi"]) (Name "IM"))),SwigOutput False)]
extern "C"
casadi::IM*
    casadi__IM__unary(std::string ** err_msg, int x0, casadi::IM* x1);
casadi::IM*
    casadi__IM__unary(std::string ** err_msg, int x0, casadi::IM* x1){
    try {
        int x0_ = Marshaling<int,int>::marshal(x0);
        casadi::IM& x1_ = Marshaling<casadi::IM&,casadi::IM*>::marshal(x1);

        casadi::IM ret = casadi::IM::unary(x0_, x1_);
        // x0 is not a swig output
        // x1 is not a swig output

        return WrapReturn< casadi::IM*, casadi::IM >::wrapReturn( ret );
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return 0;
    }
}


// ================== Static method: "zeros" ===============
// class: "casadi::IM"
// cppName: "casadi::IM::zeros"
// cWrapperName: "casadi__IM__zeros__0"
// protoArgs: "(std::string ** err_msg, std::pair< int, int >* x0)"
// args: "(x0_)"
// rettype: UserType (Namespace ["casadi"]) (Name "IM")
// cWrapperRetType: "casadi::IM*"
// proto: "casadi::IM*\n    casadi__IM__zeros__0(std::string ** err_msg, std::pair< int, int >* x0)"
// call: "        casadi::IM ret = casadi::IM::zeros(x0_);"
// params: [(Ref (Const (StdPair CInt CInt)),SwigOutput False)]
extern "C"
casadi::IM*
    casadi__IM__zeros__0(std::string ** err_msg, std::pair< int, int >* x0);
casadi::IM*
    casadi__IM__zeros__0(std::string ** err_msg, std::pair< int, int >* x0){
    try {
        std::pair< int, int > x0_ = Marshaling<std::pair< int, int >,std::pair< int, int >*>::marshal(x0);

        casadi::IM ret = casadi::IM::zeros(x0_);
        // x0 is not a swig output

        return WrapReturn< casadi::IM*, casadi::IM >::wrapReturn( ret );
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return 0;
    }
}


// ================== Static method: "zeros" ===============
// class: "casadi::IM"
// cppName: "casadi::IM::zeros"
// cWrapperName: "casadi__IM__zeros__1"
// protoArgs: "(std::string ** err_msg, casadi::Sparsity* x0)"
// args: "(x0_)"
// rettype: UserType (Namespace ["casadi"]) (Name "IM")
// cWrapperRetType: "casadi::IM*"
// proto: "casadi::IM*\n    casadi__IM__zeros__1(std::string ** err_msg, casadi::Sparsity* x0)"
// call: "        casadi::IM ret = casadi::IM::zeros(x0_);"
// params: [(Ref (Const (UserType (Namespace ["casadi"]) (Name "Sparsity"))),SwigOutput False)]
extern "C"
casadi::IM*
    casadi__IM__zeros__1(std::string ** err_msg, casadi::Sparsity* x0);
casadi::IM*
    casadi__IM__zeros__1(std::string ** err_msg, casadi::Sparsity* x0){
    try {
        casadi::Sparsity& x0_ = Marshaling<casadi::Sparsity&,casadi::Sparsity*>::marshal(x0);

        casadi::IM ret = casadi::IM::zeros(x0_);
        // x0 is not a swig output

        return WrapReturn< casadi::IM*, casadi::IM >::wrapReturn( ret );
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return 0;
    }
}


// ================== Static method: "zeros" ===============
// class: "casadi::IM"
// cppName: "casadi::IM::zeros"
// cWrapperName: "casadi__IM__zeros__2"
// protoArgs: "(std::string ** err_msg)"
// args: "()"
// rettype: UserType (Namespace ["casadi"]) (Name "IM")
// cWrapperRetType: "casadi::IM*"
// proto: "casadi::IM*\n    casadi__IM__zeros__2(std::string ** err_msg)"
// call: "        casadi::IM ret = casadi::IM::zeros();"
// params: []
extern "C"
casadi::IM*
    casadi__IM__zeros__2(std::string ** err_msg);
casadi::IM*
    casadi__IM__zeros__2(std::string ** err_msg){
    try {

        casadi::IM ret = casadi::IM::zeros();

        return WrapReturn< casadi::IM*, casadi::IM >::wrapReturn( ret );
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return 0;
    }
}


// ================== Static method: "zeros" ===============
// class: "casadi::IM"
// cppName: "casadi::IM::zeros"
// cWrapperName: "casadi__IM__zeros__3"
// protoArgs: "(std::string ** err_msg, int x0)"
// args: "(x0_)"
// rettype: UserType (Namespace ["casadi"]) (Name "IM")
// cWrapperRetType: "casadi::IM*"
// proto: "casadi::IM*\n    casadi__IM__zeros__3(std::string ** err_msg, int x0)"
// call: "        casadi::IM ret = casadi::IM::zeros(x0_);"
// params: [(CInt,SwigOutput False)]
extern "C"
casadi::IM*
    casadi__IM__zeros__3(std::string ** err_msg, int x0);
casadi::IM*
    casadi__IM__zeros__3(std::string ** err_msg, int x0){
    try {
        int x0_ = Marshaling<int,int>::marshal(x0);

        casadi::IM ret = casadi::IM::zeros(x0_);
        // x0 is not a swig output

        return WrapReturn< casadi::IM*, casadi::IM >::wrapReturn( ret );
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return 0;
    }
}


// ================== Static method: "zeros" ===============
// class: "casadi::IM"
// cppName: "casadi::IM::zeros"
// cWrapperName: "casadi__IM__zeros__4"
// protoArgs: "(std::string ** err_msg, int x0, int x1)"
// args: "(x0_, x1_)"
// rettype: UserType (Namespace ["casadi"]) (Name "IM")
// cWrapperRetType: "casadi::IM*"
// proto: "casadi::IM*\n    casadi__IM__zeros__4(std::string ** err_msg, int x0, int x1)"
// call: "        casadi::IM ret = casadi::IM::zeros(x0_, x1_);"
// params: [(CInt,SwigOutput False),(CInt,SwigOutput False)]
extern "C"
casadi::IM*
    casadi__IM__zeros__4(std::string ** err_msg, int x0, int x1);
casadi::IM*
    casadi__IM__zeros__4(std::string ** err_msg, int x0, int x1){
    try {
        int x0_ = Marshaling<int,int>::marshal(x0);
        int x1_ = Marshaling<int,int>::marshal(x1);

        casadi::IM ret = casadi::IM::zeros(x0_, x1_);
        // x0 is not a swig output
        // x1 is not a swig output

        return WrapReturn< casadi::IM*, casadi::IM >::wrapReturn( ret );
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return 0;
    }
}


// ================== Normal method: "getRepresentation" ===============
// class: "casadi::IM"
// cppName: "casadi::IM::getRepresentation"
// cWrapperName: "casadi__IM__getRepresentation"
// protoArgs: "(std::string ** err_msg, casadi::IM* obj)"
// args: "()"
// rettype: StdString
// cWrapperRetType: "std::string*"
// proto: "std::string*\n    casadi__IM__getRepresentation(std::string ** err_msg, casadi::IM* obj)"
// call: "        std::string ret = obj->getRepresentation();"
// params: []
extern "C"
std::string*
    casadi__IM__getRepresentation(std::string ** err_msg, casadi::IM* obj);
std::string*
    casadi__IM__getRepresentation(std::string ** err_msg, casadi::IM* obj){
    try {

        std::string ret = obj->getRepresentation();

        return WrapReturn< std::string*, std::string >::wrapReturn( ret );
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return 0;
    }
}


// ================== Normal method: "getDescription" ===============
// class: "casadi::IM"
// cppName: "casadi::IM::getDescription"
// cWrapperName: "casadi__IM__getDescription"
// protoArgs: "(std::string ** err_msg, casadi::IM* obj)"
// args: "()"
// rettype: StdString
// cWrapperRetType: "std::string*"
// proto: "std::string*\n    casadi__IM__getDescription(std::string ** err_msg, casadi::IM* obj)"
// call: "        std::string ret = obj->getDescription();"
// params: []
extern "C"
std::string*
    casadi__IM__getDescription(std::string ** err_msg, casadi::IM* obj);
std::string*
    casadi__IM__getDescription(std::string ** err_msg, casadi::IM* obj){
    try {

        std::string ret = obj->getDescription();

        return WrapReturn< std::string*, std::string >::wrapReturn( ret );
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return 0;
    }
}



// ================== delete UserType (Namespace ["casadi"]) (Name "Library")===============
// classType: UserType (Namespace ["casadi"]) (Name "Library")
extern "C"
void delete_casadi__Library(casadi::Library* obj);
void delete_casadi__Library(casadi::Library* obj){
    delete obj;
}

// ================== Constructor method: "CONSTRUCTOR" ===============
// class: "casadi::Library"
// cppName: "casadi::Library"
// cWrapperName: "casadi__Library__CONSTRUCTOR__0"
// protoArgs: "(std::string ** err_msg, casadi::Compiler* x0)"
// args: "(x0_)"
// rettype: UserType (Namespace ["casadi"]) (Name "Library")
// cWrapperRetType: "casadi::Library*"
// proto: "casadi::Library*\n    casadi__Library__CONSTRUCTOR__0(std::string ** err_msg, casadi::Compiler* x0)"
// call: "        casadi::Library* ret = (casadi::Library*)new casadi::Library(x0_);"
// params: [(Ref (Const (UserType (Namespace ["casadi"]) (Name "Compiler"))),SwigOutput False)]
extern "C"
casadi::Library*
    casadi__Library__CONSTRUCTOR__0(std::string ** err_msg, casadi::Compiler* x0);
casadi::Library*
    casadi__Library__CONSTRUCTOR__0(std::string ** err_msg, casadi::Compiler* x0){
    try {
        casadi::Compiler& x0_ = Marshaling<casadi::Compiler&,casadi::Compiler*>::marshal(x0);

        casadi::Library* ret = (casadi::Library*)new casadi::Library(x0_);
        // x0 is not a swig output

        return ret;
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return 0;
    }
}


// ================== Constructor method: "CONSTRUCTOR" ===============
// class: "casadi::Library"
// cppName: "casadi::Library"
// cWrapperName: "casadi__Library__CONSTRUCTOR__1"
// protoArgs: "(std::string ** err_msg, std::string* x0)"
// args: "(x0_)"
// rettype: UserType (Namespace ["casadi"]) (Name "Library")
// cWrapperRetType: "casadi::Library*"
// proto: "casadi::Library*\n    casadi__Library__CONSTRUCTOR__1(std::string ** err_msg, std::string* x0)"
// call: "        casadi::Library* ret = (casadi::Library*)new casadi::Library(x0_);"
// params: [(Ref (Const StdString),SwigOutput False)]
extern "C"
casadi::Library*
    casadi__Library__CONSTRUCTOR__1(std::string ** err_msg, std::string* x0);
casadi::Library*
    casadi__Library__CONSTRUCTOR__1(std::string ** err_msg, std::string* x0){
    try {
        std::string& x0_ = Marshaling<std::string&,std::string*>::marshal(x0);

        casadi::Library* ret = (casadi::Library*)new casadi::Library(x0_);
        // x0 is not a swig output

        return ret;
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return 0;
    }
}


// ================== Constructor method: "CONSTRUCTOR" ===============
// class: "casadi::Library"
// cppName: "casadi::Library"
// cWrapperName: "casadi__Library__CONSTRUCTOR__2"
// protoArgs: "(std::string ** err_msg)"
// args: "()"
// rettype: UserType (Namespace ["casadi"]) (Name "Library")
// cWrapperRetType: "casadi::Library*"
// proto: "casadi::Library*\n    casadi__Library__CONSTRUCTOR__2(std::string ** err_msg)"
// call: "        casadi::Library* ret = (casadi::Library*)new casadi::Library();"
// params: []
extern "C"
casadi::Library*
    casadi__Library__CONSTRUCTOR__2(std::string ** err_msg);
casadi::Library*
    casadi__Library__CONSTRUCTOR__2(std::string ** err_msg){
    try {

        casadi::Library* ret = (casadi::Library*)new casadi::Library();

        return ret;
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return 0;
    }
}


// ================== Normal method: "has" ===============
// class: "casadi::Library"
// cppName: "casadi::Library::has"
// cWrapperName: "casadi__Library__has"
// protoArgs: "(std::string ** err_msg, casadi::Library* obj, std::string* x0)"
// args: "(x0_)"
// rettype: CBool
// cWrapperRetType: "int"
// proto: "int\n    casadi__Library__has(std::string ** err_msg, casadi::Library* obj, std::string* x0)"
// call: "        bool ret = obj->has(x0_);"
// params: [(Ref (Const StdString),SwigOutput False)]
extern "C"
int
    casadi__Library__has(std::string ** err_msg, casadi::Library* obj, std::string* x0);
int
    casadi__Library__has(std::string ** err_msg, casadi::Library* obj, std::string* x0){
    try {
        std::string& x0_ = Marshaling<std::string&,std::string*>::marshal(x0);

        bool ret = obj->has(x0_);
        // x0 is not a swig output

        return WrapReturn< int, bool >::wrapReturn( ret );
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return 0;
    }
}



// ================== delete UserType (Namespace ["casadi"]) (Name "MX")===============
// classType: UserType (Namespace ["casadi"]) (Name "MX")
extern "C"
void delete_casadi__MX(casadi::MX* obj);
void delete_casadi__MX(casadi::MX* obj){
    delete obj;
}

// ================== Constructor method: "CONSTRUCTOR" ===============
// class: "casadi::MX"
// cppName: "casadi::MX"
// cWrapperName: "casadi__MX__CONSTRUCTOR__0"
// protoArgs: "(std::string ** err_msg, casadi::DM* x0)"
// args: "(x0_)"
// rettype: UserType (Namespace ["casadi"]) (Name "MX")
// cWrapperRetType: "casadi::MX*"
// proto: "casadi::MX*\n    casadi__MX__CONSTRUCTOR__0(std::string ** err_msg, casadi::DM* x0)"
// call: "        casadi::MX* ret = (casadi::MX*)new casadi::MX(x0_);"
// params: [(Ref (Const (UserType (Namespace ["casadi"]) (Name "DM"))),SwigOutput False)]
extern "C"
casadi::MX*
    casadi__MX__CONSTRUCTOR__0(std::string ** err_msg, casadi::DM* x0);
casadi::MX*
    casadi__MX__CONSTRUCTOR__0(std::string ** err_msg, casadi::DM* x0){
    try {
        casadi::DM& x0_ = Marshaling<casadi::DM&,casadi::DM*>::marshal(x0);

        casadi::MX* ret = (casadi::MX*)new casadi::MX(x0_);
        // x0 is not a swig output

        return ret;
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return 0;
    }
}


// ================== Constructor method: "CONSTRUCTOR" ===============
// class: "casadi::MX"
// cppName: "casadi::MX"
// cWrapperName: "casadi__MX__CONSTRUCTOR__1"
// protoArgs: "(std::string ** err_msg, std::vector< double >* x0)"
// args: "(x0_)"
// rettype: UserType (Namespace ["casadi"]) (Name "MX")
// cWrapperRetType: "casadi::MX*"
// proto: "casadi::MX*\n    casadi__MX__CONSTRUCTOR__1(std::string ** err_msg, std::vector< double >* x0)"
// call: "        casadi::MX* ret = (casadi::MX*)new casadi::MX(x0_);"
// params: [(Ref (Const (StdVec CDouble)),SwigOutput False)]
extern "C"
casadi::MX*
    casadi__MX__CONSTRUCTOR__1(std::string ** err_msg, std::vector< double >* x0);
casadi::MX*
    casadi__MX__CONSTRUCTOR__1(std::string ** err_msg, std::vector< double >* x0){
    try {
        std::vector< double > x0_ = Marshaling<std::vector< double >,std::vector< double >*>::marshal(x0);

        casadi::MX* ret = (casadi::MX*)new casadi::MX(x0_);
        // x0 is not a swig output

        return ret;
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return 0;
    }
}


// ================== Constructor method: "CONSTRUCTOR" ===============
// class: "casadi::MX"
// cppName: "casadi::MX"
// cWrapperName: "casadi__MX__CONSTRUCTOR__2"
// protoArgs: "(std::string ** err_msg, casadi::MX* x0)"
// args: "(x0_)"
// rettype: UserType (Namespace ["casadi"]) (Name "MX")
// cWrapperRetType: "casadi::MX*"
// proto: "casadi::MX*\n    casadi__MX__CONSTRUCTOR__2(std::string ** err_msg, casadi::MX* x0)"
// call: "        casadi::MX* ret = (casadi::MX*)new casadi::MX(x0_);"
// params: [(Ref (Const (UserType (Namespace ["casadi"]) (Name "MX"))),SwigOutput False)]
extern "C"
casadi::MX*
    casadi__MX__CONSTRUCTOR__2(std::string ** err_msg, casadi::MX* x0);
casadi::MX*
    casadi__MX__CONSTRUCTOR__2(std::string ** err_msg, casadi::MX* x0){
    try {
        casadi::MX& x0_ = Marshaling<casadi::MX&,casadi::MX*>::marshal(x0);

        casadi::MX* ret = (casadi::MX*)new casadi::MX(x0_);
        // x0 is not a swig output

        return ret;
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return 0;
    }
}


// ================== Constructor method: "CONSTRUCTOR" ===============
// class: "casadi::MX"
// cppName: "casadi::MX"
// cWrapperName: "casadi__MX__CONSTRUCTOR__3"
// protoArgs: "(std::string ** err_msg, double x0)"
// args: "(x0_)"
// rettype: UserType (Namespace ["casadi"]) (Name "MX")
// cWrapperRetType: "casadi::MX*"
// proto: "casadi::MX*\n    casadi__MX__CONSTRUCTOR__3(std::string ** err_msg, double x0)"
// call: "        casadi::MX* ret = (casadi::MX*)new casadi::MX(x0_);"
// params: [(CDouble,SwigOutput False)]
extern "C"
casadi::MX*
    casadi__MX__CONSTRUCTOR__3(std::string ** err_msg, double x0);
casadi::MX*
    casadi__MX__CONSTRUCTOR__3(std::string ** err_msg, double x0){
    try {
        double x0_ = Marshaling<double,double>::marshal(x0);

        casadi::MX* ret = (casadi::MX*)new casadi::MX(x0_);
        // x0 is not a swig output

        return ret;
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return 0;
    }
}


// ================== Constructor method: "CONSTRUCTOR" ===============
// class: "casadi::MX"
// cppName: "casadi::MX"
// cWrapperName: "casadi__MX__CONSTRUCTOR__4"
// protoArgs: "(std::string ** err_msg, casadi::Sparsity* x0, casadi::MX* x1)"
// args: "(x0_, x1_)"
// rettype: UserType (Namespace ["casadi"]) (Name "MX")
// cWrapperRetType: "casadi::MX*"
// proto: "casadi::MX*\n    casadi__MX__CONSTRUCTOR__4(std::string ** err_msg, casadi::Sparsity* x0, casadi::MX* x1)"
// call: "        casadi::MX* ret = (casadi::MX*)new casadi::MX(x0_, x1_);"
// params: [(Ref (Const (UserType (Namespace ["casadi"]) (Name "Sparsity"))),SwigOutput False),(Ref (Const (UserType (Namespace ["casadi"]) (Name "MX"))),SwigOutput False)]
extern "C"
casadi::MX*
    casadi__MX__CONSTRUCTOR__4(std::string ** err_msg, casadi::Sparsity* x0, casadi::MX* x1);
casadi::MX*
    casadi__MX__CONSTRUCTOR__4(std::string ** err_msg, casadi::Sparsity* x0, casadi::MX* x1){
    try {
        casadi::Sparsity& x0_ = Marshaling<casadi::Sparsity&,casadi::Sparsity*>::marshal(x0);
        casadi::MX& x1_ = Marshaling<casadi::MX&,casadi::MX*>::marshal(x1);

        casadi::MX* ret = (casadi::MX*)new casadi::MX(x0_, x1_);
        // x0 is not a swig output
        // x1 is not a swig output

        return ret;
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return 0;
    }
}


// ================== Constructor method: "CONSTRUCTOR" ===============
// class: "casadi::MX"
// cppName: "casadi::MX"
// cWrapperName: "casadi__MX__CONSTRUCTOR__5"
// protoArgs: "(std::string ** err_msg, casadi::Sparsity* x0)"
// args: "(x0_)"
// rettype: UserType (Namespace ["casadi"]) (Name "MX")
// cWrapperRetType: "casadi::MX*"
// proto: "casadi::MX*\n    casadi__MX__CONSTRUCTOR__5(std::string ** err_msg, casadi::Sparsity* x0)"
// call: "        casadi::MX* ret = (casadi::MX*)new casadi::MX(x0_);"
// params: [(Ref (Const (UserType (Namespace ["casadi"]) (Name "Sparsity"))),SwigOutput False)]
extern "C"
casadi::MX*
    casadi__MX__CONSTRUCTOR__5(std::string ** err_msg, casadi::Sparsity* x0);
casadi::MX*
    casadi__MX__CONSTRUCTOR__5(std::string ** err_msg, casadi::Sparsity* x0){
    try {
        casadi::Sparsity& x0_ = Marshaling<casadi::Sparsity&,casadi::Sparsity*>::marshal(x0);

        casadi::MX* ret = (casadi::MX*)new casadi::MX(x0_);
        // x0 is not a swig output

        return ret;
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return 0;
    }
}


// ================== Constructor method: "CONSTRUCTOR" ===============
// class: "casadi::MX"
// cppName: "casadi::MX"
// cWrapperName: "casadi__MX__CONSTRUCTOR__6"
// protoArgs: "(std::string ** err_msg, int x0, int x1)"
// args: "(x0_, x1_)"
// rettype: UserType (Namespace ["casadi"]) (Name "MX")
// cWrapperRetType: "casadi::MX*"
// proto: "casadi::MX*\n    casadi__MX__CONSTRUCTOR__6(std::string ** err_msg, int x0, int x1)"
// call: "        casadi::MX* ret = (casadi::MX*)new casadi::MX(x0_, x1_);"
// params: [(CInt,SwigOutput False),(CInt,SwigOutput False)]
extern "C"
casadi::MX*
    casadi__MX__CONSTRUCTOR__6(std::string ** err_msg, int x0, int x1);
casadi::MX*
    casadi__MX__CONSTRUCTOR__6(std::string ** err_msg, int x0, int x1){
    try {
        int x0_ = Marshaling<int,int>::marshal(x0);
        int x1_ = Marshaling<int,int>::marshal(x1);

        casadi::MX* ret = (casadi::MX*)new casadi::MX(x0_, x1_);
        // x0 is not a swig output
        // x1 is not a swig output

        return ret;
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return 0;
    }
}


// ================== Constructor method: "CONSTRUCTOR" ===============
// class: "casadi::MX"
// cppName: "casadi::MX"
// cWrapperName: "casadi__MX__CONSTRUCTOR__7"
// protoArgs: "(std::string ** err_msg)"
// args: "()"
// rettype: UserType (Namespace ["casadi"]) (Name "MX")
// cWrapperRetType: "casadi::MX*"
// proto: "casadi::MX*\n    casadi__MX__CONSTRUCTOR__7(std::string ** err_msg)"
// call: "        casadi::MX* ret = (casadi::MX*)new casadi::MX();"
// params: []
extern "C"
casadi::MX*
    casadi__MX__CONSTRUCTOR__7(std::string ** err_msg);
casadi::MX*
    casadi__MX__CONSTRUCTOR__7(std::string ** err_msg){
    try {

        casadi::MX* ret = (casadi::MX*)new casadi::MX();

        return ret;
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return 0;
    }
}


// ================== Normal method: "T" ===============
// class: "casadi::MX"
// cppName: "casadi::MX::T"
// cWrapperName: "casadi__MX__T"
// protoArgs: "(std::string ** err_msg, casadi::MX* obj)"
// args: "()"
// rettype: UserType (Namespace ["casadi"]) (Name "MX")
// cWrapperRetType: "casadi::MX*"
// proto: "casadi::MX*\n    casadi__MX__T(std::string ** err_msg, casadi::MX* obj)"
// call: "        casadi::MX ret = obj->T();"
// params: []
extern "C"
casadi::MX*
    casadi__MX__T(std::string ** err_msg, casadi::MX* obj);
casadi::MX*
    casadi__MX__T(std::string ** err_msg, casadi::MX* obj){
    try {

        casadi::MX ret = obj->T();

        return WrapReturn< casadi::MX*, casadi::MX >::wrapReturn( ret );
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return 0;
    }
}


// ================== Normal method: "__nonzero__" ===============
// class: "casadi::MX"
// cppName: "casadi::MX::__nonzero__"
// cWrapperName: "casadi__MX____nonzero__"
// protoArgs: "(std::string ** err_msg, casadi::MX* obj)"
// args: "()"
// rettype: CBool
// cWrapperRetType: "int"
// proto: "int\n    casadi__MX____nonzero__(std::string ** err_msg, casadi::MX* obj)"
// call: "        bool ret = obj->__nonzero__();"
// params: []
extern "C"
int
    casadi__MX____nonzero__(std::string ** err_msg, casadi::MX* obj);
int
    casadi__MX____nonzero__(std::string ** err_msg, casadi::MX* obj){
    try {

        bool ret = obj->__nonzero__();

        return WrapReturn< int, bool >::wrapReturn( ret );
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return 0;
    }
}


// ================== Normal method: "attachAssert" ===============
// class: "casadi::MX"
// cppName: "casadi::MX::attachAssert"
// cWrapperName: "casadi__MX__attachAssert__0"
// protoArgs: "(std::string ** err_msg, casadi::MX* obj, casadi::MX* x0)"
// args: "(x0_)"
// rettype: UserType (Namespace ["casadi"]) (Name "MX")
// cWrapperRetType: "casadi::MX*"
// proto: "casadi::MX*\n    casadi__MX__attachAssert__0(std::string ** err_msg, casadi::MX* obj, casadi::MX* x0)"
// call: "        casadi::MX ret = obj->attachAssert(x0_);"
// params: [(Ref (Const (UserType (Namespace ["casadi"]) (Name "MX"))),SwigOutput False)]
extern "C"
casadi::MX*
    casadi__MX__attachAssert__0(std::string ** err_msg, casadi::MX* obj, casadi::MX* x0);
casadi::MX*
    casadi__MX__attachAssert__0(std::string ** err_msg, casadi::MX* obj, casadi::MX* x0){
    try {
        casadi::MX& x0_ = Marshaling<casadi::MX&,casadi::MX*>::marshal(x0);

        casadi::MX ret = obj->attachAssert(x0_);
        // x0 is not a swig output

        return WrapReturn< casadi::MX*, casadi::MX >::wrapReturn( ret );
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return 0;
    }
}


// ================== Normal method: "attachAssert" ===============
// class: "casadi::MX"
// cppName: "casadi::MX::attachAssert"
// cWrapperName: "casadi__MX__attachAssert__1"
// protoArgs: "(std::string ** err_msg, casadi::MX* obj, casadi::MX* x0, std::string* x1)"
// args: "(x0_, x1_)"
// rettype: UserType (Namespace ["casadi"]) (Name "MX")
// cWrapperRetType: "casadi::MX*"
// proto: "casadi::MX*\n    casadi__MX__attachAssert__1(std::string ** err_msg, casadi::MX* obj, casadi::MX* x0, std::string* x1)"
// call: "        casadi::MX ret = obj->attachAssert(x0_, x1_);"
// params: [(Ref (Const (UserType (Namespace ["casadi"]) (Name "MX"))),SwigOutput False),(Ref (Const StdString),SwigOutput False)]
extern "C"
casadi::MX*
    casadi__MX__attachAssert__1(std::string ** err_msg, casadi::MX* obj, casadi::MX* x0, std::string* x1);
casadi::MX*
    casadi__MX__attachAssert__1(std::string ** err_msg, casadi::MX* obj, casadi::MX* x0, std::string* x1){
    try {
        casadi::MX& x0_ = Marshaling<casadi::MX&,casadi::MX*>::marshal(x0);
        std::string& x1_ = Marshaling<std::string&,std::string*>::marshal(x1);

        casadi::MX ret = obj->attachAssert(x0_, x1_);
        // x0 is not a swig output
        // x1 is not a swig output

        return WrapReturn< casadi::MX*, casadi::MX >::wrapReturn( ret );
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return 0;
    }
}


// ================== Static method: "binary" ===============
// class: "casadi::MX"
// cppName: "casadi::MX::binary"
// cWrapperName: "casadi__MX__binary"
// protoArgs: "(std::string ** err_msg, int x0, casadi::MX* x1, casadi::MX* x2)"
// args: "(x0_, x1_, x2_)"
// rettype: UserType (Namespace ["casadi"]) (Name "MX")
// cWrapperRetType: "casadi::MX*"
// proto: "casadi::MX*\n    casadi__MX__binary(std::string ** err_msg, int x0, casadi::MX* x1, casadi::MX* x2)"
// call: "        casadi::MX ret = casadi::MX::binary(x0_, x1_, x2_);"
// params: [(CInt,SwigOutput False),(Ref (Const (UserType (Namespace ["casadi"]) (Name "MX"))),SwigOutput False),(Ref (Const (UserType (Namespace ["casadi"]) (Name "MX"))),SwigOutput False)]
extern "C"
casadi::MX*
    casadi__MX__binary(std::string ** err_msg, int x0, casadi::MX* x1, casadi::MX* x2);
casadi::MX*
    casadi__MX__binary(std::string ** err_msg, int x0, casadi::MX* x1, casadi::MX* x2){
    try {
        int x0_ = Marshaling<int,int>::marshal(x0);
        casadi::MX& x1_ = Marshaling<casadi::MX&,casadi::MX*>::marshal(x1);
        casadi::MX& x2_ = Marshaling<casadi::MX&,casadi::MX*>::marshal(x2);

        casadi::MX ret = casadi::MX::binary(x0_, x1_, x2_);
        // x0 is not a swig output
        // x1 is not a swig output
        // x2 is not a swig output

        return WrapReturn< casadi::MX*, casadi::MX >::wrapReturn( ret );
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return 0;
    }
}


// ================== Normal method: "colind" ===============
// class: "casadi::MX"
// cppName: "casadi::MX::colind"
// cWrapperName: "casadi__MX__colind"
// protoArgs: "(std::string ** err_msg, casadi::MX* obj, int x0)"
// args: "(x0_)"
// rettype: CInt
// cWrapperRetType: "int"
// proto: "int\n    casadi__MX__colind(std::string ** err_msg, casadi::MX* obj, int x0)"
// call: "        int ret = obj->colind(x0_);"
// params: [(CInt,SwigOutput False)]
extern "C"
int
    casadi__MX__colind(std::string ** err_msg, casadi::MX* obj, int x0);
int
    casadi__MX__colind(std::string ** err_msg, casadi::MX* obj, int x0){
    try {
        int x0_ = Marshaling<int,int>::marshal(x0);

        int ret = obj->colind(x0_);
        // x0 is not a swig output

        return WrapReturn< int, int >::wrapReturn( ret );
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return 0;
    }
}


// ================== Normal method: "dep" ===============
// class: "casadi::MX"
// cppName: "casadi::MX::dep"
// cWrapperName: "casadi__MX__dep__0"
// protoArgs: "(std::string ** err_msg, casadi::MX* obj)"
// args: "()"
// rettype: UserType (Namespace ["casadi"]) (Name "MX")
// cWrapperRetType: "casadi::MX*"
// proto: "casadi::MX*\n    casadi__MX__dep__0(std::string ** err_msg, casadi::MX* obj)"
// call: "        casadi::MX ret = obj->dep();"
// params: []
extern "C"
casadi::MX*
    casadi__MX__dep__0(std::string ** err_msg, casadi::MX* obj);
casadi::MX*
    casadi__MX__dep__0(std::string ** err_msg, casadi::MX* obj){
    try {

        casadi::MX ret = obj->dep();

        return WrapReturn< casadi::MX*, casadi::MX >::wrapReturn( ret );
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return 0;
    }
}


// ================== Normal method: "dep" ===============
// class: "casadi::MX"
// cppName: "casadi::MX::dep"
// cWrapperName: "casadi__MX__dep__1"
// protoArgs: "(std::string ** err_msg, casadi::MX* obj, int x0)"
// args: "(x0_)"
// rettype: UserType (Namespace ["casadi"]) (Name "MX")
// cWrapperRetType: "casadi::MX*"
// proto: "casadi::MX*\n    casadi__MX__dep__1(std::string ** err_msg, casadi::MX* obj, int x0)"
// call: "        casadi::MX ret = obj->dep(x0_);"
// params: [(CInt,SwigOutput False)]
extern "C"
casadi::MX*
    casadi__MX__dep__1(std::string ** err_msg, casadi::MX* obj, int x0);
casadi::MX*
    casadi__MX__dep__1(std::string ** err_msg, casadi::MX* obj, int x0){
    try {
        int x0_ = Marshaling<int,int>::marshal(x0);

        casadi::MX ret = obj->dep(x0_);
        // x0 is not a swig output

        return WrapReturn< casadi::MX*, casadi::MX >::wrapReturn( ret );
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return 0;
    }
}


// ================== Normal method: "dim" ===============
// class: "casadi::MX"
// cppName: "casadi::MX::dim"
// cWrapperName: "casadi__MX__dim"
// protoArgs: "(std::string ** err_msg, casadi::MX* obj)"
// args: "()"
// rettype: StdString
// cWrapperRetType: "std::string*"
// proto: "std::string*\n    casadi__MX__dim(std::string ** err_msg, casadi::MX* obj)"
// call: "        std::string ret = obj->dim();"
// params: []
extern "C"
std::string*
    casadi__MX__dim(std::string ** err_msg, casadi::MX* obj);
std::string*
    casadi__MX__dim(std::string ** err_msg, casadi::MX* obj){
    try {

        std::string ret = obj->dim();

        return WrapReturn< std::string*, std::string >::wrapReturn( ret );
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return 0;
    }
}


// ================== Normal method: "enlarge" ===============
// class: "casadi::MX"
// cppName: "casadi::MX::enlarge"
// cWrapperName: "casadi__MX__enlarge__0"
// protoArgs: "(std::string ** err_msg, casadi::MX* obj, int x0, int x1, std::vector< int >* x2, std::vector< int >* x3)"
// args: "(x0_, x1_, x2_, x3_)"
// rettype: CVoid
// cWrapperRetType: "void"
// proto: "void\n    casadi__MX__enlarge__0(std::string ** err_msg, casadi::MX* obj, int x0, int x1, std::vector< int >* x2, std::vector< int >* x3)"
// call: "        obj->enlarge(x0_, x1_, x2_, x3_);"
// params: [(CInt,SwigOutput False),(CInt,SwigOutput False),(Ref (Const (StdVec CInt)),SwigOutput False),(Ref (Const (StdVec CInt)),SwigOutput False)]
extern "C"
void
    casadi__MX__enlarge__0(std::string ** err_msg, casadi::MX* obj, int x0, int x1, std::vector< int >* x2, std::vector< int >* x3);
void
    casadi__MX__enlarge__0(std::string ** err_msg, casadi::MX* obj, int x0, int x1, std::vector< int >* x2, std::vector< int >* x3){
    try {
        int x0_ = Marshaling<int,int>::marshal(x0);
        int x1_ = Marshaling<int,int>::marshal(x1);
        std::vector< int > x2_ = Marshaling<std::vector< int >,std::vector< int >*>::marshal(x2);
        std::vector< int > x3_ = Marshaling<std::vector< int >,std::vector< int >*>::marshal(x3);

        obj->enlarge(x0_, x1_, x2_, x3_);
        // x0 is not a swig output
        // x1 is not a swig output
        // x2 is not a swig output
        // x3 is not a swig output

        return;
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return;
    }
}


// ================== Normal method: "enlarge" ===============
// class: "casadi::MX"
// cppName: "casadi::MX::enlarge"
// cWrapperName: "casadi__MX__enlarge__1"
// protoArgs: "(std::string ** err_msg, casadi::MX* obj, int x0, int x1, std::vector< int >* x2, std::vector< int >* x3, int x4)"
// args: "(x0_, x1_, x2_, x3_, x4_)"
// rettype: CVoid
// cWrapperRetType: "void"
// proto: "void\n    casadi__MX__enlarge__1(std::string ** err_msg, casadi::MX* obj, int x0, int x1, std::vector< int >* x2, std::vector< int >* x3, int x4)"
// call: "        obj->enlarge(x0_, x1_, x2_, x3_, x4_);"
// params: [(CInt,SwigOutput False),(CInt,SwigOutput False),(Ref (Const (StdVec CInt)),SwigOutput False),(Ref (Const (StdVec CInt)),SwigOutput False),(CBool,SwigOutput False)]
extern "C"
void
    casadi__MX__enlarge__1(std::string ** err_msg, casadi::MX* obj, int x0, int x1, std::vector< int >* x2, std::vector< int >* x3, int x4);
void
    casadi__MX__enlarge__1(std::string ** err_msg, casadi::MX* obj, int x0, int x1, std::vector< int >* x2, std::vector< int >* x3, int x4){
    try {
        int x0_ = Marshaling<int,int>::marshal(x0);
        int x1_ = Marshaling<int,int>::marshal(x1);
        std::vector< int > x2_ = Marshaling<std::vector< int >,std::vector< int >*>::marshal(x2);
        std::vector< int > x3_ = Marshaling<std::vector< int >,std::vector< int >*>::marshal(x3);
        bool x4_ = Marshaling<bool,int>::marshal(x4);

        obj->enlarge(x0_, x1_, x2_, x3_, x4_);
        // x0 is not a swig output
        // x1 is not a swig output
        // x2 is not a swig output
        // x3 is not a swig output
        // x4 is not a swig output

        return;
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return;
    }
}


// ================== Normal method: "erase" ===============
// class: "casadi::MX"
// cppName: "casadi::MX::erase"
// cWrapperName: "casadi__MX__erase__0"
// protoArgs: "(std::string ** err_msg, casadi::MX* obj, std::vector< int >* x0)"
// args: "(x0_)"
// rettype: CVoid
// cWrapperRetType: "void"
// proto: "void\n    casadi__MX__erase__0(std::string ** err_msg, casadi::MX* obj, std::vector< int >* x0)"
// call: "        obj->erase(x0_);"
// params: [(Ref (Const (StdVec CInt)),SwigOutput False)]
extern "C"
void
    casadi__MX__erase__0(std::string ** err_msg, casadi::MX* obj, std::vector< int >* x0);
void
    casadi__MX__erase__0(std::string ** err_msg, casadi::MX* obj, std::vector< int >* x0){
    try {
        std::vector< int > x0_ = Marshaling<std::vector< int >,std::vector< int >*>::marshal(x0);

        obj->erase(x0_);
        // x0 is not a swig output

        return;
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return;
    }
}


// ================== Normal method: "erase" ===============
// class: "casadi::MX"
// cppName: "casadi::MX::erase"
// cWrapperName: "casadi__MX__erase__1"
// protoArgs: "(std::string ** err_msg, casadi::MX* obj, std::vector< int >* x0, int x1)"
// args: "(x0_, x1_)"
// rettype: CVoid
// cWrapperRetType: "void"
// proto: "void\n    casadi__MX__erase__1(std::string ** err_msg, casadi::MX* obj, std::vector< int >* x0, int x1)"
// call: "        obj->erase(x0_, x1_);"
// params: [(Ref (Const (StdVec CInt)),SwigOutput False),(CBool,SwigOutput False)]
extern "C"
void
    casadi__MX__erase__1(std::string ** err_msg, casadi::MX* obj, std::vector< int >* x0, int x1);
void
    casadi__MX__erase__1(std::string ** err_msg, casadi::MX* obj, std::vector< int >* x0, int x1){
    try {
        std::vector< int > x0_ = Marshaling<std::vector< int >,std::vector< int >*>::marshal(x0);
        bool x1_ = Marshaling<bool,int>::marshal(x1);

        obj->erase(x0_, x1_);
        // x0 is not a swig output
        // x1 is not a swig output

        return;
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return;
    }
}


// ================== Normal method: "erase" ===============
// class: "casadi::MX"
// cppName: "casadi::MX::erase"
// cWrapperName: "casadi__MX__erase__2"
// protoArgs: "(std::string ** err_msg, casadi::MX* obj, std::vector< int >* x0, std::vector< int >* x1)"
// args: "(x0_, x1_)"
// rettype: CVoid
// cWrapperRetType: "void"
// proto: "void\n    casadi__MX__erase__2(std::string ** err_msg, casadi::MX* obj, std::vector< int >* x0, std::vector< int >* x1)"
// call: "        obj->erase(x0_, x1_);"
// params: [(Ref (Const (StdVec CInt)),SwigOutput False),(Ref (Const (StdVec CInt)),SwigOutput False)]
extern "C"
void
    casadi__MX__erase__2(std::string ** err_msg, casadi::MX* obj, std::vector< int >* x0, std::vector< int >* x1);
void
    casadi__MX__erase__2(std::string ** err_msg, casadi::MX* obj, std::vector< int >* x0, std::vector< int >* x1){
    try {
        std::vector< int > x0_ = Marshaling<std::vector< int >,std::vector< int >*>::marshal(x0);
        std::vector< int > x1_ = Marshaling<std::vector< int >,std::vector< int >*>::marshal(x1);

        obj->erase(x0_, x1_);
        // x0 is not a swig output
        // x1 is not a swig output

        return;
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return;
    }
}


// ================== Normal method: "erase" ===============
// class: "casadi::MX"
// cppName: "casadi::MX::erase"
// cWrapperName: "casadi__MX__erase__3"
// protoArgs: "(std::string ** err_msg, casadi::MX* obj, std::vector< int >* x0, std::vector< int >* x1, int x2)"
// args: "(x0_, x1_, x2_)"
// rettype: CVoid
// cWrapperRetType: "void"
// proto: "void\n    casadi__MX__erase__3(std::string ** err_msg, casadi::MX* obj, std::vector< int >* x0, std::vector< int >* x1, int x2)"
// call: "        obj->erase(x0_, x1_, x2_);"
// params: [(Ref (Const (StdVec CInt)),SwigOutput False),(Ref (Const (StdVec CInt)),SwigOutput False),(CBool,SwigOutput False)]
extern "C"
void
    casadi__MX__erase__3(std::string ** err_msg, casadi::MX* obj, std::vector< int >* x0, std::vector< int >* x1, int x2);
void
    casadi__MX__erase__3(std::string ** err_msg, casadi::MX* obj, std::vector< int >* x0, std::vector< int >* x1, int x2){
    try {
        std::vector< int > x0_ = Marshaling<std::vector< int >,std::vector< int >*>::marshal(x0);
        std::vector< int > x1_ = Marshaling<std::vector< int >,std::vector< int >*>::marshal(x1);
        bool x2_ = Marshaling<bool,int>::marshal(x2);

        obj->erase(x0_, x1_, x2_);
        // x0 is not a swig output
        // x1 is not a swig output
        // x2 is not a swig output

        return;
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return;
    }
}


// ================== Static method: "eye" ===============
// class: "casadi::MX"
// cppName: "casadi::MX::eye"
// cWrapperName: "casadi__MX__eye"
// protoArgs: "(std::string ** err_msg, int x0)"
// args: "(x0_)"
// rettype: UserType (Namespace ["casadi"]) (Name "MX")
// cWrapperRetType: "casadi::MX*"
// proto: "casadi::MX*\n    casadi__MX__eye(std::string ** err_msg, int x0)"
// call: "        casadi::MX ret = casadi::MX::eye(x0_);"
// params: [(CInt,SwigOutput False)]
extern "C"
casadi::MX*
    casadi__MX__eye(std::string ** err_msg, int x0);
casadi::MX*
    casadi__MX__eye(std::string ** err_msg, int x0){
    try {
        int x0_ = Marshaling<int,int>::marshal(x0);

        casadi::MX ret = casadi::MX::eye(x0_);
        // x0 is not a swig output

        return WrapReturn< casadi::MX*, casadi::MX >::wrapReturn( ret );
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return 0;
    }
}


// ================== Normal method: "get" ===============
// class: "casadi::MX"
// cppName: "casadi::MX::get"
// cWrapperName: "casadi__MX__get__0"
// protoArgs: "(std::string ** err_msg, casadi::MX* obj, casadi::MX** x0, int x1, casadi::IM* x2, casadi::IM* x3)"
// args: "(x0_, x1_, x2_, x3_)"
// rettype: CVoid
// cWrapperRetType: "void"
// proto: "void\n    casadi__MX__get__0(std::string ** err_msg, casadi::MX* obj, casadi::MX** x0, int x1, casadi::IM* x2, casadi::IM* x3)"
// call: "        obj->get(x0_, x1_, x2_, x3_);"
// params: [(Ref (UserType (Namespace ["casadi"]) (Name "MX")),SwigOutput True),(CBool,SwigOutput False),(Ref (Const (UserType (Namespace ["casadi"]) (Name "IM"))),SwigOutput False),(Ref (Const (UserType (Namespace ["casadi"]) (Name "IM"))),SwigOutput False)]
extern "C"
void
    casadi__MX__get__0(std::string ** err_msg, casadi::MX* obj, casadi::MX** x0, int x1, casadi::IM* x2, casadi::IM* x3);
void
    casadi__MX__get__0(std::string ** err_msg, casadi::MX* obj, casadi::MX** x0, int x1, casadi::IM* x2, casadi::IM* x3){
    try {
        casadi::MX x0_ = casadi::MX();  // Swig output
        bool x1_ = Marshaling<bool,int>::marshal(x1);
        casadi::IM& x2_ = Marshaling<casadi::IM&,casadi::IM*>::marshal(x2);
        casadi::IM& x3_ = Marshaling<casadi::IM&,casadi::IM*>::marshal(x3);

        obj->get(x0_, x1_, x2_, x3_);
        *x0 = WrapReturn< casadi::MX*, casadi::MX >::wrapReturn( x0_ );
        // x1 is not a swig output
        // x2 is not a swig output
        // x3 is not a swig output

        return;
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return;
    }
}


// ================== Normal method: "get" ===============
// class: "casadi::MX"
// cppName: "casadi::MX::get"
// cWrapperName: "casadi__MX__get__1"
// protoArgs: "(std::string ** err_msg, casadi::MX* obj, casadi::MX** x0, int x1, casadi::IM* x2, casadi::Slice* x3)"
// args: "(x0_, x1_, x2_, x3_)"
// rettype: CVoid
// cWrapperRetType: "void"
// proto: "void\n    casadi__MX__get__1(std::string ** err_msg, casadi::MX* obj, casadi::MX** x0, int x1, casadi::IM* x2, casadi::Slice* x3)"
// call: "        obj->get(x0_, x1_, x2_, x3_);"
// params: [(Ref (UserType (Namespace ["casadi"]) (Name "MX")),SwigOutput True),(CBool,SwigOutput False),(Ref (Const (UserType (Namespace ["casadi"]) (Name "IM"))),SwigOutput False),(Ref (Const (UserType (Namespace ["casadi"]) (Name "Slice"))),SwigOutput False)]
extern "C"
void
    casadi__MX__get__1(std::string ** err_msg, casadi::MX* obj, casadi::MX** x0, int x1, casadi::IM* x2, casadi::Slice* x3);
void
    casadi__MX__get__1(std::string ** err_msg, casadi::MX* obj, casadi::MX** x0, int x1, casadi::IM* x2, casadi::Slice* x3){
    try {
        casadi::MX x0_ = casadi::MX();  // Swig output
        bool x1_ = Marshaling<bool,int>::marshal(x1);
        casadi::IM& x2_ = Marshaling<casadi::IM&,casadi::IM*>::marshal(x2);
        casadi::Slice& x3_ = Marshaling<casadi::Slice&,casadi::Slice*>::marshal(x3);

        obj->get(x0_, x1_, x2_, x3_);
        *x0 = WrapReturn< casadi::MX*, casadi::MX >::wrapReturn( x0_ );
        // x1 is not a swig output
        // x2 is not a swig output
        // x3 is not a swig output

        return;
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return;
    }
}


// ================== Normal method: "get" ===============
// class: "casadi::MX"
// cppName: "casadi::MX::get"
// cWrapperName: "casadi__MX__get__2"
// protoArgs: "(std::string ** err_msg, casadi::MX* obj, casadi::MX** x0, int x1, casadi::Slice* x2, casadi::IM* x3)"
// args: "(x0_, x1_, x2_, x3_)"
// rettype: CVoid
// cWrapperRetType: "void"
// proto: "void\n    casadi__MX__get__2(std::string ** err_msg, casadi::MX* obj, casadi::MX** x0, int x1, casadi::Slice* x2, casadi::IM* x3)"
// call: "        obj->get(x0_, x1_, x2_, x3_);"
// params: [(Ref (UserType (Namespace ["casadi"]) (Name "MX")),SwigOutput True),(CBool,SwigOutput False),(Ref (Const (UserType (Namespace ["casadi"]) (Name "Slice"))),SwigOutput False),(Ref (Const (UserType (Namespace ["casadi"]) (Name "IM"))),SwigOutput False)]
extern "C"
void
    casadi__MX__get__2(std::string ** err_msg, casadi::MX* obj, casadi::MX** x0, int x1, casadi::Slice* x2, casadi::IM* x3);
void
    casadi__MX__get__2(std::string ** err_msg, casadi::MX* obj, casadi::MX** x0, int x1, casadi::Slice* x2, casadi::IM* x3){
    try {
        casadi::MX x0_ = casadi::MX();  // Swig output
        bool x1_ = Marshaling<bool,int>::marshal(x1);
        casadi::Slice& x2_ = Marshaling<casadi::Slice&,casadi::Slice*>::marshal(x2);
        casadi::IM& x3_ = Marshaling<casadi::IM&,casadi::IM*>::marshal(x3);

        obj->get(x0_, x1_, x2_, x3_);
        *x0 = WrapReturn< casadi::MX*, casadi::MX >::wrapReturn( x0_ );
        // x1 is not a swig output
        // x2 is not a swig output
        // x3 is not a swig output

        return;
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return;
    }
}


// ================== Normal method: "get" ===============
// class: "casadi::MX"
// cppName: "casadi::MX::get"
// cWrapperName: "casadi__MX__get__3"
// protoArgs: "(std::string ** err_msg, casadi::MX* obj, casadi::MX** x0, int x1, casadi::Slice* x2, casadi::Slice* x3)"
// args: "(x0_, x1_, x2_, x3_)"
// rettype: CVoid
// cWrapperRetType: "void"
// proto: "void\n    casadi__MX__get__3(std::string ** err_msg, casadi::MX* obj, casadi::MX** x0, int x1, casadi::Slice* x2, casadi::Slice* x3)"
// call: "        obj->get(x0_, x1_, x2_, x3_);"
// params: [(Ref (UserType (Namespace ["casadi"]) (Name "MX")),SwigOutput True),(CBool,SwigOutput False),(Ref (Const (UserType (Namespace ["casadi"]) (Name "Slice"))),SwigOutput False),(Ref (Const (UserType (Namespace ["casadi"]) (Name "Slice"))),SwigOutput False)]
extern "C"
void
    casadi__MX__get__3(std::string ** err_msg, casadi::MX* obj, casadi::MX** x0, int x1, casadi::Slice* x2, casadi::Slice* x3);
void
    casadi__MX__get__3(std::string ** err_msg, casadi::MX* obj, casadi::MX** x0, int x1, casadi::Slice* x2, casadi::Slice* x3){
    try {
        casadi::MX x0_ = casadi::MX();  // Swig output
        bool x1_ = Marshaling<bool,int>::marshal(x1);
        casadi::Slice& x2_ = Marshaling<casadi::Slice&,casadi::Slice*>::marshal(x2);
        casadi::Slice& x3_ = Marshaling<casadi::Slice&,casadi::Slice*>::marshal(x3);

        obj->get(x0_, x1_, x2_, x3_);
        *x0 = WrapReturn< casadi::MX*, casadi::MX >::wrapReturn( x0_ );
        // x1 is not a swig output
        // x2 is not a swig output
        // x3 is not a swig output

        return;
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return;
    }
}


// ================== Normal method: "get" ===============
// class: "casadi::MX"
// cppName: "casadi::MX::get"
// cWrapperName: "casadi__MX__get__4"
// protoArgs: "(std::string ** err_msg, casadi::MX* obj, casadi::MX** x0, int x1, casadi::Sparsity* x2)"
// args: "(x0_, x1_, x2_)"
// rettype: CVoid
// cWrapperRetType: "void"
// proto: "void\n    casadi__MX__get__4(std::string ** err_msg, casadi::MX* obj, casadi::MX** x0, int x1, casadi::Sparsity* x2)"
// call: "        obj->get(x0_, x1_, x2_);"
// params: [(Ref (UserType (Namespace ["casadi"]) (Name "MX")),SwigOutput True),(CBool,SwigOutput False),(Ref (Const (UserType (Namespace ["casadi"]) (Name "Sparsity"))),SwigOutput False)]
extern "C"
void
    casadi__MX__get__4(std::string ** err_msg, casadi::MX* obj, casadi::MX** x0, int x1, casadi::Sparsity* x2);
void
    casadi__MX__get__4(std::string ** err_msg, casadi::MX* obj, casadi::MX** x0, int x1, casadi::Sparsity* x2){
    try {
        casadi::MX x0_ = casadi::MX();  // Swig output
        bool x1_ = Marshaling<bool,int>::marshal(x1);
        casadi::Sparsity& x2_ = Marshaling<casadi::Sparsity&,casadi::Sparsity*>::marshal(x2);

        obj->get(x0_, x1_, x2_);
        *x0 = WrapReturn< casadi::MX*, casadi::MX >::wrapReturn( x0_ );
        // x1 is not a swig output
        // x2 is not a swig output

        return;
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return;
    }
}


// ================== Normal method: "get" ===============
// class: "casadi::MX"
// cppName: "casadi::MX::get"
// cWrapperName: "casadi__MX__get__5"
// protoArgs: "(std::string ** err_msg, casadi::MX* obj, casadi::MX** x0, int x1, casadi::IM* x2)"
// args: "(x0_, x1_, x2_)"
// rettype: CVoid
// cWrapperRetType: "void"
// proto: "void\n    casadi__MX__get__5(std::string ** err_msg, casadi::MX* obj, casadi::MX** x0, int x1, casadi::IM* x2)"
// call: "        obj->get(x0_, x1_, x2_);"
// params: [(Ref (UserType (Namespace ["casadi"]) (Name "MX")),SwigOutput True),(CBool,SwigOutput False),(Ref (Const (UserType (Namespace ["casadi"]) (Name "IM"))),SwigOutput False)]
extern "C"
void
    casadi__MX__get__5(std::string ** err_msg, casadi::MX* obj, casadi::MX** x0, int x1, casadi::IM* x2);
void
    casadi__MX__get__5(std::string ** err_msg, casadi::MX* obj, casadi::MX** x0, int x1, casadi::IM* x2){
    try {
        casadi::MX x0_ = casadi::MX();  // Swig output
        bool x1_ = Marshaling<bool,int>::marshal(x1);
        casadi::IM& x2_ = Marshaling<casadi::IM&,casadi::IM*>::marshal(x2);

        obj->get(x0_, x1_, x2_);
        *x0 = WrapReturn< casadi::MX*, casadi::MX >::wrapReturn( x0_ );
        // x1 is not a swig output
        // x2 is not a swig output

        return;
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return;
    }
}


// ================== Normal method: "get" ===============
// class: "casadi::MX"
// cppName: "casadi::MX::get"
// cWrapperName: "casadi__MX__get__6"
// protoArgs: "(std::string ** err_msg, casadi::MX* obj, casadi::MX** x0, int x1, casadi::Slice* x2)"
// args: "(x0_, x1_, x2_)"
// rettype: CVoid
// cWrapperRetType: "void"
// proto: "void\n    casadi__MX__get__6(std::string ** err_msg, casadi::MX* obj, casadi::MX** x0, int x1, casadi::Slice* x2)"
// call: "        obj->get(x0_, x1_, x2_);"
// params: [(Ref (UserType (Namespace ["casadi"]) (Name "MX")),SwigOutput True),(CBool,SwigOutput False),(Ref (Const (UserType (Namespace ["casadi"]) (Name "Slice"))),SwigOutput False)]
extern "C"
void
    casadi__MX__get__6(std::string ** err_msg, casadi::MX* obj, casadi::MX** x0, int x1, casadi::Slice* x2);
void
    casadi__MX__get__6(std::string ** err_msg, casadi::MX* obj, casadi::MX** x0, int x1, casadi::Slice* x2){
    try {
        casadi::MX x0_ = casadi::MX();  // Swig output
        bool x1_ = Marshaling<bool,int>::marshal(x1);
        casadi::Slice& x2_ = Marshaling<casadi::Slice&,casadi::Slice*>::marshal(x2);

        obj->get(x0_, x1_, x2_);
        *x0 = WrapReturn< casadi::MX*, casadi::MX >::wrapReturn( x0_ );
        // x1 is not a swig output
        // x2 is not a swig output

        return;
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return;
    }
}


// ================== Static method: "getEqualityCheckingDepth" ===============
// class: "casadi::MX"
// cppName: "casadi::MX::getEqualityCheckingDepth"
// cWrapperName: "casadi__MX__getEqualityCheckingDepth"
// protoArgs: "(std::string ** err_msg)"
// args: "()"
// rettype: CInt
// cWrapperRetType: "int"
// proto: "int\n    casadi__MX__getEqualityCheckingDepth(std::string ** err_msg)"
// call: "        int ret = casadi::MX::getEqualityCheckingDepth();"
// params: []
extern "C"
int
    casadi__MX__getEqualityCheckingDepth(std::string ** err_msg);
int
    casadi__MX__getEqualityCheckingDepth(std::string ** err_msg){
    try {

        int ret = casadi::MX::getEqualityCheckingDepth();

        return WrapReturn< int, int >::wrapReturn( ret );
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return 0;
    }
}


// ================== Normal method: "getFunction" ===============
// class: "casadi::MX"
// cppName: "casadi::MX::getFunction"
// cWrapperName: "casadi__MX__getFunction__0"
// protoArgs: "(std::string ** err_msg, casadi::MX* obj)"
// args: "()"
// rettype: UserType (Namespace ["casadi"]) (Name "Function")
// cWrapperRetType: "casadi::Function*"
// proto: "casadi::Function*\n    casadi__MX__getFunction__0(std::string ** err_msg, casadi::MX* obj)"
// call: "        casadi::Function ret = obj->getFunction();"
// params: []
extern "C"
casadi::Function*
    casadi__MX__getFunction__0(std::string ** err_msg, casadi::MX* obj);
casadi::Function*
    casadi__MX__getFunction__0(std::string ** err_msg, casadi::MX* obj){
    try {

        casadi::Function ret = obj->getFunction();

        return WrapReturn< casadi::Function*, casadi::Function >::wrapReturn( ret );
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return 0;
    }
}


// ================== Normal method: "getFunction" ===============
// class: "casadi::MX"
// cppName: "casadi::MX::getFunction"
// cWrapperName: "casadi__MX__getFunction__1"
// protoArgs: "(std::string ** err_msg, casadi::MX* obj, int x0)"
// args: "(x0_)"
// rettype: UserType (Namespace ["casadi"]) (Name "Function")
// cWrapperRetType: "casadi::Function*"
// proto: "casadi::Function*\n    casadi__MX__getFunction__1(std::string ** err_msg, casadi::MX* obj, int x0)"
// call: "        casadi::Function ret = obj->getFunction(x0_);"
// params: [(CInt,SwigOutput False)]
extern "C"
casadi::Function*
    casadi__MX__getFunction__1(std::string ** err_msg, casadi::MX* obj, int x0);
casadi::Function*
    casadi__MX__getFunction__1(std::string ** err_msg, casadi::MX* obj, int x0){
    try {
        int x0_ = Marshaling<int,int>::marshal(x0);

        casadi::Function ret = obj->getFunction(x0_);
        // x0 is not a swig output

        return WrapReturn< casadi::Function*, casadi::Function >::wrapReturn( ret );
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return 0;
    }
}


// ================== Normal method: "getOutput" ===============
// class: "casadi::MX"
// cppName: "casadi::MX::getOutput"
// cWrapperName: "casadi__MX__getOutput__0"
// protoArgs: "(std::string ** err_msg, casadi::MX* obj)"
// args: "()"
// rettype: UserType (Namespace ["casadi"]) (Name "MX")
// cWrapperRetType: "casadi::MX*"
// proto: "casadi::MX*\n    casadi__MX__getOutput__0(std::string ** err_msg, casadi::MX* obj)"
// call: "        casadi::MX ret = obj->getOutput();"
// params: []
extern "C"
casadi::MX*
    casadi__MX__getOutput__0(std::string ** err_msg, casadi::MX* obj);
casadi::MX*
    casadi__MX__getOutput__0(std::string ** err_msg, casadi::MX* obj){
    try {

        casadi::MX ret = obj->getOutput();

        return WrapReturn< casadi::MX*, casadi::MX >::wrapReturn( ret );
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return 0;
    }
}


// ================== Normal method: "getOutput" ===============
// class: "casadi::MX"
// cppName: "casadi::MX::getOutput"
// cWrapperName: "casadi__MX__getOutput__1"
// protoArgs: "(std::string ** err_msg, casadi::MX* obj, int x0)"
// args: "(x0_)"
// rettype: UserType (Namespace ["casadi"]) (Name "MX")
// cWrapperRetType: "casadi::MX*"
// proto: "casadi::MX*\n    casadi__MX__getOutput__1(std::string ** err_msg, casadi::MX* obj, int x0)"
// call: "        casadi::MX ret = obj->getOutput(x0_);"
// params: [(CInt,SwigOutput False)]
extern "C"
casadi::MX*
    casadi__MX__getOutput__1(std::string ** err_msg, casadi::MX* obj, int x0);
casadi::MX*
    casadi__MX__getOutput__1(std::string ** err_msg, casadi::MX* obj, int x0){
    try {
        int x0_ = Marshaling<int,int>::marshal(x0);

        casadi::MX ret = obj->getOutput(x0_);
        // x0 is not a swig output

        return WrapReturn< casadi::MX*, casadi::MX >::wrapReturn( ret );
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return 0;
    }
}


// ================== Normal method: "getTemp" ===============
// class: "casadi::MX"
// cppName: "casadi::MX::getTemp"
// cWrapperName: "casadi__MX__getTemp"
// protoArgs: "(std::string ** err_msg, casadi::MX* obj)"
// args: "()"
// rettype: CInt
// cWrapperRetType: "int"
// proto: "int\n    casadi__MX__getTemp(std::string ** err_msg, casadi::MX* obj)"
// call: "        int ret = obj->getTemp();"
// params: []
extern "C"
int
    casadi__MX__getTemp(std::string ** err_msg, casadi::MX* obj);
int
    casadi__MX__getTemp(std::string ** err_msg, casadi::MX* obj){
    try {

        int ret = obj->getTemp();

        return WrapReturn< int, int >::wrapReturn( ret );
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return 0;
    }
}


// ================== Normal method: "get_colind" ===============
// class: "casadi::MX"
// cppName: "casadi::MX::get_colind"
// cWrapperName: "casadi__MX__get_colind"
// protoArgs: "(std::string ** err_msg, casadi::MX* obj)"
// args: "()"
// rettype: StdVec CInt
// cWrapperRetType: "std::vector< int >*"
// proto: "std::vector< int >*\n    casadi__MX__get_colind(std::string ** err_msg, casadi::MX* obj)"
// call: "        std::vector< int > ret = obj->get_colind();"
// params: []
extern "C"
std::vector< int >*
    casadi__MX__get_colind(std::string ** err_msg, casadi::MX* obj);
std::vector< int >*
    casadi__MX__get_colind(std::string ** err_msg, casadi::MX* obj){
    try {

        std::vector< int > ret = obj->get_colind();

        return WrapReturn< std::vector< int >*, std::vector< int > >::wrapReturn( ret );
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return 0;
    }
}


// ================== Static method: "get_input" ===============
// class: "casadi::MX"
// cppName: "casadi::MX::get_input"
// cWrapperName: "casadi__MX__get_input"
// protoArgs: "(std::string ** err_msg, casadi::Function* x0)"
// args: "(x0_)"
// rettype: StdVec (UserType (Namespace ["casadi"]) (Name "MX"))
// cWrapperRetType: "std::vector< casadi::MX* >*"
// proto: "std::vector< casadi::MX* >*\n    casadi__MX__get_input(std::string ** err_msg, casadi::Function* x0)"
// call: "        std::vector< casadi::MX > ret = casadi::MX::get_input(x0_);"
// params: [(Ref (Const (UserType (Namespace ["casadi"]) (Name "Function"))),SwigOutput False)]
extern "C"
std::vector< casadi::MX* >*
    casadi__MX__get_input(std::string ** err_msg, casadi::Function* x0);
std::vector< casadi::MX* >*
    casadi__MX__get_input(std::string ** err_msg, casadi::Function* x0){
    try {
        casadi::Function& x0_ = Marshaling<casadi::Function&,casadi::Function*>::marshal(x0);

        std::vector< casadi::MX > ret = casadi::MX::get_input(x0_);
        // x0 is not a swig output

        return WrapReturn< std::vector< casadi::MX* >*, std::vector< casadi::MX > >::wrapReturn( ret );
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return 0;
    }
}


// ================== Normal method: "get_nz" ===============
// class: "casadi::MX"
// cppName: "casadi::MX::get_nz"
// cWrapperName: "casadi__MX__get_nz__0"
// protoArgs: "(std::string ** err_msg, casadi::MX* obj, casadi::MX** x0, int x1, casadi::IM* x2)"
// args: "(x0_, x1_, x2_)"
// rettype: CVoid
// cWrapperRetType: "void"
// proto: "void\n    casadi__MX__get_nz__0(std::string ** err_msg, casadi::MX* obj, casadi::MX** x0, int x1, casadi::IM* x2)"
// call: "        obj->get_nz(x0_, x1_, x2_);"
// params: [(Ref (UserType (Namespace ["casadi"]) (Name "MX")),SwigOutput True),(CBool,SwigOutput False),(Ref (Const (UserType (Namespace ["casadi"]) (Name "IM"))),SwigOutput False)]
extern "C"
void
    casadi__MX__get_nz__0(std::string ** err_msg, casadi::MX* obj, casadi::MX** x0, int x1, casadi::IM* x2);
void
    casadi__MX__get_nz__0(std::string ** err_msg, casadi::MX* obj, casadi::MX** x0, int x1, casadi::IM* x2){
    try {
        casadi::MX x0_ = casadi::MX();  // Swig output
        bool x1_ = Marshaling<bool,int>::marshal(x1);
        casadi::IM& x2_ = Marshaling<casadi::IM&,casadi::IM*>::marshal(x2);

        obj->get_nz(x0_, x1_, x2_);
        *x0 = WrapReturn< casadi::MX*, casadi::MX >::wrapReturn( x0_ );
        // x1 is not a swig output
        // x2 is not a swig output

        return;
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return;
    }
}


// ================== Normal method: "get_nz" ===============
// class: "casadi::MX"
// cppName: "casadi::MX::get_nz"
// cWrapperName: "casadi__MX__get_nz__1"
// protoArgs: "(std::string ** err_msg, casadi::MX* obj, casadi::MX** x0, int x1, casadi::Slice* x2)"
// args: "(x0_, x1_, x2_)"
// rettype: CVoid
// cWrapperRetType: "void"
// proto: "void\n    casadi__MX__get_nz__1(std::string ** err_msg, casadi::MX* obj, casadi::MX** x0, int x1, casadi::Slice* x2)"
// call: "        obj->get_nz(x0_, x1_, x2_);"
// params: [(Ref (UserType (Namespace ["casadi"]) (Name "MX")),SwigOutput True),(CBool,SwigOutput False),(Ref (Const (UserType (Namespace ["casadi"]) (Name "Slice"))),SwigOutput False)]
extern "C"
void
    casadi__MX__get_nz__1(std::string ** err_msg, casadi::MX* obj, casadi::MX** x0, int x1, casadi::Slice* x2);
void
    casadi__MX__get_nz__1(std::string ** err_msg, casadi::MX* obj, casadi::MX** x0, int x1, casadi::Slice* x2){
    try {
        casadi::MX x0_ = casadi::MX();  // Swig output
        bool x1_ = Marshaling<bool,int>::marshal(x1);
        casadi::Slice& x2_ = Marshaling<casadi::Slice&,casadi::Slice*>::marshal(x2);

        obj->get_nz(x0_, x1_, x2_);
        *x0 = WrapReturn< casadi::MX*, casadi::MX >::wrapReturn( x0_ );
        // x1 is not a swig output
        // x2 is not a swig output

        return;
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return;
    }
}


// ================== Normal method: "get_output" ===============
// class: "casadi::MX"
// cppName: "casadi::MX::get_output"
// cWrapperName: "casadi__MX__get_output"
// protoArgs: "(std::string ** err_msg, casadi::MX* obj)"
// args: "()"
// rettype: CInt
// cWrapperRetType: "int"
// proto: "int\n    casadi__MX__get_output(std::string ** err_msg, casadi::MX* obj)"
// call: "        int ret = obj->get_output();"
// params: []
extern "C"
int
    casadi__MX__get_output(std::string ** err_msg, casadi::MX* obj);
int
    casadi__MX__get_output(std::string ** err_msg, casadi::MX* obj){
    try {

        int ret = obj->get_output();

        return WrapReturn< int, int >::wrapReturn( ret );
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return 0;
    }
}


// ================== Normal method: "get_row" ===============
// class: "casadi::MX"
// cppName: "casadi::MX::get_row"
// cWrapperName: "casadi__MX__get_row"
// protoArgs: "(std::string ** err_msg, casadi::MX* obj)"
// args: "()"
// rettype: StdVec CInt
// cWrapperRetType: "std::vector< int >*"
// proto: "std::vector< int >*\n    casadi__MX__get_row(std::string ** err_msg, casadi::MX* obj)"
// call: "        std::vector< int > ret = obj->get_row();"
// params: []
extern "C"
std::vector< int >*
    casadi__MX__get_row(std::string ** err_msg, casadi::MX* obj);
std::vector< int >*
    casadi__MX__get_row(std::string ** err_msg, casadi::MX* obj){
    try {

        std::vector< int > ret = obj->get_row();

        return WrapReturn< std::vector< int >*, std::vector< int > >::wrapReturn( ret );
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return 0;
    }
}


// ================== Normal method: "get_sparsity" ===============
// class: "casadi::MX"
// cppName: "casadi::MX::get_sparsity"
// cWrapperName: "casadi__MX__get_sparsity"
// protoArgs: "(std::string ** err_msg, casadi::MX* obj)"
// args: "()"
// rettype: UserType (Namespace ["casadi"]) (Name "Sparsity")
// cWrapperRetType: "casadi::Sparsity*"
// proto: "casadi::Sparsity*\n    casadi__MX__get_sparsity(std::string ** err_msg, casadi::MX* obj)"
// call: "        casadi::Sparsity ret = obj->get_sparsity();"
// params: []
extern "C"
casadi::Sparsity*
    casadi__MX__get_sparsity(std::string ** err_msg, casadi::MX* obj);
casadi::Sparsity*
    casadi__MX__get_sparsity(std::string ** err_msg, casadi::MX* obj){
    try {

        casadi::Sparsity ret = obj->get_sparsity();

        return WrapReturn< casadi::Sparsity*, casadi::Sparsity >::wrapReturn( ret );
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return 0;
    }
}


// ================== Static method: "grad" ===============
// class: "casadi::MX"
// cppName: "casadi::MX::grad"
// cWrapperName: "casadi__MX__grad__0"
// protoArgs: "(std::string ** err_msg, casadi::Function* x0, std::string* x1, std::string* x2)"
// args: "(x0_, x1_, x2_)"
// rettype: UserType (Namespace ["casadi"]) (Name "MX")
// cWrapperRetType: "casadi::MX*"
// proto: "casadi::MX*\n    casadi__MX__grad__0(std::string ** err_msg, casadi::Function* x0, std::string* x1, std::string* x2)"
// call: "        casadi::MX ret = casadi::MX::grad(x0_, x1_, x2_);"
// params: [(Ref (Const (UserType (Namespace ["casadi"]) (Name "Function"))),SwigOutput False),(Ref (Const StdString),SwigOutput False),(Ref (Const StdString),SwigOutput False)]
extern "C"
casadi::MX*
    casadi__MX__grad__0(std::string ** err_msg, casadi::Function* x0, std::string* x1, std::string* x2);
casadi::MX*
    casadi__MX__grad__0(std::string ** err_msg, casadi::Function* x0, std::string* x1, std::string* x2){
    try {
        casadi::Function& x0_ = Marshaling<casadi::Function&,casadi::Function*>::marshal(x0);
        std::string& x1_ = Marshaling<std::string&,std::string*>::marshal(x1);
        std::string& x2_ = Marshaling<std::string&,std::string*>::marshal(x2);

        casadi::MX ret = casadi::MX::grad(x0_, x1_, x2_);
        // x0 is not a swig output
        // x1 is not a swig output
        // x2 is not a swig output

        return WrapReturn< casadi::MX*, casadi::MX >::wrapReturn( ret );
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return 0;
    }
}


// ================== Static method: "grad" ===============
// class: "casadi::MX"
// cppName: "casadi::MX::grad"
// cWrapperName: "casadi__MX__grad__1"
// protoArgs: "(std::string ** err_msg, casadi::Function* x0, int x1, std::string* x2)"
// args: "(x0_, x1_, x2_)"
// rettype: UserType (Namespace ["casadi"]) (Name "MX")
// cWrapperRetType: "casadi::MX*"
// proto: "casadi::MX*\n    casadi__MX__grad__1(std::string ** err_msg, casadi::Function* x0, int x1, std::string* x2)"
// call: "        casadi::MX ret = casadi::MX::grad(x0_, x1_, x2_);"
// params: [(Ref (Const (UserType (Namespace ["casadi"]) (Name "Function"))),SwigOutput False),(CInt,SwigOutput False),(Ref (Const StdString),SwigOutput False)]
extern "C"
casadi::MX*
    casadi__MX__grad__1(std::string ** err_msg, casadi::Function* x0, int x1, std::string* x2);
casadi::MX*
    casadi__MX__grad__1(std::string ** err_msg, casadi::Function* x0, int x1, std::string* x2){
    try {
        casadi::Function& x0_ = Marshaling<casadi::Function&,casadi::Function*>::marshal(x0);
        int x1_ = Marshaling<int,int>::marshal(x1);
        std::string& x2_ = Marshaling<std::string&,std::string*>::marshal(x2);

        casadi::MX ret = casadi::MX::grad(x0_, x1_, x2_);
        // x0 is not a swig output
        // x1 is not a swig output
        // x2 is not a swig output

        return WrapReturn< casadi::MX*, casadi::MX >::wrapReturn( ret );
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return 0;
    }
}


// ================== Static method: "grad" ===============
// class: "casadi::MX"
// cppName: "casadi::MX::grad"
// cWrapperName: "casadi__MX__grad__2"
// protoArgs: "(std::string ** err_msg, casadi::Function* x0, std::string* x1)"
// args: "(x0_, x1_)"
// rettype: UserType (Namespace ["casadi"]) (Name "MX")
// cWrapperRetType: "casadi::MX*"
// proto: "casadi::MX*\n    casadi__MX__grad__2(std::string ** err_msg, casadi::Function* x0, std::string* x1)"
// call: "        casadi::MX ret = casadi::MX::grad(x0_, x1_);"
// params: [(Ref (Const (UserType (Namespace ["casadi"]) (Name "Function"))),SwigOutput False),(Ref (Const StdString),SwigOutput False)]
extern "C"
casadi::MX*
    casadi__MX__grad__2(std::string ** err_msg, casadi::Function* x0, std::string* x1);
casadi::MX*
    casadi__MX__grad__2(std::string ** err_msg, casadi::Function* x0, std::string* x1){
    try {
        casadi::Function& x0_ = Marshaling<casadi::Function&,casadi::Function*>::marshal(x0);
        std::string& x1_ = Marshaling<std::string&,std::string*>::marshal(x1);

        casadi::MX ret = casadi::MX::grad(x0_, x1_);
        // x0 is not a swig output
        // x1 is not a swig output

        return WrapReturn< casadi::MX*, casadi::MX >::wrapReturn( ret );
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return 0;
    }
}


// ================== Static method: "grad" ===============
// class: "casadi::MX"
// cppName: "casadi::MX::grad"
// cWrapperName: "casadi__MX__grad__3"
// protoArgs: "(std::string ** err_msg, casadi::Function* x0, std::string* x1, int x2)"
// args: "(x0_, x1_, x2_)"
// rettype: UserType (Namespace ["casadi"]) (Name "MX")
// cWrapperRetType: "casadi::MX*"
// proto: "casadi::MX*\n    casadi__MX__grad__3(std::string ** err_msg, casadi::Function* x0, std::string* x1, int x2)"
// call: "        casadi::MX ret = casadi::MX::grad(x0_, x1_, x2_);"
// params: [(Ref (Const (UserType (Namespace ["casadi"]) (Name "Function"))),SwigOutput False),(Ref (Const StdString),SwigOutput False),(CInt,SwigOutput False)]
extern "C"
casadi::MX*
    casadi__MX__grad__3(std::string ** err_msg, casadi::Function* x0, std::string* x1, int x2);
casadi::MX*
    casadi__MX__grad__3(std::string ** err_msg, casadi::Function* x0, std::string* x1, int x2){
    try {
        casadi::Function& x0_ = Marshaling<casadi::Function&,casadi::Function*>::marshal(x0);
        std::string& x1_ = Marshaling<std::string&,std::string*>::marshal(x1);
        int x2_ = Marshaling<int,int>::marshal(x2);

        casadi::MX ret = casadi::MX::grad(x0_, x1_, x2_);
        // x0 is not a swig output
        // x1 is not a swig output
        // x2 is not a swig output

        return WrapReturn< casadi::MX*, casadi::MX >::wrapReturn( ret );
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return 0;
    }
}


// ================== Static method: "grad" ===============
// class: "casadi::MX"
// cppName: "casadi::MX::grad"
// cWrapperName: "casadi__MX__grad__4"
// protoArgs: "(std::string ** err_msg, casadi::Function* x0)"
// args: "(x0_)"
// rettype: UserType (Namespace ["casadi"]) (Name "MX")
// cWrapperRetType: "casadi::MX*"
// proto: "casadi::MX*\n    casadi__MX__grad__4(std::string ** err_msg, casadi::Function* x0)"
// call: "        casadi::MX ret = casadi::MX::grad(x0_);"
// params: [(Ref (Const (UserType (Namespace ["casadi"]) (Name "Function"))),SwigOutput False)]
extern "C"
casadi::MX*
    casadi__MX__grad__4(std::string ** err_msg, casadi::Function* x0);
casadi::MX*
    casadi__MX__grad__4(std::string ** err_msg, casadi::Function* x0){
    try {
        casadi::Function& x0_ = Marshaling<casadi::Function&,casadi::Function*>::marshal(x0);

        casadi::MX ret = casadi::MX::grad(x0_);
        // x0 is not a swig output

        return WrapReturn< casadi::MX*, casadi::MX >::wrapReturn( ret );
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return 0;
    }
}


// ================== Static method: "grad" ===============
// class: "casadi::MX"
// cppName: "casadi::MX::grad"
// cWrapperName: "casadi__MX__grad__5"
// protoArgs: "(std::string ** err_msg, casadi::Function* x0, int x1)"
// args: "(x0_, x1_)"
// rettype: UserType (Namespace ["casadi"]) (Name "MX")
// cWrapperRetType: "casadi::MX*"
// proto: "casadi::MX*\n    casadi__MX__grad__5(std::string ** err_msg, casadi::Function* x0, int x1)"
// call: "        casadi::MX ret = casadi::MX::grad(x0_, x1_);"
// params: [(Ref (Const (UserType (Namespace ["casadi"]) (Name "Function"))),SwigOutput False),(CInt,SwigOutput False)]
extern "C"
casadi::MX*
    casadi__MX__grad__5(std::string ** err_msg, casadi::Function* x0, int x1);
casadi::MX*
    casadi__MX__grad__5(std::string ** err_msg, casadi::Function* x0, int x1){
    try {
        casadi::Function& x0_ = Marshaling<casadi::Function&,casadi::Function*>::marshal(x0);
        int x1_ = Marshaling<int,int>::marshal(x1);

        casadi::MX ret = casadi::MX::grad(x0_, x1_);
        // x0 is not a swig output
        // x1 is not a swig output

        return WrapReturn< casadi::MX*, casadi::MX >::wrapReturn( ret );
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return 0;
    }
}


// ================== Static method: "grad" ===============
// class: "casadi::MX"
// cppName: "casadi::MX::grad"
// cWrapperName: "casadi__MX__grad__6"
// protoArgs: "(std::string ** err_msg, casadi::Function* x0, int x1, int x2)"
// args: "(x0_, x1_, x2_)"
// rettype: UserType (Namespace ["casadi"]) (Name "MX")
// cWrapperRetType: "casadi::MX*"
// proto: "casadi::MX*\n    casadi__MX__grad__6(std::string ** err_msg, casadi::Function* x0, int x1, int x2)"
// call: "        casadi::MX ret = casadi::MX::grad(x0_, x1_, x2_);"
// params: [(Ref (Const (UserType (Namespace ["casadi"]) (Name "Function"))),SwigOutput False),(CInt,SwigOutput False),(CInt,SwigOutput False)]
extern "C"
casadi::MX*
    casadi__MX__grad__6(std::string ** err_msg, casadi::Function* x0, int x1, int x2);
casadi::MX*
    casadi__MX__grad__6(std::string ** err_msg, casadi::Function* x0, int x1, int x2){
    try {
        casadi::Function& x0_ = Marshaling<casadi::Function&,casadi::Function*>::marshal(x0);
        int x1_ = Marshaling<int,int>::marshal(x1);
        int x2_ = Marshaling<int,int>::marshal(x2);

        casadi::MX ret = casadi::MX::grad(x0_, x1_, x2_);
        // x0 is not a swig output
        // x1 is not a swig output
        // x2 is not a swig output

        return WrapReturn< casadi::MX*, casadi::MX >::wrapReturn( ret );
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return 0;
    }
}


// ================== Normal method: "has_duplicates" ===============
// class: "casadi::MX"
// cppName: "casadi::MX::has_duplicates"
// cWrapperName: "casadi__MX__has_duplicates"
// protoArgs: "(std::string ** err_msg, casadi::MX* obj)"
// args: "()"
// rettype: CBool
// cWrapperRetType: "int"
// proto: "int\n    casadi__MX__has_duplicates(std::string ** err_msg, casadi::MX* obj)"
// call: "        bool ret = obj->has_duplicates();"
// params: []
extern "C"
int
    casadi__MX__has_duplicates(std::string ** err_msg, casadi::MX* obj);
int
    casadi__MX__has_duplicates(std::string ** err_msg, casadi::MX* obj){
    try {

        bool ret = obj->has_duplicates();

        return WrapReturn< int, bool >::wrapReturn( ret );
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return 0;
    }
}


// ================== Static method: "inf" ===============
// class: "casadi::MX"
// cppName: "casadi::MX::inf"
// cWrapperName: "casadi__MX__inf__0"
// protoArgs: "(std::string ** err_msg, std::pair< int, int >* x0)"
// args: "(x0_)"
// rettype: UserType (Namespace ["casadi"]) (Name "MX")
// cWrapperRetType: "casadi::MX*"
// proto: "casadi::MX*\n    casadi__MX__inf__0(std::string ** err_msg, std::pair< int, int >* x0)"
// call: "        casadi::MX ret = casadi::MX::inf(x0_);"
// params: [(Ref (Const (StdPair CInt CInt)),SwigOutput False)]
extern "C"
casadi::MX*
    casadi__MX__inf__0(std::string ** err_msg, std::pair< int, int >* x0);
casadi::MX*
    casadi__MX__inf__0(std::string ** err_msg, std::pair< int, int >* x0){
    try {
        std::pair< int, int > x0_ = Marshaling<std::pair< int, int >,std::pair< int, int >*>::marshal(x0);

        casadi::MX ret = casadi::MX::inf(x0_);
        // x0 is not a swig output

        return WrapReturn< casadi::MX*, casadi::MX >::wrapReturn( ret );
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return 0;
    }
}


// ================== Static method: "inf" ===============
// class: "casadi::MX"
// cppName: "casadi::MX::inf"
// cWrapperName: "casadi__MX__inf__1"
// protoArgs: "(std::string ** err_msg)"
// args: "()"
// rettype: UserType (Namespace ["casadi"]) (Name "MX")
// cWrapperRetType: "casadi::MX*"
// proto: "casadi::MX*\n    casadi__MX__inf__1(std::string ** err_msg)"
// call: "        casadi::MX ret = casadi::MX::inf();"
// params: []
extern "C"
casadi::MX*
    casadi__MX__inf__1(std::string ** err_msg);
casadi::MX*
    casadi__MX__inf__1(std::string ** err_msg){
    try {

        casadi::MX ret = casadi::MX::inf();

        return WrapReturn< casadi::MX*, casadi::MX >::wrapReturn( ret );
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return 0;
    }
}


// ================== Static method: "inf" ===============
// class: "casadi::MX"
// cppName: "casadi::MX::inf"
// cWrapperName: "casadi__MX__inf__2"
// protoArgs: "(std::string ** err_msg, int x0)"
// args: "(x0_)"
// rettype: UserType (Namespace ["casadi"]) (Name "MX")
// cWrapperRetType: "casadi::MX*"
// proto: "casadi::MX*\n    casadi__MX__inf__2(std::string ** err_msg, int x0)"
// call: "        casadi::MX ret = casadi::MX::inf(x0_);"
// params: [(CInt,SwigOutput False)]
extern "C"
casadi::MX*
    casadi__MX__inf__2(std::string ** err_msg, int x0);
casadi::MX*
    casadi__MX__inf__2(std::string ** err_msg, int x0){
    try {
        int x0_ = Marshaling<int,int>::marshal(x0);

        casadi::MX ret = casadi::MX::inf(x0_);
        // x0 is not a swig output

        return WrapReturn< casadi::MX*, casadi::MX >::wrapReturn( ret );
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return 0;
    }
}


// ================== Static method: "inf" ===============
// class: "casadi::MX"
// cppName: "casadi::MX::inf"
// cWrapperName: "casadi__MX__inf__3"
// protoArgs: "(std::string ** err_msg, int x0, int x1)"
// args: "(x0_, x1_)"
// rettype: UserType (Namespace ["casadi"]) (Name "MX")
// cWrapperRetType: "casadi::MX*"
// proto: "casadi::MX*\n    casadi__MX__inf__3(std::string ** err_msg, int x0, int x1)"
// call: "        casadi::MX ret = casadi::MX::inf(x0_, x1_);"
// params: [(CInt,SwigOutput False),(CInt,SwigOutput False)]
extern "C"
casadi::MX*
    casadi__MX__inf__3(std::string ** err_msg, int x0, int x1);
casadi::MX*
    casadi__MX__inf__3(std::string ** err_msg, int x0, int x1){
    try {
        int x0_ = Marshaling<int,int>::marshal(x0);
        int x1_ = Marshaling<int,int>::marshal(x1);

        casadi::MX ret = casadi::MX::inf(x0_, x1_);
        // x0 is not a swig output
        // x1 is not a swig output

        return WrapReturn< casadi::MX*, casadi::MX >::wrapReturn( ret );
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return 0;
    }
}


// ================== Static method: "inf" ===============
// class: "casadi::MX"
// cppName: "casadi::MX::inf"
// cWrapperName: "casadi__MX__inf__4"
// protoArgs: "(std::string ** err_msg, casadi::Sparsity* x0)"
// args: "(x0_)"
// rettype: UserType (Namespace ["casadi"]) (Name "MX")
// cWrapperRetType: "casadi::MX*"
// proto: "casadi::MX*\n    casadi__MX__inf__4(std::string ** err_msg, casadi::Sparsity* x0)"
// call: "        casadi::MX ret = casadi::MX::inf(x0_);"
// params: [(Ref (Const (UserType (Namespace ["casadi"]) (Name "Sparsity"))),SwigOutput False)]
extern "C"
casadi::MX*
    casadi__MX__inf__4(std::string ** err_msg, casadi::Sparsity* x0);
casadi::MX*
    casadi__MX__inf__4(std::string ** err_msg, casadi::Sparsity* x0){
    try {
        casadi::Sparsity& x0_ = Marshaling<casadi::Sparsity&,casadi::Sparsity*>::marshal(x0);

        casadi::MX ret = casadi::MX::inf(x0_);
        // x0 is not a swig output

        return WrapReturn< casadi::MX*, casadi::MX >::wrapReturn( ret );
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return 0;
    }
}


// ================== Normal method: "is_binary" ===============
// class: "casadi::MX"
// cppName: "casadi::MX::is_binary"
// cWrapperName: "casadi__MX__is_binary"
// protoArgs: "(std::string ** err_msg, casadi::MX* obj)"
// args: "()"
// rettype: CBool
// cWrapperRetType: "int"
// proto: "int\n    casadi__MX__is_binary(std::string ** err_msg, casadi::MX* obj)"
// call: "        bool ret = obj->is_binary();"
// params: []
extern "C"
int
    casadi__MX__is_binary(std::string ** err_msg, casadi::MX* obj);
int
    casadi__MX__is_binary(std::string ** err_msg, casadi::MX* obj){
    try {

        bool ret = obj->is_binary();

        return WrapReturn< int, bool >::wrapReturn( ret );
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return 0;
    }
}


// ================== Normal method: "is_call" ===============
// class: "casadi::MX"
// cppName: "casadi::MX::is_call"
// cWrapperName: "casadi__MX__is_call"
// protoArgs: "(std::string ** err_msg, casadi::MX* obj)"
// args: "()"
// rettype: CBool
// cWrapperRetType: "int"
// proto: "int\n    casadi__MX__is_call(std::string ** err_msg, casadi::MX* obj)"
// call: "        bool ret = obj->is_call();"
// params: []
extern "C"
int
    casadi__MX__is_call(std::string ** err_msg, casadi::MX* obj);
int
    casadi__MX__is_call(std::string ** err_msg, casadi::MX* obj){
    try {

        bool ret = obj->is_call();

        return WrapReturn< int, bool >::wrapReturn( ret );
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return 0;
    }
}


// ================== Normal method: "is_column" ===============
// class: "casadi::MX"
// cppName: "casadi::MX::is_column"
// cWrapperName: "casadi__MX__is_column"
// protoArgs: "(std::string ** err_msg, casadi::MX* obj)"
// args: "()"
// rettype: CBool
// cWrapperRetType: "int"
// proto: "int\n    casadi__MX__is_column(std::string ** err_msg, casadi::MX* obj)"
// call: "        bool ret = obj->is_column();"
// params: []
extern "C"
int
    casadi__MX__is_column(std::string ** err_msg, casadi::MX* obj);
int
    casadi__MX__is_column(std::string ** err_msg, casadi::MX* obj){
    try {

        bool ret = obj->is_column();

        return WrapReturn< int, bool >::wrapReturn( ret );
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return 0;
    }
}


// ================== Normal method: "is_commutative" ===============
// class: "casadi::MX"
// cppName: "casadi::MX::is_commutative"
// cWrapperName: "casadi__MX__is_commutative"
// protoArgs: "(std::string ** err_msg, casadi::MX* obj)"
// args: "()"
// rettype: CBool
// cWrapperRetType: "int"
// proto: "int\n    casadi__MX__is_commutative(std::string ** err_msg, casadi::MX* obj)"
// call: "        bool ret = obj->is_commutative();"
// params: []
extern "C"
int
    casadi__MX__is_commutative(std::string ** err_msg, casadi::MX* obj);
int
    casadi__MX__is_commutative(std::string ** err_msg, casadi::MX* obj){
    try {

        bool ret = obj->is_commutative();

        return WrapReturn< int, bool >::wrapReturn( ret );
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return 0;
    }
}


// ================== Normal method: "is_constant" ===============
// class: "casadi::MX"
// cppName: "casadi::MX::is_constant"
// cWrapperName: "casadi__MX__is_constant"
// protoArgs: "(std::string ** err_msg, casadi::MX* obj)"
// args: "()"
// rettype: CBool
// cWrapperRetType: "int"
// proto: "int\n    casadi__MX__is_constant(std::string ** err_msg, casadi::MX* obj)"
// call: "        bool ret = obj->is_constant();"
// params: []
extern "C"
int
    casadi__MX__is_constant(std::string ** err_msg, casadi::MX* obj);
int
    casadi__MX__is_constant(std::string ** err_msg, casadi::MX* obj){
    try {

        bool ret = obj->is_constant();

        return WrapReturn< int, bool >::wrapReturn( ret );
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return 0;
    }
}


// ================== Normal method: "is_dense" ===============
// class: "casadi::MX"
// cppName: "casadi::MX::is_dense"
// cWrapperName: "casadi__MX__is_dense"
// protoArgs: "(std::string ** err_msg, casadi::MX* obj)"
// args: "()"
// rettype: CBool
// cWrapperRetType: "int"
// proto: "int\n    casadi__MX__is_dense(std::string ** err_msg, casadi::MX* obj)"
// call: "        bool ret = obj->is_dense();"
// params: []
extern "C"
int
    casadi__MX__is_dense(std::string ** err_msg, casadi::MX* obj);
int
    casadi__MX__is_dense(std::string ** err_msg, casadi::MX* obj){
    try {

        bool ret = obj->is_dense();

        return WrapReturn< int, bool >::wrapReturn( ret );
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return 0;
    }
}


// ================== Normal method: "is_empty" ===============
// class: "casadi::MX"
// cppName: "casadi::MX::is_empty"
// cWrapperName: "casadi__MX__is_empty__0"
// protoArgs: "(std::string ** err_msg, casadi::MX* obj)"
// args: "()"
// rettype: CBool
// cWrapperRetType: "int"
// proto: "int\n    casadi__MX__is_empty__0(std::string ** err_msg, casadi::MX* obj)"
// call: "        bool ret = obj->is_empty();"
// params: []
extern "C"
int
    casadi__MX__is_empty__0(std::string ** err_msg, casadi::MX* obj);
int
    casadi__MX__is_empty__0(std::string ** err_msg, casadi::MX* obj){
    try {

        bool ret = obj->is_empty();

        return WrapReturn< int, bool >::wrapReturn( ret );
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return 0;
    }
}


// ================== Normal method: "is_empty" ===============
// class: "casadi::MX"
// cppName: "casadi::MX::is_empty"
// cWrapperName: "casadi__MX__is_empty__1"
// protoArgs: "(std::string ** err_msg, casadi::MX* obj, int x0)"
// args: "(x0_)"
// rettype: CBool
// cWrapperRetType: "int"
// proto: "int\n    casadi__MX__is_empty__1(std::string ** err_msg, casadi::MX* obj, int x0)"
// call: "        bool ret = obj->is_empty(x0_);"
// params: [(CBool,SwigOutput False)]
extern "C"
int
    casadi__MX__is_empty__1(std::string ** err_msg, casadi::MX* obj, int x0);
int
    casadi__MX__is_empty__1(std::string ** err_msg, casadi::MX* obj, int x0){
    try {
        bool x0_ = Marshaling<bool,int>::marshal(x0);

        bool ret = obj->is_empty(x0_);
        // x0 is not a swig output

        return WrapReturn< int, bool >::wrapReturn( ret );
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return 0;
    }
}


// ================== Normal method: "is_identity" ===============
// class: "casadi::MX"
// cppName: "casadi::MX::is_identity"
// cWrapperName: "casadi__MX__is_identity"
// protoArgs: "(std::string ** err_msg, casadi::MX* obj)"
// args: "()"
// rettype: CBool
// cWrapperRetType: "int"
// proto: "int\n    casadi__MX__is_identity(std::string ** err_msg, casadi::MX* obj)"
// call: "        bool ret = obj->is_identity();"
// params: []
extern "C"
int
    casadi__MX__is_identity(std::string ** err_msg, casadi::MX* obj);
int
    casadi__MX__is_identity(std::string ** err_msg, casadi::MX* obj){
    try {

        bool ret = obj->is_identity();

        return WrapReturn< int, bool >::wrapReturn( ret );
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return 0;
    }
}


// ================== Normal method: "is_minus_one" ===============
// class: "casadi::MX"
// cppName: "casadi::MX::is_minus_one"
// cWrapperName: "casadi__MX__is_minus_one"
// protoArgs: "(std::string ** err_msg, casadi::MX* obj)"
// args: "()"
// rettype: CBool
// cWrapperRetType: "int"
// proto: "int\n    casadi__MX__is_minus_one(std::string ** err_msg, casadi::MX* obj)"
// call: "        bool ret = obj->is_minus_one();"
// params: []
extern "C"
int
    casadi__MX__is_minus_one(std::string ** err_msg, casadi::MX* obj);
int
    casadi__MX__is_minus_one(std::string ** err_msg, casadi::MX* obj){
    try {

        bool ret = obj->is_minus_one();

        return WrapReturn< int, bool >::wrapReturn( ret );
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return 0;
    }
}


// ================== Normal method: "is_multiplication" ===============
// class: "casadi::MX"
// cppName: "casadi::MX::is_multiplication"
// cWrapperName: "casadi__MX__is_multiplication"
// protoArgs: "(std::string ** err_msg, casadi::MX* obj)"
// args: "()"
// rettype: CBool
// cWrapperRetType: "int"
// proto: "int\n    casadi__MX__is_multiplication(std::string ** err_msg, casadi::MX* obj)"
// call: "        bool ret = obj->is_multiplication();"
// params: []
extern "C"
int
    casadi__MX__is_multiplication(std::string ** err_msg, casadi::MX* obj);
int
    casadi__MX__is_multiplication(std::string ** err_msg, casadi::MX* obj){
    try {

        bool ret = obj->is_multiplication();

        return WrapReturn< int, bool >::wrapReturn( ret );
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return 0;
    }
}


// ================== Normal method: "is_norm" ===============
// class: "casadi::MX"
// cppName: "casadi::MX::is_norm"
// cWrapperName: "casadi__MX__is_norm"
// protoArgs: "(std::string ** err_msg, casadi::MX* obj)"
// args: "()"
// rettype: CBool
// cWrapperRetType: "int"
// proto: "int\n    casadi__MX__is_norm(std::string ** err_msg, casadi::MX* obj)"
// call: "        bool ret = obj->is_norm();"
// params: []
extern "C"
int
    casadi__MX__is_norm(std::string ** err_msg, casadi::MX* obj);
int
    casadi__MX__is_norm(std::string ** err_msg, casadi::MX* obj){
    try {

        bool ret = obj->is_norm();

        return WrapReturn< int, bool >::wrapReturn( ret );
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return 0;
    }
}


// ================== Normal method: "is_one" ===============
// class: "casadi::MX"
// cppName: "casadi::MX::is_one"
// cWrapperName: "casadi__MX__is_one"
// protoArgs: "(std::string ** err_msg, casadi::MX* obj)"
// args: "()"
// rettype: CBool
// cWrapperRetType: "int"
// proto: "int\n    casadi__MX__is_one(std::string ** err_msg, casadi::MX* obj)"
// call: "        bool ret = obj->is_one();"
// params: []
extern "C"
int
    casadi__MX__is_one(std::string ** err_msg, casadi::MX* obj);
int
    casadi__MX__is_one(std::string ** err_msg, casadi::MX* obj){
    try {

        bool ret = obj->is_one();

        return WrapReturn< int, bool >::wrapReturn( ret );
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return 0;
    }
}


// ================== Normal method: "is_op" ===============
// class: "casadi::MX"
// cppName: "casadi::MX::is_op"
// cWrapperName: "casadi__MX__is_op"
// protoArgs: "(std::string ** err_msg, casadi::MX* obj, int x0)"
// args: "(x0_)"
// rettype: CBool
// cWrapperRetType: "int"
// proto: "int\n    casadi__MX__is_op(std::string ** err_msg, casadi::MX* obj, int x0)"
// call: "        bool ret = obj->is_op(x0_);"
// params: [(CInt,SwigOutput False)]
extern "C"
int
    casadi__MX__is_op(std::string ** err_msg, casadi::MX* obj, int x0);
int
    casadi__MX__is_op(std::string ** err_msg, casadi::MX* obj, int x0){
    try {
        int x0_ = Marshaling<int,int>::marshal(x0);

        bool ret = obj->is_op(x0_);
        // x0 is not a swig output

        return WrapReturn< int, bool >::wrapReturn( ret );
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return 0;
    }
}


// ================== Normal method: "is_output" ===============
// class: "casadi::MX"
// cppName: "casadi::MX::is_output"
// cWrapperName: "casadi__MX__is_output"
// protoArgs: "(std::string ** err_msg, casadi::MX* obj)"
// args: "()"
// rettype: CBool
// cWrapperRetType: "int"
// proto: "int\n    casadi__MX__is_output(std::string ** err_msg, casadi::MX* obj)"
// call: "        bool ret = obj->is_output();"
// params: []
extern "C"
int
    casadi__MX__is_output(std::string ** err_msg, casadi::MX* obj);
int
    casadi__MX__is_output(std::string ** err_msg, casadi::MX* obj){
    try {

        bool ret = obj->is_output();

        return WrapReturn< int, bool >::wrapReturn( ret );
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return 0;
    }
}


// ================== Normal method: "is_regular" ===============
// class: "casadi::MX"
// cppName: "casadi::MX::is_regular"
// cWrapperName: "casadi__MX__is_regular"
// protoArgs: "(std::string ** err_msg, casadi::MX* obj)"
// args: "()"
// rettype: CBool
// cWrapperRetType: "int"
// proto: "int\n    casadi__MX__is_regular(std::string ** err_msg, casadi::MX* obj)"
// call: "        bool ret = obj->is_regular();"
// params: []
extern "C"
int
    casadi__MX__is_regular(std::string ** err_msg, casadi::MX* obj);
int
    casadi__MX__is_regular(std::string ** err_msg, casadi::MX* obj){
    try {

        bool ret = obj->is_regular();

        return WrapReturn< int, bool >::wrapReturn( ret );
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return 0;
    }
}


// ================== Normal method: "is_row" ===============
// class: "casadi::MX"
// cppName: "casadi::MX::is_row"
// cWrapperName: "casadi__MX__is_row"
// protoArgs: "(std::string ** err_msg, casadi::MX* obj)"
// args: "()"
// rettype: CBool
// cWrapperRetType: "int"
// proto: "int\n    casadi__MX__is_row(std::string ** err_msg, casadi::MX* obj)"
// call: "        bool ret = obj->is_row();"
// params: []
extern "C"
int
    casadi__MX__is_row(std::string ** err_msg, casadi::MX* obj);
int
    casadi__MX__is_row(std::string ** err_msg, casadi::MX* obj){
    try {

        bool ret = obj->is_row();

        return WrapReturn< int, bool >::wrapReturn( ret );
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return 0;
    }
}


// ================== Normal method: "is_scalar" ===============
// class: "casadi::MX"
// cppName: "casadi::MX::is_scalar"
// cWrapperName: "casadi__MX__is_scalar__0"
// protoArgs: "(std::string ** err_msg, casadi::MX* obj)"
// args: "()"
// rettype: CBool
// cWrapperRetType: "int"
// proto: "int\n    casadi__MX__is_scalar__0(std::string ** err_msg, casadi::MX* obj)"
// call: "        bool ret = obj->is_scalar();"
// params: []
extern "C"
int
    casadi__MX__is_scalar__0(std::string ** err_msg, casadi::MX* obj);
int
    casadi__MX__is_scalar__0(std::string ** err_msg, casadi::MX* obj){
    try {

        bool ret = obj->is_scalar();

        return WrapReturn< int, bool >::wrapReturn( ret );
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return 0;
    }
}


// ================== Normal method: "is_scalar" ===============
// class: "casadi::MX"
// cppName: "casadi::MX::is_scalar"
// cWrapperName: "casadi__MX__is_scalar__1"
// protoArgs: "(std::string ** err_msg, casadi::MX* obj, int x0)"
// args: "(x0_)"
// rettype: CBool
// cWrapperRetType: "int"
// proto: "int\n    casadi__MX__is_scalar__1(std::string ** err_msg, casadi::MX* obj, int x0)"
// call: "        bool ret = obj->is_scalar(x0_);"
// params: [(CBool,SwigOutput False)]
extern "C"
int
    casadi__MX__is_scalar__1(std::string ** err_msg, casadi::MX* obj, int x0);
int
    casadi__MX__is_scalar__1(std::string ** err_msg, casadi::MX* obj, int x0){
    try {
        bool x0_ = Marshaling<bool,int>::marshal(x0);

        bool ret = obj->is_scalar(x0_);
        // x0 is not a swig output

        return WrapReturn< int, bool >::wrapReturn( ret );
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return 0;
    }
}


// ================== Normal method: "is_square" ===============
// class: "casadi::MX"
// cppName: "casadi::MX::is_square"
// cWrapperName: "casadi__MX__is_square"
// protoArgs: "(std::string ** err_msg, casadi::MX* obj)"
// args: "()"
// rettype: CBool
// cWrapperRetType: "int"
// proto: "int\n    casadi__MX__is_square(std::string ** err_msg, casadi::MX* obj)"
// call: "        bool ret = obj->is_square();"
// params: []
extern "C"
int
    casadi__MX__is_square(std::string ** err_msg, casadi::MX* obj);
int
    casadi__MX__is_square(std::string ** err_msg, casadi::MX* obj){
    try {

        bool ret = obj->is_square();

        return WrapReturn< int, bool >::wrapReturn( ret );
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return 0;
    }
}


// ================== Normal method: "is_symbolic" ===============
// class: "casadi::MX"
// cppName: "casadi::MX::is_symbolic"
// cWrapperName: "casadi__MX__is_symbolic"
// protoArgs: "(std::string ** err_msg, casadi::MX* obj)"
// args: "()"
// rettype: CBool
// cWrapperRetType: "int"
// proto: "int\n    casadi__MX__is_symbolic(std::string ** err_msg, casadi::MX* obj)"
// call: "        bool ret = obj->is_symbolic();"
// params: []
extern "C"
int
    casadi__MX__is_symbolic(std::string ** err_msg, casadi::MX* obj);
int
    casadi__MX__is_symbolic(std::string ** err_msg, casadi::MX* obj){
    try {

        bool ret = obj->is_symbolic();

        return WrapReturn< int, bool >::wrapReturn( ret );
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return 0;
    }
}


// ================== Normal method: "is_transpose" ===============
// class: "casadi::MX"
// cppName: "casadi::MX::is_transpose"
// cWrapperName: "casadi__MX__is_transpose"
// protoArgs: "(std::string ** err_msg, casadi::MX* obj)"
// args: "()"
// rettype: CBool
// cWrapperRetType: "int"
// proto: "int\n    casadi__MX__is_transpose(std::string ** err_msg, casadi::MX* obj)"
// call: "        bool ret = obj->is_transpose();"
// params: []
extern "C"
int
    casadi__MX__is_transpose(std::string ** err_msg, casadi::MX* obj);
int
    casadi__MX__is_transpose(std::string ** err_msg, casadi::MX* obj){
    try {

        bool ret = obj->is_transpose();

        return WrapReturn< int, bool >::wrapReturn( ret );
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return 0;
    }
}


// ================== Normal method: "is_tril" ===============
// class: "casadi::MX"
// cppName: "casadi::MX::is_tril"
// cWrapperName: "casadi__MX__is_tril"
// protoArgs: "(std::string ** err_msg, casadi::MX* obj)"
// args: "()"
// rettype: CBool
// cWrapperRetType: "int"
// proto: "int\n    casadi__MX__is_tril(std::string ** err_msg, casadi::MX* obj)"
// call: "        bool ret = obj->is_tril();"
// params: []
extern "C"
int
    casadi__MX__is_tril(std::string ** err_msg, casadi::MX* obj);
int
    casadi__MX__is_tril(std::string ** err_msg, casadi::MX* obj){
    try {

        bool ret = obj->is_tril();

        return WrapReturn< int, bool >::wrapReturn( ret );
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return 0;
    }
}


// ================== Normal method: "is_triu" ===============
// class: "casadi::MX"
// cppName: "casadi::MX::is_triu"
// cWrapperName: "casadi__MX__is_triu"
// protoArgs: "(std::string ** err_msg, casadi::MX* obj)"
// args: "()"
// rettype: CBool
// cWrapperRetType: "int"
// proto: "int\n    casadi__MX__is_triu(std::string ** err_msg, casadi::MX* obj)"
// call: "        bool ret = obj->is_triu();"
// params: []
extern "C"
int
    casadi__MX__is_triu(std::string ** err_msg, casadi::MX* obj);
int
    casadi__MX__is_triu(std::string ** err_msg, casadi::MX* obj){
    try {

        bool ret = obj->is_triu();

        return WrapReturn< int, bool >::wrapReturn( ret );
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return 0;
    }
}


// ================== Normal method: "is_unary" ===============
// class: "casadi::MX"
// cppName: "casadi::MX::is_unary"
// cWrapperName: "casadi__MX__is_unary"
// protoArgs: "(std::string ** err_msg, casadi::MX* obj)"
// args: "()"
// rettype: CBool
// cWrapperRetType: "int"
// proto: "int\n    casadi__MX__is_unary(std::string ** err_msg, casadi::MX* obj)"
// call: "        bool ret = obj->is_unary();"
// params: []
extern "C"
int
    casadi__MX__is_unary(std::string ** err_msg, casadi::MX* obj);
int
    casadi__MX__is_unary(std::string ** err_msg, casadi::MX* obj){
    try {

        bool ret = obj->is_unary();

        return WrapReturn< int, bool >::wrapReturn( ret );
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return 0;
    }
}


// ================== Normal method: "is_valid_input" ===============
// class: "casadi::MX"
// cppName: "casadi::MX::is_valid_input"
// cWrapperName: "casadi__MX__is_valid_input"
// protoArgs: "(std::string ** err_msg, casadi::MX* obj)"
// args: "()"
// rettype: CBool
// cWrapperRetType: "int"
// proto: "int\n    casadi__MX__is_valid_input(std::string ** err_msg, casadi::MX* obj)"
// call: "        bool ret = obj->is_valid_input();"
// params: []
extern "C"
int
    casadi__MX__is_valid_input(std::string ** err_msg, casadi::MX* obj);
int
    casadi__MX__is_valid_input(std::string ** err_msg, casadi::MX* obj){
    try {

        bool ret = obj->is_valid_input();

        return WrapReturn< int, bool >::wrapReturn( ret );
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return 0;
    }
}


// ================== Normal method: "is_vector" ===============
// class: "casadi::MX"
// cppName: "casadi::MX::is_vector"
// cWrapperName: "casadi__MX__is_vector"
// protoArgs: "(std::string ** err_msg, casadi::MX* obj)"
// args: "()"
// rettype: CBool
// cWrapperRetType: "int"
// proto: "int\n    casadi__MX__is_vector(std::string ** err_msg, casadi::MX* obj)"
// call: "        bool ret = obj->is_vector();"
// params: []
extern "C"
int
    casadi__MX__is_vector(std::string ** err_msg, casadi::MX* obj);
int
    casadi__MX__is_vector(std::string ** err_msg, casadi::MX* obj){
    try {

        bool ret = obj->is_vector();

        return WrapReturn< int, bool >::wrapReturn( ret );
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return 0;
    }
}


// ================== Normal method: "is_zero" ===============
// class: "casadi::MX"
// cppName: "casadi::MX::is_zero"
// cWrapperName: "casadi__MX__is_zero"
// protoArgs: "(std::string ** err_msg, casadi::MX* obj)"
// args: "()"
// rettype: CBool
// cWrapperRetType: "int"
// proto: "int\n    casadi__MX__is_zero(std::string ** err_msg, casadi::MX* obj)"
// call: "        bool ret = obj->is_zero();"
// params: []
extern "C"
int
    casadi__MX__is_zero(std::string ** err_msg, casadi::MX* obj);
int
    casadi__MX__is_zero(std::string ** err_msg, casadi::MX* obj){
    try {

        bool ret = obj->is_zero();

        return WrapReturn< int, bool >::wrapReturn( ret );
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return 0;
    }
}


// ================== Static method: "jac" ===============
// class: "casadi::MX"
// cppName: "casadi::MX::jac"
// cWrapperName: "casadi__MX__jac__0"
// protoArgs: "(std::string ** err_msg, casadi::Function* x0, std::string* x1, std::string* x2)"
// args: "(x0_, x1_, x2_)"
// rettype: UserType (Namespace ["casadi"]) (Name "MX")
// cWrapperRetType: "casadi::MX*"
// proto: "casadi::MX*\n    casadi__MX__jac__0(std::string ** err_msg, casadi::Function* x0, std::string* x1, std::string* x2)"
// call: "        casadi::MX ret = casadi::MX::jac(x0_, x1_, x2_);"
// params: [(Ref (Const (UserType (Namespace ["casadi"]) (Name "Function"))),SwigOutput False),(Ref (Const StdString),SwigOutput False),(Ref (Const StdString),SwigOutput False)]
extern "C"
casadi::MX*
    casadi__MX__jac__0(std::string ** err_msg, casadi::Function* x0, std::string* x1, std::string* x2);
casadi::MX*
    casadi__MX__jac__0(std::string ** err_msg, casadi::Function* x0, std::string* x1, std::string* x2){
    try {
        casadi::Function& x0_ = Marshaling<casadi::Function&,casadi::Function*>::marshal(x0);
        std::string& x1_ = Marshaling<std::string&,std::string*>::marshal(x1);
        std::string& x2_ = Marshaling<std::string&,std::string*>::marshal(x2);

        casadi::MX ret = casadi::MX::jac(x0_, x1_, x2_);
        // x0 is not a swig output
        // x1 is not a swig output
        // x2 is not a swig output

        return WrapReturn< casadi::MX*, casadi::MX >::wrapReturn( ret );
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return 0;
    }
}


// ================== Static method: "jac" ===============
// class: "casadi::MX"
// cppName: "casadi::MX::jac"
// cWrapperName: "casadi__MX__jac__1"
// protoArgs: "(std::string ** err_msg, casadi::Function* x0, std::string* x1, std::string* x2, int x3)"
// args: "(x0_, x1_, x2_, x3_)"
// rettype: UserType (Namespace ["casadi"]) (Name "MX")
// cWrapperRetType: "casadi::MX*"
// proto: "casadi::MX*\n    casadi__MX__jac__1(std::string ** err_msg, casadi::Function* x0, std::string* x1, std::string* x2, int x3)"
// call: "        casadi::MX ret = casadi::MX::jac(x0_, x1_, x2_, x3_);"
// params: [(Ref (Const (UserType (Namespace ["casadi"]) (Name "Function"))),SwigOutput False),(Ref (Const StdString),SwigOutput False),(Ref (Const StdString),SwigOutput False),(CBool,SwigOutput False)]
extern "C"
casadi::MX*
    casadi__MX__jac__1(std::string ** err_msg, casadi::Function* x0, std::string* x1, std::string* x2, int x3);
casadi::MX*
    casadi__MX__jac__1(std::string ** err_msg, casadi::Function* x0, std::string* x1, std::string* x2, int x3){
    try {
        casadi::Function& x0_ = Marshaling<casadi::Function&,casadi::Function*>::marshal(x0);
        std::string& x1_ = Marshaling<std::string&,std::string*>::marshal(x1);
        std::string& x2_ = Marshaling<std::string&,std::string*>::marshal(x2);
        bool x3_ = Marshaling<bool,int>::marshal(x3);

        casadi::MX ret = casadi::MX::jac(x0_, x1_, x2_, x3_);
        // x0 is not a swig output
        // x1 is not a swig output
        // x2 is not a swig output
        // x3 is not a swig output

        return WrapReturn< casadi::MX*, casadi::MX >::wrapReturn( ret );
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return 0;
    }
}


// ================== Static method: "jac" ===============
// class: "casadi::MX"
// cppName: "casadi::MX::jac"
// cWrapperName: "casadi__MX__jac__2"
// protoArgs: "(std::string ** err_msg, casadi::Function* x0, std::string* x1, std::string* x2, int x3, int x4)"
// args: "(x0_, x1_, x2_, x3_, x4_)"
// rettype: UserType (Namespace ["casadi"]) (Name "MX")
// cWrapperRetType: "casadi::MX*"
// proto: "casadi::MX*\n    casadi__MX__jac__2(std::string ** err_msg, casadi::Function* x0, std::string* x1, std::string* x2, int x3, int x4)"
// call: "        casadi::MX ret = casadi::MX::jac(x0_, x1_, x2_, x3_, x4_);"
// params: [(Ref (Const (UserType (Namespace ["casadi"]) (Name "Function"))),SwigOutput False),(Ref (Const StdString),SwigOutput False),(Ref (Const StdString),SwigOutput False),(CBool,SwigOutput False),(CBool,SwigOutput False)]
extern "C"
casadi::MX*
    casadi__MX__jac__2(std::string ** err_msg, casadi::Function* x0, std::string* x1, std::string* x2, int x3, int x4);
casadi::MX*
    casadi__MX__jac__2(std::string ** err_msg, casadi::Function* x0, std::string* x1, std::string* x2, int x3, int x4){
    try {
        casadi::Function& x0_ = Marshaling<casadi::Function&,casadi::Function*>::marshal(x0);
        std::string& x1_ = Marshaling<std::string&,std::string*>::marshal(x1);
        std::string& x2_ = Marshaling<std::string&,std::string*>::marshal(x2);
        bool x3_ = Marshaling<bool,int>::marshal(x3);
        bool x4_ = Marshaling<bool,int>::marshal(x4);

        casadi::MX ret = casadi::MX::jac(x0_, x1_, x2_, x3_, x4_);
        // x0 is not a swig output
        // x1 is not a swig output
        // x2 is not a swig output
        // x3 is not a swig output
        // x4 is not a swig output

        return WrapReturn< casadi::MX*, casadi::MX >::wrapReturn( ret );
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return 0;
    }
}


// ================== Static method: "jac" ===============
// class: "casadi::MX"
// cppName: "casadi::MX::jac"
// cWrapperName: "casadi__MX__jac__3"
// protoArgs: "(std::string ** err_msg, casadi::Function* x0, int x1, std::string* x2)"
// args: "(x0_, x1_, x2_)"
// rettype: UserType (Namespace ["casadi"]) (Name "MX")
// cWrapperRetType: "casadi::MX*"
// proto: "casadi::MX*\n    casadi__MX__jac__3(std::string ** err_msg, casadi::Function* x0, int x1, std::string* x2)"
// call: "        casadi::MX ret = casadi::MX::jac(x0_, x1_, x2_);"
// params: [(Ref (Const (UserType (Namespace ["casadi"]) (Name "Function"))),SwigOutput False),(CInt,SwigOutput False),(Ref (Const StdString),SwigOutput False)]
extern "C"
casadi::MX*
    casadi__MX__jac__3(std::string ** err_msg, casadi::Function* x0, int x1, std::string* x2);
casadi::MX*
    casadi__MX__jac__3(std::string ** err_msg, casadi::Function* x0, int x1, std::string* x2){
    try {
        casadi::Function& x0_ = Marshaling<casadi::Function&,casadi::Function*>::marshal(x0);
        int x1_ = Marshaling<int,int>::marshal(x1);
        std::string& x2_ = Marshaling<std::string&,std::string*>::marshal(x2);

        casadi::MX ret = casadi::MX::jac(x0_, x1_, x2_);
        // x0 is not a swig output
        // x1 is not a swig output
        // x2 is not a swig output

        return WrapReturn< casadi::MX*, casadi::MX >::wrapReturn( ret );
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return 0;
    }
}


// ================== Static method: "jac" ===============
// class: "casadi::MX"
// cppName: "casadi::MX::jac"
// cWrapperName: "casadi__MX__jac__4"
// protoArgs: "(std::string ** err_msg, casadi::Function* x0, int x1, std::string* x2, int x3)"
// args: "(x0_, x1_, x2_, x3_)"
// rettype: UserType (Namespace ["casadi"]) (Name "MX")
// cWrapperRetType: "casadi::MX*"
// proto: "casadi::MX*\n    casadi__MX__jac__4(std::string ** err_msg, casadi::Function* x0, int x1, std::string* x2, int x3)"
// call: "        casadi::MX ret = casadi::MX::jac(x0_, x1_, x2_, x3_);"
// params: [(Ref (Const (UserType (Namespace ["casadi"]) (Name "Function"))),SwigOutput False),(CInt,SwigOutput False),(Ref (Const StdString),SwigOutput False),(CBool,SwigOutput False)]
extern "C"
casadi::MX*
    casadi__MX__jac__4(std::string ** err_msg, casadi::Function* x0, int x1, std::string* x2, int x3);
casadi::MX*
    casadi__MX__jac__4(std::string ** err_msg, casadi::Function* x0, int x1, std::string* x2, int x3){
    try {
        casadi::Function& x0_ = Marshaling<casadi::Function&,casadi::Function*>::marshal(x0);
        int x1_ = Marshaling<int,int>::marshal(x1);
        std::string& x2_ = Marshaling<std::string&,std::string*>::marshal(x2);
        bool x3_ = Marshaling<bool,int>::marshal(x3);

        casadi::MX ret = casadi::MX::jac(x0_, x1_, x2_, x3_);
        // x0 is not a swig output
        // x1 is not a swig output
        // x2 is not a swig output
        // x3 is not a swig output

        return WrapReturn< casadi::MX*, casadi::MX >::wrapReturn( ret );
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return 0;
    }
}


// ================== Static method: "jac" ===============
// class: "casadi::MX"
// cppName: "casadi::MX::jac"
// cWrapperName: "casadi__MX__jac__5"
// protoArgs: "(std::string ** err_msg, casadi::Function* x0, int x1, std::string* x2, int x3, int x4)"
// args: "(x0_, x1_, x2_, x3_, x4_)"
// rettype: UserType (Namespace ["casadi"]) (Name "MX")
// cWrapperRetType: "casadi::MX*"
// proto: "casadi::MX*\n    casadi__MX__jac__5(std::string ** err_msg, casadi::Function* x0, int x1, std::string* x2, int x3, int x4)"
// call: "        casadi::MX ret = casadi::MX::jac(x0_, x1_, x2_, x3_, x4_);"
// params: [(Ref (Const (UserType (Namespace ["casadi"]) (Name "Function"))),SwigOutput False),(CInt,SwigOutput False),(Ref (Const StdString),SwigOutput False),(CBool,SwigOutput False),(CBool,SwigOutput False)]
extern "C"
casadi::MX*
    casadi__MX__jac__5(std::string ** err_msg, casadi::Function* x0, int x1, std::string* x2, int x3, int x4);
casadi::MX*
    casadi__MX__jac__5(std::string ** err_msg, casadi::Function* x0, int x1, std::string* x2, int x3, int x4){
    try {
        casadi::Function& x0_ = Marshaling<casadi::Function&,casadi::Function*>::marshal(x0);
        int x1_ = Marshaling<int,int>::marshal(x1);
        std::string& x2_ = Marshaling<std::string&,std::string*>::marshal(x2);
        bool x3_ = Marshaling<bool,int>::marshal(x3);
        bool x4_ = Marshaling<bool,int>::marshal(x4);

        casadi::MX ret = casadi::MX::jac(x0_, x1_, x2_, x3_, x4_);
        // x0 is not a swig output
        // x1 is not a swig output
        // x2 is not a swig output
        // x3 is not a swig output
        // x4 is not a swig output

        return WrapReturn< casadi::MX*, casadi::MX >::wrapReturn( ret );
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return 0;
    }
}


// ================== Static method: "jac" ===============
// class: "casadi::MX"
// cppName: "casadi::MX::jac"
// cWrapperName: "casadi__MX__jac__6"
// protoArgs: "(std::string ** err_msg, casadi::Function* x0, std::string* x1)"
// args: "(x0_, x1_)"
// rettype: UserType (Namespace ["casadi"]) (Name "MX")
// cWrapperRetType: "casadi::MX*"
// proto: "casadi::MX*\n    casadi__MX__jac__6(std::string ** err_msg, casadi::Function* x0, std::string* x1)"
// call: "        casadi::MX ret = casadi::MX::jac(x0_, x1_);"
// params: [(Ref (Const (UserType (Namespace ["casadi"]) (Name "Function"))),SwigOutput False),(Ref (Const StdString),SwigOutput False)]
extern "C"
casadi::MX*
    casadi__MX__jac__6(std::string ** err_msg, casadi::Function* x0, std::string* x1);
casadi::MX*
    casadi__MX__jac__6(std::string ** err_msg, casadi::Function* x0, std::string* x1){
    try {
        casadi::Function& x0_ = Marshaling<casadi::Function&,casadi::Function*>::marshal(x0);
        std::string& x1_ = Marshaling<std::string&,std::string*>::marshal(x1);

        casadi::MX ret = casadi::MX::jac(x0_, x1_);
        // x0 is not a swig output
        // x1 is not a swig output

        return WrapReturn< casadi::MX*, casadi::MX >::wrapReturn( ret );
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return 0;
    }
}


// ================== Static method: "jac" ===============
// class: "casadi::MX"
// cppName: "casadi::MX::jac"
// cWrapperName: "casadi__MX__jac__7"
// protoArgs: "(std::string ** err_msg, casadi::Function* x0, std::string* x1, int x2)"
// args: "(x0_, x1_, x2_)"
// rettype: UserType (Namespace ["casadi"]) (Name "MX")
// cWrapperRetType: "casadi::MX*"
// proto: "casadi::MX*\n    casadi__MX__jac__7(std::string ** err_msg, casadi::Function* x0, std::string* x1, int x2)"
// call: "        casadi::MX ret = casadi::MX::jac(x0_, x1_, x2_);"
// params: [(Ref (Const (UserType (Namespace ["casadi"]) (Name "Function"))),SwigOutput False),(Ref (Const StdString),SwigOutput False),(CInt,SwigOutput False)]
extern "C"
casadi::MX*
    casadi__MX__jac__7(std::string ** err_msg, casadi::Function* x0, std::string* x1, int x2);
casadi::MX*
    casadi__MX__jac__7(std::string ** err_msg, casadi::Function* x0, std::string* x1, int x2){
    try {
        casadi::Function& x0_ = Marshaling<casadi::Function&,casadi::Function*>::marshal(x0);
        std::string& x1_ = Marshaling<std::string&,std::string*>::marshal(x1);
        int x2_ = Marshaling<int,int>::marshal(x2);

        casadi::MX ret = casadi::MX::jac(x0_, x1_, x2_);
        // x0 is not a swig output
        // x1 is not a swig output
        // x2 is not a swig output

        return WrapReturn< casadi::MX*, casadi::MX >::wrapReturn( ret );
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return 0;
    }
}


// ================== Static method: "jac" ===============
// class: "casadi::MX"
// cppName: "casadi::MX::jac"
// cWrapperName: "casadi__MX__jac__8"
// protoArgs: "(std::string ** err_msg, casadi::Function* x0, std::string* x1, int x2, int x3)"
// args: "(x0_, x1_, x2_, x3_)"
// rettype: UserType (Namespace ["casadi"]) (Name "MX")
// cWrapperRetType: "casadi::MX*"
// proto: "casadi::MX*\n    casadi__MX__jac__8(std::string ** err_msg, casadi::Function* x0, std::string* x1, int x2, int x3)"
// call: "        casadi::MX ret = casadi::MX::jac(x0_, x1_, x2_, x3_);"
// params: [(Ref (Const (UserType (Namespace ["casadi"]) (Name "Function"))),SwigOutput False),(Ref (Const StdString),SwigOutput False),(CInt,SwigOutput False),(CBool,SwigOutput False)]
extern "C"
casadi::MX*
    casadi__MX__jac__8(std::string ** err_msg, casadi::Function* x0, std::string* x1, int x2, int x3);
casadi::MX*
    casadi__MX__jac__8(std::string ** err_msg, casadi::Function* x0, std::string* x1, int x2, int x3){
    try {
        casadi::Function& x0_ = Marshaling<casadi::Function&,casadi::Function*>::marshal(x0);
        std::string& x1_ = Marshaling<std::string&,std::string*>::marshal(x1);
        int x2_ = Marshaling<int,int>::marshal(x2);
        bool x3_ = Marshaling<bool,int>::marshal(x3);

        casadi::MX ret = casadi::MX::jac(x0_, x1_, x2_, x3_);
        // x0 is not a swig output
        // x1 is not a swig output
        // x2 is not a swig output
        // x3 is not a swig output

        return WrapReturn< casadi::MX*, casadi::MX >::wrapReturn( ret );
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return 0;
    }
}


// ================== Static method: "jac" ===============
// class: "casadi::MX"
// cppName: "casadi::MX::jac"
// cWrapperName: "casadi__MX__jac__9"
// protoArgs: "(std::string ** err_msg, casadi::Function* x0, std::string* x1, int x2, int x3, int x4)"
// args: "(x0_, x1_, x2_, x3_, x4_)"
// rettype: UserType (Namespace ["casadi"]) (Name "MX")
// cWrapperRetType: "casadi::MX*"
// proto: "casadi::MX*\n    casadi__MX__jac__9(std::string ** err_msg, casadi::Function* x0, std::string* x1, int x2, int x3, int x4)"
// call: "        casadi::MX ret = casadi::MX::jac(x0_, x1_, x2_, x3_, x4_);"
// params: [(Ref (Const (UserType (Namespace ["casadi"]) (Name "Function"))),SwigOutput False),(Ref (Const StdString),SwigOutput False),(CInt,SwigOutput False),(CBool,SwigOutput False),(CBool,SwigOutput False)]
extern "C"
casadi::MX*
    casadi__MX__jac__9(std::string ** err_msg, casadi::Function* x0, std::string* x1, int x2, int x3, int x4);
casadi::MX*
    casadi__MX__jac__9(std::string ** err_msg, casadi::Function* x0, std::string* x1, int x2, int x3, int x4){
    try {
        casadi::Function& x0_ = Marshaling<casadi::Function&,casadi::Function*>::marshal(x0);
        std::string& x1_ = Marshaling<std::string&,std::string*>::marshal(x1);
        int x2_ = Marshaling<int,int>::marshal(x2);
        bool x3_ = Marshaling<bool,int>::marshal(x3);
        bool x4_ = Marshaling<bool,int>::marshal(x4);

        casadi::MX ret = casadi::MX::jac(x0_, x1_, x2_, x3_, x4_);
        // x0 is not a swig output
        // x1 is not a swig output
        // x2 is not a swig output
        // x3 is not a swig output
        // x4 is not a swig output

        return WrapReturn< casadi::MX*, casadi::MX >::wrapReturn( ret );
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return 0;
    }
}


// ================== Static method: "jac" ===============
// class: "casadi::MX"
// cppName: "casadi::MX::jac"
// cWrapperName: "casadi__MX__jac__10"
// protoArgs: "(std::string ** err_msg, casadi::Function* x0)"
// args: "(x0_)"
// rettype: UserType (Namespace ["casadi"]) (Name "MX")
// cWrapperRetType: "casadi::MX*"
// proto: "casadi::MX*\n    casadi__MX__jac__10(std::string ** err_msg, casadi::Function* x0)"
// call: "        casadi::MX ret = casadi::MX::jac(x0_);"
// params: [(Ref (Const (UserType (Namespace ["casadi"]) (Name "Function"))),SwigOutput False)]
extern "C"
casadi::MX*
    casadi__MX__jac__10(std::string ** err_msg, casadi::Function* x0);
casadi::MX*
    casadi__MX__jac__10(std::string ** err_msg, casadi::Function* x0){
    try {
        casadi::Function& x0_ = Marshaling<casadi::Function&,casadi::Function*>::marshal(x0);

        casadi::MX ret = casadi::MX::jac(x0_);
        // x0 is not a swig output

        return WrapReturn< casadi::MX*, casadi::MX >::wrapReturn( ret );
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return 0;
    }
}


// ================== Static method: "jac" ===============
// class: "casadi::MX"
// cppName: "casadi::MX::jac"
// cWrapperName: "casadi__MX__jac__11"
// protoArgs: "(std::string ** err_msg, casadi::Function* x0, int x1)"
// args: "(x0_, x1_)"
// rettype: UserType (Namespace ["casadi"]) (Name "MX")
// cWrapperRetType: "casadi::MX*"
// proto: "casadi::MX*\n    casadi__MX__jac__11(std::string ** err_msg, casadi::Function* x0, int x1)"
// call: "        casadi::MX ret = casadi::MX::jac(x0_, x1_);"
// params: [(Ref (Const (UserType (Namespace ["casadi"]) (Name "Function"))),SwigOutput False),(CInt,SwigOutput False)]
extern "C"
casadi::MX*
    casadi__MX__jac__11(std::string ** err_msg, casadi::Function* x0, int x1);
casadi::MX*
    casadi__MX__jac__11(std::string ** err_msg, casadi::Function* x0, int x1){
    try {
        casadi::Function& x0_ = Marshaling<casadi::Function&,casadi::Function*>::marshal(x0);
        int x1_ = Marshaling<int,int>::marshal(x1);

        casadi::MX ret = casadi::MX::jac(x0_, x1_);
        // x0 is not a swig output
        // x1 is not a swig output

        return WrapReturn< casadi::MX*, casadi::MX >::wrapReturn( ret );
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return 0;
    }
}


// ================== Static method: "jac" ===============
// class: "casadi::MX"
// cppName: "casadi::MX::jac"
// cWrapperName: "casadi__MX__jac__12"
// protoArgs: "(std::string ** err_msg, casadi::Function* x0, int x1, int x2)"
// args: "(x0_, x1_, x2_)"
// rettype: UserType (Namespace ["casadi"]) (Name "MX")
// cWrapperRetType: "casadi::MX*"
// proto: "casadi::MX*\n    casadi__MX__jac__12(std::string ** err_msg, casadi::Function* x0, int x1, int x2)"
// call: "        casadi::MX ret = casadi::MX::jac(x0_, x1_, x2_);"
// params: [(Ref (Const (UserType (Namespace ["casadi"]) (Name "Function"))),SwigOutput False),(CInt,SwigOutput False),(CInt,SwigOutput False)]
extern "C"
casadi::MX*
    casadi__MX__jac__12(std::string ** err_msg, casadi::Function* x0, int x1, int x2);
casadi::MX*
    casadi__MX__jac__12(std::string ** err_msg, casadi::Function* x0, int x1, int x2){
    try {
        casadi::Function& x0_ = Marshaling<casadi::Function&,casadi::Function*>::marshal(x0);
        int x1_ = Marshaling<int,int>::marshal(x1);
        int x2_ = Marshaling<int,int>::marshal(x2);

        casadi::MX ret = casadi::MX::jac(x0_, x1_, x2_);
        // x0 is not a swig output
        // x1 is not a swig output
        // x2 is not a swig output

        return WrapReturn< casadi::MX*, casadi::MX >::wrapReturn( ret );
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return 0;
    }
}


// ================== Static method: "jac" ===============
// class: "casadi::MX"
// cppName: "casadi::MX::jac"
// cWrapperName: "casadi__MX__jac__13"
// protoArgs: "(std::string ** err_msg, casadi::Function* x0, int x1, int x2, int x3)"
// args: "(x0_, x1_, x2_, x3_)"
// rettype: UserType (Namespace ["casadi"]) (Name "MX")
// cWrapperRetType: "casadi::MX*"
// proto: "casadi::MX*\n    casadi__MX__jac__13(std::string ** err_msg, casadi::Function* x0, int x1, int x2, int x3)"
// call: "        casadi::MX ret = casadi::MX::jac(x0_, x1_, x2_, x3_);"
// params: [(Ref (Const (UserType (Namespace ["casadi"]) (Name "Function"))),SwigOutput False),(CInt,SwigOutput False),(CInt,SwigOutput False),(CBool,SwigOutput False)]
extern "C"
casadi::MX*
    casadi__MX__jac__13(std::string ** err_msg, casadi::Function* x0, int x1, int x2, int x3);
casadi::MX*
    casadi__MX__jac__13(std::string ** err_msg, casadi::Function* x0, int x1, int x2, int x3){
    try {
        casadi::Function& x0_ = Marshaling<casadi::Function&,casadi::Function*>::marshal(x0);
        int x1_ = Marshaling<int,int>::marshal(x1);
        int x2_ = Marshaling<int,int>::marshal(x2);
        bool x3_ = Marshaling<bool,int>::marshal(x3);

        casadi::MX ret = casadi::MX::jac(x0_, x1_, x2_, x3_);
        // x0 is not a swig output
        // x1 is not a swig output
        // x2 is not a swig output
        // x3 is not a swig output

        return WrapReturn< casadi::MX*, casadi::MX >::wrapReturn( ret );
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return 0;
    }
}


// ================== Static method: "jac" ===============
// class: "casadi::MX"
// cppName: "casadi::MX::jac"
// cWrapperName: "casadi__MX__jac__14"
// protoArgs: "(std::string ** err_msg, casadi::Function* x0, int x1, int x2, int x3, int x4)"
// args: "(x0_, x1_, x2_, x3_, x4_)"
// rettype: UserType (Namespace ["casadi"]) (Name "MX")
// cWrapperRetType: "casadi::MX*"
// proto: "casadi::MX*\n    casadi__MX__jac__14(std::string ** err_msg, casadi::Function* x0, int x1, int x2, int x3, int x4)"
// call: "        casadi::MX ret = casadi::MX::jac(x0_, x1_, x2_, x3_, x4_);"
// params: [(Ref (Const (UserType (Namespace ["casadi"]) (Name "Function"))),SwigOutput False),(CInt,SwigOutput False),(CInt,SwigOutput False),(CBool,SwigOutput False),(CBool,SwigOutput False)]
extern "C"
casadi::MX*
    casadi__MX__jac__14(std::string ** err_msg, casadi::Function* x0, int x1, int x2, int x3, int x4);
casadi::MX*
    casadi__MX__jac__14(std::string ** err_msg, casadi::Function* x0, int x1, int x2, int x3, int x4){
    try {
        casadi::Function& x0_ = Marshaling<casadi::Function&,casadi::Function*>::marshal(x0);
        int x1_ = Marshaling<int,int>::marshal(x1);
        int x2_ = Marshaling<int,int>::marshal(x2);
        bool x3_ = Marshaling<bool,int>::marshal(x3);
        bool x4_ = Marshaling<bool,int>::marshal(x4);

        casadi::MX ret = casadi::MX::jac(x0_, x1_, x2_, x3_, x4_);
        // x0 is not a swig output
        // x1 is not a swig output
        // x2 is not a swig output
        // x3 is not a swig output
        // x4 is not a swig output

        return WrapReturn< casadi::MX*, casadi::MX >::wrapReturn( ret );
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return 0;
    }
}


// ================== Normal method: "join_primitives" ===============
// class: "casadi::MX"
// cppName: "casadi::MX::join_primitives"
// cWrapperName: "casadi__MX__join_primitives"
// protoArgs: "(std::string ** err_msg, casadi::MX* obj, std::vector< casadi::MX* >* x0)"
// args: "(x0_)"
// rettype: UserType (Namespace ["casadi"]) (Name "MX")
// cWrapperRetType: "casadi::MX*"
// proto: "casadi::MX*\n    casadi__MX__join_primitives(std::string ** err_msg, casadi::MX* obj, std::vector< casadi::MX* >* x0)"
// call: "        casadi::MX ret = obj->join_primitives(x0_);"
// params: [(Ref (StdVec (UserType (Namespace ["casadi"]) (Name "MX"))),SwigOutput False)]
extern "C"
casadi::MX*
    casadi__MX__join_primitives(std::string ** err_msg, casadi::MX* obj, std::vector< casadi::MX* >* x0);
casadi::MX*
    casadi__MX__join_primitives(std::string ** err_msg, casadi::MX* obj, std::vector< casadi::MX* >* x0){
    try {
        std::vector< casadi::MX > x0_ = Marshaling<std::vector< casadi::MX >,std::vector< casadi::MX* >*>::marshal(x0);

        casadi::MX ret = obj->join_primitives(x0_);
        // x0 is not a swig output

        return WrapReturn< casadi::MX*, casadi::MX >::wrapReturn( ret );
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return 0;
    }
}


// ================== Normal method: "mapping" ===============
// class: "casadi::MX"
// cppName: "casadi::MX::mapping"
// cWrapperName: "casadi__MX__mapping"
// protoArgs: "(std::string ** err_msg, casadi::MX* obj)"
// args: "()"
// rettype: UserType (Namespace ["casadi"]) (Name "IM")
// cWrapperRetType: "casadi::IM*"
// proto: "casadi::IM*\n    casadi__MX__mapping(std::string ** err_msg, casadi::MX* obj)"
// call: "        casadi::IM ret = obj->mapping();"
// params: []
extern "C"
casadi::IM*
    casadi__MX__mapping(std::string ** err_msg, casadi::MX* obj);
casadi::IM*
    casadi__MX__mapping(std::string ** err_msg, casadi::MX* obj){
    try {

        casadi::IM ret = obj->mapping();

        return WrapReturn< casadi::IM*, casadi::IM >::wrapReturn( ret );
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return 0;
    }
}


// ================== Normal method: "monitor" ===============
// class: "casadi::MX"
// cppName: "casadi::MX::monitor"
// cWrapperName: "casadi__MX__monitor"
// protoArgs: "(std::string ** err_msg, casadi::MX* obj, std::string* x0)"
// args: "(x0_)"
// rettype: UserType (Namespace ["casadi"]) (Name "MX")
// cWrapperRetType: "casadi::MX*"
// proto: "casadi::MX*\n    casadi__MX__monitor(std::string ** err_msg, casadi::MX* obj, std::string* x0)"
// call: "        casadi::MX ret = obj->monitor(x0_);"
// params: [(Ref (Const StdString),SwigOutput False)]
extern "C"
casadi::MX*
    casadi__MX__monitor(std::string ** err_msg, casadi::MX* obj, std::string* x0);
casadi::MX*
    casadi__MX__monitor(std::string ** err_msg, casadi::MX* obj, std::string* x0){
    try {
        std::string& x0_ = Marshaling<std::string&,std::string*>::marshal(x0);

        casadi::MX ret = obj->monitor(x0_);
        // x0 is not a swig output

        return WrapReturn< casadi::MX*, casadi::MX >::wrapReturn( ret );
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return 0;
    }
}


// ================== Normal method: "n_dep" ===============
// class: "casadi::MX"
// cppName: "casadi::MX::n_dep"
// cWrapperName: "casadi__MX__n_dep"
// protoArgs: "(std::string ** err_msg, casadi::MX* obj)"
// args: "()"
// rettype: CInt
// cWrapperRetType: "int"
// proto: "int\n    casadi__MX__n_dep(std::string ** err_msg, casadi::MX* obj)"
// call: "        int ret = obj->n_dep();"
// params: []
extern "C"
int
    casadi__MX__n_dep(std::string ** err_msg, casadi::MX* obj);
int
    casadi__MX__n_dep(std::string ** err_msg, casadi::MX* obj){
    try {

        int ret = obj->n_dep();

        return WrapReturn< int, int >::wrapReturn( ret );
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return 0;
    }
}


// ================== Normal method: "n_out" ===============
// class: "casadi::MX"
// cppName: "casadi::MX::n_out"
// cWrapperName: "casadi__MX__n_out"
// protoArgs: "(std::string ** err_msg, casadi::MX* obj)"
// args: "()"
// rettype: CInt
// cWrapperRetType: "int"
// proto: "int\n    casadi__MX__n_out(std::string ** err_msg, casadi::MX* obj)"
// call: "        int ret = obj->n_out();"
// params: []
extern "C"
int
    casadi__MX__n_out(std::string ** err_msg, casadi::MX* obj);
int
    casadi__MX__n_out(std::string ** err_msg, casadi::MX* obj){
    try {

        int ret = obj->n_out();

        return WrapReturn< int, int >::wrapReturn( ret );
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return 0;
    }
}


// ================== Normal method: "n_primitives" ===============
// class: "casadi::MX"
// cppName: "casadi::MX::n_primitives"
// cWrapperName: "casadi__MX__n_primitives"
// protoArgs: "(std::string ** err_msg, casadi::MX* obj)"
// args: "()"
// rettype: CInt
// cWrapperRetType: "int"
// proto: "int\n    casadi__MX__n_primitives(std::string ** err_msg, casadi::MX* obj)"
// call: "        int ret = obj->n_primitives();"
// params: []
extern "C"
int
    casadi__MX__n_primitives(std::string ** err_msg, casadi::MX* obj);
int
    casadi__MX__n_primitives(std::string ** err_msg, casadi::MX* obj){
    try {

        int ret = obj->n_primitives();

        return WrapReturn< int, int >::wrapReturn( ret );
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return 0;
    }
}


// ================== Normal method: "name" ===============
// class: "casadi::MX"
// cppName: "casadi::MX::name"
// cWrapperName: "casadi__MX__name"
// protoArgs: "(std::string ** err_msg, casadi::MX* obj)"
// args: "()"
// rettype: StdString
// cWrapperRetType: "std::string*"
// proto: "std::string*\n    casadi__MX__name(std::string ** err_msg, casadi::MX* obj)"
// call: "        std::string ret = obj->name();"
// params: []
extern "C"
std::string*
    casadi__MX__name(std::string ** err_msg, casadi::MX* obj);
std::string*
    casadi__MX__name(std::string ** err_msg, casadi::MX* obj){
    try {

        std::string ret = obj->name();

        return WrapReturn< std::string*, std::string >::wrapReturn( ret );
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return 0;
    }
}


// ================== Static method: "nan" ===============
// class: "casadi::MX"
// cppName: "casadi::MX::nan"
// cWrapperName: "casadi__MX__nan__0"
// protoArgs: "(std::string ** err_msg, std::pair< int, int >* x0)"
// args: "(x0_)"
// rettype: UserType (Namespace ["casadi"]) (Name "MX")
// cWrapperRetType: "casadi::MX*"
// proto: "casadi::MX*\n    casadi__MX__nan__0(std::string ** err_msg, std::pair< int, int >* x0)"
// call: "        casadi::MX ret = casadi::MX::nan(x0_);"
// params: [(Ref (Const (StdPair CInt CInt)),SwigOutput False)]
extern "C"
casadi::MX*
    casadi__MX__nan__0(std::string ** err_msg, std::pair< int, int >* x0);
casadi::MX*
    casadi__MX__nan__0(std::string ** err_msg, std::pair< int, int >* x0){
    try {
        std::pair< int, int > x0_ = Marshaling<std::pair< int, int >,std::pair< int, int >*>::marshal(x0);

        casadi::MX ret = casadi::MX::nan(x0_);
        // x0 is not a swig output

        return WrapReturn< casadi::MX*, casadi::MX >::wrapReturn( ret );
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return 0;
    }
}


// ================== Static method: "nan" ===============
// class: "casadi::MX"
// cppName: "casadi::MX::nan"
// cWrapperName: "casadi__MX__nan__1"
// protoArgs: "(std::string ** err_msg)"
// args: "()"
// rettype: UserType (Namespace ["casadi"]) (Name "MX")
// cWrapperRetType: "casadi::MX*"
// proto: "casadi::MX*\n    casadi__MX__nan__1(std::string ** err_msg)"
// call: "        casadi::MX ret = casadi::MX::nan();"
// params: []
extern "C"
casadi::MX*
    casadi__MX__nan__1(std::string ** err_msg);
casadi::MX*
    casadi__MX__nan__1(std::string ** err_msg){
    try {

        casadi::MX ret = casadi::MX::nan();

        return WrapReturn< casadi::MX*, casadi::MX >::wrapReturn( ret );
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return 0;
    }
}


// ================== Static method: "nan" ===============
// class: "casadi::MX"
// cppName: "casadi::MX::nan"
// cWrapperName: "casadi__MX__nan__2"
// protoArgs: "(std::string ** err_msg, int x0)"
// args: "(x0_)"
// rettype: UserType (Namespace ["casadi"]) (Name "MX")
// cWrapperRetType: "casadi::MX*"
// proto: "casadi::MX*\n    casadi__MX__nan__2(std::string ** err_msg, int x0)"
// call: "        casadi::MX ret = casadi::MX::nan(x0_);"
// params: [(CInt,SwigOutput False)]
extern "C"
casadi::MX*
    casadi__MX__nan__2(std::string ** err_msg, int x0);
casadi::MX*
    casadi__MX__nan__2(std::string ** err_msg, int x0){
    try {
        int x0_ = Marshaling<int,int>::marshal(x0);

        casadi::MX ret = casadi::MX::nan(x0_);
        // x0 is not a swig output

        return WrapReturn< casadi::MX*, casadi::MX >::wrapReturn( ret );
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return 0;
    }
}


// ================== Static method: "nan" ===============
// class: "casadi::MX"
// cppName: "casadi::MX::nan"
// cWrapperName: "casadi__MX__nan__3"
// protoArgs: "(std::string ** err_msg, int x0, int x1)"
// args: "(x0_, x1_)"
// rettype: UserType (Namespace ["casadi"]) (Name "MX")
// cWrapperRetType: "casadi::MX*"
// proto: "casadi::MX*\n    casadi__MX__nan__3(std::string ** err_msg, int x0, int x1)"
// call: "        casadi::MX ret = casadi::MX::nan(x0_, x1_);"
// params: [(CInt,SwigOutput False),(CInt,SwigOutput False)]
extern "C"
casadi::MX*
    casadi__MX__nan__3(std::string ** err_msg, int x0, int x1);
casadi::MX*
    casadi__MX__nan__3(std::string ** err_msg, int x0, int x1){
    try {
        int x0_ = Marshaling<int,int>::marshal(x0);
        int x1_ = Marshaling<int,int>::marshal(x1);

        casadi::MX ret = casadi::MX::nan(x0_, x1_);
        // x0 is not a swig output
        // x1 is not a swig output

        return WrapReturn< casadi::MX*, casadi::MX >::wrapReturn( ret );
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return 0;
    }
}


// ================== Static method: "nan" ===============
// class: "casadi::MX"
// cppName: "casadi::MX::nan"
// cWrapperName: "casadi__MX__nan__4"
// protoArgs: "(std::string ** err_msg, casadi::Sparsity* x0)"
// args: "(x0_)"
// rettype: UserType (Namespace ["casadi"]) (Name "MX")
// cWrapperRetType: "casadi::MX*"
// proto: "casadi::MX*\n    casadi__MX__nan__4(std::string ** err_msg, casadi::Sparsity* x0)"
// call: "        casadi::MX ret = casadi::MX::nan(x0_);"
// params: [(Ref (Const (UserType (Namespace ["casadi"]) (Name "Sparsity"))),SwigOutput False)]
extern "C"
casadi::MX*
    casadi__MX__nan__4(std::string ** err_msg, casadi::Sparsity* x0);
casadi::MX*
    casadi__MX__nan__4(std::string ** err_msg, casadi::Sparsity* x0){
    try {
        casadi::Sparsity& x0_ = Marshaling<casadi::Sparsity&,casadi::Sparsity*>::marshal(x0);

        casadi::MX ret = casadi::MX::nan(x0_);
        // x0 is not a swig output

        return WrapReturn< casadi::MX*, casadi::MX >::wrapReturn( ret );
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return 0;
    }
}


// ================== Normal method: "nnz" ===============
// class: "casadi::MX"
// cppName: "casadi::MX::nnz"
// cWrapperName: "casadi__MX__nnz"
// protoArgs: "(std::string ** err_msg, casadi::MX* obj)"
// args: "()"
// rettype: CInt
// cWrapperRetType: "int"
// proto: "int\n    casadi__MX__nnz(std::string ** err_msg, casadi::MX* obj)"
// call: "        int ret = obj->nnz();"
// params: []
extern "C"
int
    casadi__MX__nnz(std::string ** err_msg, casadi::MX* obj);
int
    casadi__MX__nnz(std::string ** err_msg, casadi::MX* obj){
    try {

        int ret = obj->nnz();

        return WrapReturn< int, int >::wrapReturn( ret );
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return 0;
    }
}


// ================== Normal method: "nnz_diag" ===============
// class: "casadi::MX"
// cppName: "casadi::MX::nnz_diag"
// cWrapperName: "casadi__MX__nnz_diag"
// protoArgs: "(std::string ** err_msg, casadi::MX* obj)"
// args: "()"
// rettype: CInt
// cWrapperRetType: "int"
// proto: "int\n    casadi__MX__nnz_diag(std::string ** err_msg, casadi::MX* obj)"
// call: "        int ret = obj->nnz_diag();"
// params: []
extern "C"
int
    casadi__MX__nnz_diag(std::string ** err_msg, casadi::MX* obj);
int
    casadi__MX__nnz_diag(std::string ** err_msg, casadi::MX* obj){
    try {

        int ret = obj->nnz_diag();

        return WrapReturn< int, int >::wrapReturn( ret );
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return 0;
    }
}


// ================== Normal method: "nnz_lower" ===============
// class: "casadi::MX"
// cppName: "casadi::MX::nnz_lower"
// cWrapperName: "casadi__MX__nnz_lower"
// protoArgs: "(std::string ** err_msg, casadi::MX* obj)"
// args: "()"
// rettype: CInt
// cWrapperRetType: "int"
// proto: "int\n    casadi__MX__nnz_lower(std::string ** err_msg, casadi::MX* obj)"
// call: "        int ret = obj->nnz_lower();"
// params: []
extern "C"
int
    casadi__MX__nnz_lower(std::string ** err_msg, casadi::MX* obj);
int
    casadi__MX__nnz_lower(std::string ** err_msg, casadi::MX* obj){
    try {

        int ret = obj->nnz_lower();

        return WrapReturn< int, int >::wrapReturn( ret );
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return 0;
    }
}


// ================== Normal method: "nnz_upper" ===============
// class: "casadi::MX"
// cppName: "casadi::MX::nnz_upper"
// cWrapperName: "casadi__MX__nnz_upper"
// protoArgs: "(std::string ** err_msg, casadi::MX* obj)"
// args: "()"
// rettype: CInt
// cWrapperRetType: "int"
// proto: "int\n    casadi__MX__nnz_upper(std::string ** err_msg, casadi::MX* obj)"
// call: "        int ret = obj->nnz_upper();"
// params: []
extern "C"
int
    casadi__MX__nnz_upper(std::string ** err_msg, casadi::MX* obj);
int
    casadi__MX__nnz_upper(std::string ** err_msg, casadi::MX* obj){
    try {

        int ret = obj->nnz_upper();

        return WrapReturn< int, int >::wrapReturn( ret );
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return 0;
    }
}


// ================== Normal method: "numFunctions" ===============
// class: "casadi::MX"
// cppName: "casadi::MX::numFunctions"
// cWrapperName: "casadi__MX__numFunctions"
// protoArgs: "(std::string ** err_msg, casadi::MX* obj)"
// args: "()"
// rettype: CInt
// cWrapperRetType: "int"
// proto: "int\n    casadi__MX__numFunctions(std::string ** err_msg, casadi::MX* obj)"
// call: "        int ret = obj->numFunctions();"
// params: []
extern "C"
int
    casadi__MX__numFunctions(std::string ** err_msg, casadi::MX* obj);
int
    casadi__MX__numFunctions(std::string ** err_msg, casadi::MX* obj){
    try {

        int ret = obj->numFunctions();

        return WrapReturn< int, int >::wrapReturn( ret );
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return 0;
    }
}


// ================== Normal method: "numel" ===============
// class: "casadi::MX"
// cppName: "casadi::MX::numel"
// cWrapperName: "casadi__MX__numel__0"
// protoArgs: "(std::string ** err_msg, casadi::MX* obj, int x0)"
// args: "(x0_)"
// rettype: CInt
// cWrapperRetType: "int"
// proto: "int\n    casadi__MX__numel__0(std::string ** err_msg, casadi::MX* obj, int x0)"
// call: "        int ret = obj->numel(x0_);"
// params: [(CInt,SwigOutput False)]
extern "C"
int
    casadi__MX__numel__0(std::string ** err_msg, casadi::MX* obj, int x0);
int
    casadi__MX__numel__0(std::string ** err_msg, casadi::MX* obj, int x0){
    try {
        int x0_ = Marshaling<int,int>::marshal(x0);

        int ret = obj->numel(x0_);
        // x0 is not a swig output

        return WrapReturn< int, int >::wrapReturn( ret );
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return 0;
    }
}


// ================== Normal method: "numel" ===============
// class: "casadi::MX"
// cppName: "casadi::MX::numel"
// cWrapperName: "casadi__MX__numel__1"
// protoArgs: "(std::string ** err_msg, casadi::MX* obj)"
// args: "()"
// rettype: CInt
// cWrapperRetType: "int"
// proto: "int\n    casadi__MX__numel__1(std::string ** err_msg, casadi::MX* obj)"
// call: "        int ret = obj->numel();"
// params: []
extern "C"
int
    casadi__MX__numel__1(std::string ** err_msg, casadi::MX* obj);
int
    casadi__MX__numel__1(std::string ** err_msg, casadi::MX* obj){
    try {

        int ret = obj->numel();

        return WrapReturn< int, int >::wrapReturn( ret );
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return 0;
    }
}


// ================== Static method: "ones" ===============
// class: "casadi::MX"
// cppName: "casadi::MX::ones"
// cWrapperName: "casadi__MX__ones__0"
// protoArgs: "(std::string ** err_msg, std::pair< int, int >* x0)"
// args: "(x0_)"
// rettype: UserType (Namespace ["casadi"]) (Name "MX")
// cWrapperRetType: "casadi::MX*"
// proto: "casadi::MX*\n    casadi__MX__ones__0(std::string ** err_msg, std::pair< int, int >* x0)"
// call: "        casadi::MX ret = casadi::MX::ones(x0_);"
// params: [(Ref (Const (StdPair CInt CInt)),SwigOutput False)]
extern "C"
casadi::MX*
    casadi__MX__ones__0(std::string ** err_msg, std::pair< int, int >* x0);
casadi::MX*
    casadi__MX__ones__0(std::string ** err_msg, std::pair< int, int >* x0){
    try {
        std::pair< int, int > x0_ = Marshaling<std::pair< int, int >,std::pair< int, int >*>::marshal(x0);

        casadi::MX ret = casadi::MX::ones(x0_);
        // x0 is not a swig output

        return WrapReturn< casadi::MX*, casadi::MX >::wrapReturn( ret );
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return 0;
    }
}


// ================== Static method: "ones" ===============
// class: "casadi::MX"
// cppName: "casadi::MX::ones"
// cWrapperName: "casadi__MX__ones__1"
// protoArgs: "(std::string ** err_msg, casadi::Sparsity* x0)"
// args: "(x0_)"
// rettype: UserType (Namespace ["casadi"]) (Name "MX")
// cWrapperRetType: "casadi::MX*"
// proto: "casadi::MX*\n    casadi__MX__ones__1(std::string ** err_msg, casadi::Sparsity* x0)"
// call: "        casadi::MX ret = casadi::MX::ones(x0_);"
// params: [(Ref (Const (UserType (Namespace ["casadi"]) (Name "Sparsity"))),SwigOutput False)]
extern "C"
casadi::MX*
    casadi__MX__ones__1(std::string ** err_msg, casadi::Sparsity* x0);
casadi::MX*
    casadi__MX__ones__1(std::string ** err_msg, casadi::Sparsity* x0){
    try {
        casadi::Sparsity& x0_ = Marshaling<casadi::Sparsity&,casadi::Sparsity*>::marshal(x0);

        casadi::MX ret = casadi::MX::ones(x0_);
        // x0 is not a swig output

        return WrapReturn< casadi::MX*, casadi::MX >::wrapReturn( ret );
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return 0;
    }
}


// ================== Static method: "ones" ===============
// class: "casadi::MX"
// cppName: "casadi::MX::ones"
// cWrapperName: "casadi__MX__ones__2"
// protoArgs: "(std::string ** err_msg)"
// args: "()"
// rettype: UserType (Namespace ["casadi"]) (Name "MX")
// cWrapperRetType: "casadi::MX*"
// proto: "casadi::MX*\n    casadi__MX__ones__2(std::string ** err_msg)"
// call: "        casadi::MX ret = casadi::MX::ones();"
// params: []
extern "C"
casadi::MX*
    casadi__MX__ones__2(std::string ** err_msg);
casadi::MX*
    casadi__MX__ones__2(std::string ** err_msg){
    try {

        casadi::MX ret = casadi::MX::ones();

        return WrapReturn< casadi::MX*, casadi::MX >::wrapReturn( ret );
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return 0;
    }
}


// ================== Static method: "ones" ===============
// class: "casadi::MX"
// cppName: "casadi::MX::ones"
// cWrapperName: "casadi__MX__ones__3"
// protoArgs: "(std::string ** err_msg, int x0)"
// args: "(x0_)"
// rettype: UserType (Namespace ["casadi"]) (Name "MX")
// cWrapperRetType: "casadi::MX*"
// proto: "casadi::MX*\n    casadi__MX__ones__3(std::string ** err_msg, int x0)"
// call: "        casadi::MX ret = casadi::MX::ones(x0_);"
// params: [(CInt,SwigOutput False)]
extern "C"
casadi::MX*
    casadi__MX__ones__3(std::string ** err_msg, int x0);
casadi::MX*
    casadi__MX__ones__3(std::string ** err_msg, int x0){
    try {
        int x0_ = Marshaling<int,int>::marshal(x0);

        casadi::MX ret = casadi::MX::ones(x0_);
        // x0 is not a swig output

        return WrapReturn< casadi::MX*, casadi::MX >::wrapReturn( ret );
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return 0;
    }
}


// ================== Static method: "ones" ===============
// class: "casadi::MX"
// cppName: "casadi::MX::ones"
// cWrapperName: "casadi__MX__ones__4"
// protoArgs: "(std::string ** err_msg, int x0, int x1)"
// args: "(x0_, x1_)"
// rettype: UserType (Namespace ["casadi"]) (Name "MX")
// cWrapperRetType: "casadi::MX*"
// proto: "casadi::MX*\n    casadi__MX__ones__4(std::string ** err_msg, int x0, int x1)"
// call: "        casadi::MX ret = casadi::MX::ones(x0_, x1_);"
// params: [(CInt,SwigOutput False),(CInt,SwigOutput False)]
extern "C"
casadi::MX*
    casadi__MX__ones__4(std::string ** err_msg, int x0, int x1);
casadi::MX*
    casadi__MX__ones__4(std::string ** err_msg, int x0, int x1){
    try {
        int x0_ = Marshaling<int,int>::marshal(x0);
        int x1_ = Marshaling<int,int>::marshal(x1);

        casadi::MX ret = casadi::MX::ones(x0_, x1_);
        // x0 is not a swig output
        // x1 is not a swig output

        return WrapReturn< casadi::MX*, casadi::MX >::wrapReturn( ret );
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return 0;
    }
}


// ================== Normal method: "op" ===============
// class: "casadi::MX"
// cppName: "casadi::MX::op"
// cWrapperName: "casadi__MX__op"
// protoArgs: "(std::string ** err_msg, casadi::MX* obj)"
// args: "()"
// rettype: CInt
// cWrapperRetType: "int"
// proto: "int\n    casadi__MX__op(std::string ** err_msg, casadi::MX* obj)"
// call: "        int ret = obj->op();"
// params: []
extern "C"
int
    casadi__MX__op(std::string ** err_msg, casadi::MX* obj);
int
    casadi__MX__op(std::string ** err_msg, casadi::MX* obj){
    try {

        int ret = obj->op();

        return WrapReturn< int, int >::wrapReturn( ret );
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return 0;
    }
}


// ================== Normal method: "operator -" ===============
// class: "casadi::MX"
// cppName: "casadi::MX::operator -"
// cWrapperName: "casadi__MX__operator__minus"
// protoArgs: "(std::string ** err_msg, casadi::MX* obj)"
// args: "()"
// rettype: UserType (Namespace ["casadi"]) (Name "MX")
// cWrapperRetType: "casadi::MX*"
// proto: "casadi::MX*\n    casadi__MX__operator__minus(std::string ** err_msg, casadi::MX* obj)"
// call: "        casadi::MX ret = obj->operator -();"
// params: []
extern "C"
casadi::MX*
    casadi__MX__operator__minus(std::string ** err_msg, casadi::MX* obj);
casadi::MX*
    casadi__MX__operator__minus(std::string ** err_msg, casadi::MX* obj){
    try {

        casadi::MX ret = obj->operator -();

        return WrapReturn< casadi::MX*, casadi::MX >::wrapReturn( ret );
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return 0;
    }
}


// ================== Normal method: "operator casadi::Matrix<double>" ===============
// class: "casadi::MX"
// cppName: "casadi::MX::operator casadi::Matrix<double>"
// cWrapperName: "casadi__MX__operator_casadi__Matrix_double_"
// protoArgs: "(std::string ** err_msg, casadi::MX* obj)"
// args: "()"
// rettype: UserType (Namespace ["casadi"]) (Name "DM")
// cWrapperRetType: "casadi::DM*"
// proto: "casadi::DM*\n    casadi__MX__operator_casadi__Matrix_double_(std::string ** err_msg, casadi::MX* obj)"
// call: "        casadi::DM ret = obj->operator casadi::Matrix<double>();"
// params: []
extern "C"
casadi::DM*
    casadi__MX__operator_casadi__Matrix_double_(std::string ** err_msg, casadi::MX* obj);
casadi::DM*
    casadi__MX__operator_casadi__Matrix_double_(std::string ** err_msg, casadi::MX* obj){
    try {

        casadi::DM ret = obj->operator casadi::Matrix<double>();

        return WrapReturn< casadi::DM*, casadi::DM >::wrapReturn( ret );
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return 0;
    }
}


// ================== Normal method: "operator double" ===============
// class: "casadi::MX"
// cppName: "casadi::MX::operator double"
// cWrapperName: "casadi__MX__operator_double"
// protoArgs: "(std::string ** err_msg, casadi::MX* obj)"
// args: "()"
// rettype: CDouble
// cWrapperRetType: "double"
// proto: "double\n    casadi__MX__operator_double(std::string ** err_msg, casadi::MX* obj)"
// call: "        double ret = obj->operator double();"
// params: []
extern "C"
double
    casadi__MX__operator_double(std::string ** err_msg, casadi::MX* obj);
double
    casadi__MX__operator_double(std::string ** err_msg, casadi::MX* obj){
    try {

        double ret = obj->operator double();

        return WrapReturn< double, double >::wrapReturn( ret );
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return 0;
    }
}


// ================== Normal method: "primitives" ===============
// class: "casadi::MX"
// cppName: "casadi::MX::primitives"
// cWrapperName: "casadi__MX__primitives"
// protoArgs: "(std::string ** err_msg, casadi::MX* obj)"
// args: "()"
// rettype: StdVec (UserType (Namespace ["casadi"]) (Name "MX"))
// cWrapperRetType: "std::vector< casadi::MX* >*"
// proto: "std::vector< casadi::MX* >*\n    casadi__MX__primitives(std::string ** err_msg, casadi::MX* obj)"
// call: "        std::vector< casadi::MX > ret = obj->primitives();"
// params: []
extern "C"
std::vector< casadi::MX* >*
    casadi__MX__primitives(std::string ** err_msg, casadi::MX* obj);
std::vector< casadi::MX* >*
    casadi__MX__primitives(std::string ** err_msg, casadi::MX* obj){
    try {

        std::vector< casadi::MX > ret = obj->primitives();

        return WrapReturn< std::vector< casadi::MX* >*, std::vector< casadi::MX > >::wrapReturn( ret );
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return 0;
    }
}


// ================== Normal method: "printme" ===============
// class: "casadi::MX"
// cppName: "casadi::MX::printme"
// cWrapperName: "casadi__MX__printme"
// protoArgs: "(std::string ** err_msg, casadi::MX* obj, casadi::MX* x0)"
// args: "(x0_)"
// rettype: UserType (Namespace ["casadi"]) (Name "MX")
// cWrapperRetType: "casadi::MX*"
// proto: "casadi::MX*\n    casadi__MX__printme(std::string ** err_msg, casadi::MX* obj, casadi::MX* x0)"
// call: "        casadi::MX ret = obj->printme(x0_);"
// params: [(Ref (Const (UserType (Namespace ["casadi"]) (Name "MX"))),SwigOutput False)]
extern "C"
casadi::MX*
    casadi__MX__printme(std::string ** err_msg, casadi::MX* obj, casadi::MX* x0);
casadi::MX*
    casadi__MX__printme(std::string ** err_msg, casadi::MX* obj, casadi::MX* x0){
    try {
        casadi::MX& x0_ = Marshaling<casadi::MX&,casadi::MX*>::marshal(x0);

        casadi::MX ret = obj->printme(x0_);
        // x0 is not a swig output

        return WrapReturn< casadi::MX*, casadi::MX >::wrapReturn( ret );
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return 0;
    }
}


// ================== Normal method: "resetInput" ===============
// class: "casadi::MX"
// cppName: "casadi::MX::resetInput"
// cWrapperName: "casadi__MX__resetInput"
// protoArgs: "(std::string ** err_msg, casadi::MX* obj)"
// args: "()"
// rettype: CVoid
// cWrapperRetType: "void"
// proto: "void\n    casadi__MX__resetInput(std::string ** err_msg, casadi::MX* obj)"
// call: "        obj->resetInput();"
// params: []
extern "C"
void
    casadi__MX__resetInput(std::string ** err_msg, casadi::MX* obj);
void
    casadi__MX__resetInput(std::string ** err_msg, casadi::MX* obj){
    try {

        obj->resetInput();

        return;
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return;
    }
}


// ================== Normal method: "row" ===============
// class: "casadi::MX"
// cppName: "casadi::MX::row"
// cWrapperName: "casadi__MX__row"
// protoArgs: "(std::string ** err_msg, casadi::MX* obj, int x0)"
// args: "(x0_)"
// rettype: CInt
// cWrapperRetType: "int"
// proto: "int\n    casadi__MX__row(std::string ** err_msg, casadi::MX* obj, int x0)"
// call: "        int ret = obj->row(x0_);"
// params: [(CInt,SwigOutput False)]
extern "C"
int
    casadi__MX__row(std::string ** err_msg, casadi::MX* obj, int x0);
int
    casadi__MX__row(std::string ** err_msg, casadi::MX* obj, int x0){
    try {
        int x0_ = Marshaling<int,int>::marshal(x0);

        int ret = obj->row(x0_);
        // x0 is not a swig output

        return WrapReturn< int, int >::wrapReturn( ret );
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return 0;
    }
}


// ================== Normal method: "set" ===============
// class: "casadi::MX"
// cppName: "casadi::MX::set"
// cWrapperName: "casadi__MX__set__0"
// protoArgs: "(std::string ** err_msg, casadi::MX* obj, casadi::MX* x0, int x1, casadi::IM* x2, casadi::IM* x3)"
// args: "(x0_, x1_, x2_, x3_)"
// rettype: CVoid
// cWrapperRetType: "void"
// proto: "void\n    casadi__MX__set__0(std::string ** err_msg, casadi::MX* obj, casadi::MX* x0, int x1, casadi::IM* x2, casadi::IM* x3)"
// call: "        obj->set(x0_, x1_, x2_, x3_);"
// params: [(Ref (Const (UserType (Namespace ["casadi"]) (Name "MX"))),SwigOutput False),(CBool,SwigOutput False),(Ref (Const (UserType (Namespace ["casadi"]) (Name "IM"))),SwigOutput False),(Ref (Const (UserType (Namespace ["casadi"]) (Name "IM"))),SwigOutput False)]
extern "C"
void
    casadi__MX__set__0(std::string ** err_msg, casadi::MX* obj, casadi::MX* x0, int x1, casadi::IM* x2, casadi::IM* x3);
void
    casadi__MX__set__0(std::string ** err_msg, casadi::MX* obj, casadi::MX* x0, int x1, casadi::IM* x2, casadi::IM* x3){
    try {
        casadi::MX& x0_ = Marshaling<casadi::MX&,casadi::MX*>::marshal(x0);
        bool x1_ = Marshaling<bool,int>::marshal(x1);
        casadi::IM& x2_ = Marshaling<casadi::IM&,casadi::IM*>::marshal(x2);
        casadi::IM& x3_ = Marshaling<casadi::IM&,casadi::IM*>::marshal(x3);

        obj->set(x0_, x1_, x2_, x3_);
        // x0 is not a swig output
        // x1 is not a swig output
        // x2 is not a swig output
        // x3 is not a swig output

        return;
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return;
    }
}


// ================== Normal method: "set" ===============
// class: "casadi::MX"
// cppName: "casadi::MX::set"
// cWrapperName: "casadi__MX__set__1"
// protoArgs: "(std::string ** err_msg, casadi::MX* obj, casadi::MX* x0, int x1, casadi::IM* x2, casadi::Slice* x3)"
// args: "(x0_, x1_, x2_, x3_)"
// rettype: CVoid
// cWrapperRetType: "void"
// proto: "void\n    casadi__MX__set__1(std::string ** err_msg, casadi::MX* obj, casadi::MX* x0, int x1, casadi::IM* x2, casadi::Slice* x3)"
// call: "        obj->set(x0_, x1_, x2_, x3_);"
// params: [(Ref (Const (UserType (Namespace ["casadi"]) (Name "MX"))),SwigOutput False),(CBool,SwigOutput False),(Ref (Const (UserType (Namespace ["casadi"]) (Name "IM"))),SwigOutput False),(Ref (Const (UserType (Namespace ["casadi"]) (Name "Slice"))),SwigOutput False)]
extern "C"
void
    casadi__MX__set__1(std::string ** err_msg, casadi::MX* obj, casadi::MX* x0, int x1, casadi::IM* x2, casadi::Slice* x3);
void
    casadi__MX__set__1(std::string ** err_msg, casadi::MX* obj, casadi::MX* x0, int x1, casadi::IM* x2, casadi::Slice* x3){
    try {
        casadi::MX& x0_ = Marshaling<casadi::MX&,casadi::MX*>::marshal(x0);
        bool x1_ = Marshaling<bool,int>::marshal(x1);
        casadi::IM& x2_ = Marshaling<casadi::IM&,casadi::IM*>::marshal(x2);
        casadi::Slice& x3_ = Marshaling<casadi::Slice&,casadi::Slice*>::marshal(x3);

        obj->set(x0_, x1_, x2_, x3_);
        // x0 is not a swig output
        // x1 is not a swig output
        // x2 is not a swig output
        // x3 is not a swig output

        return;
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return;
    }
}


// ================== Normal method: "set" ===============
// class: "casadi::MX"
// cppName: "casadi::MX::set"
// cWrapperName: "casadi__MX__set__2"
// protoArgs: "(std::string ** err_msg, casadi::MX* obj, casadi::MX* x0, int x1, casadi::Slice* x2, casadi::IM* x3)"
// args: "(x0_, x1_, x2_, x3_)"
// rettype: CVoid
// cWrapperRetType: "void"
// proto: "void\n    casadi__MX__set__2(std::string ** err_msg, casadi::MX* obj, casadi::MX* x0, int x1, casadi::Slice* x2, casadi::IM* x3)"
// call: "        obj->set(x0_, x1_, x2_, x3_);"
// params: [(Ref (Const (UserType (Namespace ["casadi"]) (Name "MX"))),SwigOutput False),(CBool,SwigOutput False),(Ref (Const (UserType (Namespace ["casadi"]) (Name "Slice"))),SwigOutput False),(Ref (Const (UserType (Namespace ["casadi"]) (Name "IM"))),SwigOutput False)]
extern "C"
void
    casadi__MX__set__2(std::string ** err_msg, casadi::MX* obj, casadi::MX* x0, int x1, casadi::Slice* x2, casadi::IM* x3);
void
    casadi__MX__set__2(std::string ** err_msg, casadi::MX* obj, casadi::MX* x0, int x1, casadi::Slice* x2, casadi::IM* x3){
    try {
        casadi::MX& x0_ = Marshaling<casadi::MX&,casadi::MX*>::marshal(x0);
        bool x1_ = Marshaling<bool,int>::marshal(x1);
        casadi::Slice& x2_ = Marshaling<casadi::Slice&,casadi::Slice*>::marshal(x2);
        casadi::IM& x3_ = Marshaling<casadi::IM&,casadi::IM*>::marshal(x3);

        obj->set(x0_, x1_, x2_, x3_);
        // x0 is not a swig output
        // x1 is not a swig output
        // x2 is not a swig output
        // x3 is not a swig output

        return;
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return;
    }
}


// ================== Normal method: "set" ===============
// class: "casadi::MX"
// cppName: "casadi::MX::set"
// cWrapperName: "casadi__MX__set__3"
// protoArgs: "(std::string ** err_msg, casadi::MX* obj, casadi::MX* x0, int x1, casadi::Slice* x2, casadi::Slice* x3)"
// args: "(x0_, x1_, x2_, x3_)"
// rettype: CVoid
// cWrapperRetType: "void"
// proto: "void\n    casadi__MX__set__3(std::string ** err_msg, casadi::MX* obj, casadi::MX* x0, int x1, casadi::Slice* x2, casadi::Slice* x3)"
// call: "        obj->set(x0_, x1_, x2_, x3_);"
// params: [(Ref (Const (UserType (Namespace ["casadi"]) (Name "MX"))),SwigOutput False),(CBool,SwigOutput False),(Ref (Const (UserType (Namespace ["casadi"]) (Name "Slice"))),SwigOutput False),(Ref (Const (UserType (Namespace ["casadi"]) (Name "Slice"))),SwigOutput False)]
extern "C"
void
    casadi__MX__set__3(std::string ** err_msg, casadi::MX* obj, casadi::MX* x0, int x1, casadi::Slice* x2, casadi::Slice* x3);
void
    casadi__MX__set__3(std::string ** err_msg, casadi::MX* obj, casadi::MX* x0, int x1, casadi::Slice* x2, casadi::Slice* x3){
    try {
        casadi::MX& x0_ = Marshaling<casadi::MX&,casadi::MX*>::marshal(x0);
        bool x1_ = Marshaling<bool,int>::marshal(x1);
        casadi::Slice& x2_ = Marshaling<casadi::Slice&,casadi::Slice*>::marshal(x2);
        casadi::Slice& x3_ = Marshaling<casadi::Slice&,casadi::Slice*>::marshal(x3);

        obj->set(x0_, x1_, x2_, x3_);
        // x0 is not a swig output
        // x1 is not a swig output
        // x2 is not a swig output
        // x3 is not a swig output

        return;
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return;
    }
}


// ================== Normal method: "set" ===============
// class: "casadi::MX"
// cppName: "casadi::MX::set"
// cWrapperName: "casadi__MX__set__4"
// protoArgs: "(std::string ** err_msg, casadi::MX* obj, casadi::MX* x0, int x1, casadi::Sparsity* x2)"
// args: "(x0_, x1_, x2_)"
// rettype: CVoid
// cWrapperRetType: "void"
// proto: "void\n    casadi__MX__set__4(std::string ** err_msg, casadi::MX* obj, casadi::MX* x0, int x1, casadi::Sparsity* x2)"
// call: "        obj->set(x0_, x1_, x2_);"
// params: [(Ref (Const (UserType (Namespace ["casadi"]) (Name "MX"))),SwigOutput False),(CBool,SwigOutput False),(Ref (Const (UserType (Namespace ["casadi"]) (Name "Sparsity"))),SwigOutput False)]
extern "C"
void
    casadi__MX__set__4(std::string ** err_msg, casadi::MX* obj, casadi::MX* x0, int x1, casadi::Sparsity* x2);
void
    casadi__MX__set__4(std::string ** err_msg, casadi::MX* obj, casadi::MX* x0, int x1, casadi::Sparsity* x2){
    try {
        casadi::MX& x0_ = Marshaling<casadi::MX&,casadi::MX*>::marshal(x0);
        bool x1_ = Marshaling<bool,int>::marshal(x1);
        casadi::Sparsity& x2_ = Marshaling<casadi::Sparsity&,casadi::Sparsity*>::marshal(x2);

        obj->set(x0_, x1_, x2_);
        // x0 is not a swig output
        // x1 is not a swig output
        // x2 is not a swig output

        return;
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return;
    }
}


// ================== Normal method: "set" ===============
// class: "casadi::MX"
// cppName: "casadi::MX::set"
// cWrapperName: "casadi__MX__set__5"
// protoArgs: "(std::string ** err_msg, casadi::MX* obj, casadi::MX* x0, int x1, casadi::IM* x2)"
// args: "(x0_, x1_, x2_)"
// rettype: CVoid
// cWrapperRetType: "void"
// proto: "void\n    casadi__MX__set__5(std::string ** err_msg, casadi::MX* obj, casadi::MX* x0, int x1, casadi::IM* x2)"
// call: "        obj->set(x0_, x1_, x2_);"
// params: [(Ref (Const (UserType (Namespace ["casadi"]) (Name "MX"))),SwigOutput False),(CBool,SwigOutput False),(Ref (Const (UserType (Namespace ["casadi"]) (Name "IM"))),SwigOutput False)]
extern "C"
void
    casadi__MX__set__5(std::string ** err_msg, casadi::MX* obj, casadi::MX* x0, int x1, casadi::IM* x2);
void
    casadi__MX__set__5(std::string ** err_msg, casadi::MX* obj, casadi::MX* x0, int x1, casadi::IM* x2){
    try {
        casadi::MX& x0_ = Marshaling<casadi::MX&,casadi::MX*>::marshal(x0);
        bool x1_ = Marshaling<bool,int>::marshal(x1);
        casadi::IM& x2_ = Marshaling<casadi::IM&,casadi::IM*>::marshal(x2);

        obj->set(x0_, x1_, x2_);
        // x0 is not a swig output
        // x1 is not a swig output
        // x2 is not a swig output

        return;
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return;
    }
}


// ================== Normal method: "set" ===============
// class: "casadi::MX"
// cppName: "casadi::MX::set"
// cWrapperName: "casadi__MX__set__6"
// protoArgs: "(std::string ** err_msg, casadi::MX* obj, casadi::MX* x0, int x1, casadi::Slice* x2)"
// args: "(x0_, x1_, x2_)"
// rettype: CVoid
// cWrapperRetType: "void"
// proto: "void\n    casadi__MX__set__6(std::string ** err_msg, casadi::MX* obj, casadi::MX* x0, int x1, casadi::Slice* x2)"
// call: "        obj->set(x0_, x1_, x2_);"
// params: [(Ref (Const (UserType (Namespace ["casadi"]) (Name "MX"))),SwigOutput False),(CBool,SwigOutput False),(Ref (Const (UserType (Namespace ["casadi"]) (Name "Slice"))),SwigOutput False)]
extern "C"
void
    casadi__MX__set__6(std::string ** err_msg, casadi::MX* obj, casadi::MX* x0, int x1, casadi::Slice* x2);
void
    casadi__MX__set__6(std::string ** err_msg, casadi::MX* obj, casadi::MX* x0, int x1, casadi::Slice* x2){
    try {
        casadi::MX& x0_ = Marshaling<casadi::MX&,casadi::MX*>::marshal(x0);
        bool x1_ = Marshaling<bool,int>::marshal(x1);
        casadi::Slice& x2_ = Marshaling<casadi::Slice&,casadi::Slice*>::marshal(x2);

        obj->set(x0_, x1_, x2_);
        // x0 is not a swig output
        // x1 is not a swig output
        // x2 is not a swig output

        return;
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return;
    }
}


// ================== Static method: "setEqualityCheckingDepth" ===============
// class: "casadi::MX"
// cppName: "casadi::MX::setEqualityCheckingDepth"
// cWrapperName: "casadi__MX__setEqualityCheckingDepth__0"
// protoArgs: "(std::string ** err_msg)"
// args: "()"
// rettype: CVoid
// cWrapperRetType: "void"
// proto: "void\n    casadi__MX__setEqualityCheckingDepth__0(std::string ** err_msg)"
// call: "        casadi::MX::setEqualityCheckingDepth();"
// params: []
extern "C"
void
    casadi__MX__setEqualityCheckingDepth__0(std::string ** err_msg);
void
    casadi__MX__setEqualityCheckingDepth__0(std::string ** err_msg){
    try {

        casadi::MX::setEqualityCheckingDepth();

        return;
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return;
    }
}


// ================== Static method: "setEqualityCheckingDepth" ===============
// class: "casadi::MX"
// cppName: "casadi::MX::setEqualityCheckingDepth"
// cWrapperName: "casadi__MX__setEqualityCheckingDepth__1"
// protoArgs: "(std::string ** err_msg, int x0)"
// args: "(x0_)"
// rettype: CVoid
// cWrapperRetType: "void"
// proto: "void\n    casadi__MX__setEqualityCheckingDepth__1(std::string ** err_msg, int x0)"
// call: "        casadi::MX::setEqualityCheckingDepth(x0_);"
// params: [(CInt,SwigOutput False)]
extern "C"
void
    casadi__MX__setEqualityCheckingDepth__1(std::string ** err_msg, int x0);
void
    casadi__MX__setEqualityCheckingDepth__1(std::string ** err_msg, int x0){
    try {
        int x0_ = Marshaling<int,int>::marshal(x0);

        casadi::MX::setEqualityCheckingDepth(x0_);
        // x0 is not a swig output

        return;
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return;
    }
}


// ================== Normal method: "setTemp" ===============
// class: "casadi::MX"
// cppName: "casadi::MX::setTemp"
// cWrapperName: "casadi__MX__setTemp"
// protoArgs: "(std::string ** err_msg, casadi::MX* obj, int x0)"
// args: "(x0_)"
// rettype: CVoid
// cWrapperRetType: "void"
// proto: "void\n    casadi__MX__setTemp(std::string ** err_msg, casadi::MX* obj, int x0)"
// call: "        obj->setTemp(x0_);"
// params: [(CInt,SwigOutput False)]
extern "C"
void
    casadi__MX__setTemp(std::string ** err_msg, casadi::MX* obj, int x0);
void
    casadi__MX__setTemp(std::string ** err_msg, casadi::MX* obj, int x0){
    try {
        int x0_ = Marshaling<int,int>::marshal(x0);

        obj->setTemp(x0_);
        // x0 is not a swig output

        return;
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return;
    }
}


// ================== Normal method: "set_nz" ===============
// class: "casadi::MX"
// cppName: "casadi::MX::set_nz"
// cWrapperName: "casadi__MX__set_nz__0"
// protoArgs: "(std::string ** err_msg, casadi::MX* obj, casadi::MX* x0, int x1, casadi::IM* x2)"
// args: "(x0_, x1_, x2_)"
// rettype: CVoid
// cWrapperRetType: "void"
// proto: "void\n    casadi__MX__set_nz__0(std::string ** err_msg, casadi::MX* obj, casadi::MX* x0, int x1, casadi::IM* x2)"
// call: "        obj->set_nz(x0_, x1_, x2_);"
// params: [(Ref (Const (UserType (Namespace ["casadi"]) (Name "MX"))),SwigOutput False),(CBool,SwigOutput False),(Ref (Const (UserType (Namespace ["casadi"]) (Name "IM"))),SwigOutput False)]
extern "C"
void
    casadi__MX__set_nz__0(std::string ** err_msg, casadi::MX* obj, casadi::MX* x0, int x1, casadi::IM* x2);
void
    casadi__MX__set_nz__0(std::string ** err_msg, casadi::MX* obj, casadi::MX* x0, int x1, casadi::IM* x2){
    try {
        casadi::MX& x0_ = Marshaling<casadi::MX&,casadi::MX*>::marshal(x0);
        bool x1_ = Marshaling<bool,int>::marshal(x1);
        casadi::IM& x2_ = Marshaling<casadi::IM&,casadi::IM*>::marshal(x2);

        obj->set_nz(x0_, x1_, x2_);
        // x0 is not a swig output
        // x1 is not a swig output
        // x2 is not a swig output

        return;
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return;
    }
}


// ================== Normal method: "set_nz" ===============
// class: "casadi::MX"
// cppName: "casadi::MX::set_nz"
// cWrapperName: "casadi__MX__set_nz__1"
// protoArgs: "(std::string ** err_msg, casadi::MX* obj, casadi::MX* x0, int x1, casadi::Slice* x2)"
// args: "(x0_, x1_, x2_)"
// rettype: CVoid
// cWrapperRetType: "void"
// proto: "void\n    casadi__MX__set_nz__1(std::string ** err_msg, casadi::MX* obj, casadi::MX* x0, int x1, casadi::Slice* x2)"
// call: "        obj->set_nz(x0_, x1_, x2_);"
// params: [(Ref (Const (UserType (Namespace ["casadi"]) (Name "MX"))),SwigOutput False),(CBool,SwigOutput False),(Ref (Const (UserType (Namespace ["casadi"]) (Name "Slice"))),SwigOutput False)]
extern "C"
void
    casadi__MX__set_nz__1(std::string ** err_msg, casadi::MX* obj, casadi::MX* x0, int x1, casadi::Slice* x2);
void
    casadi__MX__set_nz__1(std::string ** err_msg, casadi::MX* obj, casadi::MX* x0, int x1, casadi::Slice* x2){
    try {
        casadi::MX& x0_ = Marshaling<casadi::MX&,casadi::MX*>::marshal(x0);
        bool x1_ = Marshaling<bool,int>::marshal(x1);
        casadi::Slice& x2_ = Marshaling<casadi::Slice&,casadi::Slice*>::marshal(x2);

        obj->set_nz(x0_, x1_, x2_);
        // x0 is not a swig output
        // x1 is not a swig output
        // x2 is not a swig output

        return;
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return;
    }
}


// ================== Normal method: "size" ===============
// class: "casadi::MX"
// cppName: "casadi::MX::size"
// cWrapperName: "casadi__MX__size__0"
// protoArgs: "(std::string ** err_msg, casadi::MX* obj, int x0)"
// args: "(x0_)"
// rettype: CInt
// cWrapperRetType: "int"
// proto: "int\n    casadi__MX__size__0(std::string ** err_msg, casadi::MX* obj, int x0)"
// call: "        int ret = obj->size(x0_);"
// params: [(CInt,SwigOutput False)]
extern "C"
int
    casadi__MX__size__0(std::string ** err_msg, casadi::MX* obj, int x0);
int
    casadi__MX__size__0(std::string ** err_msg, casadi::MX* obj, int x0){
    try {
        int x0_ = Marshaling<int,int>::marshal(x0);

        int ret = obj->size(x0_);
        // x0 is not a swig output

        return WrapReturn< int, int >::wrapReturn( ret );
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return 0;
    }
}


// ================== Normal method: "size" ===============
// class: "casadi::MX"
// cppName: "casadi::MX::size"
// cWrapperName: "casadi__MX__size__1"
// protoArgs: "(std::string ** err_msg, casadi::MX* obj)"
// args: "()"
// rettype: StdPair CInt CInt
// cWrapperRetType: "std::pair< int, int >*"
// proto: "std::pair< int, int >*\n    casadi__MX__size__1(std::string ** err_msg, casadi::MX* obj)"
// call: "        std::pair< int, int > ret = obj->size();"
// params: []
extern "C"
std::pair< int, int >*
    casadi__MX__size__1(std::string ** err_msg, casadi::MX* obj);
std::pair< int, int >*
    casadi__MX__size__1(std::string ** err_msg, casadi::MX* obj){
    try {

        std::pair< int, int > ret = obj->size();

        return WrapReturn< std::pair< int, int >*, std::pair< int, int > >::wrapReturn( ret );
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return 0;
    }
}


// ================== Normal method: "size1" ===============
// class: "casadi::MX"
// cppName: "casadi::MX::size1"
// cWrapperName: "casadi__MX__size1"
// protoArgs: "(std::string ** err_msg, casadi::MX* obj)"
// args: "()"
// rettype: CInt
// cWrapperRetType: "int"
// proto: "int\n    casadi__MX__size1(std::string ** err_msg, casadi::MX* obj)"
// call: "        int ret = obj->size1();"
// params: []
extern "C"
int
    casadi__MX__size1(std::string ** err_msg, casadi::MX* obj);
int
    casadi__MX__size1(std::string ** err_msg, casadi::MX* obj){
    try {

        int ret = obj->size1();

        return WrapReturn< int, int >::wrapReturn( ret );
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return 0;
    }
}


// ================== Normal method: "size2" ===============
// class: "casadi::MX"
// cppName: "casadi::MX::size2"
// cWrapperName: "casadi__MX__size2"
// protoArgs: "(std::string ** err_msg, casadi::MX* obj)"
// args: "()"
// rettype: CInt
// cWrapperRetType: "int"
// proto: "int\n    casadi__MX__size2(std::string ** err_msg, casadi::MX* obj)"
// call: "        int ret = obj->size2();"
// params: []
extern "C"
int
    casadi__MX__size2(std::string ** err_msg, casadi::MX* obj);
int
    casadi__MX__size2(std::string ** err_msg, casadi::MX* obj){
    try {

        int ret = obj->size2();

        return WrapReturn< int, int >::wrapReturn( ret );
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return 0;
    }
}


// ================== Normal method: "sparsity" ===============
// class: "casadi::MX"
// cppName: "casadi::MX::sparsity"
// cWrapperName: "casadi__MX__sparsity"
// protoArgs: "(std::string ** err_msg, casadi::MX* obj)"
// args: "()"
// rettype: Const (UserType (Namespace ["casadi"]) (Name "Sparsity"))
// cWrapperRetType: "casadi::Sparsity*"
// proto: "casadi::Sparsity*\n    casadi__MX__sparsity(std::string ** err_msg, casadi::MX* obj)"
// call: "        casadi::Sparsity ret = obj->sparsity();"
// params: []
extern "C"
casadi::Sparsity*
    casadi__MX__sparsity(std::string ** err_msg, casadi::MX* obj);
casadi::Sparsity*
    casadi__MX__sparsity(std::string ** err_msg, casadi::MX* obj){
    try {

        casadi::Sparsity ret = obj->sparsity();

        return WrapReturn< casadi::Sparsity*, casadi::Sparsity >::wrapReturn( ret );
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return 0;
    }
}


// ================== Normal method: "split_primitives" ===============
// class: "casadi::MX"
// cppName: "casadi::MX::split_primitives"
// cWrapperName: "casadi__MX__split_primitives"
// protoArgs: "(std::string ** err_msg, casadi::MX* obj, casadi::MX* x0)"
// args: "(x0_)"
// rettype: StdVec (UserType (Namespace ["casadi"]) (Name "MX"))
// cWrapperRetType: "std::vector< casadi::MX* >*"
// proto: "std::vector< casadi::MX* >*\n    casadi__MX__split_primitives(std::string ** err_msg, casadi::MX* obj, casadi::MX* x0)"
// call: "        std::vector< casadi::MX > ret = obj->split_primitives(x0_);"
// params: [(Ref (Const (UserType (Namespace ["casadi"]) (Name "MX"))),SwigOutput False)]
extern "C"
std::vector< casadi::MX* >*
    casadi__MX__split_primitives(std::string ** err_msg, casadi::MX* obj, casadi::MX* x0);
std::vector< casadi::MX* >*
    casadi__MX__split_primitives(std::string ** err_msg, casadi::MX* obj, casadi::MX* x0){
    try {
        casadi::MX& x0_ = Marshaling<casadi::MX&,casadi::MX*>::marshal(x0);

        std::vector< casadi::MX > ret = obj->split_primitives(x0_);
        // x0 is not a swig output

        return WrapReturn< std::vector< casadi::MX* >*, std::vector< casadi::MX > >::wrapReturn( ret );
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return 0;
    }
}


// ================== Static method: "sym" ===============
// class: "casadi::MX"
// cppName: "casadi::MX::sym"
// cWrapperName: "casadi__MX__sym__0"
// protoArgs: "(std::string ** err_msg, std::string* x0, int x1, int x2, int x3, int x4)"
// args: "(x0_, x1_, x2_, x3_, x4_)"
// rettype: StdVec (StdVec (UserType (Namespace ["casadi"]) (Name "MX")))
// cWrapperRetType: "std::vector< std::vector< casadi::MX* >* >*"
// proto: "std::vector< std::vector< casadi::MX* >* >*\n    casadi__MX__sym__0(std::string ** err_msg, std::string* x0, int x1, int x2, int x3, int x4)"
// call: "        std::vector< std::vector< casadi::MX > > ret = casadi::MX::sym(x0_, x1_, x2_, x3_, x4_);"
// params: [(Ref (Const StdString),SwigOutput False),(CInt,SwigOutput False),(CInt,SwigOutput False),(CInt,SwigOutput False),(CInt,SwigOutput False)]
extern "C"
std::vector< std::vector< casadi::MX* >* >*
    casadi__MX__sym__0(std::string ** err_msg, std::string* x0, int x1, int x2, int x3, int x4);
std::vector< std::vector< casadi::MX* >* >*
    casadi__MX__sym__0(std::string ** err_msg, std::string* x0, int x1, int x2, int x3, int x4){
    try {
        std::string& x0_ = Marshaling<std::string&,std::string*>::marshal(x0);
        int x1_ = Marshaling<int,int>::marshal(x1);
        int x2_ = Marshaling<int,int>::marshal(x2);
        int x3_ = Marshaling<int,int>::marshal(x3);
        int x4_ = Marshaling<int,int>::marshal(x4);

        std::vector< std::vector< casadi::MX > > ret = casadi::MX::sym(x0_, x1_, x2_, x3_, x4_);
        // x0 is not a swig output
        // x1 is not a swig output
        // x2 is not a swig output
        // x3 is not a swig output
        // x4 is not a swig output

        return WrapReturn< std::vector< std::vector< casadi::MX* >* >*, std::vector< std::vector< casadi::MX > > >::wrapReturn( ret );
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return 0;
    }
}


// ================== Static method: "sym" ===============
// class: "casadi::MX"
// cppName: "casadi::MX::sym"
// cWrapperName: "casadi__MX__sym__1"
// protoArgs: "(std::string ** err_msg, std::string* x0, casadi::Sparsity* x1, int x2, int x3)"
// args: "(x0_, x1_, x2_, x3_)"
// rettype: StdVec (StdVec (UserType (Namespace ["casadi"]) (Name "MX")))
// cWrapperRetType: "std::vector< std::vector< casadi::MX* >* >*"
// proto: "std::vector< std::vector< casadi::MX* >* >*\n    casadi__MX__sym__1(std::string ** err_msg, std::string* x0, casadi::Sparsity* x1, int x2, int x3)"
// call: "        std::vector< std::vector< casadi::MX > > ret = casadi::MX::sym(x0_, x1_, x2_, x3_);"
// params: [(Ref (Const StdString),SwigOutput False),(Ref (Const (UserType (Namespace ["casadi"]) (Name "Sparsity"))),SwigOutput False),(CInt,SwigOutput False),(CInt,SwigOutput False)]
extern "C"
std::vector< std::vector< casadi::MX* >* >*
    casadi__MX__sym__1(std::string ** err_msg, std::string* x0, casadi::Sparsity* x1, int x2, int x3);
std::vector< std::vector< casadi::MX* >* >*
    casadi__MX__sym__1(std::string ** err_msg, std::string* x0, casadi::Sparsity* x1, int x2, int x3){
    try {
        std::string& x0_ = Marshaling<std::string&,std::string*>::marshal(x0);
        casadi::Sparsity& x1_ = Marshaling<casadi::Sparsity&,casadi::Sparsity*>::marshal(x1);
        int x2_ = Marshaling<int,int>::marshal(x2);
        int x3_ = Marshaling<int,int>::marshal(x3);

        std::vector< std::vector< casadi::MX > > ret = casadi::MX::sym(x0_, x1_, x2_, x3_);
        // x0 is not a swig output
        // x1 is not a swig output
        // x2 is not a swig output
        // x3 is not a swig output

        return WrapReturn< std::vector< std::vector< casadi::MX* >* >*, std::vector< std::vector< casadi::MX > > >::wrapReturn( ret );
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return 0;
    }
}


// ================== Static method: "sym" ===============
// class: "casadi::MX"
// cppName: "casadi::MX::sym"
// cWrapperName: "casadi__MX__sym__2"
// protoArgs: "(std::string ** err_msg, std::string* x0, int x1, int x2, int x3)"
// args: "(x0_, x1_, x2_, x3_)"
// rettype: StdVec (UserType (Namespace ["casadi"]) (Name "MX"))
// cWrapperRetType: "std::vector< casadi::MX* >*"
// proto: "std::vector< casadi::MX* >*\n    casadi__MX__sym__2(std::string ** err_msg, std::string* x0, int x1, int x2, int x3)"
// call: "        std::vector< casadi::MX > ret = casadi::MX::sym(x0_, x1_, x2_, x3_);"
// params: [(Ref (Const StdString),SwigOutput False),(CInt,SwigOutput False),(CInt,SwigOutput False),(CInt,SwigOutput False)]
extern "C"
std::vector< casadi::MX* >*
    casadi__MX__sym__2(std::string ** err_msg, std::string* x0, int x1, int x2, int x3);
std::vector< casadi::MX* >*
    casadi__MX__sym__2(std::string ** err_msg, std::string* x0, int x1, int x2, int x3){
    try {
        std::string& x0_ = Marshaling<std::string&,std::string*>::marshal(x0);
        int x1_ = Marshaling<int,int>::marshal(x1);
        int x2_ = Marshaling<int,int>::marshal(x2);
        int x3_ = Marshaling<int,int>::marshal(x3);

        std::vector< casadi::MX > ret = casadi::MX::sym(x0_, x1_, x2_, x3_);
        // x0 is not a swig output
        // x1 is not a swig output
        // x2 is not a swig output
        // x3 is not a swig output

        return WrapReturn< std::vector< casadi::MX* >*, std::vector< casadi::MX > >::wrapReturn( ret );
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return 0;
    }
}


// ================== Static method: "sym" ===============
// class: "casadi::MX"
// cppName: "casadi::MX::sym"
// cWrapperName: "casadi__MX__sym__3"
// protoArgs: "(std::string ** err_msg, std::string* x0, casadi::Sparsity* x1, int x2)"
// args: "(x0_, x1_, x2_)"
// rettype: StdVec (UserType (Namespace ["casadi"]) (Name "MX"))
// cWrapperRetType: "std::vector< casadi::MX* >*"
// proto: "std::vector< casadi::MX* >*\n    casadi__MX__sym__3(std::string ** err_msg, std::string* x0, casadi::Sparsity* x1, int x2)"
// call: "        std::vector< casadi::MX > ret = casadi::MX::sym(x0_, x1_, x2_);"
// params: [(Ref (Const StdString),SwigOutput False),(Ref (Const (UserType (Namespace ["casadi"]) (Name "Sparsity"))),SwigOutput False),(CInt,SwigOutput False)]
extern "C"
std::vector< casadi::MX* >*
    casadi__MX__sym__3(std::string ** err_msg, std::string* x0, casadi::Sparsity* x1, int x2);
std::vector< casadi::MX* >*
    casadi__MX__sym__3(std::string ** err_msg, std::string* x0, casadi::Sparsity* x1, int x2){
    try {
        std::string& x0_ = Marshaling<std::string&,std::string*>::marshal(x0);
        casadi::Sparsity& x1_ = Marshaling<casadi::Sparsity&,casadi::Sparsity*>::marshal(x1);
        int x2_ = Marshaling<int,int>::marshal(x2);

        std::vector< casadi::MX > ret = casadi::MX::sym(x0_, x1_, x2_);
        // x0 is not a swig output
        // x1 is not a swig output
        // x2 is not a swig output

        return WrapReturn< std::vector< casadi::MX* >*, std::vector< casadi::MX > >::wrapReturn( ret );
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return 0;
    }
}


// ================== Static method: "sym" ===============
// class: "casadi::MX"
// cppName: "casadi::MX::sym"
// cWrapperName: "casadi__MX__sym__4"
// protoArgs: "(std::string ** err_msg, std::string* x0, casadi::Sparsity* x1)"
// args: "(x0_, x1_)"
// rettype: UserType (Namespace ["casadi"]) (Name "MX")
// cWrapperRetType: "casadi::MX*"
// proto: "casadi::MX*\n    casadi__MX__sym__4(std::string ** err_msg, std::string* x0, casadi::Sparsity* x1)"
// call: "        casadi::MX ret = casadi::MX::sym(x0_, x1_);"
// params: [(Ref (Const StdString),SwigOutput False),(Ref (Const (UserType (Namespace ["casadi"]) (Name "Sparsity"))),SwigOutput False)]
extern "C"
casadi::MX*
    casadi__MX__sym__4(std::string ** err_msg, std::string* x0, casadi::Sparsity* x1);
casadi::MX*
    casadi__MX__sym__4(std::string ** err_msg, std::string* x0, casadi::Sparsity* x1){
    try {
        std::string& x0_ = Marshaling<std::string&,std::string*>::marshal(x0);
        casadi::Sparsity& x1_ = Marshaling<casadi::Sparsity&,casadi::Sparsity*>::marshal(x1);

        casadi::MX ret = casadi::MX::sym(x0_, x1_);
        // x0 is not a swig output
        // x1 is not a swig output

        return WrapReturn< casadi::MX*, casadi::MX >::wrapReturn( ret );
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return 0;
    }
}


// ================== Static method: "sym" ===============
// class: "casadi::MX"
// cppName: "casadi::MX::sym"
// cWrapperName: "casadi__MX__sym__5"
// protoArgs: "(std::string ** err_msg, std::string* x0, std::pair< int, int >* x1)"
// args: "(x0_, x1_)"
// rettype: UserType (Namespace ["casadi"]) (Name "MX")
// cWrapperRetType: "casadi::MX*"
// proto: "casadi::MX*\n    casadi__MX__sym__5(std::string ** err_msg, std::string* x0, std::pair< int, int >* x1)"
// call: "        casadi::MX ret = casadi::MX::sym(x0_, x1_);"
// params: [(Ref (Const StdString),SwigOutput False),(Ref (Const (StdPair CInt CInt)),SwigOutput False)]
extern "C"
casadi::MX*
    casadi__MX__sym__5(std::string ** err_msg, std::string* x0, std::pair< int, int >* x1);
casadi::MX*
    casadi__MX__sym__5(std::string ** err_msg, std::string* x0, std::pair< int, int >* x1){
    try {
        std::string& x0_ = Marshaling<std::string&,std::string*>::marshal(x0);
        std::pair< int, int > x1_ = Marshaling<std::pair< int, int >,std::pair< int, int >*>::marshal(x1);

        casadi::MX ret = casadi::MX::sym(x0_, x1_);
        // x0 is not a swig output
        // x1 is not a swig output

        return WrapReturn< casadi::MX*, casadi::MX >::wrapReturn( ret );
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return 0;
    }
}


// ================== Static method: "sym" ===============
// class: "casadi::MX"
// cppName: "casadi::MX::sym"
// cWrapperName: "casadi__MX__sym__6"
// protoArgs: "(std::string ** err_msg, std::string* x0)"
// args: "(x0_)"
// rettype: UserType (Namespace ["casadi"]) (Name "MX")
// cWrapperRetType: "casadi::MX*"
// proto: "casadi::MX*\n    casadi__MX__sym__6(std::string ** err_msg, std::string* x0)"
// call: "        casadi::MX ret = casadi::MX::sym(x0_);"
// params: [(Ref (Const StdString),SwigOutput False)]
extern "C"
casadi::MX*
    casadi__MX__sym__6(std::string ** err_msg, std::string* x0);
casadi::MX*
    casadi__MX__sym__6(std::string ** err_msg, std::string* x0){
    try {
        std::string& x0_ = Marshaling<std::string&,std::string*>::marshal(x0);

        casadi::MX ret = casadi::MX::sym(x0_);
        // x0 is not a swig output

        return WrapReturn< casadi::MX*, casadi::MX >::wrapReturn( ret );
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return 0;
    }
}


// ================== Static method: "sym" ===============
// class: "casadi::MX"
// cppName: "casadi::MX::sym"
// cWrapperName: "casadi__MX__sym__7"
// protoArgs: "(std::string ** err_msg, std::string* x0, int x1)"
// args: "(x0_, x1_)"
// rettype: UserType (Namespace ["casadi"]) (Name "MX")
// cWrapperRetType: "casadi::MX*"
// proto: "casadi::MX*\n    casadi__MX__sym__7(std::string ** err_msg, std::string* x0, int x1)"
// call: "        casadi::MX ret = casadi::MX::sym(x0_, x1_);"
// params: [(Ref (Const StdString),SwigOutput False),(CInt,SwigOutput False)]
extern "C"
casadi::MX*
    casadi__MX__sym__7(std::string ** err_msg, std::string* x0, int x1);
casadi::MX*
    casadi__MX__sym__7(std::string ** err_msg, std::string* x0, int x1){
    try {
        std::string& x0_ = Marshaling<std::string&,std::string*>::marshal(x0);
        int x1_ = Marshaling<int,int>::marshal(x1);

        casadi::MX ret = casadi::MX::sym(x0_, x1_);
        // x0 is not a swig output
        // x1 is not a swig output

        return WrapReturn< casadi::MX*, casadi::MX >::wrapReturn( ret );
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return 0;
    }
}


// ================== Static method: "sym" ===============
// class: "casadi::MX"
// cppName: "casadi::MX::sym"
// cWrapperName: "casadi__MX__sym__8"
// protoArgs: "(std::string ** err_msg, std::string* x0, int x1, int x2)"
// args: "(x0_, x1_, x2_)"
// rettype: UserType (Namespace ["casadi"]) (Name "MX")
// cWrapperRetType: "casadi::MX*"
// proto: "casadi::MX*\n    casadi__MX__sym__8(std::string ** err_msg, std::string* x0, int x1, int x2)"
// call: "        casadi::MX ret = casadi::MX::sym(x0_, x1_, x2_);"
// params: [(Ref (Const StdString),SwigOutput False),(CInt,SwigOutput False),(CInt,SwigOutput False)]
extern "C"
casadi::MX*
    casadi__MX__sym__8(std::string ** err_msg, std::string* x0, int x1, int x2);
casadi::MX*
    casadi__MX__sym__8(std::string ** err_msg, std::string* x0, int x1, int x2){
    try {
        std::string& x0_ = Marshaling<std::string&,std::string*>::marshal(x0);
        int x1_ = Marshaling<int,int>::marshal(x1);
        int x2_ = Marshaling<int,int>::marshal(x2);

        casadi::MX ret = casadi::MX::sym(x0_, x1_, x2_);
        // x0 is not a swig output
        // x1 is not a swig output
        // x2 is not a swig output

        return WrapReturn< casadi::MX*, casadi::MX >::wrapReturn( ret );
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return 0;
    }
}


// ================== Static method: "tang" ===============
// class: "casadi::MX"
// cppName: "casadi::MX::tang"
// cWrapperName: "casadi__MX__tang__0"
// protoArgs: "(std::string ** err_msg, casadi::Function* x0, std::string* x1, std::string* x2)"
// args: "(x0_, x1_, x2_)"
// rettype: UserType (Namespace ["casadi"]) (Name "MX")
// cWrapperRetType: "casadi::MX*"
// proto: "casadi::MX*\n    casadi__MX__tang__0(std::string ** err_msg, casadi::Function* x0, std::string* x1, std::string* x2)"
// call: "        casadi::MX ret = casadi::MX::tang(x0_, x1_, x2_);"
// params: [(Ref (Const (UserType (Namespace ["casadi"]) (Name "Function"))),SwigOutput False),(Ref (Const StdString),SwigOutput False),(Ref (Const StdString),SwigOutput False)]
extern "C"
casadi::MX*
    casadi__MX__tang__0(std::string ** err_msg, casadi::Function* x0, std::string* x1, std::string* x2);
casadi::MX*
    casadi__MX__tang__0(std::string ** err_msg, casadi::Function* x0, std::string* x1, std::string* x2){
    try {
        casadi::Function& x0_ = Marshaling<casadi::Function&,casadi::Function*>::marshal(x0);
        std::string& x1_ = Marshaling<std::string&,std::string*>::marshal(x1);
        std::string& x2_ = Marshaling<std::string&,std::string*>::marshal(x2);

        casadi::MX ret = casadi::MX::tang(x0_, x1_, x2_);
        // x0 is not a swig output
        // x1 is not a swig output
        // x2 is not a swig output

        return WrapReturn< casadi::MX*, casadi::MX >::wrapReturn( ret );
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return 0;
    }
}


// ================== Static method: "tang" ===============
// class: "casadi::MX"
// cppName: "casadi::MX::tang"
// cWrapperName: "casadi__MX__tang__1"
// protoArgs: "(std::string ** err_msg, casadi::Function* x0, int x1, std::string* x2)"
// args: "(x0_, x1_, x2_)"
// rettype: UserType (Namespace ["casadi"]) (Name "MX")
// cWrapperRetType: "casadi::MX*"
// proto: "casadi::MX*\n    casadi__MX__tang__1(std::string ** err_msg, casadi::Function* x0, int x1, std::string* x2)"
// call: "        casadi::MX ret = casadi::MX::tang(x0_, x1_, x2_);"
// params: [(Ref (Const (UserType (Namespace ["casadi"]) (Name "Function"))),SwigOutput False),(CInt,SwigOutput False),(Ref (Const StdString),SwigOutput False)]
extern "C"
casadi::MX*
    casadi__MX__tang__1(std::string ** err_msg, casadi::Function* x0, int x1, std::string* x2);
casadi::MX*
    casadi__MX__tang__1(std::string ** err_msg, casadi::Function* x0, int x1, std::string* x2){
    try {
        casadi::Function& x0_ = Marshaling<casadi::Function&,casadi::Function*>::marshal(x0);
        int x1_ = Marshaling<int,int>::marshal(x1);
        std::string& x2_ = Marshaling<std::string&,std::string*>::marshal(x2);

        casadi::MX ret = casadi::MX::tang(x0_, x1_, x2_);
        // x0 is not a swig output
        // x1 is not a swig output
        // x2 is not a swig output

        return WrapReturn< casadi::MX*, casadi::MX >::wrapReturn( ret );
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return 0;
    }
}


// ================== Static method: "tang" ===============
// class: "casadi::MX"
// cppName: "casadi::MX::tang"
// cWrapperName: "casadi__MX__tang__2"
// protoArgs: "(std::string ** err_msg, casadi::Function* x0, std::string* x1)"
// args: "(x0_, x1_)"
// rettype: UserType (Namespace ["casadi"]) (Name "MX")
// cWrapperRetType: "casadi::MX*"
// proto: "casadi::MX*\n    casadi__MX__tang__2(std::string ** err_msg, casadi::Function* x0, std::string* x1)"
// call: "        casadi::MX ret = casadi::MX::tang(x0_, x1_);"
// params: [(Ref (Const (UserType (Namespace ["casadi"]) (Name "Function"))),SwigOutput False),(Ref (Const StdString),SwigOutput False)]
extern "C"
casadi::MX*
    casadi__MX__tang__2(std::string ** err_msg, casadi::Function* x0, std::string* x1);
casadi::MX*
    casadi__MX__tang__2(std::string ** err_msg, casadi::Function* x0, std::string* x1){
    try {
        casadi::Function& x0_ = Marshaling<casadi::Function&,casadi::Function*>::marshal(x0);
        std::string& x1_ = Marshaling<std::string&,std::string*>::marshal(x1);

        casadi::MX ret = casadi::MX::tang(x0_, x1_);
        // x0 is not a swig output
        // x1 is not a swig output

        return WrapReturn< casadi::MX*, casadi::MX >::wrapReturn( ret );
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return 0;
    }
}


// ================== Static method: "tang" ===============
// class: "casadi::MX"
// cppName: "casadi::MX::tang"
// cWrapperName: "casadi__MX__tang__3"
// protoArgs: "(std::string ** err_msg, casadi::Function* x0, std::string* x1, int x2)"
// args: "(x0_, x1_, x2_)"
// rettype: UserType (Namespace ["casadi"]) (Name "MX")
// cWrapperRetType: "casadi::MX*"
// proto: "casadi::MX*\n    casadi__MX__tang__3(std::string ** err_msg, casadi::Function* x0, std::string* x1, int x2)"
// call: "        casadi::MX ret = casadi::MX::tang(x0_, x1_, x2_);"
// params: [(Ref (Const (UserType (Namespace ["casadi"]) (Name "Function"))),SwigOutput False),(Ref (Const StdString),SwigOutput False),(CInt,SwigOutput False)]
extern "C"
casadi::MX*
    casadi__MX__tang__3(std::string ** err_msg, casadi::Function* x0, std::string* x1, int x2);
casadi::MX*
    casadi__MX__tang__3(std::string ** err_msg, casadi::Function* x0, std::string* x1, int x2){
    try {
        casadi::Function& x0_ = Marshaling<casadi::Function&,casadi::Function*>::marshal(x0);
        std::string& x1_ = Marshaling<std::string&,std::string*>::marshal(x1);
        int x2_ = Marshaling<int,int>::marshal(x2);

        casadi::MX ret = casadi::MX::tang(x0_, x1_, x2_);
        // x0 is not a swig output
        // x1 is not a swig output
        // x2 is not a swig output

        return WrapReturn< casadi::MX*, casadi::MX >::wrapReturn( ret );
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return 0;
    }
}


// ================== Static method: "tang" ===============
// class: "casadi::MX"
// cppName: "casadi::MX::tang"
// cWrapperName: "casadi__MX__tang__4"
// protoArgs: "(std::string ** err_msg, casadi::Function* x0)"
// args: "(x0_)"
// rettype: UserType (Namespace ["casadi"]) (Name "MX")
// cWrapperRetType: "casadi::MX*"
// proto: "casadi::MX*\n    casadi__MX__tang__4(std::string ** err_msg, casadi::Function* x0)"
// call: "        casadi::MX ret = casadi::MX::tang(x0_);"
// params: [(Ref (Const (UserType (Namespace ["casadi"]) (Name "Function"))),SwigOutput False)]
extern "C"
casadi::MX*
    casadi__MX__tang__4(std::string ** err_msg, casadi::Function* x0);
casadi::MX*
    casadi__MX__tang__4(std::string ** err_msg, casadi::Function* x0){
    try {
        casadi::Function& x0_ = Marshaling<casadi::Function&,casadi::Function*>::marshal(x0);

        casadi::MX ret = casadi::MX::tang(x0_);
        // x0 is not a swig output

        return WrapReturn< casadi::MX*, casadi::MX >::wrapReturn( ret );
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return 0;
    }
}


// ================== Static method: "tang" ===============
// class: "casadi::MX"
// cppName: "casadi::MX::tang"
// cWrapperName: "casadi__MX__tang__5"
// protoArgs: "(std::string ** err_msg, casadi::Function* x0, int x1)"
// args: "(x0_, x1_)"
// rettype: UserType (Namespace ["casadi"]) (Name "MX")
// cWrapperRetType: "casadi::MX*"
// proto: "casadi::MX*\n    casadi__MX__tang__5(std::string ** err_msg, casadi::Function* x0, int x1)"
// call: "        casadi::MX ret = casadi::MX::tang(x0_, x1_);"
// params: [(Ref (Const (UserType (Namespace ["casadi"]) (Name "Function"))),SwigOutput False),(CInt,SwigOutput False)]
extern "C"
casadi::MX*
    casadi__MX__tang__5(std::string ** err_msg, casadi::Function* x0, int x1);
casadi::MX*
    casadi__MX__tang__5(std::string ** err_msg, casadi::Function* x0, int x1){
    try {
        casadi::Function& x0_ = Marshaling<casadi::Function&,casadi::Function*>::marshal(x0);
        int x1_ = Marshaling<int,int>::marshal(x1);

        casadi::MX ret = casadi::MX::tang(x0_, x1_);
        // x0 is not a swig output
        // x1 is not a swig output

        return WrapReturn< casadi::MX*, casadi::MX >::wrapReturn( ret );
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return 0;
    }
}


// ================== Static method: "tang" ===============
// class: "casadi::MX"
// cppName: "casadi::MX::tang"
// cWrapperName: "casadi__MX__tang__6"
// protoArgs: "(std::string ** err_msg, casadi::Function* x0, int x1, int x2)"
// args: "(x0_, x1_, x2_)"
// rettype: UserType (Namespace ["casadi"]) (Name "MX")
// cWrapperRetType: "casadi::MX*"
// proto: "casadi::MX*\n    casadi__MX__tang__6(std::string ** err_msg, casadi::Function* x0, int x1, int x2)"
// call: "        casadi::MX ret = casadi::MX::tang(x0_, x1_, x2_);"
// params: [(Ref (Const (UserType (Namespace ["casadi"]) (Name "Function"))),SwigOutput False),(CInt,SwigOutput False),(CInt,SwigOutput False)]
extern "C"
casadi::MX*
    casadi__MX__tang__6(std::string ** err_msg, casadi::Function* x0, int x1, int x2);
casadi::MX*
    casadi__MX__tang__6(std::string ** err_msg, casadi::Function* x0, int x1, int x2){
    try {
        casadi::Function& x0_ = Marshaling<casadi::Function&,casadi::Function*>::marshal(x0);
        int x1_ = Marshaling<int,int>::marshal(x1);
        int x2_ = Marshaling<int,int>::marshal(x2);

        casadi::MX ret = casadi::MX::tang(x0_, x1_, x2_);
        // x0 is not a swig output
        // x1 is not a swig output
        // x2 is not a swig output

        return WrapReturn< casadi::MX*, casadi::MX >::wrapReturn( ret );
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return 0;
    }
}


// ================== Static method: "type_name" ===============
// class: "casadi::MX"
// cppName: "casadi::MX::type_name"
// cWrapperName: "casadi__MX__type_name"
// protoArgs: "(std::string ** err_msg)"
// args: "()"
// rettype: StdString
// cWrapperRetType: "std::string*"
// proto: "std::string*\n    casadi__MX__type_name(std::string ** err_msg)"
// call: "        std::string ret = casadi::MX::type_name();"
// params: []
extern "C"
std::string*
    casadi__MX__type_name(std::string ** err_msg);
std::string*
    casadi__MX__type_name(std::string ** err_msg){
    try {

        std::string ret = casadi::MX::type_name();

        return WrapReturn< std::string*, std::string >::wrapReturn( ret );
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return 0;
    }
}


// ================== Static method: "unary" ===============
// class: "casadi::MX"
// cppName: "casadi::MX::unary"
// cWrapperName: "casadi__MX__unary"
// protoArgs: "(std::string ** err_msg, int x0, casadi::MX* x1)"
// args: "(x0_, x1_)"
// rettype: UserType (Namespace ["casadi"]) (Name "MX")
// cWrapperRetType: "casadi::MX*"
// proto: "casadi::MX*\n    casadi__MX__unary(std::string ** err_msg, int x0, casadi::MX* x1)"
// call: "        casadi::MX ret = casadi::MX::unary(x0_, x1_);"
// params: [(CInt,SwigOutput False),(Ref (Const (UserType (Namespace ["casadi"]) (Name "MX"))),SwigOutput False)]
extern "C"
casadi::MX*
    casadi__MX__unary(std::string ** err_msg, int x0, casadi::MX* x1);
casadi::MX*
    casadi__MX__unary(std::string ** err_msg, int x0, casadi::MX* x1){
    try {
        int x0_ = Marshaling<int,int>::marshal(x0);
        casadi::MX& x1_ = Marshaling<casadi::MX&,casadi::MX*>::marshal(x1);

        casadi::MX ret = casadi::MX::unary(x0_, x1_);
        // x0 is not a swig output
        // x1 is not a swig output

        return WrapReturn< casadi::MX*, casadi::MX >::wrapReturn( ret );
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return 0;
    }
}


// ================== Static method: "zeros" ===============
// class: "casadi::MX"
// cppName: "casadi::MX::zeros"
// cWrapperName: "casadi__MX__zeros__0"
// protoArgs: "(std::string ** err_msg, std::pair< int, int >* x0)"
// args: "(x0_)"
// rettype: UserType (Namespace ["casadi"]) (Name "MX")
// cWrapperRetType: "casadi::MX*"
// proto: "casadi::MX*\n    casadi__MX__zeros__0(std::string ** err_msg, std::pair< int, int >* x0)"
// call: "        casadi::MX ret = casadi::MX::zeros(x0_);"
// params: [(Ref (Const (StdPair CInt CInt)),SwigOutput False)]
extern "C"
casadi::MX*
    casadi__MX__zeros__0(std::string ** err_msg, std::pair< int, int >* x0);
casadi::MX*
    casadi__MX__zeros__0(std::string ** err_msg, std::pair< int, int >* x0){
    try {
        std::pair< int, int > x0_ = Marshaling<std::pair< int, int >,std::pair< int, int >*>::marshal(x0);

        casadi::MX ret = casadi::MX::zeros(x0_);
        // x0 is not a swig output

        return WrapReturn< casadi::MX*, casadi::MX >::wrapReturn( ret );
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return 0;
    }
}


// ================== Static method: "zeros" ===============
// class: "casadi::MX"
// cppName: "casadi::MX::zeros"
// cWrapperName: "casadi__MX__zeros__1"
// protoArgs: "(std::string ** err_msg, casadi::Sparsity* x0)"
// args: "(x0_)"
// rettype: UserType (Namespace ["casadi"]) (Name "MX")
// cWrapperRetType: "casadi::MX*"
// proto: "casadi::MX*\n    casadi__MX__zeros__1(std::string ** err_msg, casadi::Sparsity* x0)"
// call: "        casadi::MX ret = casadi::MX::zeros(x0_);"
// params: [(Ref (Const (UserType (Namespace ["casadi"]) (Name "Sparsity"))),SwigOutput False)]
extern "C"
casadi::MX*
    casadi__MX__zeros__1(std::string ** err_msg, casadi::Sparsity* x0);
casadi::MX*
    casadi__MX__zeros__1(std::string ** err_msg, casadi::Sparsity* x0){
    try {
        casadi::Sparsity& x0_ = Marshaling<casadi::Sparsity&,casadi::Sparsity*>::marshal(x0);

        casadi::MX ret = casadi::MX::zeros(x0_);
        // x0 is not a swig output

        return WrapReturn< casadi::MX*, casadi::MX >::wrapReturn( ret );
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return 0;
    }
}


// ================== Static method: "zeros" ===============
// class: "casadi::MX"
// cppName: "casadi::MX::zeros"
// cWrapperName: "casadi__MX__zeros__2"
// protoArgs: "(std::string ** err_msg)"
// args: "()"
// rettype: UserType (Namespace ["casadi"]) (Name "MX")
// cWrapperRetType: "casadi::MX*"
// proto: "casadi::MX*\n    casadi__MX__zeros__2(std::string ** err_msg)"
// call: "        casadi::MX ret = casadi::MX::zeros();"
// params: []
extern "C"
casadi::MX*
    casadi__MX__zeros__2(std::string ** err_msg);
casadi::MX*
    casadi__MX__zeros__2(std::string ** err_msg){
    try {

        casadi::MX ret = casadi::MX::zeros();

        return WrapReturn< casadi::MX*, casadi::MX >::wrapReturn( ret );
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return 0;
    }
}


// ================== Static method: "zeros" ===============
// class: "casadi::MX"
// cppName: "casadi::MX::zeros"
// cWrapperName: "casadi__MX__zeros__3"
// protoArgs: "(std::string ** err_msg, int x0)"
// args: "(x0_)"
// rettype: UserType (Namespace ["casadi"]) (Name "MX")
// cWrapperRetType: "casadi::MX*"
// proto: "casadi::MX*\n    casadi__MX__zeros__3(std::string ** err_msg, int x0)"
// call: "        casadi::MX ret = casadi::MX::zeros(x0_);"
// params: [(CInt,SwigOutput False)]
extern "C"
casadi::MX*
    casadi__MX__zeros__3(std::string ** err_msg, int x0);
casadi::MX*
    casadi__MX__zeros__3(std::string ** err_msg, int x0){
    try {
        int x0_ = Marshaling<int,int>::marshal(x0);

        casadi::MX ret = casadi::MX::zeros(x0_);
        // x0 is not a swig output

        return WrapReturn< casadi::MX*, casadi::MX >::wrapReturn( ret );
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return 0;
    }
}


// ================== Static method: "zeros" ===============
// class: "casadi::MX"
// cppName: "casadi::MX::zeros"
// cWrapperName: "casadi__MX__zeros__4"
// protoArgs: "(std::string ** err_msg, int x0, int x1)"
// args: "(x0_, x1_)"
// rettype: UserType (Namespace ["casadi"]) (Name "MX")
// cWrapperRetType: "casadi::MX*"
// proto: "casadi::MX*\n    casadi__MX__zeros__4(std::string ** err_msg, int x0, int x1)"
// call: "        casadi::MX ret = casadi::MX::zeros(x0_, x1_);"
// params: [(CInt,SwigOutput False),(CInt,SwigOutput False)]
extern "C"
casadi::MX*
    casadi__MX__zeros__4(std::string ** err_msg, int x0, int x1);
casadi::MX*
    casadi__MX__zeros__4(std::string ** err_msg, int x0, int x1){
    try {
        int x0_ = Marshaling<int,int>::marshal(x0);
        int x1_ = Marshaling<int,int>::marshal(x1);

        casadi::MX ret = casadi::MX::zeros(x0_, x1_);
        // x0 is not a swig output
        // x1 is not a swig output

        return WrapReturn< casadi::MX*, casadi::MX >::wrapReturn( ret );
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return 0;
    }
}



// ================== delete UserType (Namespace ["casadi"]) (Name "MatrixCommon")===============
// classType: UserType (Namespace ["casadi"]) (Name "MatrixCommon")
extern "C"
void delete_casadi__MatrixCommon(casadi::MatrixCommon* obj);
void delete_casadi__MatrixCommon(casadi::MatrixCommon* obj){
    delete obj;
}


// ================== delete UserType (Namespace ["casadi"]) (Name "NlpBuilder")===============
// classType: UserType (Namespace ["casadi"]) (Name "NlpBuilder")
extern "C"
void delete_casadi__NlpBuilder(casadi::NlpBuilder* obj);
void delete_casadi__NlpBuilder(casadi::NlpBuilder* obj){
    delete obj;
}

// ================== Normal method: "parse_nl" ===============
// class: "casadi::NlpBuilder"
// cppName: "casadi::NlpBuilder::parse_nl"
// cWrapperName: "casadi__NlpBuilder__parse_nl__0"
// protoArgs: "(std::string ** err_msg, casadi::NlpBuilder* obj, std::string* x0)"
// args: "(x0_)"
// rettype: CVoid
// cWrapperRetType: "void"
// proto: "void\n    casadi__NlpBuilder__parse_nl__0(std::string ** err_msg, casadi::NlpBuilder* obj, std::string* x0)"
// call: "        obj->parse_nl(x0_);"
// params: [(Ref (Const StdString),SwigOutput False)]
extern "C"
void
    casadi__NlpBuilder__parse_nl__0(std::string ** err_msg, casadi::NlpBuilder* obj, std::string* x0);
void
    casadi__NlpBuilder__parse_nl__0(std::string ** err_msg, casadi::NlpBuilder* obj, std::string* x0){
    try {
        std::string& x0_ = Marshaling<std::string&,std::string*>::marshal(x0);

        obj->parse_nl(x0_);
        // x0 is not a swig output

        return;
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return;
    }
}


// ================== Normal method: "parse_nl" ===============
// class: "casadi::NlpBuilder"
// cppName: "casadi::NlpBuilder::parse_nl"
// cWrapperName: "casadi__NlpBuilder__parse_nl__1"
// protoArgs: "(std::string ** err_msg, casadi::NlpBuilder* obj, std::string* x0, std::map< std::string, casadi::GenericType* >* x1)"
// args: "(x0_, x1_)"
// rettype: CVoid
// cWrapperRetType: "void"
// proto: "void\n    casadi__NlpBuilder__parse_nl__1(std::string ** err_msg, casadi::NlpBuilder* obj, std::string* x0, std::map< std::string, casadi::GenericType* >* x1)"
// call: "        obj->parse_nl(x0_, x1_);"
// params: [(Ref (Const StdString),SwigOutput False),(Ref (Const (StdMap StdString (UserType (Namespace ["casadi"]) (Name "GenericType")))),SwigOutput False)]
extern "C"
void
    casadi__NlpBuilder__parse_nl__1(std::string ** err_msg, casadi::NlpBuilder* obj, std::string* x0, std::map< std::string, casadi::GenericType* >* x1);
void
    casadi__NlpBuilder__parse_nl__1(std::string ** err_msg, casadi::NlpBuilder* obj, std::string* x0, std::map< std::string, casadi::GenericType* >* x1){
    try {
        std::string& x0_ = Marshaling<std::string&,std::string*>::marshal(x0);
        std::map< std::string, casadi::GenericType > x1_ = Marshaling<std::map< std::string, casadi::GenericType >,std::map< std::string, casadi::GenericType* >*>::marshal(x1);

        obj->parse_nl(x0_, x1_);
        // x0 is not a swig output
        // x1 is not a swig output

        return;
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return;
    }
}


// ================== Normal method: "getRepresentation" ===============
// class: "casadi::NlpBuilder"
// cppName: "casadi::NlpBuilder::getRepresentation"
// cWrapperName: "casadi__NlpBuilder__getRepresentation"
// protoArgs: "(std::string ** err_msg, casadi::NlpBuilder* obj)"
// args: "()"
// rettype: StdString
// cWrapperRetType: "std::string*"
// proto: "std::string*\n    casadi__NlpBuilder__getRepresentation(std::string ** err_msg, casadi::NlpBuilder* obj)"
// call: "        std::string ret = obj->getRepresentation();"
// params: []
extern "C"
std::string*
    casadi__NlpBuilder__getRepresentation(std::string ** err_msg, casadi::NlpBuilder* obj);
std::string*
    casadi__NlpBuilder__getRepresentation(std::string ** err_msg, casadi::NlpBuilder* obj){
    try {

        std::string ret = obj->getRepresentation();

        return WrapReturn< std::string*, std::string >::wrapReturn( ret );
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return 0;
    }
}


// ================== Normal method: "getDescription" ===============
// class: "casadi::NlpBuilder"
// cppName: "casadi::NlpBuilder::getDescription"
// cWrapperName: "casadi__NlpBuilder__getDescription"
// protoArgs: "(std::string ** err_msg, casadi::NlpBuilder* obj)"
// args: "()"
// rettype: StdString
// cWrapperRetType: "std::string*"
// proto: "std::string*\n    casadi__NlpBuilder__getDescription(std::string ** err_msg, casadi::NlpBuilder* obj)"
// call: "        std::string ret = obj->getDescription();"
// params: []
extern "C"
std::string*
    casadi__NlpBuilder__getDescription(std::string ** err_msg, casadi::NlpBuilder* obj);
std::string*
    casadi__NlpBuilder__getDescription(std::string ** err_msg, casadi::NlpBuilder* obj){
    try {

        std::string ret = obj->getDescription();

        return WrapReturn< std::string*, std::string >::wrapReturn( ret );
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return 0;
    }
}



// ================== delete UserType (Namespace ["casadi"]) (Name "SX")===============
// classType: UserType (Namespace ["casadi"]) (Name "SX")
extern "C"
void delete_casadi__SX(casadi::SX* obj);
void delete_casadi__SX(casadi::SX* obj){
    delete obj;
}

// ================== Constructor method: "CONSTRUCTOR" ===============
// class: "casadi::SX"
// cppName: "casadi::SX"
// cWrapperName: "casadi__SX__CONSTRUCTOR__0"
// protoArgs: "(std::string ** err_msg, std::vector< double >* x0)"
// args: "(x0_)"
// rettype: UserType (Namespace ["casadi"]) (Name "SX")
// cWrapperRetType: "casadi::SX*"
// proto: "casadi::SX*\n    casadi__SX__CONSTRUCTOR__0(std::string ** err_msg, std::vector< double >* x0)"
// call: "        casadi::SX* ret = (casadi::SX*)new casadi::SX(x0_);"
// params: [(Ref (Const (StdVec CDouble)),SwigOutput False)]
extern "C"
casadi::SX*
    casadi__SX__CONSTRUCTOR__0(std::string ** err_msg, std::vector< double >* x0);
casadi::SX*
    casadi__SX__CONSTRUCTOR__0(std::string ** err_msg, std::vector< double >* x0){
    try {
        std::vector< double > x0_ = Marshaling<std::vector< double >,std::vector< double >*>::marshal(x0);

        casadi::SX* ret = (casadi::SX*)new casadi::SX(x0_);
        // x0 is not a swig output

        return ret;
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return 0;
    }
}


// ================== Constructor method: "CONSTRUCTOR" ===============
// class: "casadi::SX"
// cppName: "casadi::SX"
// cWrapperName: "casadi__SX__CONSTRUCTOR__1"
// protoArgs: "(std::string ** err_msg, casadi::DM* x0)"
// args: "(x0_)"
// rettype: UserType (Namespace ["casadi"]) (Name "SX")
// cWrapperRetType: "casadi::SX*"
// proto: "casadi::SX*\n    casadi__SX__CONSTRUCTOR__1(std::string ** err_msg, casadi::DM* x0)"
// call: "        casadi::SX* ret = (casadi::SX*)new casadi::SX(x0_);"
// params: [(Ref (Const (UserType (Namespace ["casadi"]) (Name "DM"))),SwigOutput False)]
extern "C"
casadi::SX*
    casadi__SX__CONSTRUCTOR__1(std::string ** err_msg, casadi::DM* x0);
casadi::SX*
    casadi__SX__CONSTRUCTOR__1(std::string ** err_msg, casadi::DM* x0){
    try {
        casadi::DM& x0_ = Marshaling<casadi::DM&,casadi::DM*>::marshal(x0);

        casadi::SX* ret = (casadi::SX*)new casadi::SX(x0_);
        // x0 is not a swig output

        return ret;
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return 0;
    }
}


// ================== Constructor method: "CONSTRUCTOR" ===============
// class: "casadi::SX"
// cppName: "casadi::SX"
// cWrapperName: "casadi__SX__CONSTRUCTOR__2"
// protoArgs: "(std::string ** err_msg, std::vector< int >* x0)"
// args: "(x0_)"
// rettype: UserType (Namespace ["casadi"]) (Name "SX")
// cWrapperRetType: "casadi::SX*"
// proto: "casadi::SX*\n    casadi__SX__CONSTRUCTOR__2(std::string ** err_msg, std::vector< int >* x0)"
// call: "        casadi::SX* ret = (casadi::SX*)new casadi::SX(x0_);"
// params: [(Ref (Const (StdVec CInt)),SwigOutput False)]
extern "C"
casadi::SX*
    casadi__SX__CONSTRUCTOR__2(std::string ** err_msg, std::vector< int >* x0);
casadi::SX*
    casadi__SX__CONSTRUCTOR__2(std::string ** err_msg, std::vector< int >* x0){
    try {
        std::vector< int > x0_ = Marshaling<std::vector< int >,std::vector< int >*>::marshal(x0);

        casadi::SX* ret = (casadi::SX*)new casadi::SX(x0_);
        // x0 is not a swig output

        return ret;
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return 0;
    }
}


// ================== Constructor method: "CONSTRUCTOR" ===============
// class: "casadi::SX"
// cppName: "casadi::SX"
// cWrapperName: "casadi__SX__CONSTRUCTOR__3"
// protoArgs: "(std::string ** err_msg, casadi::IM* x0)"
// args: "(x0_)"
// rettype: UserType (Namespace ["casadi"]) (Name "SX")
// cWrapperRetType: "casadi::SX*"
// proto: "casadi::SX*\n    casadi__SX__CONSTRUCTOR__3(std::string ** err_msg, casadi::IM* x0)"
// call: "        casadi::SX* ret = (casadi::SX*)new casadi::SX(x0_);"
// params: [(Ref (Const (UserType (Namespace ["casadi"]) (Name "IM"))),SwigOutput False)]
extern "C"
casadi::SX*
    casadi__SX__CONSTRUCTOR__3(std::string ** err_msg, casadi::IM* x0);
casadi::SX*
    casadi__SX__CONSTRUCTOR__3(std::string ** err_msg, casadi::IM* x0){
    try {
        casadi::IM& x0_ = Marshaling<casadi::IM&,casadi::IM*>::marshal(x0);

        casadi::SX* ret = (casadi::SX*)new casadi::SX(x0_);
        // x0 is not a swig output

        return ret;
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return 0;
    }
}


// ================== Constructor method: "CONSTRUCTOR" ===============
// class: "casadi::SX"
// cppName: "casadi::SX"
// cWrapperName: "casadi__SX__CONSTRUCTOR__4"
// protoArgs: "(std::string ** err_msg, std::vector< std::vector< double >* >* x0)"
// args: "(x0_)"
// rettype: UserType (Namespace ["casadi"]) (Name "SX")
// cWrapperRetType: "casadi::SX*"
// proto: "casadi::SX*\n    casadi__SX__CONSTRUCTOR__4(std::string ** err_msg, std::vector< std::vector< double >* >* x0)"
// call: "        casadi::SX* ret = (casadi::SX*)new casadi::SX(x0_);"
// params: [(Ref (Const (StdVec (StdVec CDouble))),SwigOutput False)]
extern "C"
casadi::SX*
    casadi__SX__CONSTRUCTOR__4(std::string ** err_msg, std::vector< std::vector< double >* >* x0);
casadi::SX*
    casadi__SX__CONSTRUCTOR__4(std::string ** err_msg, std::vector< std::vector< double >* >* x0){
    try {
        std::vector< std::vector< double > > x0_ = Marshaling<std::vector< std::vector< double > >,std::vector< std::vector< double >* >*>::marshal(x0);

        casadi::SX* ret = (casadi::SX*)new casadi::SX(x0_);
        // x0 is not a swig output

        return ret;
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return 0;
    }
}


// ================== Constructor method: "CONSTRUCTOR" ===============
// class: "casadi::SX"
// cppName: "casadi::SX"
// cWrapperName: "casadi__SX__CONSTRUCTOR__5"
// protoArgs: "(std::string ** err_msg, double x0)"
// args: "(x0_)"
// rettype: UserType (Namespace ["casadi"]) (Name "SX")
// cWrapperRetType: "casadi::SX*"
// proto: "casadi::SX*\n    casadi__SX__CONSTRUCTOR__5(std::string ** err_msg, double x0)"
// call: "        casadi::SX* ret = (casadi::SX*)new casadi::SX(x0_);"
// params: [(CDouble,SwigOutput False)]
extern "C"
casadi::SX*
    casadi__SX__CONSTRUCTOR__5(std::string ** err_msg, double x0);
casadi::SX*
    casadi__SX__CONSTRUCTOR__5(std::string ** err_msg, double x0){
    try {
        double x0_ = Marshaling<double,double>::marshal(x0);

        casadi::SX* ret = (casadi::SX*)new casadi::SX(x0_);
        // x0 is not a swig output

        return ret;
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return 0;
    }
}


// ================== Constructor method: "CONSTRUCTOR" ===============
// class: "casadi::SX"
// cppName: "casadi::SX"
// cWrapperName: "casadi__SX__CONSTRUCTOR__6"
// protoArgs: "(std::string ** err_msg, casadi::Sparsity* x0, casadi::SX* x1)"
// args: "(x0_, x1_)"
// rettype: UserType (Namespace ["casadi"]) (Name "SX")
// cWrapperRetType: "casadi::SX*"
// proto: "casadi::SX*\n    casadi__SX__CONSTRUCTOR__6(std::string ** err_msg, casadi::Sparsity* x0, casadi::SX* x1)"
// call: "        casadi::SX* ret = (casadi::SX*)new casadi::SX(x0_, x1_);"
// params: [(Ref (Const (UserType (Namespace ["casadi"]) (Name "Sparsity"))),SwigOutput False),(Ref (Const (UserType (Namespace ["casadi"]) (Name "SX"))),SwigOutput False)]
extern "C"
casadi::SX*
    casadi__SX__CONSTRUCTOR__6(std::string ** err_msg, casadi::Sparsity* x0, casadi::SX* x1);
casadi::SX*
    casadi__SX__CONSTRUCTOR__6(std::string ** err_msg, casadi::Sparsity* x0, casadi::SX* x1){
    try {
        casadi::Sparsity& x0_ = Marshaling<casadi::Sparsity&,casadi::Sparsity*>::marshal(x0);
        casadi::SX& x1_ = Marshaling<casadi::SX&,casadi::SX*>::marshal(x1);

        casadi::SX* ret = (casadi::SX*)new casadi::SX(x0_, x1_);
        // x0 is not a swig output
        // x1 is not a swig output

        return ret;
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return 0;
    }
}


// ================== Constructor method: "CONSTRUCTOR" ===============
// class: "casadi::SX"
// cppName: "casadi::SX"
// cWrapperName: "casadi__SX__CONSTRUCTOR__7"
// protoArgs: "(std::string ** err_msg, casadi::Sparsity* x0)"
// args: "(x0_)"
// rettype: UserType (Namespace ["casadi"]) (Name "SX")
// cWrapperRetType: "casadi::SX*"
// proto: "casadi::SX*\n    casadi__SX__CONSTRUCTOR__7(std::string ** err_msg, casadi::Sparsity* x0)"
// call: "        casadi::SX* ret = (casadi::SX*)new casadi::SX(x0_);"
// params: [(Ref (Const (UserType (Namespace ["casadi"]) (Name "Sparsity"))),SwigOutput False)]
extern "C"
casadi::SX*
    casadi__SX__CONSTRUCTOR__7(std::string ** err_msg, casadi::Sparsity* x0);
casadi::SX*
    casadi__SX__CONSTRUCTOR__7(std::string ** err_msg, casadi::Sparsity* x0){
    try {
        casadi::Sparsity& x0_ = Marshaling<casadi::Sparsity&,casadi::Sparsity*>::marshal(x0);

        casadi::SX* ret = (casadi::SX*)new casadi::SX(x0_);
        // x0 is not a swig output

        return ret;
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return 0;
    }
}


// ================== Constructor method: "CONSTRUCTOR" ===============
// class: "casadi::SX"
// cppName: "casadi::SX"
// cWrapperName: "casadi__SX__CONSTRUCTOR__8"
// protoArgs: "(std::string ** err_msg, int x0, int x1)"
// args: "(x0_, x1_)"
// rettype: UserType (Namespace ["casadi"]) (Name "SX")
// cWrapperRetType: "casadi::SX*"
// proto: "casadi::SX*\n    casadi__SX__CONSTRUCTOR__8(std::string ** err_msg, int x0, int x1)"
// call: "        casadi::SX* ret = (casadi::SX*)new casadi::SX(x0_, x1_);"
// params: [(CInt,SwigOutput False),(CInt,SwigOutput False)]
extern "C"
casadi::SX*
    casadi__SX__CONSTRUCTOR__8(std::string ** err_msg, int x0, int x1);
casadi::SX*
    casadi__SX__CONSTRUCTOR__8(std::string ** err_msg, int x0, int x1){
    try {
        int x0_ = Marshaling<int,int>::marshal(x0);
        int x1_ = Marshaling<int,int>::marshal(x1);

        casadi::SX* ret = (casadi::SX*)new casadi::SX(x0_, x1_);
        // x0 is not a swig output
        // x1 is not a swig output

        return ret;
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return 0;
    }
}


// ================== Constructor method: "CONSTRUCTOR" ===============
// class: "casadi::SX"
// cppName: "casadi::SX"
// cWrapperName: "casadi__SX__CONSTRUCTOR__9"
// protoArgs: "(std::string ** err_msg, casadi::SX* x0)"
// args: "(x0_)"
// rettype: UserType (Namespace ["casadi"]) (Name "SX")
// cWrapperRetType: "casadi::SX*"
// proto: "casadi::SX*\n    casadi__SX__CONSTRUCTOR__9(std::string ** err_msg, casadi::SX* x0)"
// call: "        casadi::SX* ret = (casadi::SX*)new casadi::SX(x0_);"
// params: [(Ref (Const (UserType (Namespace ["casadi"]) (Name "SX"))),SwigOutput False)]
extern "C"
casadi::SX*
    casadi__SX__CONSTRUCTOR__9(std::string ** err_msg, casadi::SX* x0);
casadi::SX*
    casadi__SX__CONSTRUCTOR__9(std::string ** err_msg, casadi::SX* x0){
    try {
        casadi::SX& x0_ = Marshaling<casadi::SX&,casadi::SX*>::marshal(x0);

        casadi::SX* ret = (casadi::SX*)new casadi::SX(x0_);
        // x0 is not a swig output

        return ret;
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return 0;
    }
}


// ================== Constructor method: "CONSTRUCTOR" ===============
// class: "casadi::SX"
// cppName: "casadi::SX"
// cWrapperName: "casadi__SX__CONSTRUCTOR__10"
// protoArgs: "(std::string ** err_msg)"
// args: "()"
// rettype: UserType (Namespace ["casadi"]) (Name "SX")
// cWrapperRetType: "casadi::SX*"
// proto: "casadi::SX*\n    casadi__SX__CONSTRUCTOR__10(std::string ** err_msg)"
// call: "        casadi::SX* ret = (casadi::SX*)new casadi::SX();"
// params: []
extern "C"
casadi::SX*
    casadi__SX__CONSTRUCTOR__10(std::string ** err_msg);
casadi::SX*
    casadi__SX__CONSTRUCTOR__10(std::string ** err_msg){
    try {

        casadi::SX* ret = (casadi::SX*)new casadi::SX();

        return ret;
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return 0;
    }
}


// ================== Normal method: "T" ===============
// class: "casadi::SX"
// cppName: "casadi::SX::T"
// cWrapperName: "casadi__SX__T"
// protoArgs: "(std::string ** err_msg, casadi::SX* obj)"
// args: "()"
// rettype: UserType (Namespace ["casadi"]) (Name "SX")
// cWrapperRetType: "casadi::SX*"
// proto: "casadi::SX*\n    casadi__SX__T(std::string ** err_msg, casadi::SX* obj)"
// call: "        casadi::SX ret = obj->T();"
// params: []
extern "C"
casadi::SX*
    casadi__SX__T(std::string ** err_msg, casadi::SX* obj);
casadi::SX*
    casadi__SX__T(std::string ** err_msg, casadi::SX* obj){
    try {

        casadi::SX ret = obj->T();

        return WrapReturn< casadi::SX*, casadi::SX >::wrapReturn( ret );
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return 0;
    }
}


// ================== Normal method: "__nonzero__" ===============
// class: "casadi::SX"
// cppName: "casadi::SX::__nonzero__"
// cWrapperName: "casadi__SX____nonzero__"
// protoArgs: "(std::string ** err_msg, casadi::SX* obj)"
// args: "()"
// rettype: CBool
// cWrapperRetType: "int"
// proto: "int\n    casadi__SX____nonzero__(std::string ** err_msg, casadi::SX* obj)"
// call: "        bool ret = obj->__nonzero__();"
// params: []
extern "C"
int
    casadi__SX____nonzero__(std::string ** err_msg, casadi::SX* obj);
int
    casadi__SX____nonzero__(std::string ** err_msg, casadi::SX* obj){
    try {

        bool ret = obj->__nonzero__();

        return WrapReturn< int, bool >::wrapReturn( ret );
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return 0;
    }
}


// ================== Static method: "binary" ===============
// class: "casadi::SX"
// cppName: "casadi::SX::binary"
// cWrapperName: "casadi__SX__binary"
// protoArgs: "(std::string ** err_msg, int x0, casadi::SX* x1, casadi::SX* x2)"
// args: "(x0_, x1_, x2_)"
// rettype: UserType (Namespace ["casadi"]) (Name "SX")
// cWrapperRetType: "casadi::SX*"
// proto: "casadi::SX*\n    casadi__SX__binary(std::string ** err_msg, int x0, casadi::SX* x1, casadi::SX* x2)"
// call: "        casadi::SX ret = casadi::SX::binary(x0_, x1_, x2_);"
// params: [(CInt,SwigOutput False),(Ref (Const (UserType (Namespace ["casadi"]) (Name "SX"))),SwigOutput False),(Ref (Const (UserType (Namespace ["casadi"]) (Name "SX"))),SwigOutput False)]
extern "C"
casadi::SX*
    casadi__SX__binary(std::string ** err_msg, int x0, casadi::SX* x1, casadi::SX* x2);
casadi::SX*
    casadi__SX__binary(std::string ** err_msg, int x0, casadi::SX* x1, casadi::SX* x2){
    try {
        int x0_ = Marshaling<int,int>::marshal(x0);
        casadi::SX& x1_ = Marshaling<casadi::SX&,casadi::SX*>::marshal(x1);
        casadi::SX& x2_ = Marshaling<casadi::SX&,casadi::SX*>::marshal(x2);

        casadi::SX ret = casadi::SX::binary(x0_, x1_, x2_);
        // x0 is not a swig output
        // x1 is not a swig output
        // x2 is not a swig output

        return WrapReturn< casadi::SX*, casadi::SX >::wrapReturn( ret );
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return 0;
    }
}


// ================== Normal method: "clear" ===============
// class: "casadi::SX"
// cppName: "casadi::SX::clear"
// cWrapperName: "casadi__SX__clear"
// protoArgs: "(std::string ** err_msg, casadi::SX* obj)"
// args: "()"
// rettype: CVoid
// cWrapperRetType: "void"
// proto: "void\n    casadi__SX__clear(std::string ** err_msg, casadi::SX* obj)"
// call: "        obj->clear();"
// params: []
extern "C"
void
    casadi__SX__clear(std::string ** err_msg, casadi::SX* obj);
void
    casadi__SX__clear(std::string ** err_msg, casadi::SX* obj){
    try {

        obj->clear();

        return;
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return;
    }
}


// ================== Normal method: "colind" ===============
// class: "casadi::SX"
// cppName: "casadi::SX::colind"
// cWrapperName: "casadi__SX__colind"
// protoArgs: "(std::string ** err_msg, casadi::SX* obj, int x0)"
// args: "(x0_)"
// rettype: CInt
// cWrapperRetType: "int"
// proto: "int\n    casadi__SX__colind(std::string ** err_msg, casadi::SX* obj, int x0)"
// call: "        int ret = obj->colind(x0_);"
// params: [(CInt,SwigOutput False)]
extern "C"
int
    casadi__SX__colind(std::string ** err_msg, casadi::SX* obj, int x0);
int
    casadi__SX__colind(std::string ** err_msg, casadi::SX* obj, int x0){
    try {
        int x0_ = Marshaling<int,int>::marshal(x0);

        int ret = obj->colind(x0_);
        // x0 is not a swig output

        return WrapReturn< int, int >::wrapReturn( ret );
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return 0;
    }
}


// ================== Normal method: "dep" ===============
// class: "casadi::SX"
// cppName: "casadi::SX::dep"
// cWrapperName: "casadi__SX__dep__0"
// protoArgs: "(std::string ** err_msg, casadi::SX* obj)"
// args: "()"
// rettype: UserType (Namespace ["casadi"]) (Name "SX")
// cWrapperRetType: "casadi::SX*"
// proto: "casadi::SX*\n    casadi__SX__dep__0(std::string ** err_msg, casadi::SX* obj)"
// call: "        casadi::SX ret = obj->dep();"
// params: []
extern "C"
casadi::SX*
    casadi__SX__dep__0(std::string ** err_msg, casadi::SX* obj);
casadi::SX*
    casadi__SX__dep__0(std::string ** err_msg, casadi::SX* obj){
    try {

        casadi::SX ret = obj->dep();

        return WrapReturn< casadi::SX*, casadi::SX >::wrapReturn( ret );
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return 0;
    }
}


// ================== Normal method: "dep" ===============
// class: "casadi::SX"
// cppName: "casadi::SX::dep"
// cWrapperName: "casadi__SX__dep__1"
// protoArgs: "(std::string ** err_msg, casadi::SX* obj, int x0)"
// args: "(x0_)"
// rettype: UserType (Namespace ["casadi"]) (Name "SX")
// cWrapperRetType: "casadi::SX*"
// proto: "casadi::SX*\n    casadi__SX__dep__1(std::string ** err_msg, casadi::SX* obj, int x0)"
// call: "        casadi::SX ret = obj->dep(x0_);"
// params: [(CInt,SwigOutput False)]
extern "C"
casadi::SX*
    casadi__SX__dep__1(std::string ** err_msg, casadi::SX* obj, int x0);
casadi::SX*
    casadi__SX__dep__1(std::string ** err_msg, casadi::SX* obj, int x0){
    try {
        int x0_ = Marshaling<int,int>::marshal(x0);

        casadi::SX ret = obj->dep(x0_);
        // x0 is not a swig output

        return WrapReturn< casadi::SX*, casadi::SX >::wrapReturn( ret );
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return 0;
    }
}


// ================== Normal method: "dim" ===============
// class: "casadi::SX"
// cppName: "casadi::SX::dim"
// cWrapperName: "casadi__SX__dim"
// protoArgs: "(std::string ** err_msg, casadi::SX* obj)"
// args: "()"
// rettype: StdString
// cWrapperRetType: "std::string*"
// proto: "std::string*\n    casadi__SX__dim(std::string ** err_msg, casadi::SX* obj)"
// call: "        std::string ret = obj->dim();"
// params: []
extern "C"
std::string*
    casadi__SX__dim(std::string ** err_msg, casadi::SX* obj);
std::string*
    casadi__SX__dim(std::string ** err_msg, casadi::SX* obj){
    try {

        std::string ret = obj->dim();

        return WrapReturn< std::string*, std::string >::wrapReturn( ret );
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return 0;
    }
}


// ================== Normal method: "element_hash" ===============
// class: "casadi::SX"
// cppName: "casadi::SX::element_hash"
// cWrapperName: "casadi__SX__element_hash"
// protoArgs: "(std::string ** err_msg, casadi::SX* obj)"
// args: "()"
// rettype: CSize
// cWrapperRetType: "size_t"
// proto: "size_t\n    casadi__SX__element_hash(std::string ** err_msg, casadi::SX* obj)"
// call: "        size_t ret = obj->element_hash();"
// params: []
extern "C"
size_t
    casadi__SX__element_hash(std::string ** err_msg, casadi::SX* obj);
size_t
    casadi__SX__element_hash(std::string ** err_msg, casadi::SX* obj){
    try {

        size_t ret = obj->element_hash();

        return WrapReturn< size_t, size_t >::wrapReturn( ret );
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return 0;
    }
}


// ================== Normal method: "enlarge" ===============
// class: "casadi::SX"
// cppName: "casadi::SX::enlarge"
// cWrapperName: "casadi__SX__enlarge__0"
// protoArgs: "(std::string ** err_msg, casadi::SX* obj, int x0, int x1, std::vector< int >* x2, std::vector< int >* x3)"
// args: "(x0_, x1_, x2_, x3_)"
// rettype: CVoid
// cWrapperRetType: "void"
// proto: "void\n    casadi__SX__enlarge__0(std::string ** err_msg, casadi::SX* obj, int x0, int x1, std::vector< int >* x2, std::vector< int >* x3)"
// call: "        obj->enlarge(x0_, x1_, x2_, x3_);"
// params: [(CInt,SwigOutput False),(CInt,SwigOutput False),(Ref (Const (StdVec CInt)),SwigOutput False),(Ref (Const (StdVec CInt)),SwigOutput False)]
extern "C"
void
    casadi__SX__enlarge__0(std::string ** err_msg, casadi::SX* obj, int x0, int x1, std::vector< int >* x2, std::vector< int >* x3);
void
    casadi__SX__enlarge__0(std::string ** err_msg, casadi::SX* obj, int x0, int x1, std::vector< int >* x2, std::vector< int >* x3){
    try {
        int x0_ = Marshaling<int,int>::marshal(x0);
        int x1_ = Marshaling<int,int>::marshal(x1);
        std::vector< int > x2_ = Marshaling<std::vector< int >,std::vector< int >*>::marshal(x2);
        std::vector< int > x3_ = Marshaling<std::vector< int >,std::vector< int >*>::marshal(x3);

        obj->enlarge(x0_, x1_, x2_, x3_);
        // x0 is not a swig output
        // x1 is not a swig output
        // x2 is not a swig output
        // x3 is not a swig output

        return;
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return;
    }
}


// ================== Normal method: "enlarge" ===============
// class: "casadi::SX"
// cppName: "casadi::SX::enlarge"
// cWrapperName: "casadi__SX__enlarge__1"
// protoArgs: "(std::string ** err_msg, casadi::SX* obj, int x0, int x1, std::vector< int >* x2, std::vector< int >* x3, int x4)"
// args: "(x0_, x1_, x2_, x3_, x4_)"
// rettype: CVoid
// cWrapperRetType: "void"
// proto: "void\n    casadi__SX__enlarge__1(std::string ** err_msg, casadi::SX* obj, int x0, int x1, std::vector< int >* x2, std::vector< int >* x3, int x4)"
// call: "        obj->enlarge(x0_, x1_, x2_, x3_, x4_);"
// params: [(CInt,SwigOutput False),(CInt,SwigOutput False),(Ref (Const (StdVec CInt)),SwigOutput False),(Ref (Const (StdVec CInt)),SwigOutput False),(CBool,SwigOutput False)]
extern "C"
void
    casadi__SX__enlarge__1(std::string ** err_msg, casadi::SX* obj, int x0, int x1, std::vector< int >* x2, std::vector< int >* x3, int x4);
void
    casadi__SX__enlarge__1(std::string ** err_msg, casadi::SX* obj, int x0, int x1, std::vector< int >* x2, std::vector< int >* x3, int x4){
    try {
        int x0_ = Marshaling<int,int>::marshal(x0);
        int x1_ = Marshaling<int,int>::marshal(x1);
        std::vector< int > x2_ = Marshaling<std::vector< int >,std::vector< int >*>::marshal(x2);
        std::vector< int > x3_ = Marshaling<std::vector< int >,std::vector< int >*>::marshal(x3);
        bool x4_ = Marshaling<bool,int>::marshal(x4);

        obj->enlarge(x0_, x1_, x2_, x3_, x4_);
        // x0 is not a swig output
        // x1 is not a swig output
        // x2 is not a swig output
        // x3 is not a swig output
        // x4 is not a swig output

        return;
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return;
    }
}


// ================== Normal method: "erase" ===============
// class: "casadi::SX"
// cppName: "casadi::SX::erase"
// cWrapperName: "casadi__SX__erase__0"
// protoArgs: "(std::string ** err_msg, casadi::SX* obj, std::vector< int >* x0)"
// args: "(x0_)"
// rettype: CVoid
// cWrapperRetType: "void"
// proto: "void\n    casadi__SX__erase__0(std::string ** err_msg, casadi::SX* obj, std::vector< int >* x0)"
// call: "        obj->erase(x0_);"
// params: [(Ref (Const (StdVec CInt)),SwigOutput False)]
extern "C"
void
    casadi__SX__erase__0(std::string ** err_msg, casadi::SX* obj, std::vector< int >* x0);
void
    casadi__SX__erase__0(std::string ** err_msg, casadi::SX* obj, std::vector< int >* x0){
    try {
        std::vector< int > x0_ = Marshaling<std::vector< int >,std::vector< int >*>::marshal(x0);

        obj->erase(x0_);
        // x0 is not a swig output

        return;
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return;
    }
}


// ================== Normal method: "erase" ===============
// class: "casadi::SX"
// cppName: "casadi::SX::erase"
// cWrapperName: "casadi__SX__erase__1"
// protoArgs: "(std::string ** err_msg, casadi::SX* obj, std::vector< int >* x0, int x1)"
// args: "(x0_, x1_)"
// rettype: CVoid
// cWrapperRetType: "void"
// proto: "void\n    casadi__SX__erase__1(std::string ** err_msg, casadi::SX* obj, std::vector< int >* x0, int x1)"
// call: "        obj->erase(x0_, x1_);"
// params: [(Ref (Const (StdVec CInt)),SwigOutput False),(CBool,SwigOutput False)]
extern "C"
void
    casadi__SX__erase__1(std::string ** err_msg, casadi::SX* obj, std::vector< int >* x0, int x1);
void
    casadi__SX__erase__1(std::string ** err_msg, casadi::SX* obj, std::vector< int >* x0, int x1){
    try {
        std::vector< int > x0_ = Marshaling<std::vector< int >,std::vector< int >*>::marshal(x0);
        bool x1_ = Marshaling<bool,int>::marshal(x1);

        obj->erase(x0_, x1_);
        // x0 is not a swig output
        // x1 is not a swig output

        return;
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return;
    }
}


// ================== Normal method: "erase" ===============
// class: "casadi::SX"
// cppName: "casadi::SX::erase"
// cWrapperName: "casadi__SX__erase__2"
// protoArgs: "(std::string ** err_msg, casadi::SX* obj, std::vector< int >* x0, std::vector< int >* x1)"
// args: "(x0_, x1_)"
// rettype: CVoid
// cWrapperRetType: "void"
// proto: "void\n    casadi__SX__erase__2(std::string ** err_msg, casadi::SX* obj, std::vector< int >* x0, std::vector< int >* x1)"
// call: "        obj->erase(x0_, x1_);"
// params: [(Ref (Const (StdVec CInt)),SwigOutput False),(Ref (Const (StdVec CInt)),SwigOutput False)]
extern "C"
void
    casadi__SX__erase__2(std::string ** err_msg, casadi::SX* obj, std::vector< int >* x0, std::vector< int >* x1);
void
    casadi__SX__erase__2(std::string ** err_msg, casadi::SX* obj, std::vector< int >* x0, std::vector< int >* x1){
    try {
        std::vector< int > x0_ = Marshaling<std::vector< int >,std::vector< int >*>::marshal(x0);
        std::vector< int > x1_ = Marshaling<std::vector< int >,std::vector< int >*>::marshal(x1);

        obj->erase(x0_, x1_);
        // x0 is not a swig output
        // x1 is not a swig output

        return;
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return;
    }
}


// ================== Normal method: "erase" ===============
// class: "casadi::SX"
// cppName: "casadi::SX::erase"
// cWrapperName: "casadi__SX__erase__3"
// protoArgs: "(std::string ** err_msg, casadi::SX* obj, std::vector< int >* x0, std::vector< int >* x1, int x2)"
// args: "(x0_, x1_, x2_)"
// rettype: CVoid
// cWrapperRetType: "void"
// proto: "void\n    casadi__SX__erase__3(std::string ** err_msg, casadi::SX* obj, std::vector< int >* x0, std::vector< int >* x1, int x2)"
// call: "        obj->erase(x0_, x1_, x2_);"
// params: [(Ref (Const (StdVec CInt)),SwigOutput False),(Ref (Const (StdVec CInt)),SwigOutput False),(CBool,SwigOutput False)]
extern "C"
void
    casadi__SX__erase__3(std::string ** err_msg, casadi::SX* obj, std::vector< int >* x0, std::vector< int >* x1, int x2);
void
    casadi__SX__erase__3(std::string ** err_msg, casadi::SX* obj, std::vector< int >* x0, std::vector< int >* x1, int x2){
    try {
        std::vector< int > x0_ = Marshaling<std::vector< int >,std::vector< int >*>::marshal(x0);
        std::vector< int > x1_ = Marshaling<std::vector< int >,std::vector< int >*>::marshal(x1);
        bool x2_ = Marshaling<bool,int>::marshal(x2);

        obj->erase(x0_, x1_, x2_);
        // x0 is not a swig output
        // x1 is not a swig output
        // x2 is not a swig output

        return;
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return;
    }
}


// ================== Static method: "eye" ===============
// class: "casadi::SX"
// cppName: "casadi::SX::eye"
// cWrapperName: "casadi__SX__eye"
// protoArgs: "(std::string ** err_msg, int x0)"
// args: "(x0_)"
// rettype: UserType (Namespace ["casadi"]) (Name "SX")
// cWrapperRetType: "casadi::SX*"
// proto: "casadi::SX*\n    casadi__SX__eye(std::string ** err_msg, int x0)"
// call: "        casadi::SX ret = casadi::SX::eye(x0_);"
// params: [(CInt,SwigOutput False)]
extern "C"
casadi::SX*
    casadi__SX__eye(std::string ** err_msg, int x0);
casadi::SX*
    casadi__SX__eye(std::string ** err_msg, int x0){
    try {
        int x0_ = Marshaling<int,int>::marshal(x0);

        casadi::SX ret = casadi::SX::eye(x0_);
        // x0 is not a swig output

        return WrapReturn< casadi::SX*, casadi::SX >::wrapReturn( ret );
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return 0;
    }
}


// ================== Normal method: "get" ===============
// class: "casadi::SX"
// cppName: "casadi::SX::get"
// cWrapperName: "casadi__SX__get__0"
// protoArgs: "(std::string ** err_msg, casadi::SX* obj, casadi::SX** x0, int x1, casadi::IM* x2, casadi::IM* x3)"
// args: "(x0_, x1_, x2_, x3_)"
// rettype: CVoid
// cWrapperRetType: "void"
// proto: "void\n    casadi__SX__get__0(std::string ** err_msg, casadi::SX* obj, casadi::SX** x0, int x1, casadi::IM* x2, casadi::IM* x3)"
// call: "        obj->get(x0_, x1_, x2_, x3_);"
// params: [(Ref (UserType (Namespace ["casadi"]) (Name "SX")),SwigOutput True),(CBool,SwigOutput False),(Ref (Const (UserType (Namespace ["casadi"]) (Name "IM"))),SwigOutput False),(Ref (Const (UserType (Namespace ["casadi"]) (Name "IM"))),SwigOutput False)]
extern "C"
void
    casadi__SX__get__0(std::string ** err_msg, casadi::SX* obj, casadi::SX** x0, int x1, casadi::IM* x2, casadi::IM* x3);
void
    casadi__SX__get__0(std::string ** err_msg, casadi::SX* obj, casadi::SX** x0, int x1, casadi::IM* x2, casadi::IM* x3){
    try {
        casadi::SX x0_ = casadi::SX();  // Swig output
        bool x1_ = Marshaling<bool,int>::marshal(x1);
        casadi::IM& x2_ = Marshaling<casadi::IM&,casadi::IM*>::marshal(x2);
        casadi::IM& x3_ = Marshaling<casadi::IM&,casadi::IM*>::marshal(x3);

        obj->get(x0_, x1_, x2_, x3_);
        *x0 = WrapReturn< casadi::SX*, casadi::SX >::wrapReturn( x0_ );
        // x1 is not a swig output
        // x2 is not a swig output
        // x3 is not a swig output

        return;
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return;
    }
}


// ================== Normal method: "get" ===============
// class: "casadi::SX"
// cppName: "casadi::SX::get"
// cWrapperName: "casadi__SX__get__1"
// protoArgs: "(std::string ** err_msg, casadi::SX* obj, casadi::SX** x0, int x1, casadi::IM* x2, casadi::Slice* x3)"
// args: "(x0_, x1_, x2_, x3_)"
// rettype: CVoid
// cWrapperRetType: "void"
// proto: "void\n    casadi__SX__get__1(std::string ** err_msg, casadi::SX* obj, casadi::SX** x0, int x1, casadi::IM* x2, casadi::Slice* x3)"
// call: "        obj->get(x0_, x1_, x2_, x3_);"
// params: [(Ref (UserType (Namespace ["casadi"]) (Name "SX")),SwigOutput True),(CBool,SwigOutput False),(Ref (Const (UserType (Namespace ["casadi"]) (Name "IM"))),SwigOutput False),(Ref (Const (UserType (Namespace ["casadi"]) (Name "Slice"))),SwigOutput False)]
extern "C"
void
    casadi__SX__get__1(std::string ** err_msg, casadi::SX* obj, casadi::SX** x0, int x1, casadi::IM* x2, casadi::Slice* x3);
void
    casadi__SX__get__1(std::string ** err_msg, casadi::SX* obj, casadi::SX** x0, int x1, casadi::IM* x2, casadi::Slice* x3){
    try {
        casadi::SX x0_ = casadi::SX();  // Swig output
        bool x1_ = Marshaling<bool,int>::marshal(x1);
        casadi::IM& x2_ = Marshaling<casadi::IM&,casadi::IM*>::marshal(x2);
        casadi::Slice& x3_ = Marshaling<casadi::Slice&,casadi::Slice*>::marshal(x3);

        obj->get(x0_, x1_, x2_, x3_);
        *x0 = WrapReturn< casadi::SX*, casadi::SX >::wrapReturn( x0_ );
        // x1 is not a swig output
        // x2 is not a swig output
        // x3 is not a swig output

        return;
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return;
    }
}


// ================== Normal method: "get" ===============
// class: "casadi::SX"
// cppName: "casadi::SX::get"
// cWrapperName: "casadi__SX__get__2"
// protoArgs: "(std::string ** err_msg, casadi::SX* obj, casadi::SX** x0, int x1, casadi::Slice* x2, casadi::IM* x3)"
// args: "(x0_, x1_, x2_, x3_)"
// rettype: CVoid
// cWrapperRetType: "void"
// proto: "void\n    casadi__SX__get__2(std::string ** err_msg, casadi::SX* obj, casadi::SX** x0, int x1, casadi::Slice* x2, casadi::IM* x3)"
// call: "        obj->get(x0_, x1_, x2_, x3_);"
// params: [(Ref (UserType (Namespace ["casadi"]) (Name "SX")),SwigOutput True),(CBool,SwigOutput False),(Ref (Const (UserType (Namespace ["casadi"]) (Name "Slice"))),SwigOutput False),(Ref (Const (UserType (Namespace ["casadi"]) (Name "IM"))),SwigOutput False)]
extern "C"
void
    casadi__SX__get__2(std::string ** err_msg, casadi::SX* obj, casadi::SX** x0, int x1, casadi::Slice* x2, casadi::IM* x3);
void
    casadi__SX__get__2(std::string ** err_msg, casadi::SX* obj, casadi::SX** x0, int x1, casadi::Slice* x2, casadi::IM* x3){
    try {
        casadi::SX x0_ = casadi::SX();  // Swig output
        bool x1_ = Marshaling<bool,int>::marshal(x1);
        casadi::Slice& x2_ = Marshaling<casadi::Slice&,casadi::Slice*>::marshal(x2);
        casadi::IM& x3_ = Marshaling<casadi::IM&,casadi::IM*>::marshal(x3);

        obj->get(x0_, x1_, x2_, x3_);
        *x0 = WrapReturn< casadi::SX*, casadi::SX >::wrapReturn( x0_ );
        // x1 is not a swig output
        // x2 is not a swig output
        // x3 is not a swig output

        return;
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return;
    }
}


// ================== Normal method: "get" ===============
// class: "casadi::SX"
// cppName: "casadi::SX::get"
// cWrapperName: "casadi__SX__get__3"
// protoArgs: "(std::string ** err_msg, casadi::SX* obj, casadi::SX** x0, int x1, casadi::Slice* x2, casadi::Slice* x3)"
// args: "(x0_, x1_, x2_, x3_)"
// rettype: CVoid
// cWrapperRetType: "void"
// proto: "void\n    casadi__SX__get__3(std::string ** err_msg, casadi::SX* obj, casadi::SX** x0, int x1, casadi::Slice* x2, casadi::Slice* x3)"
// call: "        obj->get(x0_, x1_, x2_, x3_);"
// params: [(Ref (UserType (Namespace ["casadi"]) (Name "SX")),SwigOutput True),(CBool,SwigOutput False),(Ref (Const (UserType (Namespace ["casadi"]) (Name "Slice"))),SwigOutput False),(Ref (Const (UserType (Namespace ["casadi"]) (Name "Slice"))),SwigOutput False)]
extern "C"
void
    casadi__SX__get__3(std::string ** err_msg, casadi::SX* obj, casadi::SX** x0, int x1, casadi::Slice* x2, casadi::Slice* x3);
void
    casadi__SX__get__3(std::string ** err_msg, casadi::SX* obj, casadi::SX** x0, int x1, casadi::Slice* x2, casadi::Slice* x3){
    try {
        casadi::SX x0_ = casadi::SX();  // Swig output
        bool x1_ = Marshaling<bool,int>::marshal(x1);
        casadi::Slice& x2_ = Marshaling<casadi::Slice&,casadi::Slice*>::marshal(x2);
        casadi::Slice& x3_ = Marshaling<casadi::Slice&,casadi::Slice*>::marshal(x3);

        obj->get(x0_, x1_, x2_, x3_);
        *x0 = WrapReturn< casadi::SX*, casadi::SX >::wrapReturn( x0_ );
        // x1 is not a swig output
        // x2 is not a swig output
        // x3 is not a swig output

        return;
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return;
    }
}


// ================== Normal method: "get" ===============
// class: "casadi::SX"
// cppName: "casadi::SX::get"
// cWrapperName: "casadi__SX__get__4"
// protoArgs: "(std::string ** err_msg, casadi::SX* obj, casadi::SX** x0, int x1, casadi::Sparsity* x2)"
// args: "(x0_, x1_, x2_)"
// rettype: CVoid
// cWrapperRetType: "void"
// proto: "void\n    casadi__SX__get__4(std::string ** err_msg, casadi::SX* obj, casadi::SX** x0, int x1, casadi::Sparsity* x2)"
// call: "        obj->get(x0_, x1_, x2_);"
// params: [(Ref (UserType (Namespace ["casadi"]) (Name "SX")),SwigOutput True),(CBool,SwigOutput False),(Ref (Const (UserType (Namespace ["casadi"]) (Name "Sparsity"))),SwigOutput False)]
extern "C"
void
    casadi__SX__get__4(std::string ** err_msg, casadi::SX* obj, casadi::SX** x0, int x1, casadi::Sparsity* x2);
void
    casadi__SX__get__4(std::string ** err_msg, casadi::SX* obj, casadi::SX** x0, int x1, casadi::Sparsity* x2){
    try {
        casadi::SX x0_ = casadi::SX();  // Swig output
        bool x1_ = Marshaling<bool,int>::marshal(x1);
        casadi::Sparsity& x2_ = Marshaling<casadi::Sparsity&,casadi::Sparsity*>::marshal(x2);

        obj->get(x0_, x1_, x2_);
        *x0 = WrapReturn< casadi::SX*, casadi::SX >::wrapReturn( x0_ );
        // x1 is not a swig output
        // x2 is not a swig output

        return;
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return;
    }
}


// ================== Normal method: "get" ===============
// class: "casadi::SX"
// cppName: "casadi::SX::get"
// cWrapperName: "casadi__SX__get__5"
// protoArgs: "(std::string ** err_msg, casadi::SX* obj, casadi::SX** x0, int x1, casadi::IM* x2)"
// args: "(x0_, x1_, x2_)"
// rettype: CVoid
// cWrapperRetType: "void"
// proto: "void\n    casadi__SX__get__5(std::string ** err_msg, casadi::SX* obj, casadi::SX** x0, int x1, casadi::IM* x2)"
// call: "        obj->get(x0_, x1_, x2_);"
// params: [(Ref (UserType (Namespace ["casadi"]) (Name "SX")),SwigOutput True),(CBool,SwigOutput False),(Ref (Const (UserType (Namespace ["casadi"]) (Name "IM"))),SwigOutput False)]
extern "C"
void
    casadi__SX__get__5(std::string ** err_msg, casadi::SX* obj, casadi::SX** x0, int x1, casadi::IM* x2);
void
    casadi__SX__get__5(std::string ** err_msg, casadi::SX* obj, casadi::SX** x0, int x1, casadi::IM* x2){
    try {
        casadi::SX x0_ = casadi::SX();  // Swig output
        bool x1_ = Marshaling<bool,int>::marshal(x1);
        casadi::IM& x2_ = Marshaling<casadi::IM&,casadi::IM*>::marshal(x2);

        obj->get(x0_, x1_, x2_);
        *x0 = WrapReturn< casadi::SX*, casadi::SX >::wrapReturn( x0_ );
        // x1 is not a swig output
        // x2 is not a swig output

        return;
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return;
    }
}


// ================== Normal method: "get" ===============
// class: "casadi::SX"
// cppName: "casadi::SX::get"
// cWrapperName: "casadi__SX__get__6"
// protoArgs: "(std::string ** err_msg, casadi::SX* obj, casadi::SX** x0, int x1, casadi::Slice* x2)"
// args: "(x0_, x1_, x2_)"
// rettype: CVoid
// cWrapperRetType: "void"
// proto: "void\n    casadi__SX__get__6(std::string ** err_msg, casadi::SX* obj, casadi::SX** x0, int x1, casadi::Slice* x2)"
// call: "        obj->get(x0_, x1_, x2_);"
// params: [(Ref (UserType (Namespace ["casadi"]) (Name "SX")),SwigOutput True),(CBool,SwigOutput False),(Ref (Const (UserType (Namespace ["casadi"]) (Name "Slice"))),SwigOutput False)]
extern "C"
void
    casadi__SX__get__6(std::string ** err_msg, casadi::SX* obj, casadi::SX** x0, int x1, casadi::Slice* x2);
void
    casadi__SX__get__6(std::string ** err_msg, casadi::SX* obj, casadi::SX** x0, int x1, casadi::Slice* x2){
    try {
        casadi::SX x0_ = casadi::SX();  // Swig output
        bool x1_ = Marshaling<bool,int>::marshal(x1);
        casadi::Slice& x2_ = Marshaling<casadi::Slice&,casadi::Slice*>::marshal(x2);

        obj->get(x0_, x1_, x2_);
        *x0 = WrapReturn< casadi::SX*, casadi::SX >::wrapReturn( x0_ );
        // x1 is not a swig output
        // x2 is not a swig output

        return;
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return;
    }
}


// ================== Static method: "getEqualityCheckingDepth" ===============
// class: "casadi::SX"
// cppName: "casadi::SX::getEqualityCheckingDepth"
// cWrapperName: "casadi__SX__getEqualityCheckingDepth"
// protoArgs: "(std::string ** err_msg)"
// args: "()"
// rettype: CInt
// cWrapperRetType: "int"
// proto: "int\n    casadi__SX__getEqualityCheckingDepth(std::string ** err_msg)"
// call: "        int ret = casadi::SX::getEqualityCheckingDepth();"
// params: []
extern "C"
int
    casadi__SX__getEqualityCheckingDepth(std::string ** err_msg);
int
    casadi__SX__getEqualityCheckingDepth(std::string ** err_msg){
    try {

        int ret = casadi::SX::getEqualityCheckingDepth();

        return WrapReturn< int, int >::wrapReturn( ret );
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return 0;
    }
}


// ================== Normal method: "get_colind" ===============
// class: "casadi::SX"
// cppName: "casadi::SX::get_colind"
// cWrapperName: "casadi__SX__get_colind"
// protoArgs: "(std::string ** err_msg, casadi::SX* obj)"
// args: "()"
// rettype: StdVec CInt
// cWrapperRetType: "std::vector< int >*"
// proto: "std::vector< int >*\n    casadi__SX__get_colind(std::string ** err_msg, casadi::SX* obj)"
// call: "        std::vector< int > ret = obj->get_colind();"
// params: []
extern "C"
std::vector< int >*
    casadi__SX__get_colind(std::string ** err_msg, casadi::SX* obj);
std::vector< int >*
    casadi__SX__get_colind(std::string ** err_msg, casadi::SX* obj){
    try {

        std::vector< int > ret = obj->get_colind();

        return WrapReturn< std::vector< int >*, std::vector< int > >::wrapReturn( ret );
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return 0;
    }
}


// ================== Static method: "get_input" ===============
// class: "casadi::SX"
// cppName: "casadi::SX::get_input"
// cWrapperName: "casadi__SX__get_input"
// protoArgs: "(std::string ** err_msg, casadi::Function* x0)"
// args: "(x0_)"
// rettype: StdVec (UserType (Namespace ["casadi"]) (Name "SX"))
// cWrapperRetType: "std::vector< casadi::SX* >*"
// proto: "std::vector< casadi::SX* >*\n    casadi__SX__get_input(std::string ** err_msg, casadi::Function* x0)"
// call: "        std::vector< casadi::SX > ret = casadi::SX::get_input(x0_);"
// params: [(Ref (Const (UserType (Namespace ["casadi"]) (Name "Function"))),SwigOutput False)]
extern "C"
std::vector< casadi::SX* >*
    casadi__SX__get_input(std::string ** err_msg, casadi::Function* x0);
std::vector< casadi::SX* >*
    casadi__SX__get_input(std::string ** err_msg, casadi::Function* x0){
    try {
        casadi::Function& x0_ = Marshaling<casadi::Function&,casadi::Function*>::marshal(x0);

        std::vector< casadi::SX > ret = casadi::SX::get_input(x0_);
        // x0 is not a swig output

        return WrapReturn< std::vector< casadi::SX* >*, std::vector< casadi::SX > >::wrapReturn( ret );
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return 0;
    }
}


// ================== Normal method: "get_nonzeros" ===============
// class: "casadi::SX"
// cppName: "casadi::SX::get_nonzeros"
// cWrapperName: "casadi__SX__get_nonzeros"
// protoArgs: "(std::string ** err_msg, casadi::SX* obj)"
// args: "()"
// rettype: StdVec (UserType (Namespace ["casadi"]) (Name "SXElem"))
// cWrapperRetType: "std::vector< casadi::SXElem* >*"
// proto: "std::vector< casadi::SXElem* >*\n    casadi__SX__get_nonzeros(std::string ** err_msg, casadi::SX* obj)"
// call: "        std::vector< casadi::SXElem > ret = obj->get_nonzeros();"
// params: []
extern "C"
std::vector< casadi::SXElem* >*
    casadi__SX__get_nonzeros(std::string ** err_msg, casadi::SX* obj);
std::vector< casadi::SXElem* >*
    casadi__SX__get_nonzeros(std::string ** err_msg, casadi::SX* obj){
    try {

        std::vector< casadi::SXElem > ret = obj->get_nonzeros();

        return WrapReturn< std::vector< casadi::SXElem* >*, std::vector< casadi::SXElem > >::wrapReturn( ret );
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return 0;
    }
}


// ================== Normal method: "get_nz" ===============
// class: "casadi::SX"
// cppName: "casadi::SX::get_nz"
// cWrapperName: "casadi__SX__get_nz__0"
// protoArgs: "(std::string ** err_msg, casadi::SX* obj, casadi::SX** x0, int x1, casadi::IM* x2)"
// args: "(x0_, x1_, x2_)"
// rettype: CVoid
// cWrapperRetType: "void"
// proto: "void\n    casadi__SX__get_nz__0(std::string ** err_msg, casadi::SX* obj, casadi::SX** x0, int x1, casadi::IM* x2)"
// call: "        obj->get_nz(x0_, x1_, x2_);"
// params: [(Ref (UserType (Namespace ["casadi"]) (Name "SX")),SwigOutput True),(CBool,SwigOutput False),(Ref (Const (UserType (Namespace ["casadi"]) (Name "IM"))),SwigOutput False)]
extern "C"
void
    casadi__SX__get_nz__0(std::string ** err_msg, casadi::SX* obj, casadi::SX** x0, int x1, casadi::IM* x2);
void
    casadi__SX__get_nz__0(std::string ** err_msg, casadi::SX* obj, casadi::SX** x0, int x1, casadi::IM* x2){
    try {
        casadi::SX x0_ = casadi::SX();  // Swig output
        bool x1_ = Marshaling<bool,int>::marshal(x1);
        casadi::IM& x2_ = Marshaling<casadi::IM&,casadi::IM*>::marshal(x2);

        obj->get_nz(x0_, x1_, x2_);
        *x0 = WrapReturn< casadi::SX*, casadi::SX >::wrapReturn( x0_ );
        // x1 is not a swig output
        // x2 is not a swig output

        return;
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return;
    }
}


// ================== Normal method: "get_nz" ===============
// class: "casadi::SX"
// cppName: "casadi::SX::get_nz"
// cWrapperName: "casadi__SX__get_nz__1"
// protoArgs: "(std::string ** err_msg, casadi::SX* obj, casadi::SX** x0, int x1, casadi::Slice* x2)"
// args: "(x0_, x1_, x2_)"
// rettype: CVoid
// cWrapperRetType: "void"
// proto: "void\n    casadi__SX__get_nz__1(std::string ** err_msg, casadi::SX* obj, casadi::SX** x0, int x1, casadi::Slice* x2)"
// call: "        obj->get_nz(x0_, x1_, x2_);"
// params: [(Ref (UserType (Namespace ["casadi"]) (Name "SX")),SwigOutput True),(CBool,SwigOutput False),(Ref (Const (UserType (Namespace ["casadi"]) (Name "Slice"))),SwigOutput False)]
extern "C"
void
    casadi__SX__get_nz__1(std::string ** err_msg, casadi::SX* obj, casadi::SX** x0, int x1, casadi::Slice* x2);
void
    casadi__SX__get_nz__1(std::string ** err_msg, casadi::SX* obj, casadi::SX** x0, int x1, casadi::Slice* x2){
    try {
        casadi::SX x0_ = casadi::SX();  // Swig output
        bool x1_ = Marshaling<bool,int>::marshal(x1);
        casadi::Slice& x2_ = Marshaling<casadi::Slice&,casadi::Slice*>::marshal(x2);

        obj->get_nz(x0_, x1_, x2_);
        *x0 = WrapReturn< casadi::SX*, casadi::SX >::wrapReturn( x0_ );
        // x1 is not a swig output
        // x2 is not a swig output

        return;
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return;
    }
}


// ================== Normal method: "get_row" ===============
// class: "casadi::SX"
// cppName: "casadi::SX::get_row"
// cWrapperName: "casadi__SX__get_row"
// protoArgs: "(std::string ** err_msg, casadi::SX* obj)"
// args: "()"
// rettype: StdVec CInt
// cWrapperRetType: "std::vector< int >*"
// proto: "std::vector< int >*\n    casadi__SX__get_row(std::string ** err_msg, casadi::SX* obj)"
// call: "        std::vector< int > ret = obj->get_row();"
// params: []
extern "C"
std::vector< int >*
    casadi__SX__get_row(std::string ** err_msg, casadi::SX* obj);
std::vector< int >*
    casadi__SX__get_row(std::string ** err_msg, casadi::SX* obj){
    try {

        std::vector< int > ret = obj->get_row();

        return WrapReturn< std::vector< int >*, std::vector< int > >::wrapReturn( ret );
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return 0;
    }
}


// ================== Normal method: "get_sparsity" ===============
// class: "casadi::SX"
// cppName: "casadi::SX::get_sparsity"
// cWrapperName: "casadi__SX__get_sparsity"
// protoArgs: "(std::string ** err_msg, casadi::SX* obj)"
// args: "()"
// rettype: UserType (Namespace ["casadi"]) (Name "Sparsity")
// cWrapperRetType: "casadi::Sparsity*"
// proto: "casadi::Sparsity*\n    casadi__SX__get_sparsity(std::string ** err_msg, casadi::SX* obj)"
// call: "        casadi::Sparsity ret = obj->get_sparsity();"
// params: []
extern "C"
casadi::Sparsity*
    casadi__SX__get_sparsity(std::string ** err_msg, casadi::SX* obj);
casadi::Sparsity*
    casadi__SX__get_sparsity(std::string ** err_msg, casadi::SX* obj){
    try {

        casadi::Sparsity ret = obj->get_sparsity();

        return WrapReturn< casadi::Sparsity*, casadi::Sparsity >::wrapReturn( ret );
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return 0;
    }
}


// ================== Static method: "grad" ===============
// class: "casadi::SX"
// cppName: "casadi::SX::grad"
// cWrapperName: "casadi__SX__grad__0"
// protoArgs: "(std::string ** err_msg, casadi::Function* x0, std::string* x1, std::string* x2)"
// args: "(x0_, x1_, x2_)"
// rettype: UserType (Namespace ["casadi"]) (Name "SX")
// cWrapperRetType: "casadi::SX*"
// proto: "casadi::SX*\n    casadi__SX__grad__0(std::string ** err_msg, casadi::Function* x0, std::string* x1, std::string* x2)"
// call: "        casadi::SX ret = casadi::SX::grad(x0_, x1_, x2_);"
// params: [(Ref (Const (UserType (Namespace ["casadi"]) (Name "Function"))),SwigOutput False),(Ref (Const StdString),SwigOutput False),(Ref (Const StdString),SwigOutput False)]
extern "C"
casadi::SX*
    casadi__SX__grad__0(std::string ** err_msg, casadi::Function* x0, std::string* x1, std::string* x2);
casadi::SX*
    casadi__SX__grad__0(std::string ** err_msg, casadi::Function* x0, std::string* x1, std::string* x2){
    try {
        casadi::Function& x0_ = Marshaling<casadi::Function&,casadi::Function*>::marshal(x0);
        std::string& x1_ = Marshaling<std::string&,std::string*>::marshal(x1);
        std::string& x2_ = Marshaling<std::string&,std::string*>::marshal(x2);

        casadi::SX ret = casadi::SX::grad(x0_, x1_, x2_);
        // x0 is not a swig output
        // x1 is not a swig output
        // x2 is not a swig output

        return WrapReturn< casadi::SX*, casadi::SX >::wrapReturn( ret );
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return 0;
    }
}


// ================== Static method: "grad" ===============
// class: "casadi::SX"
// cppName: "casadi::SX::grad"
// cWrapperName: "casadi__SX__grad__1"
// protoArgs: "(std::string ** err_msg, casadi::Function* x0, int x1, std::string* x2)"
// args: "(x0_, x1_, x2_)"
// rettype: UserType (Namespace ["casadi"]) (Name "SX")
// cWrapperRetType: "casadi::SX*"
// proto: "casadi::SX*\n    casadi__SX__grad__1(std::string ** err_msg, casadi::Function* x0, int x1, std::string* x2)"
// call: "        casadi::SX ret = casadi::SX::grad(x0_, x1_, x2_);"
// params: [(Ref (Const (UserType (Namespace ["casadi"]) (Name "Function"))),SwigOutput False),(CInt,SwigOutput False),(Ref (Const StdString),SwigOutput False)]
extern "C"
casadi::SX*
    casadi__SX__grad__1(std::string ** err_msg, casadi::Function* x0, int x1, std::string* x2);
casadi::SX*
    casadi__SX__grad__1(std::string ** err_msg, casadi::Function* x0, int x1, std::string* x2){
    try {
        casadi::Function& x0_ = Marshaling<casadi::Function&,casadi::Function*>::marshal(x0);
        int x1_ = Marshaling<int,int>::marshal(x1);
        std::string& x2_ = Marshaling<std::string&,std::string*>::marshal(x2);

        casadi::SX ret = casadi::SX::grad(x0_, x1_, x2_);
        // x0 is not a swig output
        // x1 is not a swig output
        // x2 is not a swig output

        return WrapReturn< casadi::SX*, casadi::SX >::wrapReturn( ret );
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return 0;
    }
}


// ================== Static method: "grad" ===============
// class: "casadi::SX"
// cppName: "casadi::SX::grad"
// cWrapperName: "casadi__SX__grad__2"
// protoArgs: "(std::string ** err_msg, casadi::Function* x0, std::string* x1)"
// args: "(x0_, x1_)"
// rettype: UserType (Namespace ["casadi"]) (Name "SX")
// cWrapperRetType: "casadi::SX*"
// proto: "casadi::SX*\n    casadi__SX__grad__2(std::string ** err_msg, casadi::Function* x0, std::string* x1)"
// call: "        casadi::SX ret = casadi::SX::grad(x0_, x1_);"
// params: [(Ref (Const (UserType (Namespace ["casadi"]) (Name "Function"))),SwigOutput False),(Ref (Const StdString),SwigOutput False)]
extern "C"
casadi::SX*
    casadi__SX__grad__2(std::string ** err_msg, casadi::Function* x0, std::string* x1);
casadi::SX*
    casadi__SX__grad__2(std::string ** err_msg, casadi::Function* x0, std::string* x1){
    try {
        casadi::Function& x0_ = Marshaling<casadi::Function&,casadi::Function*>::marshal(x0);
        std::string& x1_ = Marshaling<std::string&,std::string*>::marshal(x1);

        casadi::SX ret = casadi::SX::grad(x0_, x1_);
        // x0 is not a swig output
        // x1 is not a swig output

        return WrapReturn< casadi::SX*, casadi::SX >::wrapReturn( ret );
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return 0;
    }
}


// ================== Static method: "grad" ===============
// class: "casadi::SX"
// cppName: "casadi::SX::grad"
// cWrapperName: "casadi__SX__grad__3"
// protoArgs: "(std::string ** err_msg, casadi::Function* x0, std::string* x1, int x2)"
// args: "(x0_, x1_, x2_)"
// rettype: UserType (Namespace ["casadi"]) (Name "SX")
// cWrapperRetType: "casadi::SX*"
// proto: "casadi::SX*\n    casadi__SX__grad__3(std::string ** err_msg, casadi::Function* x0, std::string* x1, int x2)"
// call: "        casadi::SX ret = casadi::SX::grad(x0_, x1_, x2_);"
// params: [(Ref (Const (UserType (Namespace ["casadi"]) (Name "Function"))),SwigOutput False),(Ref (Const StdString),SwigOutput False),(CInt,SwigOutput False)]
extern "C"
casadi::SX*
    casadi__SX__grad__3(std::string ** err_msg, casadi::Function* x0, std::string* x1, int x2);
casadi::SX*
    casadi__SX__grad__3(std::string ** err_msg, casadi::Function* x0, std::string* x1, int x2){
    try {
        casadi::Function& x0_ = Marshaling<casadi::Function&,casadi::Function*>::marshal(x0);
        std::string& x1_ = Marshaling<std::string&,std::string*>::marshal(x1);
        int x2_ = Marshaling<int,int>::marshal(x2);

        casadi::SX ret = casadi::SX::grad(x0_, x1_, x2_);
        // x0 is not a swig output
        // x1 is not a swig output
        // x2 is not a swig output

        return WrapReturn< casadi::SX*, casadi::SX >::wrapReturn( ret );
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return 0;
    }
}


// ================== Static method: "grad" ===============
// class: "casadi::SX"
// cppName: "casadi::SX::grad"
// cWrapperName: "casadi__SX__grad__4"
// protoArgs: "(std::string ** err_msg, casadi::Function* x0)"
// args: "(x0_)"
// rettype: UserType (Namespace ["casadi"]) (Name "SX")
// cWrapperRetType: "casadi::SX*"
// proto: "casadi::SX*\n    casadi__SX__grad__4(std::string ** err_msg, casadi::Function* x0)"
// call: "        casadi::SX ret = casadi::SX::grad(x0_);"
// params: [(Ref (Const (UserType (Namespace ["casadi"]) (Name "Function"))),SwigOutput False)]
extern "C"
casadi::SX*
    casadi__SX__grad__4(std::string ** err_msg, casadi::Function* x0);
casadi::SX*
    casadi__SX__grad__4(std::string ** err_msg, casadi::Function* x0){
    try {
        casadi::Function& x0_ = Marshaling<casadi::Function&,casadi::Function*>::marshal(x0);

        casadi::SX ret = casadi::SX::grad(x0_);
        // x0 is not a swig output

        return WrapReturn< casadi::SX*, casadi::SX >::wrapReturn( ret );
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return 0;
    }
}


// ================== Static method: "grad" ===============
// class: "casadi::SX"
// cppName: "casadi::SX::grad"
// cWrapperName: "casadi__SX__grad__5"
// protoArgs: "(std::string ** err_msg, casadi::Function* x0, int x1)"
// args: "(x0_, x1_)"
// rettype: UserType (Namespace ["casadi"]) (Name "SX")
// cWrapperRetType: "casadi::SX*"
// proto: "casadi::SX*\n    casadi__SX__grad__5(std::string ** err_msg, casadi::Function* x0, int x1)"
// call: "        casadi::SX ret = casadi::SX::grad(x0_, x1_);"
// params: [(Ref (Const (UserType (Namespace ["casadi"]) (Name "Function"))),SwigOutput False),(CInt,SwigOutput False)]
extern "C"
casadi::SX*
    casadi__SX__grad__5(std::string ** err_msg, casadi::Function* x0, int x1);
casadi::SX*
    casadi__SX__grad__5(std::string ** err_msg, casadi::Function* x0, int x1){
    try {
        casadi::Function& x0_ = Marshaling<casadi::Function&,casadi::Function*>::marshal(x0);
        int x1_ = Marshaling<int,int>::marshal(x1);

        casadi::SX ret = casadi::SX::grad(x0_, x1_);
        // x0 is not a swig output
        // x1 is not a swig output

        return WrapReturn< casadi::SX*, casadi::SX >::wrapReturn( ret );
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return 0;
    }
}


// ================== Static method: "grad" ===============
// class: "casadi::SX"
// cppName: "casadi::SX::grad"
// cWrapperName: "casadi__SX__grad__6"
// protoArgs: "(std::string ** err_msg, casadi::Function* x0, int x1, int x2)"
// args: "(x0_, x1_, x2_)"
// rettype: UserType (Namespace ["casadi"]) (Name "SX")
// cWrapperRetType: "casadi::SX*"
// proto: "casadi::SX*\n    casadi__SX__grad__6(std::string ** err_msg, casadi::Function* x0, int x1, int x2)"
// call: "        casadi::SX ret = casadi::SX::grad(x0_, x1_, x2_);"
// params: [(Ref (Const (UserType (Namespace ["casadi"]) (Name "Function"))),SwigOutput False),(CInt,SwigOutput False),(CInt,SwigOutput False)]
extern "C"
casadi::SX*
    casadi__SX__grad__6(std::string ** err_msg, casadi::Function* x0, int x1, int x2);
casadi::SX*
    casadi__SX__grad__6(std::string ** err_msg, casadi::Function* x0, int x1, int x2){
    try {
        casadi::Function& x0_ = Marshaling<casadi::Function&,casadi::Function*>::marshal(x0);
        int x1_ = Marshaling<int,int>::marshal(x1);
        int x2_ = Marshaling<int,int>::marshal(x2);

        casadi::SX ret = casadi::SX::grad(x0_, x1_, x2_);
        // x0 is not a swig output
        // x1 is not a swig output
        // x2 is not a swig output

        return WrapReturn< casadi::SX*, casadi::SX >::wrapReturn( ret );
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return 0;
    }
}


// ================== Normal method: "has_duplicates" ===============
// class: "casadi::SX"
// cppName: "casadi::SX::has_duplicates"
// cWrapperName: "casadi__SX__has_duplicates"
// protoArgs: "(std::string ** err_msg, casadi::SX* obj)"
// args: "()"
// rettype: CBool
// cWrapperRetType: "int"
// proto: "int\n    casadi__SX__has_duplicates(std::string ** err_msg, casadi::SX* obj)"
// call: "        bool ret = obj->has_duplicates();"
// params: []
extern "C"
int
    casadi__SX__has_duplicates(std::string ** err_msg, casadi::SX* obj);
int
    casadi__SX__has_duplicates(std::string ** err_msg, casadi::SX* obj){
    try {

        bool ret = obj->has_duplicates();

        return WrapReturn< int, bool >::wrapReturn( ret );
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return 0;
    }
}


// ================== Normal method: "has_nz" ===============
// class: "casadi::SX"
// cppName: "casadi::SX::has_nz"
// cWrapperName: "casadi__SX__has_nz"
// protoArgs: "(std::string ** err_msg, casadi::SX* obj, int x0, int x1)"
// args: "(x0_, x1_)"
// rettype: CBool
// cWrapperRetType: "int"
// proto: "int\n    casadi__SX__has_nz(std::string ** err_msg, casadi::SX* obj, int x0, int x1)"
// call: "        bool ret = obj->has_nz(x0_, x1_);"
// params: [(CInt,SwigOutput False),(CInt,SwigOutput False)]
extern "C"
int
    casadi__SX__has_nz(std::string ** err_msg, casadi::SX* obj, int x0, int x1);
int
    casadi__SX__has_nz(std::string ** err_msg, casadi::SX* obj, int x0, int x1){
    try {
        int x0_ = Marshaling<int,int>::marshal(x0);
        int x1_ = Marshaling<int,int>::marshal(x1);

        bool ret = obj->has_nz(x0_, x1_);
        // x0 is not a swig output
        // x1 is not a swig output

        return WrapReturn< int, bool >::wrapReturn( ret );
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return 0;
    }
}


// ================== Normal method: "has_zeros" ===============
// class: "casadi::SX"
// cppName: "casadi::SX::has_zeros"
// cWrapperName: "casadi__SX__has_zeros"
// protoArgs: "(std::string ** err_msg, casadi::SX* obj)"
// args: "()"
// rettype: CBool
// cWrapperRetType: "int"
// proto: "int\n    casadi__SX__has_zeros(std::string ** err_msg, casadi::SX* obj)"
// call: "        bool ret = obj->has_zeros();"
// params: []
extern "C"
int
    casadi__SX__has_zeros(std::string ** err_msg, casadi::SX* obj);
int
    casadi__SX__has_zeros(std::string ** err_msg, casadi::SX* obj){
    try {

        bool ret = obj->has_zeros();

        return WrapReturn< int, bool >::wrapReturn( ret );
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return 0;
    }
}


// ================== Static method: "hess" ===============
// class: "casadi::SX"
// cppName: "casadi::SX::hess"
// cWrapperName: "casadi__SX__hess__0"
// protoArgs: "(std::string ** err_msg, casadi::Function* x0, std::string* x1, std::string* x2)"
// args: "(x0_, x1_, x2_)"
// rettype: UserType (Namespace ["casadi"]) (Name "SX")
// cWrapperRetType: "casadi::SX*"
// proto: "casadi::SX*\n    casadi__SX__hess__0(std::string ** err_msg, casadi::Function* x0, std::string* x1, std::string* x2)"
// call: "        casadi::SX ret = casadi::SX::hess(x0_, x1_, x2_);"
// params: [(Ref (Const (UserType (Namespace ["casadi"]) (Name "Function"))),SwigOutput False),(Ref (Const StdString),SwigOutput False),(Ref (Const StdString),SwigOutput False)]
extern "C"
casadi::SX*
    casadi__SX__hess__0(std::string ** err_msg, casadi::Function* x0, std::string* x1, std::string* x2);
casadi::SX*
    casadi__SX__hess__0(std::string ** err_msg, casadi::Function* x0, std::string* x1, std::string* x2){
    try {
        casadi::Function& x0_ = Marshaling<casadi::Function&,casadi::Function*>::marshal(x0);
        std::string& x1_ = Marshaling<std::string&,std::string*>::marshal(x1);
        std::string& x2_ = Marshaling<std::string&,std::string*>::marshal(x2);

        casadi::SX ret = casadi::SX::hess(x0_, x1_, x2_);
        // x0 is not a swig output
        // x1 is not a swig output
        // x2 is not a swig output

        return WrapReturn< casadi::SX*, casadi::SX >::wrapReturn( ret );
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return 0;
    }
}


// ================== Static method: "hess" ===============
// class: "casadi::SX"
// cppName: "casadi::SX::hess"
// cWrapperName: "casadi__SX__hess__1"
// protoArgs: "(std::string ** err_msg, casadi::Function* x0, int x1, std::string* x2)"
// args: "(x0_, x1_, x2_)"
// rettype: UserType (Namespace ["casadi"]) (Name "SX")
// cWrapperRetType: "casadi::SX*"
// proto: "casadi::SX*\n    casadi__SX__hess__1(std::string ** err_msg, casadi::Function* x0, int x1, std::string* x2)"
// call: "        casadi::SX ret = casadi::SX::hess(x0_, x1_, x2_);"
// params: [(Ref (Const (UserType (Namespace ["casadi"]) (Name "Function"))),SwigOutput False),(CInt,SwigOutput False),(Ref (Const StdString),SwigOutput False)]
extern "C"
casadi::SX*
    casadi__SX__hess__1(std::string ** err_msg, casadi::Function* x0, int x1, std::string* x2);
casadi::SX*
    casadi__SX__hess__1(std::string ** err_msg, casadi::Function* x0, int x1, std::string* x2){
    try {
        casadi::Function& x0_ = Marshaling<casadi::Function&,casadi::Function*>::marshal(x0);
        int x1_ = Marshaling<int,int>::marshal(x1);
        std::string& x2_ = Marshaling<std::string&,std::string*>::marshal(x2);

        casadi::SX ret = casadi::SX::hess(x0_, x1_, x2_);
        // x0 is not a swig output
        // x1 is not a swig output
        // x2 is not a swig output

        return WrapReturn< casadi::SX*, casadi::SX >::wrapReturn( ret );
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return 0;
    }
}


// ================== Static method: "hess" ===============
// class: "casadi::SX"
// cppName: "casadi::SX::hess"
// cWrapperName: "casadi__SX__hess__2"
// protoArgs: "(std::string ** err_msg, casadi::Function* x0, std::string* x1)"
// args: "(x0_, x1_)"
// rettype: UserType (Namespace ["casadi"]) (Name "SX")
// cWrapperRetType: "casadi::SX*"
// proto: "casadi::SX*\n    casadi__SX__hess__2(std::string ** err_msg, casadi::Function* x0, std::string* x1)"
// call: "        casadi::SX ret = casadi::SX::hess(x0_, x1_);"
// params: [(Ref (Const (UserType (Namespace ["casadi"]) (Name "Function"))),SwigOutput False),(Ref (Const StdString),SwigOutput False)]
extern "C"
casadi::SX*
    casadi__SX__hess__2(std::string ** err_msg, casadi::Function* x0, std::string* x1);
casadi::SX*
    casadi__SX__hess__2(std::string ** err_msg, casadi::Function* x0, std::string* x1){
    try {
        casadi::Function& x0_ = Marshaling<casadi::Function&,casadi::Function*>::marshal(x0);
        std::string& x1_ = Marshaling<std::string&,std::string*>::marshal(x1);

        casadi::SX ret = casadi::SX::hess(x0_, x1_);
        // x0 is not a swig output
        // x1 is not a swig output

        return WrapReturn< casadi::SX*, casadi::SX >::wrapReturn( ret );
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return 0;
    }
}


// ================== Static method: "hess" ===============
// class: "casadi::SX"
// cppName: "casadi::SX::hess"
// cWrapperName: "casadi__SX__hess__3"
// protoArgs: "(std::string ** err_msg, casadi::Function* x0, std::string* x1, int x2)"
// args: "(x0_, x1_, x2_)"
// rettype: UserType (Namespace ["casadi"]) (Name "SX")
// cWrapperRetType: "casadi::SX*"
// proto: "casadi::SX*\n    casadi__SX__hess__3(std::string ** err_msg, casadi::Function* x0, std::string* x1, int x2)"
// call: "        casadi::SX ret = casadi::SX::hess(x0_, x1_, x2_);"
// params: [(Ref (Const (UserType (Namespace ["casadi"]) (Name "Function"))),SwigOutput False),(Ref (Const StdString),SwigOutput False),(CInt,SwigOutput False)]
extern "C"
casadi::SX*
    casadi__SX__hess__3(std::string ** err_msg, casadi::Function* x0, std::string* x1, int x2);
casadi::SX*
    casadi__SX__hess__3(std::string ** err_msg, casadi::Function* x0, std::string* x1, int x2){
    try {
        casadi::Function& x0_ = Marshaling<casadi::Function&,casadi::Function*>::marshal(x0);
        std::string& x1_ = Marshaling<std::string&,std::string*>::marshal(x1);
        int x2_ = Marshaling<int,int>::marshal(x2);

        casadi::SX ret = casadi::SX::hess(x0_, x1_, x2_);
        // x0 is not a swig output
        // x1 is not a swig output
        // x2 is not a swig output

        return WrapReturn< casadi::SX*, casadi::SX >::wrapReturn( ret );
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return 0;
    }
}


// ================== Static method: "hess" ===============
// class: "casadi::SX"
// cppName: "casadi::SX::hess"
// cWrapperName: "casadi__SX__hess__4"
// protoArgs: "(std::string ** err_msg, casadi::Function* x0)"
// args: "(x0_)"
// rettype: UserType (Namespace ["casadi"]) (Name "SX")
// cWrapperRetType: "casadi::SX*"
// proto: "casadi::SX*\n    casadi__SX__hess__4(std::string ** err_msg, casadi::Function* x0)"
// call: "        casadi::SX ret = casadi::SX::hess(x0_);"
// params: [(Ref (Const (UserType (Namespace ["casadi"]) (Name "Function"))),SwigOutput False)]
extern "C"
casadi::SX*
    casadi__SX__hess__4(std::string ** err_msg, casadi::Function* x0);
casadi::SX*
    casadi__SX__hess__4(std::string ** err_msg, casadi::Function* x0){
    try {
        casadi::Function& x0_ = Marshaling<casadi::Function&,casadi::Function*>::marshal(x0);

        casadi::SX ret = casadi::SX::hess(x0_);
        // x0 is not a swig output

        return WrapReturn< casadi::SX*, casadi::SX >::wrapReturn( ret );
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return 0;
    }
}


// ================== Static method: "hess" ===============
// class: "casadi::SX"
// cppName: "casadi::SX::hess"
// cWrapperName: "casadi__SX__hess__5"
// protoArgs: "(std::string ** err_msg, casadi::Function* x0, int x1)"
// args: "(x0_, x1_)"
// rettype: UserType (Namespace ["casadi"]) (Name "SX")
// cWrapperRetType: "casadi::SX*"
// proto: "casadi::SX*\n    casadi__SX__hess__5(std::string ** err_msg, casadi::Function* x0, int x1)"
// call: "        casadi::SX ret = casadi::SX::hess(x0_, x1_);"
// params: [(Ref (Const (UserType (Namespace ["casadi"]) (Name "Function"))),SwigOutput False),(CInt,SwigOutput False)]
extern "C"
casadi::SX*
    casadi__SX__hess__5(std::string ** err_msg, casadi::Function* x0, int x1);
casadi::SX*
    casadi__SX__hess__5(std::string ** err_msg, casadi::Function* x0, int x1){
    try {
        casadi::Function& x0_ = Marshaling<casadi::Function&,casadi::Function*>::marshal(x0);
        int x1_ = Marshaling<int,int>::marshal(x1);

        casadi::SX ret = casadi::SX::hess(x0_, x1_);
        // x0 is not a swig output
        // x1 is not a swig output

        return WrapReturn< casadi::SX*, casadi::SX >::wrapReturn( ret );
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return 0;
    }
}


// ================== Static method: "hess" ===============
// class: "casadi::SX"
// cppName: "casadi::SX::hess"
// cWrapperName: "casadi__SX__hess__6"
// protoArgs: "(std::string ** err_msg, casadi::Function* x0, int x1, int x2)"
// args: "(x0_, x1_, x2_)"
// rettype: UserType (Namespace ["casadi"]) (Name "SX")
// cWrapperRetType: "casadi::SX*"
// proto: "casadi::SX*\n    casadi__SX__hess__6(std::string ** err_msg, casadi::Function* x0, int x1, int x2)"
// call: "        casadi::SX ret = casadi::SX::hess(x0_, x1_, x2_);"
// params: [(Ref (Const (UserType (Namespace ["casadi"]) (Name "Function"))),SwigOutput False),(CInt,SwigOutput False),(CInt,SwigOutput False)]
extern "C"
casadi::SX*
    casadi__SX__hess__6(std::string ** err_msg, casadi::Function* x0, int x1, int x2);
casadi::SX*
    casadi__SX__hess__6(std::string ** err_msg, casadi::Function* x0, int x1, int x2){
    try {
        casadi::Function& x0_ = Marshaling<casadi::Function&,casadi::Function*>::marshal(x0);
        int x1_ = Marshaling<int,int>::marshal(x1);
        int x2_ = Marshaling<int,int>::marshal(x2);

        casadi::SX ret = casadi::SX::hess(x0_, x1_, x2_);
        // x0 is not a swig output
        // x1 is not a swig output
        // x2 is not a swig output

        return WrapReturn< casadi::SX*, casadi::SX >::wrapReturn( ret );
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return 0;
    }
}


// ================== Static method: "inf" ===============
// class: "casadi::SX"
// cppName: "casadi::SX::inf"
// cWrapperName: "casadi__SX__inf__0"
// protoArgs: "(std::string ** err_msg, std::pair< int, int >* x0)"
// args: "(x0_)"
// rettype: UserType (Namespace ["casadi"]) (Name "SX")
// cWrapperRetType: "casadi::SX*"
// proto: "casadi::SX*\n    casadi__SX__inf__0(std::string ** err_msg, std::pair< int, int >* x0)"
// call: "        casadi::SX ret = casadi::SX::inf(x0_);"
// params: [(Ref (Const (StdPair CInt CInt)),SwigOutput False)]
extern "C"
casadi::SX*
    casadi__SX__inf__0(std::string ** err_msg, std::pair< int, int >* x0);
casadi::SX*
    casadi__SX__inf__0(std::string ** err_msg, std::pair< int, int >* x0){
    try {
        std::pair< int, int > x0_ = Marshaling<std::pair< int, int >,std::pair< int, int >*>::marshal(x0);

        casadi::SX ret = casadi::SX::inf(x0_);
        // x0 is not a swig output

        return WrapReturn< casadi::SX*, casadi::SX >::wrapReturn( ret );
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return 0;
    }
}


// ================== Static method: "inf" ===============
// class: "casadi::SX"
// cppName: "casadi::SX::inf"
// cWrapperName: "casadi__SX__inf__1"
// protoArgs: "(std::string ** err_msg)"
// args: "()"
// rettype: UserType (Namespace ["casadi"]) (Name "SX")
// cWrapperRetType: "casadi::SX*"
// proto: "casadi::SX*\n    casadi__SX__inf__1(std::string ** err_msg)"
// call: "        casadi::SX ret = casadi::SX::inf();"
// params: []
extern "C"
casadi::SX*
    casadi__SX__inf__1(std::string ** err_msg);
casadi::SX*
    casadi__SX__inf__1(std::string ** err_msg){
    try {

        casadi::SX ret = casadi::SX::inf();

        return WrapReturn< casadi::SX*, casadi::SX >::wrapReturn( ret );
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return 0;
    }
}


// ================== Static method: "inf" ===============
// class: "casadi::SX"
// cppName: "casadi::SX::inf"
// cWrapperName: "casadi__SX__inf__2"
// protoArgs: "(std::string ** err_msg, int x0)"
// args: "(x0_)"
// rettype: UserType (Namespace ["casadi"]) (Name "SX")
// cWrapperRetType: "casadi::SX*"
// proto: "casadi::SX*\n    casadi__SX__inf__2(std::string ** err_msg, int x0)"
// call: "        casadi::SX ret = casadi::SX::inf(x0_);"
// params: [(CInt,SwigOutput False)]
extern "C"
casadi::SX*
    casadi__SX__inf__2(std::string ** err_msg, int x0);
casadi::SX*
    casadi__SX__inf__2(std::string ** err_msg, int x0){
    try {
        int x0_ = Marshaling<int,int>::marshal(x0);

        casadi::SX ret = casadi::SX::inf(x0_);
        // x0 is not a swig output

        return WrapReturn< casadi::SX*, casadi::SX >::wrapReturn( ret );
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return 0;
    }
}


// ================== Static method: "inf" ===============
// class: "casadi::SX"
// cppName: "casadi::SX::inf"
// cWrapperName: "casadi__SX__inf__3"
// protoArgs: "(std::string ** err_msg, int x0, int x1)"
// args: "(x0_, x1_)"
// rettype: UserType (Namespace ["casadi"]) (Name "SX")
// cWrapperRetType: "casadi::SX*"
// proto: "casadi::SX*\n    casadi__SX__inf__3(std::string ** err_msg, int x0, int x1)"
// call: "        casadi::SX ret = casadi::SX::inf(x0_, x1_);"
// params: [(CInt,SwigOutput False),(CInt,SwigOutput False)]
extern "C"
casadi::SX*
    casadi__SX__inf__3(std::string ** err_msg, int x0, int x1);
casadi::SX*
    casadi__SX__inf__3(std::string ** err_msg, int x0, int x1){
    try {
        int x0_ = Marshaling<int,int>::marshal(x0);
        int x1_ = Marshaling<int,int>::marshal(x1);

        casadi::SX ret = casadi::SX::inf(x0_, x1_);
        // x0 is not a swig output
        // x1 is not a swig output

        return WrapReturn< casadi::SX*, casadi::SX >::wrapReturn( ret );
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return 0;
    }
}


// ================== Static method: "inf" ===============
// class: "casadi::SX"
// cppName: "casadi::SX::inf"
// cWrapperName: "casadi__SX__inf__4"
// protoArgs: "(std::string ** err_msg, casadi::Sparsity* x0)"
// args: "(x0_)"
// rettype: UserType (Namespace ["casadi"]) (Name "SX")
// cWrapperRetType: "casadi::SX*"
// proto: "casadi::SX*\n    casadi__SX__inf__4(std::string ** err_msg, casadi::Sparsity* x0)"
// call: "        casadi::SX ret = casadi::SX::inf(x0_);"
// params: [(Ref (Const (UserType (Namespace ["casadi"]) (Name "Sparsity"))),SwigOutput False)]
extern "C"
casadi::SX*
    casadi__SX__inf__4(std::string ** err_msg, casadi::Sparsity* x0);
casadi::SX*
    casadi__SX__inf__4(std::string ** err_msg, casadi::Sparsity* x0){
    try {
        casadi::Sparsity& x0_ = Marshaling<casadi::Sparsity&,casadi::Sparsity*>::marshal(x0);

        casadi::SX ret = casadi::SX::inf(x0_);
        // x0 is not a swig output

        return WrapReturn< casadi::SX*, casadi::SX >::wrapReturn( ret );
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return 0;
    }
}


// ================== Normal method: "is_column" ===============
// class: "casadi::SX"
// cppName: "casadi::SX::is_column"
// cWrapperName: "casadi__SX__is_column"
// protoArgs: "(std::string ** err_msg, casadi::SX* obj)"
// args: "()"
// rettype: CBool
// cWrapperRetType: "int"
// proto: "int\n    casadi__SX__is_column(std::string ** err_msg, casadi::SX* obj)"
// call: "        bool ret = obj->is_column();"
// params: []
extern "C"
int
    casadi__SX__is_column(std::string ** err_msg, casadi::SX* obj);
int
    casadi__SX__is_column(std::string ** err_msg, casadi::SX* obj){
    try {

        bool ret = obj->is_column();

        return WrapReturn< int, bool >::wrapReturn( ret );
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return 0;
    }
}


// ================== Normal method: "is_commutative" ===============
// class: "casadi::SX"
// cppName: "casadi::SX::is_commutative"
// cWrapperName: "casadi__SX__is_commutative"
// protoArgs: "(std::string ** err_msg, casadi::SX* obj)"
// args: "()"
// rettype: CBool
// cWrapperRetType: "int"
// proto: "int\n    casadi__SX__is_commutative(std::string ** err_msg, casadi::SX* obj)"
// call: "        bool ret = obj->is_commutative();"
// params: []
extern "C"
int
    casadi__SX__is_commutative(std::string ** err_msg, casadi::SX* obj);
int
    casadi__SX__is_commutative(std::string ** err_msg, casadi::SX* obj){
    try {

        bool ret = obj->is_commutative();

        return WrapReturn< int, bool >::wrapReturn( ret );
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return 0;
    }
}


// ================== Normal method: "is_constant" ===============
// class: "casadi::SX"
// cppName: "casadi::SX::is_constant"
// cWrapperName: "casadi__SX__is_constant"
// protoArgs: "(std::string ** err_msg, casadi::SX* obj)"
// args: "()"
// rettype: CBool
// cWrapperRetType: "int"
// proto: "int\n    casadi__SX__is_constant(std::string ** err_msg, casadi::SX* obj)"
// call: "        bool ret = obj->is_constant();"
// params: []
extern "C"
int
    casadi__SX__is_constant(std::string ** err_msg, casadi::SX* obj);
int
    casadi__SX__is_constant(std::string ** err_msg, casadi::SX* obj){
    try {

        bool ret = obj->is_constant();

        return WrapReturn< int, bool >::wrapReturn( ret );
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return 0;
    }
}


// ================== Normal method: "is_dense" ===============
// class: "casadi::SX"
// cppName: "casadi::SX::is_dense"
// cWrapperName: "casadi__SX__is_dense"
// protoArgs: "(std::string ** err_msg, casadi::SX* obj)"
// args: "()"
// rettype: CBool
// cWrapperRetType: "int"
// proto: "int\n    casadi__SX__is_dense(std::string ** err_msg, casadi::SX* obj)"
// call: "        bool ret = obj->is_dense();"
// params: []
extern "C"
int
    casadi__SX__is_dense(std::string ** err_msg, casadi::SX* obj);
int
    casadi__SX__is_dense(std::string ** err_msg, casadi::SX* obj){
    try {

        bool ret = obj->is_dense();

        return WrapReturn< int, bool >::wrapReturn( ret );
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return 0;
    }
}


// ================== Normal method: "is_empty" ===============
// class: "casadi::SX"
// cppName: "casadi::SX::is_empty"
// cWrapperName: "casadi__SX__is_empty__0"
// protoArgs: "(std::string ** err_msg, casadi::SX* obj)"
// args: "()"
// rettype: CBool
// cWrapperRetType: "int"
// proto: "int\n    casadi__SX__is_empty__0(std::string ** err_msg, casadi::SX* obj)"
// call: "        bool ret = obj->is_empty();"
// params: []
extern "C"
int
    casadi__SX__is_empty__0(std::string ** err_msg, casadi::SX* obj);
int
    casadi__SX__is_empty__0(std::string ** err_msg, casadi::SX* obj){
    try {

        bool ret = obj->is_empty();

        return WrapReturn< int, bool >::wrapReturn( ret );
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return 0;
    }
}


// ================== Normal method: "is_empty" ===============
// class: "casadi::SX"
// cppName: "casadi::SX::is_empty"
// cWrapperName: "casadi__SX__is_empty__1"
// protoArgs: "(std::string ** err_msg, casadi::SX* obj, int x0)"
// args: "(x0_)"
// rettype: CBool
// cWrapperRetType: "int"
// proto: "int\n    casadi__SX__is_empty__1(std::string ** err_msg, casadi::SX* obj, int x0)"
// call: "        bool ret = obj->is_empty(x0_);"
// params: [(CBool,SwigOutput False)]
extern "C"
int
    casadi__SX__is_empty__1(std::string ** err_msg, casadi::SX* obj, int x0);
int
    casadi__SX__is_empty__1(std::string ** err_msg, casadi::SX* obj, int x0){
    try {
        bool x0_ = Marshaling<bool,int>::marshal(x0);

        bool ret = obj->is_empty(x0_);
        // x0 is not a swig output

        return WrapReturn< int, bool >::wrapReturn( ret );
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return 0;
    }
}


// ================== Normal method: "is_identity" ===============
// class: "casadi::SX"
// cppName: "casadi::SX::is_identity"
// cWrapperName: "casadi__SX__is_identity"
// protoArgs: "(std::string ** err_msg, casadi::SX* obj)"
// args: "()"
// rettype: CBool
// cWrapperRetType: "int"
// proto: "int\n    casadi__SX__is_identity(std::string ** err_msg, casadi::SX* obj)"
// call: "        bool ret = obj->is_identity();"
// params: []
extern "C"
int
    casadi__SX__is_identity(std::string ** err_msg, casadi::SX* obj);
int
    casadi__SX__is_identity(std::string ** err_msg, casadi::SX* obj){
    try {

        bool ret = obj->is_identity();

        return WrapReturn< int, bool >::wrapReturn( ret );
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return 0;
    }
}


// ================== Normal method: "is_integer" ===============
// class: "casadi::SX"
// cppName: "casadi::SX::is_integer"
// cWrapperName: "casadi__SX__is_integer"
// protoArgs: "(std::string ** err_msg, casadi::SX* obj)"
// args: "()"
// rettype: CBool
// cWrapperRetType: "int"
// proto: "int\n    casadi__SX__is_integer(std::string ** err_msg, casadi::SX* obj)"
// call: "        bool ret = obj->is_integer();"
// params: []
extern "C"
int
    casadi__SX__is_integer(std::string ** err_msg, casadi::SX* obj);
int
    casadi__SX__is_integer(std::string ** err_msg, casadi::SX* obj){
    try {

        bool ret = obj->is_integer();

        return WrapReturn< int, bool >::wrapReturn( ret );
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return 0;
    }
}


// ================== Normal method: "is_leaf" ===============
// class: "casadi::SX"
// cppName: "casadi::SX::is_leaf"
// cWrapperName: "casadi__SX__is_leaf"
// protoArgs: "(std::string ** err_msg, casadi::SX* obj)"
// args: "()"
// rettype: CBool
// cWrapperRetType: "int"
// proto: "int\n    casadi__SX__is_leaf(std::string ** err_msg, casadi::SX* obj)"
// call: "        bool ret = obj->is_leaf();"
// params: []
extern "C"
int
    casadi__SX__is_leaf(std::string ** err_msg, casadi::SX* obj);
int
    casadi__SX__is_leaf(std::string ** err_msg, casadi::SX* obj){
    try {

        bool ret = obj->is_leaf();

        return WrapReturn< int, bool >::wrapReturn( ret );
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return 0;
    }
}


// ================== Normal method: "is_minus_one" ===============
// class: "casadi::SX"
// cppName: "casadi::SX::is_minus_one"
// cWrapperName: "casadi__SX__is_minus_one"
// protoArgs: "(std::string ** err_msg, casadi::SX* obj)"
// args: "()"
// rettype: CBool
// cWrapperRetType: "int"
// proto: "int\n    casadi__SX__is_minus_one(std::string ** err_msg, casadi::SX* obj)"
// call: "        bool ret = obj->is_minus_one();"
// params: []
extern "C"
int
    casadi__SX__is_minus_one(std::string ** err_msg, casadi::SX* obj);
int
    casadi__SX__is_minus_one(std::string ** err_msg, casadi::SX* obj){
    try {

        bool ret = obj->is_minus_one();

        return WrapReturn< int, bool >::wrapReturn( ret );
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return 0;
    }
}


// ================== Normal method: "is_one" ===============
// class: "casadi::SX"
// cppName: "casadi::SX::is_one"
// cWrapperName: "casadi__SX__is_one"
// protoArgs: "(std::string ** err_msg, casadi::SX* obj)"
// args: "()"
// rettype: CBool
// cWrapperRetType: "int"
// proto: "int\n    casadi__SX__is_one(std::string ** err_msg, casadi::SX* obj)"
// call: "        bool ret = obj->is_one();"
// params: []
extern "C"
int
    casadi__SX__is_one(std::string ** err_msg, casadi::SX* obj);
int
    casadi__SX__is_one(std::string ** err_msg, casadi::SX* obj){
    try {

        bool ret = obj->is_one();

        return WrapReturn< int, bool >::wrapReturn( ret );
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return 0;
    }
}


// ================== Normal method: "is_regular" ===============
// class: "casadi::SX"
// cppName: "casadi::SX::is_regular"
// cWrapperName: "casadi__SX__is_regular"
// protoArgs: "(std::string ** err_msg, casadi::SX* obj)"
// args: "()"
// rettype: CBool
// cWrapperRetType: "int"
// proto: "int\n    casadi__SX__is_regular(std::string ** err_msg, casadi::SX* obj)"
// call: "        bool ret = obj->is_regular();"
// params: []
extern "C"
int
    casadi__SX__is_regular(std::string ** err_msg, casadi::SX* obj);
int
    casadi__SX__is_regular(std::string ** err_msg, casadi::SX* obj){
    try {

        bool ret = obj->is_regular();

        return WrapReturn< int, bool >::wrapReturn( ret );
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return 0;
    }
}


// ================== Normal method: "is_row" ===============
// class: "casadi::SX"
// cppName: "casadi::SX::is_row"
// cWrapperName: "casadi__SX__is_row"
// protoArgs: "(std::string ** err_msg, casadi::SX* obj)"
// args: "()"
// rettype: CBool
// cWrapperRetType: "int"
// proto: "int\n    casadi__SX__is_row(std::string ** err_msg, casadi::SX* obj)"
// call: "        bool ret = obj->is_row();"
// params: []
extern "C"
int
    casadi__SX__is_row(std::string ** err_msg, casadi::SX* obj);
int
    casadi__SX__is_row(std::string ** err_msg, casadi::SX* obj){
    try {

        bool ret = obj->is_row();

        return WrapReturn< int, bool >::wrapReturn( ret );
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return 0;
    }
}


// ================== Normal method: "is_scalar" ===============
// class: "casadi::SX"
// cppName: "casadi::SX::is_scalar"
// cWrapperName: "casadi__SX__is_scalar__0"
// protoArgs: "(std::string ** err_msg, casadi::SX* obj)"
// args: "()"
// rettype: CBool
// cWrapperRetType: "int"
// proto: "int\n    casadi__SX__is_scalar__0(std::string ** err_msg, casadi::SX* obj)"
// call: "        bool ret = obj->is_scalar();"
// params: []
extern "C"
int
    casadi__SX__is_scalar__0(std::string ** err_msg, casadi::SX* obj);
int
    casadi__SX__is_scalar__0(std::string ** err_msg, casadi::SX* obj){
    try {

        bool ret = obj->is_scalar();

        return WrapReturn< int, bool >::wrapReturn( ret );
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return 0;
    }
}


// ================== Normal method: "is_scalar" ===============
// class: "casadi::SX"
// cppName: "casadi::SX::is_scalar"
// cWrapperName: "casadi__SX__is_scalar__1"
// protoArgs: "(std::string ** err_msg, casadi::SX* obj, int x0)"
// args: "(x0_)"
// rettype: CBool
// cWrapperRetType: "int"
// proto: "int\n    casadi__SX__is_scalar__1(std::string ** err_msg, casadi::SX* obj, int x0)"
// call: "        bool ret = obj->is_scalar(x0_);"
// params: [(CBool,SwigOutput False)]
extern "C"
int
    casadi__SX__is_scalar__1(std::string ** err_msg, casadi::SX* obj, int x0);
int
    casadi__SX__is_scalar__1(std::string ** err_msg, casadi::SX* obj, int x0){
    try {
        bool x0_ = Marshaling<bool,int>::marshal(x0);

        bool ret = obj->is_scalar(x0_);
        // x0 is not a swig output

        return WrapReturn< int, bool >::wrapReturn( ret );
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return 0;
    }
}


// ================== Normal method: "is_smooth" ===============
// class: "casadi::SX"
// cppName: "casadi::SX::is_smooth"
// cWrapperName: "casadi__SX__is_smooth"
// protoArgs: "(std::string ** err_msg, casadi::SX* obj)"
// args: "()"
// rettype: CBool
// cWrapperRetType: "int"
// proto: "int\n    casadi__SX__is_smooth(std::string ** err_msg, casadi::SX* obj)"
// call: "        bool ret = obj->is_smooth();"
// params: []
extern "C"
int
    casadi__SX__is_smooth(std::string ** err_msg, casadi::SX* obj);
int
    casadi__SX__is_smooth(std::string ** err_msg, casadi::SX* obj){
    try {

        bool ret = obj->is_smooth();

        return WrapReturn< int, bool >::wrapReturn( ret );
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return 0;
    }
}


// ================== Normal method: "is_square" ===============
// class: "casadi::SX"
// cppName: "casadi::SX::is_square"
// cWrapperName: "casadi__SX__is_square"
// protoArgs: "(std::string ** err_msg, casadi::SX* obj)"
// args: "()"
// rettype: CBool
// cWrapperRetType: "int"
// proto: "int\n    casadi__SX__is_square(std::string ** err_msg, casadi::SX* obj)"
// call: "        bool ret = obj->is_square();"
// params: []
extern "C"
int
    casadi__SX__is_square(std::string ** err_msg, casadi::SX* obj);
int
    casadi__SX__is_square(std::string ** err_msg, casadi::SX* obj){
    try {

        bool ret = obj->is_square();

        return WrapReturn< int, bool >::wrapReturn( ret );
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return 0;
    }
}


// ================== Normal method: "is_symbolic" ===============
// class: "casadi::SX"
// cppName: "casadi::SX::is_symbolic"
// cWrapperName: "casadi__SX__is_symbolic"
// protoArgs: "(std::string ** err_msg, casadi::SX* obj)"
// args: "()"
// rettype: CBool
// cWrapperRetType: "int"
// proto: "int\n    casadi__SX__is_symbolic(std::string ** err_msg, casadi::SX* obj)"
// call: "        bool ret = obj->is_symbolic();"
// params: []
extern "C"
int
    casadi__SX__is_symbolic(std::string ** err_msg, casadi::SX* obj);
int
    casadi__SX__is_symbolic(std::string ** err_msg, casadi::SX* obj){
    try {

        bool ret = obj->is_symbolic();

        return WrapReturn< int, bool >::wrapReturn( ret );
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return 0;
    }
}


// ================== Normal method: "is_tril" ===============
// class: "casadi::SX"
// cppName: "casadi::SX::is_tril"
// cWrapperName: "casadi__SX__is_tril"
// protoArgs: "(std::string ** err_msg, casadi::SX* obj)"
// args: "()"
// rettype: CBool
// cWrapperRetType: "int"
// proto: "int\n    casadi__SX__is_tril(std::string ** err_msg, casadi::SX* obj)"
// call: "        bool ret = obj->is_tril();"
// params: []
extern "C"
int
    casadi__SX__is_tril(std::string ** err_msg, casadi::SX* obj);
int
    casadi__SX__is_tril(std::string ** err_msg, casadi::SX* obj){
    try {

        bool ret = obj->is_tril();

        return WrapReturn< int, bool >::wrapReturn( ret );
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return 0;
    }
}


// ================== Normal method: "is_triu" ===============
// class: "casadi::SX"
// cppName: "casadi::SX::is_triu"
// cWrapperName: "casadi__SX__is_triu"
// protoArgs: "(std::string ** err_msg, casadi::SX* obj)"
// args: "()"
// rettype: CBool
// cWrapperRetType: "int"
// proto: "int\n    casadi__SX__is_triu(std::string ** err_msg, casadi::SX* obj)"
// call: "        bool ret = obj->is_triu();"
// params: []
extern "C"
int
    casadi__SX__is_triu(std::string ** err_msg, casadi::SX* obj);
int
    casadi__SX__is_triu(std::string ** err_msg, casadi::SX* obj){
    try {

        bool ret = obj->is_triu();

        return WrapReturn< int, bool >::wrapReturn( ret );
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return 0;
    }
}


// ================== Normal method: "is_valid_input" ===============
// class: "casadi::SX"
// cppName: "casadi::SX::is_valid_input"
// cWrapperName: "casadi__SX__is_valid_input"
// protoArgs: "(std::string ** err_msg, casadi::SX* obj)"
// args: "()"
// rettype: CBool
// cWrapperRetType: "int"
// proto: "int\n    casadi__SX__is_valid_input(std::string ** err_msg, casadi::SX* obj)"
// call: "        bool ret = obj->is_valid_input();"
// params: []
extern "C"
int
    casadi__SX__is_valid_input(std::string ** err_msg, casadi::SX* obj);
int
    casadi__SX__is_valid_input(std::string ** err_msg, casadi::SX* obj){
    try {

        bool ret = obj->is_valid_input();

        return WrapReturn< int, bool >::wrapReturn( ret );
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return 0;
    }
}


// ================== Normal method: "is_vector" ===============
// class: "casadi::SX"
// cppName: "casadi::SX::is_vector"
// cWrapperName: "casadi__SX__is_vector"
// protoArgs: "(std::string ** err_msg, casadi::SX* obj)"
// args: "()"
// rettype: CBool
// cWrapperRetType: "int"
// proto: "int\n    casadi__SX__is_vector(std::string ** err_msg, casadi::SX* obj)"
// call: "        bool ret = obj->is_vector();"
// params: []
extern "C"
int
    casadi__SX__is_vector(std::string ** err_msg, casadi::SX* obj);
int
    casadi__SX__is_vector(std::string ** err_msg, casadi::SX* obj){
    try {

        bool ret = obj->is_vector();

        return WrapReturn< int, bool >::wrapReturn( ret );
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return 0;
    }
}


// ================== Normal method: "is_zero" ===============
// class: "casadi::SX"
// cppName: "casadi::SX::is_zero"
// cWrapperName: "casadi__SX__is_zero"
// protoArgs: "(std::string ** err_msg, casadi::SX* obj)"
// args: "()"
// rettype: CBool
// cWrapperRetType: "int"
// proto: "int\n    casadi__SX__is_zero(std::string ** err_msg, casadi::SX* obj)"
// call: "        bool ret = obj->is_zero();"
// params: []
extern "C"
int
    casadi__SX__is_zero(std::string ** err_msg, casadi::SX* obj);
int
    casadi__SX__is_zero(std::string ** err_msg, casadi::SX* obj){
    try {

        bool ret = obj->is_zero();

        return WrapReturn< int, bool >::wrapReturn( ret );
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return 0;
    }
}


// ================== Static method: "jac" ===============
// class: "casadi::SX"
// cppName: "casadi::SX::jac"
// cWrapperName: "casadi__SX__jac__0"
// protoArgs: "(std::string ** err_msg, casadi::Function* x0, std::string* x1, std::string* x2)"
// args: "(x0_, x1_, x2_)"
// rettype: UserType (Namespace ["casadi"]) (Name "SX")
// cWrapperRetType: "casadi::SX*"
// proto: "casadi::SX*\n    casadi__SX__jac__0(std::string ** err_msg, casadi::Function* x0, std::string* x1, std::string* x2)"
// call: "        casadi::SX ret = casadi::SX::jac(x0_, x1_, x2_);"
// params: [(Ref (Const (UserType (Namespace ["casadi"]) (Name "Function"))),SwigOutput False),(Ref (Const StdString),SwigOutput False),(Ref (Const StdString),SwigOutput False)]
extern "C"
casadi::SX*
    casadi__SX__jac__0(std::string ** err_msg, casadi::Function* x0, std::string* x1, std::string* x2);
casadi::SX*
    casadi__SX__jac__0(std::string ** err_msg, casadi::Function* x0, std::string* x1, std::string* x2){
    try {
        casadi::Function& x0_ = Marshaling<casadi::Function&,casadi::Function*>::marshal(x0);
        std::string& x1_ = Marshaling<std::string&,std::string*>::marshal(x1);
        std::string& x2_ = Marshaling<std::string&,std::string*>::marshal(x2);

        casadi::SX ret = casadi::SX::jac(x0_, x1_, x2_);
        // x0 is not a swig output
        // x1 is not a swig output
        // x2 is not a swig output

        return WrapReturn< casadi::SX*, casadi::SX >::wrapReturn( ret );
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return 0;
    }
}


// ================== Static method: "jac" ===============
// class: "casadi::SX"
// cppName: "casadi::SX::jac"
// cWrapperName: "casadi__SX__jac__1"
// protoArgs: "(std::string ** err_msg, casadi::Function* x0, std::string* x1, std::string* x2, int x3)"
// args: "(x0_, x1_, x2_, x3_)"
// rettype: UserType (Namespace ["casadi"]) (Name "SX")
// cWrapperRetType: "casadi::SX*"
// proto: "casadi::SX*\n    casadi__SX__jac__1(std::string ** err_msg, casadi::Function* x0, std::string* x1, std::string* x2, int x3)"
// call: "        casadi::SX ret = casadi::SX::jac(x0_, x1_, x2_, x3_);"
// params: [(Ref (Const (UserType (Namespace ["casadi"]) (Name "Function"))),SwigOutput False),(Ref (Const StdString),SwigOutput False),(Ref (Const StdString),SwigOutput False),(CBool,SwigOutput False)]
extern "C"
casadi::SX*
    casadi__SX__jac__1(std::string ** err_msg, casadi::Function* x0, std::string* x1, std::string* x2, int x3);
casadi::SX*
    casadi__SX__jac__1(std::string ** err_msg, casadi::Function* x0, std::string* x1, std::string* x2, int x3){
    try {
        casadi::Function& x0_ = Marshaling<casadi::Function&,casadi::Function*>::marshal(x0);
        std::string& x1_ = Marshaling<std::string&,std::string*>::marshal(x1);
        std::string& x2_ = Marshaling<std::string&,std::string*>::marshal(x2);
        bool x3_ = Marshaling<bool,int>::marshal(x3);

        casadi::SX ret = casadi::SX::jac(x0_, x1_, x2_, x3_);
        // x0 is not a swig output
        // x1 is not a swig output
        // x2 is not a swig output
        // x3 is not a swig output

        return WrapReturn< casadi::SX*, casadi::SX >::wrapReturn( ret );
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return 0;
    }
}


// ================== Static method: "jac" ===============
// class: "casadi::SX"
// cppName: "casadi::SX::jac"
// cWrapperName: "casadi__SX__jac__2"
// protoArgs: "(std::string ** err_msg, casadi::Function* x0, std::string* x1, std::string* x2, int x3, int x4)"
// args: "(x0_, x1_, x2_, x3_, x4_)"
// rettype: UserType (Namespace ["casadi"]) (Name "SX")
// cWrapperRetType: "casadi::SX*"
// proto: "casadi::SX*\n    casadi__SX__jac__2(std::string ** err_msg, casadi::Function* x0, std::string* x1, std::string* x2, int x3, int x4)"
// call: "        casadi::SX ret = casadi::SX::jac(x0_, x1_, x2_, x3_, x4_);"
// params: [(Ref (Const (UserType (Namespace ["casadi"]) (Name "Function"))),SwigOutput False),(Ref (Const StdString),SwigOutput False),(Ref (Const StdString),SwigOutput False),(CBool,SwigOutput False),(CBool,SwigOutput False)]
extern "C"
casadi::SX*
    casadi__SX__jac__2(std::string ** err_msg, casadi::Function* x0, std::string* x1, std::string* x2, int x3, int x4);
casadi::SX*
    casadi__SX__jac__2(std::string ** err_msg, casadi::Function* x0, std::string* x1, std::string* x2, int x3, int x4){
    try {
        casadi::Function& x0_ = Marshaling<casadi::Function&,casadi::Function*>::marshal(x0);
        std::string& x1_ = Marshaling<std::string&,std::string*>::marshal(x1);
        std::string& x2_ = Marshaling<std::string&,std::string*>::marshal(x2);
        bool x3_ = Marshaling<bool,int>::marshal(x3);
        bool x4_ = Marshaling<bool,int>::marshal(x4);

        casadi::SX ret = casadi::SX::jac(x0_, x1_, x2_, x3_, x4_);
        // x0 is not a swig output
        // x1 is not a swig output
        // x2 is not a swig output
        // x3 is not a swig output
        // x4 is not a swig output

        return WrapReturn< casadi::SX*, casadi::SX >::wrapReturn( ret );
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return 0;
    }
}


// ================== Static method: "jac" ===============
// class: "casadi::SX"
// cppName: "casadi::SX::jac"
// cWrapperName: "casadi__SX__jac__3"
// protoArgs: "(std::string ** err_msg, casadi::Function* x0, int x1, std::string* x2)"
// args: "(x0_, x1_, x2_)"
// rettype: UserType (Namespace ["casadi"]) (Name "SX")
// cWrapperRetType: "casadi::SX*"
// proto: "casadi::SX*\n    casadi__SX__jac__3(std::string ** err_msg, casadi::Function* x0, int x1, std::string* x2)"
// call: "        casadi::SX ret = casadi::SX::jac(x0_, x1_, x2_);"
// params: [(Ref (Const (UserType (Namespace ["casadi"]) (Name "Function"))),SwigOutput False),(CInt,SwigOutput False),(Ref (Const StdString),SwigOutput False)]
extern "C"
casadi::SX*
    casadi__SX__jac__3(std::string ** err_msg, casadi::Function* x0, int x1, std::string* x2);
casadi::SX*
    casadi__SX__jac__3(std::string ** err_msg, casadi::Function* x0, int x1, std::string* x2){
    try {
        casadi::Function& x0_ = Marshaling<casadi::Function&,casadi::Function*>::marshal(x0);
        int x1_ = Marshaling<int,int>::marshal(x1);
        std::string& x2_ = Marshaling<std::string&,std::string*>::marshal(x2);

        casadi::SX ret = casadi::SX::jac(x0_, x1_, x2_);
        // x0 is not a swig output
        // x1 is not a swig output
        // x2 is not a swig output

        return WrapReturn< casadi::SX*, casadi::SX >::wrapReturn( ret );
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return 0;
    }
}


// ================== Static method: "jac" ===============
// class: "casadi::SX"
// cppName: "casadi::SX::jac"
// cWrapperName: "casadi__SX__jac__4"
// protoArgs: "(std::string ** err_msg, casadi::Function* x0, int x1, std::string* x2, int x3)"
// args: "(x0_, x1_, x2_, x3_)"
// rettype: UserType (Namespace ["casadi"]) (Name "SX")
// cWrapperRetType: "casadi::SX*"
// proto: "casadi::SX*\n    casadi__SX__jac__4(std::string ** err_msg, casadi::Function* x0, int x1, std::string* x2, int x3)"
// call: "        casadi::SX ret = casadi::SX::jac(x0_, x1_, x2_, x3_);"
// params: [(Ref (Const (UserType (Namespace ["casadi"]) (Name "Function"))),SwigOutput False),(CInt,SwigOutput False),(Ref (Const StdString),SwigOutput False),(CBool,SwigOutput False)]
extern "C"
casadi::SX*
    casadi__SX__jac__4(std::string ** err_msg, casadi::Function* x0, int x1, std::string* x2, int x3);
casadi::SX*
    casadi__SX__jac__4(std::string ** err_msg, casadi::Function* x0, int x1, std::string* x2, int x3){
    try {
        casadi::Function& x0_ = Marshaling<casadi::Function&,casadi::Function*>::marshal(x0);
        int x1_ = Marshaling<int,int>::marshal(x1);
        std::string& x2_ = Marshaling<std::string&,std::string*>::marshal(x2);
        bool x3_ = Marshaling<bool,int>::marshal(x3);

        casadi::SX ret = casadi::SX::jac(x0_, x1_, x2_, x3_);
        // x0 is not a swig output
        // x1 is not a swig output
        // x2 is not a swig output
        // x3 is not a swig output

        return WrapReturn< casadi::SX*, casadi::SX >::wrapReturn( ret );
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return 0;
    }
}


// ================== Static method: "jac" ===============
// class: "casadi::SX"
// cppName: "casadi::SX::jac"
// cWrapperName: "casadi__SX__jac__5"
// protoArgs: "(std::string ** err_msg, casadi::Function* x0, int x1, std::string* x2, int x3, int x4)"
// args: "(x0_, x1_, x2_, x3_, x4_)"
// rettype: UserType (Namespace ["casadi"]) (Name "SX")
// cWrapperRetType: "casadi::SX*"
// proto: "casadi::SX*\n    casadi__SX__jac__5(std::string ** err_msg, casadi::Function* x0, int x1, std::string* x2, int x3, int x4)"
// call: "        casadi::SX ret = casadi::SX::jac(x0_, x1_, x2_, x3_, x4_);"
// params: [(Ref (Const (UserType (Namespace ["casadi"]) (Name "Function"))),SwigOutput False),(CInt,SwigOutput False),(Ref (Const StdString),SwigOutput False),(CBool,SwigOutput False),(CBool,SwigOutput False)]
extern "C"
casadi::SX*
    casadi__SX__jac__5(std::string ** err_msg, casadi::Function* x0, int x1, std::string* x2, int x3, int x4);
casadi::SX*
    casadi__SX__jac__5(std::string ** err_msg, casadi::Function* x0, int x1, std::string* x2, int x3, int x4){
    try {
        casadi::Function& x0_ = Marshaling<casadi::Function&,casadi::Function*>::marshal(x0);
        int x1_ = Marshaling<int,int>::marshal(x1);
        std::string& x2_ = Marshaling<std::string&,std::string*>::marshal(x2);
        bool x3_ = Marshaling<bool,int>::marshal(x3);
        bool x4_ = Marshaling<bool,int>::marshal(x4);

        casadi::SX ret = casadi::SX::jac(x0_, x1_, x2_, x3_, x4_);
        // x0 is not a swig output
        // x1 is not a swig output
        // x2 is not a swig output
        // x3 is not a swig output
        // x4 is not a swig output

        return WrapReturn< casadi::SX*, casadi::SX >::wrapReturn( ret );
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return 0;
    }
}


// ================== Static method: "jac" ===============
// class: "casadi::SX"
// cppName: "casadi::SX::jac"
// cWrapperName: "casadi__SX__jac__6"
// protoArgs: "(std::string ** err_msg, casadi::Function* x0, std::string* x1)"
// args: "(x0_, x1_)"
// rettype: UserType (Namespace ["casadi"]) (Name "SX")
// cWrapperRetType: "casadi::SX*"
// proto: "casadi::SX*\n    casadi__SX__jac__6(std::string ** err_msg, casadi::Function* x0, std::string* x1)"
// call: "        casadi::SX ret = casadi::SX::jac(x0_, x1_);"
// params: [(Ref (Const (UserType (Namespace ["casadi"]) (Name "Function"))),SwigOutput False),(Ref (Const StdString),SwigOutput False)]
extern "C"
casadi::SX*
    casadi__SX__jac__6(std::string ** err_msg, casadi::Function* x0, std::string* x1);
casadi::SX*
    casadi__SX__jac__6(std::string ** err_msg, casadi::Function* x0, std::string* x1){
    try {
        casadi::Function& x0_ = Marshaling<casadi::Function&,casadi::Function*>::marshal(x0);
        std::string& x1_ = Marshaling<std::string&,std::string*>::marshal(x1);

        casadi::SX ret = casadi::SX::jac(x0_, x1_);
        // x0 is not a swig output
        // x1 is not a swig output

        return WrapReturn< casadi::SX*, casadi::SX >::wrapReturn( ret );
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return 0;
    }
}


// ================== Static method: "jac" ===============
// class: "casadi::SX"
// cppName: "casadi::SX::jac"
// cWrapperName: "casadi__SX__jac__7"
// protoArgs: "(std::string ** err_msg, casadi::Function* x0, std::string* x1, int x2)"
// args: "(x0_, x1_, x2_)"
// rettype: UserType (Namespace ["casadi"]) (Name "SX")
// cWrapperRetType: "casadi::SX*"
// proto: "casadi::SX*\n    casadi__SX__jac__7(std::string ** err_msg, casadi::Function* x0, std::string* x1, int x2)"
// call: "        casadi::SX ret = casadi::SX::jac(x0_, x1_, x2_);"
// params: [(Ref (Const (UserType (Namespace ["casadi"]) (Name "Function"))),SwigOutput False),(Ref (Const StdString),SwigOutput False),(CInt,SwigOutput False)]
extern "C"
casadi::SX*
    casadi__SX__jac__7(std::string ** err_msg, casadi::Function* x0, std::string* x1, int x2);
casadi::SX*
    casadi__SX__jac__7(std::string ** err_msg, casadi::Function* x0, std::string* x1, int x2){
    try {
        casadi::Function& x0_ = Marshaling<casadi::Function&,casadi::Function*>::marshal(x0);
        std::string& x1_ = Marshaling<std::string&,std::string*>::marshal(x1);
        int x2_ = Marshaling<int,int>::marshal(x2);

        casadi::SX ret = casadi::SX::jac(x0_, x1_, x2_);
        // x0 is not a swig output
        // x1 is not a swig output
        // x2 is not a swig output

        return WrapReturn< casadi::SX*, casadi::SX >::wrapReturn( ret );
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return 0;
    }
}


// ================== Static method: "jac" ===============
// class: "casadi::SX"
// cppName: "casadi::SX::jac"
// cWrapperName: "casadi__SX__jac__8"
// protoArgs: "(std::string ** err_msg, casadi::Function* x0, std::string* x1, int x2, int x3)"
// args: "(x0_, x1_, x2_, x3_)"
// rettype: UserType (Namespace ["casadi"]) (Name "SX")
// cWrapperRetType: "casadi::SX*"
// proto: "casadi::SX*\n    casadi__SX__jac__8(std::string ** err_msg, casadi::Function* x0, std::string* x1, int x2, int x3)"
// call: "        casadi::SX ret = casadi::SX::jac(x0_, x1_, x2_, x3_);"
// params: [(Ref (Const (UserType (Namespace ["casadi"]) (Name "Function"))),SwigOutput False),(Ref (Const StdString),SwigOutput False),(CInt,SwigOutput False),(CBool,SwigOutput False)]
extern "C"
casadi::SX*
    casadi__SX__jac__8(std::string ** err_msg, casadi::Function* x0, std::string* x1, int x2, int x3);
casadi::SX*
    casadi__SX__jac__8(std::string ** err_msg, casadi::Function* x0, std::string* x1, int x2, int x3){
    try {
        casadi::Function& x0_ = Marshaling<casadi::Function&,casadi::Function*>::marshal(x0);
        std::string& x1_ = Marshaling<std::string&,std::string*>::marshal(x1);
        int x2_ = Marshaling<int,int>::marshal(x2);
        bool x3_ = Marshaling<bool,int>::marshal(x3);

        casadi::SX ret = casadi::SX::jac(x0_, x1_, x2_, x3_);
        // x0 is not a swig output
        // x1 is not a swig output
        // x2 is not a swig output
        // x3 is not a swig output

        return WrapReturn< casadi::SX*, casadi::SX >::wrapReturn( ret );
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return 0;
    }
}


// ================== Static method: "jac" ===============
// class: "casadi::SX"
// cppName: "casadi::SX::jac"
// cWrapperName: "casadi__SX__jac__9"
// protoArgs: "(std::string ** err_msg, casadi::Function* x0, std::string* x1, int x2, int x3, int x4)"
// args: "(x0_, x1_, x2_, x3_, x4_)"
// rettype: UserType (Namespace ["casadi"]) (Name "SX")
// cWrapperRetType: "casadi::SX*"
// proto: "casadi::SX*\n    casadi__SX__jac__9(std::string ** err_msg, casadi::Function* x0, std::string* x1, int x2, int x3, int x4)"
// call: "        casadi::SX ret = casadi::SX::jac(x0_, x1_, x2_, x3_, x4_);"
// params: [(Ref (Const (UserType (Namespace ["casadi"]) (Name "Function"))),SwigOutput False),(Ref (Const StdString),SwigOutput False),(CInt,SwigOutput False),(CBool,SwigOutput False),(CBool,SwigOutput False)]
extern "C"
casadi::SX*
    casadi__SX__jac__9(std::string ** err_msg, casadi::Function* x0, std::string* x1, int x2, int x3, int x4);
casadi::SX*
    casadi__SX__jac__9(std::string ** err_msg, casadi::Function* x0, std::string* x1, int x2, int x3, int x4){
    try {
        casadi::Function& x0_ = Marshaling<casadi::Function&,casadi::Function*>::marshal(x0);
        std::string& x1_ = Marshaling<std::string&,std::string*>::marshal(x1);
        int x2_ = Marshaling<int,int>::marshal(x2);
        bool x3_ = Marshaling<bool,int>::marshal(x3);
        bool x4_ = Marshaling<bool,int>::marshal(x4);

        casadi::SX ret = casadi::SX::jac(x0_, x1_, x2_, x3_, x4_);
        // x0 is not a swig output
        // x1 is not a swig output
        // x2 is not a swig output
        // x3 is not a swig output
        // x4 is not a swig output

        return WrapReturn< casadi::SX*, casadi::SX >::wrapReturn( ret );
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return 0;
    }
}


// ================== Static method: "jac" ===============
// class: "casadi::SX"
// cppName: "casadi::SX::jac"
// cWrapperName: "casadi__SX__jac__10"
// protoArgs: "(std::string ** err_msg, casadi::Function* x0)"
// args: "(x0_)"
// rettype: UserType (Namespace ["casadi"]) (Name "SX")
// cWrapperRetType: "casadi::SX*"
// proto: "casadi::SX*\n    casadi__SX__jac__10(std::string ** err_msg, casadi::Function* x0)"
// call: "        casadi::SX ret = casadi::SX::jac(x0_);"
// params: [(Ref (Const (UserType (Namespace ["casadi"]) (Name "Function"))),SwigOutput False)]
extern "C"
casadi::SX*
    casadi__SX__jac__10(std::string ** err_msg, casadi::Function* x0);
casadi::SX*
    casadi__SX__jac__10(std::string ** err_msg, casadi::Function* x0){
    try {
        casadi::Function& x0_ = Marshaling<casadi::Function&,casadi::Function*>::marshal(x0);

        casadi::SX ret = casadi::SX::jac(x0_);
        // x0 is not a swig output

        return WrapReturn< casadi::SX*, casadi::SX >::wrapReturn( ret );
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return 0;
    }
}


// ================== Static method: "jac" ===============
// class: "casadi::SX"
// cppName: "casadi::SX::jac"
// cWrapperName: "casadi__SX__jac__11"
// protoArgs: "(std::string ** err_msg, casadi::Function* x0, int x1)"
// args: "(x0_, x1_)"
// rettype: UserType (Namespace ["casadi"]) (Name "SX")
// cWrapperRetType: "casadi::SX*"
// proto: "casadi::SX*\n    casadi__SX__jac__11(std::string ** err_msg, casadi::Function* x0, int x1)"
// call: "        casadi::SX ret = casadi::SX::jac(x0_, x1_);"
// params: [(Ref (Const (UserType (Namespace ["casadi"]) (Name "Function"))),SwigOutput False),(CInt,SwigOutput False)]
extern "C"
casadi::SX*
    casadi__SX__jac__11(std::string ** err_msg, casadi::Function* x0, int x1);
casadi::SX*
    casadi__SX__jac__11(std::string ** err_msg, casadi::Function* x0, int x1){
    try {
        casadi::Function& x0_ = Marshaling<casadi::Function&,casadi::Function*>::marshal(x0);
        int x1_ = Marshaling<int,int>::marshal(x1);

        casadi::SX ret = casadi::SX::jac(x0_, x1_);
        // x0 is not a swig output
        // x1 is not a swig output

        return WrapReturn< casadi::SX*, casadi::SX >::wrapReturn( ret );
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return 0;
    }
}


// ================== Static method: "jac" ===============
// class: "casadi::SX"
// cppName: "casadi::SX::jac"
// cWrapperName: "casadi__SX__jac__12"
// protoArgs: "(std::string ** err_msg, casadi::Function* x0, int x1, int x2)"
// args: "(x0_, x1_, x2_)"
// rettype: UserType (Namespace ["casadi"]) (Name "SX")
// cWrapperRetType: "casadi::SX*"
// proto: "casadi::SX*\n    casadi__SX__jac__12(std::string ** err_msg, casadi::Function* x0, int x1, int x2)"
// call: "        casadi::SX ret = casadi::SX::jac(x0_, x1_, x2_);"
// params: [(Ref (Const (UserType (Namespace ["casadi"]) (Name "Function"))),SwigOutput False),(CInt,SwigOutput False),(CInt,SwigOutput False)]
extern "C"
casadi::SX*
    casadi__SX__jac__12(std::string ** err_msg, casadi::Function* x0, int x1, int x2);
casadi::SX*
    casadi__SX__jac__12(std::string ** err_msg, casadi::Function* x0, int x1, int x2){
    try {
        casadi::Function& x0_ = Marshaling<casadi::Function&,casadi::Function*>::marshal(x0);
        int x1_ = Marshaling<int,int>::marshal(x1);
        int x2_ = Marshaling<int,int>::marshal(x2);

        casadi::SX ret = casadi::SX::jac(x0_, x1_, x2_);
        // x0 is not a swig output
        // x1 is not a swig output
        // x2 is not a swig output

        return WrapReturn< casadi::SX*, casadi::SX >::wrapReturn( ret );
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return 0;
    }
}


// ================== Static method: "jac" ===============
// class: "casadi::SX"
// cppName: "casadi::SX::jac"
// cWrapperName: "casadi__SX__jac__13"
// protoArgs: "(std::string ** err_msg, casadi::Function* x0, int x1, int x2, int x3)"
// args: "(x0_, x1_, x2_, x3_)"
// rettype: UserType (Namespace ["casadi"]) (Name "SX")
// cWrapperRetType: "casadi::SX*"
// proto: "casadi::SX*\n    casadi__SX__jac__13(std::string ** err_msg, casadi::Function* x0, int x1, int x2, int x3)"
// call: "        casadi::SX ret = casadi::SX::jac(x0_, x1_, x2_, x3_);"
// params: [(Ref (Const (UserType (Namespace ["casadi"]) (Name "Function"))),SwigOutput False),(CInt,SwigOutput False),(CInt,SwigOutput False),(CBool,SwigOutput False)]
extern "C"
casadi::SX*
    casadi__SX__jac__13(std::string ** err_msg, casadi::Function* x0, int x1, int x2, int x3);
casadi::SX*
    casadi__SX__jac__13(std::string ** err_msg, casadi::Function* x0, int x1, int x2, int x3){
    try {
        casadi::Function& x0_ = Marshaling<casadi::Function&,casadi::Function*>::marshal(x0);
        int x1_ = Marshaling<int,int>::marshal(x1);
        int x2_ = Marshaling<int,int>::marshal(x2);
        bool x3_ = Marshaling<bool,int>::marshal(x3);

        casadi::SX ret = casadi::SX::jac(x0_, x1_, x2_, x3_);
        // x0 is not a swig output
        // x1 is not a swig output
        // x2 is not a swig output
        // x3 is not a swig output

        return WrapReturn< casadi::SX*, casadi::SX >::wrapReturn( ret );
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return 0;
    }
}


// ================== Static method: "jac" ===============
// class: "casadi::SX"
// cppName: "casadi::SX::jac"
// cWrapperName: "casadi__SX__jac__14"
// protoArgs: "(std::string ** err_msg, casadi::Function* x0, int x1, int x2, int x3, int x4)"
// args: "(x0_, x1_, x2_, x3_, x4_)"
// rettype: UserType (Namespace ["casadi"]) (Name "SX")
// cWrapperRetType: "casadi::SX*"
// proto: "casadi::SX*\n    casadi__SX__jac__14(std::string ** err_msg, casadi::Function* x0, int x1, int x2, int x3, int x4)"
// call: "        casadi::SX ret = casadi::SX::jac(x0_, x1_, x2_, x3_, x4_);"
// params: [(Ref (Const (UserType (Namespace ["casadi"]) (Name "Function"))),SwigOutput False),(CInt,SwigOutput False),(CInt,SwigOutput False),(CBool,SwigOutput False),(CBool,SwigOutput False)]
extern "C"
casadi::SX*
    casadi__SX__jac__14(std::string ** err_msg, casadi::Function* x0, int x1, int x2, int x3, int x4);
casadi::SX*
    casadi__SX__jac__14(std::string ** err_msg, casadi::Function* x0, int x1, int x2, int x3, int x4){
    try {
        casadi::Function& x0_ = Marshaling<casadi::Function&,casadi::Function*>::marshal(x0);
        int x1_ = Marshaling<int,int>::marshal(x1);
        int x2_ = Marshaling<int,int>::marshal(x2);
        bool x3_ = Marshaling<bool,int>::marshal(x3);
        bool x4_ = Marshaling<bool,int>::marshal(x4);

        casadi::SX ret = casadi::SX::jac(x0_, x1_, x2_, x3_, x4_);
        // x0 is not a swig output
        // x1 is not a swig output
        // x2 is not a swig output
        // x3 is not a swig output
        // x4 is not a swig output

        return WrapReturn< casadi::SX*, casadi::SX >::wrapReturn( ret );
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return 0;
    }
}


// ================== Static method: "matrix_matrix" ===============
// class: "casadi::SX"
// cppName: "casadi::SX::matrix_matrix"
// cWrapperName: "casadi__SX__matrix_matrix"
// protoArgs: "(std::string ** err_msg, int x0, casadi::SX* x1, casadi::SX* x2)"
// args: "(x0_, x1_, x2_)"
// rettype: UserType (Namespace ["casadi"]) (Name "SX")
// cWrapperRetType: "casadi::SX*"
// proto: "casadi::SX*\n    casadi__SX__matrix_matrix(std::string ** err_msg, int x0, casadi::SX* x1, casadi::SX* x2)"
// call: "        casadi::SX ret = casadi::SX::matrix_matrix(x0_, x1_, x2_);"
// params: [(CInt,SwigOutput False),(Ref (Const (UserType (Namespace ["casadi"]) (Name "SX"))),SwigOutput False),(Ref (Const (UserType (Namespace ["casadi"]) (Name "SX"))),SwigOutput False)]
extern "C"
casadi::SX*
    casadi__SX__matrix_matrix(std::string ** err_msg, int x0, casadi::SX* x1, casadi::SX* x2);
casadi::SX*
    casadi__SX__matrix_matrix(std::string ** err_msg, int x0, casadi::SX* x1, casadi::SX* x2){
    try {
        int x0_ = Marshaling<int,int>::marshal(x0);
        casadi::SX& x1_ = Marshaling<casadi::SX&,casadi::SX*>::marshal(x1);
        casadi::SX& x2_ = Marshaling<casadi::SX&,casadi::SX*>::marshal(x2);

        casadi::SX ret = casadi::SX::matrix_matrix(x0_, x1_, x2_);
        // x0 is not a swig output
        // x1 is not a swig output
        // x2 is not a swig output

        return WrapReturn< casadi::SX*, casadi::SX >::wrapReturn( ret );
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return 0;
    }
}


// ================== Static method: "matrix_scalar" ===============
// class: "casadi::SX"
// cppName: "casadi::SX::matrix_scalar"
// cWrapperName: "casadi__SX__matrix_scalar"
// protoArgs: "(std::string ** err_msg, int x0, casadi::SX* x1, casadi::SX* x2)"
// args: "(x0_, x1_, x2_)"
// rettype: UserType (Namespace ["casadi"]) (Name "SX")
// cWrapperRetType: "casadi::SX*"
// proto: "casadi::SX*\n    casadi__SX__matrix_scalar(std::string ** err_msg, int x0, casadi::SX* x1, casadi::SX* x2)"
// call: "        casadi::SX ret = casadi::SX::matrix_scalar(x0_, x1_, x2_);"
// params: [(CInt,SwigOutput False),(Ref (Const (UserType (Namespace ["casadi"]) (Name "SX"))),SwigOutput False),(Ref (Const (UserType (Namespace ["casadi"]) (Name "SX"))),SwigOutput False)]
extern "C"
casadi::SX*
    casadi__SX__matrix_scalar(std::string ** err_msg, int x0, casadi::SX* x1, casadi::SX* x2);
casadi::SX*
    casadi__SX__matrix_scalar(std::string ** err_msg, int x0, casadi::SX* x1, casadi::SX* x2){
    try {
        int x0_ = Marshaling<int,int>::marshal(x0);
        casadi::SX& x1_ = Marshaling<casadi::SX&,casadi::SX*>::marshal(x1);
        casadi::SX& x2_ = Marshaling<casadi::SX&,casadi::SX*>::marshal(x2);

        casadi::SX ret = casadi::SX::matrix_scalar(x0_, x1_, x2_);
        // x0 is not a swig output
        // x1 is not a swig output
        // x2 is not a swig output

        return WrapReturn< casadi::SX*, casadi::SX >::wrapReturn( ret );
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return 0;
    }
}


// ================== Normal method: "n_dep" ===============
// class: "casadi::SX"
// cppName: "casadi::SX::n_dep"
// cWrapperName: "casadi__SX__n_dep"
// protoArgs: "(std::string ** err_msg, casadi::SX* obj)"
// args: "()"
// rettype: CInt
// cWrapperRetType: "int"
// proto: "int\n    casadi__SX__n_dep(std::string ** err_msg, casadi::SX* obj)"
// call: "        int ret = obj->n_dep();"
// params: []
extern "C"
int
    casadi__SX__n_dep(std::string ** err_msg, casadi::SX* obj);
int
    casadi__SX__n_dep(std::string ** err_msg, casadi::SX* obj){
    try {

        int ret = obj->n_dep();

        return WrapReturn< int, int >::wrapReturn( ret );
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return 0;
    }
}


// ================== Normal method: "name" ===============
// class: "casadi::SX"
// cppName: "casadi::SX::name"
// cWrapperName: "casadi__SX__name"
// protoArgs: "(std::string ** err_msg, casadi::SX* obj)"
// args: "()"
// rettype: StdString
// cWrapperRetType: "std::string*"
// proto: "std::string*\n    casadi__SX__name(std::string ** err_msg, casadi::SX* obj)"
// call: "        std::string ret = obj->name();"
// params: []
extern "C"
std::string*
    casadi__SX__name(std::string ** err_msg, casadi::SX* obj);
std::string*
    casadi__SX__name(std::string ** err_msg, casadi::SX* obj){
    try {

        std::string ret = obj->name();

        return WrapReturn< std::string*, std::string >::wrapReturn( ret );
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return 0;
    }
}


// ================== Static method: "nan" ===============
// class: "casadi::SX"
// cppName: "casadi::SX::nan"
// cWrapperName: "casadi__SX__nan__0"
// protoArgs: "(std::string ** err_msg, std::pair< int, int >* x0)"
// args: "(x0_)"
// rettype: UserType (Namespace ["casadi"]) (Name "SX")
// cWrapperRetType: "casadi::SX*"
// proto: "casadi::SX*\n    casadi__SX__nan__0(std::string ** err_msg, std::pair< int, int >* x0)"
// call: "        casadi::SX ret = casadi::SX::nan(x0_);"
// params: [(Ref (Const (StdPair CInt CInt)),SwigOutput False)]
extern "C"
casadi::SX*
    casadi__SX__nan__0(std::string ** err_msg, std::pair< int, int >* x0);
casadi::SX*
    casadi__SX__nan__0(std::string ** err_msg, std::pair< int, int >* x0){
    try {
        std::pair< int, int > x0_ = Marshaling<std::pair< int, int >,std::pair< int, int >*>::marshal(x0);

        casadi::SX ret = casadi::SX::nan(x0_);
        // x0 is not a swig output

        return WrapReturn< casadi::SX*, casadi::SX >::wrapReturn( ret );
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return 0;
    }
}


// ================== Static method: "nan" ===============
// class: "casadi::SX"
// cppName: "casadi::SX::nan"
// cWrapperName: "casadi__SX__nan__1"
// protoArgs: "(std::string ** err_msg)"
// args: "()"
// rettype: UserType (Namespace ["casadi"]) (Name "SX")
// cWrapperRetType: "casadi::SX*"
// proto: "casadi::SX*\n    casadi__SX__nan__1(std::string ** err_msg)"
// call: "        casadi::SX ret = casadi::SX::nan();"
// params: []
extern "C"
casadi::SX*
    casadi__SX__nan__1(std::string ** err_msg);
casadi::SX*
    casadi__SX__nan__1(std::string ** err_msg){
    try {

        casadi::SX ret = casadi::SX::nan();

        return WrapReturn< casadi::SX*, casadi::SX >::wrapReturn( ret );
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return 0;
    }
}


// ================== Static method: "nan" ===============
// class: "casadi::SX"
// cppName: "casadi::SX::nan"
// cWrapperName: "casadi__SX__nan__2"
// protoArgs: "(std::string ** err_msg, int x0)"
// args: "(x0_)"
// rettype: UserType (Namespace ["casadi"]) (Name "SX")
// cWrapperRetType: "casadi::SX*"
// proto: "casadi::SX*\n    casadi__SX__nan__2(std::string ** err_msg, int x0)"
// call: "        casadi::SX ret = casadi::SX::nan(x0_);"
// params: [(CInt,SwigOutput False)]
extern "C"
casadi::SX*
    casadi__SX__nan__2(std::string ** err_msg, int x0);
casadi::SX*
    casadi__SX__nan__2(std::string ** err_msg, int x0){
    try {
        int x0_ = Marshaling<int,int>::marshal(x0);

        casadi::SX ret = casadi::SX::nan(x0_);
        // x0 is not a swig output

        return WrapReturn< casadi::SX*, casadi::SX >::wrapReturn( ret );
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return 0;
    }
}


// ================== Static method: "nan" ===============
// class: "casadi::SX"
// cppName: "casadi::SX::nan"
// cWrapperName: "casadi__SX__nan__3"
// protoArgs: "(std::string ** err_msg, int x0, int x1)"
// args: "(x0_, x1_)"
// rettype: UserType (Namespace ["casadi"]) (Name "SX")
// cWrapperRetType: "casadi::SX*"
// proto: "casadi::SX*\n    casadi__SX__nan__3(std::string ** err_msg, int x0, int x1)"
// call: "        casadi::SX ret = casadi::SX::nan(x0_, x1_);"
// params: [(CInt,SwigOutput False),(CInt,SwigOutput False)]
extern "C"
casadi::SX*
    casadi__SX__nan__3(std::string ** err_msg, int x0, int x1);
casadi::SX*
    casadi__SX__nan__3(std::string ** err_msg, int x0, int x1){
    try {
        int x0_ = Marshaling<int,int>::marshal(x0);
        int x1_ = Marshaling<int,int>::marshal(x1);

        casadi::SX ret = casadi::SX::nan(x0_, x1_);
        // x0 is not a swig output
        // x1 is not a swig output

        return WrapReturn< casadi::SX*, casadi::SX >::wrapReturn( ret );
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return 0;
    }
}


// ================== Static method: "nan" ===============
// class: "casadi::SX"
// cppName: "casadi::SX::nan"
// cWrapperName: "casadi__SX__nan__4"
// protoArgs: "(std::string ** err_msg, casadi::Sparsity* x0)"
// args: "(x0_)"
// rettype: UserType (Namespace ["casadi"]) (Name "SX")
// cWrapperRetType: "casadi::SX*"
// proto: "casadi::SX*\n    casadi__SX__nan__4(std::string ** err_msg, casadi::Sparsity* x0)"
// call: "        casadi::SX ret = casadi::SX::nan(x0_);"
// params: [(Ref (Const (UserType (Namespace ["casadi"]) (Name "Sparsity"))),SwigOutput False)]
extern "C"
casadi::SX*
    casadi__SX__nan__4(std::string ** err_msg, casadi::Sparsity* x0);
casadi::SX*
    casadi__SX__nan__4(std::string ** err_msg, casadi::Sparsity* x0){
    try {
        casadi::Sparsity& x0_ = Marshaling<casadi::Sparsity&,casadi::Sparsity*>::marshal(x0);

        casadi::SX ret = casadi::SX::nan(x0_);
        // x0 is not a swig output

        return WrapReturn< casadi::SX*, casadi::SX >::wrapReturn( ret );
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return 0;
    }
}


// ================== Normal method: "nnz" ===============
// class: "casadi::SX"
// cppName: "casadi::SX::nnz"
// cWrapperName: "casadi__SX__nnz"
// protoArgs: "(std::string ** err_msg, casadi::SX* obj)"
// args: "()"
// rettype: CInt
// cWrapperRetType: "int"
// proto: "int\n    casadi__SX__nnz(std::string ** err_msg, casadi::SX* obj)"
// call: "        int ret = obj->nnz();"
// params: []
extern "C"
int
    casadi__SX__nnz(std::string ** err_msg, casadi::SX* obj);
int
    casadi__SX__nnz(std::string ** err_msg, casadi::SX* obj){
    try {

        int ret = obj->nnz();

        return WrapReturn< int, int >::wrapReturn( ret );
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return 0;
    }
}


// ================== Normal method: "nnz_diag" ===============
// class: "casadi::SX"
// cppName: "casadi::SX::nnz_diag"
// cWrapperName: "casadi__SX__nnz_diag"
// protoArgs: "(std::string ** err_msg, casadi::SX* obj)"
// args: "()"
// rettype: CInt
// cWrapperRetType: "int"
// proto: "int\n    casadi__SX__nnz_diag(std::string ** err_msg, casadi::SX* obj)"
// call: "        int ret = obj->nnz_diag();"
// params: []
extern "C"
int
    casadi__SX__nnz_diag(std::string ** err_msg, casadi::SX* obj);
int
    casadi__SX__nnz_diag(std::string ** err_msg, casadi::SX* obj){
    try {

        int ret = obj->nnz_diag();

        return WrapReturn< int, int >::wrapReturn( ret );
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return 0;
    }
}


// ================== Normal method: "nnz_lower" ===============
// class: "casadi::SX"
// cppName: "casadi::SX::nnz_lower"
// cWrapperName: "casadi__SX__nnz_lower"
// protoArgs: "(std::string ** err_msg, casadi::SX* obj)"
// args: "()"
// rettype: CInt
// cWrapperRetType: "int"
// proto: "int\n    casadi__SX__nnz_lower(std::string ** err_msg, casadi::SX* obj)"
// call: "        int ret = obj->nnz_lower();"
// params: []
extern "C"
int
    casadi__SX__nnz_lower(std::string ** err_msg, casadi::SX* obj);
int
    casadi__SX__nnz_lower(std::string ** err_msg, casadi::SX* obj){
    try {

        int ret = obj->nnz_lower();

        return WrapReturn< int, int >::wrapReturn( ret );
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return 0;
    }
}


// ================== Normal method: "nnz_upper" ===============
// class: "casadi::SX"
// cppName: "casadi::SX::nnz_upper"
// cWrapperName: "casadi__SX__nnz_upper"
// protoArgs: "(std::string ** err_msg, casadi::SX* obj)"
// args: "()"
// rettype: CInt
// cWrapperRetType: "int"
// proto: "int\n    casadi__SX__nnz_upper(std::string ** err_msg, casadi::SX* obj)"
// call: "        int ret = obj->nnz_upper();"
// params: []
extern "C"
int
    casadi__SX__nnz_upper(std::string ** err_msg, casadi::SX* obj);
int
    casadi__SX__nnz_upper(std::string ** err_msg, casadi::SX* obj){
    try {

        int ret = obj->nnz_upper();

        return WrapReturn< int, int >::wrapReturn( ret );
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return 0;
    }
}


// ================== Normal method: "numel" ===============
// class: "casadi::SX"
// cppName: "casadi::SX::numel"
// cWrapperName: "casadi__SX__numel__0"
// protoArgs: "(std::string ** err_msg, casadi::SX* obj, int x0)"
// args: "(x0_)"
// rettype: CInt
// cWrapperRetType: "int"
// proto: "int\n    casadi__SX__numel__0(std::string ** err_msg, casadi::SX* obj, int x0)"
// call: "        int ret = obj->numel(x0_);"
// params: [(CInt,SwigOutput False)]
extern "C"
int
    casadi__SX__numel__0(std::string ** err_msg, casadi::SX* obj, int x0);
int
    casadi__SX__numel__0(std::string ** err_msg, casadi::SX* obj, int x0){
    try {
        int x0_ = Marshaling<int,int>::marshal(x0);

        int ret = obj->numel(x0_);
        // x0 is not a swig output

        return WrapReturn< int, int >::wrapReturn( ret );
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return 0;
    }
}


// ================== Normal method: "numel" ===============
// class: "casadi::SX"
// cppName: "casadi::SX::numel"
// cWrapperName: "casadi__SX__numel__1"
// protoArgs: "(std::string ** err_msg, casadi::SX* obj)"
// args: "()"
// rettype: CInt
// cWrapperRetType: "int"
// proto: "int\n    casadi__SX__numel__1(std::string ** err_msg, casadi::SX* obj)"
// call: "        int ret = obj->numel();"
// params: []
extern "C"
int
    casadi__SX__numel__1(std::string ** err_msg, casadi::SX* obj);
int
    casadi__SX__numel__1(std::string ** err_msg, casadi::SX* obj){
    try {

        int ret = obj->numel();

        return WrapReturn< int, int >::wrapReturn( ret );
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return 0;
    }
}


// ================== Static method: "ones" ===============
// class: "casadi::SX"
// cppName: "casadi::SX::ones"
// cWrapperName: "casadi__SX__ones__0"
// protoArgs: "(std::string ** err_msg, std::pair< int, int >* x0)"
// args: "(x0_)"
// rettype: UserType (Namespace ["casadi"]) (Name "SX")
// cWrapperRetType: "casadi::SX*"
// proto: "casadi::SX*\n    casadi__SX__ones__0(std::string ** err_msg, std::pair< int, int >* x0)"
// call: "        casadi::SX ret = casadi::SX::ones(x0_);"
// params: [(Ref (Const (StdPair CInt CInt)),SwigOutput False)]
extern "C"
casadi::SX*
    casadi__SX__ones__0(std::string ** err_msg, std::pair< int, int >* x0);
casadi::SX*
    casadi__SX__ones__0(std::string ** err_msg, std::pair< int, int >* x0){
    try {
        std::pair< int, int > x0_ = Marshaling<std::pair< int, int >,std::pair< int, int >*>::marshal(x0);

        casadi::SX ret = casadi::SX::ones(x0_);
        // x0 is not a swig output

        return WrapReturn< casadi::SX*, casadi::SX >::wrapReturn( ret );
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return 0;
    }
}


// ================== Static method: "ones" ===============
// class: "casadi::SX"
// cppName: "casadi::SX::ones"
// cWrapperName: "casadi__SX__ones__1"
// protoArgs: "(std::string ** err_msg, casadi::Sparsity* x0)"
// args: "(x0_)"
// rettype: UserType (Namespace ["casadi"]) (Name "SX")
// cWrapperRetType: "casadi::SX*"
// proto: "casadi::SX*\n    casadi__SX__ones__1(std::string ** err_msg, casadi::Sparsity* x0)"
// call: "        casadi::SX ret = casadi::SX::ones(x0_);"
// params: [(Ref (Const (UserType (Namespace ["casadi"]) (Name "Sparsity"))),SwigOutput False)]
extern "C"
casadi::SX*
    casadi__SX__ones__1(std::string ** err_msg, casadi::Sparsity* x0);
casadi::SX*
    casadi__SX__ones__1(std::string ** err_msg, casadi::Sparsity* x0){
    try {
        casadi::Sparsity& x0_ = Marshaling<casadi::Sparsity&,casadi::Sparsity*>::marshal(x0);

        casadi::SX ret = casadi::SX::ones(x0_);
        // x0 is not a swig output

        return WrapReturn< casadi::SX*, casadi::SX >::wrapReturn( ret );
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return 0;
    }
}


// ================== Static method: "ones" ===============
// class: "casadi::SX"
// cppName: "casadi::SX::ones"
// cWrapperName: "casadi__SX__ones__2"
// protoArgs: "(std::string ** err_msg)"
// args: "()"
// rettype: UserType (Namespace ["casadi"]) (Name "SX")
// cWrapperRetType: "casadi::SX*"
// proto: "casadi::SX*\n    casadi__SX__ones__2(std::string ** err_msg)"
// call: "        casadi::SX ret = casadi::SX::ones();"
// params: []
extern "C"
casadi::SX*
    casadi__SX__ones__2(std::string ** err_msg);
casadi::SX*
    casadi__SX__ones__2(std::string ** err_msg){
    try {

        casadi::SX ret = casadi::SX::ones();

        return WrapReturn< casadi::SX*, casadi::SX >::wrapReturn( ret );
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return 0;
    }
}


// ================== Static method: "ones" ===============
// class: "casadi::SX"
// cppName: "casadi::SX::ones"
// cWrapperName: "casadi__SX__ones__3"
// protoArgs: "(std::string ** err_msg, int x0)"
// args: "(x0_)"
// rettype: UserType (Namespace ["casadi"]) (Name "SX")
// cWrapperRetType: "casadi::SX*"
// proto: "casadi::SX*\n    casadi__SX__ones__3(std::string ** err_msg, int x0)"
// call: "        casadi::SX ret = casadi::SX::ones(x0_);"
// params: [(CInt,SwigOutput False)]
extern "C"
casadi::SX*
    casadi__SX__ones__3(std::string ** err_msg, int x0);
casadi::SX*
    casadi__SX__ones__3(std::string ** err_msg, int x0){
    try {
        int x0_ = Marshaling<int,int>::marshal(x0);

        casadi::SX ret = casadi::SX::ones(x0_);
        // x0 is not a swig output

        return WrapReturn< casadi::SX*, casadi::SX >::wrapReturn( ret );
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return 0;
    }
}


// ================== Static method: "ones" ===============
// class: "casadi::SX"
// cppName: "casadi::SX::ones"
// cWrapperName: "casadi__SX__ones__4"
// protoArgs: "(std::string ** err_msg, int x0, int x1)"
// args: "(x0_, x1_)"
// rettype: UserType (Namespace ["casadi"]) (Name "SX")
// cWrapperRetType: "casadi::SX*"
// proto: "casadi::SX*\n    casadi__SX__ones__4(std::string ** err_msg, int x0, int x1)"
// call: "        casadi::SX ret = casadi::SX::ones(x0_, x1_);"
// params: [(CInt,SwigOutput False),(CInt,SwigOutput False)]
extern "C"
casadi::SX*
    casadi__SX__ones__4(std::string ** err_msg, int x0, int x1);
casadi::SX*
    casadi__SX__ones__4(std::string ** err_msg, int x0, int x1){
    try {
        int x0_ = Marshaling<int,int>::marshal(x0);
        int x1_ = Marshaling<int,int>::marshal(x1);

        casadi::SX ret = casadi::SX::ones(x0_, x1_);
        // x0 is not a swig output
        // x1 is not a swig output

        return WrapReturn< casadi::SX*, casadi::SX >::wrapReturn( ret );
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return 0;
    }
}


// ================== Normal method: "operator +" ===============
// class: "casadi::SX"
// cppName: "casadi::SX::operator +"
// cWrapperName: "casadi__SX__operator__plus"
// protoArgs: "(std::string ** err_msg, casadi::SX* obj)"
// args: "()"
// rettype: UserType (Namespace ["casadi"]) (Name "SX")
// cWrapperRetType: "casadi::SX*"
// proto: "casadi::SX*\n    casadi__SX__operator__plus(std::string ** err_msg, casadi::SX* obj)"
// call: "        casadi::SX ret = obj->operator +();"
// params: []
extern "C"
casadi::SX*
    casadi__SX__operator__plus(std::string ** err_msg, casadi::SX* obj);
casadi::SX*
    casadi__SX__operator__plus(std::string ** err_msg, casadi::SX* obj){
    try {

        casadi::SX ret = obj->operator +();

        return WrapReturn< casadi::SX*, casadi::SX >::wrapReturn( ret );
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return 0;
    }
}


// ================== Normal method: "operator -" ===============
// class: "casadi::SX"
// cppName: "casadi::SX::operator -"
// cWrapperName: "casadi__SX__operator__minus"
// protoArgs: "(std::string ** err_msg, casadi::SX* obj)"
// args: "()"
// rettype: UserType (Namespace ["casadi"]) (Name "SX")
// cWrapperRetType: "casadi::SX*"
// proto: "casadi::SX*\n    casadi__SX__operator__minus(std::string ** err_msg, casadi::SX* obj)"
// call: "        casadi::SX ret = obj->operator -();"
// params: []
extern "C"
casadi::SX*
    casadi__SX__operator__minus(std::string ** err_msg, casadi::SX* obj);
casadi::SX*
    casadi__SX__operator__minus(std::string ** err_msg, casadi::SX* obj){
    try {

        casadi::SX ret = obj->operator -();

        return WrapReturn< casadi::SX*, casadi::SX >::wrapReturn( ret );
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return 0;
    }
}


// ================== Normal method: "operator double" ===============
// class: "casadi::SX"
// cppName: "casadi::SX::operator double"
// cWrapperName: "casadi__SX__operator_double"
// protoArgs: "(std::string ** err_msg, casadi::SX* obj)"
// args: "()"
// rettype: CDouble
// cWrapperRetType: "double"
// proto: "double\n    casadi__SX__operator_double(std::string ** err_msg, casadi::SX* obj)"
// call: "        double ret = obj->operator double();"
// params: []
extern "C"
double
    casadi__SX__operator_double(std::string ** err_msg, casadi::SX* obj);
double
    casadi__SX__operator_double(std::string ** err_msg, casadi::SX* obj){
    try {

        double ret = obj->operator double();

        return WrapReturn< double, double >::wrapReturn( ret );
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return 0;
    }
}


// ================== Normal method: "operator int" ===============
// class: "casadi::SX"
// cppName: "casadi::SX::operator int"
// cWrapperName: "casadi__SX__operator_int"
// protoArgs: "(std::string ** err_msg, casadi::SX* obj)"
// args: "()"
// rettype: CInt
// cWrapperRetType: "int"
// proto: "int\n    casadi__SX__operator_int(std::string ** err_msg, casadi::SX* obj)"
// call: "        int ret = obj->operator int();"
// params: []
extern "C"
int
    casadi__SX__operator_int(std::string ** err_msg, casadi::SX* obj);
int
    casadi__SX__operator_int(std::string ** err_msg, casadi::SX* obj){
    try {

        int ret = obj->operator int();

        return WrapReturn< int, int >::wrapReturn( ret );
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return 0;
    }
}


// ================== Normal method: "print_dense" ===============
// class: "casadi::SX"
// cppName: "casadi::SX::print_dense"
// cWrapperName: "casadi__SX__print_dense"
// protoArgs: "(std::string ** err_msg, casadi::SX* obj)"
// args: "()"
// rettype: CVoid
// cWrapperRetType: "void"
// proto: "void\n    casadi__SX__print_dense(std::string ** err_msg, casadi::SX* obj)"
// call: "        obj->print_dense();"
// params: []
extern "C"
void
    casadi__SX__print_dense(std::string ** err_msg, casadi::SX* obj);
void
    casadi__SX__print_dense(std::string ** err_msg, casadi::SX* obj){
    try {

        obj->print_dense();

        return;
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return;
    }
}


// ================== Normal method: "print_scalar" ===============
// class: "casadi::SX"
// cppName: "casadi::SX::print_scalar"
// cWrapperName: "casadi__SX__print_scalar"
// protoArgs: "(std::string ** err_msg, casadi::SX* obj)"
// args: "()"
// rettype: CVoid
// cWrapperRetType: "void"
// proto: "void\n    casadi__SX__print_scalar(std::string ** err_msg, casadi::SX* obj)"
// call: "        obj->print_scalar();"
// params: []
extern "C"
void
    casadi__SX__print_scalar(std::string ** err_msg, casadi::SX* obj);
void
    casadi__SX__print_scalar(std::string ** err_msg, casadi::SX* obj){
    try {

        obj->print_scalar();

        return;
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return;
    }
}


// ================== Normal method: "print_sparse" ===============
// class: "casadi::SX"
// cppName: "casadi::SX::print_sparse"
// cWrapperName: "casadi__SX__print_sparse"
// protoArgs: "(std::string ** err_msg, casadi::SX* obj)"
// args: "()"
// rettype: CVoid
// cWrapperRetType: "void"
// proto: "void\n    casadi__SX__print_sparse(std::string ** err_msg, casadi::SX* obj)"
// call: "        obj->print_sparse();"
// params: []
extern "C"
void
    casadi__SX__print_sparse(std::string ** err_msg, casadi::SX* obj);
void
    casadi__SX__print_sparse(std::string ** err_msg, casadi::SX* obj){
    try {

        obj->print_sparse();

        return;
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return;
    }
}


// ================== Normal method: "print_split" ===============
// class: "casadi::SX"
// cppName: "casadi::SX::print_split"
// cWrapperName: "casadi__SX__print_split"
// protoArgs: "(std::string ** err_msg, casadi::SX* obj, std::vector< std::string* >** x0, std::vector< std::string* >** x1)"
// args: "(x0_, x1_)"
// rettype: CVoid
// cWrapperRetType: "void"
// proto: "void\n    casadi__SX__print_split(std::string ** err_msg, casadi::SX* obj, std::vector< std::string* >** x0, std::vector< std::string* >** x1)"
// call: "        obj->print_split(x0_, x1_);"
// params: [(Ref (StdVec StdString),SwigOutput True),(Ref (StdVec StdString),SwigOutput True)]
extern "C"
void
    casadi__SX__print_split(std::string ** err_msg, casadi::SX* obj, std::vector< std::string* >** x0, std::vector< std::string* >** x1);
void
    casadi__SX__print_split(std::string ** err_msg, casadi::SX* obj, std::vector< std::string* >** x0, std::vector< std::string* >** x1){
    try {
        std::vector< std::string > x0_ = std::vector< std::string >();  // Swig output
        std::vector< std::string > x1_ = std::vector< std::string >();  // Swig output

        obj->print_split(x0_, x1_);
        *x0 = WrapReturn< std::vector< std::string* >*, std::vector< std::string > >::wrapReturn( x0_ );
        *x1 = WrapReturn< std::vector< std::string* >*, std::vector< std::string > >::wrapReturn( x1_ );

        return;
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return;
    }
}


// ================== Normal method: "print_vector" ===============
// class: "casadi::SX"
// cppName: "casadi::SX::print_vector"
// cWrapperName: "casadi__SX__print_vector"
// protoArgs: "(std::string ** err_msg, casadi::SX* obj)"
// args: "()"
// rettype: CVoid
// cWrapperRetType: "void"
// proto: "void\n    casadi__SX__print_vector(std::string ** err_msg, casadi::SX* obj)"
// call: "        obj->print_vector();"
// params: []
extern "C"
void
    casadi__SX__print_vector(std::string ** err_msg, casadi::SX* obj);
void
    casadi__SX__print_vector(std::string ** err_msg, casadi::SX* obj){
    try {

        obj->print_vector();

        return;
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return;
    }
}


// ================== Normal method: "printme" ===============
// class: "casadi::SX"
// cppName: "casadi::SX::printme"
// cWrapperName: "casadi__SX__printme"
// protoArgs: "(std::string ** err_msg, casadi::SX* obj, casadi::SX* x0)"
// args: "(x0_)"
// rettype: UserType (Namespace ["casadi"]) (Name "SX")
// cWrapperRetType: "casadi::SX*"
// proto: "casadi::SX*\n    casadi__SX__printme(std::string ** err_msg, casadi::SX* obj, casadi::SX* x0)"
// call: "        casadi::SX ret = obj->printme(x0_);"
// params: [(Ref (Const (UserType (Namespace ["casadi"]) (Name "SX"))),SwigOutput False)]
extern "C"
casadi::SX*
    casadi__SX__printme(std::string ** err_msg, casadi::SX* obj, casadi::SX* x0);
casadi::SX*
    casadi__SX__printme(std::string ** err_msg, casadi::SX* obj, casadi::SX* x0){
    try {
        casadi::SX& x0_ = Marshaling<casadi::SX&,casadi::SX*>::marshal(x0);

        casadi::SX ret = obj->printme(x0_);
        // x0 is not a swig output

        return WrapReturn< casadi::SX*, casadi::SX >::wrapReturn( ret );
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return 0;
    }
}


// ================== Normal method: "remove" ===============
// class: "casadi::SX"
// cppName: "casadi::SX::remove"
// cWrapperName: "casadi__SX__remove"
// protoArgs: "(std::string ** err_msg, casadi::SX* obj, std::vector< int >* x0, std::vector< int >* x1)"
// args: "(x0_, x1_)"
// rettype: CVoid
// cWrapperRetType: "void"
// proto: "void\n    casadi__SX__remove(std::string ** err_msg, casadi::SX* obj, std::vector< int >* x0, std::vector< int >* x1)"
// call: "        obj->remove(x0_, x1_);"
// params: [(Ref (Const (StdVec CInt)),SwigOutput False),(Ref (Const (StdVec CInt)),SwigOutput False)]
extern "C"
void
    casadi__SX__remove(std::string ** err_msg, casadi::SX* obj, std::vector< int >* x0, std::vector< int >* x1);
void
    casadi__SX__remove(std::string ** err_msg, casadi::SX* obj, std::vector< int >* x0, std::vector< int >* x1){
    try {
        std::vector< int > x0_ = Marshaling<std::vector< int >,std::vector< int >*>::marshal(x0);
        std::vector< int > x1_ = Marshaling<std::vector< int >,std::vector< int >*>::marshal(x1);

        obj->remove(x0_, x1_);
        // x0 is not a swig output
        // x1 is not a swig output

        return;
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return;
    }
}


// ================== Normal method: "reserve" ===============
// class: "casadi::SX"
// cppName: "casadi::SX::reserve"
// cWrapperName: "casadi__SX__reserve__0"
// protoArgs: "(std::string ** err_msg, casadi::SX* obj, int x0, int x1)"
// args: "(x0_, x1_)"
// rettype: CVoid
// cWrapperRetType: "void"
// proto: "void\n    casadi__SX__reserve__0(std::string ** err_msg, casadi::SX* obj, int x0, int x1)"
// call: "        obj->reserve(x0_, x1_);"
// params: [(CInt,SwigOutput False),(CInt,SwigOutput False)]
extern "C"
void
    casadi__SX__reserve__0(std::string ** err_msg, casadi::SX* obj, int x0, int x1);
void
    casadi__SX__reserve__0(std::string ** err_msg, casadi::SX* obj, int x0, int x1){
    try {
        int x0_ = Marshaling<int,int>::marshal(x0);
        int x1_ = Marshaling<int,int>::marshal(x1);

        obj->reserve(x0_, x1_);
        // x0 is not a swig output
        // x1 is not a swig output

        return;
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return;
    }
}


// ================== Normal method: "reserve" ===============
// class: "casadi::SX"
// cppName: "casadi::SX::reserve"
// cWrapperName: "casadi__SX__reserve__1"
// protoArgs: "(std::string ** err_msg, casadi::SX* obj, int x0)"
// args: "(x0_)"
// rettype: CVoid
// cWrapperRetType: "void"
// proto: "void\n    casadi__SX__reserve__1(std::string ** err_msg, casadi::SX* obj, int x0)"
// call: "        obj->reserve(x0_);"
// params: [(CInt,SwigOutput False)]
extern "C"
void
    casadi__SX__reserve__1(std::string ** err_msg, casadi::SX* obj, int x0);
void
    casadi__SX__reserve__1(std::string ** err_msg, casadi::SX* obj, int x0){
    try {
        int x0_ = Marshaling<int,int>::marshal(x0);

        obj->reserve(x0_);
        // x0 is not a swig output

        return;
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return;
    }
}


// ================== Normal method: "resetInput" ===============
// class: "casadi::SX"
// cppName: "casadi::SX::resetInput"
// cWrapperName: "casadi__SX__resetInput"
// protoArgs: "(std::string ** err_msg, casadi::SX* obj)"
// args: "()"
// rettype: CVoid
// cWrapperRetType: "void"
// proto: "void\n    casadi__SX__resetInput(std::string ** err_msg, casadi::SX* obj)"
// call: "        obj->resetInput();"
// params: []
extern "C"
void
    casadi__SX__resetInput(std::string ** err_msg, casadi::SX* obj);
void
    casadi__SX__resetInput(std::string ** err_msg, casadi::SX* obj){
    try {

        obj->resetInput();

        return;
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return;
    }
}


// ================== Normal method: "resize" ===============
// class: "casadi::SX"
// cppName: "casadi::SX::resize"
// cWrapperName: "casadi__SX__resize"
// protoArgs: "(std::string ** err_msg, casadi::SX* obj, int x0, int x1)"
// args: "(x0_, x1_)"
// rettype: CVoid
// cWrapperRetType: "void"
// proto: "void\n    casadi__SX__resize(std::string ** err_msg, casadi::SX* obj, int x0, int x1)"
// call: "        obj->resize(x0_, x1_);"
// params: [(CInt,SwigOutput False),(CInt,SwigOutput False)]
extern "C"
void
    casadi__SX__resize(std::string ** err_msg, casadi::SX* obj, int x0, int x1);
void
    casadi__SX__resize(std::string ** err_msg, casadi::SX* obj, int x0, int x1){
    try {
        int x0_ = Marshaling<int,int>::marshal(x0);
        int x1_ = Marshaling<int,int>::marshal(x1);

        obj->resize(x0_, x1_);
        // x0 is not a swig output
        // x1 is not a swig output

        return;
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return;
    }
}


// ================== Normal method: "row" ===============
// class: "casadi::SX"
// cppName: "casadi::SX::row"
// cWrapperName: "casadi__SX__row"
// protoArgs: "(std::string ** err_msg, casadi::SX* obj, int x0)"
// args: "(x0_)"
// rettype: CInt
// cWrapperRetType: "int"
// proto: "int\n    casadi__SX__row(std::string ** err_msg, casadi::SX* obj, int x0)"
// call: "        int ret = obj->row(x0_);"
// params: [(CInt,SwigOutput False)]
extern "C"
int
    casadi__SX__row(std::string ** err_msg, casadi::SX* obj, int x0);
int
    casadi__SX__row(std::string ** err_msg, casadi::SX* obj, int x0){
    try {
        int x0_ = Marshaling<int,int>::marshal(x0);

        int ret = obj->row(x0_);
        // x0 is not a swig output

        return WrapReturn< int, int >::wrapReturn( ret );
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return 0;
    }
}


// ================== Normal method: "sanity_check" ===============
// class: "casadi::SX"
// cppName: "casadi::SX::sanity_check"
// cWrapperName: "casadi__SX__sanity_check__0"
// protoArgs: "(std::string ** err_msg, casadi::SX* obj)"
// args: "()"
// rettype: CVoid
// cWrapperRetType: "void"
// proto: "void\n    casadi__SX__sanity_check__0(std::string ** err_msg, casadi::SX* obj)"
// call: "        obj->sanity_check();"
// params: []
extern "C"
void
    casadi__SX__sanity_check__0(std::string ** err_msg, casadi::SX* obj);
void
    casadi__SX__sanity_check__0(std::string ** err_msg, casadi::SX* obj){
    try {

        obj->sanity_check();

        return;
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return;
    }
}


// ================== Normal method: "sanity_check" ===============
// class: "casadi::SX"
// cppName: "casadi::SX::sanity_check"
// cWrapperName: "casadi__SX__sanity_check__1"
// protoArgs: "(std::string ** err_msg, casadi::SX* obj, int x0)"
// args: "(x0_)"
// rettype: CVoid
// cWrapperRetType: "void"
// proto: "void\n    casadi__SX__sanity_check__1(std::string ** err_msg, casadi::SX* obj, int x0)"
// call: "        obj->sanity_check(x0_);"
// params: [(CBool,SwigOutput False)]
extern "C"
void
    casadi__SX__sanity_check__1(std::string ** err_msg, casadi::SX* obj, int x0);
void
    casadi__SX__sanity_check__1(std::string ** err_msg, casadi::SX* obj, int x0){
    try {
        bool x0_ = Marshaling<bool,int>::marshal(x0);

        obj->sanity_check(x0_);
        // x0 is not a swig output

        return;
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return;
    }
}


// ================== Static method: "scalar_matrix" ===============
// class: "casadi::SX"
// cppName: "casadi::SX::scalar_matrix"
// cWrapperName: "casadi__SX__scalar_matrix"
// protoArgs: "(std::string ** err_msg, int x0, casadi::SX* x1, casadi::SX* x2)"
// args: "(x0_, x1_, x2_)"
// rettype: UserType (Namespace ["casadi"]) (Name "SX")
// cWrapperRetType: "casadi::SX*"
// proto: "casadi::SX*\n    casadi__SX__scalar_matrix(std::string ** err_msg, int x0, casadi::SX* x1, casadi::SX* x2)"
// call: "        casadi::SX ret = casadi::SX::scalar_matrix(x0_, x1_, x2_);"
// params: [(CInt,SwigOutput False),(Ref (Const (UserType (Namespace ["casadi"]) (Name "SX"))),SwigOutput False),(Ref (Const (UserType (Namespace ["casadi"]) (Name "SX"))),SwigOutput False)]
extern "C"
casadi::SX*
    casadi__SX__scalar_matrix(std::string ** err_msg, int x0, casadi::SX* x1, casadi::SX* x2);
casadi::SX*
    casadi__SX__scalar_matrix(std::string ** err_msg, int x0, casadi::SX* x1, casadi::SX* x2){
    try {
        int x0_ = Marshaling<int,int>::marshal(x0);
        casadi::SX& x1_ = Marshaling<casadi::SX&,casadi::SX*>::marshal(x1);
        casadi::SX& x2_ = Marshaling<casadi::SX&,casadi::SX*>::marshal(x2);

        casadi::SX ret = casadi::SX::scalar_matrix(x0_, x1_, x2_);
        // x0 is not a swig output
        // x1 is not a swig output
        // x2 is not a swig output

        return WrapReturn< casadi::SX*, casadi::SX >::wrapReturn( ret );
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return 0;
    }
}


// ================== Normal method: "set" ===============
// class: "casadi::SX"
// cppName: "casadi::SX::set"
// cWrapperName: "casadi__SX__set__0"
// protoArgs: "(std::string ** err_msg, casadi::SX* obj, casadi::SX* x0, int x1, casadi::IM* x2, casadi::IM* x3)"
// args: "(x0_, x1_, x2_, x3_)"
// rettype: CVoid
// cWrapperRetType: "void"
// proto: "void\n    casadi__SX__set__0(std::string ** err_msg, casadi::SX* obj, casadi::SX* x0, int x1, casadi::IM* x2, casadi::IM* x3)"
// call: "        obj->set(x0_, x1_, x2_, x3_);"
// params: [(Ref (Const (UserType (Namespace ["casadi"]) (Name "SX"))),SwigOutput False),(CBool,SwigOutput False),(Ref (Const (UserType (Namespace ["casadi"]) (Name "IM"))),SwigOutput False),(Ref (Const (UserType (Namespace ["casadi"]) (Name "IM"))),SwigOutput False)]
extern "C"
void
    casadi__SX__set__0(std::string ** err_msg, casadi::SX* obj, casadi::SX* x0, int x1, casadi::IM* x2, casadi::IM* x3);
void
    casadi__SX__set__0(std::string ** err_msg, casadi::SX* obj, casadi::SX* x0, int x1, casadi::IM* x2, casadi::IM* x3){
    try {
        casadi::SX& x0_ = Marshaling<casadi::SX&,casadi::SX*>::marshal(x0);
        bool x1_ = Marshaling<bool,int>::marshal(x1);
        casadi::IM& x2_ = Marshaling<casadi::IM&,casadi::IM*>::marshal(x2);
        casadi::IM& x3_ = Marshaling<casadi::IM&,casadi::IM*>::marshal(x3);

        obj->set(x0_, x1_, x2_, x3_);
        // x0 is not a swig output
        // x1 is not a swig output
        // x2 is not a swig output
        // x3 is not a swig output

        return;
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return;
    }
}


// ================== Normal method: "set" ===============
// class: "casadi::SX"
// cppName: "casadi::SX::set"
// cWrapperName: "casadi__SX__set__1"
// protoArgs: "(std::string ** err_msg, casadi::SX* obj, casadi::SX* x0, int x1, casadi::IM* x2, casadi::Slice* x3)"
// args: "(x0_, x1_, x2_, x3_)"
// rettype: CVoid
// cWrapperRetType: "void"
// proto: "void\n    casadi__SX__set__1(std::string ** err_msg, casadi::SX* obj, casadi::SX* x0, int x1, casadi::IM* x2, casadi::Slice* x3)"
// call: "        obj->set(x0_, x1_, x2_, x3_);"
// params: [(Ref (Const (UserType (Namespace ["casadi"]) (Name "SX"))),SwigOutput False),(CBool,SwigOutput False),(Ref (Const (UserType (Namespace ["casadi"]) (Name "IM"))),SwigOutput False),(Ref (Const (UserType (Namespace ["casadi"]) (Name "Slice"))),SwigOutput False)]
extern "C"
void
    casadi__SX__set__1(std::string ** err_msg, casadi::SX* obj, casadi::SX* x0, int x1, casadi::IM* x2, casadi::Slice* x3);
void
    casadi__SX__set__1(std::string ** err_msg, casadi::SX* obj, casadi::SX* x0, int x1, casadi::IM* x2, casadi::Slice* x3){
    try {
        casadi::SX& x0_ = Marshaling<casadi::SX&,casadi::SX*>::marshal(x0);
        bool x1_ = Marshaling<bool,int>::marshal(x1);
        casadi::IM& x2_ = Marshaling<casadi::IM&,casadi::IM*>::marshal(x2);
        casadi::Slice& x3_ = Marshaling<casadi::Slice&,casadi::Slice*>::marshal(x3);

        obj->set(x0_, x1_, x2_, x3_);
        // x0 is not a swig output
        // x1 is not a swig output
        // x2 is not a swig output
        // x3 is not a swig output

        return;
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return;
    }
}


// ================== Normal method: "set" ===============
// class: "casadi::SX"
// cppName: "casadi::SX::set"
// cWrapperName: "casadi__SX__set__2"
// protoArgs: "(std::string ** err_msg, casadi::SX* obj, casadi::SX* x0, int x1, casadi::Slice* x2, casadi::IM* x3)"
// args: "(x0_, x1_, x2_, x3_)"
// rettype: CVoid
// cWrapperRetType: "void"
// proto: "void\n    casadi__SX__set__2(std::string ** err_msg, casadi::SX* obj, casadi::SX* x0, int x1, casadi::Slice* x2, casadi::IM* x3)"
// call: "        obj->set(x0_, x1_, x2_, x3_);"
// params: [(Ref (Const (UserType (Namespace ["casadi"]) (Name "SX"))),SwigOutput False),(CBool,SwigOutput False),(Ref (Const (UserType (Namespace ["casadi"]) (Name "Slice"))),SwigOutput False),(Ref (Const (UserType (Namespace ["casadi"]) (Name "IM"))),SwigOutput False)]
extern "C"
void
    casadi__SX__set__2(std::string ** err_msg, casadi::SX* obj, casadi::SX* x0, int x1, casadi::Slice* x2, casadi::IM* x3);
void
    casadi__SX__set__2(std::string ** err_msg, casadi::SX* obj, casadi::SX* x0, int x1, casadi::Slice* x2, casadi::IM* x3){
    try {
        casadi::SX& x0_ = Marshaling<casadi::SX&,casadi::SX*>::marshal(x0);
        bool x1_ = Marshaling<bool,int>::marshal(x1);
        casadi::Slice& x2_ = Marshaling<casadi::Slice&,casadi::Slice*>::marshal(x2);
        casadi::IM& x3_ = Marshaling<casadi::IM&,casadi::IM*>::marshal(x3);

        obj->set(x0_, x1_, x2_, x3_);
        // x0 is not a swig output
        // x1 is not a swig output
        // x2 is not a swig output
        // x3 is not a swig output

        return;
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return;
    }
}


// ================== Normal method: "set" ===============
// class: "casadi::SX"
// cppName: "casadi::SX::set"
// cWrapperName: "casadi__SX__set__3"
// protoArgs: "(std::string ** err_msg, casadi::SX* obj, casadi::SX* x0, int x1, casadi::Slice* x2, casadi::Slice* x3)"
// args: "(x0_, x1_, x2_, x3_)"
// rettype: CVoid
// cWrapperRetType: "void"
// proto: "void\n    casadi__SX__set__3(std::string ** err_msg, casadi::SX* obj, casadi::SX* x0, int x1, casadi::Slice* x2, casadi::Slice* x3)"
// call: "        obj->set(x0_, x1_, x2_, x3_);"
// params: [(Ref (Const (UserType (Namespace ["casadi"]) (Name "SX"))),SwigOutput False),(CBool,SwigOutput False),(Ref (Const (UserType (Namespace ["casadi"]) (Name "Slice"))),SwigOutput False),(Ref (Const (UserType (Namespace ["casadi"]) (Name "Slice"))),SwigOutput False)]
extern "C"
void
    casadi__SX__set__3(std::string ** err_msg, casadi::SX* obj, casadi::SX* x0, int x1, casadi::Slice* x2, casadi::Slice* x3);
void
    casadi__SX__set__3(std::string ** err_msg, casadi::SX* obj, casadi::SX* x0, int x1, casadi::Slice* x2, casadi::Slice* x3){
    try {
        casadi::SX& x0_ = Marshaling<casadi::SX&,casadi::SX*>::marshal(x0);
        bool x1_ = Marshaling<bool,int>::marshal(x1);
        casadi::Slice& x2_ = Marshaling<casadi::Slice&,casadi::Slice*>::marshal(x2);
        casadi::Slice& x3_ = Marshaling<casadi::Slice&,casadi::Slice*>::marshal(x3);

        obj->set(x0_, x1_, x2_, x3_);
        // x0 is not a swig output
        // x1 is not a swig output
        // x2 is not a swig output
        // x3 is not a swig output

        return;
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return;
    }
}


// ================== Normal method: "set" ===============
// class: "casadi::SX"
// cppName: "casadi::SX::set"
// cWrapperName: "casadi__SX__set__4"
// protoArgs: "(std::string ** err_msg, casadi::SX* obj, casadi::SX* x0, int x1, casadi::Sparsity* x2)"
// args: "(x0_, x1_, x2_)"
// rettype: CVoid
// cWrapperRetType: "void"
// proto: "void\n    casadi__SX__set__4(std::string ** err_msg, casadi::SX* obj, casadi::SX* x0, int x1, casadi::Sparsity* x2)"
// call: "        obj->set(x0_, x1_, x2_);"
// params: [(Ref (Const (UserType (Namespace ["casadi"]) (Name "SX"))),SwigOutput False),(CBool,SwigOutput False),(Ref (Const (UserType (Namespace ["casadi"]) (Name "Sparsity"))),SwigOutput False)]
extern "C"
void
    casadi__SX__set__4(std::string ** err_msg, casadi::SX* obj, casadi::SX* x0, int x1, casadi::Sparsity* x2);
void
    casadi__SX__set__4(std::string ** err_msg, casadi::SX* obj, casadi::SX* x0, int x1, casadi::Sparsity* x2){
    try {
        casadi::SX& x0_ = Marshaling<casadi::SX&,casadi::SX*>::marshal(x0);
        bool x1_ = Marshaling<bool,int>::marshal(x1);
        casadi::Sparsity& x2_ = Marshaling<casadi::Sparsity&,casadi::Sparsity*>::marshal(x2);

        obj->set(x0_, x1_, x2_);
        // x0 is not a swig output
        // x1 is not a swig output
        // x2 is not a swig output

        return;
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return;
    }
}


// ================== Normal method: "set" ===============
// class: "casadi::SX"
// cppName: "casadi::SX::set"
// cWrapperName: "casadi__SX__set__5"
// protoArgs: "(std::string ** err_msg, casadi::SX* obj, casadi::SX* x0, int x1, casadi::IM* x2)"
// args: "(x0_, x1_, x2_)"
// rettype: CVoid
// cWrapperRetType: "void"
// proto: "void\n    casadi__SX__set__5(std::string ** err_msg, casadi::SX* obj, casadi::SX* x0, int x1, casadi::IM* x2)"
// call: "        obj->set(x0_, x1_, x2_);"
// params: [(Ref (Const (UserType (Namespace ["casadi"]) (Name "SX"))),SwigOutput False),(CBool,SwigOutput False),(Ref (Const (UserType (Namespace ["casadi"]) (Name "IM"))),SwigOutput False)]
extern "C"
void
    casadi__SX__set__5(std::string ** err_msg, casadi::SX* obj, casadi::SX* x0, int x1, casadi::IM* x2);
void
    casadi__SX__set__5(std::string ** err_msg, casadi::SX* obj, casadi::SX* x0, int x1, casadi::IM* x2){
    try {
        casadi::SX& x0_ = Marshaling<casadi::SX&,casadi::SX*>::marshal(x0);
        bool x1_ = Marshaling<bool,int>::marshal(x1);
        casadi::IM& x2_ = Marshaling<casadi::IM&,casadi::IM*>::marshal(x2);

        obj->set(x0_, x1_, x2_);
        // x0 is not a swig output
        // x1 is not a swig output
        // x2 is not a swig output

        return;
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return;
    }
}


// ================== Normal method: "set" ===============
// class: "casadi::SX"
// cppName: "casadi::SX::set"
// cWrapperName: "casadi__SX__set__6"
// protoArgs: "(std::string ** err_msg, casadi::SX* obj, casadi::SX* x0, int x1, casadi::Slice* x2)"
// args: "(x0_, x1_, x2_)"
// rettype: CVoid
// cWrapperRetType: "void"
// proto: "void\n    casadi__SX__set__6(std::string ** err_msg, casadi::SX* obj, casadi::SX* x0, int x1, casadi::Slice* x2)"
// call: "        obj->set(x0_, x1_, x2_);"
// params: [(Ref (Const (UserType (Namespace ["casadi"]) (Name "SX"))),SwigOutput False),(CBool,SwigOutput False),(Ref (Const (UserType (Namespace ["casadi"]) (Name "Slice"))),SwigOutput False)]
extern "C"
void
    casadi__SX__set__6(std::string ** err_msg, casadi::SX* obj, casadi::SX* x0, int x1, casadi::Slice* x2);
void
    casadi__SX__set__6(std::string ** err_msg, casadi::SX* obj, casadi::SX* x0, int x1, casadi::Slice* x2){
    try {
        casadi::SX& x0_ = Marshaling<casadi::SX&,casadi::SX*>::marshal(x0);
        bool x1_ = Marshaling<bool,int>::marshal(x1);
        casadi::Slice& x2_ = Marshaling<casadi::Slice&,casadi::Slice*>::marshal(x2);

        obj->set(x0_, x1_, x2_);
        // x0 is not a swig output
        // x1 is not a swig output
        // x2 is not a swig output

        return;
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return;
    }
}


// ================== Static method: "setEqualityCheckingDepth" ===============
// class: "casadi::SX"
// cppName: "casadi::SX::setEqualityCheckingDepth"
// cWrapperName: "casadi__SX__setEqualityCheckingDepth__0"
// protoArgs: "(std::string ** err_msg)"
// args: "()"
// rettype: CVoid
// cWrapperRetType: "void"
// proto: "void\n    casadi__SX__setEqualityCheckingDepth__0(std::string ** err_msg)"
// call: "        casadi::SX::setEqualityCheckingDepth();"
// params: []
extern "C"
void
    casadi__SX__setEqualityCheckingDepth__0(std::string ** err_msg);
void
    casadi__SX__setEqualityCheckingDepth__0(std::string ** err_msg){
    try {

        casadi::SX::setEqualityCheckingDepth();

        return;
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return;
    }
}


// ================== Static method: "setEqualityCheckingDepth" ===============
// class: "casadi::SX"
// cppName: "casadi::SX::setEqualityCheckingDepth"
// cWrapperName: "casadi__SX__setEqualityCheckingDepth__1"
// protoArgs: "(std::string ** err_msg, int x0)"
// args: "(x0_)"
// rettype: CVoid
// cWrapperRetType: "void"
// proto: "void\n    casadi__SX__setEqualityCheckingDepth__1(std::string ** err_msg, int x0)"
// call: "        casadi::SX::setEqualityCheckingDepth(x0_);"
// params: [(CInt,SwigOutput False)]
extern "C"
void
    casadi__SX__setEqualityCheckingDepth__1(std::string ** err_msg, int x0);
void
    casadi__SX__setEqualityCheckingDepth__1(std::string ** err_msg, int x0){
    try {
        int x0_ = Marshaling<int,int>::marshal(x0);

        casadi::SX::setEqualityCheckingDepth(x0_);
        // x0 is not a swig output

        return;
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return;
    }
}


// ================== Static method: "setPrecision" ===============
// class: "casadi::SX"
// cppName: "casadi::SX::setPrecision"
// cWrapperName: "casadi__SX__setPrecision"
// protoArgs: "(std::string ** err_msg, int x0)"
// args: "(x0_)"
// rettype: CVoid
// cWrapperRetType: "void"
// proto: "void\n    casadi__SX__setPrecision(std::string ** err_msg, int x0)"
// call: "        casadi::SX::setPrecision(x0_);"
// params: [(CInt,SwigOutput False)]
extern "C"
void
    casadi__SX__setPrecision(std::string ** err_msg, int x0);
void
    casadi__SX__setPrecision(std::string ** err_msg, int x0){
    try {
        int x0_ = Marshaling<int,int>::marshal(x0);

        casadi::SX::setPrecision(x0_);
        // x0 is not a swig output

        return;
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return;
    }
}


// ================== Static method: "setScientific" ===============
// class: "casadi::SX"
// cppName: "casadi::SX::setScientific"
// cWrapperName: "casadi__SX__setScientific"
// protoArgs: "(std::string ** err_msg, int x0)"
// args: "(x0_)"
// rettype: CVoid
// cWrapperRetType: "void"
// proto: "void\n    casadi__SX__setScientific(std::string ** err_msg, int x0)"
// call: "        casadi::SX::setScientific(x0_);"
// params: [(CBool,SwigOutput False)]
extern "C"
void
    casadi__SX__setScientific(std::string ** err_msg, int x0);
void
    casadi__SX__setScientific(std::string ** err_msg, int x0){
    try {
        bool x0_ = Marshaling<bool,int>::marshal(x0);

        casadi::SX::setScientific(x0_);
        // x0 is not a swig output

        return;
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return;
    }
}


// ================== Static method: "setWidth" ===============
// class: "casadi::SX"
// cppName: "casadi::SX::setWidth"
// cWrapperName: "casadi__SX__setWidth"
// protoArgs: "(std::string ** err_msg, int x0)"
// args: "(x0_)"
// rettype: CVoid
// cWrapperRetType: "void"
// proto: "void\n    casadi__SX__setWidth(std::string ** err_msg, int x0)"
// call: "        casadi::SX::setWidth(x0_);"
// params: [(CInt,SwigOutput False)]
extern "C"
void
    casadi__SX__setWidth(std::string ** err_msg, int x0);
void
    casadi__SX__setWidth(std::string ** err_msg, int x0){
    try {
        int x0_ = Marshaling<int,int>::marshal(x0);

        casadi::SX::setWidth(x0_);
        // x0 is not a swig output

        return;
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return;
    }
}


// ================== Normal method: "set_nz" ===============
// class: "casadi::SX"
// cppName: "casadi::SX::set_nz"
// cWrapperName: "casadi__SX__set_nz__0"
// protoArgs: "(std::string ** err_msg, casadi::SX* obj, casadi::SX* x0, int x1, casadi::IM* x2)"
// args: "(x0_, x1_, x2_)"
// rettype: CVoid
// cWrapperRetType: "void"
// proto: "void\n    casadi__SX__set_nz__0(std::string ** err_msg, casadi::SX* obj, casadi::SX* x0, int x1, casadi::IM* x2)"
// call: "        obj->set_nz(x0_, x1_, x2_);"
// params: [(Ref (Const (UserType (Namespace ["casadi"]) (Name "SX"))),SwigOutput False),(CBool,SwigOutput False),(Ref (Const (UserType (Namespace ["casadi"]) (Name "IM"))),SwigOutput False)]
extern "C"
void
    casadi__SX__set_nz__0(std::string ** err_msg, casadi::SX* obj, casadi::SX* x0, int x1, casadi::IM* x2);
void
    casadi__SX__set_nz__0(std::string ** err_msg, casadi::SX* obj, casadi::SX* x0, int x1, casadi::IM* x2){
    try {
        casadi::SX& x0_ = Marshaling<casadi::SX&,casadi::SX*>::marshal(x0);
        bool x1_ = Marshaling<bool,int>::marshal(x1);
        casadi::IM& x2_ = Marshaling<casadi::IM&,casadi::IM*>::marshal(x2);

        obj->set_nz(x0_, x1_, x2_);
        // x0 is not a swig output
        // x1 is not a swig output
        // x2 is not a swig output

        return;
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return;
    }
}


// ================== Normal method: "set_nz" ===============
// class: "casadi::SX"
// cppName: "casadi::SX::set_nz"
// cWrapperName: "casadi__SX__set_nz__1"
// protoArgs: "(std::string ** err_msg, casadi::SX* obj, casadi::SX* x0, int x1, casadi::Slice* x2)"
// args: "(x0_, x1_, x2_)"
// rettype: CVoid
// cWrapperRetType: "void"
// proto: "void\n    casadi__SX__set_nz__1(std::string ** err_msg, casadi::SX* obj, casadi::SX* x0, int x1, casadi::Slice* x2)"
// call: "        obj->set_nz(x0_, x1_, x2_);"
// params: [(Ref (Const (UserType (Namespace ["casadi"]) (Name "SX"))),SwigOutput False),(CBool,SwigOutput False),(Ref (Const (UserType (Namespace ["casadi"]) (Name "Slice"))),SwigOutput False)]
extern "C"
void
    casadi__SX__set_nz__1(std::string ** err_msg, casadi::SX* obj, casadi::SX* x0, int x1, casadi::Slice* x2);
void
    casadi__SX__set_nz__1(std::string ** err_msg, casadi::SX* obj, casadi::SX* x0, int x1, casadi::Slice* x2){
    try {
        casadi::SX& x0_ = Marshaling<casadi::SX&,casadi::SX*>::marshal(x0);
        bool x1_ = Marshaling<bool,int>::marshal(x1);
        casadi::Slice& x2_ = Marshaling<casadi::Slice&,casadi::Slice*>::marshal(x2);

        obj->set_nz(x0_, x1_, x2_);
        // x0 is not a swig output
        // x1 is not a swig output
        // x2 is not a swig output

        return;
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return;
    }
}


// ================== Normal method: "size" ===============
// class: "casadi::SX"
// cppName: "casadi::SX::size"
// cWrapperName: "casadi__SX__size__0"
// protoArgs: "(std::string ** err_msg, casadi::SX* obj, int x0)"
// args: "(x0_)"
// rettype: CInt
// cWrapperRetType: "int"
// proto: "int\n    casadi__SX__size__0(std::string ** err_msg, casadi::SX* obj, int x0)"
// call: "        int ret = obj->size(x0_);"
// params: [(CInt,SwigOutput False)]
extern "C"
int
    casadi__SX__size__0(std::string ** err_msg, casadi::SX* obj, int x0);
int
    casadi__SX__size__0(std::string ** err_msg, casadi::SX* obj, int x0){
    try {
        int x0_ = Marshaling<int,int>::marshal(x0);

        int ret = obj->size(x0_);
        // x0 is not a swig output

        return WrapReturn< int, int >::wrapReturn( ret );
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return 0;
    }
}


// ================== Normal method: "size" ===============
// class: "casadi::SX"
// cppName: "casadi::SX::size"
// cWrapperName: "casadi__SX__size__1"
// protoArgs: "(std::string ** err_msg, casadi::SX* obj)"
// args: "()"
// rettype: StdPair CInt CInt
// cWrapperRetType: "std::pair< int, int >*"
// proto: "std::pair< int, int >*\n    casadi__SX__size__1(std::string ** err_msg, casadi::SX* obj)"
// call: "        std::pair< int, int > ret = obj->size();"
// params: []
extern "C"
std::pair< int, int >*
    casadi__SX__size__1(std::string ** err_msg, casadi::SX* obj);
std::pair< int, int >*
    casadi__SX__size__1(std::string ** err_msg, casadi::SX* obj){
    try {

        std::pair< int, int > ret = obj->size();

        return WrapReturn< std::pair< int, int >*, std::pair< int, int > >::wrapReturn( ret );
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return 0;
    }
}


// ================== Normal method: "size1" ===============
// class: "casadi::SX"
// cppName: "casadi::SX::size1"
// cWrapperName: "casadi__SX__size1"
// protoArgs: "(std::string ** err_msg, casadi::SX* obj)"
// args: "()"
// rettype: CInt
// cWrapperRetType: "int"
// proto: "int\n    casadi__SX__size1(std::string ** err_msg, casadi::SX* obj)"
// call: "        int ret = obj->size1();"
// params: []
extern "C"
int
    casadi__SX__size1(std::string ** err_msg, casadi::SX* obj);
int
    casadi__SX__size1(std::string ** err_msg, casadi::SX* obj){
    try {

        int ret = obj->size1();

        return WrapReturn< int, int >::wrapReturn( ret );
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return 0;
    }
}


// ================== Normal method: "size2" ===============
// class: "casadi::SX"
// cppName: "casadi::SX::size2"
// cWrapperName: "casadi__SX__size2"
// protoArgs: "(std::string ** err_msg, casadi::SX* obj)"
// args: "()"
// rettype: CInt
// cWrapperRetType: "int"
// proto: "int\n    casadi__SX__size2(std::string ** err_msg, casadi::SX* obj)"
// call: "        int ret = obj->size2();"
// params: []
extern "C"
int
    casadi__SX__size2(std::string ** err_msg, casadi::SX* obj);
int
    casadi__SX__size2(std::string ** err_msg, casadi::SX* obj){
    try {

        int ret = obj->size2();

        return WrapReturn< int, int >::wrapReturn( ret );
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return 0;
    }
}


// ================== Normal method: "sparsity" ===============
// class: "casadi::SX"
// cppName: "casadi::SX::sparsity"
// cWrapperName: "casadi__SX__sparsity"
// protoArgs: "(std::string ** err_msg, casadi::SX* obj)"
// args: "()"
// rettype: Const (UserType (Namespace ["casadi"]) (Name "Sparsity"))
// cWrapperRetType: "casadi::Sparsity*"
// proto: "casadi::Sparsity*\n    casadi__SX__sparsity(std::string ** err_msg, casadi::SX* obj)"
// call: "        casadi::Sparsity ret = obj->sparsity();"
// params: []
extern "C"
casadi::Sparsity*
    casadi__SX__sparsity(std::string ** err_msg, casadi::SX* obj);
casadi::Sparsity*
    casadi__SX__sparsity(std::string ** err_msg, casadi::SX* obj){
    try {

        casadi::Sparsity ret = obj->sparsity();

        return WrapReturn< casadi::Sparsity*, casadi::Sparsity >::wrapReturn( ret );
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return 0;
    }
}


// ================== Static method: "sym" ===============
// class: "casadi::SX"
// cppName: "casadi::SX::sym"
// cWrapperName: "casadi__SX__sym__0"
// protoArgs: "(std::string ** err_msg, std::string* x0, int x1, int x2, int x3, int x4)"
// args: "(x0_, x1_, x2_, x3_, x4_)"
// rettype: StdVec (StdVec (UserType (Namespace ["casadi"]) (Name "SX")))
// cWrapperRetType: "std::vector< std::vector< casadi::SX* >* >*"
// proto: "std::vector< std::vector< casadi::SX* >* >*\n    casadi__SX__sym__0(std::string ** err_msg, std::string* x0, int x1, int x2, int x3, int x4)"
// call: "        std::vector< std::vector< casadi::SX > > ret = casadi::SX::sym(x0_, x1_, x2_, x3_, x4_);"
// params: [(Ref (Const StdString),SwigOutput False),(CInt,SwigOutput False),(CInt,SwigOutput False),(CInt,SwigOutput False),(CInt,SwigOutput False)]
extern "C"
std::vector< std::vector< casadi::SX* >* >*
    casadi__SX__sym__0(std::string ** err_msg, std::string* x0, int x1, int x2, int x3, int x4);
std::vector< std::vector< casadi::SX* >* >*
    casadi__SX__sym__0(std::string ** err_msg, std::string* x0, int x1, int x2, int x3, int x4){
    try {
        std::string& x0_ = Marshaling<std::string&,std::string*>::marshal(x0);
        int x1_ = Marshaling<int,int>::marshal(x1);
        int x2_ = Marshaling<int,int>::marshal(x2);
        int x3_ = Marshaling<int,int>::marshal(x3);
        int x4_ = Marshaling<int,int>::marshal(x4);

        std::vector< std::vector< casadi::SX > > ret = casadi::SX::sym(x0_, x1_, x2_, x3_, x4_);
        // x0 is not a swig output
        // x1 is not a swig output
        // x2 is not a swig output
        // x3 is not a swig output
        // x4 is not a swig output

        return WrapReturn< std::vector< std::vector< casadi::SX* >* >*, std::vector< std::vector< casadi::SX > > >::wrapReturn( ret );
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return 0;
    }
}


// ================== Static method: "sym" ===============
// class: "casadi::SX"
// cppName: "casadi::SX::sym"
// cWrapperName: "casadi__SX__sym__1"
// protoArgs: "(std::string ** err_msg, std::string* x0, casadi::Sparsity* x1, int x2, int x3)"
// args: "(x0_, x1_, x2_, x3_)"
// rettype: StdVec (StdVec (UserType (Namespace ["casadi"]) (Name "SX")))
// cWrapperRetType: "std::vector< std::vector< casadi::SX* >* >*"
// proto: "std::vector< std::vector< casadi::SX* >* >*\n    casadi__SX__sym__1(std::string ** err_msg, std::string* x0, casadi::Sparsity* x1, int x2, int x3)"
// call: "        std::vector< std::vector< casadi::SX > > ret = casadi::SX::sym(x0_, x1_, x2_, x3_);"
// params: [(Ref (Const StdString),SwigOutput False),(Ref (Const (UserType (Namespace ["casadi"]) (Name "Sparsity"))),SwigOutput False),(CInt,SwigOutput False),(CInt,SwigOutput False)]
extern "C"
std::vector< std::vector< casadi::SX* >* >*
    casadi__SX__sym__1(std::string ** err_msg, std::string* x0, casadi::Sparsity* x1, int x2, int x3);
std::vector< std::vector< casadi::SX* >* >*
    casadi__SX__sym__1(std::string ** err_msg, std::string* x0, casadi::Sparsity* x1, int x2, int x3){
    try {
        std::string& x0_ = Marshaling<std::string&,std::string*>::marshal(x0);
        casadi::Sparsity& x1_ = Marshaling<casadi::Sparsity&,casadi::Sparsity*>::marshal(x1);
        int x2_ = Marshaling<int,int>::marshal(x2);
        int x3_ = Marshaling<int,int>::marshal(x3);

        std::vector< std::vector< casadi::SX > > ret = casadi::SX::sym(x0_, x1_, x2_, x3_);
        // x0 is not a swig output
        // x1 is not a swig output
        // x2 is not a swig output
        // x3 is not a swig output

        return WrapReturn< std::vector< std::vector< casadi::SX* >* >*, std::vector< std::vector< casadi::SX > > >::wrapReturn( ret );
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return 0;
    }
}


// ================== Static method: "sym" ===============
// class: "casadi::SX"
// cppName: "casadi::SX::sym"
// cWrapperName: "casadi__SX__sym__2"
// protoArgs: "(std::string ** err_msg, std::string* x0, int x1, int x2, int x3)"
// args: "(x0_, x1_, x2_, x3_)"
// rettype: StdVec (UserType (Namespace ["casadi"]) (Name "SX"))
// cWrapperRetType: "std::vector< casadi::SX* >*"
// proto: "std::vector< casadi::SX* >*\n    casadi__SX__sym__2(std::string ** err_msg, std::string* x0, int x1, int x2, int x3)"
// call: "        std::vector< casadi::SX > ret = casadi::SX::sym(x0_, x1_, x2_, x3_);"
// params: [(Ref (Const StdString),SwigOutput False),(CInt,SwigOutput False),(CInt,SwigOutput False),(CInt,SwigOutput False)]
extern "C"
std::vector< casadi::SX* >*
    casadi__SX__sym__2(std::string ** err_msg, std::string* x0, int x1, int x2, int x3);
std::vector< casadi::SX* >*
    casadi__SX__sym__2(std::string ** err_msg, std::string* x0, int x1, int x2, int x3){
    try {
        std::string& x0_ = Marshaling<std::string&,std::string*>::marshal(x0);
        int x1_ = Marshaling<int,int>::marshal(x1);
        int x2_ = Marshaling<int,int>::marshal(x2);
        int x3_ = Marshaling<int,int>::marshal(x3);

        std::vector< casadi::SX > ret = casadi::SX::sym(x0_, x1_, x2_, x3_);
        // x0 is not a swig output
        // x1 is not a swig output
        // x2 is not a swig output
        // x3 is not a swig output

        return WrapReturn< std::vector< casadi::SX* >*, std::vector< casadi::SX > >::wrapReturn( ret );
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return 0;
    }
}


// ================== Static method: "sym" ===============
// class: "casadi::SX"
// cppName: "casadi::SX::sym"
// cWrapperName: "casadi__SX__sym__3"
// protoArgs: "(std::string ** err_msg, std::string* x0, casadi::Sparsity* x1, int x2)"
// args: "(x0_, x1_, x2_)"
// rettype: StdVec (UserType (Namespace ["casadi"]) (Name "SX"))
// cWrapperRetType: "std::vector< casadi::SX* >*"
// proto: "std::vector< casadi::SX* >*\n    casadi__SX__sym__3(std::string ** err_msg, std::string* x0, casadi::Sparsity* x1, int x2)"
// call: "        std::vector< casadi::SX > ret = casadi::SX::sym(x0_, x1_, x2_);"
// params: [(Ref (Const StdString),SwigOutput False),(Ref (Const (UserType (Namespace ["casadi"]) (Name "Sparsity"))),SwigOutput False),(CInt,SwigOutput False)]
extern "C"
std::vector< casadi::SX* >*
    casadi__SX__sym__3(std::string ** err_msg, std::string* x0, casadi::Sparsity* x1, int x2);
std::vector< casadi::SX* >*
    casadi__SX__sym__3(std::string ** err_msg, std::string* x0, casadi::Sparsity* x1, int x2){
    try {
        std::string& x0_ = Marshaling<std::string&,std::string*>::marshal(x0);
        casadi::Sparsity& x1_ = Marshaling<casadi::Sparsity&,casadi::Sparsity*>::marshal(x1);
        int x2_ = Marshaling<int,int>::marshal(x2);

        std::vector< casadi::SX > ret = casadi::SX::sym(x0_, x1_, x2_);
        // x0 is not a swig output
        // x1 is not a swig output
        // x2 is not a swig output

        return WrapReturn< std::vector< casadi::SX* >*, std::vector< casadi::SX > >::wrapReturn( ret );
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return 0;
    }
}


// ================== Static method: "sym" ===============
// class: "casadi::SX"
// cppName: "casadi::SX::sym"
// cWrapperName: "casadi__SX__sym__4"
// protoArgs: "(std::string ** err_msg, std::string* x0, casadi::Sparsity* x1)"
// args: "(x0_, x1_)"
// rettype: UserType (Namespace ["casadi"]) (Name "SX")
// cWrapperRetType: "casadi::SX*"
// proto: "casadi::SX*\n    casadi__SX__sym__4(std::string ** err_msg, std::string* x0, casadi::Sparsity* x1)"
// call: "        casadi::SX ret = casadi::SX::sym(x0_, x1_);"
// params: [(Ref (Const StdString),SwigOutput False),(Ref (Const (UserType (Namespace ["casadi"]) (Name "Sparsity"))),SwigOutput False)]
extern "C"
casadi::SX*
    casadi__SX__sym__4(std::string ** err_msg, std::string* x0, casadi::Sparsity* x1);
casadi::SX*
    casadi__SX__sym__4(std::string ** err_msg, std::string* x0, casadi::Sparsity* x1){
    try {
        std::string& x0_ = Marshaling<std::string&,std::string*>::marshal(x0);
        casadi::Sparsity& x1_ = Marshaling<casadi::Sparsity&,casadi::Sparsity*>::marshal(x1);

        casadi::SX ret = casadi::SX::sym(x0_, x1_);
        // x0 is not a swig output
        // x1 is not a swig output

        return WrapReturn< casadi::SX*, casadi::SX >::wrapReturn( ret );
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return 0;
    }
}


// ================== Static method: "sym" ===============
// class: "casadi::SX"
// cppName: "casadi::SX::sym"
// cWrapperName: "casadi__SX__sym__5"
// protoArgs: "(std::string ** err_msg, std::string* x0, std::pair< int, int >* x1)"
// args: "(x0_, x1_)"
// rettype: UserType (Namespace ["casadi"]) (Name "SX")
// cWrapperRetType: "casadi::SX*"
// proto: "casadi::SX*\n    casadi__SX__sym__5(std::string ** err_msg, std::string* x0, std::pair< int, int >* x1)"
// call: "        casadi::SX ret = casadi::SX::sym(x0_, x1_);"
// params: [(Ref (Const StdString),SwigOutput False),(Ref (Const (StdPair CInt CInt)),SwigOutput False)]
extern "C"
casadi::SX*
    casadi__SX__sym__5(std::string ** err_msg, std::string* x0, std::pair< int, int >* x1);
casadi::SX*
    casadi__SX__sym__5(std::string ** err_msg, std::string* x0, std::pair< int, int >* x1){
    try {
        std::string& x0_ = Marshaling<std::string&,std::string*>::marshal(x0);
        std::pair< int, int > x1_ = Marshaling<std::pair< int, int >,std::pair< int, int >*>::marshal(x1);

        casadi::SX ret = casadi::SX::sym(x0_, x1_);
        // x0 is not a swig output
        // x1 is not a swig output

        return WrapReturn< casadi::SX*, casadi::SX >::wrapReturn( ret );
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return 0;
    }
}


// ================== Static method: "sym" ===============
// class: "casadi::SX"
// cppName: "casadi::SX::sym"
// cWrapperName: "casadi__SX__sym__6"
// protoArgs: "(std::string ** err_msg, std::string* x0)"
// args: "(x0_)"
// rettype: UserType (Namespace ["casadi"]) (Name "SX")
// cWrapperRetType: "casadi::SX*"
// proto: "casadi::SX*\n    casadi__SX__sym__6(std::string ** err_msg, std::string* x0)"
// call: "        casadi::SX ret = casadi::SX::sym(x0_);"
// params: [(Ref (Const StdString),SwigOutput False)]
extern "C"
casadi::SX*
    casadi__SX__sym__6(std::string ** err_msg, std::string* x0);
casadi::SX*
    casadi__SX__sym__6(std::string ** err_msg, std::string* x0){
    try {
        std::string& x0_ = Marshaling<std::string&,std::string*>::marshal(x0);

        casadi::SX ret = casadi::SX::sym(x0_);
        // x0 is not a swig output

        return WrapReturn< casadi::SX*, casadi::SX >::wrapReturn( ret );
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return 0;
    }
}


// ================== Static method: "sym" ===============
// class: "casadi::SX"
// cppName: "casadi::SX::sym"
// cWrapperName: "casadi__SX__sym__7"
// protoArgs: "(std::string ** err_msg, std::string* x0, int x1)"
// args: "(x0_, x1_)"
// rettype: UserType (Namespace ["casadi"]) (Name "SX")
// cWrapperRetType: "casadi::SX*"
// proto: "casadi::SX*\n    casadi__SX__sym__7(std::string ** err_msg, std::string* x0, int x1)"
// call: "        casadi::SX ret = casadi::SX::sym(x0_, x1_);"
// params: [(Ref (Const StdString),SwigOutput False),(CInt,SwigOutput False)]
extern "C"
casadi::SX*
    casadi__SX__sym__7(std::string ** err_msg, std::string* x0, int x1);
casadi::SX*
    casadi__SX__sym__7(std::string ** err_msg, std::string* x0, int x1){
    try {
        std::string& x0_ = Marshaling<std::string&,std::string*>::marshal(x0);
        int x1_ = Marshaling<int,int>::marshal(x1);

        casadi::SX ret = casadi::SX::sym(x0_, x1_);
        // x0 is not a swig output
        // x1 is not a swig output

        return WrapReturn< casadi::SX*, casadi::SX >::wrapReturn( ret );
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return 0;
    }
}


// ================== Static method: "sym" ===============
// class: "casadi::SX"
// cppName: "casadi::SX::sym"
// cWrapperName: "casadi__SX__sym__8"
// protoArgs: "(std::string ** err_msg, std::string* x0, int x1, int x2)"
// args: "(x0_, x1_, x2_)"
// rettype: UserType (Namespace ["casadi"]) (Name "SX")
// cWrapperRetType: "casadi::SX*"
// proto: "casadi::SX*\n    casadi__SX__sym__8(std::string ** err_msg, std::string* x0, int x1, int x2)"
// call: "        casadi::SX ret = casadi::SX::sym(x0_, x1_, x2_);"
// params: [(Ref (Const StdString),SwigOutput False),(CInt,SwigOutput False),(CInt,SwigOutput False)]
extern "C"
casadi::SX*
    casadi__SX__sym__8(std::string ** err_msg, std::string* x0, int x1, int x2);
casadi::SX*
    casadi__SX__sym__8(std::string ** err_msg, std::string* x0, int x1, int x2){
    try {
        std::string& x0_ = Marshaling<std::string&,std::string*>::marshal(x0);
        int x1_ = Marshaling<int,int>::marshal(x1);
        int x2_ = Marshaling<int,int>::marshal(x2);

        casadi::SX ret = casadi::SX::sym(x0_, x1_, x2_);
        // x0 is not a swig output
        // x1 is not a swig output
        // x2 is not a swig output

        return WrapReturn< casadi::SX*, casadi::SX >::wrapReturn( ret );
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return 0;
    }
}


// ================== Static method: "tang" ===============
// class: "casadi::SX"
// cppName: "casadi::SX::tang"
// cWrapperName: "casadi__SX__tang__0"
// protoArgs: "(std::string ** err_msg, casadi::Function* x0, std::string* x1, std::string* x2)"
// args: "(x0_, x1_, x2_)"
// rettype: UserType (Namespace ["casadi"]) (Name "SX")
// cWrapperRetType: "casadi::SX*"
// proto: "casadi::SX*\n    casadi__SX__tang__0(std::string ** err_msg, casadi::Function* x0, std::string* x1, std::string* x2)"
// call: "        casadi::SX ret = casadi::SX::tang(x0_, x1_, x2_);"
// params: [(Ref (Const (UserType (Namespace ["casadi"]) (Name "Function"))),SwigOutput False),(Ref (Const StdString),SwigOutput False),(Ref (Const StdString),SwigOutput False)]
extern "C"
casadi::SX*
    casadi__SX__tang__0(std::string ** err_msg, casadi::Function* x0, std::string* x1, std::string* x2);
casadi::SX*
    casadi__SX__tang__0(std::string ** err_msg, casadi::Function* x0, std::string* x1, std::string* x2){
    try {
        casadi::Function& x0_ = Marshaling<casadi::Function&,casadi::Function*>::marshal(x0);
        std::string& x1_ = Marshaling<std::string&,std::string*>::marshal(x1);
        std::string& x2_ = Marshaling<std::string&,std::string*>::marshal(x2);

        casadi::SX ret = casadi::SX::tang(x0_, x1_, x2_);
        // x0 is not a swig output
        // x1 is not a swig output
        // x2 is not a swig output

        return WrapReturn< casadi::SX*, casadi::SX >::wrapReturn( ret );
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return 0;
    }
}


// ================== Static method: "tang" ===============
// class: "casadi::SX"
// cppName: "casadi::SX::tang"
// cWrapperName: "casadi__SX__tang__1"
// protoArgs: "(std::string ** err_msg, casadi::Function* x0, int x1, std::string* x2)"
// args: "(x0_, x1_, x2_)"
// rettype: UserType (Namespace ["casadi"]) (Name "SX")
// cWrapperRetType: "casadi::SX*"
// proto: "casadi::SX*\n    casadi__SX__tang__1(std::string ** err_msg, casadi::Function* x0, int x1, std::string* x2)"
// call: "        casadi::SX ret = casadi::SX::tang(x0_, x1_, x2_);"
// params: [(Ref (Const (UserType (Namespace ["casadi"]) (Name "Function"))),SwigOutput False),(CInt,SwigOutput False),(Ref (Const StdString),SwigOutput False)]
extern "C"
casadi::SX*
    casadi__SX__tang__1(std::string ** err_msg, casadi::Function* x0, int x1, std::string* x2);
casadi::SX*
    casadi__SX__tang__1(std::string ** err_msg, casadi::Function* x0, int x1, std::string* x2){
    try {
        casadi::Function& x0_ = Marshaling<casadi::Function&,casadi::Function*>::marshal(x0);
        int x1_ = Marshaling<int,int>::marshal(x1);
        std::string& x2_ = Marshaling<std::string&,std::string*>::marshal(x2);

        casadi::SX ret = casadi::SX::tang(x0_, x1_, x2_);
        // x0 is not a swig output
        // x1 is not a swig output
        // x2 is not a swig output

        return WrapReturn< casadi::SX*, casadi::SX >::wrapReturn( ret );
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return 0;
    }
}


// ================== Static method: "tang" ===============
// class: "casadi::SX"
// cppName: "casadi::SX::tang"
// cWrapperName: "casadi__SX__tang__2"
// protoArgs: "(std::string ** err_msg, casadi::Function* x0, std::string* x1)"
// args: "(x0_, x1_)"
// rettype: UserType (Namespace ["casadi"]) (Name "SX")
// cWrapperRetType: "casadi::SX*"
// proto: "casadi::SX*\n    casadi__SX__tang__2(std::string ** err_msg, casadi::Function* x0, std::string* x1)"
// call: "        casadi::SX ret = casadi::SX::tang(x0_, x1_);"
// params: [(Ref (Const (UserType (Namespace ["casadi"]) (Name "Function"))),SwigOutput False),(Ref (Const StdString),SwigOutput False)]
extern "C"
casadi::SX*
    casadi__SX__tang__2(std::string ** err_msg, casadi::Function* x0, std::string* x1);
casadi::SX*
    casadi__SX__tang__2(std::string ** err_msg, casadi::Function* x0, std::string* x1){
    try {
        casadi::Function& x0_ = Marshaling<casadi::Function&,casadi::Function*>::marshal(x0);
        std::string& x1_ = Marshaling<std::string&,std::string*>::marshal(x1);

        casadi::SX ret = casadi::SX::tang(x0_, x1_);
        // x0 is not a swig output
        // x1 is not a swig output

        return WrapReturn< casadi::SX*, casadi::SX >::wrapReturn( ret );
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return 0;
    }
}


// ================== Static method: "tang" ===============
// class: "casadi::SX"
// cppName: "casadi::SX::tang"
// cWrapperName: "casadi__SX__tang__3"
// protoArgs: "(std::string ** err_msg, casadi::Function* x0, std::string* x1, int x2)"
// args: "(x0_, x1_, x2_)"
// rettype: UserType (Namespace ["casadi"]) (Name "SX")
// cWrapperRetType: "casadi::SX*"
// proto: "casadi::SX*\n    casadi__SX__tang__3(std::string ** err_msg, casadi::Function* x0, std::string* x1, int x2)"
// call: "        casadi::SX ret = casadi::SX::tang(x0_, x1_, x2_);"
// params: [(Ref (Const (UserType (Namespace ["casadi"]) (Name "Function"))),SwigOutput False),(Ref (Const StdString),SwigOutput False),(CInt,SwigOutput False)]
extern "C"
casadi::SX*
    casadi__SX__tang__3(std::string ** err_msg, casadi::Function* x0, std::string* x1, int x2);
casadi::SX*
    casadi__SX__tang__3(std::string ** err_msg, casadi::Function* x0, std::string* x1, int x2){
    try {
        casadi::Function& x0_ = Marshaling<casadi::Function&,casadi::Function*>::marshal(x0);
        std::string& x1_ = Marshaling<std::string&,std::string*>::marshal(x1);
        int x2_ = Marshaling<int,int>::marshal(x2);

        casadi::SX ret = casadi::SX::tang(x0_, x1_, x2_);
        // x0 is not a swig output
        // x1 is not a swig output
        // x2 is not a swig output

        return WrapReturn< casadi::SX*, casadi::SX >::wrapReturn( ret );
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return 0;
    }
}


// ================== Static method: "tang" ===============
// class: "casadi::SX"
// cppName: "casadi::SX::tang"
// cWrapperName: "casadi__SX__tang__4"
// protoArgs: "(std::string ** err_msg, casadi::Function* x0)"
// args: "(x0_)"
// rettype: UserType (Namespace ["casadi"]) (Name "SX")
// cWrapperRetType: "casadi::SX*"
// proto: "casadi::SX*\n    casadi__SX__tang__4(std::string ** err_msg, casadi::Function* x0)"
// call: "        casadi::SX ret = casadi::SX::tang(x0_);"
// params: [(Ref (Const (UserType (Namespace ["casadi"]) (Name "Function"))),SwigOutput False)]
extern "C"
casadi::SX*
    casadi__SX__tang__4(std::string ** err_msg, casadi::Function* x0);
casadi::SX*
    casadi__SX__tang__4(std::string ** err_msg, casadi::Function* x0){
    try {
        casadi::Function& x0_ = Marshaling<casadi::Function&,casadi::Function*>::marshal(x0);

        casadi::SX ret = casadi::SX::tang(x0_);
        // x0 is not a swig output

        return WrapReturn< casadi::SX*, casadi::SX >::wrapReturn( ret );
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return 0;
    }
}


// ================== Static method: "tang" ===============
// class: "casadi::SX"
// cppName: "casadi::SX::tang"
// cWrapperName: "casadi__SX__tang__5"
// protoArgs: "(std::string ** err_msg, casadi::Function* x0, int x1)"
// args: "(x0_, x1_)"
// rettype: UserType (Namespace ["casadi"]) (Name "SX")
// cWrapperRetType: "casadi::SX*"
// proto: "casadi::SX*\n    casadi__SX__tang__5(std::string ** err_msg, casadi::Function* x0, int x1)"
// call: "        casadi::SX ret = casadi::SX::tang(x0_, x1_);"
// params: [(Ref (Const (UserType (Namespace ["casadi"]) (Name "Function"))),SwigOutput False),(CInt,SwigOutput False)]
extern "C"
casadi::SX*
    casadi__SX__tang__5(std::string ** err_msg, casadi::Function* x0, int x1);
casadi::SX*
    casadi__SX__tang__5(std::string ** err_msg, casadi::Function* x0, int x1){
    try {
        casadi::Function& x0_ = Marshaling<casadi::Function&,casadi::Function*>::marshal(x0);
        int x1_ = Marshaling<int,int>::marshal(x1);

        casadi::SX ret = casadi::SX::tang(x0_, x1_);
        // x0 is not a swig output
        // x1 is not a swig output

        return WrapReturn< casadi::SX*, casadi::SX >::wrapReturn( ret );
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return 0;
    }
}


// ================== Static method: "tang" ===============
// class: "casadi::SX"
// cppName: "casadi::SX::tang"
// cWrapperName: "casadi__SX__tang__6"
// protoArgs: "(std::string ** err_msg, casadi::Function* x0, int x1, int x2)"
// args: "(x0_, x1_, x2_)"
// rettype: UserType (Namespace ["casadi"]) (Name "SX")
// cWrapperRetType: "casadi::SX*"
// proto: "casadi::SX*\n    casadi__SX__tang__6(std::string ** err_msg, casadi::Function* x0, int x1, int x2)"
// call: "        casadi::SX ret = casadi::SX::tang(x0_, x1_, x2_);"
// params: [(Ref (Const (UserType (Namespace ["casadi"]) (Name "Function"))),SwigOutput False),(CInt,SwigOutput False),(CInt,SwigOutput False)]
extern "C"
casadi::SX*
    casadi__SX__tang__6(std::string ** err_msg, casadi::Function* x0, int x1, int x2);
casadi::SX*
    casadi__SX__tang__6(std::string ** err_msg, casadi::Function* x0, int x1, int x2){
    try {
        casadi::Function& x0_ = Marshaling<casadi::Function&,casadi::Function*>::marshal(x0);
        int x1_ = Marshaling<int,int>::marshal(x1);
        int x2_ = Marshaling<int,int>::marshal(x2);

        casadi::SX ret = casadi::SX::tang(x0_, x1_, x2_);
        // x0 is not a swig output
        // x1 is not a swig output
        // x2 is not a swig output

        return WrapReturn< casadi::SX*, casadi::SX >::wrapReturn( ret );
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return 0;
    }
}


// ================== Static method: "triplet" ===============
// class: "casadi::SX"
// cppName: "casadi::SX::triplet"
// cWrapperName: "casadi__SX__triplet__0"
// protoArgs: "(std::string ** err_msg, std::vector< int >* x0, std::vector< int >* x1, casadi::SX* x2, std::pair< int, int >* x3)"
// args: "(x0_, x1_, x2_, x3_)"
// rettype: UserType (Namespace ["casadi"]) (Name "SX")
// cWrapperRetType: "casadi::SX*"
// proto: "casadi::SX*\n    casadi__SX__triplet__0(std::string ** err_msg, std::vector< int >* x0, std::vector< int >* x1, casadi::SX* x2, std::pair< int, int >* x3)"
// call: "        casadi::SX ret = casadi::SX::triplet(x0_, x1_, x2_, x3_);"
// params: [(Ref (Const (StdVec CInt)),SwigOutput False),(Ref (Const (StdVec CInt)),SwigOutput False),(Ref (Const (UserType (Namespace ["casadi"]) (Name "SX"))),SwigOutput False),(Ref (Const (StdPair CInt CInt)),SwigOutput False)]
extern "C"
casadi::SX*
    casadi__SX__triplet__0(std::string ** err_msg, std::vector< int >* x0, std::vector< int >* x1, casadi::SX* x2, std::pair< int, int >* x3);
casadi::SX*
    casadi__SX__triplet__0(std::string ** err_msg, std::vector< int >* x0, std::vector< int >* x1, casadi::SX* x2, std::pair< int, int >* x3){
    try {
        std::vector< int > x0_ = Marshaling<std::vector< int >,std::vector< int >*>::marshal(x0);
        std::vector< int > x1_ = Marshaling<std::vector< int >,std::vector< int >*>::marshal(x1);
        casadi::SX& x2_ = Marshaling<casadi::SX&,casadi::SX*>::marshal(x2);
        std::pair< int, int > x3_ = Marshaling<std::pair< int, int >,std::pair< int, int >*>::marshal(x3);

        casadi::SX ret = casadi::SX::triplet(x0_, x1_, x2_, x3_);
        // x0 is not a swig output
        // x1 is not a swig output
        // x2 is not a swig output
        // x3 is not a swig output

        return WrapReturn< casadi::SX*, casadi::SX >::wrapReturn( ret );
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return 0;
    }
}


// ================== Static method: "triplet" ===============
// class: "casadi::SX"
// cppName: "casadi::SX::triplet"
// cWrapperName: "casadi__SX__triplet__1"
// protoArgs: "(std::string ** err_msg, std::vector< int >* x0, std::vector< int >* x1, casadi::SX* x2, int x3, int x4)"
// args: "(x0_, x1_, x2_, x3_, x4_)"
// rettype: UserType (Namespace ["casadi"]) (Name "SX")
// cWrapperRetType: "casadi::SX*"
// proto: "casadi::SX*\n    casadi__SX__triplet__1(std::string ** err_msg, std::vector< int >* x0, std::vector< int >* x1, casadi::SX* x2, int x3, int x4)"
// call: "        casadi::SX ret = casadi::SX::triplet(x0_, x1_, x2_, x3_, x4_);"
// params: [(Ref (Const (StdVec CInt)),SwigOutput False),(Ref (Const (StdVec CInt)),SwigOutput False),(Ref (Const (UserType (Namespace ["casadi"]) (Name "SX"))),SwigOutput False),(CInt,SwigOutput False),(CInt,SwigOutput False)]
extern "C"
casadi::SX*
    casadi__SX__triplet__1(std::string ** err_msg, std::vector< int >* x0, std::vector< int >* x1, casadi::SX* x2, int x3, int x4);
casadi::SX*
    casadi__SX__triplet__1(std::string ** err_msg, std::vector< int >* x0, std::vector< int >* x1, casadi::SX* x2, int x3, int x4){
    try {
        std::vector< int > x0_ = Marshaling<std::vector< int >,std::vector< int >*>::marshal(x0);
        std::vector< int > x1_ = Marshaling<std::vector< int >,std::vector< int >*>::marshal(x1);
        casadi::SX& x2_ = Marshaling<casadi::SX&,casadi::SX*>::marshal(x2);
        int x3_ = Marshaling<int,int>::marshal(x3);
        int x4_ = Marshaling<int,int>::marshal(x4);

        casadi::SX ret = casadi::SX::triplet(x0_, x1_, x2_, x3_, x4_);
        // x0 is not a swig output
        // x1 is not a swig output
        // x2 is not a swig output
        // x3 is not a swig output
        // x4 is not a swig output

        return WrapReturn< casadi::SX*, casadi::SX >::wrapReturn( ret );
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return 0;
    }
}


// ================== Static method: "triplet" ===============
// class: "casadi::SX"
// cppName: "casadi::SX::triplet"
// cWrapperName: "casadi__SX__triplet__2"
// protoArgs: "(std::string ** err_msg, std::vector< int >* x0, std::vector< int >* x1, casadi::SX* x2)"
// args: "(x0_, x1_, x2_)"
// rettype: UserType (Namespace ["casadi"]) (Name "SX")
// cWrapperRetType: "casadi::SX*"
// proto: "casadi::SX*\n    casadi__SX__triplet__2(std::string ** err_msg, std::vector< int >* x0, std::vector< int >* x1, casadi::SX* x2)"
// call: "        casadi::SX ret = casadi::SX::triplet(x0_, x1_, x2_);"
// params: [(Ref (Const (StdVec CInt)),SwigOutput False),(Ref (Const (StdVec CInt)),SwigOutput False),(Ref (Const (UserType (Namespace ["casadi"]) (Name "SX"))),SwigOutput False)]
extern "C"
casadi::SX*
    casadi__SX__triplet__2(std::string ** err_msg, std::vector< int >* x0, std::vector< int >* x1, casadi::SX* x2);
casadi::SX*
    casadi__SX__triplet__2(std::string ** err_msg, std::vector< int >* x0, std::vector< int >* x1, casadi::SX* x2){
    try {
        std::vector< int > x0_ = Marshaling<std::vector< int >,std::vector< int >*>::marshal(x0);
        std::vector< int > x1_ = Marshaling<std::vector< int >,std::vector< int >*>::marshal(x1);
        casadi::SX& x2_ = Marshaling<casadi::SX&,casadi::SX*>::marshal(x2);

        casadi::SX ret = casadi::SX::triplet(x0_, x1_, x2_);
        // x0 is not a swig output
        // x1 is not a swig output
        // x2 is not a swig output

        return WrapReturn< casadi::SX*, casadi::SX >::wrapReturn( ret );
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return 0;
    }
}


// ================== Static method: "type_name" ===============
// class: "casadi::SX"
// cppName: "casadi::SX::type_name"
// cWrapperName: "casadi__SX__type_name"
// protoArgs: "(std::string ** err_msg)"
// args: "()"
// rettype: StdString
// cWrapperRetType: "std::string*"
// proto: "std::string*\n    casadi__SX__type_name(std::string ** err_msg)"
// call: "        std::string ret = casadi::SX::type_name();"
// params: []
extern "C"
std::string*
    casadi__SX__type_name(std::string ** err_msg);
std::string*
    casadi__SX__type_name(std::string ** err_msg){
    try {

        std::string ret = casadi::SX::type_name();

        return WrapReturn< std::string*, std::string >::wrapReturn( ret );
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return 0;
    }
}


// ================== Static method: "unary" ===============
// class: "casadi::SX"
// cppName: "casadi::SX::unary"
// cWrapperName: "casadi__SX__unary"
// protoArgs: "(std::string ** err_msg, int x0, casadi::SX* x1)"
// args: "(x0_, x1_)"
// rettype: UserType (Namespace ["casadi"]) (Name "SX")
// cWrapperRetType: "casadi::SX*"
// proto: "casadi::SX*\n    casadi__SX__unary(std::string ** err_msg, int x0, casadi::SX* x1)"
// call: "        casadi::SX ret = casadi::SX::unary(x0_, x1_);"
// params: [(CInt,SwigOutput False),(Ref (Const (UserType (Namespace ["casadi"]) (Name "SX"))),SwigOutput False)]
extern "C"
casadi::SX*
    casadi__SX__unary(std::string ** err_msg, int x0, casadi::SX* x1);
casadi::SX*
    casadi__SX__unary(std::string ** err_msg, int x0, casadi::SX* x1){
    try {
        int x0_ = Marshaling<int,int>::marshal(x0);
        casadi::SX& x1_ = Marshaling<casadi::SX&,casadi::SX*>::marshal(x1);

        casadi::SX ret = casadi::SX::unary(x0_, x1_);
        // x0 is not a swig output
        // x1 is not a swig output

        return WrapReturn< casadi::SX*, casadi::SX >::wrapReturn( ret );
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return 0;
    }
}


// ================== Static method: "zeros" ===============
// class: "casadi::SX"
// cppName: "casadi::SX::zeros"
// cWrapperName: "casadi__SX__zeros__0"
// protoArgs: "(std::string ** err_msg, std::pair< int, int >* x0)"
// args: "(x0_)"
// rettype: UserType (Namespace ["casadi"]) (Name "SX")
// cWrapperRetType: "casadi::SX*"
// proto: "casadi::SX*\n    casadi__SX__zeros__0(std::string ** err_msg, std::pair< int, int >* x0)"
// call: "        casadi::SX ret = casadi::SX::zeros(x0_);"
// params: [(Ref (Const (StdPair CInt CInt)),SwigOutput False)]
extern "C"
casadi::SX*
    casadi__SX__zeros__0(std::string ** err_msg, std::pair< int, int >* x0);
casadi::SX*
    casadi__SX__zeros__0(std::string ** err_msg, std::pair< int, int >* x0){
    try {
        std::pair< int, int > x0_ = Marshaling<std::pair< int, int >,std::pair< int, int >*>::marshal(x0);

        casadi::SX ret = casadi::SX::zeros(x0_);
        // x0 is not a swig output

        return WrapReturn< casadi::SX*, casadi::SX >::wrapReturn( ret );
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return 0;
    }
}


// ================== Static method: "zeros" ===============
// class: "casadi::SX"
// cppName: "casadi::SX::zeros"
// cWrapperName: "casadi__SX__zeros__1"
// protoArgs: "(std::string ** err_msg, casadi::Sparsity* x0)"
// args: "(x0_)"
// rettype: UserType (Namespace ["casadi"]) (Name "SX")
// cWrapperRetType: "casadi::SX*"
// proto: "casadi::SX*\n    casadi__SX__zeros__1(std::string ** err_msg, casadi::Sparsity* x0)"
// call: "        casadi::SX ret = casadi::SX::zeros(x0_);"
// params: [(Ref (Const (UserType (Namespace ["casadi"]) (Name "Sparsity"))),SwigOutput False)]
extern "C"
casadi::SX*
    casadi__SX__zeros__1(std::string ** err_msg, casadi::Sparsity* x0);
casadi::SX*
    casadi__SX__zeros__1(std::string ** err_msg, casadi::Sparsity* x0){
    try {
        casadi::Sparsity& x0_ = Marshaling<casadi::Sparsity&,casadi::Sparsity*>::marshal(x0);

        casadi::SX ret = casadi::SX::zeros(x0_);
        // x0 is not a swig output

        return WrapReturn< casadi::SX*, casadi::SX >::wrapReturn( ret );
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return 0;
    }
}


// ================== Static method: "zeros" ===============
// class: "casadi::SX"
// cppName: "casadi::SX::zeros"
// cWrapperName: "casadi__SX__zeros__2"
// protoArgs: "(std::string ** err_msg)"
// args: "()"
// rettype: UserType (Namespace ["casadi"]) (Name "SX")
// cWrapperRetType: "casadi::SX*"
// proto: "casadi::SX*\n    casadi__SX__zeros__2(std::string ** err_msg)"
// call: "        casadi::SX ret = casadi::SX::zeros();"
// params: []
extern "C"
casadi::SX*
    casadi__SX__zeros__2(std::string ** err_msg);
casadi::SX*
    casadi__SX__zeros__2(std::string ** err_msg){
    try {

        casadi::SX ret = casadi::SX::zeros();

        return WrapReturn< casadi::SX*, casadi::SX >::wrapReturn( ret );
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return 0;
    }
}


// ================== Static method: "zeros" ===============
// class: "casadi::SX"
// cppName: "casadi::SX::zeros"
// cWrapperName: "casadi__SX__zeros__3"
// protoArgs: "(std::string ** err_msg, int x0)"
// args: "(x0_)"
// rettype: UserType (Namespace ["casadi"]) (Name "SX")
// cWrapperRetType: "casadi::SX*"
// proto: "casadi::SX*\n    casadi__SX__zeros__3(std::string ** err_msg, int x0)"
// call: "        casadi::SX ret = casadi::SX::zeros(x0_);"
// params: [(CInt,SwigOutput False)]
extern "C"
casadi::SX*
    casadi__SX__zeros__3(std::string ** err_msg, int x0);
casadi::SX*
    casadi__SX__zeros__3(std::string ** err_msg, int x0){
    try {
        int x0_ = Marshaling<int,int>::marshal(x0);

        casadi::SX ret = casadi::SX::zeros(x0_);
        // x0 is not a swig output

        return WrapReturn< casadi::SX*, casadi::SX >::wrapReturn( ret );
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return 0;
    }
}


// ================== Static method: "zeros" ===============
// class: "casadi::SX"
// cppName: "casadi::SX::zeros"
// cWrapperName: "casadi__SX__zeros__4"
// protoArgs: "(std::string ** err_msg, int x0, int x1)"
// args: "(x0_, x1_)"
// rettype: UserType (Namespace ["casadi"]) (Name "SX")
// cWrapperRetType: "casadi::SX*"
// proto: "casadi::SX*\n    casadi__SX__zeros__4(std::string ** err_msg, int x0, int x1)"
// call: "        casadi::SX ret = casadi::SX::zeros(x0_, x1_);"
// params: [(CInt,SwigOutput False),(CInt,SwigOutput False)]
extern "C"
casadi::SX*
    casadi__SX__zeros__4(std::string ** err_msg, int x0, int x1);
casadi::SX*
    casadi__SX__zeros__4(std::string ** err_msg, int x0, int x1){
    try {
        int x0_ = Marshaling<int,int>::marshal(x0);
        int x1_ = Marshaling<int,int>::marshal(x1);

        casadi::SX ret = casadi::SX::zeros(x0_, x1_);
        // x0 is not a swig output
        // x1 is not a swig output

        return WrapReturn< casadi::SX*, casadi::SX >::wrapReturn( ret );
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return 0;
    }
}


// ================== Normal method: "getRepresentation" ===============
// class: "casadi::SX"
// cppName: "casadi::SX::getRepresentation"
// cWrapperName: "casadi__SX__getRepresentation"
// protoArgs: "(std::string ** err_msg, casadi::SX* obj)"
// args: "()"
// rettype: StdString
// cWrapperRetType: "std::string*"
// proto: "std::string*\n    casadi__SX__getRepresentation(std::string ** err_msg, casadi::SX* obj)"
// call: "        std::string ret = obj->getRepresentation();"
// params: []
extern "C"
std::string*
    casadi__SX__getRepresentation(std::string ** err_msg, casadi::SX* obj);
std::string*
    casadi__SX__getRepresentation(std::string ** err_msg, casadi::SX* obj){
    try {

        std::string ret = obj->getRepresentation();

        return WrapReturn< std::string*, std::string >::wrapReturn( ret );
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return 0;
    }
}


// ================== Normal method: "getDescription" ===============
// class: "casadi::SX"
// cppName: "casadi::SX::getDescription"
// cWrapperName: "casadi__SX__getDescription"
// protoArgs: "(std::string ** err_msg, casadi::SX* obj)"
// args: "()"
// rettype: StdString
// cWrapperRetType: "std::string*"
// proto: "std::string*\n    casadi__SX__getDescription(std::string ** err_msg, casadi::SX* obj)"
// call: "        std::string ret = obj->getDescription();"
// params: []
extern "C"
std::string*
    casadi__SX__getDescription(std::string ** err_msg, casadi::SX* obj);
std::string*
    casadi__SX__getDescription(std::string ** err_msg, casadi::SX* obj){
    try {

        std::string ret = obj->getDescription();

        return WrapReturn< std::string*, std::string >::wrapReturn( ret );
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return 0;
    }
}



// ================== delete UserType (Namespace ["casadi"]) (Name "SXElem")===============
// classType: UserType (Namespace ["casadi"]) (Name "SXElem")
extern "C"
void delete_casadi__SXElem(casadi::SXElem* obj);
void delete_casadi__SXElem(casadi::SXElem* obj){
    delete obj;
}


// ================== delete UserType (Namespace ["casadi"]) (Name "SharedObject")===============
// classType: UserType (Namespace ["casadi"]) (Name "SharedObject")
extern "C"
void delete_casadi__SharedObject(casadi::SharedObject* obj);
void delete_casadi__SharedObject(casadi::SharedObject* obj){
    delete obj;
}

// ================== Normal method: "__hash__" ===============
// class: "casadi::SharedObject"
// cppName: "casadi::SharedObject::__hash__"
// cWrapperName: "casadi__SharedObject____hash__"
// protoArgs: "(std::string ** err_msg, casadi::SharedObject* obj)"
// args: "()"
// rettype: CSize
// cWrapperRetType: "size_t"
// proto: "size_t\n    casadi__SharedObject____hash__(std::string ** err_msg, casadi::SharedObject* obj)"
// call: "        size_t ret = obj->__hash__();"
// params: []
extern "C"
size_t
    casadi__SharedObject____hash__(std::string ** err_msg, casadi::SharedObject* obj);
size_t
    casadi__SharedObject____hash__(std::string ** err_msg, casadi::SharedObject* obj){
    try {

        size_t ret = obj->__hash__();

        return WrapReturn< size_t, size_t >::wrapReturn( ret );
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return 0;
    }
}


// ================== Normal method: "is_null" ===============
// class: "casadi::SharedObject"
// cppName: "casadi::SharedObject::is_null"
// cWrapperName: "casadi__SharedObject__is_null"
// protoArgs: "(std::string ** err_msg, casadi::SharedObject* obj)"
// args: "()"
// rettype: CBool
// cWrapperRetType: "int"
// proto: "int\n    casadi__SharedObject__is_null(std::string ** err_msg, casadi::SharedObject* obj)"
// call: "        bool ret = obj->is_null();"
// params: []
extern "C"
int
    casadi__SharedObject__is_null(std::string ** err_msg, casadi::SharedObject* obj);
int
    casadi__SharedObject__is_null(std::string ** err_msg, casadi::SharedObject* obj){
    try {

        bool ret = obj->is_null();

        return WrapReturn< int, bool >::wrapReturn( ret );
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return 0;
    }
}


// ================== Normal method: "printPtr" ===============
// class: "casadi::SharedObject"
// cppName: "casadi::SharedObject::printPtr"
// cWrapperName: "casadi__SharedObject__printPtr"
// protoArgs: "(std::string ** err_msg, casadi::SharedObject* obj)"
// args: "()"
// rettype: CVoid
// cWrapperRetType: "void"
// proto: "void\n    casadi__SharedObject__printPtr(std::string ** err_msg, casadi::SharedObject* obj)"
// call: "        obj->printPtr();"
// params: []
extern "C"
void
    casadi__SharedObject__printPtr(std::string ** err_msg, casadi::SharedObject* obj);
void
    casadi__SharedObject__printPtr(std::string ** err_msg, casadi::SharedObject* obj){
    try {

        obj->printPtr();

        return;
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return;
    }
}


// ================== Normal method: "getRepresentation" ===============
// class: "casadi::SharedObject"
// cppName: "casadi::SharedObject::getRepresentation"
// cWrapperName: "casadi__SharedObject__getRepresentation"
// protoArgs: "(std::string ** err_msg, casadi::SharedObject* obj)"
// args: "()"
// rettype: StdString
// cWrapperRetType: "std::string*"
// proto: "std::string*\n    casadi__SharedObject__getRepresentation(std::string ** err_msg, casadi::SharedObject* obj)"
// call: "        std::string ret = obj->getRepresentation();"
// params: []
extern "C"
std::string*
    casadi__SharedObject__getRepresentation(std::string ** err_msg, casadi::SharedObject* obj);
std::string*
    casadi__SharedObject__getRepresentation(std::string ** err_msg, casadi::SharedObject* obj){
    try {

        std::string ret = obj->getRepresentation();

        return WrapReturn< std::string*, std::string >::wrapReturn( ret );
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return 0;
    }
}


// ================== Normal method: "getDescription" ===============
// class: "casadi::SharedObject"
// cppName: "casadi::SharedObject::getDescription"
// cWrapperName: "casadi__SharedObject__getDescription"
// protoArgs: "(std::string ** err_msg, casadi::SharedObject* obj)"
// args: "()"
// rettype: StdString
// cWrapperRetType: "std::string*"
// proto: "std::string*\n    casadi__SharedObject__getDescription(std::string ** err_msg, casadi::SharedObject* obj)"
// call: "        std::string ret = obj->getDescription();"
// params: []
extern "C"
std::string*
    casadi__SharedObject__getDescription(std::string ** err_msg, casadi::SharedObject* obj);
std::string*
    casadi__SharedObject__getDescription(std::string ** err_msg, casadi::SharedObject* obj){
    try {

        std::string ret = obj->getDescription();

        return WrapReturn< std::string*, std::string >::wrapReturn( ret );
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return 0;
    }
}



// ================== delete UserType (Namespace ["casadi"]) (Name "Slice")===============
// classType: UserType (Namespace ["casadi"]) (Name "Slice")
extern "C"
void delete_casadi__Slice(casadi::Slice* obj);
void delete_casadi__Slice(casadi::Slice* obj){
    delete obj;
}

// ================== Constructor method: "CONSTRUCTOR" ===============
// class: "casadi::Slice"
// cppName: "casadi::Slice"
// cWrapperName: "casadi__Slice__CONSTRUCTOR__0"
// protoArgs: "(std::string ** err_msg, int x0, int x1)"
// args: "(x0_, x1_)"
// rettype: UserType (Namespace ["casadi"]) (Name "Slice")
// cWrapperRetType: "casadi::Slice*"
// proto: "casadi::Slice*\n    casadi__Slice__CONSTRUCTOR__0(std::string ** err_msg, int x0, int x1)"
// call: "        casadi::Slice* ret = (casadi::Slice*)new casadi::Slice(x0_, x1_);"
// params: [(CInt,SwigOutput False),(CInt,SwigOutput False)]
extern "C"
casadi::Slice*
    casadi__Slice__CONSTRUCTOR__0(std::string ** err_msg, int x0, int x1);
casadi::Slice*
    casadi__Slice__CONSTRUCTOR__0(std::string ** err_msg, int x0, int x1){
    try {
        int x0_ = Marshaling<int,int>::marshal(x0);
        int x1_ = Marshaling<int,int>::marshal(x1);

        casadi::Slice* ret = (casadi::Slice*)new casadi::Slice(x0_, x1_);
        // x0 is not a swig output
        // x1 is not a swig output

        return ret;
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return 0;
    }
}


// ================== Constructor method: "CONSTRUCTOR" ===============
// class: "casadi::Slice"
// cppName: "casadi::Slice"
// cWrapperName: "casadi__Slice__CONSTRUCTOR__1"
// protoArgs: "(std::string ** err_msg, int x0, int x1, int x2)"
// args: "(x0_, x1_, x2_)"
// rettype: UserType (Namespace ["casadi"]) (Name "Slice")
// cWrapperRetType: "casadi::Slice*"
// proto: "casadi::Slice*\n    casadi__Slice__CONSTRUCTOR__1(std::string ** err_msg, int x0, int x1, int x2)"
// call: "        casadi::Slice* ret = (casadi::Slice*)new casadi::Slice(x0_, x1_, x2_);"
// params: [(CInt,SwigOutput False),(CInt,SwigOutput False),(CInt,SwigOutput False)]
extern "C"
casadi::Slice*
    casadi__Slice__CONSTRUCTOR__1(std::string ** err_msg, int x0, int x1, int x2);
casadi::Slice*
    casadi__Slice__CONSTRUCTOR__1(std::string ** err_msg, int x0, int x1, int x2){
    try {
        int x0_ = Marshaling<int,int>::marshal(x0);
        int x1_ = Marshaling<int,int>::marshal(x1);
        int x2_ = Marshaling<int,int>::marshal(x2);

        casadi::Slice* ret = (casadi::Slice*)new casadi::Slice(x0_, x1_, x2_);
        // x0 is not a swig output
        // x1 is not a swig output
        // x2 is not a swig output

        return ret;
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return 0;
    }
}


// ================== Constructor method: "CONSTRUCTOR" ===============
// class: "casadi::Slice"
// cppName: "casadi::Slice"
// cWrapperName: "casadi__Slice__CONSTRUCTOR__2"
// protoArgs: "(std::string ** err_msg, int x0)"
// args: "(x0_)"
// rettype: UserType (Namespace ["casadi"]) (Name "Slice")
// cWrapperRetType: "casadi::Slice*"
// proto: "casadi::Slice*\n    casadi__Slice__CONSTRUCTOR__2(std::string ** err_msg, int x0)"
// call: "        casadi::Slice* ret = (casadi::Slice*)new casadi::Slice(x0_);"
// params: [(CInt,SwigOutput False)]
extern "C"
casadi::Slice*
    casadi__Slice__CONSTRUCTOR__2(std::string ** err_msg, int x0);
casadi::Slice*
    casadi__Slice__CONSTRUCTOR__2(std::string ** err_msg, int x0){
    try {
        int x0_ = Marshaling<int,int>::marshal(x0);

        casadi::Slice* ret = (casadi::Slice*)new casadi::Slice(x0_);
        // x0 is not a swig output

        return ret;
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return 0;
    }
}


// ================== Constructor method: "CONSTRUCTOR" ===============
// class: "casadi::Slice"
// cppName: "casadi::Slice"
// cWrapperName: "casadi__Slice__CONSTRUCTOR__3"
// protoArgs: "(std::string ** err_msg, int x0, int x1)"
// args: "(x0_, x1_)"
// rettype: UserType (Namespace ["casadi"]) (Name "Slice")
// cWrapperRetType: "casadi::Slice*"
// proto: "casadi::Slice*\n    casadi__Slice__CONSTRUCTOR__3(std::string ** err_msg, int x0, int x1)"
// call: "        casadi::Slice* ret = (casadi::Slice*)new casadi::Slice(x0_, x1_);"
// params: [(CInt,SwigOutput False),(CBool,SwigOutput False)]
extern "C"
casadi::Slice*
    casadi__Slice__CONSTRUCTOR__3(std::string ** err_msg, int x0, int x1);
casadi::Slice*
    casadi__Slice__CONSTRUCTOR__3(std::string ** err_msg, int x0, int x1){
    try {
        int x0_ = Marshaling<int,int>::marshal(x0);
        bool x1_ = Marshaling<bool,int>::marshal(x1);

        casadi::Slice* ret = (casadi::Slice*)new casadi::Slice(x0_, x1_);
        // x0 is not a swig output
        // x1 is not a swig output

        return ret;
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return 0;
    }
}


// ================== Constructor method: "CONSTRUCTOR" ===============
// class: "casadi::Slice"
// cppName: "casadi::Slice"
// cWrapperName: "casadi__Slice__CONSTRUCTOR__4"
// protoArgs: "(std::string ** err_msg)"
// args: "()"
// rettype: UserType (Namespace ["casadi"]) (Name "Slice")
// cWrapperRetType: "casadi::Slice*"
// proto: "casadi::Slice*\n    casadi__Slice__CONSTRUCTOR__4(std::string ** err_msg)"
// call: "        casadi::Slice* ret = (casadi::Slice*)new casadi::Slice();"
// params: []
extern "C"
casadi::Slice*
    casadi__Slice__CONSTRUCTOR__4(std::string ** err_msg);
casadi::Slice*
    casadi__Slice__CONSTRUCTOR__4(std::string ** err_msg){
    try {

        casadi::Slice* ret = (casadi::Slice*)new casadi::Slice();

        return ret;
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return 0;
    }
}


// ================== Normal method: "all" ===============
// class: "casadi::Slice"
// cppName: "casadi::Slice::all"
// cWrapperName: "casadi__Slice__all__0"
// protoArgs: "(std::string ** err_msg, casadi::Slice* obj, casadi::Slice* x0, int x1)"
// args: "(x0_, x1_)"
// rettype: StdVec CInt
// cWrapperRetType: "std::vector< int >*"
// proto: "std::vector< int >*\n    casadi__Slice__all__0(std::string ** err_msg, casadi::Slice* obj, casadi::Slice* x0, int x1)"
// call: "        std::vector< int > ret = obj->all(x0_, x1_);"
// params: [(Ref (Const (UserType (Namespace ["casadi"]) (Name "Slice"))),SwigOutput False),(CInt,SwigOutput False)]
extern "C"
std::vector< int >*
    casadi__Slice__all__0(std::string ** err_msg, casadi::Slice* obj, casadi::Slice* x0, int x1);
std::vector< int >*
    casadi__Slice__all__0(std::string ** err_msg, casadi::Slice* obj, casadi::Slice* x0, int x1){
    try {
        casadi::Slice& x0_ = Marshaling<casadi::Slice&,casadi::Slice*>::marshal(x0);
        int x1_ = Marshaling<int,int>::marshal(x1);

        std::vector< int > ret = obj->all(x0_, x1_);
        // x0 is not a swig output
        // x1 is not a swig output

        return WrapReturn< std::vector< int >*, std::vector< int > >::wrapReturn( ret );
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return 0;
    }
}


// ================== Normal method: "all" ===============
// class: "casadi::Slice"
// cppName: "casadi::Slice::all"
// cWrapperName: "casadi__Slice__all__1"
// protoArgs: "(std::string ** err_msg, casadi::Slice* obj, int x0)"
// args: "(x0_)"
// rettype: StdVec CInt
// cWrapperRetType: "std::vector< int >*"
// proto: "std::vector< int >*\n    casadi__Slice__all__1(std::string ** err_msg, casadi::Slice* obj, int x0)"
// call: "        std::vector< int > ret = obj->all(x0_);"
// params: [(CInt,SwigOutput False)]
extern "C"
std::vector< int >*
    casadi__Slice__all__1(std::string ** err_msg, casadi::Slice* obj, int x0);
std::vector< int >*
    casadi__Slice__all__1(std::string ** err_msg, casadi::Slice* obj, int x0){
    try {
        int x0_ = Marshaling<int,int>::marshal(x0);

        std::vector< int > ret = obj->all(x0_);
        // x0 is not a swig output

        return WrapReturn< std::vector< int >*, std::vector< int > >::wrapReturn( ret );
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return 0;
    }
}


// ================== Normal method: "all" ===============
// class: "casadi::Slice"
// cppName: "casadi::Slice::all"
// cWrapperName: "casadi__Slice__all__2"
// protoArgs: "(std::string ** err_msg, casadi::Slice* obj, int x0, int x1)"
// args: "(x0_, x1_)"
// rettype: StdVec CInt
// cWrapperRetType: "std::vector< int >*"
// proto: "std::vector< int >*\n    casadi__Slice__all__2(std::string ** err_msg, casadi::Slice* obj, int x0, int x1)"
// call: "        std::vector< int > ret = obj->all(x0_, x1_);"
// params: [(CInt,SwigOutput False),(CBool,SwigOutput False)]
extern "C"
std::vector< int >*
    casadi__Slice__all__2(std::string ** err_msg, casadi::Slice* obj, int x0, int x1);
std::vector< int >*
    casadi__Slice__all__2(std::string ** err_msg, casadi::Slice* obj, int x0, int x1){
    try {
        int x0_ = Marshaling<int,int>::marshal(x0);
        bool x1_ = Marshaling<bool,int>::marshal(x1);

        std::vector< int > ret = obj->all(x0_, x1_);
        // x0 is not a swig output
        // x1 is not a swig output

        return WrapReturn< std::vector< int >*, std::vector< int > >::wrapReturn( ret );
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return 0;
    }
}


// ================== Normal method: "is_scalar" ===============
// class: "casadi::Slice"
// cppName: "casadi::Slice::is_scalar"
// cWrapperName: "casadi__Slice__is_scalar"
// protoArgs: "(std::string ** err_msg, casadi::Slice* obj, int x0)"
// args: "(x0_)"
// rettype: CBool
// cWrapperRetType: "int"
// proto: "int\n    casadi__Slice__is_scalar(std::string ** err_msg, casadi::Slice* obj, int x0)"
// call: "        bool ret = obj->is_scalar(x0_);"
// params: [(CInt,SwigOutput False)]
extern "C"
int
    casadi__Slice__is_scalar(std::string ** err_msg, casadi::Slice* obj, int x0);
int
    casadi__Slice__is_scalar(std::string ** err_msg, casadi::Slice* obj, int x0){
    try {
        int x0_ = Marshaling<int,int>::marshal(x0);

        bool ret = obj->is_scalar(x0_);
        // x0 is not a swig output

        return WrapReturn< int, bool >::wrapReturn( ret );
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return 0;
    }
}


// ================== Normal method: "operator !=" ===============
// class: "casadi::Slice"
// cppName: "casadi::Slice::operator !="
// cWrapperName: "casadi__Slice__operator__nequals"
// protoArgs: "(std::string ** err_msg, casadi::Slice* obj, casadi::Slice* x0)"
// args: "(x0_)"
// rettype: CBool
// cWrapperRetType: "int"
// proto: "int\n    casadi__Slice__operator__nequals(std::string ** err_msg, casadi::Slice* obj, casadi::Slice* x0)"
// call: "        bool ret = obj->operator !=(x0_);"
// params: [(Ref (Const (UserType (Namespace ["casadi"]) (Name "Slice"))),SwigOutput False)]
extern "C"
int
    casadi__Slice__operator__nequals(std::string ** err_msg, casadi::Slice* obj, casadi::Slice* x0);
int
    casadi__Slice__operator__nequals(std::string ** err_msg, casadi::Slice* obj, casadi::Slice* x0){
    try {
        casadi::Slice& x0_ = Marshaling<casadi::Slice&,casadi::Slice*>::marshal(x0);

        bool ret = obj->operator !=(x0_);
        // x0 is not a swig output

        return WrapReturn< int, bool >::wrapReturn( ret );
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return 0;
    }
}


// ================== Normal method: "operator ==" ===============
// class: "casadi::Slice"
// cppName: "casadi::Slice::operator =="
// cWrapperName: "casadi__Slice__operator__equals"
// protoArgs: "(std::string ** err_msg, casadi::Slice* obj, casadi::Slice* x0)"
// args: "(x0_)"
// rettype: CBool
// cWrapperRetType: "int"
// proto: "int\n    casadi__Slice__operator__equals(std::string ** err_msg, casadi::Slice* obj, casadi::Slice* x0)"
// call: "        bool ret = obj->operator ==(x0_);"
// params: [(Ref (Const (UserType (Namespace ["casadi"]) (Name "Slice"))),SwigOutput False)]
extern "C"
int
    casadi__Slice__operator__equals(std::string ** err_msg, casadi::Slice* obj, casadi::Slice* x0);
int
    casadi__Slice__operator__equals(std::string ** err_msg, casadi::Slice* obj, casadi::Slice* x0){
    try {
        casadi::Slice& x0_ = Marshaling<casadi::Slice&,casadi::Slice*>::marshal(x0);

        bool ret = obj->operator ==(x0_);
        // x0 is not a swig output

        return WrapReturn< int, bool >::wrapReturn( ret );
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return 0;
    }
}


// ================== Normal method: "scalar" ===============
// class: "casadi::Slice"
// cppName: "casadi::Slice::scalar"
// cWrapperName: "casadi__Slice__scalar"
// protoArgs: "(std::string ** err_msg, casadi::Slice* obj, int x0)"
// args: "(x0_)"
// rettype: CInt
// cWrapperRetType: "int"
// proto: "int\n    casadi__Slice__scalar(std::string ** err_msg, casadi::Slice* obj, int x0)"
// call: "        int ret = obj->scalar(x0_);"
// params: [(CInt,SwigOutput False)]
extern "C"
int
    casadi__Slice__scalar(std::string ** err_msg, casadi::Slice* obj, int x0);
int
    casadi__Slice__scalar(std::string ** err_msg, casadi::Slice* obj, int x0){
    try {
        int x0_ = Marshaling<int,int>::marshal(x0);

        int ret = obj->scalar(x0_);
        // x0 is not a swig output

        return WrapReturn< int, int >::wrapReturn( ret );
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return 0;
    }
}


// ================== Normal method: "getRepresentation" ===============
// class: "casadi::Slice"
// cppName: "casadi::Slice::getRepresentation"
// cWrapperName: "casadi__Slice__getRepresentation"
// protoArgs: "(std::string ** err_msg, casadi::Slice* obj)"
// args: "()"
// rettype: StdString
// cWrapperRetType: "std::string*"
// proto: "std::string*\n    casadi__Slice__getRepresentation(std::string ** err_msg, casadi::Slice* obj)"
// call: "        std::string ret = obj->getRepresentation();"
// params: []
extern "C"
std::string*
    casadi__Slice__getRepresentation(std::string ** err_msg, casadi::Slice* obj);
std::string*
    casadi__Slice__getRepresentation(std::string ** err_msg, casadi::Slice* obj){
    try {

        std::string ret = obj->getRepresentation();

        return WrapReturn< std::string*, std::string >::wrapReturn( ret );
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return 0;
    }
}


// ================== Normal method: "getDescription" ===============
// class: "casadi::Slice"
// cppName: "casadi::Slice::getDescription"
// cWrapperName: "casadi__Slice__getDescription"
// protoArgs: "(std::string ** err_msg, casadi::Slice* obj)"
// args: "()"
// rettype: StdString
// cWrapperRetType: "std::string*"
// proto: "std::string*\n    casadi__Slice__getDescription(std::string ** err_msg, casadi::Slice* obj)"
// call: "        std::string ret = obj->getDescription();"
// params: []
extern "C"
std::string*
    casadi__Slice__getDescription(std::string ** err_msg, casadi::Slice* obj);
std::string*
    casadi__Slice__getDescription(std::string ** err_msg, casadi::Slice* obj){
    try {

        std::string ret = obj->getDescription();

        return WrapReturn< std::string*, std::string >::wrapReturn( ret );
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return 0;
    }
}



// ================== delete UserType (Namespace ["casadi"]) (Name "Sparsity")===============
// classType: UserType (Namespace ["casadi"]) (Name "Sparsity")
extern "C"
void delete_casadi__Sparsity(casadi::Sparsity* obj);
void delete_casadi__Sparsity(casadi::Sparsity* obj){
    delete obj;
}

// ================== Constructor method: "CONSTRUCTOR" ===============
// class: "casadi::Sparsity"
// cppName: "casadi::Sparsity"
// cWrapperName: "casadi__Sparsity__CONSTRUCTOR__0"
// protoArgs: "(std::string ** err_msg, int x0, int x1, std::vector< int >* x2, std::vector< int >* x3)"
// args: "(x0_, x1_, x2_, x3_)"
// rettype: UserType (Namespace ["casadi"]) (Name "Sparsity")
// cWrapperRetType: "casadi::Sparsity*"
// proto: "casadi::Sparsity*\n    casadi__Sparsity__CONSTRUCTOR__0(std::string ** err_msg, int x0, int x1, std::vector< int >* x2, std::vector< int >* x3)"
// call: "        casadi::Sparsity* ret = (casadi::Sparsity*)new casadi::Sparsity(x0_, x1_, x2_, x3_);"
// params: [(CInt,SwigOutput False),(CInt,SwigOutput False),(Ref (Const (StdVec CInt)),SwigOutput False),(Ref (Const (StdVec CInt)),SwigOutput False)]
extern "C"
casadi::Sparsity*
    casadi__Sparsity__CONSTRUCTOR__0(std::string ** err_msg, int x0, int x1, std::vector< int >* x2, std::vector< int >* x3);
casadi::Sparsity*
    casadi__Sparsity__CONSTRUCTOR__0(std::string ** err_msg, int x0, int x1, std::vector< int >* x2, std::vector< int >* x3){
    try {
        int x0_ = Marshaling<int,int>::marshal(x0);
        int x1_ = Marshaling<int,int>::marshal(x1);
        std::vector< int > x2_ = Marshaling<std::vector< int >,std::vector< int >*>::marshal(x2);
        std::vector< int > x3_ = Marshaling<std::vector< int >,std::vector< int >*>::marshal(x3);

        casadi::Sparsity* ret = (casadi::Sparsity*)new casadi::Sparsity(x0_, x1_, x2_, x3_);
        // x0 is not a swig output
        // x1 is not a swig output
        // x2 is not a swig output
        // x3 is not a swig output

        return ret;
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return 0;
    }
}


// ================== Constructor method: "CONSTRUCTOR" ===============
// class: "casadi::Sparsity"
// cppName: "casadi::Sparsity"
// cWrapperName: "casadi__Sparsity__CONSTRUCTOR__1"
// protoArgs: "(std::string ** err_msg, int x0, int x1)"
// args: "(x0_, x1_)"
// rettype: UserType (Namespace ["casadi"]) (Name "Sparsity")
// cWrapperRetType: "casadi::Sparsity*"
// proto: "casadi::Sparsity*\n    casadi__Sparsity__CONSTRUCTOR__1(std::string ** err_msg, int x0, int x1)"
// call: "        casadi::Sparsity* ret = (casadi::Sparsity*)new casadi::Sparsity(x0_, x1_);"
// params: [(CInt,SwigOutput False),(CInt,SwigOutput False)]
extern "C"
casadi::Sparsity*
    casadi__Sparsity__CONSTRUCTOR__1(std::string ** err_msg, int x0, int x1);
casadi::Sparsity*
    casadi__Sparsity__CONSTRUCTOR__1(std::string ** err_msg, int x0, int x1){
    try {
        int x0_ = Marshaling<int,int>::marshal(x0);
        int x1_ = Marshaling<int,int>::marshal(x1);

        casadi::Sparsity* ret = (casadi::Sparsity*)new casadi::Sparsity(x0_, x1_);
        // x0 is not a swig output
        // x1 is not a swig output

        return ret;
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return 0;
    }
}


// ================== Constructor method: "CONSTRUCTOR" ===============
// class: "casadi::Sparsity"
// cppName: "casadi::Sparsity"
// cWrapperName: "casadi__Sparsity__CONSTRUCTOR__2"
// protoArgs: "(std::string ** err_msg)"
// args: "()"
// rettype: UserType (Namespace ["casadi"]) (Name "Sparsity")
// cWrapperRetType: "casadi::Sparsity*"
// proto: "casadi::Sparsity*\n    casadi__Sparsity__CONSTRUCTOR__2(std::string ** err_msg)"
// call: "        casadi::Sparsity* ret = (casadi::Sparsity*)new casadi::Sparsity();"
// params: []
extern "C"
casadi::Sparsity*
    casadi__Sparsity__CONSTRUCTOR__2(std::string ** err_msg);
casadi::Sparsity*
    casadi__Sparsity__CONSTRUCTOR__2(std::string ** err_msg){
    try {

        casadi::Sparsity* ret = (casadi::Sparsity*)new casadi::Sparsity();

        return ret;
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return 0;
    }
}


// ================== Constructor method: "CONSTRUCTOR" ===============
// class: "casadi::Sparsity"
// cppName: "casadi::Sparsity"
// cWrapperName: "casadi__Sparsity__CONSTRUCTOR__3"
// protoArgs: "(std::string ** err_msg, int x0)"
// args: "(x0_)"
// rettype: UserType (Namespace ["casadi"]) (Name "Sparsity")
// cWrapperRetType: "casadi::Sparsity*"
// proto: "casadi::Sparsity*\n    casadi__Sparsity__CONSTRUCTOR__3(std::string ** err_msg, int x0)"
// call: "        casadi::Sparsity* ret = (casadi::Sparsity*)new casadi::Sparsity(x0_);"
// params: [(CInt,SwigOutput False)]
extern "C"
casadi::Sparsity*
    casadi__Sparsity__CONSTRUCTOR__3(std::string ** err_msg, int x0);
casadi::Sparsity*
    casadi__Sparsity__CONSTRUCTOR__3(std::string ** err_msg, int x0){
    try {
        int x0_ = Marshaling<int,int>::marshal(x0);

        casadi::Sparsity* ret = (casadi::Sparsity*)new casadi::Sparsity(x0_);
        // x0 is not a swig output

        return ret;
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return 0;
    }
}


// ================== Normal method: "T" ===============
// class: "casadi::Sparsity"
// cppName: "casadi::Sparsity::T"
// cWrapperName: "casadi__Sparsity__T"
// protoArgs: "(std::string ** err_msg, casadi::Sparsity* obj)"
// args: "()"
// rettype: UserType (Namespace ["casadi"]) (Name "Sparsity")
// cWrapperRetType: "casadi::Sparsity*"
// proto: "casadi::Sparsity*\n    casadi__Sparsity__T(std::string ** err_msg, casadi::Sparsity* obj)"
// call: "        casadi::Sparsity ret = obj->T();"
// params: []
extern "C"
casadi::Sparsity*
    casadi__Sparsity__T(std::string ** err_msg, casadi::Sparsity* obj);
casadi::Sparsity*
    casadi__Sparsity__T(std::string ** err_msg, casadi::Sparsity* obj){
    try {

        casadi::Sparsity ret = obj->T();

        return WrapReturn< casadi::Sparsity*, casadi::Sparsity >::wrapReturn( ret );
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return 0;
    }
}


// ================== Normal method: "add_nz" ===============
// class: "casadi::Sparsity"
// cppName: "casadi::Sparsity::add_nz"
// cWrapperName: "casadi__Sparsity__add_nz"
// protoArgs: "(std::string ** err_msg, casadi::Sparsity* obj, int x0, int x1)"
// args: "(x0_, x1_)"
// rettype: CInt
// cWrapperRetType: "int"
// proto: "int\n    casadi__Sparsity__add_nz(std::string ** err_msg, casadi::Sparsity* obj, int x0, int x1)"
// call: "        int ret = obj->add_nz(x0_, x1_);"
// params: [(CInt,SwigOutput False),(CInt,SwigOutput False)]
extern "C"
int
    casadi__Sparsity__add_nz(std::string ** err_msg, casadi::Sparsity* obj, int x0, int x1);
int
    casadi__Sparsity__add_nz(std::string ** err_msg, casadi::Sparsity* obj, int x0, int x1){
    try {
        int x0_ = Marshaling<int,int>::marshal(x0);
        int x1_ = Marshaling<int,int>::marshal(x1);

        int ret = obj->add_nz(x0_, x1_);
        // x0 is not a swig output
        // x1 is not a swig output

        return WrapReturn< int, int >::wrapReturn( ret );
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return 0;
    }
}


// ================== Normal method: "append" ===============
// class: "casadi::Sparsity"
// cppName: "casadi::Sparsity::append"
// cWrapperName: "casadi__Sparsity__append"
// protoArgs: "(std::string ** err_msg, casadi::Sparsity* obj, casadi::Sparsity* x0)"
// args: "(x0_)"
// rettype: CVoid
// cWrapperRetType: "void"
// proto: "void\n    casadi__Sparsity__append(std::string ** err_msg, casadi::Sparsity* obj, casadi::Sparsity* x0)"
// call: "        obj->append(x0_);"
// params: [(Ref (Const (UserType (Namespace ["casadi"]) (Name "Sparsity"))),SwigOutput False)]
extern "C"
void
    casadi__Sparsity__append(std::string ** err_msg, casadi::Sparsity* obj, casadi::Sparsity* x0);
void
    casadi__Sparsity__append(std::string ** err_msg, casadi::Sparsity* obj, casadi::Sparsity* x0){
    try {
        casadi::Sparsity& x0_ = Marshaling<casadi::Sparsity&,casadi::Sparsity*>::marshal(x0);

        obj->append(x0_);
        // x0 is not a swig output

        return;
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return;
    }
}


// ================== Normal method: "appendColumns" ===============
// class: "casadi::Sparsity"
// cppName: "casadi::Sparsity::appendColumns"
// cWrapperName: "casadi__Sparsity__appendColumns"
// protoArgs: "(std::string ** err_msg, casadi::Sparsity* obj, casadi::Sparsity* x0)"
// args: "(x0_)"
// rettype: CVoid
// cWrapperRetType: "void"
// proto: "void\n    casadi__Sparsity__appendColumns(std::string ** err_msg, casadi::Sparsity* obj, casadi::Sparsity* x0)"
// call: "        obj->appendColumns(x0_);"
// params: [(Ref (Const (UserType (Namespace ["casadi"]) (Name "Sparsity"))),SwigOutput False)]
extern "C"
void
    casadi__Sparsity__appendColumns(std::string ** err_msg, casadi::Sparsity* obj, casadi::Sparsity* x0);
void
    casadi__Sparsity__appendColumns(std::string ** err_msg, casadi::Sparsity* obj, casadi::Sparsity* x0){
    try {
        casadi::Sparsity& x0_ = Marshaling<casadi::Sparsity&,casadi::Sparsity*>::marshal(x0);

        obj->appendColumns(x0_);
        // x0 is not a swig output

        return;
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return;
    }
}


// ================== Static method: "band" ===============
// class: "casadi::Sparsity"
// cppName: "casadi::Sparsity::band"
// cWrapperName: "casadi__Sparsity__band"
// protoArgs: "(std::string ** err_msg, int x0, int x1)"
// args: "(x0_, x1_)"
// rettype: UserType (Namespace ["casadi"]) (Name "Sparsity")
// cWrapperRetType: "casadi::Sparsity*"
// proto: "casadi::Sparsity*\n    casadi__Sparsity__band(std::string ** err_msg, int x0, int x1)"
// call: "        casadi::Sparsity ret = casadi::Sparsity::band(x0_, x1_);"
// params: [(CInt,SwigOutput False),(CInt,SwigOutput False)]
extern "C"
casadi::Sparsity*
    casadi__Sparsity__band(std::string ** err_msg, int x0, int x1);
casadi::Sparsity*
    casadi__Sparsity__band(std::string ** err_msg, int x0, int x1){
    try {
        int x0_ = Marshaling<int,int>::marshal(x0);
        int x1_ = Marshaling<int,int>::marshal(x1);

        casadi::Sparsity ret = casadi::Sparsity::band(x0_, x1_);
        // x0 is not a swig output
        // x1 is not a swig output

        return WrapReturn< casadi::Sparsity*, casadi::Sparsity >::wrapReturn( ret );
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return 0;
    }
}


// ================== Static method: "banded" ===============
// class: "casadi::Sparsity"
// cppName: "casadi::Sparsity::banded"
// cWrapperName: "casadi__Sparsity__banded"
// protoArgs: "(std::string ** err_msg, int x0, int x1)"
// args: "(x0_, x1_)"
// rettype: UserType (Namespace ["casadi"]) (Name "Sparsity")
// cWrapperRetType: "casadi::Sparsity*"
// proto: "casadi::Sparsity*\n    casadi__Sparsity__banded(std::string ** err_msg, int x0, int x1)"
// call: "        casadi::Sparsity ret = casadi::Sparsity::banded(x0_, x1_);"
// params: [(CInt,SwigOutput False),(CInt,SwigOutput False)]
extern "C"
casadi::Sparsity*
    casadi__Sparsity__banded(std::string ** err_msg, int x0, int x1);
casadi::Sparsity*
    casadi__Sparsity__banded(std::string ** err_msg, int x0, int x1){
    try {
        int x0_ = Marshaling<int,int>::marshal(x0);
        int x1_ = Marshaling<int,int>::marshal(x1);

        casadi::Sparsity ret = casadi::Sparsity::banded(x0_, x1_);
        // x0 is not a swig output
        // x1 is not a swig output

        return WrapReturn< casadi::Sparsity*, casadi::Sparsity >::wrapReturn( ret );
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return 0;
    }
}


// ================== Normal method: "btf" ===============
// class: "casadi::Sparsity"
// cppName: "casadi::Sparsity::btf"
// cWrapperName: "casadi__Sparsity__btf__0"
// protoArgs: "(std::string ** err_msg, casadi::Sparsity* obj, std::vector< int >** x0, std::vector< int >** x1, std::vector< int >** x2, std::vector< int >** x3, std::vector< int >** x4, std::vector< int >** x5)"
// args: "(x0_, x1_, x2_, x3_, x4_, x5_)"
// rettype: CInt
// cWrapperRetType: "int"
// proto: "int\n    casadi__Sparsity__btf__0(std::string ** err_msg, casadi::Sparsity* obj, std::vector< int >** x0, std::vector< int >** x1, std::vector< int >** x2, std::vector< int >** x3, std::vector< int >** x4, std::vector< int >** x5)"
// call: "        int ret = obj->btf(x0_, x1_, x2_, x3_, x4_, x5_);"
// params: [(Ref (StdVec CInt),SwigOutput True),(Ref (StdVec CInt),SwigOutput True),(Ref (StdVec CInt),SwigOutput True),(Ref (StdVec CInt),SwigOutput True),(Ref (StdVec CInt),SwigOutput True),(Ref (StdVec CInt),SwigOutput True)]
extern "C"
int
    casadi__Sparsity__btf__0(std::string ** err_msg, casadi::Sparsity* obj, std::vector< int >** x0, std::vector< int >** x1, std::vector< int >** x2, std::vector< int >** x3, std::vector< int >** x4, std::vector< int >** x5);
int
    casadi__Sparsity__btf__0(std::string ** err_msg, casadi::Sparsity* obj, std::vector< int >** x0, std::vector< int >** x1, std::vector< int >** x2, std::vector< int >** x3, std::vector< int >** x4, std::vector< int >** x5){
    try {
        std::vector< int > x0_ = std::vector< int >();  // Swig output
        std::vector< int > x1_ = std::vector< int >();  // Swig output
        std::vector< int > x2_ = std::vector< int >();  // Swig output
        std::vector< int > x3_ = std::vector< int >();  // Swig output
        std::vector< int > x4_ = std::vector< int >();  // Swig output
        std::vector< int > x5_ = std::vector< int >();  // Swig output

        int ret = obj->btf(x0_, x1_, x2_, x3_, x4_, x5_);
        *x0 = WrapReturn< std::vector< int >*, std::vector< int > >::wrapReturn( x0_ );
        *x1 = WrapReturn< std::vector< int >*, std::vector< int > >::wrapReturn( x1_ );
        *x2 = WrapReturn< std::vector< int >*, std::vector< int > >::wrapReturn( x2_ );
        *x3 = WrapReturn< std::vector< int >*, std::vector< int > >::wrapReturn( x3_ );
        *x4 = WrapReturn< std::vector< int >*, std::vector< int > >::wrapReturn( x4_ );
        *x5 = WrapReturn< std::vector< int >*, std::vector< int > >::wrapReturn( x5_ );

        return WrapReturn< int, int >::wrapReturn( ret );
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return 0;
    }
}


// ================== Normal method: "btf" ===============
// class: "casadi::Sparsity"
// cppName: "casadi::Sparsity::btf"
// cWrapperName: "casadi__Sparsity__btf__1"
// protoArgs: "(std::string ** err_msg, casadi::Sparsity* obj, std::vector< int >** x0, std::vector< int >** x1, std::vector< int >** x2, std::vector< int >** x3, std::vector< int >** x4, std::vector< int >** x5, int x6)"
// args: "(x0_, x1_, x2_, x3_, x4_, x5_, x6_)"
// rettype: CInt
// cWrapperRetType: "int"
// proto: "int\n    casadi__Sparsity__btf__1(std::string ** err_msg, casadi::Sparsity* obj, std::vector< int >** x0, std::vector< int >** x1, std::vector< int >** x2, std::vector< int >** x3, std::vector< int >** x4, std::vector< int >** x5, int x6)"
// call: "        int ret = obj->btf(x0_, x1_, x2_, x3_, x4_, x5_, x6_);"
// params: [(Ref (StdVec CInt),SwigOutput True),(Ref (StdVec CInt),SwigOutput True),(Ref (StdVec CInt),SwigOutput True),(Ref (StdVec CInt),SwigOutput True),(Ref (StdVec CInt),SwigOutput True),(Ref (StdVec CInt),SwigOutput True),(CInt,SwigOutput False)]
extern "C"
int
    casadi__Sparsity__btf__1(std::string ** err_msg, casadi::Sparsity* obj, std::vector< int >** x0, std::vector< int >** x1, std::vector< int >** x2, std::vector< int >** x3, std::vector< int >** x4, std::vector< int >** x5, int x6);
int
    casadi__Sparsity__btf__1(std::string ** err_msg, casadi::Sparsity* obj, std::vector< int >** x0, std::vector< int >** x1, std::vector< int >** x2, std::vector< int >** x3, std::vector< int >** x4, std::vector< int >** x5, int x6){
    try {
        std::vector< int > x0_ = std::vector< int >();  // Swig output
        std::vector< int > x1_ = std::vector< int >();  // Swig output
        std::vector< int > x2_ = std::vector< int >();  // Swig output
        std::vector< int > x3_ = std::vector< int >();  // Swig output
        std::vector< int > x4_ = std::vector< int >();  // Swig output
        std::vector< int > x5_ = std::vector< int >();  // Swig output
        int x6_ = Marshaling<int,int>::marshal(x6);

        int ret = obj->btf(x0_, x1_, x2_, x3_, x4_, x5_, x6_);
        *x0 = WrapReturn< std::vector< int >*, std::vector< int > >::wrapReturn( x0_ );
        *x1 = WrapReturn< std::vector< int >*, std::vector< int > >::wrapReturn( x1_ );
        *x2 = WrapReturn< std::vector< int >*, std::vector< int > >::wrapReturn( x2_ );
        *x3 = WrapReturn< std::vector< int >*, std::vector< int > >::wrapReturn( x3_ );
        *x4 = WrapReturn< std::vector< int >*, std::vector< int > >::wrapReturn( x4_ );
        *x5 = WrapReturn< std::vector< int >*, std::vector< int > >::wrapReturn( x5_ );
        // x6 is not a swig output

        return WrapReturn< int, int >::wrapReturn( ret );
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return 0;
    }
}


// ================== Normal method: "bw_lower" ===============
// class: "casadi::Sparsity"
// cppName: "casadi::Sparsity::bw_lower"
// cWrapperName: "casadi__Sparsity__bw_lower"
// protoArgs: "(std::string ** err_msg, casadi::Sparsity* obj)"
// args: "()"
// rettype: CInt
// cWrapperRetType: "int"
// proto: "int\n    casadi__Sparsity__bw_lower(std::string ** err_msg, casadi::Sparsity* obj)"
// call: "        int ret = obj->bw_lower();"
// params: []
extern "C"
int
    casadi__Sparsity__bw_lower(std::string ** err_msg, casadi::Sparsity* obj);
int
    casadi__Sparsity__bw_lower(std::string ** err_msg, casadi::Sparsity* obj){
    try {

        int ret = obj->bw_lower();

        return WrapReturn< int, int >::wrapReturn( ret );
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return 0;
    }
}


// ================== Normal method: "bw_upper" ===============
// class: "casadi::Sparsity"
// cppName: "casadi::Sparsity::bw_upper"
// cWrapperName: "casadi__Sparsity__bw_upper"
// protoArgs: "(std::string ** err_msg, casadi::Sparsity* obj)"
// args: "()"
// rettype: CInt
// cWrapperRetType: "int"
// proto: "int\n    casadi__Sparsity__bw_upper(std::string ** err_msg, casadi::Sparsity* obj)"
// call: "        int ret = obj->bw_upper();"
// params: []
extern "C"
int
    casadi__Sparsity__bw_upper(std::string ** err_msg, casadi::Sparsity* obj);
int
    casadi__Sparsity__bw_upper(std::string ** err_msg, casadi::Sparsity* obj){
    try {

        int ret = obj->bw_upper();

        return WrapReturn< int, int >::wrapReturn( ret );
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return 0;
    }
}


// ================== Normal method: "colind" ===============
// class: "casadi::Sparsity"
// cppName: "casadi::Sparsity::colind"
// cWrapperName: "casadi__Sparsity__colind"
// protoArgs: "(std::string ** err_msg, casadi::Sparsity* obj, int x0)"
// args: "(x0_)"
// rettype: CInt
// cWrapperRetType: "int"
// proto: "int\n    casadi__Sparsity__colind(std::string ** err_msg, casadi::Sparsity* obj, int x0)"
// call: "        int ret = obj->colind(x0_);"
// params: [(CInt,SwigOutput False)]
extern "C"
int
    casadi__Sparsity__colind(std::string ** err_msg, casadi::Sparsity* obj, int x0);
int
    casadi__Sparsity__colind(std::string ** err_msg, casadi::Sparsity* obj, int x0){
    try {
        int x0_ = Marshaling<int,int>::marshal(x0);

        int ret = obj->colind(x0_);
        // x0 is not a swig output

        return WrapReturn< int, int >::wrapReturn( ret );
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return 0;
    }
}


// ================== Normal method: "combine" ===============
// class: "casadi::Sparsity"
// cppName: "casadi::Sparsity::combine"
// cWrapperName: "casadi__Sparsity__combine"
// protoArgs: "(std::string ** err_msg, casadi::Sparsity* obj, casadi::Sparsity* x0, int x1, int x2)"
// args: "(x0_, x1_, x2_)"
// rettype: UserType (Namespace ["casadi"]) (Name "Sparsity")
// cWrapperRetType: "casadi::Sparsity*"
// proto: "casadi::Sparsity*\n    casadi__Sparsity__combine(std::string ** err_msg, casadi::Sparsity* obj, casadi::Sparsity* x0, int x1, int x2)"
// call: "        casadi::Sparsity ret = obj->combine(x0_, x1_, x2_);"
// params: [(Ref (Const (UserType (Namespace ["casadi"]) (Name "Sparsity"))),SwigOutput False),(CBool,SwigOutput False),(CBool,SwigOutput False)]
extern "C"
casadi::Sparsity*
    casadi__Sparsity__combine(std::string ** err_msg, casadi::Sparsity* obj, casadi::Sparsity* x0, int x1, int x2);
casadi::Sparsity*
    casadi__Sparsity__combine(std::string ** err_msg, casadi::Sparsity* obj, casadi::Sparsity* x0, int x1, int x2){
    try {
        casadi::Sparsity& x0_ = Marshaling<casadi::Sparsity&,casadi::Sparsity*>::marshal(x0);
        bool x1_ = Marshaling<bool,int>::marshal(x1);
        bool x2_ = Marshaling<bool,int>::marshal(x2);

        casadi::Sparsity ret = obj->combine(x0_, x1_, x2_);
        // x0 is not a swig output
        // x1 is not a swig output
        // x2 is not a swig output

        return WrapReturn< casadi::Sparsity*, casadi::Sparsity >::wrapReturn( ret );
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return 0;
    }
}


// ================== Normal method: "compress" ===============
// class: "casadi::Sparsity"
// cppName: "casadi::Sparsity::compress"
// cWrapperName: "casadi__Sparsity__compress"
// protoArgs: "(std::string ** err_msg, casadi::Sparsity* obj)"
// args: "()"
// rettype: StdVec CInt
// cWrapperRetType: "std::vector< int >*"
// proto: "std::vector< int >*\n    casadi__Sparsity__compress(std::string ** err_msg, casadi::Sparsity* obj)"
// call: "        std::vector< int > ret = obj->compress();"
// params: []
extern "C"
std::vector< int >*
    casadi__Sparsity__compress(std::string ** err_msg, casadi::Sparsity* obj);
std::vector< int >*
    casadi__Sparsity__compress(std::string ** err_msg, casadi::Sparsity* obj){
    try {

        std::vector< int > ret = obj->compress();

        return WrapReturn< std::vector< int >*, std::vector< int > >::wrapReturn( ret );
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return 0;
    }
}


// ================== Static method: "compressed" ===============
// class: "casadi::Sparsity"
// cppName: "casadi::Sparsity::compressed"
// cWrapperName: "casadi__Sparsity__compressed"
// protoArgs: "(std::string ** err_msg, std::vector< int >* x0)"
// args: "(x0_)"
// rettype: UserType (Namespace ["casadi"]) (Name "Sparsity")
// cWrapperRetType: "casadi::Sparsity*"
// proto: "casadi::Sparsity*\n    casadi__Sparsity__compressed(std::string ** err_msg, std::vector< int >* x0)"
// call: "        casadi::Sparsity ret = casadi::Sparsity::compressed(x0_);"
// params: [(Ref (Const (StdVec CInt)),SwigOutput False)]
extern "C"
casadi::Sparsity*
    casadi__Sparsity__compressed(std::string ** err_msg, std::vector< int >* x0);
casadi::Sparsity*
    casadi__Sparsity__compressed(std::string ** err_msg, std::vector< int >* x0){
    try {
        std::vector< int > x0_ = Marshaling<std::vector< int >,std::vector< int >*>::marshal(x0);

        casadi::Sparsity ret = casadi::Sparsity::compressed(x0_);
        // x0 is not a swig output

        return WrapReturn< casadi::Sparsity*, casadi::Sparsity >::wrapReturn( ret );
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return 0;
    }
}


// ================== Static method: "dense" ===============
// class: "casadi::Sparsity"
// cppName: "casadi::Sparsity::dense"
// cWrapperName: "casadi__Sparsity__dense__0"
// protoArgs: "(std::string ** err_msg, std::pair< int, int >* x0)"
// args: "(x0_)"
// rettype: UserType (Namespace ["casadi"]) (Name "Sparsity")
// cWrapperRetType: "casadi::Sparsity*"
// proto: "casadi::Sparsity*\n    casadi__Sparsity__dense__0(std::string ** err_msg, std::pair< int, int >* x0)"
// call: "        casadi::Sparsity ret = casadi::Sparsity::dense(x0_);"
// params: [(Ref (Const (StdPair CInt CInt)),SwigOutput False)]
extern "C"
casadi::Sparsity*
    casadi__Sparsity__dense__0(std::string ** err_msg, std::pair< int, int >* x0);
casadi::Sparsity*
    casadi__Sparsity__dense__0(std::string ** err_msg, std::pair< int, int >* x0){
    try {
        std::pair< int, int > x0_ = Marshaling<std::pair< int, int >,std::pair< int, int >*>::marshal(x0);

        casadi::Sparsity ret = casadi::Sparsity::dense(x0_);
        // x0 is not a swig output

        return WrapReturn< casadi::Sparsity*, casadi::Sparsity >::wrapReturn( ret );
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return 0;
    }
}


// ================== Static method: "dense" ===============
// class: "casadi::Sparsity"
// cppName: "casadi::Sparsity::dense"
// cWrapperName: "casadi__Sparsity__dense__1"
// protoArgs: "(std::string ** err_msg, int x0)"
// args: "(x0_)"
// rettype: UserType (Namespace ["casadi"]) (Name "Sparsity")
// cWrapperRetType: "casadi::Sparsity*"
// proto: "casadi::Sparsity*\n    casadi__Sparsity__dense__1(std::string ** err_msg, int x0)"
// call: "        casadi::Sparsity ret = casadi::Sparsity::dense(x0_);"
// params: [(CInt,SwigOutput False)]
extern "C"
casadi::Sparsity*
    casadi__Sparsity__dense__1(std::string ** err_msg, int x0);
casadi::Sparsity*
    casadi__Sparsity__dense__1(std::string ** err_msg, int x0){
    try {
        int x0_ = Marshaling<int,int>::marshal(x0);

        casadi::Sparsity ret = casadi::Sparsity::dense(x0_);
        // x0 is not a swig output

        return WrapReturn< casadi::Sparsity*, casadi::Sparsity >::wrapReturn( ret );
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return 0;
    }
}


// ================== Static method: "dense" ===============
// class: "casadi::Sparsity"
// cppName: "casadi::Sparsity::dense"
// cWrapperName: "casadi__Sparsity__dense__2"
// protoArgs: "(std::string ** err_msg, int x0, int x1)"
// args: "(x0_, x1_)"
// rettype: UserType (Namespace ["casadi"]) (Name "Sparsity")
// cWrapperRetType: "casadi::Sparsity*"
// proto: "casadi::Sparsity*\n    casadi__Sparsity__dense__2(std::string ** err_msg, int x0, int x1)"
// call: "        casadi::Sparsity ret = casadi::Sparsity::dense(x0_, x1_);"
// params: [(CInt,SwigOutput False),(CInt,SwigOutput False)]
extern "C"
casadi::Sparsity*
    casadi__Sparsity__dense__2(std::string ** err_msg, int x0, int x1);
casadi::Sparsity*
    casadi__Sparsity__dense__2(std::string ** err_msg, int x0, int x1){
    try {
        int x0_ = Marshaling<int,int>::marshal(x0);
        int x1_ = Marshaling<int,int>::marshal(x1);

        casadi::Sparsity ret = casadi::Sparsity::dense(x0_, x1_);
        // x0 is not a swig output
        // x1 is not a swig output

        return WrapReturn< casadi::Sparsity*, casadi::Sparsity >::wrapReturn( ret );
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return 0;
    }
}


// ================== Normal method: "dfs" ===============
// class: "casadi::Sparsity"
// cppName: "casadi::Sparsity::dfs"
// cWrapperName: "casadi__Sparsity__dfs"
// protoArgs: "(std::string ** err_msg, casadi::Sparsity* obj, int x0, int x1, std::vector< int >* x2, std::vector< int >* x3, std::vector< int >* x4, std::vector< int >* x5)"
// args: "(x0_, x1_, x2_, x3_, x4_, x5_)"
// rettype: CInt
// cWrapperRetType: "int"
// proto: "int\n    casadi__Sparsity__dfs(std::string ** err_msg, casadi::Sparsity* obj, int x0, int x1, std::vector< int >* x2, std::vector< int >* x3, std::vector< int >* x4, std::vector< int >* x5)"
// call: "        int ret = obj->dfs(x0_, x1_, x2_, x3_, x4_, x5_);"
// params: [(CInt,SwigOutput False),(CInt,SwigOutput False),(Ref (StdVec CInt),SwigOutput False),(Ref (StdVec CInt),SwigOutput False),(Ref (Const (StdVec CInt)),SwigOutput False),(Ref (StdVec CBool),SwigOutput False)]
extern "C"
int
    casadi__Sparsity__dfs(std::string ** err_msg, casadi::Sparsity* obj, int x0, int x1, std::vector< int >* x2, std::vector< int >* x3, std::vector< int >* x4, std::vector< int >* x5);
int
    casadi__Sparsity__dfs(std::string ** err_msg, casadi::Sparsity* obj, int x0, int x1, std::vector< int >* x2, std::vector< int >* x3, std::vector< int >* x4, std::vector< int >* x5){
    try {
        int x0_ = Marshaling<int,int>::marshal(x0);
        int x1_ = Marshaling<int,int>::marshal(x1);
        std::vector< int > x2_ = Marshaling<std::vector< int >,std::vector< int >*>::marshal(x2);
        std::vector< int > x3_ = Marshaling<std::vector< int >,std::vector< int >*>::marshal(x3);
        std::vector< int > x4_ = Marshaling<std::vector< int >,std::vector< int >*>::marshal(x4);
        std::vector< bool > x5_ = Marshaling<std::vector< bool >,std::vector< int >*>::marshal(x5);

        int ret = obj->dfs(x0_, x1_, x2_, x3_, x4_, x5_);
        // x0 is not a swig output
        // x1 is not a swig output
        // x2 is not a swig output
        // x3 is not a swig output
        // x4 is not a swig output
        // x5 is not a swig output

        return WrapReturn< int, int >::wrapReturn( ret );
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return 0;
    }
}


// ================== Static method: "diag" ===============
// class: "casadi::Sparsity"
// cppName: "casadi::Sparsity::diag"
// cWrapperName: "casadi__Sparsity__diag__0"
// protoArgs: "(std::string ** err_msg, std::pair< int, int >* x0)"
// args: "(x0_)"
// rettype: UserType (Namespace ["casadi"]) (Name "Sparsity")
// cWrapperRetType: "casadi::Sparsity*"
// proto: "casadi::Sparsity*\n    casadi__Sparsity__diag__0(std::string ** err_msg, std::pair< int, int >* x0)"
// call: "        casadi::Sparsity ret = casadi::Sparsity::diag(x0_);"
// params: [(Ref (Const (StdPair CInt CInt)),SwigOutput False)]
extern "C"
casadi::Sparsity*
    casadi__Sparsity__diag__0(std::string ** err_msg, std::pair< int, int >* x0);
casadi::Sparsity*
    casadi__Sparsity__diag__0(std::string ** err_msg, std::pair< int, int >* x0){
    try {
        std::pair< int, int > x0_ = Marshaling<std::pair< int, int >,std::pair< int, int >*>::marshal(x0);

        casadi::Sparsity ret = casadi::Sparsity::diag(x0_);
        // x0 is not a swig output

        return WrapReturn< casadi::Sparsity*, casadi::Sparsity >::wrapReturn( ret );
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return 0;
    }
}


// ================== Static method: "diag" ===============
// class: "casadi::Sparsity"
// cppName: "casadi::Sparsity::diag"
// cWrapperName: "casadi__Sparsity__diag__1"
// protoArgs: "(std::string ** err_msg, int x0, int x1)"
// args: "(x0_, x1_)"
// rettype: UserType (Namespace ["casadi"]) (Name "Sparsity")
// cWrapperRetType: "casadi::Sparsity*"
// proto: "casadi::Sparsity*\n    casadi__Sparsity__diag__1(std::string ** err_msg, int x0, int x1)"
// call: "        casadi::Sparsity ret = casadi::Sparsity::diag(x0_, x1_);"
// params: [(CInt,SwigOutput False),(CInt,SwigOutput False)]
extern "C"
casadi::Sparsity*
    casadi__Sparsity__diag__1(std::string ** err_msg, int x0, int x1);
casadi::Sparsity*
    casadi__Sparsity__diag__1(std::string ** err_msg, int x0, int x1){
    try {
        int x0_ = Marshaling<int,int>::marshal(x0);
        int x1_ = Marshaling<int,int>::marshal(x1);

        casadi::Sparsity ret = casadi::Sparsity::diag(x0_, x1_);
        // x0 is not a swig output
        // x1 is not a swig output

        return WrapReturn< casadi::Sparsity*, casadi::Sparsity >::wrapReturn( ret );
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return 0;
    }
}


// ================== Static method: "diag" ===============
// class: "casadi::Sparsity"
// cppName: "casadi::Sparsity::diag"
// cWrapperName: "casadi__Sparsity__diag__2"
// protoArgs: "(std::string ** err_msg, int x0)"
// args: "(x0_)"
// rettype: UserType (Namespace ["casadi"]) (Name "Sparsity")
// cWrapperRetType: "casadi::Sparsity*"
// proto: "casadi::Sparsity*\n    casadi__Sparsity__diag__2(std::string ** err_msg, int x0)"
// call: "        casadi::Sparsity ret = casadi::Sparsity::diag(x0_);"
// params: [(CInt,SwigOutput False)]
extern "C"
casadi::Sparsity*
    casadi__Sparsity__diag__2(std::string ** err_msg, int x0);
casadi::Sparsity*
    casadi__Sparsity__diag__2(std::string ** err_msg, int x0){
    try {
        int x0_ = Marshaling<int,int>::marshal(x0);

        casadi::Sparsity ret = casadi::Sparsity::diag(x0_);
        // x0 is not a swig output

        return WrapReturn< casadi::Sparsity*, casadi::Sparsity >::wrapReturn( ret );
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return 0;
    }
}


// ================== Normal method: "dim" ===============
// class: "casadi::Sparsity"
// cppName: "casadi::Sparsity::dim"
// cWrapperName: "casadi__Sparsity__dim"
// protoArgs: "(std::string ** err_msg, casadi::Sparsity* obj)"
// args: "()"
// rettype: StdString
// cWrapperRetType: "std::string*"
// proto: "std::string*\n    casadi__Sparsity__dim(std::string ** err_msg, casadi::Sparsity* obj)"
// call: "        std::string ret = obj->dim();"
// params: []
extern "C"
std::string*
    casadi__Sparsity__dim(std::string ** err_msg, casadi::Sparsity* obj);
std::string*
    casadi__Sparsity__dim(std::string ** err_msg, casadi::Sparsity* obj){
    try {

        std::string ret = obj->dim();

        return WrapReturn< std::string*, std::string >::wrapReturn( ret );
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return 0;
    }
}


// ================== Normal method: "enlarge" ===============
// class: "casadi::Sparsity"
// cppName: "casadi::Sparsity::enlarge"
// cWrapperName: "casadi__Sparsity__enlarge__0"
// protoArgs: "(std::string ** err_msg, casadi::Sparsity* obj, int x0, int x1, std::vector< int >* x2, std::vector< int >* x3)"
// args: "(x0_, x1_, x2_, x3_)"
// rettype: CVoid
// cWrapperRetType: "void"
// proto: "void\n    casadi__Sparsity__enlarge__0(std::string ** err_msg, casadi::Sparsity* obj, int x0, int x1, std::vector< int >* x2, std::vector< int >* x3)"
// call: "        obj->enlarge(x0_, x1_, x2_, x3_);"
// params: [(CInt,SwigOutput False),(CInt,SwigOutput False),(Ref (Const (StdVec CInt)),SwigOutput False),(Ref (Const (StdVec CInt)),SwigOutput False)]
extern "C"
void
    casadi__Sparsity__enlarge__0(std::string ** err_msg, casadi::Sparsity* obj, int x0, int x1, std::vector< int >* x2, std::vector< int >* x3);
void
    casadi__Sparsity__enlarge__0(std::string ** err_msg, casadi::Sparsity* obj, int x0, int x1, std::vector< int >* x2, std::vector< int >* x3){
    try {
        int x0_ = Marshaling<int,int>::marshal(x0);
        int x1_ = Marshaling<int,int>::marshal(x1);
        std::vector< int > x2_ = Marshaling<std::vector< int >,std::vector< int >*>::marshal(x2);
        std::vector< int > x3_ = Marshaling<std::vector< int >,std::vector< int >*>::marshal(x3);

        obj->enlarge(x0_, x1_, x2_, x3_);
        // x0 is not a swig output
        // x1 is not a swig output
        // x2 is not a swig output
        // x3 is not a swig output

        return;
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return;
    }
}


// ================== Normal method: "enlarge" ===============
// class: "casadi::Sparsity"
// cppName: "casadi::Sparsity::enlarge"
// cWrapperName: "casadi__Sparsity__enlarge__1"
// protoArgs: "(std::string ** err_msg, casadi::Sparsity* obj, int x0, int x1, std::vector< int >* x2, std::vector< int >* x3, int x4)"
// args: "(x0_, x1_, x2_, x3_, x4_)"
// rettype: CVoid
// cWrapperRetType: "void"
// proto: "void\n    casadi__Sparsity__enlarge__1(std::string ** err_msg, casadi::Sparsity* obj, int x0, int x1, std::vector< int >* x2, std::vector< int >* x3, int x4)"
// call: "        obj->enlarge(x0_, x1_, x2_, x3_, x4_);"
// params: [(CInt,SwigOutput False),(CInt,SwigOutput False),(Ref (Const (StdVec CInt)),SwigOutput False),(Ref (Const (StdVec CInt)),SwigOutput False),(CBool,SwigOutput False)]
extern "C"
void
    casadi__Sparsity__enlarge__1(std::string ** err_msg, casadi::Sparsity* obj, int x0, int x1, std::vector< int >* x2, std::vector< int >* x3, int x4);
void
    casadi__Sparsity__enlarge__1(std::string ** err_msg, casadi::Sparsity* obj, int x0, int x1, std::vector< int >* x2, std::vector< int >* x3, int x4){
    try {
        int x0_ = Marshaling<int,int>::marshal(x0);
        int x1_ = Marshaling<int,int>::marshal(x1);
        std::vector< int > x2_ = Marshaling<std::vector< int >,std::vector< int >*>::marshal(x2);
        std::vector< int > x3_ = Marshaling<std::vector< int >,std::vector< int >*>::marshal(x3);
        bool x4_ = Marshaling<bool,int>::marshal(x4);

        obj->enlarge(x0_, x1_, x2_, x3_, x4_);
        // x0 is not a swig output
        // x1 is not a swig output
        // x2 is not a swig output
        // x3 is not a swig output
        // x4 is not a swig output

        return;
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return;
    }
}


// ================== Normal method: "enlargeColumns" ===============
// class: "casadi::Sparsity"
// cppName: "casadi::Sparsity::enlargeColumns"
// cWrapperName: "casadi__Sparsity__enlargeColumns__0"
// protoArgs: "(std::string ** err_msg, casadi::Sparsity* obj, int x0, std::vector< int >* x1)"
// args: "(x0_, x1_)"
// rettype: CVoid
// cWrapperRetType: "void"
// proto: "void\n    casadi__Sparsity__enlargeColumns__0(std::string ** err_msg, casadi::Sparsity* obj, int x0, std::vector< int >* x1)"
// call: "        obj->enlargeColumns(x0_, x1_);"
// params: [(CInt,SwigOutput False),(Ref (Const (StdVec CInt)),SwigOutput False)]
extern "C"
void
    casadi__Sparsity__enlargeColumns__0(std::string ** err_msg, casadi::Sparsity* obj, int x0, std::vector< int >* x1);
void
    casadi__Sparsity__enlargeColumns__0(std::string ** err_msg, casadi::Sparsity* obj, int x0, std::vector< int >* x1){
    try {
        int x0_ = Marshaling<int,int>::marshal(x0);
        std::vector< int > x1_ = Marshaling<std::vector< int >,std::vector< int >*>::marshal(x1);

        obj->enlargeColumns(x0_, x1_);
        // x0 is not a swig output
        // x1 is not a swig output

        return;
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return;
    }
}


// ================== Normal method: "enlargeColumns" ===============
// class: "casadi::Sparsity"
// cppName: "casadi::Sparsity::enlargeColumns"
// cWrapperName: "casadi__Sparsity__enlargeColumns__1"
// protoArgs: "(std::string ** err_msg, casadi::Sparsity* obj, int x0, std::vector< int >* x1, int x2)"
// args: "(x0_, x1_, x2_)"
// rettype: CVoid
// cWrapperRetType: "void"
// proto: "void\n    casadi__Sparsity__enlargeColumns__1(std::string ** err_msg, casadi::Sparsity* obj, int x0, std::vector< int >* x1, int x2)"
// call: "        obj->enlargeColumns(x0_, x1_, x2_);"
// params: [(CInt,SwigOutput False),(Ref (Const (StdVec CInt)),SwigOutput False),(CBool,SwigOutput False)]
extern "C"
void
    casadi__Sparsity__enlargeColumns__1(std::string ** err_msg, casadi::Sparsity* obj, int x0, std::vector< int >* x1, int x2);
void
    casadi__Sparsity__enlargeColumns__1(std::string ** err_msg, casadi::Sparsity* obj, int x0, std::vector< int >* x1, int x2){
    try {
        int x0_ = Marshaling<int,int>::marshal(x0);
        std::vector< int > x1_ = Marshaling<std::vector< int >,std::vector< int >*>::marshal(x1);
        bool x2_ = Marshaling<bool,int>::marshal(x2);

        obj->enlargeColumns(x0_, x1_, x2_);
        // x0 is not a swig output
        // x1 is not a swig output
        // x2 is not a swig output

        return;
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return;
    }
}


// ================== Normal method: "enlargeRows" ===============
// class: "casadi::Sparsity"
// cppName: "casadi::Sparsity::enlargeRows"
// cWrapperName: "casadi__Sparsity__enlargeRows__0"
// protoArgs: "(std::string ** err_msg, casadi::Sparsity* obj, int x0, std::vector< int >* x1)"
// args: "(x0_, x1_)"
// rettype: CVoid
// cWrapperRetType: "void"
// proto: "void\n    casadi__Sparsity__enlargeRows__0(std::string ** err_msg, casadi::Sparsity* obj, int x0, std::vector< int >* x1)"
// call: "        obj->enlargeRows(x0_, x1_);"
// params: [(CInt,SwigOutput False),(Ref (Const (StdVec CInt)),SwigOutput False)]
extern "C"
void
    casadi__Sparsity__enlargeRows__0(std::string ** err_msg, casadi::Sparsity* obj, int x0, std::vector< int >* x1);
void
    casadi__Sparsity__enlargeRows__0(std::string ** err_msg, casadi::Sparsity* obj, int x0, std::vector< int >* x1){
    try {
        int x0_ = Marshaling<int,int>::marshal(x0);
        std::vector< int > x1_ = Marshaling<std::vector< int >,std::vector< int >*>::marshal(x1);

        obj->enlargeRows(x0_, x1_);
        // x0 is not a swig output
        // x1 is not a swig output

        return;
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return;
    }
}


// ================== Normal method: "enlargeRows" ===============
// class: "casadi::Sparsity"
// cppName: "casadi::Sparsity::enlargeRows"
// cWrapperName: "casadi__Sparsity__enlargeRows__1"
// protoArgs: "(std::string ** err_msg, casadi::Sparsity* obj, int x0, std::vector< int >* x1, int x2)"
// args: "(x0_, x1_, x2_)"
// rettype: CVoid
// cWrapperRetType: "void"
// proto: "void\n    casadi__Sparsity__enlargeRows__1(std::string ** err_msg, casadi::Sparsity* obj, int x0, std::vector< int >* x1, int x2)"
// call: "        obj->enlargeRows(x0_, x1_, x2_);"
// params: [(CInt,SwigOutput False),(Ref (Const (StdVec CInt)),SwigOutput False),(CBool,SwigOutput False)]
extern "C"
void
    casadi__Sparsity__enlargeRows__1(std::string ** err_msg, casadi::Sparsity* obj, int x0, std::vector< int >* x1, int x2);
void
    casadi__Sparsity__enlargeRows__1(std::string ** err_msg, casadi::Sparsity* obj, int x0, std::vector< int >* x1, int x2){
    try {
        int x0_ = Marshaling<int,int>::marshal(x0);
        std::vector< int > x1_ = Marshaling<std::vector< int >,std::vector< int >*>::marshal(x1);
        bool x2_ = Marshaling<bool,int>::marshal(x2);

        obj->enlargeRows(x0_, x1_, x2_);
        // x0 is not a swig output
        // x1 is not a swig output
        // x2 is not a swig output

        return;
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return;
    }
}


// ================== Normal method: "erase" ===============
// class: "casadi::Sparsity"
// cppName: "casadi::Sparsity::erase"
// cWrapperName: "casadi__Sparsity__erase__0"
// protoArgs: "(std::string ** err_msg, casadi::Sparsity* obj, std::vector< int >* x0)"
// args: "(x0_)"
// rettype: StdVec CInt
// cWrapperRetType: "std::vector< int >*"
// proto: "std::vector< int >*\n    casadi__Sparsity__erase__0(std::string ** err_msg, casadi::Sparsity* obj, std::vector< int >* x0)"
// call: "        std::vector< int > ret = obj->erase(x0_);"
// params: [(Ref (Const (StdVec CInt)),SwigOutput False)]
extern "C"
std::vector< int >*
    casadi__Sparsity__erase__0(std::string ** err_msg, casadi::Sparsity* obj, std::vector< int >* x0);
std::vector< int >*
    casadi__Sparsity__erase__0(std::string ** err_msg, casadi::Sparsity* obj, std::vector< int >* x0){
    try {
        std::vector< int > x0_ = Marshaling<std::vector< int >,std::vector< int >*>::marshal(x0);

        std::vector< int > ret = obj->erase(x0_);
        // x0 is not a swig output

        return WrapReturn< std::vector< int >*, std::vector< int > >::wrapReturn( ret );
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return 0;
    }
}


// ================== Normal method: "erase" ===============
// class: "casadi::Sparsity"
// cppName: "casadi::Sparsity::erase"
// cWrapperName: "casadi__Sparsity__erase__1"
// protoArgs: "(std::string ** err_msg, casadi::Sparsity* obj, std::vector< int >* x0, int x1)"
// args: "(x0_, x1_)"
// rettype: StdVec CInt
// cWrapperRetType: "std::vector< int >*"
// proto: "std::vector< int >*\n    casadi__Sparsity__erase__1(std::string ** err_msg, casadi::Sparsity* obj, std::vector< int >* x0, int x1)"
// call: "        std::vector< int > ret = obj->erase(x0_, x1_);"
// params: [(Ref (Const (StdVec CInt)),SwigOutput False),(CBool,SwigOutput False)]
extern "C"
std::vector< int >*
    casadi__Sparsity__erase__1(std::string ** err_msg, casadi::Sparsity* obj, std::vector< int >* x0, int x1);
std::vector< int >*
    casadi__Sparsity__erase__1(std::string ** err_msg, casadi::Sparsity* obj, std::vector< int >* x0, int x1){
    try {
        std::vector< int > x0_ = Marshaling<std::vector< int >,std::vector< int >*>::marshal(x0);
        bool x1_ = Marshaling<bool,int>::marshal(x1);

        std::vector< int > ret = obj->erase(x0_, x1_);
        // x0 is not a swig output
        // x1 is not a swig output

        return WrapReturn< std::vector< int >*, std::vector< int > >::wrapReturn( ret );
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return 0;
    }
}


// ================== Normal method: "erase" ===============
// class: "casadi::Sparsity"
// cppName: "casadi::Sparsity::erase"
// cWrapperName: "casadi__Sparsity__erase__2"
// protoArgs: "(std::string ** err_msg, casadi::Sparsity* obj, std::vector< int >* x0, std::vector< int >* x1)"
// args: "(x0_, x1_)"
// rettype: StdVec CInt
// cWrapperRetType: "std::vector< int >*"
// proto: "std::vector< int >*\n    casadi__Sparsity__erase__2(std::string ** err_msg, casadi::Sparsity* obj, std::vector< int >* x0, std::vector< int >* x1)"
// call: "        std::vector< int > ret = obj->erase(x0_, x1_);"
// params: [(Ref (Const (StdVec CInt)),SwigOutput False),(Ref (Const (StdVec CInt)),SwigOutput False)]
extern "C"
std::vector< int >*
    casadi__Sparsity__erase__2(std::string ** err_msg, casadi::Sparsity* obj, std::vector< int >* x0, std::vector< int >* x1);
std::vector< int >*
    casadi__Sparsity__erase__2(std::string ** err_msg, casadi::Sparsity* obj, std::vector< int >* x0, std::vector< int >* x1){
    try {
        std::vector< int > x0_ = Marshaling<std::vector< int >,std::vector< int >*>::marshal(x0);
        std::vector< int > x1_ = Marshaling<std::vector< int >,std::vector< int >*>::marshal(x1);

        std::vector< int > ret = obj->erase(x0_, x1_);
        // x0 is not a swig output
        // x1 is not a swig output

        return WrapReturn< std::vector< int >*, std::vector< int > >::wrapReturn( ret );
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return 0;
    }
}


// ================== Normal method: "erase" ===============
// class: "casadi::Sparsity"
// cppName: "casadi::Sparsity::erase"
// cWrapperName: "casadi__Sparsity__erase__3"
// protoArgs: "(std::string ** err_msg, casadi::Sparsity* obj, std::vector< int >* x0, std::vector< int >* x1, int x2)"
// args: "(x0_, x1_, x2_)"
// rettype: StdVec CInt
// cWrapperRetType: "std::vector< int >*"
// proto: "std::vector< int >*\n    casadi__Sparsity__erase__3(std::string ** err_msg, casadi::Sparsity* obj, std::vector< int >* x0, std::vector< int >* x1, int x2)"
// call: "        std::vector< int > ret = obj->erase(x0_, x1_, x2_);"
// params: [(Ref (Const (StdVec CInt)),SwigOutput False),(Ref (Const (StdVec CInt)),SwigOutput False),(CBool,SwigOutput False)]
extern "C"
std::vector< int >*
    casadi__Sparsity__erase__3(std::string ** err_msg, casadi::Sparsity* obj, std::vector< int >* x0, std::vector< int >* x1, int x2);
std::vector< int >*
    casadi__Sparsity__erase__3(std::string ** err_msg, casadi::Sparsity* obj, std::vector< int >* x0, std::vector< int >* x1, int x2){
    try {
        std::vector< int > x0_ = Marshaling<std::vector< int >,std::vector< int >*>::marshal(x0);
        std::vector< int > x1_ = Marshaling<std::vector< int >,std::vector< int >*>::marshal(x1);
        bool x2_ = Marshaling<bool,int>::marshal(x2);

        std::vector< int > ret = obj->erase(x0_, x1_, x2_);
        // x0 is not a swig output
        // x1 is not a swig output
        // x2 is not a swig output

        return WrapReturn< std::vector< int >*, std::vector< int > >::wrapReturn( ret );
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return 0;
    }
}


// ================== Normal method: "etree" ===============
// class: "casadi::Sparsity"
// cppName: "casadi::Sparsity::etree"
// cWrapperName: "casadi__Sparsity__etree__0"
// protoArgs: "(std::string ** err_msg, casadi::Sparsity* obj)"
// args: "()"
// rettype: StdVec CInt
// cWrapperRetType: "std::vector< int >*"
// proto: "std::vector< int >*\n    casadi__Sparsity__etree__0(std::string ** err_msg, casadi::Sparsity* obj)"
// call: "        std::vector< int > ret = obj->etree();"
// params: []
extern "C"
std::vector< int >*
    casadi__Sparsity__etree__0(std::string ** err_msg, casadi::Sparsity* obj);
std::vector< int >*
    casadi__Sparsity__etree__0(std::string ** err_msg, casadi::Sparsity* obj){
    try {

        std::vector< int > ret = obj->etree();

        return WrapReturn< std::vector< int >*, std::vector< int > >::wrapReturn( ret );
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return 0;
    }
}


// ================== Normal method: "etree" ===============
// class: "casadi::Sparsity"
// cppName: "casadi::Sparsity::etree"
// cWrapperName: "casadi__Sparsity__etree__1"
// protoArgs: "(std::string ** err_msg, casadi::Sparsity* obj, int x0)"
// args: "(x0_)"
// rettype: StdVec CInt
// cWrapperRetType: "std::vector< int >*"
// proto: "std::vector< int >*\n    casadi__Sparsity__etree__1(std::string ** err_msg, casadi::Sparsity* obj, int x0)"
// call: "        std::vector< int > ret = obj->etree(x0_);"
// params: [(CBool,SwigOutput False)]
extern "C"
std::vector< int >*
    casadi__Sparsity__etree__1(std::string ** err_msg, casadi::Sparsity* obj, int x0);
std::vector< int >*
    casadi__Sparsity__etree__1(std::string ** err_msg, casadi::Sparsity* obj, int x0){
    try {
        bool x0_ = Marshaling<bool,int>::marshal(x0);

        std::vector< int > ret = obj->etree(x0_);
        // x0 is not a swig output

        return WrapReturn< std::vector< int >*, std::vector< int > >::wrapReturn( ret );
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return 0;
    }
}


// ================== Normal method: "find" ===============
// class: "casadi::Sparsity"
// cppName: "casadi::Sparsity::find"
// cWrapperName: "casadi__Sparsity__find__0"
// protoArgs: "(std::string ** err_msg, casadi::Sparsity* obj)"
// args: "()"
// rettype: StdVec CInt
// cWrapperRetType: "std::vector< int >*"
// proto: "std::vector< int >*\n    casadi__Sparsity__find__0(std::string ** err_msg, casadi::Sparsity* obj)"
// call: "        std::vector< int > ret = obj->find();"
// params: []
extern "C"
std::vector< int >*
    casadi__Sparsity__find__0(std::string ** err_msg, casadi::Sparsity* obj);
std::vector< int >*
    casadi__Sparsity__find__0(std::string ** err_msg, casadi::Sparsity* obj){
    try {

        std::vector< int > ret = obj->find();

        return WrapReturn< std::vector< int >*, std::vector< int > >::wrapReturn( ret );
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return 0;
    }
}


// ================== Normal method: "find" ===============
// class: "casadi::Sparsity"
// cppName: "casadi::Sparsity::find"
// cWrapperName: "casadi__Sparsity__find__1"
// protoArgs: "(std::string ** err_msg, casadi::Sparsity* obj, int x0)"
// args: "(x0_)"
// rettype: StdVec CInt
// cWrapperRetType: "std::vector< int >*"
// proto: "std::vector< int >*\n    casadi__Sparsity__find__1(std::string ** err_msg, casadi::Sparsity* obj, int x0)"
// call: "        std::vector< int > ret = obj->find(x0_);"
// params: [(CBool,SwigOutput False)]
extern "C"
std::vector< int >*
    casadi__Sparsity__find__1(std::string ** err_msg, casadi::Sparsity* obj, int x0);
std::vector< int >*
    casadi__Sparsity__find__1(std::string ** err_msg, casadi::Sparsity* obj, int x0){
    try {
        bool x0_ = Marshaling<bool,int>::marshal(x0);

        std::vector< int > ret = obj->find(x0_);
        // x0 is not a swig output

        return WrapReturn< std::vector< int >*, std::vector< int > >::wrapReturn( ret );
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return 0;
    }
}


// ================== Normal method: "get_ccs" ===============
// class: "casadi::Sparsity"
// cppName: "casadi::Sparsity::get_ccs"
// cWrapperName: "casadi__Sparsity__get_ccs"
// protoArgs: "(std::string ** err_msg, casadi::Sparsity* obj, std::vector< int >** x0, std::vector< int >** x1)"
// args: "(x0_, x1_)"
// rettype: CVoid
// cWrapperRetType: "void"
// proto: "void\n    casadi__Sparsity__get_ccs(std::string ** err_msg, casadi::Sparsity* obj, std::vector< int >** x0, std::vector< int >** x1)"
// call: "        obj->get_ccs(x0_, x1_);"
// params: [(Ref (StdVec CInt),SwigOutput True),(Ref (StdVec CInt),SwigOutput True)]
extern "C"
void
    casadi__Sparsity__get_ccs(std::string ** err_msg, casadi::Sparsity* obj, std::vector< int >** x0, std::vector< int >** x1);
void
    casadi__Sparsity__get_ccs(std::string ** err_msg, casadi::Sparsity* obj, std::vector< int >** x0, std::vector< int >** x1){
    try {
        std::vector< int > x0_ = std::vector< int >();  // Swig output
        std::vector< int > x1_ = std::vector< int >();  // Swig output

        obj->get_ccs(x0_, x1_);
        *x0 = WrapReturn< std::vector< int >*, std::vector< int > >::wrapReturn( x0_ );
        *x1 = WrapReturn< std::vector< int >*, std::vector< int > >::wrapReturn( x1_ );

        return;
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return;
    }
}


// ================== Normal method: "get_col" ===============
// class: "casadi::Sparsity"
// cppName: "casadi::Sparsity::get_col"
// cWrapperName: "casadi__Sparsity__get_col"
// protoArgs: "(std::string ** err_msg, casadi::Sparsity* obj)"
// args: "()"
// rettype: StdVec CInt
// cWrapperRetType: "std::vector< int >*"
// proto: "std::vector< int >*\n    casadi__Sparsity__get_col(std::string ** err_msg, casadi::Sparsity* obj)"
// call: "        std::vector< int > ret = obj->get_col();"
// params: []
extern "C"
std::vector< int >*
    casadi__Sparsity__get_col(std::string ** err_msg, casadi::Sparsity* obj);
std::vector< int >*
    casadi__Sparsity__get_col(std::string ** err_msg, casadi::Sparsity* obj){
    try {

        std::vector< int > ret = obj->get_col();

        return WrapReturn< std::vector< int >*, std::vector< int > >::wrapReturn( ret );
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return 0;
    }
}


// ================== Normal method: "get_colind" ===============
// class: "casadi::Sparsity"
// cppName: "casadi::Sparsity::get_colind"
// cWrapperName: "casadi__Sparsity__get_colind"
// protoArgs: "(std::string ** err_msg, casadi::Sparsity* obj)"
// args: "()"
// rettype: StdVec CInt
// cWrapperRetType: "std::vector< int >*"
// proto: "std::vector< int >*\n    casadi__Sparsity__get_colind(std::string ** err_msg, casadi::Sparsity* obj)"
// call: "        std::vector< int > ret = obj->get_colind();"
// params: []
extern "C"
std::vector< int >*
    casadi__Sparsity__get_colind(std::string ** err_msg, casadi::Sparsity* obj);
std::vector< int >*
    casadi__Sparsity__get_colind(std::string ** err_msg, casadi::Sparsity* obj){
    try {

        std::vector< int > ret = obj->get_colind();

        return WrapReturn< std::vector< int >*, std::vector< int > >::wrapReturn( ret );
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return 0;
    }
}


// ================== Normal method: "get_crs" ===============
// class: "casadi::Sparsity"
// cppName: "casadi::Sparsity::get_crs"
// cWrapperName: "casadi__Sparsity__get_crs"
// protoArgs: "(std::string ** err_msg, casadi::Sparsity* obj, std::vector< int >** x0, std::vector< int >** x1)"
// args: "(x0_, x1_)"
// rettype: CVoid
// cWrapperRetType: "void"
// proto: "void\n    casadi__Sparsity__get_crs(std::string ** err_msg, casadi::Sparsity* obj, std::vector< int >** x0, std::vector< int >** x1)"
// call: "        obj->get_crs(x0_, x1_);"
// params: [(Ref (StdVec CInt),SwigOutput True),(Ref (StdVec CInt),SwigOutput True)]
extern "C"
void
    casadi__Sparsity__get_crs(std::string ** err_msg, casadi::Sparsity* obj, std::vector< int >** x0, std::vector< int >** x1);
void
    casadi__Sparsity__get_crs(std::string ** err_msg, casadi::Sparsity* obj, std::vector< int >** x0, std::vector< int >** x1){
    try {
        std::vector< int > x0_ = std::vector< int >();  // Swig output
        std::vector< int > x1_ = std::vector< int >();  // Swig output

        obj->get_crs(x0_, x1_);
        *x0 = WrapReturn< std::vector< int >*, std::vector< int > >::wrapReturn( x0_ );
        *x1 = WrapReturn< std::vector< int >*, std::vector< int > >::wrapReturn( x1_ );

        return;
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return;
    }
}


// ================== Normal method: "get_diag" ===============
// class: "casadi::Sparsity"
// cppName: "casadi::Sparsity::get_diag"
// cWrapperName: "casadi__Sparsity__get_diag"
// protoArgs: "(std::string ** err_msg, casadi::Sparsity* obj, std::vector< int >** x0)"
// args: "(x0_)"
// rettype: UserType (Namespace ["casadi"]) (Name "Sparsity")
// cWrapperRetType: "casadi::Sparsity*"
// proto: "casadi::Sparsity*\n    casadi__Sparsity__get_diag(std::string ** err_msg, casadi::Sparsity* obj, std::vector< int >** x0)"
// call: "        casadi::Sparsity ret = obj->get_diag(x0_);"
// params: [(Ref (StdVec CInt),SwigOutput True)]
extern "C"
casadi::Sparsity*
    casadi__Sparsity__get_diag(std::string ** err_msg, casadi::Sparsity* obj, std::vector< int >** x0);
casadi::Sparsity*
    casadi__Sparsity__get_diag(std::string ** err_msg, casadi::Sparsity* obj, std::vector< int >** x0){
    try {
        std::vector< int > x0_ = std::vector< int >();  // Swig output

        casadi::Sparsity ret = obj->get_diag(x0_);
        *x0 = WrapReturn< std::vector< int >*, std::vector< int > >::wrapReturn( x0_ );

        return WrapReturn< casadi::Sparsity*, casadi::Sparsity >::wrapReturn( ret );
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return 0;
    }
}


// ================== Normal method: "get_lower" ===============
// class: "casadi::Sparsity"
// cppName: "casadi::Sparsity::get_lower"
// cWrapperName: "casadi__Sparsity__get_lower"
// protoArgs: "(std::string ** err_msg, casadi::Sparsity* obj)"
// args: "()"
// rettype: StdVec CInt
// cWrapperRetType: "std::vector< int >*"
// proto: "std::vector< int >*\n    casadi__Sparsity__get_lower(std::string ** err_msg, casadi::Sparsity* obj)"
// call: "        std::vector< int > ret = obj->get_lower();"
// params: []
extern "C"
std::vector< int >*
    casadi__Sparsity__get_lower(std::string ** err_msg, casadi::Sparsity* obj);
std::vector< int >*
    casadi__Sparsity__get_lower(std::string ** err_msg, casadi::Sparsity* obj){
    try {

        std::vector< int > ret = obj->get_lower();

        return WrapReturn< std::vector< int >*, std::vector< int > >::wrapReturn( ret );
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return 0;
    }
}


// ================== Normal method: "get_nz" ===============
// class: "casadi::Sparsity"
// cppName: "casadi::Sparsity::get_nz"
// cWrapperName: "casadi__Sparsity__get_nz__0"
// protoArgs: "(std::string ** err_msg, casadi::Sparsity* obj, std::vector< int >* x0)"
// args: "(x0_)"
// rettype: CVoid
// cWrapperRetType: "void"
// proto: "void\n    casadi__Sparsity__get_nz__0(std::string ** err_msg, casadi::Sparsity* obj, std::vector< int >* x0)"
// call: "        obj->get_nz(x0_);"
// params: [(Ref (StdVec CInt),SwigOutput False)]
extern "C"
void
    casadi__Sparsity__get_nz__0(std::string ** err_msg, casadi::Sparsity* obj, std::vector< int >* x0);
void
    casadi__Sparsity__get_nz__0(std::string ** err_msg, casadi::Sparsity* obj, std::vector< int >* x0){
    try {
        std::vector< int > x0_ = Marshaling<std::vector< int >,std::vector< int >*>::marshal(x0);

        obj->get_nz(x0_);
        // x0 is not a swig output

        return;
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return;
    }
}


// ================== Normal method: "get_nz" ===============
// class: "casadi::Sparsity"
// cppName: "casadi::Sparsity::get_nz"
// cWrapperName: "casadi__Sparsity__get_nz__1"
// protoArgs: "(std::string ** err_msg, casadi::Sparsity* obj, std::vector< int >* x0, std::vector< int >* x1)"
// args: "(x0_, x1_)"
// rettype: StdVec CInt
// cWrapperRetType: "std::vector< int >*"
// proto: "std::vector< int >*\n    casadi__Sparsity__get_nz__1(std::string ** err_msg, casadi::Sparsity* obj, std::vector< int >* x0, std::vector< int >* x1)"
// call: "        std::vector< int > ret = obj->get_nz(x0_, x1_);"
// params: [(Ref (Const (StdVec CInt)),SwigOutput False),(Ref (Const (StdVec CInt)),SwigOutput False)]
extern "C"
std::vector< int >*
    casadi__Sparsity__get_nz__1(std::string ** err_msg, casadi::Sparsity* obj, std::vector< int >* x0, std::vector< int >* x1);
std::vector< int >*
    casadi__Sparsity__get_nz__1(std::string ** err_msg, casadi::Sparsity* obj, std::vector< int >* x0, std::vector< int >* x1){
    try {
        std::vector< int > x0_ = Marshaling<std::vector< int >,std::vector< int >*>::marshal(x0);
        std::vector< int > x1_ = Marshaling<std::vector< int >,std::vector< int >*>::marshal(x1);

        std::vector< int > ret = obj->get_nz(x0_, x1_);
        // x0 is not a swig output
        // x1 is not a swig output

        return WrapReturn< std::vector< int >*, std::vector< int > >::wrapReturn( ret );
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return 0;
    }
}


// ================== Normal method: "get_nz" ===============
// class: "casadi::Sparsity"
// cppName: "casadi::Sparsity::get_nz"
// cWrapperName: "casadi__Sparsity__get_nz__2"
// protoArgs: "(std::string ** err_msg, casadi::Sparsity* obj, int x0, int x1)"
// args: "(x0_, x1_)"
// rettype: CInt
// cWrapperRetType: "int"
// proto: "int\n    casadi__Sparsity__get_nz__2(std::string ** err_msg, casadi::Sparsity* obj, int x0, int x1)"
// call: "        int ret = obj->get_nz(x0_, x1_);"
// params: [(CInt,SwigOutput False),(CInt,SwigOutput False)]
extern "C"
int
    casadi__Sparsity__get_nz__2(std::string ** err_msg, casadi::Sparsity* obj, int x0, int x1);
int
    casadi__Sparsity__get_nz__2(std::string ** err_msg, casadi::Sparsity* obj, int x0, int x1){
    try {
        int x0_ = Marshaling<int,int>::marshal(x0);
        int x1_ = Marshaling<int,int>::marshal(x1);

        int ret = obj->get_nz(x0_, x1_);
        // x0 is not a swig output
        // x1 is not a swig output

        return WrapReturn< int, int >::wrapReturn( ret );
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return 0;
    }
}


// ================== Normal method: "get_row" ===============
// class: "casadi::Sparsity"
// cppName: "casadi::Sparsity::get_row"
// cWrapperName: "casadi__Sparsity__get_row"
// protoArgs: "(std::string ** err_msg, casadi::Sparsity* obj)"
// args: "()"
// rettype: StdVec CInt
// cWrapperRetType: "std::vector< int >*"
// proto: "std::vector< int >*\n    casadi__Sparsity__get_row(std::string ** err_msg, casadi::Sparsity* obj)"
// call: "        std::vector< int > ret = obj->get_row();"
// params: []
extern "C"
std::vector< int >*
    casadi__Sparsity__get_row(std::string ** err_msg, casadi::Sparsity* obj);
std::vector< int >*
    casadi__Sparsity__get_row(std::string ** err_msg, casadi::Sparsity* obj){
    try {

        std::vector< int > ret = obj->get_row();

        return WrapReturn< std::vector< int >*, std::vector< int > >::wrapReturn( ret );
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return 0;
    }
}


// ================== Normal method: "get_triplet" ===============
// class: "casadi::Sparsity"
// cppName: "casadi::Sparsity::get_triplet"
// cWrapperName: "casadi__Sparsity__get_triplet"
// protoArgs: "(std::string ** err_msg, casadi::Sparsity* obj, std::vector< int >** x0, std::vector< int >** x1)"
// args: "(x0_, x1_)"
// rettype: CVoid
// cWrapperRetType: "void"
// proto: "void\n    casadi__Sparsity__get_triplet(std::string ** err_msg, casadi::Sparsity* obj, std::vector< int >** x0, std::vector< int >** x1)"
// call: "        obj->get_triplet(x0_, x1_);"
// params: [(Ref (StdVec CInt),SwigOutput True),(Ref (StdVec CInt),SwigOutput True)]
extern "C"
void
    casadi__Sparsity__get_triplet(std::string ** err_msg, casadi::Sparsity* obj, std::vector< int >** x0, std::vector< int >** x1);
void
    casadi__Sparsity__get_triplet(std::string ** err_msg, casadi::Sparsity* obj, std::vector< int >** x0, std::vector< int >** x1){
    try {
        std::vector< int > x0_ = std::vector< int >();  // Swig output
        std::vector< int > x1_ = std::vector< int >();  // Swig output

        obj->get_triplet(x0_, x1_);
        *x0 = WrapReturn< std::vector< int >*, std::vector< int > >::wrapReturn( x0_ );
        *x1 = WrapReturn< std::vector< int >*, std::vector< int > >::wrapReturn( x1_ );

        return;
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return;
    }
}


// ================== Normal method: "get_upper" ===============
// class: "casadi::Sparsity"
// cppName: "casadi::Sparsity::get_upper"
// cWrapperName: "casadi__Sparsity__get_upper"
// protoArgs: "(std::string ** err_msg, casadi::Sparsity* obj)"
// args: "()"
// rettype: StdVec CInt
// cWrapperRetType: "std::vector< int >*"
// proto: "std::vector< int >*\n    casadi__Sparsity__get_upper(std::string ** err_msg, casadi::Sparsity* obj)"
// call: "        std::vector< int > ret = obj->get_upper();"
// params: []
extern "C"
std::vector< int >*
    casadi__Sparsity__get_upper(std::string ** err_msg, casadi::Sparsity* obj);
std::vector< int >*
    casadi__Sparsity__get_upper(std::string ** err_msg, casadi::Sparsity* obj){
    try {

        std::vector< int > ret = obj->get_upper();

        return WrapReturn< std::vector< int >*, std::vector< int > >::wrapReturn( ret );
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return 0;
    }
}


// ================== Normal method: "has_nz" ===============
// class: "casadi::Sparsity"
// cppName: "casadi::Sparsity::has_nz"
// cWrapperName: "casadi__Sparsity__has_nz"
// protoArgs: "(std::string ** err_msg, casadi::Sparsity* obj, int x0, int x1)"
// args: "(x0_, x1_)"
// rettype: CBool
// cWrapperRetType: "int"
// proto: "int\n    casadi__Sparsity__has_nz(std::string ** err_msg, casadi::Sparsity* obj, int x0, int x1)"
// call: "        bool ret = obj->has_nz(x0_, x1_);"
// params: [(CInt,SwigOutput False),(CInt,SwigOutput False)]
extern "C"
int
    casadi__Sparsity__has_nz(std::string ** err_msg, casadi::Sparsity* obj, int x0, int x1);
int
    casadi__Sparsity__has_nz(std::string ** err_msg, casadi::Sparsity* obj, int x0, int x1){
    try {
        int x0_ = Marshaling<int,int>::marshal(x0);
        int x1_ = Marshaling<int,int>::marshal(x1);

        bool ret = obj->has_nz(x0_, x1_);
        // x0 is not a swig output
        // x1 is not a swig output

        return WrapReturn< int, bool >::wrapReturn( ret );
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return 0;
    }
}


// ================== Normal method: "hash" ===============
// class: "casadi::Sparsity"
// cppName: "casadi::Sparsity::hash"
// cWrapperName: "casadi__Sparsity__hash"
// protoArgs: "(std::string ** err_msg, casadi::Sparsity* obj)"
// args: "()"
// rettype: CSize
// cWrapperRetType: "size_t"
// proto: "size_t\n    casadi__Sparsity__hash(std::string ** err_msg, casadi::Sparsity* obj)"
// call: "        size_t ret = obj->hash();"
// params: []
extern "C"
size_t
    casadi__Sparsity__hash(std::string ** err_msg, casadi::Sparsity* obj);
size_t
    casadi__Sparsity__hash(std::string ** err_msg, casadi::Sparsity* obj){
    try {

        size_t ret = obj->hash();

        return WrapReturn< size_t, size_t >::wrapReturn( ret );
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return 0;
    }
}


// ================== Normal method: "intersect" ===============
// class: "casadi::Sparsity"
// cppName: "casadi::Sparsity::intersect"
// cWrapperName: "casadi__Sparsity__intersect"
// protoArgs: "(std::string ** err_msg, casadi::Sparsity* obj, casadi::Sparsity* x0)"
// args: "(x0_)"
// rettype: UserType (Namespace ["casadi"]) (Name "Sparsity")
// cWrapperRetType: "casadi::Sparsity*"
// proto: "casadi::Sparsity*\n    casadi__Sparsity__intersect(std::string ** err_msg, casadi::Sparsity* obj, casadi::Sparsity* x0)"
// call: "        casadi::Sparsity ret = obj->intersect(x0_);"
// params: [(Ref (Const (UserType (Namespace ["casadi"]) (Name "Sparsity"))),SwigOutput False)]
extern "C"
casadi::Sparsity*
    casadi__Sparsity__intersect(std::string ** err_msg, casadi::Sparsity* obj, casadi::Sparsity* x0);
casadi::Sparsity*
    casadi__Sparsity__intersect(std::string ** err_msg, casadi::Sparsity* obj, casadi::Sparsity* x0){
    try {
        casadi::Sparsity& x0_ = Marshaling<casadi::Sparsity&,casadi::Sparsity*>::marshal(x0);

        casadi::Sparsity ret = obj->intersect(x0_);
        // x0 is not a swig output

        return WrapReturn< casadi::Sparsity*, casadi::Sparsity >::wrapReturn( ret );
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return 0;
    }
}


// ================== Normal method: "isReshape" ===============
// class: "casadi::Sparsity"
// cppName: "casadi::Sparsity::isReshape"
// cWrapperName: "casadi__Sparsity__isReshape"
// protoArgs: "(std::string ** err_msg, casadi::Sparsity* obj, casadi::Sparsity* x0)"
// args: "(x0_)"
// rettype: CBool
// cWrapperRetType: "int"
// proto: "int\n    casadi__Sparsity__isReshape(std::string ** err_msg, casadi::Sparsity* obj, casadi::Sparsity* x0)"
// call: "        bool ret = obj->isReshape(x0_);"
// params: [(Ref (Const (UserType (Namespace ["casadi"]) (Name "Sparsity"))),SwigOutput False)]
extern "C"
int
    casadi__Sparsity__isReshape(std::string ** err_msg, casadi::Sparsity* obj, casadi::Sparsity* x0);
int
    casadi__Sparsity__isReshape(std::string ** err_msg, casadi::Sparsity* obj, casadi::Sparsity* x0){
    try {
        casadi::Sparsity& x0_ = Marshaling<casadi::Sparsity&,casadi::Sparsity*>::marshal(x0);

        bool ret = obj->isReshape(x0_);
        // x0 is not a swig output

        return WrapReturn< int, bool >::wrapReturn( ret );
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return 0;
    }
}


// ================== Normal method: "is_column" ===============
// class: "casadi::Sparsity"
// cppName: "casadi::Sparsity::is_column"
// cWrapperName: "casadi__Sparsity__is_column"
// protoArgs: "(std::string ** err_msg, casadi::Sparsity* obj)"
// args: "()"
// rettype: CBool
// cWrapperRetType: "int"
// proto: "int\n    casadi__Sparsity__is_column(std::string ** err_msg, casadi::Sparsity* obj)"
// call: "        bool ret = obj->is_column();"
// params: []
extern "C"
int
    casadi__Sparsity__is_column(std::string ** err_msg, casadi::Sparsity* obj);
int
    casadi__Sparsity__is_column(std::string ** err_msg, casadi::Sparsity* obj){
    try {

        bool ret = obj->is_column();

        return WrapReturn< int, bool >::wrapReturn( ret );
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return 0;
    }
}


// ================== Normal method: "is_dense" ===============
// class: "casadi::Sparsity"
// cppName: "casadi::Sparsity::is_dense"
// cWrapperName: "casadi__Sparsity__is_dense"
// protoArgs: "(std::string ** err_msg, casadi::Sparsity* obj)"
// args: "()"
// rettype: CBool
// cWrapperRetType: "int"
// proto: "int\n    casadi__Sparsity__is_dense(std::string ** err_msg, casadi::Sparsity* obj)"
// call: "        bool ret = obj->is_dense();"
// params: []
extern "C"
int
    casadi__Sparsity__is_dense(std::string ** err_msg, casadi::Sparsity* obj);
int
    casadi__Sparsity__is_dense(std::string ** err_msg, casadi::Sparsity* obj){
    try {

        bool ret = obj->is_dense();

        return WrapReturn< int, bool >::wrapReturn( ret );
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return 0;
    }
}


// ================== Normal method: "is_diag" ===============
// class: "casadi::Sparsity"
// cppName: "casadi::Sparsity::is_diag"
// cWrapperName: "casadi__Sparsity__is_diag"
// protoArgs: "(std::string ** err_msg, casadi::Sparsity* obj)"
// args: "()"
// rettype: CBool
// cWrapperRetType: "int"
// proto: "int\n    casadi__Sparsity__is_diag(std::string ** err_msg, casadi::Sparsity* obj)"
// call: "        bool ret = obj->is_diag();"
// params: []
extern "C"
int
    casadi__Sparsity__is_diag(std::string ** err_msg, casadi::Sparsity* obj);
int
    casadi__Sparsity__is_diag(std::string ** err_msg, casadi::Sparsity* obj){
    try {

        bool ret = obj->is_diag();

        return WrapReturn< int, bool >::wrapReturn( ret );
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return 0;
    }
}


// ================== Normal method: "is_empty" ===============
// class: "casadi::Sparsity"
// cppName: "casadi::Sparsity::is_empty"
// cWrapperName: "casadi__Sparsity__is_empty__0"
// protoArgs: "(std::string ** err_msg, casadi::Sparsity* obj)"
// args: "()"
// rettype: CBool
// cWrapperRetType: "int"
// proto: "int\n    casadi__Sparsity__is_empty__0(std::string ** err_msg, casadi::Sparsity* obj)"
// call: "        bool ret = obj->is_empty();"
// params: []
extern "C"
int
    casadi__Sparsity__is_empty__0(std::string ** err_msg, casadi::Sparsity* obj);
int
    casadi__Sparsity__is_empty__0(std::string ** err_msg, casadi::Sparsity* obj){
    try {

        bool ret = obj->is_empty();

        return WrapReturn< int, bool >::wrapReturn( ret );
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return 0;
    }
}


// ================== Normal method: "is_empty" ===============
// class: "casadi::Sparsity"
// cppName: "casadi::Sparsity::is_empty"
// cWrapperName: "casadi__Sparsity__is_empty__1"
// protoArgs: "(std::string ** err_msg, casadi::Sparsity* obj, int x0)"
// args: "(x0_)"
// rettype: CBool
// cWrapperRetType: "int"
// proto: "int\n    casadi__Sparsity__is_empty__1(std::string ** err_msg, casadi::Sparsity* obj, int x0)"
// call: "        bool ret = obj->is_empty(x0_);"
// params: [(CBool,SwigOutput False)]
extern "C"
int
    casadi__Sparsity__is_empty__1(std::string ** err_msg, casadi::Sparsity* obj, int x0);
int
    casadi__Sparsity__is_empty__1(std::string ** err_msg, casadi::Sparsity* obj, int x0){
    try {
        bool x0_ = Marshaling<bool,int>::marshal(x0);

        bool ret = obj->is_empty(x0_);
        // x0 is not a swig output

        return WrapReturn< int, bool >::wrapReturn( ret );
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return 0;
    }
}


// ================== Normal method: "is_equal" ===============
// class: "casadi::Sparsity"
// cppName: "casadi::Sparsity::is_equal"
// cWrapperName: "casadi__Sparsity__is_equal__0"
// protoArgs: "(std::string ** err_msg, casadi::Sparsity* obj, int x0, int x1, std::vector< int >* x2, std::vector< int >* x3)"
// args: "(x0_, x1_, x2_, x3_)"
// rettype: CBool
// cWrapperRetType: "int"
// proto: "int\n    casadi__Sparsity__is_equal__0(std::string ** err_msg, casadi::Sparsity* obj, int x0, int x1, std::vector< int >* x2, std::vector< int >* x3)"
// call: "        bool ret = obj->is_equal(x0_, x1_, x2_, x3_);"
// params: [(CInt,SwigOutput False),(CInt,SwigOutput False),(Ref (Const (StdVec CInt)),SwigOutput False),(Ref (Const (StdVec CInt)),SwigOutput False)]
extern "C"
int
    casadi__Sparsity__is_equal__0(std::string ** err_msg, casadi::Sparsity* obj, int x0, int x1, std::vector< int >* x2, std::vector< int >* x3);
int
    casadi__Sparsity__is_equal__0(std::string ** err_msg, casadi::Sparsity* obj, int x0, int x1, std::vector< int >* x2, std::vector< int >* x3){
    try {
        int x0_ = Marshaling<int,int>::marshal(x0);
        int x1_ = Marshaling<int,int>::marshal(x1);
        std::vector< int > x2_ = Marshaling<std::vector< int >,std::vector< int >*>::marshal(x2);
        std::vector< int > x3_ = Marshaling<std::vector< int >,std::vector< int >*>::marshal(x3);

        bool ret = obj->is_equal(x0_, x1_, x2_, x3_);
        // x0 is not a swig output
        // x1 is not a swig output
        // x2 is not a swig output
        // x3 is not a swig output

        return WrapReturn< int, bool >::wrapReturn( ret );
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return 0;
    }
}


// ================== Normal method: "is_equal" ===============
// class: "casadi::Sparsity"
// cppName: "casadi::Sparsity::is_equal"
// cWrapperName: "casadi__Sparsity__is_equal__1"
// protoArgs: "(std::string ** err_msg, casadi::Sparsity* obj, casadi::Sparsity* x0)"
// args: "(x0_)"
// rettype: CBool
// cWrapperRetType: "int"
// proto: "int\n    casadi__Sparsity__is_equal__1(std::string ** err_msg, casadi::Sparsity* obj, casadi::Sparsity* x0)"
// call: "        bool ret = obj->is_equal(x0_);"
// params: [(Ref (Const (UserType (Namespace ["casadi"]) (Name "Sparsity"))),SwigOutput False)]
extern "C"
int
    casadi__Sparsity__is_equal__1(std::string ** err_msg, casadi::Sparsity* obj, casadi::Sparsity* x0);
int
    casadi__Sparsity__is_equal__1(std::string ** err_msg, casadi::Sparsity* obj, casadi::Sparsity* x0){
    try {
        casadi::Sparsity& x0_ = Marshaling<casadi::Sparsity&,casadi::Sparsity*>::marshal(x0);

        bool ret = obj->is_equal(x0_);
        // x0 is not a swig output

        return WrapReturn< int, bool >::wrapReturn( ret );
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return 0;
    }
}


// ================== Normal method: "is_row" ===============
// class: "casadi::Sparsity"
// cppName: "casadi::Sparsity::is_row"
// cWrapperName: "casadi__Sparsity__is_row"
// protoArgs: "(std::string ** err_msg, casadi::Sparsity* obj)"
// args: "()"
// rettype: CBool
// cWrapperRetType: "int"
// proto: "int\n    casadi__Sparsity__is_row(std::string ** err_msg, casadi::Sparsity* obj)"
// call: "        bool ret = obj->is_row();"
// params: []
extern "C"
int
    casadi__Sparsity__is_row(std::string ** err_msg, casadi::Sparsity* obj);
int
    casadi__Sparsity__is_row(std::string ** err_msg, casadi::Sparsity* obj){
    try {

        bool ret = obj->is_row();

        return WrapReturn< int, bool >::wrapReturn( ret );
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return 0;
    }
}


// ================== Normal method: "is_scalar" ===============
// class: "casadi::Sparsity"
// cppName: "casadi::Sparsity::is_scalar"
// cWrapperName: "casadi__Sparsity__is_scalar__0"
// protoArgs: "(std::string ** err_msg, casadi::Sparsity* obj)"
// args: "()"
// rettype: CBool
// cWrapperRetType: "int"
// proto: "int\n    casadi__Sparsity__is_scalar__0(std::string ** err_msg, casadi::Sparsity* obj)"
// call: "        bool ret = obj->is_scalar();"
// params: []
extern "C"
int
    casadi__Sparsity__is_scalar__0(std::string ** err_msg, casadi::Sparsity* obj);
int
    casadi__Sparsity__is_scalar__0(std::string ** err_msg, casadi::Sparsity* obj){
    try {

        bool ret = obj->is_scalar();

        return WrapReturn< int, bool >::wrapReturn( ret );
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return 0;
    }
}


// ================== Normal method: "is_scalar" ===============
// class: "casadi::Sparsity"
// cppName: "casadi::Sparsity::is_scalar"
// cWrapperName: "casadi__Sparsity__is_scalar__1"
// protoArgs: "(std::string ** err_msg, casadi::Sparsity* obj, int x0)"
// args: "(x0_)"
// rettype: CBool
// cWrapperRetType: "int"
// proto: "int\n    casadi__Sparsity__is_scalar__1(std::string ** err_msg, casadi::Sparsity* obj, int x0)"
// call: "        bool ret = obj->is_scalar(x0_);"
// params: [(CBool,SwigOutput False)]
extern "C"
int
    casadi__Sparsity__is_scalar__1(std::string ** err_msg, casadi::Sparsity* obj, int x0);
int
    casadi__Sparsity__is_scalar__1(std::string ** err_msg, casadi::Sparsity* obj, int x0){
    try {
        bool x0_ = Marshaling<bool,int>::marshal(x0);

        bool ret = obj->is_scalar(x0_);
        // x0 is not a swig output

        return WrapReturn< int, bool >::wrapReturn( ret );
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return 0;
    }
}


// ================== Normal method: "is_singular" ===============
// class: "casadi::Sparsity"
// cppName: "casadi::Sparsity::is_singular"
// cWrapperName: "casadi__Sparsity__is_singular"
// protoArgs: "(std::string ** err_msg, casadi::Sparsity* obj)"
// args: "()"
// rettype: CBool
// cWrapperRetType: "int"
// proto: "int\n    casadi__Sparsity__is_singular(std::string ** err_msg, casadi::Sparsity* obj)"
// call: "        bool ret = obj->is_singular();"
// params: []
extern "C"
int
    casadi__Sparsity__is_singular(std::string ** err_msg, casadi::Sparsity* obj);
int
    casadi__Sparsity__is_singular(std::string ** err_msg, casadi::Sparsity* obj){
    try {

        bool ret = obj->is_singular();

        return WrapReturn< int, bool >::wrapReturn( ret );
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return 0;
    }
}


// ================== Normal method: "is_square" ===============
// class: "casadi::Sparsity"
// cppName: "casadi::Sparsity::is_square"
// cWrapperName: "casadi__Sparsity__is_square"
// protoArgs: "(std::string ** err_msg, casadi::Sparsity* obj)"
// args: "()"
// rettype: CBool
// cWrapperRetType: "int"
// proto: "int\n    casadi__Sparsity__is_square(std::string ** err_msg, casadi::Sparsity* obj)"
// call: "        bool ret = obj->is_square();"
// params: []
extern "C"
int
    casadi__Sparsity__is_square(std::string ** err_msg, casadi::Sparsity* obj);
int
    casadi__Sparsity__is_square(std::string ** err_msg, casadi::Sparsity* obj){
    try {

        bool ret = obj->is_square();

        return WrapReturn< int, bool >::wrapReturn( ret );
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return 0;
    }
}


// ================== Normal method: "is_symmetric" ===============
// class: "casadi::Sparsity"
// cppName: "casadi::Sparsity::is_symmetric"
// cWrapperName: "casadi__Sparsity__is_symmetric"
// protoArgs: "(std::string ** err_msg, casadi::Sparsity* obj)"
// args: "()"
// rettype: CBool
// cWrapperRetType: "int"
// proto: "int\n    casadi__Sparsity__is_symmetric(std::string ** err_msg, casadi::Sparsity* obj)"
// call: "        bool ret = obj->is_symmetric();"
// params: []
extern "C"
int
    casadi__Sparsity__is_symmetric(std::string ** err_msg, casadi::Sparsity* obj);
int
    casadi__Sparsity__is_symmetric(std::string ** err_msg, casadi::Sparsity* obj){
    try {

        bool ret = obj->is_symmetric();

        return WrapReturn< int, bool >::wrapReturn( ret );
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return 0;
    }
}


// ================== Normal method: "is_transpose" ===============
// class: "casadi::Sparsity"
// cppName: "casadi::Sparsity::is_transpose"
// cWrapperName: "casadi__Sparsity__is_transpose"
// protoArgs: "(std::string ** err_msg, casadi::Sparsity* obj, casadi::Sparsity* x0)"
// args: "(x0_)"
// rettype: CBool
// cWrapperRetType: "int"
// proto: "int\n    casadi__Sparsity__is_transpose(std::string ** err_msg, casadi::Sparsity* obj, casadi::Sparsity* x0)"
// call: "        bool ret = obj->is_transpose(x0_);"
// params: [(Ref (Const (UserType (Namespace ["casadi"]) (Name "Sparsity"))),SwigOutput False)]
extern "C"
int
    casadi__Sparsity__is_transpose(std::string ** err_msg, casadi::Sparsity* obj, casadi::Sparsity* x0);
int
    casadi__Sparsity__is_transpose(std::string ** err_msg, casadi::Sparsity* obj, casadi::Sparsity* x0){
    try {
        casadi::Sparsity& x0_ = Marshaling<casadi::Sparsity&,casadi::Sparsity*>::marshal(x0);

        bool ret = obj->is_transpose(x0_);
        // x0 is not a swig output

        return WrapReturn< int, bool >::wrapReturn( ret );
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return 0;
    }
}


// ================== Normal method: "is_tril" ===============
// class: "casadi::Sparsity"
// cppName: "casadi::Sparsity::is_tril"
// cWrapperName: "casadi__Sparsity__is_tril"
// protoArgs: "(std::string ** err_msg, casadi::Sparsity* obj)"
// args: "()"
// rettype: CBool
// cWrapperRetType: "int"
// proto: "int\n    casadi__Sparsity__is_tril(std::string ** err_msg, casadi::Sparsity* obj)"
// call: "        bool ret = obj->is_tril();"
// params: []
extern "C"
int
    casadi__Sparsity__is_tril(std::string ** err_msg, casadi::Sparsity* obj);
int
    casadi__Sparsity__is_tril(std::string ** err_msg, casadi::Sparsity* obj){
    try {

        bool ret = obj->is_tril();

        return WrapReturn< int, bool >::wrapReturn( ret );
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return 0;
    }
}


// ================== Normal method: "is_triu" ===============
// class: "casadi::Sparsity"
// cppName: "casadi::Sparsity::is_triu"
// cWrapperName: "casadi__Sparsity__is_triu"
// protoArgs: "(std::string ** err_msg, casadi::Sparsity* obj)"
// args: "()"
// rettype: CBool
// cWrapperRetType: "int"
// proto: "int\n    casadi__Sparsity__is_triu(std::string ** err_msg, casadi::Sparsity* obj)"
// call: "        bool ret = obj->is_triu();"
// params: []
extern "C"
int
    casadi__Sparsity__is_triu(std::string ** err_msg, casadi::Sparsity* obj);
int
    casadi__Sparsity__is_triu(std::string ** err_msg, casadi::Sparsity* obj){
    try {

        bool ret = obj->is_triu();

        return WrapReturn< int, bool >::wrapReturn( ret );
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return 0;
    }
}


// ================== Normal method: "is_vector" ===============
// class: "casadi::Sparsity"
// cppName: "casadi::Sparsity::is_vector"
// cWrapperName: "casadi__Sparsity__is_vector"
// protoArgs: "(std::string ** err_msg, casadi::Sparsity* obj)"
// args: "()"
// rettype: CBool
// cWrapperRetType: "int"
// proto: "int\n    casadi__Sparsity__is_vector(std::string ** err_msg, casadi::Sparsity* obj)"
// call: "        bool ret = obj->is_vector();"
// params: []
extern "C"
int
    casadi__Sparsity__is_vector(std::string ** err_msg, casadi::Sparsity* obj);
int
    casadi__Sparsity__is_vector(std::string ** err_msg, casadi::Sparsity* obj){
    try {

        bool ret = obj->is_vector();

        return WrapReturn< int, bool >::wrapReturn( ret );
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return 0;
    }
}


// ================== Normal method: "largest_first" ===============
// class: "casadi::Sparsity"
// cppName: "casadi::Sparsity::largest_first"
// cWrapperName: "casadi__Sparsity__largest_first"
// protoArgs: "(std::string ** err_msg, casadi::Sparsity* obj)"
// args: "()"
// rettype: StdVec CInt
// cWrapperRetType: "std::vector< int >*"
// proto: "std::vector< int >*\n    casadi__Sparsity__largest_first(std::string ** err_msg, casadi::Sparsity* obj)"
// call: "        std::vector< int > ret = obj->largest_first();"
// params: []
extern "C"
std::vector< int >*
    casadi__Sparsity__largest_first(std::string ** err_msg, casadi::Sparsity* obj);
std::vector< int >*
    casadi__Sparsity__largest_first(std::string ** err_msg, casadi::Sparsity* obj){
    try {

        std::vector< int > ret = obj->largest_first();

        return WrapReturn< std::vector< int >*, std::vector< int > >::wrapReturn( ret );
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return 0;
    }
}


// ================== Static method: "lower" ===============
// class: "casadi::Sparsity"
// cppName: "casadi::Sparsity::lower"
// cWrapperName: "casadi__Sparsity__lower"
// protoArgs: "(std::string ** err_msg, int x0)"
// args: "(x0_)"
// rettype: UserType (Namespace ["casadi"]) (Name "Sparsity")
// cWrapperRetType: "casadi::Sparsity*"
// proto: "casadi::Sparsity*\n    casadi__Sparsity__lower(std::string ** err_msg, int x0)"
// call: "        casadi::Sparsity ret = casadi::Sparsity::lower(x0_);"
// params: [(CInt,SwigOutput False)]
extern "C"
casadi::Sparsity*
    casadi__Sparsity__lower(std::string ** err_msg, int x0);
casadi::Sparsity*
    casadi__Sparsity__lower(std::string ** err_msg, int x0){
    try {
        int x0_ = Marshaling<int,int>::marshal(x0);

        casadi::Sparsity ret = casadi::Sparsity::lower(x0_);
        // x0 is not a swig output

        return WrapReturn< casadi::Sparsity*, casadi::Sparsity >::wrapReturn( ret );
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return 0;
    }
}


// ================== Normal method: "makeDense" ===============
// class: "casadi::Sparsity"
// cppName: "casadi::Sparsity::makeDense"
// cWrapperName: "casadi__Sparsity__makeDense"
// protoArgs: "(std::string ** err_msg, casadi::Sparsity* obj, std::vector< int >* x0)"
// args: "(x0_)"
// rettype: UserType (Namespace ["casadi"]) (Name "Sparsity")
// cWrapperRetType: "casadi::Sparsity*"
// proto: "casadi::Sparsity*\n    casadi__Sparsity__makeDense(std::string ** err_msg, casadi::Sparsity* obj, std::vector< int >* x0)"
// call: "        casadi::Sparsity ret = obj->makeDense(x0_);"
// params: [(Ref (StdVec CInt),SwigOutput False)]
extern "C"
casadi::Sparsity*
    casadi__Sparsity__makeDense(std::string ** err_msg, casadi::Sparsity* obj, std::vector< int >* x0);
casadi::Sparsity*
    casadi__Sparsity__makeDense(std::string ** err_msg, casadi::Sparsity* obj, std::vector< int >* x0){
    try {
        std::vector< int > x0_ = Marshaling<std::vector< int >,std::vector< int >*>::marshal(x0);

        casadi::Sparsity ret = obj->makeDense(x0_);
        // x0 is not a swig output

        return WrapReturn< casadi::Sparsity*, casadi::Sparsity >::wrapReturn( ret );
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return 0;
    }
}


// ================== Normal method: "nnz" ===============
// class: "casadi::Sparsity"
// cppName: "casadi::Sparsity::nnz"
// cWrapperName: "casadi__Sparsity__nnz"
// protoArgs: "(std::string ** err_msg, casadi::Sparsity* obj)"
// args: "()"
// rettype: CInt
// cWrapperRetType: "int"
// proto: "int\n    casadi__Sparsity__nnz(std::string ** err_msg, casadi::Sparsity* obj)"
// call: "        int ret = obj->nnz();"
// params: []
extern "C"
int
    casadi__Sparsity__nnz(std::string ** err_msg, casadi::Sparsity* obj);
int
    casadi__Sparsity__nnz(std::string ** err_msg, casadi::Sparsity* obj){
    try {

        int ret = obj->nnz();

        return WrapReturn< int, int >::wrapReturn( ret );
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return 0;
    }
}


// ================== Normal method: "nnz_diag" ===============
// class: "casadi::Sparsity"
// cppName: "casadi::Sparsity::nnz_diag"
// cWrapperName: "casadi__Sparsity__nnz_diag"
// protoArgs: "(std::string ** err_msg, casadi::Sparsity* obj)"
// args: "()"
// rettype: CInt
// cWrapperRetType: "int"
// proto: "int\n    casadi__Sparsity__nnz_diag(std::string ** err_msg, casadi::Sparsity* obj)"
// call: "        int ret = obj->nnz_diag();"
// params: []
extern "C"
int
    casadi__Sparsity__nnz_diag(std::string ** err_msg, casadi::Sparsity* obj);
int
    casadi__Sparsity__nnz_diag(std::string ** err_msg, casadi::Sparsity* obj){
    try {

        int ret = obj->nnz_diag();

        return WrapReturn< int, int >::wrapReturn( ret );
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return 0;
    }
}


// ================== Normal method: "nnz_lower" ===============
// class: "casadi::Sparsity"
// cppName: "casadi::Sparsity::nnz_lower"
// cWrapperName: "casadi__Sparsity__nnz_lower__0"
// protoArgs: "(std::string ** err_msg, casadi::Sparsity* obj)"
// args: "()"
// rettype: CInt
// cWrapperRetType: "int"
// proto: "int\n    casadi__Sparsity__nnz_lower__0(std::string ** err_msg, casadi::Sparsity* obj)"
// call: "        int ret = obj->nnz_lower();"
// params: []
extern "C"
int
    casadi__Sparsity__nnz_lower__0(std::string ** err_msg, casadi::Sparsity* obj);
int
    casadi__Sparsity__nnz_lower__0(std::string ** err_msg, casadi::Sparsity* obj){
    try {

        int ret = obj->nnz_lower();

        return WrapReturn< int, int >::wrapReturn( ret );
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return 0;
    }
}


// ================== Normal method: "nnz_lower" ===============
// class: "casadi::Sparsity"
// cppName: "casadi::Sparsity::nnz_lower"
// cWrapperName: "casadi__Sparsity__nnz_lower__1"
// protoArgs: "(std::string ** err_msg, casadi::Sparsity* obj, int x0)"
// args: "(x0_)"
// rettype: CInt
// cWrapperRetType: "int"
// proto: "int\n    casadi__Sparsity__nnz_lower__1(std::string ** err_msg, casadi::Sparsity* obj, int x0)"
// call: "        int ret = obj->nnz_lower(x0_);"
// params: [(CBool,SwigOutput False)]
extern "C"
int
    casadi__Sparsity__nnz_lower__1(std::string ** err_msg, casadi::Sparsity* obj, int x0);
int
    casadi__Sparsity__nnz_lower__1(std::string ** err_msg, casadi::Sparsity* obj, int x0){
    try {
        bool x0_ = Marshaling<bool,int>::marshal(x0);

        int ret = obj->nnz_lower(x0_);
        // x0 is not a swig output

        return WrapReturn< int, int >::wrapReturn( ret );
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return 0;
    }
}


// ================== Normal method: "nnz_upper" ===============
// class: "casadi::Sparsity"
// cppName: "casadi::Sparsity::nnz_upper"
// cWrapperName: "casadi__Sparsity__nnz_upper__0"
// protoArgs: "(std::string ** err_msg, casadi::Sparsity* obj)"
// args: "()"
// rettype: CInt
// cWrapperRetType: "int"
// proto: "int\n    casadi__Sparsity__nnz_upper__0(std::string ** err_msg, casadi::Sparsity* obj)"
// call: "        int ret = obj->nnz_upper();"
// params: []
extern "C"
int
    casadi__Sparsity__nnz_upper__0(std::string ** err_msg, casadi::Sparsity* obj);
int
    casadi__Sparsity__nnz_upper__0(std::string ** err_msg, casadi::Sparsity* obj){
    try {

        int ret = obj->nnz_upper();

        return WrapReturn< int, int >::wrapReturn( ret );
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return 0;
    }
}


// ================== Normal method: "nnz_upper" ===============
// class: "casadi::Sparsity"
// cppName: "casadi::Sparsity::nnz_upper"
// cWrapperName: "casadi__Sparsity__nnz_upper__1"
// protoArgs: "(std::string ** err_msg, casadi::Sparsity* obj, int x0)"
// args: "(x0_)"
// rettype: CInt
// cWrapperRetType: "int"
// proto: "int\n    casadi__Sparsity__nnz_upper__1(std::string ** err_msg, casadi::Sparsity* obj, int x0)"
// call: "        int ret = obj->nnz_upper(x0_);"
// params: [(CBool,SwigOutput False)]
extern "C"
int
    casadi__Sparsity__nnz_upper__1(std::string ** err_msg, casadi::Sparsity* obj, int x0);
int
    casadi__Sparsity__nnz_upper__1(std::string ** err_msg, casadi::Sparsity* obj, int x0){
    try {
        bool x0_ = Marshaling<bool,int>::marshal(x0);

        int ret = obj->nnz_upper(x0_);
        // x0 is not a swig output

        return WrapReturn< int, int >::wrapReturn( ret );
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return 0;
    }
}


// ================== Normal method: "numel" ===============
// class: "casadi::Sparsity"
// cppName: "casadi::Sparsity::numel"
// cWrapperName: "casadi__Sparsity__numel"
// protoArgs: "(std::string ** err_msg, casadi::Sparsity* obj)"
// args: "()"
// rettype: CInt
// cWrapperRetType: "int"
// proto: "int\n    casadi__Sparsity__numel(std::string ** err_msg, casadi::Sparsity* obj)"
// call: "        int ret = obj->numel();"
// params: []
extern "C"
int
    casadi__Sparsity__numel(std::string ** err_msg, casadi::Sparsity* obj);
int
    casadi__Sparsity__numel(std::string ** err_msg, casadi::Sparsity* obj){
    try {

        int ret = obj->numel();

        return WrapReturn< int, int >::wrapReturn( ret );
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return 0;
    }
}


// ================== Normal method: "operator !=" ===============
// class: "casadi::Sparsity"
// cppName: "casadi::Sparsity::operator !="
// cWrapperName: "casadi__Sparsity__operator__nequals"
// protoArgs: "(std::string ** err_msg, casadi::Sparsity* obj, casadi::Sparsity* x0)"
// args: "(x0_)"
// rettype: CBool
// cWrapperRetType: "int"
// proto: "int\n    casadi__Sparsity__operator__nequals(std::string ** err_msg, casadi::Sparsity* obj, casadi::Sparsity* x0)"
// call: "        bool ret = obj->operator !=(x0_);"
// params: [(Ref (Const (UserType (Namespace ["casadi"]) (Name "Sparsity"))),SwigOutput False)]
extern "C"
int
    casadi__Sparsity__operator__nequals(std::string ** err_msg, casadi::Sparsity* obj, casadi::Sparsity* x0);
int
    casadi__Sparsity__operator__nequals(std::string ** err_msg, casadi::Sparsity* obj, casadi::Sparsity* x0){
    try {
        casadi::Sparsity& x0_ = Marshaling<casadi::Sparsity&,casadi::Sparsity*>::marshal(x0);

        bool ret = obj->operator !=(x0_);
        // x0 is not a swig output

        return WrapReturn< int, bool >::wrapReturn( ret );
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return 0;
    }
}


// ================== Normal method: "operator *" ===============
// class: "casadi::Sparsity"
// cppName: "casadi::Sparsity::operator *"
// cWrapperName: "casadi__Sparsity__operator__mul"
// protoArgs: "(std::string ** err_msg, casadi::Sparsity* obj, casadi::Sparsity* x0)"
// args: "(x0_)"
// rettype: UserType (Namespace ["casadi"]) (Name "Sparsity")
// cWrapperRetType: "casadi::Sparsity*"
// proto: "casadi::Sparsity*\n    casadi__Sparsity__operator__mul(std::string ** err_msg, casadi::Sparsity* obj, casadi::Sparsity* x0)"
// call: "        casadi::Sparsity ret = obj->operator *(x0_);"
// params: [(Ref (Const (UserType (Namespace ["casadi"]) (Name "Sparsity"))),SwigOutput False)]
extern "C"
casadi::Sparsity*
    casadi__Sparsity__operator__mul(std::string ** err_msg, casadi::Sparsity* obj, casadi::Sparsity* x0);
casadi::Sparsity*
    casadi__Sparsity__operator__mul(std::string ** err_msg, casadi::Sparsity* obj, casadi::Sparsity* x0){
    try {
        casadi::Sparsity& x0_ = Marshaling<casadi::Sparsity&,casadi::Sparsity*>::marshal(x0);

        casadi::Sparsity ret = obj->operator *(x0_);
        // x0 is not a swig output

        return WrapReturn< casadi::Sparsity*, casadi::Sparsity >::wrapReturn( ret );
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return 0;
    }
}


// ================== Normal method: "operator +" ===============
// class: "casadi::Sparsity"
// cppName: "casadi::Sparsity::operator +"
// cWrapperName: "casadi__Sparsity__operator__plus"
// protoArgs: "(std::string ** err_msg, casadi::Sparsity* obj, casadi::Sparsity* x0)"
// args: "(x0_)"
// rettype: UserType (Namespace ["casadi"]) (Name "Sparsity")
// cWrapperRetType: "casadi::Sparsity*"
// proto: "casadi::Sparsity*\n    casadi__Sparsity__operator__plus(std::string ** err_msg, casadi::Sparsity* obj, casadi::Sparsity* x0)"
// call: "        casadi::Sparsity ret = obj->operator +(x0_);"
// params: [(Ref (Const (UserType (Namespace ["casadi"]) (Name "Sparsity"))),SwigOutput False)]
extern "C"
casadi::Sparsity*
    casadi__Sparsity__operator__plus(std::string ** err_msg, casadi::Sparsity* obj, casadi::Sparsity* x0);
casadi::Sparsity*
    casadi__Sparsity__operator__plus(std::string ** err_msg, casadi::Sparsity* obj, casadi::Sparsity* x0){
    try {
        casadi::Sparsity& x0_ = Marshaling<casadi::Sparsity&,casadi::Sparsity*>::marshal(x0);

        casadi::Sparsity ret = obj->operator +(x0_);
        // x0 is not a swig output

        return WrapReturn< casadi::Sparsity*, casadi::Sparsity >::wrapReturn( ret );
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return 0;
    }
}


// ================== Normal method: "operator ==" ===============
// class: "casadi::Sparsity"
// cppName: "casadi::Sparsity::operator =="
// cWrapperName: "casadi__Sparsity__operator__equals"
// protoArgs: "(std::string ** err_msg, casadi::Sparsity* obj, casadi::Sparsity* x0)"
// args: "(x0_)"
// rettype: CBool
// cWrapperRetType: "int"
// proto: "int\n    casadi__Sparsity__operator__equals(std::string ** err_msg, casadi::Sparsity* obj, casadi::Sparsity* x0)"
// call: "        bool ret = obj->operator ==(x0_);"
// params: [(Ref (Const (UserType (Namespace ["casadi"]) (Name "Sparsity"))),SwigOutput False)]
extern "C"
int
    casadi__Sparsity__operator__equals(std::string ** err_msg, casadi::Sparsity* obj, casadi::Sparsity* x0);
int
    casadi__Sparsity__operator__equals(std::string ** err_msg, casadi::Sparsity* obj, casadi::Sparsity* x0){
    try {
        casadi::Sparsity& x0_ = Marshaling<casadi::Sparsity&,casadi::Sparsity*>::marshal(x0);

        bool ret = obj->operator ==(x0_);
        // x0 is not a swig output

        return WrapReturn< int, bool >::wrapReturn( ret );
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return 0;
    }
}


// ================== Normal method: "pattern_inverse" ===============
// class: "casadi::Sparsity"
// cppName: "casadi::Sparsity::pattern_inverse"
// cWrapperName: "casadi__Sparsity__pattern_inverse"
// protoArgs: "(std::string ** err_msg, casadi::Sparsity* obj)"
// args: "()"
// rettype: UserType (Namespace ["casadi"]) (Name "Sparsity")
// cWrapperRetType: "casadi::Sparsity*"
// proto: "casadi::Sparsity*\n    casadi__Sparsity__pattern_inverse(std::string ** err_msg, casadi::Sparsity* obj)"
// call: "        casadi::Sparsity ret = obj->pattern_inverse();"
// params: []
extern "C"
casadi::Sparsity*
    casadi__Sparsity__pattern_inverse(std::string ** err_msg, casadi::Sparsity* obj);
casadi::Sparsity*
    casadi__Sparsity__pattern_inverse(std::string ** err_msg, casadi::Sparsity* obj){
    try {

        casadi::Sparsity ret = obj->pattern_inverse();

        return WrapReturn< casadi::Sparsity*, casadi::Sparsity >::wrapReturn( ret );
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return 0;
    }
}


// ================== Normal method: "pmult" ===============
// class: "casadi::Sparsity"
// cppName: "casadi::Sparsity::pmult"
// cWrapperName: "casadi__Sparsity__pmult__0"
// protoArgs: "(std::string ** err_msg, casadi::Sparsity* obj, std::vector< int >* x0)"
// args: "(x0_)"
// rettype: UserType (Namespace ["casadi"]) (Name "Sparsity")
// cWrapperRetType: "casadi::Sparsity*"
// proto: "casadi::Sparsity*\n    casadi__Sparsity__pmult__0(std::string ** err_msg, casadi::Sparsity* obj, std::vector< int >* x0)"
// call: "        casadi::Sparsity ret = obj->pmult(x0_);"
// params: [(Ref (Const (StdVec CInt)),SwigOutput False)]
extern "C"
casadi::Sparsity*
    casadi__Sparsity__pmult__0(std::string ** err_msg, casadi::Sparsity* obj, std::vector< int >* x0);
casadi::Sparsity*
    casadi__Sparsity__pmult__0(std::string ** err_msg, casadi::Sparsity* obj, std::vector< int >* x0){
    try {
        std::vector< int > x0_ = Marshaling<std::vector< int >,std::vector< int >*>::marshal(x0);

        casadi::Sparsity ret = obj->pmult(x0_);
        // x0 is not a swig output

        return WrapReturn< casadi::Sparsity*, casadi::Sparsity >::wrapReturn( ret );
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return 0;
    }
}


// ================== Normal method: "pmult" ===============
// class: "casadi::Sparsity"
// cppName: "casadi::Sparsity::pmult"
// cWrapperName: "casadi__Sparsity__pmult__1"
// protoArgs: "(std::string ** err_msg, casadi::Sparsity* obj, std::vector< int >* x0, int x1)"
// args: "(x0_, x1_)"
// rettype: UserType (Namespace ["casadi"]) (Name "Sparsity")
// cWrapperRetType: "casadi::Sparsity*"
// proto: "casadi::Sparsity*\n    casadi__Sparsity__pmult__1(std::string ** err_msg, casadi::Sparsity* obj, std::vector< int >* x0, int x1)"
// call: "        casadi::Sparsity ret = obj->pmult(x0_, x1_);"
// params: [(Ref (Const (StdVec CInt)),SwigOutput False),(CBool,SwigOutput False)]
extern "C"
casadi::Sparsity*
    casadi__Sparsity__pmult__1(std::string ** err_msg, casadi::Sparsity* obj, std::vector< int >* x0, int x1);
casadi::Sparsity*
    casadi__Sparsity__pmult__1(std::string ** err_msg, casadi::Sparsity* obj, std::vector< int >* x0, int x1){
    try {
        std::vector< int > x0_ = Marshaling<std::vector< int >,std::vector< int >*>::marshal(x0);
        bool x1_ = Marshaling<bool,int>::marshal(x1);

        casadi::Sparsity ret = obj->pmult(x0_, x1_);
        // x0 is not a swig output
        // x1 is not a swig output

        return WrapReturn< casadi::Sparsity*, casadi::Sparsity >::wrapReturn( ret );
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return 0;
    }
}


// ================== Normal method: "pmult" ===============
// class: "casadi::Sparsity"
// cppName: "casadi::Sparsity::pmult"
// cWrapperName: "casadi__Sparsity__pmult__2"
// protoArgs: "(std::string ** err_msg, casadi::Sparsity* obj, std::vector< int >* x0, int x1, int x2)"
// args: "(x0_, x1_, x2_)"
// rettype: UserType (Namespace ["casadi"]) (Name "Sparsity")
// cWrapperRetType: "casadi::Sparsity*"
// proto: "casadi::Sparsity*\n    casadi__Sparsity__pmult__2(std::string ** err_msg, casadi::Sparsity* obj, std::vector< int >* x0, int x1, int x2)"
// call: "        casadi::Sparsity ret = obj->pmult(x0_, x1_, x2_);"
// params: [(Ref (Const (StdVec CInt)),SwigOutput False),(CBool,SwigOutput False),(CBool,SwigOutput False)]
extern "C"
casadi::Sparsity*
    casadi__Sparsity__pmult__2(std::string ** err_msg, casadi::Sparsity* obj, std::vector< int >* x0, int x1, int x2);
casadi::Sparsity*
    casadi__Sparsity__pmult__2(std::string ** err_msg, casadi::Sparsity* obj, std::vector< int >* x0, int x1, int x2){
    try {
        std::vector< int > x0_ = Marshaling<std::vector< int >,std::vector< int >*>::marshal(x0);
        bool x1_ = Marshaling<bool,int>::marshal(x1);
        bool x2_ = Marshaling<bool,int>::marshal(x2);

        casadi::Sparsity ret = obj->pmult(x0_, x1_, x2_);
        // x0 is not a swig output
        // x1 is not a swig output
        // x2 is not a swig output

        return WrapReturn< casadi::Sparsity*, casadi::Sparsity >::wrapReturn( ret );
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return 0;
    }
}


// ================== Normal method: "pmult" ===============
// class: "casadi::Sparsity"
// cppName: "casadi::Sparsity::pmult"
// cWrapperName: "casadi__Sparsity__pmult__3"
// protoArgs: "(std::string ** err_msg, casadi::Sparsity* obj, std::vector< int >* x0, int x1, int x2, int x3)"
// args: "(x0_, x1_, x2_, x3_)"
// rettype: UserType (Namespace ["casadi"]) (Name "Sparsity")
// cWrapperRetType: "casadi::Sparsity*"
// proto: "casadi::Sparsity*\n    casadi__Sparsity__pmult__3(std::string ** err_msg, casadi::Sparsity* obj, std::vector< int >* x0, int x1, int x2, int x3)"
// call: "        casadi::Sparsity ret = obj->pmult(x0_, x1_, x2_, x3_);"
// params: [(Ref (Const (StdVec CInt)),SwigOutput False),(CBool,SwigOutput False),(CBool,SwigOutput False),(CBool,SwigOutput False)]
extern "C"
casadi::Sparsity*
    casadi__Sparsity__pmult__3(std::string ** err_msg, casadi::Sparsity* obj, std::vector< int >* x0, int x1, int x2, int x3);
casadi::Sparsity*
    casadi__Sparsity__pmult__3(std::string ** err_msg, casadi::Sparsity* obj, std::vector< int >* x0, int x1, int x2, int x3){
    try {
        std::vector< int > x0_ = Marshaling<std::vector< int >,std::vector< int >*>::marshal(x0);
        bool x1_ = Marshaling<bool,int>::marshal(x1);
        bool x2_ = Marshaling<bool,int>::marshal(x2);
        bool x3_ = Marshaling<bool,int>::marshal(x3);

        casadi::Sparsity ret = obj->pmult(x0_, x1_, x2_, x3_);
        // x0 is not a swig output
        // x1 is not a swig output
        // x2 is not a swig output
        // x3 is not a swig output

        return WrapReturn< casadi::Sparsity*, casadi::Sparsity >::wrapReturn( ret );
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return 0;
    }
}


// ================== Normal method: "print_compact" ===============
// class: "casadi::Sparsity"
// cppName: "casadi::Sparsity::print_compact"
// cWrapperName: "casadi__Sparsity__print_compact"
// protoArgs: "(std::string ** err_msg, casadi::Sparsity* obj)"
// args: "()"
// rettype: CVoid
// cWrapperRetType: "void"
// proto: "void\n    casadi__Sparsity__print_compact(std::string ** err_msg, casadi::Sparsity* obj)"
// call: "        obj->print_compact();"
// params: []
extern "C"
void
    casadi__Sparsity__print_compact(std::string ** err_msg, casadi::Sparsity* obj);
void
    casadi__Sparsity__print_compact(std::string ** err_msg, casadi::Sparsity* obj){
    try {

        obj->print_compact();

        return;
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return;
    }
}


// ================== Normal method: "removeDuplicates" ===============
// class: "casadi::Sparsity"
// cppName: "casadi::Sparsity::removeDuplicates"
// cWrapperName: "casadi__Sparsity__removeDuplicates"
// protoArgs: "(std::string ** err_msg, casadi::Sparsity* obj, std::vector< int >* x0)"
// args: "(x0_)"
// rettype: CVoid
// cWrapperRetType: "void"
// proto: "void\n    casadi__Sparsity__removeDuplicates(std::string ** err_msg, casadi::Sparsity* obj, std::vector< int >* x0)"
// call: "        obj->removeDuplicates(x0_);"
// params: [(Ref (StdVec CInt),SwigOutput False)]
extern "C"
void
    casadi__Sparsity__removeDuplicates(std::string ** err_msg, casadi::Sparsity* obj, std::vector< int >* x0);
void
    casadi__Sparsity__removeDuplicates(std::string ** err_msg, casadi::Sparsity* obj, std::vector< int >* x0){
    try {
        std::vector< int > x0_ = Marshaling<std::vector< int >,std::vector< int >*>::marshal(x0);

        obj->removeDuplicates(x0_);
        // x0 is not a swig output

        return;
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return;
    }
}


// ================== Normal method: "resize" ===============
// class: "casadi::Sparsity"
// cppName: "casadi::Sparsity::resize"
// cWrapperName: "casadi__Sparsity__resize"
// protoArgs: "(std::string ** err_msg, casadi::Sparsity* obj, int x0, int x1)"
// args: "(x0_, x1_)"
// rettype: CVoid
// cWrapperRetType: "void"
// proto: "void\n    casadi__Sparsity__resize(std::string ** err_msg, casadi::Sparsity* obj, int x0, int x1)"
// call: "        obj->resize(x0_, x1_);"
// params: [(CInt,SwigOutput False),(CInt,SwigOutput False)]
extern "C"
void
    casadi__Sparsity__resize(std::string ** err_msg, casadi::Sparsity* obj, int x0, int x1);
void
    casadi__Sparsity__resize(std::string ** err_msg, casadi::Sparsity* obj, int x0, int x1){
    try {
        int x0_ = Marshaling<int,int>::marshal(x0);
        int x1_ = Marshaling<int,int>::marshal(x1);

        obj->resize(x0_, x1_);
        // x0 is not a swig output
        // x1 is not a swig output

        return;
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return;
    }
}


// ================== Normal method: "row" ===============
// class: "casadi::Sparsity"
// cppName: "casadi::Sparsity::row"
// cWrapperName: "casadi__Sparsity__row"
// protoArgs: "(std::string ** err_msg, casadi::Sparsity* obj, int x0)"
// args: "(x0_)"
// rettype: CInt
// cWrapperRetType: "int"
// proto: "int\n    casadi__Sparsity__row(std::string ** err_msg, casadi::Sparsity* obj, int x0)"
// call: "        int ret = obj->row(x0_);"
// params: [(CInt,SwigOutput False)]
extern "C"
int
    casadi__Sparsity__row(std::string ** err_msg, casadi::Sparsity* obj, int x0);
int
    casadi__Sparsity__row(std::string ** err_msg, casadi::Sparsity* obj, int x0){
    try {
        int x0_ = Marshaling<int,int>::marshal(x0);

        int ret = obj->row(x0_);
        // x0 is not a swig output

        return WrapReturn< int, int >::wrapReturn( ret );
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return 0;
    }
}


// ================== Static method: "rowcol" ===============
// class: "casadi::Sparsity"
// cppName: "casadi::Sparsity::rowcol"
// cWrapperName: "casadi__Sparsity__rowcol"
// protoArgs: "(std::string ** err_msg, std::vector< int >* x0, std::vector< int >* x1, int x2, int x3)"
// args: "(x0_, x1_, x2_, x3_)"
// rettype: UserType (Namespace ["casadi"]) (Name "Sparsity")
// cWrapperRetType: "casadi::Sparsity*"
// proto: "casadi::Sparsity*\n    casadi__Sparsity__rowcol(std::string ** err_msg, std::vector< int >* x0, std::vector< int >* x1, int x2, int x3)"
// call: "        casadi::Sparsity ret = casadi::Sparsity::rowcol(x0_, x1_, x2_, x3_);"
// params: [(Ref (Const (StdVec CInt)),SwigOutput False),(Ref (Const (StdVec CInt)),SwigOutput False),(CInt,SwigOutput False),(CInt,SwigOutput False)]
extern "C"
casadi::Sparsity*
    casadi__Sparsity__rowcol(std::string ** err_msg, std::vector< int >* x0, std::vector< int >* x1, int x2, int x3);
casadi::Sparsity*
    casadi__Sparsity__rowcol(std::string ** err_msg, std::vector< int >* x0, std::vector< int >* x1, int x2, int x3){
    try {
        std::vector< int > x0_ = Marshaling<std::vector< int >,std::vector< int >*>::marshal(x0);
        std::vector< int > x1_ = Marshaling<std::vector< int >,std::vector< int >*>::marshal(x1);
        int x2_ = Marshaling<int,int>::marshal(x2);
        int x3_ = Marshaling<int,int>::marshal(x3);

        casadi::Sparsity ret = casadi::Sparsity::rowcol(x0_, x1_, x2_, x3_);
        // x0 is not a swig output
        // x1 is not a swig output
        // x2 is not a swig output
        // x3 is not a swig output

        return WrapReturn< casadi::Sparsity*, casadi::Sparsity >::wrapReturn( ret );
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return 0;
    }
}


// ================== Normal method: "rowsSequential" ===============
// class: "casadi::Sparsity"
// cppName: "casadi::Sparsity::rowsSequential"
// cWrapperName: "casadi__Sparsity__rowsSequential__0"
// protoArgs: "(std::string ** err_msg, casadi::Sparsity* obj)"
// args: "()"
// rettype: CBool
// cWrapperRetType: "int"
// proto: "int\n    casadi__Sparsity__rowsSequential__0(std::string ** err_msg, casadi::Sparsity* obj)"
// call: "        bool ret = obj->rowsSequential();"
// params: []
extern "C"
int
    casadi__Sparsity__rowsSequential__0(std::string ** err_msg, casadi::Sparsity* obj);
int
    casadi__Sparsity__rowsSequential__0(std::string ** err_msg, casadi::Sparsity* obj){
    try {

        bool ret = obj->rowsSequential();

        return WrapReturn< int, bool >::wrapReturn( ret );
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return 0;
    }
}


// ================== Normal method: "rowsSequential" ===============
// class: "casadi::Sparsity"
// cppName: "casadi::Sparsity::rowsSequential"
// cWrapperName: "casadi__Sparsity__rowsSequential__1"
// protoArgs: "(std::string ** err_msg, casadi::Sparsity* obj, int x0)"
// args: "(x0_)"
// rettype: CBool
// cWrapperRetType: "int"
// proto: "int\n    casadi__Sparsity__rowsSequential__1(std::string ** err_msg, casadi::Sparsity* obj, int x0)"
// call: "        bool ret = obj->rowsSequential(x0_);"
// params: [(CBool,SwigOutput False)]
extern "C"
int
    casadi__Sparsity__rowsSequential__1(std::string ** err_msg, casadi::Sparsity* obj, int x0);
int
    casadi__Sparsity__rowsSequential__1(std::string ** err_msg, casadi::Sparsity* obj, int x0){
    try {
        bool x0_ = Marshaling<bool,int>::marshal(x0);

        bool ret = obj->rowsSequential(x0_);
        // x0 is not a swig output

        return WrapReturn< int, bool >::wrapReturn( ret );
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return 0;
    }
}


// ================== Normal method: "sanity_check" ===============
// class: "casadi::Sparsity"
// cppName: "casadi::Sparsity::sanity_check"
// cWrapperName: "casadi__Sparsity__sanity_check__0"
// protoArgs: "(std::string ** err_msg, casadi::Sparsity* obj)"
// args: "()"
// rettype: CVoid
// cWrapperRetType: "void"
// proto: "void\n    casadi__Sparsity__sanity_check__0(std::string ** err_msg, casadi::Sparsity* obj)"
// call: "        obj->sanity_check();"
// params: []
extern "C"
void
    casadi__Sparsity__sanity_check__0(std::string ** err_msg, casadi::Sparsity* obj);
void
    casadi__Sparsity__sanity_check__0(std::string ** err_msg, casadi::Sparsity* obj){
    try {

        obj->sanity_check();

        return;
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return;
    }
}


// ================== Normal method: "sanity_check" ===============
// class: "casadi::Sparsity"
// cppName: "casadi::Sparsity::sanity_check"
// cWrapperName: "casadi__Sparsity__sanity_check__1"
// protoArgs: "(std::string ** err_msg, casadi::Sparsity* obj, int x0)"
// args: "(x0_)"
// rettype: CVoid
// cWrapperRetType: "void"
// proto: "void\n    casadi__Sparsity__sanity_check__1(std::string ** err_msg, casadi::Sparsity* obj, int x0)"
// call: "        obj->sanity_check(x0_);"
// params: [(CBool,SwigOutput False)]
extern "C"
void
    casadi__Sparsity__sanity_check__1(std::string ** err_msg, casadi::Sparsity* obj, int x0);
void
    casadi__Sparsity__sanity_check__1(std::string ** err_msg, casadi::Sparsity* obj, int x0){
    try {
        bool x0_ = Marshaling<bool,int>::marshal(x0);

        obj->sanity_check(x0_);
        // x0 is not a swig output

        return;
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return;
    }
}


// ================== Static method: "scalar" ===============
// class: "casadi::Sparsity"
// cppName: "casadi::Sparsity::scalar"
// cWrapperName: "casadi__Sparsity__scalar__0"
// protoArgs: "(std::string ** err_msg)"
// args: "()"
// rettype: UserType (Namespace ["casadi"]) (Name "Sparsity")
// cWrapperRetType: "casadi::Sparsity*"
// proto: "casadi::Sparsity*\n    casadi__Sparsity__scalar__0(std::string ** err_msg)"
// call: "        casadi::Sparsity ret = casadi::Sparsity::scalar();"
// params: []
extern "C"
casadi::Sparsity*
    casadi__Sparsity__scalar__0(std::string ** err_msg);
casadi::Sparsity*
    casadi__Sparsity__scalar__0(std::string ** err_msg){
    try {

        casadi::Sparsity ret = casadi::Sparsity::scalar();

        return WrapReturn< casadi::Sparsity*, casadi::Sparsity >::wrapReturn( ret );
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return 0;
    }
}


// ================== Static method: "scalar" ===============
// class: "casadi::Sparsity"
// cppName: "casadi::Sparsity::scalar"
// cWrapperName: "casadi__Sparsity__scalar__1"
// protoArgs: "(std::string ** err_msg, int x0)"
// args: "(x0_)"
// rettype: UserType (Namespace ["casadi"]) (Name "Sparsity")
// cWrapperRetType: "casadi::Sparsity*"
// proto: "casadi::Sparsity*\n    casadi__Sparsity__scalar__1(std::string ** err_msg, int x0)"
// call: "        casadi::Sparsity ret = casadi::Sparsity::scalar(x0_);"
// params: [(CBool,SwigOutput False)]
extern "C"
casadi::Sparsity*
    casadi__Sparsity__scalar__1(std::string ** err_msg, int x0);
casadi::Sparsity*
    casadi__Sparsity__scalar__1(std::string ** err_msg, int x0){
    try {
        bool x0_ = Marshaling<bool,int>::marshal(x0);

        casadi::Sparsity ret = casadi::Sparsity::scalar(x0_);
        // x0 is not a swig output

        return WrapReturn< casadi::Sparsity*, casadi::Sparsity >::wrapReturn( ret );
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return 0;
    }
}


// ================== Normal method: "scc" ===============
// class: "casadi::Sparsity"
// cppName: "casadi::Sparsity::scc"
// cWrapperName: "casadi__Sparsity__scc"
// protoArgs: "(std::string ** err_msg, casadi::Sparsity* obj, std::vector< int >** x0, std::vector< int >** x1)"
// args: "(x0_, x1_)"
// rettype: CInt
// cWrapperRetType: "int"
// proto: "int\n    casadi__Sparsity__scc(std::string ** err_msg, casadi::Sparsity* obj, std::vector< int >** x0, std::vector< int >** x1)"
// call: "        int ret = obj->scc(x0_, x1_);"
// params: [(Ref (StdVec CInt),SwigOutput True),(Ref (StdVec CInt),SwigOutput True)]
extern "C"
int
    casadi__Sparsity__scc(std::string ** err_msg, casadi::Sparsity* obj, std::vector< int >** x0, std::vector< int >** x1);
int
    casadi__Sparsity__scc(std::string ** err_msg, casadi::Sparsity* obj, std::vector< int >** x0, std::vector< int >** x1){
    try {
        std::vector< int > x0_ = std::vector< int >();  // Swig output
        std::vector< int > x1_ = std::vector< int >();  // Swig output

        int ret = obj->scc(x0_, x1_);
        *x0 = WrapReturn< std::vector< int >*, std::vector< int > >::wrapReturn( x0_ );
        *x1 = WrapReturn< std::vector< int >*, std::vector< int > >::wrapReturn( x1_ );

        return WrapReturn< int, int >::wrapReturn( ret );
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return 0;
    }
}


// ================== Normal method: "size" ===============
// class: "casadi::Sparsity"
// cppName: "casadi::Sparsity::size"
// cWrapperName: "casadi__Sparsity__size__0"
// protoArgs: "(std::string ** err_msg, casadi::Sparsity* obj, int x0)"
// args: "(x0_)"
// rettype: CInt
// cWrapperRetType: "int"
// proto: "int\n    casadi__Sparsity__size__0(std::string ** err_msg, casadi::Sparsity* obj, int x0)"
// call: "        int ret = obj->size(x0_);"
// params: [(CInt,SwigOutput False)]
extern "C"
int
    casadi__Sparsity__size__0(std::string ** err_msg, casadi::Sparsity* obj, int x0);
int
    casadi__Sparsity__size__0(std::string ** err_msg, casadi::Sparsity* obj, int x0){
    try {
        int x0_ = Marshaling<int,int>::marshal(x0);

        int ret = obj->size(x0_);
        // x0 is not a swig output

        return WrapReturn< int, int >::wrapReturn( ret );
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return 0;
    }
}


// ================== Normal method: "size" ===============
// class: "casadi::Sparsity"
// cppName: "casadi::Sparsity::size"
// cWrapperName: "casadi__Sparsity__size__1"
// protoArgs: "(std::string ** err_msg, casadi::Sparsity* obj)"
// args: "()"
// rettype: StdPair CInt CInt
// cWrapperRetType: "std::pair< int, int >*"
// proto: "std::pair< int, int >*\n    casadi__Sparsity__size__1(std::string ** err_msg, casadi::Sparsity* obj)"
// call: "        std::pair< int, int > ret = obj->size();"
// params: []
extern "C"
std::pair< int, int >*
    casadi__Sparsity__size__1(std::string ** err_msg, casadi::Sparsity* obj);
std::pair< int, int >*
    casadi__Sparsity__size__1(std::string ** err_msg, casadi::Sparsity* obj){
    try {

        std::pair< int, int > ret = obj->size();

        return WrapReturn< std::pair< int, int >*, std::pair< int, int > >::wrapReturn( ret );
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return 0;
    }
}


// ================== Normal method: "size1" ===============
// class: "casadi::Sparsity"
// cppName: "casadi::Sparsity::size1"
// cWrapperName: "casadi__Sparsity__size1"
// protoArgs: "(std::string ** err_msg, casadi::Sparsity* obj)"
// args: "()"
// rettype: CInt
// cWrapperRetType: "int"
// proto: "int\n    casadi__Sparsity__size1(std::string ** err_msg, casadi::Sparsity* obj)"
// call: "        int ret = obj->size1();"
// params: []
extern "C"
int
    casadi__Sparsity__size1(std::string ** err_msg, casadi::Sparsity* obj);
int
    casadi__Sparsity__size1(std::string ** err_msg, casadi::Sparsity* obj){
    try {

        int ret = obj->size1();

        return WrapReturn< int, int >::wrapReturn( ret );
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return 0;
    }
}


// ================== Normal method: "size2" ===============
// class: "casadi::Sparsity"
// cppName: "casadi::Sparsity::size2"
// cWrapperName: "casadi__Sparsity__size2"
// protoArgs: "(std::string ** err_msg, casadi::Sparsity* obj)"
// args: "()"
// rettype: CInt
// cWrapperRetType: "int"
// proto: "int\n    casadi__Sparsity__size2(std::string ** err_msg, casadi::Sparsity* obj)"
// call: "        int ret = obj->size2();"
// params: []
extern "C"
int
    casadi__Sparsity__size2(std::string ** err_msg, casadi::Sparsity* obj);
int
    casadi__Sparsity__size2(std::string ** err_msg, casadi::Sparsity* obj){
    try {

        int ret = obj->size2();

        return WrapReturn< int, int >::wrapReturn( ret );
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return 0;
    }
}


// ================== Normal method: "spy" ===============
// class: "casadi::Sparsity"
// cppName: "casadi::Sparsity::spy"
// cWrapperName: "casadi__Sparsity__spy"
// protoArgs: "(std::string ** err_msg, casadi::Sparsity* obj)"
// args: "()"
// rettype: CVoid
// cWrapperRetType: "void"
// proto: "void\n    casadi__Sparsity__spy(std::string ** err_msg, casadi::Sparsity* obj)"
// call: "        obj->spy();"
// params: []
extern "C"
void
    casadi__Sparsity__spy(std::string ** err_msg, casadi::Sparsity* obj);
void
    casadi__Sparsity__spy(std::string ** err_msg, casadi::Sparsity* obj){
    try {

        obj->spy();

        return;
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return;
    }
}


// ================== Normal method: "spy_matlab" ===============
// class: "casadi::Sparsity"
// cppName: "casadi::Sparsity::spy_matlab"
// cWrapperName: "casadi__Sparsity__spy_matlab"
// protoArgs: "(std::string ** err_msg, casadi::Sparsity* obj, std::string* x0)"
// args: "(x0_)"
// rettype: CVoid
// cWrapperRetType: "void"
// proto: "void\n    casadi__Sparsity__spy_matlab(std::string ** err_msg, casadi::Sparsity* obj, std::string* x0)"
// call: "        obj->spy_matlab(x0_);"
// params: [(Ref (Const StdString),SwigOutput False)]
extern "C"
void
    casadi__Sparsity__spy_matlab(std::string ** err_msg, casadi::Sparsity* obj, std::string* x0);
void
    casadi__Sparsity__spy_matlab(std::string ** err_msg, casadi::Sparsity* obj, std::string* x0){
    try {
        std::string& x0_ = Marshaling<std::string&,std::string*>::marshal(x0);

        obj->spy_matlab(x0_);
        // x0 is not a swig output

        return;
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return;
    }
}


// ================== Normal method: "star_coloring" ===============
// class: "casadi::Sparsity"
// cppName: "casadi::Sparsity::star_coloring"
// cWrapperName: "casadi__Sparsity__star_coloring__0"
// protoArgs: "(std::string ** err_msg, casadi::Sparsity* obj)"
// args: "()"
// rettype: UserType (Namespace ["casadi"]) (Name "Sparsity")
// cWrapperRetType: "casadi::Sparsity*"
// proto: "casadi::Sparsity*\n    casadi__Sparsity__star_coloring__0(std::string ** err_msg, casadi::Sparsity* obj)"
// call: "        casadi::Sparsity ret = obj->star_coloring();"
// params: []
extern "C"
casadi::Sparsity*
    casadi__Sparsity__star_coloring__0(std::string ** err_msg, casadi::Sparsity* obj);
casadi::Sparsity*
    casadi__Sparsity__star_coloring__0(std::string ** err_msg, casadi::Sparsity* obj){
    try {

        casadi::Sparsity ret = obj->star_coloring();

        return WrapReturn< casadi::Sparsity*, casadi::Sparsity >::wrapReturn( ret );
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return 0;
    }
}


// ================== Normal method: "star_coloring" ===============
// class: "casadi::Sparsity"
// cppName: "casadi::Sparsity::star_coloring"
// cWrapperName: "casadi__Sparsity__star_coloring__1"
// protoArgs: "(std::string ** err_msg, casadi::Sparsity* obj, int x0)"
// args: "(x0_)"
// rettype: UserType (Namespace ["casadi"]) (Name "Sparsity")
// cWrapperRetType: "casadi::Sparsity*"
// proto: "casadi::Sparsity*\n    casadi__Sparsity__star_coloring__1(std::string ** err_msg, casadi::Sparsity* obj, int x0)"
// call: "        casadi::Sparsity ret = obj->star_coloring(x0_);"
// params: [(CInt,SwigOutput False)]
extern "C"
casadi::Sparsity*
    casadi__Sparsity__star_coloring__1(std::string ** err_msg, casadi::Sparsity* obj, int x0);
casadi::Sparsity*
    casadi__Sparsity__star_coloring__1(std::string ** err_msg, casadi::Sparsity* obj, int x0){
    try {
        int x0_ = Marshaling<int,int>::marshal(x0);

        casadi::Sparsity ret = obj->star_coloring(x0_);
        // x0 is not a swig output

        return WrapReturn< casadi::Sparsity*, casadi::Sparsity >::wrapReturn( ret );
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return 0;
    }
}


// ================== Normal method: "star_coloring" ===============
// class: "casadi::Sparsity"
// cppName: "casadi::Sparsity::star_coloring"
// cWrapperName: "casadi__Sparsity__star_coloring__2"
// protoArgs: "(std::string ** err_msg, casadi::Sparsity* obj, int x0, int x1)"
// args: "(x0_, x1_)"
// rettype: UserType (Namespace ["casadi"]) (Name "Sparsity")
// cWrapperRetType: "casadi::Sparsity*"
// proto: "casadi::Sparsity*\n    casadi__Sparsity__star_coloring__2(std::string ** err_msg, casadi::Sparsity* obj, int x0, int x1)"
// call: "        casadi::Sparsity ret = obj->star_coloring(x0_, x1_);"
// params: [(CInt,SwigOutput False),(CInt,SwigOutput False)]
extern "C"
casadi::Sparsity*
    casadi__Sparsity__star_coloring__2(std::string ** err_msg, casadi::Sparsity* obj, int x0, int x1);
casadi::Sparsity*
    casadi__Sparsity__star_coloring__2(std::string ** err_msg, casadi::Sparsity* obj, int x0, int x1){
    try {
        int x0_ = Marshaling<int,int>::marshal(x0);
        int x1_ = Marshaling<int,int>::marshal(x1);

        casadi::Sparsity ret = obj->star_coloring(x0_, x1_);
        // x0 is not a swig output
        // x1 is not a swig output

        return WrapReturn< casadi::Sparsity*, casadi::Sparsity >::wrapReturn( ret );
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return 0;
    }
}


// ================== Normal method: "star_coloring2" ===============
// class: "casadi::Sparsity"
// cppName: "casadi::Sparsity::star_coloring2"
// cWrapperName: "casadi__Sparsity__star_coloring2__0"
// protoArgs: "(std::string ** err_msg, casadi::Sparsity* obj)"
// args: "()"
// rettype: UserType (Namespace ["casadi"]) (Name "Sparsity")
// cWrapperRetType: "casadi::Sparsity*"
// proto: "casadi::Sparsity*\n    casadi__Sparsity__star_coloring2__0(std::string ** err_msg, casadi::Sparsity* obj)"
// call: "        casadi::Sparsity ret = obj->star_coloring2();"
// params: []
extern "C"
casadi::Sparsity*
    casadi__Sparsity__star_coloring2__0(std::string ** err_msg, casadi::Sparsity* obj);
casadi::Sparsity*
    casadi__Sparsity__star_coloring2__0(std::string ** err_msg, casadi::Sparsity* obj){
    try {

        casadi::Sparsity ret = obj->star_coloring2();

        return WrapReturn< casadi::Sparsity*, casadi::Sparsity >::wrapReturn( ret );
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return 0;
    }
}


// ================== Normal method: "star_coloring2" ===============
// class: "casadi::Sparsity"
// cppName: "casadi::Sparsity::star_coloring2"
// cWrapperName: "casadi__Sparsity__star_coloring2__1"
// protoArgs: "(std::string ** err_msg, casadi::Sparsity* obj, int x0)"
// args: "(x0_)"
// rettype: UserType (Namespace ["casadi"]) (Name "Sparsity")
// cWrapperRetType: "casadi::Sparsity*"
// proto: "casadi::Sparsity*\n    casadi__Sparsity__star_coloring2__1(std::string ** err_msg, casadi::Sparsity* obj, int x0)"
// call: "        casadi::Sparsity ret = obj->star_coloring2(x0_);"
// params: [(CInt,SwigOutput False)]
extern "C"
casadi::Sparsity*
    casadi__Sparsity__star_coloring2__1(std::string ** err_msg, casadi::Sparsity* obj, int x0);
casadi::Sparsity*
    casadi__Sparsity__star_coloring2__1(std::string ** err_msg, casadi::Sparsity* obj, int x0){
    try {
        int x0_ = Marshaling<int,int>::marshal(x0);

        casadi::Sparsity ret = obj->star_coloring2(x0_);
        // x0 is not a swig output

        return WrapReturn< casadi::Sparsity*, casadi::Sparsity >::wrapReturn( ret );
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return 0;
    }
}


// ================== Normal method: "star_coloring2" ===============
// class: "casadi::Sparsity"
// cppName: "casadi::Sparsity::star_coloring2"
// cWrapperName: "casadi__Sparsity__star_coloring2__2"
// protoArgs: "(std::string ** err_msg, casadi::Sparsity* obj, int x0, int x1)"
// args: "(x0_, x1_)"
// rettype: UserType (Namespace ["casadi"]) (Name "Sparsity")
// cWrapperRetType: "casadi::Sparsity*"
// proto: "casadi::Sparsity*\n    casadi__Sparsity__star_coloring2__2(std::string ** err_msg, casadi::Sparsity* obj, int x0, int x1)"
// call: "        casadi::Sparsity ret = obj->star_coloring2(x0_, x1_);"
// params: [(CInt,SwigOutput False),(CInt,SwigOutput False)]
extern "C"
casadi::Sparsity*
    casadi__Sparsity__star_coloring2__2(std::string ** err_msg, casadi::Sparsity* obj, int x0, int x1);
casadi::Sparsity*
    casadi__Sparsity__star_coloring2__2(std::string ** err_msg, casadi::Sparsity* obj, int x0, int x1){
    try {
        int x0_ = Marshaling<int,int>::marshal(x0);
        int x1_ = Marshaling<int,int>::marshal(x1);

        casadi::Sparsity ret = obj->star_coloring2(x0_, x1_);
        // x0 is not a swig output
        // x1 is not a swig output

        return WrapReturn< casadi::Sparsity*, casadi::Sparsity >::wrapReturn( ret );
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return 0;
    }
}


// ================== Normal method: "sub" ===============
// class: "casadi::Sparsity"
// cppName: "casadi::Sparsity::sub"
// cWrapperName: "casadi__Sparsity__sub__0"
// protoArgs: "(std::string ** err_msg, casadi::Sparsity* obj, std::vector< int >* x0, casadi::Sparsity* x1, std::vector< int >** x2)"
// args: "(x0_, x1_, x2_)"
// rettype: UserType (Namespace ["casadi"]) (Name "Sparsity")
// cWrapperRetType: "casadi::Sparsity*"
// proto: "casadi::Sparsity*\n    casadi__Sparsity__sub__0(std::string ** err_msg, casadi::Sparsity* obj, std::vector< int >* x0, casadi::Sparsity* x1, std::vector< int >** x2)"
// call: "        casadi::Sparsity ret = obj->sub(x0_, x1_, x2_);"
// params: [(Ref (Const (StdVec CInt)),SwigOutput False),(Ref (Const (UserType (Namespace ["casadi"]) (Name "Sparsity"))),SwigOutput False),(Ref (StdVec CInt),SwigOutput True)]
extern "C"
casadi::Sparsity*
    casadi__Sparsity__sub__0(std::string ** err_msg, casadi::Sparsity* obj, std::vector< int >* x0, casadi::Sparsity* x1, std::vector< int >** x2);
casadi::Sparsity*
    casadi__Sparsity__sub__0(std::string ** err_msg, casadi::Sparsity* obj, std::vector< int >* x0, casadi::Sparsity* x1, std::vector< int >** x2){
    try {
        std::vector< int > x0_ = Marshaling<std::vector< int >,std::vector< int >*>::marshal(x0);
        casadi::Sparsity& x1_ = Marshaling<casadi::Sparsity&,casadi::Sparsity*>::marshal(x1);
        std::vector< int > x2_ = std::vector< int >();  // Swig output

        casadi::Sparsity ret = obj->sub(x0_, x1_, x2_);
        // x0 is not a swig output
        // x1 is not a swig output
        *x2 = WrapReturn< std::vector< int >*, std::vector< int > >::wrapReturn( x2_ );

        return WrapReturn< casadi::Sparsity*, casadi::Sparsity >::wrapReturn( ret );
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return 0;
    }
}


// ================== Normal method: "sub" ===============
// class: "casadi::Sparsity"
// cppName: "casadi::Sparsity::sub"
// cWrapperName: "casadi__Sparsity__sub__1"
// protoArgs: "(std::string ** err_msg, casadi::Sparsity* obj, std::vector< int >* x0, casadi::Sparsity* x1, std::vector< int >** x2, int x3)"
// args: "(x0_, x1_, x2_, x3_)"
// rettype: UserType (Namespace ["casadi"]) (Name "Sparsity")
// cWrapperRetType: "casadi::Sparsity*"
// proto: "casadi::Sparsity*\n    casadi__Sparsity__sub__1(std::string ** err_msg, casadi::Sparsity* obj, std::vector< int >* x0, casadi::Sparsity* x1, std::vector< int >** x2, int x3)"
// call: "        casadi::Sparsity ret = obj->sub(x0_, x1_, x2_, x3_);"
// params: [(Ref (Const (StdVec CInt)),SwigOutput False),(Ref (Const (UserType (Namespace ["casadi"]) (Name "Sparsity"))),SwigOutput False),(Ref (StdVec CInt),SwigOutput True),(CBool,SwigOutput False)]
extern "C"
casadi::Sparsity*
    casadi__Sparsity__sub__1(std::string ** err_msg, casadi::Sparsity* obj, std::vector< int >* x0, casadi::Sparsity* x1, std::vector< int >** x2, int x3);
casadi::Sparsity*
    casadi__Sparsity__sub__1(std::string ** err_msg, casadi::Sparsity* obj, std::vector< int >* x0, casadi::Sparsity* x1, std::vector< int >** x2, int x3){
    try {
        std::vector< int > x0_ = Marshaling<std::vector< int >,std::vector< int >*>::marshal(x0);
        casadi::Sparsity& x1_ = Marshaling<casadi::Sparsity&,casadi::Sparsity*>::marshal(x1);
        std::vector< int > x2_ = std::vector< int >();  // Swig output
        bool x3_ = Marshaling<bool,int>::marshal(x3);

        casadi::Sparsity ret = obj->sub(x0_, x1_, x2_, x3_);
        // x0 is not a swig output
        // x1 is not a swig output
        *x2 = WrapReturn< std::vector< int >*, std::vector< int > >::wrapReturn( x2_ );
        // x3 is not a swig output

        return WrapReturn< casadi::Sparsity*, casadi::Sparsity >::wrapReturn( ret );
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return 0;
    }
}


// ================== Normal method: "sub" ===============
// class: "casadi::Sparsity"
// cppName: "casadi::Sparsity::sub"
// cWrapperName: "casadi__Sparsity__sub__2"
// protoArgs: "(std::string ** err_msg, casadi::Sparsity* obj, std::vector< int >* x0, std::vector< int >* x1, std::vector< int >** x2)"
// args: "(x0_, x1_, x2_)"
// rettype: UserType (Namespace ["casadi"]) (Name "Sparsity")
// cWrapperRetType: "casadi::Sparsity*"
// proto: "casadi::Sparsity*\n    casadi__Sparsity__sub__2(std::string ** err_msg, casadi::Sparsity* obj, std::vector< int >* x0, std::vector< int >* x1, std::vector< int >** x2)"
// call: "        casadi::Sparsity ret = obj->sub(x0_, x1_, x2_);"
// params: [(Ref (Const (StdVec CInt)),SwigOutput False),(Ref (Const (StdVec CInt)),SwigOutput False),(Ref (StdVec CInt),SwigOutput True)]
extern "C"
casadi::Sparsity*
    casadi__Sparsity__sub__2(std::string ** err_msg, casadi::Sparsity* obj, std::vector< int >* x0, std::vector< int >* x1, std::vector< int >** x2);
casadi::Sparsity*
    casadi__Sparsity__sub__2(std::string ** err_msg, casadi::Sparsity* obj, std::vector< int >* x0, std::vector< int >* x1, std::vector< int >** x2){
    try {
        std::vector< int > x0_ = Marshaling<std::vector< int >,std::vector< int >*>::marshal(x0);
        std::vector< int > x1_ = Marshaling<std::vector< int >,std::vector< int >*>::marshal(x1);
        std::vector< int > x2_ = std::vector< int >();  // Swig output

        casadi::Sparsity ret = obj->sub(x0_, x1_, x2_);
        // x0 is not a swig output
        // x1 is not a swig output
        *x2 = WrapReturn< std::vector< int >*, std::vector< int > >::wrapReturn( x2_ );

        return WrapReturn< casadi::Sparsity*, casadi::Sparsity >::wrapReturn( ret );
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return 0;
    }
}


// ================== Normal method: "sub" ===============
// class: "casadi::Sparsity"
// cppName: "casadi::Sparsity::sub"
// cWrapperName: "casadi__Sparsity__sub__3"
// protoArgs: "(std::string ** err_msg, casadi::Sparsity* obj, std::vector< int >* x0, std::vector< int >* x1, std::vector< int >** x2, int x3)"
// args: "(x0_, x1_, x2_, x3_)"
// rettype: UserType (Namespace ["casadi"]) (Name "Sparsity")
// cWrapperRetType: "casadi::Sparsity*"
// proto: "casadi::Sparsity*\n    casadi__Sparsity__sub__3(std::string ** err_msg, casadi::Sparsity* obj, std::vector< int >* x0, std::vector< int >* x1, std::vector< int >** x2, int x3)"
// call: "        casadi::Sparsity ret = obj->sub(x0_, x1_, x2_, x3_);"
// params: [(Ref (Const (StdVec CInt)),SwigOutput False),(Ref (Const (StdVec CInt)),SwigOutput False),(Ref (StdVec CInt),SwigOutput True),(CBool,SwigOutput False)]
extern "C"
casadi::Sparsity*
    casadi__Sparsity__sub__3(std::string ** err_msg, casadi::Sparsity* obj, std::vector< int >* x0, std::vector< int >* x1, std::vector< int >** x2, int x3);
casadi::Sparsity*
    casadi__Sparsity__sub__3(std::string ** err_msg, casadi::Sparsity* obj, std::vector< int >* x0, std::vector< int >* x1, std::vector< int >** x2, int x3){
    try {
        std::vector< int > x0_ = Marshaling<std::vector< int >,std::vector< int >*>::marshal(x0);
        std::vector< int > x1_ = Marshaling<std::vector< int >,std::vector< int >*>::marshal(x1);
        std::vector< int > x2_ = std::vector< int >();  // Swig output
        bool x3_ = Marshaling<bool,int>::marshal(x3);

        casadi::Sparsity ret = obj->sub(x0_, x1_, x2_, x3_);
        // x0 is not a swig output
        // x1 is not a swig output
        *x2 = WrapReturn< std::vector< int >*, std::vector< int > >::wrapReturn( x2_ );
        // x3 is not a swig output

        return WrapReturn< casadi::Sparsity*, casadi::Sparsity >::wrapReturn( ret );
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return 0;
    }
}


// ================== Normal method: "transpose" ===============
// class: "casadi::Sparsity"
// cppName: "casadi::Sparsity::transpose"
// cWrapperName: "casadi__Sparsity__transpose__0"
// protoArgs: "(std::string ** err_msg, casadi::Sparsity* obj, std::vector< int >* x0)"
// args: "(x0_)"
// rettype: UserType (Namespace ["casadi"]) (Name "Sparsity")
// cWrapperRetType: "casadi::Sparsity*"
// proto: "casadi::Sparsity*\n    casadi__Sparsity__transpose__0(std::string ** err_msg, casadi::Sparsity* obj, std::vector< int >* x0)"
// call: "        casadi::Sparsity ret = obj->transpose(x0_);"
// params: [(Ref (StdVec CInt),SwigOutput False)]
extern "C"
casadi::Sparsity*
    casadi__Sparsity__transpose__0(std::string ** err_msg, casadi::Sparsity* obj, std::vector< int >* x0);
casadi::Sparsity*
    casadi__Sparsity__transpose__0(std::string ** err_msg, casadi::Sparsity* obj, std::vector< int >* x0){
    try {
        std::vector< int > x0_ = Marshaling<std::vector< int >,std::vector< int >*>::marshal(x0);

        casadi::Sparsity ret = obj->transpose(x0_);
        // x0 is not a swig output

        return WrapReturn< casadi::Sparsity*, casadi::Sparsity >::wrapReturn( ret );
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return 0;
    }
}


// ================== Normal method: "transpose" ===============
// class: "casadi::Sparsity"
// cppName: "casadi::Sparsity::transpose"
// cWrapperName: "casadi__Sparsity__transpose__1"
// protoArgs: "(std::string ** err_msg, casadi::Sparsity* obj, std::vector< int >* x0, int x1)"
// args: "(x0_, x1_)"
// rettype: UserType (Namespace ["casadi"]) (Name "Sparsity")
// cWrapperRetType: "casadi::Sparsity*"
// proto: "casadi::Sparsity*\n    casadi__Sparsity__transpose__1(std::string ** err_msg, casadi::Sparsity* obj, std::vector< int >* x0, int x1)"
// call: "        casadi::Sparsity ret = obj->transpose(x0_, x1_);"
// params: [(Ref (StdVec CInt),SwigOutput False),(CBool,SwigOutput False)]
extern "C"
casadi::Sparsity*
    casadi__Sparsity__transpose__1(std::string ** err_msg, casadi::Sparsity* obj, std::vector< int >* x0, int x1);
casadi::Sparsity*
    casadi__Sparsity__transpose__1(std::string ** err_msg, casadi::Sparsity* obj, std::vector< int >* x0, int x1){
    try {
        std::vector< int > x0_ = Marshaling<std::vector< int >,std::vector< int >*>::marshal(x0);
        bool x1_ = Marshaling<bool,int>::marshal(x1);

        casadi::Sparsity ret = obj->transpose(x0_, x1_);
        // x0 is not a swig output
        // x1 is not a swig output

        return WrapReturn< casadi::Sparsity*, casadi::Sparsity >::wrapReturn( ret );
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return 0;
    }
}


// ================== Static method: "triplet" ===============
// class: "casadi::Sparsity"
// cppName: "casadi::Sparsity::triplet"
// cWrapperName: "casadi__Sparsity__triplet__0"
// protoArgs: "(std::string ** err_msg, int x0, int x1, std::vector< int >* x2, std::vector< int >* x3)"
// args: "(x0_, x1_, x2_, x3_)"
// rettype: UserType (Namespace ["casadi"]) (Name "Sparsity")
// cWrapperRetType: "casadi::Sparsity*"
// proto: "casadi::Sparsity*\n    casadi__Sparsity__triplet__0(std::string ** err_msg, int x0, int x1, std::vector< int >* x2, std::vector< int >* x3)"
// call: "        casadi::Sparsity ret = casadi::Sparsity::triplet(x0_, x1_, x2_, x3_);"
// params: [(CInt,SwigOutput False),(CInt,SwigOutput False),(Ref (Const (StdVec CInt)),SwigOutput False),(Ref (Const (StdVec CInt)),SwigOutput False)]
extern "C"
casadi::Sparsity*
    casadi__Sparsity__triplet__0(std::string ** err_msg, int x0, int x1, std::vector< int >* x2, std::vector< int >* x3);
casadi::Sparsity*
    casadi__Sparsity__triplet__0(std::string ** err_msg, int x0, int x1, std::vector< int >* x2, std::vector< int >* x3){
    try {
        int x0_ = Marshaling<int,int>::marshal(x0);
        int x1_ = Marshaling<int,int>::marshal(x1);
        std::vector< int > x2_ = Marshaling<std::vector< int >,std::vector< int >*>::marshal(x2);
        std::vector< int > x3_ = Marshaling<std::vector< int >,std::vector< int >*>::marshal(x3);

        casadi::Sparsity ret = casadi::Sparsity::triplet(x0_, x1_, x2_, x3_);
        // x0 is not a swig output
        // x1 is not a swig output
        // x2 is not a swig output
        // x3 is not a swig output

        return WrapReturn< casadi::Sparsity*, casadi::Sparsity >::wrapReturn( ret );
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return 0;
    }
}


// ================== Static method: "triplet" ===============
// class: "casadi::Sparsity"
// cppName: "casadi::Sparsity::triplet"
// cWrapperName: "casadi__Sparsity__triplet__1"
// protoArgs: "(std::string ** err_msg, int x0, int x1, std::vector< int >* x2, std::vector< int >* x3, std::vector< int >* x4)"
// args: "(x0_, x1_, x2_, x3_, x4_)"
// rettype: UserType (Namespace ["casadi"]) (Name "Sparsity")
// cWrapperRetType: "casadi::Sparsity*"
// proto: "casadi::Sparsity*\n    casadi__Sparsity__triplet__1(std::string ** err_msg, int x0, int x1, std::vector< int >* x2, std::vector< int >* x3, std::vector< int >* x4)"
// call: "        casadi::Sparsity ret = casadi::Sparsity::triplet(x0_, x1_, x2_, x3_, x4_);"
// params: [(CInt,SwigOutput False),(CInt,SwigOutput False),(Ref (Const (StdVec CInt)),SwigOutput False),(Ref (Const (StdVec CInt)),SwigOutput False),(Ref (StdVec CInt),SwigOutput False)]
extern "C"
casadi::Sparsity*
    casadi__Sparsity__triplet__1(std::string ** err_msg, int x0, int x1, std::vector< int >* x2, std::vector< int >* x3, std::vector< int >* x4);
casadi::Sparsity*
    casadi__Sparsity__triplet__1(std::string ** err_msg, int x0, int x1, std::vector< int >* x2, std::vector< int >* x3, std::vector< int >* x4){
    try {
        int x0_ = Marshaling<int,int>::marshal(x0);
        int x1_ = Marshaling<int,int>::marshal(x1);
        std::vector< int > x2_ = Marshaling<std::vector< int >,std::vector< int >*>::marshal(x2);
        std::vector< int > x3_ = Marshaling<std::vector< int >,std::vector< int >*>::marshal(x3);
        std::vector< int > x4_ = Marshaling<std::vector< int >,std::vector< int >*>::marshal(x4);

        casadi::Sparsity ret = casadi::Sparsity::triplet(x0_, x1_, x2_, x3_, x4_);
        // x0 is not a swig output
        // x1 is not a swig output
        // x2 is not a swig output
        // x3 is not a swig output
        // x4 is not a swig output

        return WrapReturn< casadi::Sparsity*, casadi::Sparsity >::wrapReturn( ret );
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return 0;
    }
}


// ================== Static method: "triplet" ===============
// class: "casadi::Sparsity"
// cppName: "casadi::Sparsity::triplet"
// cWrapperName: "casadi__Sparsity__triplet__2"
// protoArgs: "(std::string ** err_msg, int x0, int x1, std::vector< int >* x2, std::vector< int >* x3, std::vector< int >* x4, int x5)"
// args: "(x0_, x1_, x2_, x3_, x4_, x5_)"
// rettype: UserType (Namespace ["casadi"]) (Name "Sparsity")
// cWrapperRetType: "casadi::Sparsity*"
// proto: "casadi::Sparsity*\n    casadi__Sparsity__triplet__2(std::string ** err_msg, int x0, int x1, std::vector< int >* x2, std::vector< int >* x3, std::vector< int >* x4, int x5)"
// call: "        casadi::Sparsity ret = casadi::Sparsity::triplet(x0_, x1_, x2_, x3_, x4_, x5_);"
// params: [(CInt,SwigOutput False),(CInt,SwigOutput False),(Ref (Const (StdVec CInt)),SwigOutput False),(Ref (Const (StdVec CInt)),SwigOutput False),(Ref (StdVec CInt),SwigOutput False),(CBool,SwigOutput False)]
extern "C"
casadi::Sparsity*
    casadi__Sparsity__triplet__2(std::string ** err_msg, int x0, int x1, std::vector< int >* x2, std::vector< int >* x3, std::vector< int >* x4, int x5);
casadi::Sparsity*
    casadi__Sparsity__triplet__2(std::string ** err_msg, int x0, int x1, std::vector< int >* x2, std::vector< int >* x3, std::vector< int >* x4, int x5){
    try {
        int x0_ = Marshaling<int,int>::marshal(x0);
        int x1_ = Marshaling<int,int>::marshal(x1);
        std::vector< int > x2_ = Marshaling<std::vector< int >,std::vector< int >*>::marshal(x2);
        std::vector< int > x3_ = Marshaling<std::vector< int >,std::vector< int >*>::marshal(x3);
        std::vector< int > x4_ = Marshaling<std::vector< int >,std::vector< int >*>::marshal(x4);
        bool x5_ = Marshaling<bool,int>::marshal(x5);

        casadi::Sparsity ret = casadi::Sparsity::triplet(x0_, x1_, x2_, x3_, x4_, x5_);
        // x0 is not a swig output
        // x1 is not a swig output
        // x2 is not a swig output
        // x3 is not a swig output
        // x4 is not a swig output
        // x5 is not a swig output

        return WrapReturn< casadi::Sparsity*, casadi::Sparsity >::wrapReturn( ret );
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return 0;
    }
}


// ================== Normal method: "uni_coloring" ===============
// class: "casadi::Sparsity"
// cppName: "casadi::Sparsity::uni_coloring"
// cWrapperName: "casadi__Sparsity__uni_coloring__0"
// protoArgs: "(std::string ** err_msg, casadi::Sparsity* obj)"
// args: "()"
// rettype: UserType (Namespace ["casadi"]) (Name "Sparsity")
// cWrapperRetType: "casadi::Sparsity*"
// proto: "casadi::Sparsity*\n    casadi__Sparsity__uni_coloring__0(std::string ** err_msg, casadi::Sparsity* obj)"
// call: "        casadi::Sparsity ret = obj->uni_coloring();"
// params: []
extern "C"
casadi::Sparsity*
    casadi__Sparsity__uni_coloring__0(std::string ** err_msg, casadi::Sparsity* obj);
casadi::Sparsity*
    casadi__Sparsity__uni_coloring__0(std::string ** err_msg, casadi::Sparsity* obj){
    try {

        casadi::Sparsity ret = obj->uni_coloring();

        return WrapReturn< casadi::Sparsity*, casadi::Sparsity >::wrapReturn( ret );
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return 0;
    }
}


// ================== Normal method: "uni_coloring" ===============
// class: "casadi::Sparsity"
// cppName: "casadi::Sparsity::uni_coloring"
// cWrapperName: "casadi__Sparsity__uni_coloring__1"
// protoArgs: "(std::string ** err_msg, casadi::Sparsity* obj, casadi::Sparsity* x0)"
// args: "(x0_)"
// rettype: UserType (Namespace ["casadi"]) (Name "Sparsity")
// cWrapperRetType: "casadi::Sparsity*"
// proto: "casadi::Sparsity*\n    casadi__Sparsity__uni_coloring__1(std::string ** err_msg, casadi::Sparsity* obj, casadi::Sparsity* x0)"
// call: "        casadi::Sparsity ret = obj->uni_coloring(x0_);"
// params: [(Ref (Const (UserType (Namespace ["casadi"]) (Name "Sparsity"))),SwigOutput False)]
extern "C"
casadi::Sparsity*
    casadi__Sparsity__uni_coloring__1(std::string ** err_msg, casadi::Sparsity* obj, casadi::Sparsity* x0);
casadi::Sparsity*
    casadi__Sparsity__uni_coloring__1(std::string ** err_msg, casadi::Sparsity* obj, casadi::Sparsity* x0){
    try {
        casadi::Sparsity& x0_ = Marshaling<casadi::Sparsity&,casadi::Sparsity*>::marshal(x0);

        casadi::Sparsity ret = obj->uni_coloring(x0_);
        // x0 is not a swig output

        return WrapReturn< casadi::Sparsity*, casadi::Sparsity >::wrapReturn( ret );
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return 0;
    }
}


// ================== Normal method: "uni_coloring" ===============
// class: "casadi::Sparsity"
// cppName: "casadi::Sparsity::uni_coloring"
// cWrapperName: "casadi__Sparsity__uni_coloring__2"
// protoArgs: "(std::string ** err_msg, casadi::Sparsity* obj, casadi::Sparsity* x0, int x1)"
// args: "(x0_, x1_)"
// rettype: UserType (Namespace ["casadi"]) (Name "Sparsity")
// cWrapperRetType: "casadi::Sparsity*"
// proto: "casadi::Sparsity*\n    casadi__Sparsity__uni_coloring__2(std::string ** err_msg, casadi::Sparsity* obj, casadi::Sparsity* x0, int x1)"
// call: "        casadi::Sparsity ret = obj->uni_coloring(x0_, x1_);"
// params: [(Ref (Const (UserType (Namespace ["casadi"]) (Name "Sparsity"))),SwigOutput False),(CInt,SwigOutput False)]
extern "C"
casadi::Sparsity*
    casadi__Sparsity__uni_coloring__2(std::string ** err_msg, casadi::Sparsity* obj, casadi::Sparsity* x0, int x1);
casadi::Sparsity*
    casadi__Sparsity__uni_coloring__2(std::string ** err_msg, casadi::Sparsity* obj, casadi::Sparsity* x0, int x1){
    try {
        casadi::Sparsity& x0_ = Marshaling<casadi::Sparsity&,casadi::Sparsity*>::marshal(x0);
        int x1_ = Marshaling<int,int>::marshal(x1);

        casadi::Sparsity ret = obj->uni_coloring(x0_, x1_);
        // x0 is not a swig output
        // x1 is not a swig output

        return WrapReturn< casadi::Sparsity*, casadi::Sparsity >::wrapReturn( ret );
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return 0;
    }
}


// ================== Static method: "unit" ===============
// class: "casadi::Sparsity"
// cppName: "casadi::Sparsity::unit"
// cWrapperName: "casadi__Sparsity__unit"
// protoArgs: "(std::string ** err_msg, int x0, int x1)"
// args: "(x0_, x1_)"
// rettype: UserType (Namespace ["casadi"]) (Name "Sparsity")
// cWrapperRetType: "casadi::Sparsity*"
// proto: "casadi::Sparsity*\n    casadi__Sparsity__unit(std::string ** err_msg, int x0, int x1)"
// call: "        casadi::Sparsity ret = casadi::Sparsity::unit(x0_, x1_);"
// params: [(CInt,SwigOutput False),(CInt,SwigOutput False)]
extern "C"
casadi::Sparsity*
    casadi__Sparsity__unit(std::string ** err_msg, int x0, int x1);
casadi::Sparsity*
    casadi__Sparsity__unit(std::string ** err_msg, int x0, int x1){
    try {
        int x0_ = Marshaling<int,int>::marshal(x0);
        int x1_ = Marshaling<int,int>::marshal(x1);

        casadi::Sparsity ret = casadi::Sparsity::unit(x0_, x1_);
        // x0 is not a swig output
        // x1 is not a swig output

        return WrapReturn< casadi::Sparsity*, casadi::Sparsity >::wrapReturn( ret );
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return 0;
    }
}


// ================== Normal method: "unite" ===============
// class: "casadi::Sparsity"
// cppName: "casadi::Sparsity::unite"
// cWrapperName: "casadi__Sparsity__unite"
// protoArgs: "(std::string ** err_msg, casadi::Sparsity* obj, casadi::Sparsity* x0)"
// args: "(x0_)"
// rettype: UserType (Namespace ["casadi"]) (Name "Sparsity")
// cWrapperRetType: "casadi::Sparsity*"
// proto: "casadi::Sparsity*\n    casadi__Sparsity__unite(std::string ** err_msg, casadi::Sparsity* obj, casadi::Sparsity* x0)"
// call: "        casadi::Sparsity ret = obj->unite(x0_);"
// params: [(Ref (Const (UserType (Namespace ["casadi"]) (Name "Sparsity"))),SwigOutput False)]
extern "C"
casadi::Sparsity*
    casadi__Sparsity__unite(std::string ** err_msg, casadi::Sparsity* obj, casadi::Sparsity* x0);
casadi::Sparsity*
    casadi__Sparsity__unite(std::string ** err_msg, casadi::Sparsity* obj, casadi::Sparsity* x0){
    try {
        casadi::Sparsity& x0_ = Marshaling<casadi::Sparsity&,casadi::Sparsity*>::marshal(x0);

        casadi::Sparsity ret = obj->unite(x0_);
        // x0 is not a swig output

        return WrapReturn< casadi::Sparsity*, casadi::Sparsity >::wrapReturn( ret );
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return 0;
    }
}


// ================== Static method: "upper" ===============
// class: "casadi::Sparsity"
// cppName: "casadi::Sparsity::upper"
// cWrapperName: "casadi__Sparsity__upper"
// protoArgs: "(std::string ** err_msg, int x0)"
// args: "(x0_)"
// rettype: UserType (Namespace ["casadi"]) (Name "Sparsity")
// cWrapperRetType: "casadi::Sparsity*"
// proto: "casadi::Sparsity*\n    casadi__Sparsity__upper(std::string ** err_msg, int x0)"
// call: "        casadi::Sparsity ret = casadi::Sparsity::upper(x0_);"
// params: [(CInt,SwigOutput False)]
extern "C"
casadi::Sparsity*
    casadi__Sparsity__upper(std::string ** err_msg, int x0);
casadi::Sparsity*
    casadi__Sparsity__upper(std::string ** err_msg, int x0){
    try {
        int x0_ = Marshaling<int,int>::marshal(x0);

        casadi::Sparsity ret = casadi::Sparsity::upper(x0_);
        // x0 is not a swig output

        return WrapReturn< casadi::Sparsity*, casadi::Sparsity >::wrapReturn( ret );
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return 0;
    }
}



// ================== delete UserType (Namespace ["casadi"]) (Name "SparsityInterfaceCommon")===============
// classType: UserType (Namespace ["casadi"]) (Name "SparsityInterfaceCommon")
extern "C"
void delete_casadi__SparsityInterfaceCommon(casadi::SparsityInterfaceCommon* obj);
void delete_casadi__SparsityInterfaceCommon(casadi::SparsityInterfaceCommon* obj){
    delete obj;
}


// ================== delete UserType (Namespace ["casadi"]) (Name "Variable")===============
// classType: UserType (Namespace ["casadi"]) (Name "Variable")
extern "C"
void delete_casadi__Variable(casadi::Variable* obj);
void delete_casadi__Variable(casadi::Variable* obj){
    delete obj;
}

// ================== Constructor method: "CONSTRUCTOR" ===============
// class: "casadi::Variable"
// cppName: "casadi::Variable"
// cWrapperName: "casadi__Variable__CONSTRUCTOR__0"
// protoArgs: "(std::string ** err_msg, std::string* x0)"
// args: "(x0_)"
// rettype: UserType (Namespace ["casadi"]) (Name "Variable")
// cWrapperRetType: "casadi::Variable*"
// proto: "casadi::Variable*\n    casadi__Variable__CONSTRUCTOR__0(std::string ** err_msg, std::string* x0)"
// call: "        casadi::Variable* ret = (casadi::Variable*)new casadi::Variable(x0_);"
// params: [(Ref (Const StdString),SwigOutput False)]
extern "C"
casadi::Variable*
    casadi__Variable__CONSTRUCTOR__0(std::string ** err_msg, std::string* x0);
casadi::Variable*
    casadi__Variable__CONSTRUCTOR__0(std::string ** err_msg, std::string* x0){
    try {
        std::string& x0_ = Marshaling<std::string&,std::string*>::marshal(x0);

        casadi::Variable* ret = (casadi::Variable*)new casadi::Variable(x0_);
        // x0 is not a swig output

        return ret;
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return 0;
    }
}


// ================== Constructor method: "CONSTRUCTOR" ===============
// class: "casadi::Variable"
// cppName: "casadi::Variable"
// cWrapperName: "casadi__Variable__CONSTRUCTOR__1"
// protoArgs: "(std::string ** err_msg, std::string* x0, casadi::Sparsity* x1)"
// args: "(x0_, x1_)"
// rettype: UserType (Namespace ["casadi"]) (Name "Variable")
// cWrapperRetType: "casadi::Variable*"
// proto: "casadi::Variable*\n    casadi__Variable__CONSTRUCTOR__1(std::string ** err_msg, std::string* x0, casadi::Sparsity* x1)"
// call: "        casadi::Variable* ret = (casadi::Variable*)new casadi::Variable(x0_, x1_);"
// params: [(Ref (Const StdString),SwigOutput False),(Ref (Const (UserType (Namespace ["casadi"]) (Name "Sparsity"))),SwigOutput False)]
extern "C"
casadi::Variable*
    casadi__Variable__CONSTRUCTOR__1(std::string ** err_msg, std::string* x0, casadi::Sparsity* x1);
casadi::Variable*
    casadi__Variable__CONSTRUCTOR__1(std::string ** err_msg, std::string* x0, casadi::Sparsity* x1){
    try {
        std::string& x0_ = Marshaling<std::string&,std::string*>::marshal(x0);
        casadi::Sparsity& x1_ = Marshaling<casadi::Sparsity&,casadi::Sparsity*>::marshal(x1);

        casadi::Variable* ret = (casadi::Variable*)new casadi::Variable(x0_, x1_);
        // x0 is not a swig output
        // x1 is not a swig output

        return ret;
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return 0;
    }
}


// ================== Constructor method: "CONSTRUCTOR" ===============
// class: "casadi::Variable"
// cppName: "casadi::Variable"
// cWrapperName: "casadi__Variable__CONSTRUCTOR__2"
// protoArgs: "(std::string ** err_msg)"
// args: "()"
// rettype: UserType (Namespace ["casadi"]) (Name "Variable")
// cWrapperRetType: "casadi::Variable*"
// proto: "casadi::Variable*\n    casadi__Variable__CONSTRUCTOR__2(std::string ** err_msg)"
// call: "        casadi::Variable* ret = (casadi::Variable*)new casadi::Variable();"
// params: []
extern "C"
casadi::Variable*
    casadi__Variable__CONSTRUCTOR__2(std::string ** err_msg);
casadi::Variable*
    casadi__Variable__CONSTRUCTOR__2(std::string ** err_msg){
    try {

        casadi::Variable* ret = (casadi::Variable*)new casadi::Variable();

        return ret;
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return 0;
    }
}


// ================== Normal method: "name" ===============
// class: "casadi::Variable"
// cppName: "casadi::Variable::name"
// cWrapperName: "casadi__Variable__name"
// protoArgs: "(std::string ** err_msg, casadi::Variable* obj)"
// args: "()"
// rettype: StdString
// cWrapperRetType: "std::string*"
// proto: "std::string*\n    casadi__Variable__name(std::string ** err_msg, casadi::Variable* obj)"
// call: "        std::string ret = obj->name();"
// params: []
extern "C"
std::string*
    casadi__Variable__name(std::string ** err_msg, casadi::Variable* obj);
std::string*
    casadi__Variable__name(std::string ** err_msg, casadi::Variable* obj){
    try {

        std::string ret = obj->name();

        return WrapReturn< std::string*, std::string >::wrapReturn( ret );
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return 0;
    }
}


// ================== Normal method: "getRepresentation" ===============
// class: "casadi::Variable"
// cppName: "casadi::Variable::getRepresentation"
// cWrapperName: "casadi__Variable__getRepresentation"
// protoArgs: "(std::string ** err_msg, casadi::Variable* obj)"
// args: "()"
// rettype: StdString
// cWrapperRetType: "std::string*"
// proto: "std::string*\n    casadi__Variable__getRepresentation(std::string ** err_msg, casadi::Variable* obj)"
// call: "        std::string ret = obj->getRepresentation();"
// params: []
extern "C"
std::string*
    casadi__Variable__getRepresentation(std::string ** err_msg, casadi::Variable* obj);
std::string*
    casadi__Variable__getRepresentation(std::string ** err_msg, casadi::Variable* obj){
    try {

        std::string ret = obj->getRepresentation();

        return WrapReturn< std::string*, std::string >::wrapReturn( ret );
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return 0;
    }
}


// ================== Normal method: "getDescription" ===============
// class: "casadi::Variable"
// cppName: "casadi::Variable::getDescription"
// cWrapperName: "casadi__Variable__getDescription"
// protoArgs: "(std::string ** err_msg, casadi::Variable* obj)"
// args: "()"
// rettype: StdString
// cWrapperRetType: "std::string*"
// proto: "std::string*\n    casadi__Variable__getDescription(std::string ** err_msg, casadi::Variable* obj)"
// call: "        std::string ret = obj->getDescription();"
// params: []
extern "C"
std::string*
    casadi__Variable__getDescription(std::string ** err_msg, casadi::Variable* obj);
std::string*
    casadi__Variable__getDescription(std::string ** err_msg, casadi::Variable* obj){
    try {

        std::string ret = obj->getDescription();

        return WrapReturn< std::string*, std::string >::wrapReturn( ret );
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return 0;
    }
}



// ================== delete UserType (Namespace ["casadi"]) (Name "XmlFile")===============
// classType: UserType (Namespace ["casadi"]) (Name "XmlFile")
extern "C"
void delete_casadi__XmlFile(casadi::XmlFile* obj);
void delete_casadi__XmlFile(casadi::XmlFile* obj){
    delete obj;
}

// ================== Constructor method: "CONSTRUCTOR" ===============
// class: "casadi::XmlFile"
// cppName: "casadi::XmlFile"
// cWrapperName: "casadi__XmlFile__CONSTRUCTOR__0"
// protoArgs: "(std::string ** err_msg, std::string* x0)"
// args: "(x0_)"
// rettype: UserType (Namespace ["casadi"]) (Name "XmlFile")
// cWrapperRetType: "casadi::XmlFile*"
// proto: "casadi::XmlFile*\n    casadi__XmlFile__CONSTRUCTOR__0(std::string ** err_msg, std::string* x0)"
// call: "        casadi::XmlFile* ret = (casadi::XmlFile*)new casadi::XmlFile(x0_);"
// params: [(Ref (Const StdString),SwigOutput False)]
extern "C"
casadi::XmlFile*
    casadi__XmlFile__CONSTRUCTOR__0(std::string ** err_msg, std::string* x0);
casadi::XmlFile*
    casadi__XmlFile__CONSTRUCTOR__0(std::string ** err_msg, std::string* x0){
    try {
        std::string& x0_ = Marshaling<std::string&,std::string*>::marshal(x0);

        casadi::XmlFile* ret = (casadi::XmlFile*)new casadi::XmlFile(x0_);
        // x0 is not a swig output

        return ret;
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return 0;
    }
}


// ================== Constructor method: "CONSTRUCTOR" ===============
// class: "casadi::XmlFile"
// cppName: "casadi::XmlFile"
// cWrapperName: "casadi__XmlFile__CONSTRUCTOR__1"
// protoArgs: "(std::string ** err_msg)"
// args: "()"
// rettype: UserType (Namespace ["casadi"]) (Name "XmlFile")
// cWrapperRetType: "casadi::XmlFile*"
// proto: "casadi::XmlFile*\n    casadi__XmlFile__CONSTRUCTOR__1(std::string ** err_msg)"
// call: "        casadi::XmlFile* ret = (casadi::XmlFile*)new casadi::XmlFile();"
// params: []
extern "C"
casadi::XmlFile*
    casadi__XmlFile__CONSTRUCTOR__1(std::string ** err_msg);
casadi::XmlFile*
    casadi__XmlFile__CONSTRUCTOR__1(std::string ** err_msg){
    try {

        casadi::XmlFile* ret = (casadi::XmlFile*)new casadi::XmlFile();

        return ret;
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return 0;
    }
}


// ================== Static method: "doc" ===============
// class: "casadi::XmlFile"
// cppName: "casadi::XmlFile::doc"
// cWrapperName: "casadi__XmlFile__doc"
// protoArgs: "(std::string ** err_msg, std::string* x0)"
// args: "(x0_)"
// rettype: StdString
// cWrapperRetType: "std::string*"
// proto: "std::string*\n    casadi__XmlFile__doc(std::string ** err_msg, std::string* x0)"
// call: "        std::string ret = casadi::XmlFile::doc(x0_);"
// params: [(Ref (Const StdString),SwigOutput False)]
extern "C"
std::string*
    casadi__XmlFile__doc(std::string ** err_msg, std::string* x0);
std::string*
    casadi__XmlFile__doc(std::string ** err_msg, std::string* x0){
    try {
        std::string& x0_ = Marshaling<std::string&,std::string*>::marshal(x0);

        std::string ret = casadi::XmlFile::doc(x0_);
        // x0 is not a swig output

        return WrapReturn< std::string*, std::string >::wrapReturn( ret );
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return 0;
    }
}


// ================== Static method: "loadPlugin" ===============
// class: "casadi::XmlFile"
// cppName: "casadi::XmlFile::loadPlugin"
// cWrapperName: "casadi__XmlFile__loadPlugin"
// protoArgs: "(std::string ** err_msg, std::string* x0)"
// args: "(x0_)"
// rettype: CVoid
// cWrapperRetType: "void"
// proto: "void\n    casadi__XmlFile__loadPlugin(std::string ** err_msg, std::string* x0)"
// call: "        casadi::XmlFile::loadPlugin(x0_);"
// params: [(Ref (Const StdString),SwigOutput False)]
extern "C"
void
    casadi__XmlFile__loadPlugin(std::string ** err_msg, std::string* x0);
void
    casadi__XmlFile__loadPlugin(std::string ** err_msg, std::string* x0){
    try {
        std::string& x0_ = Marshaling<std::string&,std::string*>::marshal(x0);

        casadi::XmlFile::loadPlugin(x0_);
        // x0 is not a swig output

        return;
    } catch (std::exception& ex) {
         *err_msg = new std::string(ex.what());
         return;
    }
}



